%global pixbuf_moduledir %(pkg-config gdk-pixbuf-2.0 --variable=gdk_pixbuf_moduledir)

%global pixbufname %mklibname abydos-pixbuf-loaders

# don't provide pixbuf loader .so
%global __provides_exclude_from %{pixbuf_moduledir}/.*\\.so

Name:		abydos-pixbuf
Summary:	A set of gdk-pixbuf loaders that simply act as proxies for abydos
Version:	0.3
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Url:		https://snisurset.net/code/abydos/
Source0:	https://snisurset.net/code/abydos/files/abydos-pixbuf-%{version}.tar.xz
Patch0:		abydos-pixbuf-0.3-fix-build.patch
BuildRequires:	pkgconfig(abydos)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)

%description
A set of gdk-pixbuf loaders that simply act as proxies for abydos.

%package -n %{pixbufname}
Summary:	A set of gdk-pixbuf loaders that simply act as proxies for abydos
Group:		System/Libraries
Provides:	abydos-pixbuf-loaders = %{version}-%{release}

%description -n %{pixbufname}
A set of gdk-pixbuf loaders that simply act as proxies for abydos.

%prep
%autosetup -p1

%build
autoreconf -vfi -Im4
%configure
%make_build

%install
%make_install

%files -n %{pixbufname}
%license COPYING
%{pixbuf_moduledir}/*.so
