Summary:		ACPI kernel daemon and control utility
Name:			acpid
Epoch:			2
Version:		2.0.34
Release:		%mkrel 1
License:		GPLv2+
Group:			System/Servers
URL:			https://sourceforge.net/projects/acpid2/
Source0:		https://downloads.sourceforge.net/acpid2/%{name}-%{version}.tar.xz
Source2:		acpid.service
Patch1:			acpid-CVE-2011-2777.patch
ExclusiveArch:		%{ix86} x86_64 %arm aarch64
Requires(post):		rpm-helper >= 0.24.8-1
Requires(preun):	rpm-helper >= 0.24.8-1

%description
The ACPI specification defines power and system management functions
for each computer, in a generic manner. The ACPI daemon coordinates
the management of power and system functions when ACPI kernel
support is enabled (kernel 2.3.x or later).

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install
install -D -m 644 %{SOURCE2} %{buildroot}%{_unitdir}/acpid.service

install -d %{buildroot}%{_sysconfdir}/acpi/actions
install -d %{buildroot}%{_sysconfdir}/acpi/events

%post
%_post_service acpid

%preun
%_preun_service acpid

%files
%doc Changelog COPYING README TESTPLAN TODO
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man8/*
%{_unitdir}/acpid.service
%dir %{_sysconfdir}/acpi
%dir %{_sysconfdir}/acpi/actions
%dir %{_sysconfdir}/acpi/events
