Summary: A Linux ACPI client
Name: acpitool
Version: 0.5.1
Release: %mkrel 12
Url: https://acpitool.sourceforge.net/
Source0: https://downloads.sourceforge.net/project/acpitool/acpitool/%version/%name-%version.tar.bz2
License: GPLv2+
Group: System/Kernel and hardware


%description
A small command-line application intended to be a replacement for the apm tool
for monitoring power settings.

%prep
%setup -q

%build
#to recognize aarch64
autoreconf -vfi

%configure

perl -pi -e "s|/usr/local|$RPM_BUILD_ROOT/usr|g" Makefile
perl -pi -e "s|man/man1|share/man/man1|g" Makefile

make

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
%makeinstall

%files
%{_bindir}/acpitool
%{_mandir}/man1/acpitool*




