Summary:	Recompression utilities
Name:		advancecomp
Version:	2.6
Release:	%mkrel 1
License:	GPLv3+
Group:		Archiving/Compression
URL:		https://www.advancemame.it/comp-readme.html
Source0:	https://github.com/amadvance/advancecomp/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch1:		advancecomp-1.19-mga-option-doc.patch
Patch2:		advancecomp-2.6-mga-bzip2-test.patch
Patch3:		advancecomp-2.6-mga-unbundle-libdeflate.patch
BuildRequires:	pkgconfig(libdeflate)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	libbzip2-devel

%description
AdvanceCOMP contains recompression utilities for your .zip
archives, .png images, .mng video clips and .gz files.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure --enable-bzip2 --disable-bundled-libdeflate
%make_build

%check
# The default check fails with bzip2 enabled due to bzip2 giving smaller than
# expected sizes, so it is patched accordingly.
%make_build check

%install
%make_install

%files
%doc AUTHORS HISTORY README
%{_bindir}/advzip
%{_bindir}/advpng
%{_bindir}/advmng
%{_bindir}/advdef
%{_mandir}/man1/*
