Name:           afio
Version:        2.5.2
Release:        %mkrel 1
Summary:        Archiver program which writes cpio-format archives
Group:		Archiving/Backup
URL:		https://github.com/kholtman/afio
Source:		https://github.com/kholtman/afio/archive/v%{version}/%{name}-%{version}.tar.gz
License:	LGPL

%description
Afio makes cpio-format archives. It deals somewhat gracefully with input
data corruption, supports multi-volume archives during interactive
operation, and can make compressed archives that are much safer than
compressed tar or cpio archives. Afio is best used as an `archive engine'
in a backup script.

%prep
%setup -q

# don't strip
sed -i -e '/CFLAGS1/s/\s\+-s\s\+/ /g' Makefile

%build
%set_build_flags
%make_build

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 afio $RPM_BUILD_ROOT%{_bindir}
install -m 755 afio.1 $RPM_BUILD_ROOT%{_mandir}/man1

%files
%doc HISTORY INSTALLATION PORTING README SCRIPTS afio.lsm script1 script2 script3 script4
%doc afio_license_issues_v5.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
