Name:		akarixb
Version:	0.9
Release:	%mkrel 3
Summary:	A Jabber/XMPP bot based on Qt and QXMPP
License:	GPLv2+
Group:		Networking/Instant messaging
Url:		https://jancoding.wordpress.com/akarixb/
Source0:	https://download.savannah.gnu.org/releases/akarixb/%{name}-v%{version}.tar.gz
Patch0:		akarixb-0.9-fix-build-with-qxmpp-1.5.0.patch
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(QXmppQt5)

%description
AkariXB is a Jabber/XMPP bot with a graphical interface.
It can also act as a basic XMPP client.

You can make it join MUC rooms and answer to custom commands, which can be a
static reply, a random reply from a list, a random line from a text file, the
output of a program, a keyword-based reply, etc.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%qmake_qt5

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc CHANGELOG README TODO
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/metainfo/*%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1.*
