Summary:	Install Debian and Slackware Packages with RPM
Name:		alien
Version:	8.95.6
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Packaging
URL:		https://sourceforge.net/projects/alien/
Source:		https://ftp.debian.org/debian/pool/main/a/alien/alien_%{version}.tar.xz
Patch0:		alien_8.74-do-not-own-sys-directories.diff
# mga#28607
# Patch1:		alien-fix-deb-build.patch
BuildArch:	noarch
BuildRequires:	perl-devel
Requires:	dpkg >= 1.13.26
Requires:	rpm-build
Requires:	dh-autoreconf
# To fix:
# Can't exec "dpkg-architecture": No such file or directory at /usr/share/perl5/vendor_perl/Alien/Package/Deb.pm line 562, <GETPERMS> line 107.
Requires:	dpkg-dev
# required to be able to convert rpm to .deb (mga#6887) and (mga#15941)
Requires:	debhelper

%description
Alien is a program that converts between the rpm (%{_vendor}, Mandriva,
Redhat), dpkg (Debian), slp (Stampede), and tgz (Slackware) file formats.
If you want to use a package from another distribution than the one
you have installed on your system, you can use alien to convert
it to your preferred package format and install it.

%prep
%setup -q
%autopatch -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
perl -pi -e 's/: :\s*extra_/:: extra_/' Makefile

%make_build

%install
%make_install VARPREFIX=%{buildroot} PREFIX=%{buildroot}%{_prefix}

%files
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/Alien/
