%define __requires_exclude ^(pear\\(Auth.*|pear\\(PHPUnit.*|pear\\(config.*|pear\\(lib.*|pear\\(sample[1234]\\.php\\)|pear\\(.*sodium.*|pear\\(phar:/.*)$

Name:           ampache
Version:        4.2.5
Release:        %mkrel 3
Summary:        Web-based MP3/Ogg/RM/Flac/WMA/M4A manager
License:        AGPLv3+
Group:          Networking/WWW
URL:            https://www.ampache.org/
Source0:        https://github.com/ampache/ampache/releases/download/%{version}/%{name}-%{version}_all.zip
Patch1:		ampache-4.1.1-mga-python-2to3.patch
Patch2:		ampache-4.1.1-mga-ambiguous-python-shebang.patch
Requires:       webserver
Requires:       php-webinterface
Requires:       php-iconv
Requires:       php-mbstring
Requires:       php-mysql
Requires:       php-pdo
Requires:       php-pdo_mysql
Recommends:     php-curl
Recommends:     php-gd
BuildArch:      noarch

%description
Ampache is a Web-based MP3/Ogg/RM/Flac/WMA/M4A manager.
It allows you to view, edit, and play your audio files via HTTP/IceCast/Mpd
or Moosic. It has support for downsampling, playlists, artist,
and album views, album art, random play, song play tracking, user themes,
and remote catalogs using XML-RPC.

%prep
%setup -q -c
%autopatch -p1

%build

%install
install -d -m 755 %{buildroot}%{_datadir}/%{name}
cp -r * %{buildroot}%{_datadir}/%{name}

# apache configuration
install -d -m 755 %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/%{name}.conf <<EOF
# Ampache configuration

Alias /%{name} %{_datadir}/%{name}
<Directory %{_datadir}/%{name}>
    Require all granted
</Directory>
EOF

%files
%doc docs/CHANGELOG.md
%{_datadir}/%{name}
%config(noreplace) %{_webappconfdir}/%{name}.conf


