
Name:		andromeda
Version:	0.3
Release:	%mkrel 12
Summary:	Qt File manager
Group:		File tools
License:	GPLv2+
Url:		https://github.com/ABBAPOH/andromeda
Source:		https://github.com/ABBAPOH/%{name}/archive/v%{version}.tar.gz
Patch0:		andromeda-0.3-library.patch
Patch1:         andromeda-0.3-fix-build.patch
BuildRequires:	cmake
BuildRequires:	qt4-devel >= 4.7
BuildRequires:	qt4-linguist
BuildRequires:	desktop-file-utils

%description
Multiplatform file manager written in Qt4.

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt4
%cmake_build

%install
export QA_RPATHS=0x0001
%cmake_install

# FIXME remove a single localized key on Comment[ru] of imageviewer.desktop file
desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications/ \
	--remove-key=Comment[ru] \
	%{buildroot}%{_datadir}/applications/imageviewer.desktop

%files
%doc TODO.txt
%{_bindir}/%{name}
%{_bindir}/imageviewer
%dir %attr(0755,root,root) %{_libdir}/%{name}
%{_libdir}/%{name}/*
%{_libdir}/libextensionsystem.so
%{_libdir}/libfilemanager.so
%{_libdir}/libguisystem.so
%{_libdir}/libimageviewer.so
%{_libdir}/libio.so
%{_libdir}/libwidgets.so
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/imageviewer.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/imageviewer.png
