%global short_name commons-sandbox-parent
Name:          apache-commons-sandbox-parent
Version:       9
Release:       %mkrel 8
Summary:       Commons Sandbox Parent
Group:         Development/Java
License:       ASL 2.0
Url:           https://commons.apache.org/sandbox/
Source0:       https://repo1.maven.org/maven2/org/apache/commons/commons-sandbox-parent/9/commons-sandbox-parent-9.pom
BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: maven-local

BuildArch:     noarch

%description
The Sandbox is a Subversion repository for Commons committers to function as an open workspace for sharing and
collaboration. The Sandbox serves as a staging ground for project which are destined for what is known as the
Commons Proper.

The Commons Sandbox Parent contains a trunks-sandbox profile with the sandbox components set up as <modules>.

%prep
%setup -T -q -c

cp %{SOURCE0} pom.xml

%build
%mvn_file  : %{short_name} %{name}
%mvn_build 

%install
%mvn_install

%files -f .mfiles
