%define mod_name mod_bw

Name:		apache-%{mod_name}
Version:	0.92
Release:	%mkrel 10
Summary:    Bandwidth administration module for Apache HTTPD
Group:		System/Servers
License:	Apache License
URL:		http://www.ivn.cl/apache/
Source0: 	https://prdownloads.sourceforge.net/bwmod/mod_bw-%{version}.tgz
Source1:	mod_bw.conf
Source2:	bw.conf
Patch0:     mod_bw-httpd24.patch
Requires:	apache
BuildRequires:	apache-devel
Epoch:		1

%description
mod_bw is a bandwidth administration module for Apache HTTPD 2.0.x

* Restrict the number of simultaneous connections per vhost/dir
* Limit the bandwidth for files on vhost/dir

%prep
%setup -q -c
%patch -P 0 -p 1

%build
%{_httpd_apxs} -c %{mod_name}.c

%install
install -d %{buildroot}%{_httpd_moddir}
%{_httpd_apxs} -i -S LIBEXECDIR=%{buildroot}%{_httpd_moddir} \
    -n %{mod_name} %{mod_name}.la

install -D -m 644 %{SOURCE1} %{buildroot}%{_httpd_modconfdir}/10_mod_bw.conf
install -D -m 644 %{SOURCE2} %{buildroot}%{_httpd_extconfdir}/bw.conf

%files
%doc ChangeLog LICENSE TODO mod_bw.txt
%config(noreplace) %{_httpd_modconfdir}/10_mod_bw.conf
%config(noreplace) %{_httpd_extconfdir}/bw.conf
%{_httpd_moddir}/mod_bw.so
