%define         git 20230528

%define         rel 1

%define         debug_package %{nil}
%define         srcdir %(tr _ - <<< %{name})

Name:           apache-mod_markdown
Version:        1.0.4
Release:        %mkrel -c git%{git} %{rel}
Summary:        Markdown filter module for Apache HTTPD Server
Group:          Networking/WWW
License:        ASL 2.0
URL:            https://github.com/hamano/apache-mod-markdown
Source0:        https://github.com/hamano/apache-mod-markdown/archive/refs/heads/master.tar.gz#/%{name}-%{version}-git%{git}.tar.gz
Source1:        README.md
# The Apache config for this module
Source2:        71_mod_markdown.conf

BuildRequires:  pkgconfig(libmarkdown)
BuildRequires:  apache-devel
BuildRequires:  pkgconfig(apr-1)
Requires:       apache

%description
mod_markdown is Markdown filter module for Apache HTTPD Server.

%prep
%autosetup -p1 -n %{srcdir}-master
cp -f %{S:1} .
cp -f %{S:2} .

%build
sed -i "s|1.0.2|1.0.4|" configure.ac
autoreconf -vfi
%configure \
    --with-apxs=%{_bindir}/apxs \
    --with-discount=%{_prefix}
sed -i "s|/usr/lib$|%{_libdir}|g" Makefile
%make_build

%install
%__mkdir_p %{buildroot}%{_httpd_moddir}
%__mkdir_p %{buildroot}%{_httpd_modconfdir}
%{_libdir}/httpd/build/instdso.sh SH_LIBTOOL='%{_libdir}/apr-1/build/libtool' mod_markdown.la %{buildroot}%{_httpd_moddir}
%__install -Dm 0644 71_mod_markdown.conf %{buildroot}%{_httpd_modconfdir}

%files
%{_httpd_moddir}/mod_markdown.so
%config(noreplace) %{_httpd_modconfdir}/71_mod_markdown.conf

