Name:		appres
Version:	1.0.7
Release:	%mkrel 1
Summary:	List X application resource database
Group:		System/X11
License:	MIT
URL:		https://xorg.freedesktop.org
Source:		https://www.x.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:	meson
BuildRequires:	pkgconfig(x11) >= 1.0.0
BuildRequires:	pkgconfig(xt) >= 1.0.0
BuildRequires:	x11-util-macros >= 1.0.1

%description
The appres program prints the resources seen by an application (or
sub-hierarchy of an application) with the specified class and instance
names. It can be used to determine which resources a particular
program will load.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%files
%doc README.md
%license COPYING
%{_bindir}/appres
%{_mandir}/man1/appres.1*



