%global pypi_name archmage

Name:           archmage
Version:        0.4.2.1
Release:        %mkrel 7
Summary:        Extensible reader/decompiler of files in CHM format
Group:          Development/Tools
License:        GPLv2+
URL:            https://github.com/dottedmag/archmage
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
# for conversion to text
Requires:	elinks

%description
arCHMage converts CHM files to HTML, plain text and PDF. CHM is the format used
by Microsoft HTML Help, also known as Compiled HTML.

%prep
%setup -q


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files archmage

%files -f %{pyproject_files}
%license COPYING
%doc AUTHORS NEWS
%{_bindir}/archmage
