%define svn_ver 20141221
%define _legacy_common_support 1

Name:           ardesia
Summary:        A free digital sketchpad software
Version:        1.2
Release:        %mkrel 4
Group:          Education
License:        GPLv3
URL:            https://code.google.com/p/ardesia
Source0:        http://ardesia.googlecode.com/files/%{name}-%{version}-%{svn_ver}.tar.gz

BuildRequires:  pkgconfig(libgsf-1)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  libsigsegv-devel
BuildRequires:  vlc-devel
BuildRequires:  binutils-devel
BuildRequires:  pkgconfig(gsl)
BuildRequires:  gtk+3.0-devel
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  desktop-file-utils
BuildRequires:  blas-devel

Recommends:    vlc
Recommends:    vlc-plugin-theora 
Recommends:    xdg-utils
Recommends:    curtain
Recommends:    florence

%description
Ardesia is the free digital sketchpad software that help you to make colored
free-hand annotations with digital ink everywhere, record them and share on
the network.

%prep 
%setup -q -n %{name}-%{version}-%{svn_ver}

%build
./autogen.sh
%configure
%make_build

%install
%make_install XDG_UTILS=""

%find_lang %{name}

desktop-file-install    --vendor="" \
                        --dir %{buildroot}%{_datadir}/applications \
                        --remove-category="GNOME" \
                        --remove-category="GTK" \
                        --remove-category="Utility" \
                        --add-category="Education" \
                        %{buildroot}%{_datadir}/applications/%name.desktop

%files -f %name.lang
%doc AUTHORS README COPYING NEWS ChangeLog
%{_bindir}/%name
%{_datadir}/applications/%name.desktop
%{_datadir}/%{name}/ui/*.glade
%{_datadir}/%{name}/scripts/*.sh
%{_datadir}/%{name}/ui/icons/*
%{_datadir}/%{name}/ui/backgrounds/*
%{_datadir}/%{name}/ui/*.xml
%{_datadir}/pixmaps/%name.png
%{_mandir}/man1/%name.*

