Name:           arqiver
Version:        0.12.0
Release:        %mkrel 1
Summary:        A simple Qt archive manager
Group:          Archiving/Other
License:        GPLv3
URL:            https://github.com/tsujan/Arqiver
Source:         https://github.com/tsujan/Arqiver/releases/download/V%{version}/Arqiver-%{version}.tar.xz
BuildRequires:  qttools6
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Widgets)
Requires:       bsdtar
Requires:       gzip
Requires:       p7zip

%description
A simple and desktop-agnostic Qt file archiver.

LXQt Archiver is derived from the following programs:
 * Engrampa of MATE desktop
 * File Roller of Gnome desktop

%prep
%autosetup -n Arqiver-%{version}

%build
%qmake_qt6
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README.md ChangeLog
%license COPYING
%{_bindir}/%{name}
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
