%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define src_ver 0.5.5-1
%define fname aspell6-%{languagecode}
%define aspell_ver 0.60
%define languageenglazy Latvian
%define languagecode lv
%define lc_ctype lv_LV

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       0.5.5.1
Release:       %mkrel 19
Group:         System/Internationalization
Source:        https://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/%{fname}-%{src_ver}.tar.bz2
URL:		   http://aspell.net/
License:	   GPL
Provides: spell-%{languagecode}

BuildRequires: aspell >= %{aspell_ver}
BuildRequires: make
Requires:      aspell >= %{aspell_ver}

# Mageia Stuff
Requires:      locales-%{languagecode}
Provides:      aspell-dictionary
Provides:      aspell-%{lc_ctype}

Autoreqprov:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n %{fname}-%{src_ver}

%build
# don't use configure macro
./configure

%make_build

%install
%make_install

chmod 644 Copyright README* doc/*

%files
%doc README* Copyright doc/*
%{_libdir}/aspell-%{aspell_ver}/*
