%define src_ver 6.0
%define snap 20190119
%define relsnap %{snap}-0
%define languageeng polish
%define languageenglazy Polish
%define languagecode pl
%define lc_ctype pl_PL

%define fname aspell6-pl-%{snap}

Summary:	%{languageenglazy} dictionary for aspell
Name:		aspell-pl
Version:	0.60.5
Release:	%mkrel 2.%{snap}.4
License:	GPLv2+
Group:		System/Internationalization
URL:		https://sjp.pl/slownik/en/
Source0:	https://sjp.pl/slownik/ort/sjp-aspell6-%{languagecode}-%{src_ver}_%{relsnap}.tar.bz2
BuildRequires:	aspell >= 0.60.5
Requires:	aspell >= %{version}
Provides:	spell-%{languagecode}
# Mageia Stuff
Requires:	locales-%{languagecode}
# aspell = 1, myspell = 2, lang-specific = 3
Provides:	aspell-dic//tionary
Provides:	aspell-%{lc_ctype}

%define debug_package %{nil}

%description
Polish dictionary (i.e. word list) for aspell.

%prep
%setup -qn aspell6-%{languagecode}-%{src_ver}_%{relsnap}

%build
# note: configure is not autoconf-generated
./configure

%make_build

%install
%make_install

%files
%doc README doc/*
%{_libdir}/aspell-*/*
