%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define src_ver 1.0

%define languageenglazy Sardinian
%define languagecode sc
%define lc_ctype sc_IT

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       1.0
Release:       %mkrel 1
Group:         System/Internationalization
License:       GPLv2
URL:           http://aspell.net/
Source:        https://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/aspell5-%{languagecode}-%{src_ver}.tar.bz2

Provides: spell-%{languagecode}


BuildRequires: aspell >= 0.50
BuildRequires: make
Requires:      aspell >= 0.50

# Mageia Stuff
Requires:      locales-%{languagecode}
Provides:      aspell-dictionary
Provides:      aspell-%{lc_ctype}

AutoReqProv:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n aspell5-%{languagecode}-%{src_ver}

%build

# don't use configure macro
./configure

%make_build

%install
%make_install

chmod 644 Copyright README* doc/*

%files
%doc README* Copyright doc/*
%{_libdir}/aspell-*/*
