%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define src_ver 1.4.0-0
%define languagelocal uk
%define languageeng ukrainian
%define languageenglazy Ukrainian
%define languagecode uk
%define lc_ctype en_UK

Summary:	%{languageenglazy} files for aspell
Name:		aspell-%{languagecode}
Version:	1.4.0
Release:	%mkrel 12
Group:		System/Internationalization
Source:	    https://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/aspell6-%{languagecode}-%{src_ver}.tar.bz2
URL:		https://aspell.sourceforge.net/
License:	GPLv2+ and LGPLv2+
Epoch:		1
Provides: spell-%{languagecode}

BuildRequires:	aspell >= 0.60
Requires:	aspell >= 0.60

# Mageia Stuff
Requires:	locales-%{languagecode}
Provides:	aspell-dictionary

Autoreqprov:	no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n aspell6-%{languagecode}-%{src_ver}

%build
# don't use configure macro
./configure

%make_build

%install
%make_install

# fix doc perms
chmod 644 README* Copyright

%files
%doc README* Copyright
%{_libdir}/aspell-*/*
