%global sum	A 3D, first-person game of blowing up asteroids

Name:		asteroids3D
Summary:	%{sum}
Version:	1.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Games/Arcade
Source:		https://inai.de/files/asteroids3D/%{name}-%{version}.tar.xz
URL:		https://inai.de/projects/asteroids3D/
BuildRequires:	mesa-common-devel

%description
asteroids3D is a 3D, first-person game of blowing up asteroids.
The graphics more accurately reflect the future position of the 
targeted asteroid and provide information about closure rate.

%prep
%setup -q 

%build
%configure --with-gamesdir=%{_gamesbindir} --with-gamedatadir=%{_gamesdatadir}/%{name}
%make_build

%install
%make_install gamesdir=%{_gamesbindir} gamedatadir=%{_gamesdatadir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_gamesbindir}/%{name}
Icon=arcade_section
Categories=Game;ArcadeGame;
Name=Asteroids3D
Comment=%{sum}
EOF

%files
%{_datadir}/applications/%{name}.desktop
%{_gamesdatadir}/%{name}
%{_gamesbindir}/%{name}
