%define         oname ATNT
Name:           atnt
Version:        0.16.0
Release:        %mkrel 12
Summary:        Acquisition Traitement Numérique
Group:          Development/Java
License:        LGPLv2+
URL:            https://atn.adullact.net/
Source0:        %oname-%version.tar.bz2
Requires:       java
BuildArch:      noarch

%description
Acquisition Traitement Numérique Project

%files
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop

#--------------------------------------------------------------------

%prep
%setup -q -n %{oname}-%{version}

%build

%install
%__mkdir -p %{buildroot}%{_datadir}/%{name}
cp -frv bin/* %{buildroot}%{_datadir}/%{name}

%__mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=%{name}
Comment=Acquisition Traitement Numérique
Exec=java -jar %{_datadir}/%{name}/ATNT.jar
Icon=%{_datadir}/%{name}/ATN_logox32.png
Terminal=false
Type=Application
Categories=Science;Education;
EOF
