Name:           autohint-onoff
Version:        2.0
Release:        %mkrel 2
Group:          System/Configuration
Summary:        A Qt dialog to disable/enable autohint
License:        GPLv3
URL:            http://glenbox.free.fr/%{name}/%{name}-%{version}.tar.gz
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-qt5-devel
BuildRequires:  qttools5
Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-widgets
Requires:       python3-lxml

%description
This tool helps to enable/disable the autohint for the fonts.

%prep
%setup -q

%build
%py3_build

%install
chmod +x autohint-onoff.py

%__mkdir -p %{buildroot}/%{_datadir}/%{name}/translations/
%__install -D autohint-onoff.py %{buildroot}%{_bindir}/%{name}
%__install -D -m 644 autohint-onoff.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
%__install -D translations/*.qm %{buildroot}/%{_datadir}/%{name}/translations/

# Add translations tags
(cd %{buildroot} && find . -name '*.qm') | sed -e 's|^.||' | sed -e \
    's:\(.*/translations/\)\([a-z-]\+_\)\([a-zA-Z]\+\)\(\.qm\):%lang(\3) \1\2\3\4:' >> %{name}.lang

%files -f %{name}.lang
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
