Summary:	Automatically restart SSH sessions and tunnels
Name:		autossh
Version:	1.4g
Release:	%mkrel 3
License:	BSD
Group:		Networking/Other
URL:		https://www.harding.motd.ca/autossh/
Source:		https://www.harding.motd.ca/autossh/%{name}-%{version}.tgz
BuildRequires:	openssh-clients
Requires:	openssh
#Patch0:		autossh-1.4e-minor-cosmetic-changes.patch

%description
autossh is a program to start a copy of ssh and monitor it,
restarting it as necessary should it die or stop passing
traffic. The idea and the mechanism are from rstunnel
(Reliable SSH Tunnel), but implemented in C.

%prep
%autosetup -p1

%build
chmod 644 autossh.host rscreen
%configure
%make_build

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
install -m 755 %{name} %{buildroot}%{_bindir}/
install -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/

%files
%doc CHANGES README autossh.host rscreen
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
