Name:		b43-fwcutter
Summary:	Tool to extract firmware for Broadcom 43xx network chip
Version:	019
Release:	%mkrel 7
Source:		https://bues.ch/b43/fwcutter/%{name}-%{version}.tar.bz2
Patch0:		%{name}-013-install_perms.patch
URL:		https://bues.ch/b43/fwcutter/
License:	GPL
Group:		System/Networking

%description
Fwcutter allows you to extract the firmware required for Broadcom 43xx chips
out of the .o files available with the card or on the internet.

Not all versions of the firmwares are supported by this tool.
You can list supported firmwares with :
b43-fwcutter -l

Depending on your chip, you will need a version 3 or 4 firmware.

Useful reading and links to firmwares that can be extracted are available at 
http://linuxwireless.org/en/users/Drivers/b43

Extract (as root) with :
b43-fwcutter -w /lib/firmware wl_apsta_mimo.o OR
b43-fwcutter -w /lib/firmware wl_apsta.o (for LP-PHY cards like BCM4312 only!)

It will create files directly at the required place (in either b43legacy or 
b43 subfolder).

%prep
%autosetup -p1
perl -pi -e 's|man/man1|share/man/man1|g' Makefile

%build
CFLAGS="$RPM_OPT_FLAGS" make
										
%install
make install PREFIX=%buildroot/%_prefix

%files
%doc README
%{_bindir}/*
%{_mandir}/man1/*



