Name:           bam
Version:        0.5.1
Release:        %mkrel 4
Summary:        A build-system
Group:          Development/Tools
License:        MIT
URL:            https://matricks.github.io/bam/
Source0:        https://github.com/matricks/bam/archive/v%{version}/%{name}-%{version}.tar.gz

%description
A tool that controls process of producing executables of 
software from its source code.

%prep
%autosetup -p1

%build
sh -x make_unix.sh %{optflags}

%install
install -D -m 0755 %{name} \
        %{buildroot}%{_bindir}/%{name}

install -D -m 0644 docs/%{name}.1.txt \
        %{buildroot}%{_mandir}/man1/%{name}.1
%files
%doc CHANGELOG README.md docs/*
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

