Name:		banner
Version:	1.3.6
Release:	%mkrel 1
Summary:	Print text as banner on the console
License:	GPLv2
Group:		Text tools
Url:		https://github.com/pronovic/banner
Source0:	https://github.com/pronovic/banner/releases/download/BANNER_V%{version}/banner-%{version}.tar.gz

BuildRequires:	automake

%description
Banner fills an apparent hole in Linux - that is, that is does not provide
a "banner" program itself, while nearly all UNIX systems seem to do so.
Banner prints a "banner" on the screen that corresponds to the first 10
characters of a string entered on the command line, in a way similar to
what you might see when using Solaris or AIX. There are fancier things out
there, but this is nice and simple.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS README
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
