#global gitdate	20210413
%define rel	2

Name:		bcm2-utils
Summary:	Utilities for Broadcom-based cable modems
Version:	0.9.5.1
Release:	%mkrel %{rel}
License:	GPLv3+
Group:		Networking/Other
Url:		https://github.com/jclehner/bcm2-utils
Source0:	https://github.com/jclehner/bcm2-utils/archive/v%{version}/bcm2-utils-%{?gitdate}%{!?gitdate:%version}.tar.%{?gitdate:xz}%{!?gitdate:gz}
Patch1:		0001-Makefile-LIBS-after-LDFLAGS.patch
Patch2:		0001-Add-DESTDIR-support.patch
BuildRequires:	openssl-devel

%description
Utilities for Broadcom-based cable modems.

%prep
%autosetup -n %{name}-%{?gitdate}%{!?gitdate:%version} -p1

%build
%set_build_flags
%make_build VERSION=%{version}

%install
%make_install PREFIX=%{_prefix}

%files
%license LICENSE
%doc *.md
%{_bindir}/bcm2cfg
%{_bindir}/bcm2dump
%{_bindir}/psextract
