Name:		bcrypt
Summary:	A lightweight blowfish file encryption utility
Version:	1.1
Release:	%mkrel 6
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
URL:		https://bcrypt.sourceforge.net/
Group:		File tools
License:	BSD
BuildRequires:	pkgconfig(zlib)

%description
bcrypt is a blowfish file encryption utility which aims for cross-platform
portability. In addition to providing 448-bit encryption, bcrypt can overwrite
input files with random garbage before deletion in order to make low-level
data recovery much more difficult.

%prep
%setup -q

sed -i.orig -e 's|${PREFIX}/man/man1|${PREFIX}/share/man/man1|g' Makefile

%build
%make_build CFLAGS="%{optflags} -Wall"

%install
%makeinstall PREFIX="%{buildroot}%{_prefix}"

%files
%doc README LICENSE
%{_bindir}/*
%{_mandir}/man1/%{name}.1*
