Name: beesu
Version: 2.7
Release: %mkrel 10
Summary: Graphical wrapper for su
URL: http://www.honeybeenet.altervista.org
Group: System/Base
License: GPLv2+
Source0: https://honeybeenet.altervista.org/beesu/files/beesu-sources/%{name}-%{version}.tar.bz2
Requires: pam
Requires: usermode
# Obsolete all subpkgs
Obsoletes: nautilus-beesu-manager < 2.7-6
Obsoletes: gedit-beesu-plugin < 2.7-6
Obsoletes: nemo-beesu-manager < 2.7-6
# Replace gksu-polkit
Obsoletes: gksu-polkit < 0.0.3-0.git20131130.17

%description
Beesu is a wrapper around su and works with consolehelper under
Mageia to let you have a graphic interface like gksu.

%prep
%setup

%build
%make_build CFLAGS="%{optflags} -fno-delete-null-pointer-checks"

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
%make_install

mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d/
mv %{buildroot}%{_sysconfdir}/profile.d/beesu-bash-completion.sh \
 %{buildroot}%{_sysconfdir}/bash_completion.d/

%files
%doc README
%license COPYING
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%{_sysconfdir}/bash_completion.d/%{name}-bash-completion.sh
%{_sbindir}/%{name}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
