%define game_name berusky

Name:           %{game_name}-data
Version:        1.7
Release:        %mkrel 8
Summary:        Data files for Berusky
License:        GPLv2+
Group:          Games/Puzzles
URL:            https://www.anakreon.cz/
Source0:        https://anakreon.cz/download/%{name}-%{version}.tar.gz

BuildArch:      noarch

%description
Data files for Berusky. Berusky is a 2D logic game based on an ancient
puzzle named Sokoban.

An old idea of moving boxes in a maze has been expanded with new logic
items such as explosives, stones, special gates and so on.
In addition, up to five bugs can cooperate and be controlled by the player.

This package contains a data for the game, i.e. files with graphics, levels,
game rules and configuration.


%prep
%setup -q

%install
mkdir -p %{buildroot}%{_gamesdatadir}/%{game_name}

cp -p -R GameData %{buildroot}%{_gamesdatadir}/%{game_name}
cp -p -R Graphics %{buildroot}%{_gamesdatadir}/%{game_name}
cp -p -R Levels   %{buildroot}%{_gamesdatadir}/%{game_name}

# berusky.ini is installed from the berusky package

%files
%doc README COPYING
%{_gamesdatadir}/%{game_name}/*
