# It's a shell script, hence nothing to debug
%define debug_source %nil
%define debug_package %nil

Name:           biosdisk
Version:        1.01
Release:        %mkrel 3
Summary:        Flashing Dell BIOS images on Linux systems
Group:          System/Boot and Init
License:        GPLv2
URL:            https://github.com/dell/biosdisk
Source0:        https://github.com/dell/biosdisk/archive/%{version}/%{name}-%{version}.tar.gz

ExclusiveArch:  %{ix86} x86_64

Requires:       syslinux
Requires:       wget

%description
FreeDOS based BIOS updating utility for Dell machines.

This utility can be used to update the BIOS on a Dell
machine running in legacy mode.

%prep
%autosetup

# Fix grub2 commands and path
sed -i 's|grub-mkconfig|grub2-mkconfig|g' biosdisk
sed -i 's|grub-reboot|grub2-reboot|g' biosdisk
sed -i 's|/boot/grub|/boot/grub2|g' biosdisk

%build
%__make

%install
%make_install

%files
%license COPYING
%doc README*
%{_sbindir}/%{name}
%{_sharedstatedir}/%{name}
%{_mandir}/man8/%{name}*
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
