Name:           bkhive
Version:        1.1.1
Release:        %mkrel 9
Summary:        Dump the syskey bootkey from a Windows system hive
Group:          Security
License:        GPLv2+
URL:            https://ophcrack.sourceforge.net/
Source0:        https://downloads.sourceforge.net/ophcrack/%{name}-%{version}.tar.gz
Patch0:         %{name}-install.patch

%description
This tool is designed to recover the syskey bootkey from a Windows NT/2K/XP
system hive. Then we can decrypt the SAM file with the syskey and dump
password hashes.

Syskey is a Windows feature that adds an additional encryption layer to the
password hashes stored in the SAM database.

%prep
%setup -q
%patch -P 0 -p 1 -b .install


%build
%make_build CFLAGS="%{optflags}"

%install
OWNER=`id -un`
GROUP=`id -gn`

%make_install \
    BINDIR=%{_bindir} \
    MANDIR=%{_mandir}/man1/ \
    OWNER=${OWNER} \
    GROUP=${GROUP}

%files
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
