#debug info would be empty due to no binarys
%define debug_package %{nil}

Name:		bless
Version:	0.6.3
Release:	%mkrel 1

Summary:	Hexadecimal Editor
Group:		File tools
License:	GPLv2
URL:		https://github.com/afrantzis/bless
Source0:	https://github.com/afrantzis/bless/archive/v%{version}.tar.gz
Patch1:		bless-0.6.2-default-editmode-overwrite.patch
Patch2:		bless-0.6.3-fix-reloading-file.patch
BuildRequires:	pkgconfig(mono)
BuildRequires:	pkgconfig(glade-sharp-2.0)
BuildRequires:	pkgconfig(gapi-2.0)
BuildRequires:	pkgconfig(gtk-sharp-2.0)
BuildRequires:	rarian
BuildRequires:	gettext-devel
BuildRequires:	nunit-devel
BuildRequires:	itstool
BuildRequires:	meson

Requires:	gtk-sharp2

%description
Bless is a binary (hex) editor, a program that enables you to edit files as
a sequence of bytes. It is written in C# and uses the Gtk# bindings for the
GTK+ toolkit.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%doc AUTHORS NEWS README
%doc %{_datadir}/help/C/%{name}/
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
