Name:           blobwars
Version:        2.00
Release:        %mkrel 6
Summary:        Mission and Objective based 2D Platform Game
Group:          Games/Arcade
# Code and gfx is all GPLv2+. Music is all CC-BY-SA. SFX are a mix, see readme
License:        GPLv2+ and CC-BY-SA and CC-BY and BSD and Public Domain
URL:            https://www.parallelrealities.co.uk/p/blob-wars-metal-blob-solid.html
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch1:         blobwars-2.00-gcc7.patch
Patch2:         blobwars-2.00-Werror.patch
Patch3:         blobwars-2.00-dont-override-strlcat.patch

BuildRequires:  gettext
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_net)
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(zlib)
Requires:       fonts-ttf-bitstream-vera

%description
Blob Wars: Metal Blob Solid. This is Episode I of the Blob Wars Saga.
You must undertake the role of fearless Blob soldier, Bob, as he infiltrates
various enemy installations and hideouts in an attempt to rescue as many
MIAs as possible.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build RELEASE=1

%install
%make_install

%find_lang %{name}

rm -f %{buildroot}%{_gamesdatadir}/%{name}/data/vera.ttf
ln -s %{_xfontdir}/TTF/Vera.ttf \
      %{buildroot}%{_gamesdatadir}/%{name}/data/vera.ttf

%files -f %{name}.lang
%doc doc/*
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
