Summary:	A markup language for GTK user interface files
Name:		blueprint-compiler
Version:	0.16.0
Release:	%mkrel 3
License:	GPLv3+
Group:		Development/GNOME and GTK+
Url:		https://gitlab.gnome.org/jwestman/blueprint-compiler
Source0:	https://gitlab.gnome.org/jwestman/blueprint-compiler/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
BuildArch:	noarch
BuildRequires:	meson
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-gobject-devel
Obsoletes:	python3-%{name} < 0.16.0-3
Obsoletes:	%{name}-devel < 0.16.0-3
Requires:	python3-gobject-base

%description
A markup language for GTK user interface files.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%meson
%meson_build

%install
%meson_install

%files
%{_bindir}/%{name}
%{python3_sitelib}/blueprintcompiler/
%{_datadir}/pkgconfig/%{name}.pc

