Summary:	Bluetooth PIN GUI
Name:		bluez-pin
Version:	0.30
Release:	%mkrel 21
Url:		https://www.bluez.org/
License:	GPLv2+
Group:		Communications/Bluetooth
Source0:	ftp://gpe.handhelds.org/projects/gpe/source/%{name}-%{version}.tar.bz2

BuildRequires:	imagemagick 
BuildRequires:	gtk2-devel 
BuildRequires:	pkgconfig(libglade-2.0) 
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(bluez)
BuildRequires:  pkgconfig(dbus-glib-1) >= 0.50
BuildRequires:	perl(XML::Parser)

%description
A GTK+ helper app for entering a Bluetooth PIN.

%prep
%setup -q

%build
%configure
make

%install
%make_install

%post
update-alternatives --install /bin/bluepin bluepin /usr/bin/bluez-pin 10

%postun
[ $1 != 0 ] && exit 0
update-alternatives --remove bluepin /usr/bin/bluez-pin

%files
%doc ChangeLog
%_bindir/%name
%config %_sysconfdir/dbus*/*
%_datadir/pixmaps/*
%_datadir/%name
