Name:		bm
Version:	3.9
Release:	%mkrel 3
Summary:	BuildManager - rpm package building helper
Group:		Development/Other
License:	GPLv2
URL:		https://gitweb.mageia.org/software/build-system/bm/
Source0:	https://gitweb.mageia.org/software/build-system/bm/snapshot/%{name}-%{version}.tar.xz
Patch1:		0001-Fix-.spec-parsing-with-rpm-s-python-bindings.patch
BuildArch:	noarch
BuildRequires:	rpm-build
BuildRequires:	python3
BuildRequires:	pkgconfig(python3)

Requires:	python3 >= %{python3_version}
Requires:	python3-rpm
Requires:	rpm-build

%description
BuildManager, or bm, is a program that wraps and extends RPM while building
packages. Its features allow one to batch process thousand of RPMs at once,
controlling logs, RPM and SRPM moving, filtering the list of files, ignoring
given packages, completely cleaning the build directories, and many other
features.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files BuildManager

%files -f %{pyproject_files}
%license LICENSE
%{_bindir}/%{name}*
%{_datadir}/bash-completion/completions/%{name}
%{_mandir}/man8/%{name}.8.*
