%global sum	A megaman clone
%define rel	8
%define preview preview3

Summary:	%{sum}
Name:		bobobot
Epoch:		2
Version:	0
Release:	%mkrel -c %{preview} %rel
Source0:	ftp://ftp.sonic.net/pub/users/nbs/unix/x/%{name}/%{name}-%{preview}.tar.bz2
Url:		http://newbreedsoftware.com/bobobot/
License:	GPLv2+
Group:		Games/Arcade
BuildRequires:	pkgconfig(x11)
BuildRequires:	imagemagick
Patch0:		%{name}-preview3-fix-makefile.patch
Patch2:		%{name}-preview3-fix-nosound.patch
Patch3:		0001-fix-includes.patch
Patch4:		bobobot-ldflags.patch

%description
BoboBot is a multi-level one-player action game starring "BoboBot," the
robo-monkey. It's played with the keyboard, or optionally with a joystick

%prep
%autosetup -p1 -n %{name}-preview3

chmod +x mods/unused
chmod -R a+r *

%build
# build with no sound as it needs deprecated esound-devel
# %%make_build SOUND=YES MUSIC=YES INSTALLROOT=%{_gamesbindir}/%{name} \
%make_build INSTALLROOT=%{_gamesbindir}/%{name} \
  DATA=%{_gamesdatadir}/%{name} OPTIMIZE="%{build_cflags}" LDFLAGS="%{build_ldflags}" %{name}

%install
%{__install} -d %{buildroot}{%{_liconsdir},%{_miconsdir}}
convert %{name}-icon.xpm -size 16x16 %{buildroot}%{_miconsdir}/%{name}.png
convert %{name}-icon.xpm -size 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert %{name}-icon.xpm -size 48x48 %{buildroot}%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=BoboBot
Comment=%{sum}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

install -d %{buildroot}{%{_gamesbindir},%{_gamesdatadir}}
make INSTALLROOT=%{buildroot}%{_gamesdatadir}/%{name}
mv %{buildroot}%{_gamesdatadir}/%{name}/%{name} %{buildroot}%{_gamesbindir}

%files
%doc docs/*
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_gamesbindir}/%{name}
