#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           bomber
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Arcade bombing game
License:        GPLv2 and LGPLv2 and GFDL
Group:          Games/Arcade
Url:            https://apps.kde.org/bomber/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KDEGames6)

Recommends:     bomber-handbook


%description
Bomber is a single player arcade game.

The player is invading various cities in a plane that is decreasing in height.
The goal of the game is to destroy all the buildings and advance to the next
level. Each level gets a bit harder by increasing the speed of the plane and the
height of the buildings.

%files -f %name.lang
%_kf6_bindir/bomber
%_kf6_applicationsdir/org.kde.bomber.desktop
%_kf6_datadir/bomber/
%_kf6_datadir/config.kcfg/bomber.kcfg
%_kf6_iconsdir/*/*/*/*
%_kf6_metainfodir/org.kde.bomber.appdata.xml

#------------------------------------------------------------------------------

%package -n bomber-handbook
Summary:        bomber handbook
Group:          Documentation
BuildArch:      noarch
Requires:       bomber >= %{epoch}:%{version}-%{release}

%description -n bomber-handbook
This package provides the bomber handbook.

%files -n bomber-handbook
%doc %_kf6_docdir/HTML/*/bomber

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
