Name:		bonnie++
Version:	2.00a
Release:	%mkrel 2
Summary:	A program for benchmarking hard drives and filesystems
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		https://www.coker.com.au/bonnie++/
Source0:	https://www.coker.com.au/%{name}/%{name}-%{version}.tgz
Patch0:		bonnie++-1.97-makefile.patch
Patch1:		bonnie++-2.00a-mga-data-ambiguous.patch
Provides:	bonnie
Obsoletes:	bonnie

%description
Bonnie++ is a benchmark suite that is aimed at performing a number of simple
tests of hard drive and file system performance.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-stripping
%make_build MORECFLAGS="%{optflags}"

%install
[ -e debian/changelog ] && (rm -f changelog.txt ; mv debian/changelog changelog.txt)
%makeinstall DESTDIR=%{buildroot}

%files
%doc changelog.txt readme.html credits.txt README-2.00
%{_sbindir}/%{name}
%{_sbindir}/getc_putc
%{_sbindir}/getc_putc_helper
%{_sbindir}/zcav
%{_bindir}/bon_csv2html
%{_bindir}/bon_csv2txt
%{_bindir}/generate_randfile
%{_mandir}/man1/*
%{_mandir}/man8/*
