#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define _grubthemedir /boot/grub2/themes

%define rel 1

Name:           breeze-grub
Version: 6.3.4
Release:        %mkrel %{rel}
Summary:        Breeze theme for GRUB2
License:        GPLv3
Group:          System/Boot and Init
URL:            https://invent.kde.org/plasma/breeze-grub
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  kf6-rpm-macros

Requires:       grub2bootloader

Provides:       grub2-breeze-theme = %{version}-%{release}

%description
Breeze theme for GRUB2.

%files
%{_grubthemedir}/breeze/

#--------------------------------------------------------------------


%prep
%autosetup -p1

%build

%install
mkdir -p %{buildroot}%{_grubthemedir}
cp -pr breeze %{buildroot}%{_grubthemedir}/
