#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define debug_package %{nil}

%define rel 1

Summary:        Breeze widget theme for Gtk2 and Gtk3
Name:           breeze-gtk
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
# Upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6)
BuildRequires:  cmake(Qt6Core)

BuildRequires:  cmake(Breeze)

BuildRequires:  pkgconfig(gtk+-2.0)

BuildRequires:  sassc

BuildRequires:  python3dist(pycairo)

%description
Breeze widget theme for Gtk2 and Gtk3.

%files
%_kf6_datadir/themes/Breeze/
%_kf6_datadir/themes/Breeze-Dark/

#--------------------------------------------------------------------


%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install
