Name:           bti
Version:        034
Release:        %mkrel 13
Summary:        Bash Twitter/Identi.ca Idiocy
Group:          Networking/News
License:        GPLv2
URL:            https://github.com/gregkh/bti
# for downloading from github:
# wget --content-disposition %%{url}/tarball/%%{version}
Source0:        https://www.kernel.org/pub/software/web/bti/bti-%{version}.tar.gz
Patch0:         bti-034_json-c_013.patch
Patch1:         bti-034-pcre2.patch

BuildRequires:  pkgconfig(oauth)
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(json-c)

%description
Allows you to pipe your bash input to twitter or identi.ca in an easy
and fast manner to annoy the whole world.


%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

# bash completion
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
cp -p bti-bashcompletion %{buildroot}%{_datadir}/bash-completion/completions/bti


%files
%doc ChangeLog COPYING README RELEASE-NOTES
%doc %{name}.example
%{_datadir}/bash-completion/completions/bti
%{_bindir}/%{name}
%{_bindir}/%{name}-shrink-urls
%{_mandir}/man1/*
