%define main_name	 bugzilla
%define extension sitemap
%define upper_extension Sitemap
%define pre     %nil

%global __provides_exclude perl\\(.*\\)
%global __requires_exclude perl\\((XML::Twig|MIME::Parser|Bugzilla.*|DBD::.*|DBI::st)\\)

Name:		%{main_name}-extension-%{extension}
Version:	1.0
Release:	%mkrel 12

Summary:        An Extension for Bugzilla that allows Google and other search engines to index bugs	
License:	MPL
Group:		Networking/WWW
Url:		https://www.bugzilla.org/
Source0:	http://bugzilla-sitemap.googlecode.com/files/%upper_extension-%version.tar.gz
Requires:       bugzilla > 3.6
Requires:       perl(Search::Sitemap)
BuildArch:	noarch

%description
The Sitemap Extension for Bugzilla 3.6 and above allows Google and 
other search engines to index bugs in your Bugzilla installation. 

%files
%{_datadir}/%{main_name}/extensions/%upper_extension

#--------------------------------------------------------------------

%prep
%setup -q -n %upper_extension

%build

%install
%__mkdir -p %{buildroot}%{_datadir}/%{main_name}/extensions/%upper_extension
mv -fv * %{buildroot}%{_datadir}/%{main_name}/extensions/%upper_extension/
