Name:		bwidget
Version:	1.9.14
Release:	%mkrel 2
Summary:	Extended widget set for Tk
Group:		System/Libraries
License:	BSD
URL:		https://sourceforge.net/projects/tcllib/
Source0:	https://downloads.sourceforge.net/tcllib/%{name}-%{version}.tar.gz
Requires:	tcl
Requires:	tk
BuildRequires:	pkgconfig(tcl)
BuildArch:	noarch

%description
An extended widget set for Tcl/Tk.

%prep
%setup -q
%{__sed} -i 's/\r//' LICENSE.txt BWman/*.html

%build

%install
# Don't bother with the included configure script and Makefile.  They
# are missing a lot of pieces and won't work at all.  Installation is
# pretty simple, so we can just do it here manually.
%{__mkdir_p} %{buildroot}%{tcl_sitelib}/%{name}%{version}/
%{__mkdir_p} %{buildroot}%{tcl_sitelib}/%{name}%{version}/lang
%{__mkdir_p} %{buildroot}%{tcl_sitelib}/%{name}%{version}/images

%{__install} -m 0644 -pD *.tcl %{buildroot}%{tcl_sitelib}/%{name}%{version}/
%{__install} -m 0644 -pD lang/*.rc %{buildroot}%{tcl_sitelib}/%{name}%{version}/lang/
%{__install} -m 0644 -pD images/*.gif images/*.xbm %{buildroot}%{tcl_sitelib}/%{name}%{version}/images/

%files
%doc README.txt LICENSE.txt
%doc BWman/*.html
%{tcl_sitelib}/%{name}%{version}
