Summary:	Driver for the Lexmark 2050 printer
Name:		c2050
Version:	0.4
Release:	%mkrel 18
Group:		System/Printing
License:	GPL
URL:		http://www.prato.linux.it/~mnencia/lexmark2050
Source0:	http://www.prato.linux.it/~mnencia/lexmark2050/%{name}-%{version}.tar.gz
Patch0:		c2050-0.3-looplimits.patch
Patch1:		c2050-implicit-int.patch

Conflicts:	printer-utils = 2007
Conflicts:	printer-filters = 2007

%description
Lexmark 2050 Color Jetprinter printer driver.

%prep

%setup -q
%patch -P 0 -p0
%patch -P 1 -p1

%build
%{__cc} %{optflags} %{ldflags} -o c2050 c2050.c

%install
install -d %{buildroot}%{_bindir}

install -m0755 c2050 %{buildroot}%{_bindir}/
install -m0755 ps2lexmark %{buildroot}%{_bindir}/
install -m0755 ps2monolexmark %{buildroot}%{_bindir}/

%files
%defattr(0644,root,root,0755)
%doc README COPYING
%attr(0755,root,root) %{_bindir}/*


