Summary:        A program to extract Microsoft Cabinet files
Name:           cabextract
Version:        1.11
Release:        %mkrel 1
Group:          Archiving/Compression
License:        GPLv2+
URL:            https://www.cabextract.org.uk/
Source:         https://www.cabextract.org.uk/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(libmspack)

%description
Cabinet (.CAB) files are a form of archive, which Microsoft use to
distribute their software, and things like Windows Font Packs. The
cabextract program simply unpacks such files.

%prep
%setup -q
%autopatch -p1

%build
%configure \
    --with-external-libmspack
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog NEWS README
%attr(0755, root, root) %{_bindir}/cabextract
%{_mandir}/man1/cabextract.1*
