Summary:	Command-line WebDAV client
Name:		cadaver
Version:	0.26
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/File transfer
URL:		https://notroj.github.io/cadaver/
Source0:	https://notroj.github.io/cadaver/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(neon)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(zlib)

%description
A command-line WebDAV client. Supports file upload, download,
on-screen display, namespace operations (move/copy), collection
creation and deletion, and locking operations.

%prep
%autosetup -p1

%build
#autoreconf -vfi
%configure \
    --with-neon=%{_prefix} \
    --with-ssl \
    --with-libxml2

%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS TODO FAQ ChangeLog
%{_bindir}/*
%{_mandir}/man1/*

