Name: cagibi
Summary: An experimental cache/proxy system for the SSDPpart of UPnP
Version: 0.2.0
Release: %mkrel 8
Url: https://kde.org
License: LGPLv2+
Group: System/Libraries
Source0: https://fr2.rpmfind.net/linux/KDE/stable/cagibi/%name-%version.tar.bz2
BuildRequires: qt4-devel
BuildRequires: kde4-macros
BuildRequires: automoc4

%description
Cagibi aims to be to SSDP what Avahi is to DNS-SD/Zeroconf:
a cache caching all service/device announcements on the network in a
local process as well as being a broker serving local announcements to
the network.
Both should be done by a single daemon process, accessible via D-Bus
on the system bus. The cache should offer active queries, so another
process is only informed about changes about UPnP devices it is
interested in.

%files
%{_kde_bindir}/cagibid
%{_sysconfdir}/cagibid.conf
%{_sysconfdir}/dbus-1/system.d/org.kde.Cagibi.conf
%{_kde_datadir}/dbus-1/interfaces/org.kde.Cagibi.Control.xml
%{_kde_datadir}/dbus-1/interfaces/org.kde.Cagibi.DeviceList.xml
%{_kde_datadir}/dbus-1/system-services/org.kde.Cagibi.service


#--------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kde4
%cmake_build

%install
%cmake_install

