%define         oname CaRMetal

Name:           carmetal
Version:        3.6.6
Release:        %mkrel 10
Summary:        Dynamic geometry software
Group:          Sciences/Mathematics
License:        LGPLv3
URL:            http://db-maths.nuxit.net/CaRMetal/
Source0:        %oname-%version.tar.bz2
Requires:       java
BuildArch:      noarch

%description
Dynamic geometry software with a focus on direct manipulation
of the elements of the graphical interface.

%files
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop

#--------------------------------------------------------------------

%prep
%setup -q -n %{oname}

%build

%install
mkdir -p %{buildroot}%_datadir/%{name}
cp -frv *  %{buildroot}%_datadir/%{name}

mkdir -p %{buildroot}%_datadir/applications/
cp CaRMetal.desktop %{buildroot}%_datadir/applications/%{name}.desktop
