Summary: CloneCD image to ISO image file converter
Name: ccd2iso
Version: 0.3
Release: %mkrel 17
Source0: https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0: %{name}-0.3-compilerWarnings.patch
Patch1: %{name}-0.3-configure-c99.patch
Patch2: %{name}-0.3-manual.patch
License: GPLv2+
Group: Archiving/Cd burning
# Not yet real page
Url: https://sourceforge.net/projects/%{name}/

%description
CloneCD is an image to ISO image file converter.

%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p1
%patch -P 2 -p0

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_mandir}/man1
install -p -m644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc README INSTALL AUTHORS
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
