Name:           cdbs
Version:        0.4.172
Release:        %mkrel 1
Summary:        Common build system for Debian packages
Group:          System/Packaging
License:        GPLv2+
URL:            https://salsa.debian.org/build-common-team/cdbs
Source0:        https://ftp.debian.org/debian/pool/main/c/%{name}/%{name}_%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  autoconf-archive

%description
This package contains the Common Debian Build System, an abstract build system
based on Makefile inheritance which is completely extensible and overridable.
In other words, CDBS provides a sane set of default rules upon which packages
can build; any or all rules may be overridden as needed.

%prep
%autosetup -n %{name}

%build
./autogen.sh
%configure
%make_build

%install
%make_install

#check
# Although the Makefile has a check rule, it requires a functional
# dpkg-checkbuilddeps, which is not the case on Fedora or Mageia.

%files
%doc TODO
%license COPYING
%{_libexecdir}/%{name}
%{_datadir}/%{name}/
