Name:		centerim
Summary:	Console ncurses based multi-protocol instant messenger
Version:	5.0.1
Release:	%mkrel 7
License:	GPLv2+ and LGPLv2+
Group:		Networking/Instant messaging
URL:		https://www.centerim.org/
Source0:	https://www.centerim.org/download/cim5/%{name}5-%{version}.tar.gz
BuildRequires:	pkgconfig(libgadu)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(libnsl)
BuildRequires:	pkgconfig(purple)
BuildRequires:	pkgconfig(sigc++-2.0)
BuildRequires:	gettext-devel
BuildRequires:	gpgme-devel
Obsoletes:	centericq
Provides:	centericq

%description
CenterIM is a text mode menu- and window-driven instant messenger. ICQ,
Yahoo!, AIM TOC, IRC, MSN, Gadu-Gadu and Jabber protocols are currently
supported.  There is also an internal RSS reader and a LiveJournal client.

CenterIM is a fork of the CenterICQ project.

%prep
%setup -q -n %{name}5-%{version}
%autopatch -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%find_lang %{name}5

%files -f %{name}5.lang
%doc README TODO AUTHORS
%{_bindir}/centerim5
%{_mandir}/man1/centerim5.1*
%{_libdir}/libcppconsui*
%{_libdir}/%{name}5
