%define oname   Cerealizer

Name:           cerealizer
Version:        0.8.4
Release:        %mkrel 2
Summary:        Python module that allows one to save objects in files
License:        Python license
Group:          Development/Python
Url:            https://www.lesfleursdunormal.fr/static/informatique/cerealizer/index_en.html
Source:         https://pypi.io/packages/source/c/cerealizer/%{oname}-%{version}.tar.gz
Patch0:         cerealizer-0.8.3-fix-StrHandler-class.patch
BuildRequires:  pkgconfig(python3)
BuildArch:      noarch

%description
Python module that allows one to save objects in files.

%package -n     python3-%{name}
Summary:        Python 3 module that allows one to save objects in files
Group:          Development/Python
BuildArch:      noarch

%description -n python3-%{name}
Python 3 module that allows one to save objects in files.

%prep
%setup -q  -n %{oname}-%{version}
%autopatch -p1


rm -rf `find -name CVS` `find -name .cvswrappers`

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

%files -n python3-%{name} -f %{pyproject_files}
%doc README.rst
