
Summary:	A dvd chapter tool for Linux
Name:		chaplin
Version:	1.10
Release:	%mkrel 14
License:	GPLv2
Group:		Video/Utilities
Source:		https://www.lallafa.de/bp/files/%{name}-%{version}.tgz
Patch0:		chaplin-1.10-cflags.patch
URL:		https://www.lallafa.de/bp/%{name}.html

BuildRequires:	pkgconfig(dvdread)

%description
The tool parses a DVD disc or image and extracts the exact duration for each
chapter of a given title. Then the total list of chapters is split into a
user-selectable number of subsets. Each subset should have approximately the
same duration.

%prep
%setup -q -n chaplin
%autopatch -p1

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
mkdir -p %{buildroot}%_bindir
cp %name %{buildroot}%_bindir
cp %{name}-genmenu %{buildroot}%_bindir

%files
%_bindir/%name
%_bindir/%{name}-genmenu

