Summary: Check shell scripts for common bash-specific constructs
Name: checkbashisms
Version: 2.19.6
Release: %mkrel 4
License: GPLv2+
Group: Development/Other
Url: https://packages.debian.org/sid/devscripts
Source0: https://deb.debian.org/debian/pool/main/d/devscripts/devscripts_%{version}.tar.xz
BuildArch: noarch

%description
checkbashisms checks whether a /bin/sh script contains any common
bash-specific constructs.
It is extracted from the Debian devscripts package.

%prep
%setup -q -n devscripts-%{version}

%build

%install
install -d %{buildroot}%{_bindir}
install -m755 scripts/%{name}.pl %{buildroot}%{_bindir}/%{name}
install -d %{buildroot}%{_mandir}/man1
install -m644 scripts/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -d %{buildroot}%{_sysconfdir}/bash_completion.d
install -m644 scripts/%{name}.bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_sysconfdir}/bash_completion.d/%{name}

