Name:		cheser-icon-theme
Summary:	Tango-style icons for GNOME and Xfce
Version:	3.20.0
Release:	%mkrel 6
License:	CC-BY-SA
Group:		Graphical desktop/GNOME
Url:		https://gnome-look.org/content/show.php/Cheser+Icons?content=113386
Source0:	https://github.com/mattiasrunge/cheser-icon-theme/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-Added-a-package.json-file.patch
Patch2:		0002-Added-status-icons-which-can-be-rotated-and-have-the.patch
Patch3:		0003-More-work-on-status-extras.patch
Patch4:		0004-New-icons.patch
Patch5:		0005-Added-things-icons.patch
Patch6:		0006-New-svgs-for-gear-and-thing-icons.patch
Patch7:		0007-Add-new-icon-for-skipped-status.patch
Patch8:		0008-Adds-glass-like-svg-icons-for-displaying-future-stat.patch
Patch9:		0009-Changed-color-of-tinted_glass.svg.patch
Patch10:	0010-Add-new-icon-for-errored-status.patch
BuildArch:	noarch
BuildRequires:	git-core
# for gtk-update-icon-cache
Requires(post): gtk-update-icon-cache

%description
A mix of different Tango-style icons for GNOME and Xfce.

%prep
%autosetup -p1 -Sgit_am

#remove some zero size files
find Cheser -type f -size 0 -delete

%build
#nothing

%install
mkdir -p %{buildroot}%{_iconsdir}
cp -a Cheser %{buildroot}%{_iconsdir}

touch %{buildroot}%{_iconsdir}/Cheser/icon-theme.cache

%post
%update_icon_cache Cheser

%files
%license COPYING
%doc NEWS* README.md
%dir %{_iconsdir}/Cheser/
%{_iconsdir}/Cheser/*/
%{_iconsdir}/Cheser/index.theme
%ghost %{_iconsdir}/Cheser/icon-theme.cache
