Name:           chntpw
# Version is taken from HISTORY.txt
Version:        1.0
Release:        %mkrel 7
Summary:        Change passwords in Windows SAM files
Group:          Editors
License:        GPLv2
URL:		https://pogostick.net/~pnh/ntpasswd/
Source0:	https://pogostick.net/~pnh/ntpasswd/chntpw-source-140201.zip
Source2:        chntpw-README.Dist
# The man page is borrowed from Debian
Source3:        chntpw-chntpw.8
BuildRequires:  libgcrypt-devel

Patch1:		chntpw-140201-debian-port_to_gcrypt.patch
Patch2:		chntpw-140201-debian-get_abs_path.patch
Patch3:		chntpw-140201-debian-correct_test_open_syscall.patch
Patch4:		chntpw-140201-debian-detect_failure_to_write_key.patch
Patch5:		chntpw-140201-debian-no_deref_null.patch
Patch6:		chntpw-140201-debian-improve_robustness.patch
Patch7:		chntpw-140201-hexdump-pointer-type.patch


%description
This is a utility to (re)set the password of any user that has a valid
(local) account on your Windows NT/2k/XP/Vista etc system. You do not
need to know the old password to set a new one. It works offline, that
is, you have to shutdown your computer and boot off a floppydisk or CD
or another system. Will detect and offer to unlock locked or disabled
out user accounts! There is also a registry editor and other registry
utilities that works under linux/unix, and can be used for other things
than password editing.


%prep
%setup -q -n %{name}-140201
cp -p %{SOURCE2} README.Dist
sed -e 's/\r$//' WinReg.txt > WinReg.txt.eol
touch -c -r WinReg.txt WinReg.txt.eol
mv WinReg.txt.eol WinReg.txt

%autopatch -p1


%build
make CC="%__cc" EXTRA_CFLAGS="$RPM_OPT_FLAGS" chntpw cpnt reged


%install
mkdir -p %{buildroot}%{_bindir}
cp chntpw %{buildroot}%{_bindir}
cp cpnt   %{buildroot}%{_bindir}
cp reged  %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man8/
cp -p %{SOURCE3} %{buildroot}%{_mandir}/man8/%{name}.8



%files
%doc GPL.txt LGPL.txt README.txt regedit.txt WinReg.txt HISTORY.txt
%doc README.Dist
%{_bindir}/chntpw
%{_bindir}/cpnt
%{_bindir}/reged
%{_mandir}/man8/%{name}.8*


