Name:           clamz
Version:        0.5
Release:        %mkrel 10
Summary:        Command-line down-loader for the amazon.com MP3 music store
Group:          Networking/WWW
License:        GPLv3
Url:            https://code.google.com/p/clamz/
Source0:        http://clamz.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRequires: libgcrypt-devel
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(expat)
BuildRequires: shared-mime-info
BuildRequires: desktop-file-utils

%description
Clamz is a little command-line program to down-load MP3 files from the
Amazon.com music store. It is intended to serve as a substitute for
Amazon's official MP3 Downloader, which is not free software and
therefore is only available in binary form for a limited set of
platforms. Clamz can be used to download either individual songs or
complete albums that you have purchased from Amazon.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install UPDATE_MIME_DATABASE=true UPDATE_DESKTOP_DATABASE=true

%files
%doc README
%_bindir/%name
%_datadir/man/man1/%name.1*
%_datadir/applications/%name.desktop
%_datadir/mime/packages/%name.xml

