%define debug_package %{nil}

Summary:	Icon themes for Claws-Mail
Name:		claws-mail-themes
Version:	20221017
Release:	%mkrel 1
# For a breakdown of the licensing, see README
License:	GPLv2+ and GPLv2 and GPLv3 and LGPLv2 and CC-BY and CC-BY-SA and MPLv1.1 and Public Domain
Group:		Networking/Mail
URL:		https://claws-mail.org/

# We are using debian sources since some themes are nonfree in upstream tarball
# see https://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=3640
# and https://packages.debian.org/source/sid/claws-mail-themes
Source0:	http://deb.debian.net/debian/pool/main/c/%{name}/%{name}_%{version}+dfsg.1.orig.tar.xz
#from https://salsa.debian.org/claws-mail-team/claws-mail-themes/-/raw/master/debian/copyright
Source1:	copyright
#from https://salsa.debian.org/claws-mail-team/claws-mail-themes/-/tree/master/debian/patches
Patch0:		remove-non-free-themes
Patch1:		makefile-am-add-foreign

Requires:	claws-mail >= 2.7.0
BuildArch:	noarch

%description
This package contains various user contributed icon themes for claws-mail.

%prep
%setup -q -n %{name}-%{version}+dfsg.1
%autopatch -p1

%build
autoreconf
%configure
%make_build

%install
%make_install
%__install -m 644 %{SOURCE1} README

%files -n %{name}
%{_datadir}/claws-mail/themes/*
%doc README
