%define	major	2
%define	libname	%mklibname %name %major
%define	oldlibname %mklibname %name 1
%define	develname %mklibname %name -d

Name:		clthreads
Summary:	C++ libraries
Version:	2.4.2
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Libraries 
Source0:	https://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
Patch0:		clthreads-makefile.patch
URL:		https://kokkinizita.linuxaudio.org/linuxaudio/aeolus/index.html

%description
Clthreads C++ libraries

#--------------------------------------------------------------------
%package -n %{libname}
Group:		System/Libraries
Summary:	Libraries for %{name}
Obsoletes:	%{oldlibname} < 2.4.0

%description -n	%{libname}
The libraries from %{name} package

%files -n %{libname}
%{_libdir}/libclthreads.so.%{major}{,.*}

#--------------------------------------------------------------------
%package -n %{develname}
Group:		Development/Other
Summary:	Libraries for %{name}
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{oldlibname}-devel < 2.4.0
Obsoletes:	%{libname}-devel < 2.4.0

%description -n	%{develname}
Development libraries from %{name}

%files -n %{develname}
%{_includedir}/clthreads.h
%{_libdir}/libclthreads.so

#--------------------------------------------------------------------
%prep
%autosetup -p1

%build
cd source
%make_build LDFLAGS="%{ldflags}" CPPFLAGS="%{optflags} -fPIC" PREFIX=%{_prefix} LIBDIR=%{_lib}

%install
cd source
mkdir -p %{buildroot}%{_includedir}
%make_install DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_lib} 
