Name:           codehaus-parent
Version:        4
Release:        %mkrel 19
Group:          Development/Java
Summary:        Parent pom file for codehaus projects
License:        ASL 2.0
URL:            http://codehaus.org/
BuildArch:      noarch

#Next version with license is at https://github.com/sonatype/codehaus-parent/blob/master/pom.xml
Source0:        https://repo1.maven.org/maven2/org/codehaus/codehaus-parent/%{version}/codehaus-parent-%{version}.pom
Source1:        https://www.apache.org/licenses/LICENSE-2.0.txt

Patch0:         %{name}-enforcer.patch

BuildRequires:  maven-local

%description
This package contains the parent pom file for codehaus projects.

%prep
%setup -q -c -T
cp -p %{SOURCE0} pom.xml
cp -p %{SOURCE1} LICENSE
%patch -P 0

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE

