Summary: A utility to collect various linux performance data
Name: collectl
Version: 4.3.5
Release: %mkrel 1
License: GPL+ or Artistic
Group: Monitoring
Source0: https://prdownloads.sourceforge.net/%name/%{name}-%{version}.src.tar.gz
Source1:collectl-mga
#patch0: collectl-3.4.0-install.patch
Url: https://collectl.sourceforge.net/
BuildArch: noarch

%description
A utility to collect linux performance data

%prep
%setup -q -n %{name}
#%patch0

%build

%install
export DESTDIR=$RPM_BUILD_ROOT
./INSTALL
chmod 644 ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}.conf
# lspci is under /usr/bin
echo "Lspci = /usr/bin/lspci" >> ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}.conf
chmod 644 ${RPM_BUILD_ROOT}%{_datadir}/doc/%{name}/*

%files
%doc RELEASE-%{name} docs/*.html* README GPL ARTISTIC COPYING
%doc docs/*.jpg docs/style.css
%config(noreplace) %{_sysconfdir}/%{name}.conf
#gw AFAIK logrotate is not needed as collectl does that itself
%dir /var/log/%{name}
%{_bindir}/*
%{_mandir}/man1/*
%{_sysconfdir}/init.d/%{name}
%{_datadir}/%{name}

%preun
# If collectl is running, stop it before removing.
/etc/init.d/%{name} stop
chkconfig --del %{name} 2>&1 > /dev/null

%post
chkconfig --add %{name} 2>&1 > /dev/null
/etc/init.d/%{name} start
