Name:           colordiff
Version:        1.0.21
Release:        %mkrel 1
Summary:        Wrapper for diff that produces output with syntax highlighting
Group:          Development/Tools
License:        GPLv2+
Url:            https://www.colordiff.org
Source0:        https://www.colordiff.org/%{name}-%{version}.tar.gz
BuildArch:      noarch

Requires:       diffutils
Requires:       less
Requires:       webfetch

%description
The Perl script colordiff is a wrapper for diff. It produces the same
output but with syntax highlighting. Color schemes can be customized.

%prep
%autosetup -p1

%build

%install
%make_install \
  INSTALL_DIR=%{_bindir} \
  MAN_DIR=%{_mandir}/man1

%files
%doc BUGS CHANGES colordiffrc-gitdiff colordiffrc-lightbg README
%license COPYING
%{_bindir}/cdiff
%{_bindir}/%{name}
%{_mandir}/man1/cdiff.1*
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/colordiffrc
