%define shortname	bcop

Name:		compiz-bcop
Version:	0.8.18
Release:	%mkrel 2
Summary:	BCOP: Compiz Fusion plugin build utility
License:	GPLv2+
Group:		System/X11
URL:		https://github.com/compiz-reloaded/compiz-bcop
Source0:	https://github.com/compiz-reloaded/compiz-bcop/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	libxslt-devel
Requires:	xsltproc

%description
BCOP: Compiz Fusion plugin build utility

%files
%{_bindir}/%{shortname}
%dir %{_datadir}/%{shortname}
%{_datadir}/%{shortname}/%{shortname}.xslt
%{_datadir}/pkgconfig/%{shortname}.pc

%prep
%setup -q

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install
