%define oname	ccsm

Name:		compiz-ccsm
Epoch:		1
Version:	0.8.18
Release:	%mkrel 6
Summary:	Compiz Config Settings Manager
Group:		System/X11
License:	GPLv2+
Url:		https://github.com/compiz-reloaded/ccsm
Source0:	https://github.com/compiz-reloaded/ccsm/archive/v%{version}/%{oname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	compiz-devel >= 1:0.8.18
BuildRequires:	intltool
BuildRequires:	python3-devel

Provides:	ccsm = %{EVRD}
Requires:	compizconfig-python
Requires:	compiz >= 1:0.8.18

%description
Configuration tool for Compiz when used with the ccp configuration plugin (default).

#----------------------------------------------------------------------------

%prep
%setup -q -n %{oname}-%{version}

%build
%py3_build -- --prefix=%{_prefix} --with-gtk=3.0

%install
%py3_install -- --prefix=%{_prefix}

%find_lang %{oname}

%files -f %{oname}.lang
%{_bindir}/ccsm
%{_datadir}/ccsm/
%{_datadir}/applications/ccsm.desktop
%{_datadir}/metainfo/ccsm.appdata.xml
%{_datadir}/compiz/icons/hicolor/*/*/*.{svg,png}
%{_iconsdir}/hicolor/*/apps/ccsm.*

%{python3_sitelib}/ccm/
%{python3_sitelib}/ccsm-%{version}-py%{python3_version}.egg-info
