Summary:	Non-default Compiz compositing manager plugins
Name:		compiz-plugins-main
Version:	0.8.18
Release:	%mkrel 4
License:	GPLv2+
Group:		System/X11
URL:		https://github.com/compiz-reloaded/compiz-plugins-main/
Source0:	https://github.com/compiz-reloaded/compiz-plugins-main/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-ezoom_Enable-focus-tracking-by-default.patch
Source2:	0001-UpdateFrench-translation.patch
Patch3:		0001-focuspoll_Fix-disabling-a11ywatcher-on-disabling-focus-poll.patch
Patch4:		0001-colorfilter_Fix-parsing-comments.patch
Patch5:		0001-Add-a-photo-sensitivity-filter.patch
Patch6:		0001-focuspoll_Fix-focus-position-on-some-situation-with-ATK-2.36.patch
Patch7:		0001-ezoom_Fix-crash-when-plugging-in-a-new-output.patch
Patch8:		0001-focuspoll_Ignore-region-changed-events-when-not-in-say-all-mode.patch
Patch9:		0001-neg_Do-not-exclude-any-window-by-default.patch
Patch10:	0001-Fixed-build-with-gcc-14.patch
BuildRequires:  compiz-devel >= 1:0.8.18
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	pkgconfig(atspi-2)
BuildRequires:	pkgconfig(bcop)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(pango)
Requires:	compiz >= 1:0.8.18

%description
Non-default Compiz compositing manager plugins.

%files -f %{name}.lang
%{_libdir}/compiz/*.so
%{_datadir}/compiz/*.xml
%{_datadir}/compiz/Default/*.png
%{_datadir}/compiz/filters/*
%{_datadir}/compiz/icons/hicolor/scalable/apps/*.svg

#----------------------------------------------------------------------------

%package	devel
Summary:	Development files for Compiz Main Plugin Set for compiz
Group:		Development/X11
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for Compiz Main Plugin Set for compiz

%files devel
%{_includedir}/compiz/*
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------------

%prep
%autosetup -p1

# make autoreconf more happy
mkdir -p m4

%build
autoreconf -vfi -Im4
intltoolize --copy --force --automake
%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}
