Name:		connectagram
Version:	1.3.8
Release:	%mkrel 1
Summary:	A word unscrambling game
Group:		Games/Puzzles
License:	GPLv3+
URL:		https://gottcode.org/connectagram
Source:		https://gottcode.org/connectagram/%{name}-%{version}.tar.bz2

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake

%description
Connectagram is a word unscrambling game. The board consists of several
scrambled words that are joined together. You can choose the length of
the words, the amount of words, and the pattern that the words are
arranged in. The game provides a hint option for times when you are
stuck, and features an online word lookup that fetches the definitions
of each word from Wiktionary. Your current progress is automatically
saved.

%prep
%setup -q

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*
