Name:		converseen
Version:	0.13.0.0
Release:	%mkrel 1
Summary:	A batch image conversion tool
Group:		Graphics/Editors and Converters
License:	GPLv3
URL:		https://converseen.fasterland.net/
Source0:	https://downloads.sourceforge.net/converseen/%{name}-%{version}.tar.bz2

BuildRequires:	cmake
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(ImageMagick)
BuildRequires:	pkgconfig(Magick++)
BuildRequires:	imagemagick

Requires:	graphviz

%description
Converseen is a batch image conversion tool and resizer written in C++ with Qt6
and Magick++.  Converseen allows you to convert images in more than 100
different formats!


%prep
%autosetup -p1

%build
%cmake_qt6 -DUSE_QT6:BOOL=ON

%cmake_build

%install
%cmake_install

%files
%doc CHANGELOG README.md
%license COPYING.txt
%{_bindir}/%{name}
%{_datadir}/applications/net.fasterland.converseen.desktop
%{_datadir}/kio/servicemenus/converseen_import.desktop
%{_datadir}/%{name}/
%{_metainfodir}/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/converseen.png
