Name:		cowpatty
Version:	4.8
Release:	%mkrel 4
Summary:	WPA password cracker

Group:		Networking/Other
License:	GPLv2
URL:		https://github.com/joswr1ght/cowpatty
Source0:	https://github.com/joswr1ght/cowpatty/releases/download/%{version}/%{name}-%{version}.tgz
# from master commit 0a274975040960d85cd68550facf801fc3a9d7df
Patch0:		cowpatty-4.8-upstream-fixes.patch
# https://github.com/joswr1ght/cowpatty/pull/8
Patch1:		cowpatty-4.8-more-Makefile-improvements.patch

BuildRequires:	libpcap-devel
BuildRequires:	pkgconfig(openssl)

%description
Cowpatty is designed to audit the pre-shared key (PSK) selection for WPA
networks based on the TKIP protocol. It can perform both dictionary and
computed rainbow table attacks.


%prep
%setup -q
%autopatch -p1

sed '/clang/d' -i Makefile

%build
%set_build_flags
%make_build

%install
%make_install BINDIR=%{_bindir} MANDIR=%{_mandir}/man1

%files
%doc AUTHORS COPYING README FAQ TODO CHANGELOG
%{_bindir}/%{name}
%{_bindir}/genpmk
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/genpmk.1.*
