Name:           cpufreq
Version:        2.0
Release:        %mkrel 4
Summary:        A script for an init system to set CPU frequency settings
License:        GPL
Group:          System/Servers
URL:            https://wiki.mageia.org/en/Power_saving
Source0:        %{name}-%{version}.tar.xz

BuildArch:      noarch

Requires:       pciutils, sed, gawk, grep, coreutils
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
cpufreq is a simple script for an init system to set CPU frequency settings.


%prep
%setup -q

%build

%install
install -D -m755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m644 %{name}.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -D -m644 %{name}.service %{buildroot}%{_unitdir}/%{name}.service

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%{_bindir}/%{name}
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
