Name:		cpuid
Version:	20250316
Release:	%mkrel 1
Summary:	Dumps information about the CPU(s)
License:	BSD
Group:		System/Kernel and hardware
URL:		https://www.etallen.com/
Source:		https://www.etallen.com/%{name}/%{name}-%{version}.src.tar.gz
ExclusiveArch:	%{ix86} x86_64

%description
cpuid dumps detailed information about x86 CPU(s) gathered from the CPUID
instruction, and also determines the exact model of CPU(s). It supports Intel,
AMD, and VIA CPUs, as well as older Transmeta, Cyrix, UMC, NexGen, and Rise
CPUs.

%prep
%autosetup

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
%make_install INSTALL_STRIP=""

%files
%doc ChangeLog FUTURE
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_bindir}/cpuinfo2cpuid
%{_mandir}/man1/cpuinfo2cpuid.1*

