%define git 20120716
%define rel 11

Name:		cpulimit
Version:	1.2
Release:	%mkrel -c git%{git} %rel
Summary:	CPU Usage Limiter
URL:		https://github.com/opsengine/cpulimit
#git clone git://github.com/opsengine/cpulimit.git cpulimit-git`date +%Y%m%d` && rm -rf cpulimit-*/.git* && tar Jcvf cpulimit-git`date +%Y%m%d`.tar.xz cpulimit-git`date +%Y%m%d` && rm -rf cpulimit-git`date +%Y%m%d`
Source:		%{name}-git%{git}.tar.xz
Patch0:		0000-fix-includes.patch
License:	GPLv2+
Group:		Monitoring
%description
cpulimit is a tool which limits the CPU usage of a process (expressed
in percentage, not in CPU time). It is useful to control batch jobs,
when you don't want them to eat too many CPU cycles.
The goal is prevent a process from running for more than a specified
time ratio. It does not change the nice value or other scheduling
priority settings, but the real CPU usage.
Also, it is able to adapt itself to the overall system load,
dynamically and quickly.
The control of the used cpu amount is done sending SIGSTOP and
SIGCONT POSIX signals to processes.
All the children processes and threads of the specified process will
share the same percent of CPU.

%prep
%setup -q -n %{name}-git%{git}
%patch -P 0 -p1

%build
%make_build

%install
%{__mkdir} -p %{buildroot}%{_bindir}
%{__cp} -p src/%{name} %{buildroot}%{_bindir}/%{name}

%files
%doc README
%{_bindir}/%{name}
