
Name:			cqrlog
Version:		2.5.2
Release:		%mkrel 0.6
Summary:		An amateur radio contact logging program
Group:			Communications/Radio
License:		GPLv2
URL:			https://www.cqrlog.com/
Source0:		%{name}-%{version}.tar.gz
## TODO Does not work:
#Source0:		https://github.com/ok2cqr/%%{version}/releases/tag/v%%{version}/%%{name}-%%{version}.tar.gz

BuildRequires:	dos2unix
BuildRequires:	fpc
BuildRequires:	lazarus

Requires:		hamlib 
Requires:		mariadb-devel
Requires:		openssl-devel
Requires:		trustedqsl

%description
CQRLOG is an advanced ham radio logger based on MySQL database.
It provides radio control based on hamlib libraries (current support of 140+
radio types and models), DX cluster connection, QRZ callbook (web version),
a greyliner, internal QSL manager database support and a most accurate country
resolution algorithm based on country tables developed by OK1RR. CQRLOG is
intended for daily general logging of HF, CW & SSB contacts and strongly
focused on easy operation and maintenance.

%prep
%autosetup -p1

chmod -x src/azidis3.pas
chmod -x src/gline2.pas
chmod -x src/odbec.pas
chmod -x src/aziloc.pas
chmod -x src/znacmech.pas
chmod -x tools/cqrlog-apparmor-fix
chmod -x voice_keyer/voice_keyer.sh

%build
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS
%make_build ST=:

%install
%make_install

dos2unix %{buildroot}%{_datadir}/%{name}/ctyfiles/*
dos2unix %{buildroot}%{_datadir}/%{name}/members/*

%files
%doc %{_datadir}/%{name} 
%{_datadir}/applications/cqrlog.desktop
%{_datadir}/icons/cqrlog.png
%{_iconsdir}/cqrlog/*/cqrlog.png
%{_datadir}/pixmaps/cqrlog/*/cqrlog.png
%{_datadir}/pixmaps/cqrlog/cqrlog.png
%{_datadir}/appdata/cqrlog.appdata.xml
%{_bindir}/cqrlog
%{_mandir}/man1/cqrlog*
