Name:          create
Version:       0.1.3
Release:       %mkrel 0
Summary:       Shared resources for use by creative applications
Group:         Graphics
License:       GPL
Url:           https://create.freedesktop.org/
Source0:       https://create.freedesktop.org/releases/create/create-0.1.3.tar.bz2
BuildRequires: scons
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Create Project provides shared resources for use by creative applications such as Blender,
CinePaint, the GIMP, Inkscape, Scribus, Audacity and the Open Clip Art Library.

%prep
%setup -q -n create-%{version}

%build

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
install -d %{buildroot}%{_prefix}
scons -Q install PREFIX=%{buildroot}/%{_prefix}

rm -f %{buildroot}%{_datadir}/doc/create/COPYING
rm -f %{buildroot}%{_datadir}/doc/create/INSTALL
rm -f %{buildroot}%{_datadir}/doc/create/spec_0.1.1.html
rm -f %{buildroot}%{_datadir}/doc/create/styles.css

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root) 
%{_datadir}/create/
%doc COPYING
%doc docs/spec_0.1.1.html docs/styles.css

