%define pkgver %(echo %{version}|sed 's,[.],,g')
%define debug_package %{nil}

Name:           critter
Version:        1.6a
Release:        %mkrel 8
Summary:        A chess engine
License:        freeware
Group:          Games/Boards
URL:            https://www.vlasak.biz/critter/
# download from https://www.vlasak.biz/critter/
Source0:        %{name}_%{version}_linux.zip

ExclusiveArch:  %{ix86} x86_64

%description
Critter is the top chess UCI engine from Slovakia.
Originally Critter was developed in Delphi, but Delphi has
not still 64bit compiler.

That is why the program from version 0.42 was rewritten to
C++ using a BitBoard technology.

Such concept gives possibility to reach top performance.
Gaviota table bases are used. Richard thinks GTB is
a better choice for developers than Nalimov, because it has
a more liberal license.


%prep
%setup -q -c

%build

%install
%ifarch x86_64
install -p -D -m0755 critter-16a-64bit %{buildroot}%{_gamesbindir}/%{name}
%else
install -p -D -m0755 critter-16a-32bit %{buildroot}%{_gamesbindir}/%{name}
%endif

mkdir -p %{buildroot}%{_gamesdatadir}/%{name}

# the opening book
install -p -D -m0644 book.cbk %{buildroot}%{_gamesdatadir}/%{name}

%files
%{_gamesbindir}/%{name}
%{_gamesdatadir}/*
