%define sname   crossfire-client

Name:           %{sname}-data
Version:        1.71.0
Release:        %mkrel 8
Summary:        Data files for Crossfire game client
Group:          Games/Adventure
License:        GPLv2+
URL:            https://crossfire.real-time.com/
Source0:        https://downloads.sourceforge.net/project/crossfire/%{sname}/%{version}/%{sname}-images-%{version}.tar.bz2

BuildArch:      noarch

%description
Crossfire is a highly graphical role-playing adventure game with
characteristics reminiscent of rogue, nethack, omega, and gauntlet.
It has multiplayer capability and presently runs under X11.

This package contains data files for Crossfire game clients.
It includes sound files and image cache.

%prep
%autosetup -c -T

%build

%install
# Extract cache images to buildroot
mkdir -p %{buildroot}%{_gamesdatadir}/%{sname}/
tar -xvf %{SOURCE0} -C %{buildroot}%{_gamesdatadir}/%{sname}/

%files
%dir %{_gamesdatadir}/%{sname}
%{_gamesdatadir}/%{sname}/*
