Summary:	Cross-platform e-book reader
Name:		crqt-ng
Version:	1.0.14
Release:	%mkrel 1
License:	GPLv2+
Group:		Office/Utilities
Url:		https://gitlab.com/coolreader-ng/crqt-ng
Source0:	https://gitlab.com/coolreader-ng/crqt-ng/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	cmake(crengine-ng)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6Widgets)

Obsoletes:	coolreader3 < 3.2.59-2
Provides:	coolreader3

%description
crqt-ng - cross-platform open source e-book reader using crengine-ng.
It is a fork of the CoolReader project.

crqt-ng is an e-book reader. In fact, it is a Qt frontend for the
crengine-ng library.

Supported e-book formats through the use of the crengine-ng library: fb2,
fb3 (incomplete), epub (non-DRM), doc, docx, odt, rtf, pdb, mobi (non-DRM),
txt, html, Markdown, chm, tcr.

%prep
%autosetup -p1

%build
%cmake \
	-DUSE_QT=QT6
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS ChangeLog CONTRIBUTING.md README.md
%license LICENSE
%{_bindir}/crqt
%{_datadir}/crqt/
%{_datadir}/pixmaps/crqt.*
%{_iconsdir}/hicolor/*/apps/crqt.png
%{_iconsdir}/hicolor/scalable/apps/crqt.svg
%{_datadir}/applications/crqt.desktop
%{_metainfodir}/crqt.appdata.xml
