Name:           crudini
Version:        0.9.5
Release:        %mkrel 1
Summary:        A utility for manipulating ini files
Group :         Development/Other

License:        GPLv2
URL:            https://github.com/pixelb/%{name}
Source0:        %{pypi_source}
Patch0:         crudini-py3.patch

BuildArch:      noarch
BuildRequires:  locales
BuildRequires:  pkgconfig(python3)

%description
A utility for easily handling ini files from the command line and shell
scripts.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build

%install
install -p -D -m 0755 %{name}.py %{buildroot}%{_bindir}/%{name}

%check
pushd tests
LC_ALL=en_US.utf8 ./test.sh
popd

%files
%doc README.md TODO NEWS example.ini
%license COPYING
%{_bindir}/%{name}
