Name:       cryptkeeper
Version:    0.9.5
Release:    %mkrel 11
Summary:    System tray applet that manages EncFS encrypted folders
License:    GPLv3
Group:      System/Kernel and hardware
URL:        http://tom.noflag.org.uk/cryptkeeper.html
Source0:    http://tom.noflag.org.uk/cryptkeeper/%name-%version.tar.gz
Patch0:     cryptkeeper-0.9.5-fix-missing-include.patch
Patch1:     cryptkeeper-0.9.5-linking.patch
BuildRequires:  gtk+2-devel
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  gettext-devel
Requires:       encfs

%description
Cryptkeeper is a Linux system tray applet that manages EncFS encrypted folders.

%prep
%setup -q
%autopatch -p1

%build
# to recognize aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/cryptkeeper
%{_datadir}/applications/cryptkeeper.desktop
%{_datadir}/pixmaps/cryptkeeper.png

