%define origname	cups-bjnp

Name:		cups-drivers-bjnp
Version:	2.0.3
Release:	%mkrel 2
Summary:	CUPS backend for the Canon BJNP network printers
License:	GPLv2
Group:		System/Printing
URL:		https://sourceforge.net/projects/cups-bjnp
Source:		https://sourceforge.net/projects/cups-bjnp/files/cups-bjnp/%{version}/%{origname}-%{version}.tar.gz
# cups is required so we can check that the backend directory is really correct
BuildRequires:	cups
BuildRequires:	cups-devel
Requires:	cups

%description
This package contains a backend for CUPS for Canon printers using the
proprietary BJNP network protocol.

%prep
%setup -q -n %{origname}-%{version}

%build
%configure \
	--with-cupsbackenddir=%{_prefix}/lib/cups/backend \
	--disable-Werror
%make_build

%install
%make_install

%files
%doc COPYING ChangeLog TODO NEWS README
%{_prefix}/lib/cups/backend/bjnp
