Name:		cups-pk-helper
Version:	0.2.7
Release:	%mkrel 1
Summary:	A helper that makes system-config-printer use PolicyKit
Group:		System/Printing
License:	GPLv2+
URL:		https://www.freedesktop.org/wiki/Software/cups-pk-helper/
Source0:	https://www.freedesktop.org/software/cups-pk-helper/releases/cups-pk-helper-%{version}.tar.xz
BuildRequires:	cups-devel >= 1.2
BuildRequires:	pkgconfig(python) >= 2.4
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.12.0
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.74
BuildRequires:	pkgconfig(polkit-gobject-1) >= 0.92
BuildRequires:	polkit-gnome >= 0.92
BuildRequires:	meson

%description
cups-pk-helper is an application which makes cups configuration
interfaces available under control of PolicyKit.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%{_libexecdir}/cups-pk-helper-mechanism
%config(noreplace) %{_datadir}/dbus-1/system.d/org.opensuse.CupsPkHelper.Mechanism.conf
%{_datadir}/dbus-1/system-services/org.opensuse.CupsPkHelper.Mechanism.service
%{_datadir}/polkit-1/actions/org.opensuse.cupspkhelper.mechanism.policy
%doc AUTHORS COPYING NEWS
