Name:		curtain
Version:	0.3
Release:	%mkrel 10
License:	GPLv3
Group:		Education
Url:		https://code.google.com/p/ardesia
Source:		http://ardesia.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:		%{name}-desktop-file.patch
Patch1:		%{name}-0.3-gtk3tests.patch
Summary:	Show a movable and resizable curtain on the desktop screen

BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libglib2.0-devel
BuildRequires:	gtk+3.0-devel
BuildRequires:	desktop-file-utils

%description
Curtain is a tool that show a movable and resizable curtain
on the desktop screen.

You can use this to hide and show objects on the desktop.

This program has been implemented for educational purposes.

%prep
%setup -q
%patch -P 0
%patch -P 1 -p1 -b .gtk3tests

%build
./autogen.sh
%configure
%make_build

%install
%make_install

install -d -m 755 %{buildroot}%{_datadir}/pixmaps
mv %{buildroot}%{_iconsdir}/%{name}.xpm %{buildroot}%{_datadir}/pixmaps/

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README NEWS ChangeLog AUTHORS
%{_bindir}/curtain
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/ui/%{name}.glade
%{_datadir}/%{name}/ui/icons/%{name}.*
%{_iconsdir}/%{name}.*
%{_datadir}/pixmaps/%{name}.*
%{_mandir}/man1/%{name}.1*
