Name:           cutemaze
Version:        1.3.5
Release:        %mkrel 1
Summary:        Top-down maze game
Group:          Games/Puzzles
License:        GPLv3+
URL:            https://gottcode.org/cutemaze
Source0:        https://gottcode.org/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake

%description
CuteMaze is a simple, top-down game in which mazes are randomly
generated using one of a choice of several different algorithms.
You move the character through the maze while hunting for targets
(cheese, by default)—the game is won once all of these targets
(have been picked up.

%prep
%autosetup -p1

%build
%cmake_qt6 -DCMAKE_INSTALL_BINDIR=%{_gamesbindir}
%cmake_build

%install
%cmake_install

%files
%doc ChangeLog COPYING CREDITS README
%{_gamesbindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/metainfo/%{name}.appdata.xml
%{_mandir}/man6/%{name}.6*
