Summary:	Datovka is a free graphical interface for 'Datove schranky'
Name:		datovka
Version:	4.26.0
Release:	%mkrel 2
License:	GPLv3
Group:		Office/Utilities
URL:		https://www.datovka.cz/cs/
Source0:	https://datovka.nic.cz/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(libdatovka) >= 0.7.1
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(gpgme)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	gettext-devel
BuildRequires:	qttools6
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6SvgWidgets)
BuildRequires:	cmake(Qt6WebSockets)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(QuaZip-Qt6)

Requires:	qtbase6-database-plugin-sqlite

Obsoletes:	dsgui
Obsoletes:	sudsds
Obsoletes:	dslib

%description
Datovka, successor of dsgui an old Datovka is a GUI application
allowing access to a 'Databox' - an electronic communication
interface endorsed by the Czech government.

%prep
%setup -q

%build
%_qt6_bindir/lrelease %{name}.pro
%qmake_qt6 PREFIX=%{_prefix} DISABLE_VERSION_CHECK_BY_DEFAULT=1
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/*/%{name}.png
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/%{name}.metainfo.xml
