Name:		devilspie2
Version:	0.43
Release:	%mkrel 6
Summary:	Windows matching utility
License:	GPLv3+
Group:		Graphical desktop/Other
Url:		https://www.nongnu.org/devilspie2/
Source0:	https://download.savannah.gnu.org/releases/devilspie2/devilspie2_%{version}-src.tar.gz
Patch1:		devilspie2_0.40-man-page.patch
Patch2:		lua_ql-deprecated.patch
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(lua)

%description
Devilspie2 is a window matching utility, allowing the user to perform
scripted actions on windows as they are created. For example you can
script a terminal program to always be positioned at a specific screen
position, or position a window on a specific workspace.

Devilspie2 is based on the program Devilspie by Ross Burton. The
difference is that Devilspie2 has replaced the symbolic expressions
of the original with a LUA interpreter, making it much easier to maintain
and extend.

Please note that the rules of Devilspie2 is not compatible with the symbolic
expressions of the original Devilspie.

%prep
%setup -q
%autopatch -p1

%build
%set_build_flags
%make_build PREFIX=%{_prefix}

%install
%make_install \
	PREFIX=%{_prefix}

# man-page
install -Dpm644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%find_lang %{name}

%files -f %{name}.lang
%license COPYING GPL3.txt
%doc README ChangeLog AUTHORS TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
