Name:		devmon-templates
Version:	20080206
Release:	%mkrel 14
Summary:	Templates for Devmon SNMP Device Monitoring for Hobbit/BigBrother
License:	GPL
Group:		Monitoring
URL:		https://devmon.sourceforge.net/
Source:		https://prdownloads.sourceforge.net/devmon/devmon-templates-%{version}.tar.gz
BuildArch:	noarch

%description
Devmon is a device monitoring script which works in tandem with the
Hobbit/BigBrother monitoring suites. It queries remote hosts via SNMP, applies
user-defined logic and thresholds to the acquired data, and submits status and
alarms to a display server.

This package contains the device templates, which define the OIDs, transforms,
thresholds, exceptions, and the message template sent to Hobbit/Big Brother.

%prep
%setup -q

%build

%install
install -d %{buildroot}/%{_datadir}/devmon/templates
cp -a * %{buildroot}/%{_datadir}/devmon/templates

%files
%{_datadir}/devmon/templates


