Summary:	pump.io social network client
Name:		dianara
Version:	1.4.4
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/News
URL:		https://jancoding.wordpress.com/dianara/
Source0:	https://download.savannah.gnu.org/releases/dianara/%{name}-v%{version}.tar.gz
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(qca2-qt5)
BuildRequires:	pkgconfig(qoauth-qt5)
BuildRequires:	magic-devel

Requires:	qtbase5-common
Requires:	qca-qt5

%description
Dianara is a pump.io client, a desktop application for GNU/linux
that allows users to manage their Pump.io social networking
accounts without the need to use a web browser.

%prep
%setup -qn %{name}-v%{version}

%build
%qmake_qt5

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc CHANGELOG README BUGS TODO
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/org.nongnu.%{name}.desktop
%{_metainfodir}/org.nongnu.%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1.*
