%define commit	68aa169fe09c1edc8848bd9fcb9e9a5b8a74dcfe
%define date	20250126

Name:		digikam-plugin-gmic
Version:        3.4.2
Release:	%mkrel 0.git%{date}.2
Summary:	gmic plugin for digikam
License:	GPLv2+
Group:		Graphical desktop/KDE
URL:		https://github.com/cgilles/gmic-qt
Source0:	https://github.com/cgilles/gmic-qt/archive/%{commit}/gmic-qt-%{commit}.tar.gz
ExcludeArch:	%{ix86} %{arm32}
BuildRequires:	cmake
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(DigikamCore)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	gmic-devel

Requires:	digikam

%description
This is a plugin for digikam to provide G'MIC features.

%prep
%autosetup -n gmic-qt-%{commit}

%build
%cmake -DBUILD_WITH_QT6:BOOL=ON \
       -DCMAKE_POSITION_INDEPENDENT_CODE=ON \
       -DENABLE_ASAN:BOOL=OFF \
       -DENABLE_SYSTEM_GMIC:BOOL=OFF \
       -DGMIC_QT_HOST=digikam
%cmake_build

%install
%cmake_install

%files
%license LICENSES/*
%_qt6_plugindir/digikam/bqm/Bqm_Gmic_Plugin.so
%_qt6_plugindir/digikam/editor/Editor_GmicQt_Plugin.so
