%global debug_package %{nil}
Name:           dive
Version:        0.12.0
Release:        %mkrel 1
Summary:        Tool for exploring each layer in a docker image
License:        MIT
Group:          System/Configuration
URL:            https://github.com/wagoodman/dive
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
Patch0:         https://patch-diff.githubusercontent.com/raw/wagoodman/dive/pull/511.patch
BuildRequires:  go >= 1.19

%description
A tool for exploring a docker image, layer contents, and discovering ways to
shrink the size of your Docker/OCI image.

%prep
%autosetup -p 1 -a 1

%build
go build \
   -mod=vendor \
   -buildmode=pie \
   -o bin/%{name}

%install
# Install the binary.
install -D -m 0755 bin/%{name} %{buildroot}/%{_bindir}/%{name}

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
