Name:		dnstracer
Version:	1.10
Release:	%mkrel 1
Summary:	Trace a DNS record to its start of authority

License:	BSD
Group:		Networking/Other
URL:		https://www.mavetju.org/unix/dnstracer.php
Source0:	https://www.mavetju.org/download/%{name}-%{version}.tar.bz2
Patch0:		debug_tracer.patch


BuildRequires:	gcc
BuildRequires:	make

%description
dnstracer determines where a given Domain Name Server (DNS) gets its
information from, and follows the chain of DNS servers back to the
servers which know the data.

%description -l fr
dnstracer détermine où un Serveur de Nom de Domaine (DNS) donné obtient
ses informations, et remonte la chaîne des serveurs DNS jusqu'au serveur
détenant les données.

%prep
%autosetup -p1 -n %{name}

%build
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man8
%make_install PREFIX=%{buildroot}%{_prefix} MANPREFIX=%{buildroot}%{_mandir}/man8/

%files
%license LICENSE
%doc CHANGES CONTACT README
%{_bindir}/%{name}
%{_mandir}/man8/%{name}.8*
