Summary:	DokuWiki dokufreaks Plugins
Name:		dokuwiki-plugin-dokufreaks
Version:	20201210
Release:	%mkrel 4
License:	GPL v2
Group:		Networking/WWW

#Items from joequant are fixes

Source0:    https://github.com/dokufreaks/plugin-blog/zipball/4d16b4a#/dokuwiki-plugin-blog.zip
Source1:    https://github.com/dokufreaks/plugin-include/zipball/3db63d7#/dokuwiki-plugin-include.zip
Source2:	https://github.com/dokufreaks/plugin-pagelist/zipball/64dba99#/dokuwiki-plugin-pagelist.zip
Source3:    https://github.com/dokufreaks/plugin-discussion/zipball/c348236#/dokuwiki-plugin-discussion.zip
Source4:    https://github.com/dokufreaks/plugin-repo/zipball/bf60ec4#/dokuwiki-plugin-repo.zip
Source5:    https://github.com/dokufreaks/plugin-bloglinks/zipball/6a36ecf#/dokuwiki-plugin-bloglinks.zip
Source6:    https://github.com/dokufreaks/plugin-avatar/zipball/141424d#/dokuwiki-plugin-avatar.zip
Source7:    https://github.com/dokufreaks/plugin-tag/zipball/4371328#/dokuwiki-plugin-tag.zip
Source8:    https://github.com/dokufreaks/plugin-blockquote/zipball/ce4edf6#/dokuwiki-plugin-blockquote.zip
Source9:    https://github.com/dokufreaks/plugin-folded/zipball/91218d8#/dokuwiki-plugin-folded.zip
Source10:    https://github.com/dokufreaks/plugin-var/zipball/926e8cb#/dokuwiki-plugin-var.zip
Source11:    https://github.com/dokufreaks/plugin-feed/zipball/64567fd#/dokuwiki-plugin-feed.zip
Source12:    https://github.com/dokufreaks/plugin-filelist/zipball/31b4eb6#/dokuwiki-plugin-filelist.zip
Source13:    https://github.com/dokufreaks/plugin-task/zipball/9688d77#/dokuwiki-plugin-task.zip
Source14:    https://github.com/dokufreaks/plugin-meta/zipball/8752219#/dokuwiki-plugin-meta.zip
Source15:    https://github.com/dokufreaks/plugin-cloud/zipball/c24efb5#/dokuwiki-plugin-cloud.zip
Source16:    https://github.com/dokufreaks/plugin-editor/zipball/81b6271#/dokuwiki-plugin-editor.zip
Source17:    https://github.com/dokufreaks/plugin-changemarks/zipball/0350f4e#/dokuwiki-plugin-changemarks.zip
Source18:    https://github.com/dokufreaks/plugin-creole/zipball/ff5c3d4#/dokuwiki-plugin-creole.zip
Source19:    https://github.com/dokufreaks/plugin-keyboard/zipball/f3f4ea5#/dokuwiki-plugin-keyboard.zip


URL:		https://github.com/dokufreaks/
BuildRequires:	unzip
Requires:	dokuwiki
BuildArch:	noarch
AutoReqProv:    no


%define		dokuconf	/etc/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins
%define		find_lang 	%{_usrlibrpm}/dokuwiki-find-lang.sh %{buildroot}

%description
This installs the dokuwiki plugins from dokufreaks

%prep
%setup -qc 
%setup -q -T -D -a1 
%setup -q -T -D -a2 
%setup -q -T -D -a3
%setup -q -T -D -a4
%setup -q -T -D -a5 
%setup -q -T -D -a6 
%setup -q -T -D -a7 
%setup -q -T -D -a8 
%setup -q -T -D -a9 
%setup -q -T -D -a10 
%setup -q -T -D -a11
%setup -q -T -D -a12
%setup -q -T -D -a13
%setup -q -T -D -a14
%setup -q -T -D -a15
%setup -q -T -D -a16
%setup -q -T -D -a17
%setup -q -T -D -a18

%install
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a *-blog-* $RPM_BUILD_ROOT%{plugindir}/blog
cp -a *-include-* $RPM_BUILD_ROOT%{plugindir}/include
cp -a *-pagelist-* $RPM_BUILD_ROOT%{plugindir}/pagelist
cp -a *-repo-* $RPM_BUILD_ROOT%{plugindir}/repo
cp -a *-discussion-* $RPM_BUILD_ROOT%{plugindir}/discussion
cp -a *-bloglinks-* $RPM_BUILD_ROOT%{plugindir}/bloglinks
cp -a *-avatar-* $RPM_BUILD_ROOT%{plugindir}/avatar
cp -a *-tag-* $RPM_BUILD_ROOT%{plugindir}/tag
cp -a *-blockquote-* $RPM_BUILD_ROOT%{plugindir}/blockquote
cp -a *-folded-* $RPM_BUILD_ROOT%{plugindir}/folded
cp -a *-var-* $RPM_BUILD_ROOT%{plugindir}/var
cp -a *-feed-* $RPM_BUILD_ROOT%{plugindir}/feed
cp -a *-filelist-* $RPM_BUILD_ROOT%{plugindir}/filelist
cp -a *-task-* $RPM_BUILD_ROOT%{plugindir}/task
cp -a *-meta-* $RPM_BUILD_ROOT%{plugindir}/meta
cp -a *-cloud-* $RPM_BUILD_ROOT%{plugindir}/cloud
cp -a *-editor-* $RPM_BUILD_ROOT%{plugindir}/editor
cp -a *-changemarks-* $RPM_BUILD_ROOT%{plugindir}/changemarks
cp -a *-creole-* $RPM_BUILD_ROOT%{plugindir}/creole

rm -f $RPM_BUILD_ROOT%{plugindir}/*/{ChangeLog,.gitignore}

#%find_lang %{name}.lang

%post
# force css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%files
%dir %{plugindir}
%{plugindir}/*
