%define		plugin		s5
%define         gitver          0e9d426
 
Summary:	DokuWiki %{plugin} Plugin
Name:		dokuwiki-plugin-%{plugin}
Version:	20140521
Release:	%mkrel 8
License:	GPL v2
Group:		Networking/WWW
Source0:    https://github.com/splitbrain/dokuwiki-plugin-s5/zipball/%{gitver}#/dokuwiki-plugin-s5.zip
URL:		https://www.dokuwiki.org/plugin:s5
BuildRequires:	unzip
Requires:	dokuwiki
BuildArch:	noarch

%define		dokuconf	/etc/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}
%define		find_lang 	%{_usrlibrpm}/dokuwiki-find-lang.sh %{buildroot}

%description
This plugin can create S5 slide show presentations from any DokuWiki page.

%prep
%setup -qc
cd splitbrain*

%install
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a splitbrain-dokuwiki-plugin-s5-%{gitver}/* $RPM_BUILD_ROOT%{plugindir}
rm -f $RPM_BUILD_ROOT%{plugindir}/{ChangeLog,.gitignore}

#%find_lang %{name}.lang

%post
# force css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%files
%dir %{plugindir}
%{plugindir}/*
