Summary:	Converts DOS and Mac EOLs to UNIX-style EOLs and vice versa
Name:		dos2unix
Version:	7.5.2
Release:	%mkrel 1
License:	BSD
Group:		Text tools
URL:		https://www.xs4all.nl/~waterlan/dos2unix.html
Source:		https://www.xs4all.nl/~waterlan/dos2unix/%{name}-%{version}.tar.gz
BuildRequires:	gettext
BuildRequires:	perl-devel

%description
Convert text files with DOS or Mac line endings to Unix line endings
and vice versa.

%prep
%autosetup -p1

%build
%make_build

%install
%make_install docsubdir=%{name}
%find_lang %{name} --with-man --all-name

%files -f %{name}.lang
%doc %{_docdir}/%{name}
%{_bindir}/dos2unix
%{_bindir}/unix2dos
%{_bindir}/mac2unix
%{_bindir}/unix2mac
%{_mandir}/man1/*.1*
