%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

Name:           dpic
Url:            https://www.ece.uwaterloo.ca/~aplevich/dpic/
License:        BSD and CC-BY
Group:          Publishing  
Summary:        Pic language processor
Version:        2024.01.01
Release:        %mkrel 1
Source0:        https://ece.uwaterloo.ca/~aplevich/%{name}/%{name}-%{version}.tar.gz
# Needed to generate the documentation
BuildRequires:	texlive-texmf

%description
Pic language processor for LaTeX documents or web sites.

%files
%_bindir/%{name}
%{_datadir}/%{name}/doc/dpictools.pic
%doc README CHANGES doc/dpic-doc.pdf
%_mandir/man1/dpic.1*

#--------------------------------------------------------------------

%prep
%setup -n %{name}-%{version} -q

%build
%configure
%make_build
%make_build -C doc

%install
%make_install
install -d %{buildroot}%{_datadir}/%{name}/doc
install -Dm 644 doc/dpic.1 %{buildroot}%{_mandir}/man1/dpic.1
mv %{buildroot}/bin %{buildroot}%{_prefix}/
mv %{buildroot}/share/doc/dpic/dpictools.pic %{buildroot}%{_datadir}/%{name}/doc/
rm -rf %{buildroot}/share
