Summary:  3D desktop effects tools
Name:     drak3d
Version:  2.8
Release:  %mkrel 2
Source0:  https://gitweb.mageia.org/software/drak3d/snapshot/%{name}-%{version}.tar.xz
License:  GPLv2+
Group:    System/Configuration
URL:      https://www.mageia.org

BuildRequires: perl_checker
BuildRequires: gettext
BuildRequires: intltool

Requires: drakxtools-backend
# we need the common pam usermode config files
Requires: usermode-consoleonly
Requires: glxinfo

BuildArch: noarch

%description
Drak3d enables to configure 3D desktop effects.

%package -n lib%{name}
Summary: 3D desktop effects tools library
Group: System/Configuration
Requires: drakxtools-backend

%description -n lib%{name}
This package contains the %{_vendor} drak3d library.

%prep
%autosetup

%build
%make_build

%install
%make_install

%find_lang %{name}

%files -n lib%{name}
%{_prefix}/lib/libDrakX/Xconfig/glx.pm

%files -f %{name}.lang
%doc COPYING
%{_bindir}/drak3d
%{_libexecdir}/drak3d
%{_datadir}/polkit-1/actions/org.mageia.drak3d.policy
%{_prefix}/lib/libDrakX/icons/*
