# from a EOF block wrongly treated:
%global __requires_exclude ^perl\\(to\\)$

Name:           drakpxelinux
Version:        1.12
Release:        %mkrel 2
Summary:        PXE default file configurator
License:        GPLv2+
Group:          System/Configuration
URL:            https://gitweb.mageia.org/software/drakpxelinux/
Source0:        https://gitweb.mageia.org/software/drakpxelinux/snapshot/%{name}-%{version}.tar.xz

BuildArch:      noarch

Requires:       perl-Gtk3
Requires:       perl-MDK-Common
Requires:       pxe
Requires:       drakxtools >= 16.37
Requires:       tftp-server
Requires:       xinetd
%ifarch %{ix86} x86_64
Requires:       pxelinux
%endif

%description
Quick configuration of PXE menu parameters.


%prep
%autosetup

# fix for generation *.mo files
sed -i -e 's|\$(subdirs)|\$(subdir)|' Makefile

%build

%install
%make_install distdir=%{buildroot} localedir=%{buildroot}%{_datadir}/locale

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Drakpxelinux
Comment=%{_vendor} Linux Pxelinux configurator
Exec=%{_sbindir}/%{name}
Icon=configuration_section
Terminal=false
Type=Application
Categories=GTK;Settings;X-Mageia-CrossDesktop;
EOF

# install lang
%find_lang %{name}

%files -f %{name}.lang
%doc default TODO COPYING
%{_sbindir}/%{name}
%{_sbindir}/deployd
%{_sbindir}/deploy_get_autoinst.pl
%{_sysconfdir}/xinetd.d/deployd
%{_sysconfdir}/xinetd.d/deploy_get_autoinst
#%%{_datadir}/%%{name}*
%{_datadir}/applications/%{name}.desktop
