Name:          drumrox
Version:       3.3.1
Release:       %mkrel 1
Summary:       An LV2 sampler plugin that plays hydrogen drum kits
Group:         Sound/Midi
License:       GPLv3
URL:           https://github.com/psemiletov/drumrox
Source0:       https://github.com/psemiletov/drumrox/archive/refs/tags/%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  libsamplerate-devel
BuildRequires:  gtk2-devel
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(lv2)
BuildRequires:  expat-devel
Obsoletes:      drmr < git20120709-8
Provides:       drmr-%{version}
Requires:       lv2
Requires:       hydrogen
Requires:       hydrogen-drumkits


%description
Drumrox is an easy way to write drum tracks as MIDI at your DAW, using Hydrogen
and Drumrox kits. Consider to use my another drum machine, Drumlabooh, that
compatible with all DAW's.

Drumrox is LV2 drum machine (based on DrMr) to load Hydrogen and Drumrox 
drumkits. Drumrox is compatible with MODERN Hydrogen kit format. More of that,
Drumrox has own simple drumkit format and the repository with Drumrox kits


%prep
%autosetup -p1

%build
export CFLAGS="%{optflags} -pthread"
%cmake -DLV2_INSTALL_DIR:PATH=%{_lib}/lv2
%cmake_build

%install
%cmake_install

%files
%{_libdir}/lv2/*

