## This package was superseded by 'datovka'
Summary:	dsgui is a free graphical interface for 'Datove schranky'
Name:		dsgui
Version:	1.6.3
Release:	%mkrel 2
Source0:	%{name}-%{version}.tar.gz
License:	LGPLv2
Group:		Office
BuildArch:	noarch
Requires:	dslib >= 1.6
Requires:	pygtk2
Requires:	python-reportlab
Requires:	python-sqlalchemy
BuildRequires:  python-setuptools
URL:		https://labs.nic.cz/datove-schranky/

%description
dsgui is a GUI application allowing access to a 'Databox' - an 
electronic communication interface endorsed by the Czech government.

%prep
%setup -n %{name}-%{version} -n %{name}-%{version} -q
sed -i 's/Office/Office;/g' dsgui.desktop


%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --single-version-externally-managed \
	--root=%{buildroot} 

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%dir %{py_sitedir}/%{name}*
%{py_sitedir}/%{name}*/*
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}*
%{_datadir}/icons/hicolor/*/apps/%{name}*
