Name:           dutop
Version:        1.0.0
Release:        %mkrel 1
Summary:        Disk usage top
License:        BSD
Group:          File tools
URL:            https://github.com/MyLifeLabs/dutop
Source0:        MyLifeLabs-dutop-v%{version}-0-gff8c25a.tar.gz
# https://github.com/MyLifeLabs/dutop/tarball/master
BuildRequires:  ocaml-compiler

%description
dutop is a command-line utility that scans the file system from a given
root path and reports all the files and directories that occupy 
more than 5% of the space.

%prep
%setup -q -n MyLifeLabs-dutop-ff8c25a/

%build
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
make install BINDIR=%{buildroot}/%{_bindir}

%files
%doc LICENSE README
%{_bindir}/dutop
