%define rel	10
%define beta	0

%if %beta
%define release %mkrel 0.%{beta}.%{rel}
%else
%define release %mkrel %{rel}
%endif

Summary:	A simple dvb/mpeg stream analyzer program
Name:		dvbsnoop
Version:	1.4.50
Release:	%{release}
Source0:	https://downloads.sourceforge.net/dvbsnoop/%{name}-%{version}.tar.gz
URL:		https://dvbsnoop.sourceforge.net/
License:	GPLv2+
Group:		Video/Utilities
Prefix:		%{_prefix}
BuildRequires:	glibc-devel

%description
dvbsnoop is a simple dvb/mpeg stream analyzer program. The program can
be used to sniff, monitor, debug, dump or view dvb/mpeg/dsm-cc/MHP
stream information (digital television) send via satellite, cable or
terrestrial.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%doc README COPYING 
%{_bindir}/*
%{_mandir}/man1/*
