Name:           dvtm
Version:        0.15
Release:        %mkrel 5
Summary:        Tiling window management for the console
License:        MIT and LGPLv2
# https://www.brain-dump.org/projects/dvtm/#license
Group:          Terminals
URL:            https://www.brain-dump.org/projects/dvtm/
Source0:        https://www.brain-dump.org/projects/dvtm/%{name}-%{version}.tar.gz
Patch0:         %{name}-0.14-build.patch

BuildRequires:  pkgconfig(ncursesw)

%description
dvtm brings the concept of tiling window management, popularized by
X11-window managers like dwm to the console. As a console window manager
it tries to make it easy to work with multiple console based programs
like vim, mutt, cmus or irssi.

%prep
%autosetup 

%build
sed -i 's/PREFIX.*local*/PREFIX\ =\ \/usr\//' config.mk
# Parallel build is broken (all runs the build and clean concurrently),
# but anyway there are only 2 files to compile.
make

%install
%make_install

%files
%{_bindir}/%{name}
%{_bindir}/%{name}-status
%{_datadir}/terminfo/d/*
%{_mandir}/man1/%{name}.1*
