Name:           ebook-tools
Summary:        Tools for accessing and converting various ebook file formats
Version:        0.2.2
Release:        %mkrel 13
License:        MIT
Group:          Publishing
Url:            https://sourceforge.net/projects/ebook-tools
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libzip)
Recommends:     clit

%description
Tools for accessing and converting various ebook file formats.

%files
%{_bindir}/einfo
%{_bindir}/lit2epub

#-----------------------------------------------------------------------------

%define libepub_major 0
%define libepub %mklibname epub %{libepub_major}

%package -n %{libepub}
Summary: Main library for %{name}
Group: System/Libraries

%description -n %{libepub}
%{name} library.

%files -n %{libepub}
%{_libdir}/libepub.so.%{libepub_major}{,.*}

#--------------------------------------------------------------------
%package devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Requires:  %{libepub} = %{version}-%{release}

%description  devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%{_includedir}/*.h
%{_libdir}/libepub.so

#-----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake
%cmake_build

%install
%cmake_install
