# Basic macros
%define prerel	rc1

Name:           educazionik
Version:        2.0.0
Summary:        Italian educational project
Summary(it):    Raccolta di programmi educativi
Release:        %mkrel 0.16
License:        GPLv2+
Group:          Education
URL:            https://sourceforge.net/projects/educazionik/
Source0:        %{name}-%{version}-%{prerel}.tar.bz2
Patch0:		educazionik-2.0.0-fix-dialoggamecpp.patch

BuildRequires: qt4-devel
BuildRequires: cmake

%description
Educazionik is an educational project for (at the moment)
Italian primary school students.

%description -l it
Educazionik è un araccolta di programmi educativi rivolta
agli studenti delle scuole primarie

%files
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/apps/%{name}/*
%{_docdir}/%{name}/*
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png


#--------------------------------------------------------------------

%prep
%setup -q  -n %{name}-%{version}-%{prerel}
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install
