%define	subver	001114a7

Summary:	A program for faxing using a Class 1, 2 or 2.0 fax modem
Name:		efax
Version:	0.9a
Release:	%mkrel 28
License:	GPL
Group:		Communications/Fax
Source0:	https://www.cce.com/efax/download/%{name}-%{version}-%{subver}.tar.bz2
URL:		https://www.cce.com/efax/
Source1:	efax.config.bz2
Patch0:		efax-0.9a-mdkconf.patch
Patch10:	efax-0.9-config.patch
Patch1:		efax-0.9a-crashpowerpc.patch
Patch2:		efax-0.9a-faxmail-mime.patch
Patch3:		efax-0.9a-fax_send.patch
Patch4:		efax-0.9a-fax_locale.patch
Patch5:		efax-0.9a_illegalnumber_test.patch
Patch6:		efax-0.9a-fix-str-fmt.patch
Patch7:         efax-0.9a-001114-multiple-definition.patch

%description
Efax is a small ANSI C/POSIX program that sends and receives faxes using
any Class 1, 2 or 2.0 fax modem.

You need to install efax if you want to send faxes and you have a
Class 1, 2 or 2.0 fax modem.

%prep
%setup -q -n %{name}-%{version}-%{subver}
%patch -P 0 -p1
%patch -P 10 -p1
%patch -P 1 -p1 -b .crashpowerpc
%patch -P 2 -p1 -b .faxmail-mime
%patch -P 3 -p1 -b .fax_send
%patch -P 4 -p1 -b .fax_locale
%patch -P 5 -p1 -b .fax
%patch -P 6 -p0 -b .str
%patch -P 7 -p1 -b .multidef
find . -type f | xargs perl -p -i -e 's@xloadimage@xli@';

%build
%make_build CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

make BINDIR=$RPM_BUILD_ROOT%{_bindir} MANDIR=$RPM_BUILD_ROOT%{_mandir} install

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/fax.config

%files
%doc README
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/fax.config
%{_bindir}/fax
%{_bindir}/efax
%{_bindir}/efix
%{_mandir}/man1/fax.1*
%{_mandir}/man1/efax.1*
%{_mandir}/man1/efix.1*


