%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define oname	egoboo

Summary:	Data files for egoboo
Name:		%{oname}-data
Version:	2.8.1
Release:	%mkrel 9
Epoch:		1
License:	GPL
Group:		Games/Adventure
URL:		https://egoboo.sourceforge.net/
#Source0:	https://downloads.sourceforge.net/egoboo/%{name}-%{version}.tar.gz
#Since upstream gives both source and data in one tarball, we split it between here and egoboo-data package :
#wget https://downloads.sourceforge.net/egoboo/%{name}-%{version}.tar.gz
#tar xvf %{name}-%{version}.tar.gz
#mkdir %{name}-data-%{version}
#cd %{name}-%{version}
#mv basicdat/ doc/ modules/ egoboo*ico ../%{name}-data-%{version}/
#cd ..
#tar Jcvf %{name}-%{version}.tar.xz %{name}-%{version}/
#tar Jcvf %{name}-data-%{version}.tar.xz %{name}-data-%{version}/
Source:		%{name}-%{version}.tar.xz
Requires:	%{oname} = %{epoch}:%{version}
BuildArch:	noarch

%description
Egoboo is an open source project, using OpenGL and SDL(Simple
DirectMedia Layer) libraries. It is a 3d dungeon role playing
game in the spirit of NetHack. Nice colorful graphics, and
detailed models(using Quake2 modeling tools) make this game
stand out in the gaming open-source community.

%prep
%setup -q

%build

%install
install -d %{buildroot}%{_gamesdatadir}/%{oname}
cp -r basicdat modules %{buildroot}%{_gamesdatadir}/%{oname}

%files
%dir %{_gamesdatadir}/%{oname}
%{_gamesdatadir}/%{oname}/basicdat
%{_gamesdatadir}/%{oname}/modules


