Name:          eko
Version:       7.1.0
Release:       %mkrel 1
Summary:       A Eko is a small audio editor with mixer and realtime fx
Group:         Sound/Editors and Converters
License:       Public Domain
URL:           https://psemiletov.github.io/eko/
Source0:       https://github.com/psemiletov/eko/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6Xml)
BuildRequires: cmake(Qt6Core5Compat)

BuildRequires: pkgconfig(sndfile)
BuildRequires: pkgconfig(samplerate)
BuildRequires: pkgconfig(portaudio-2.0)

%description
EKO is the sound editor. It features real-time FX rack, signal generators,
channel converter, RMS and level analysis, DC offset corrector, color 
palettes; hotkeys customizations and more.

%prep
%autosetup -p1

# Fix typo? for the desktop file name
sed -e 's|tea_DESKTOP|eko_DESKTOP|g' -i CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc AUTHORS TODO
%{_bindir}/eko
%{_datadir}/applications/eko.desktop
%{_iconsdir}/hicolor/*/apps/eko.png
