Summary:	Convert LyX source files to HTML output
Name:		elyxer
Version:	1.2.3
Release:	%mkrel 1
Source0:	https://download.savannah.gnu.org/releases-noredirect/%{name}/%{name}-%{version}.tar.gz
URL:		https://www.nongnu.org/elyxer/
License:	GPLv3
Group:		Text tools

BuildRequires:	libpython-devel
BuildRequires:	gettext
BuildRequires:	gettext-devel
BuildRequires:	pygtk2.0-devel

Requires:	pygtk2.0 >= 2.10
Requires:	gettext python >= 2.6.5
BuildArch:	noarch

%description
eLyXer converts a LyX source file to a HTML page.

%prep
%setup -q

%build
%__python setup.py  build

%install
%__python setup.py install --root=$RPM_BUILD_ROOT --install-lib=%{py_sitedir}

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/locale
cp -rf ./po/locale/* $RPM_BUILD_ROOT/%{_datadir}/locale

%find_lang %name


%files -f %name.lang
%defattr(-,root,root)
%{_bindir}/*.py
%{py_sitedir}/*