Summary: OCaml mode for Emacs/XEmacs
Name:    emacs-tuareg-mode
Version: 3.0.1
Release: %mkrel 1
Source0: https://github.com/ocaml/tuareg/archive/refs/tags/%{version}.tar.gz
License: GPLv2
Group: 	 Editors
Url: 	 http://tuareg.forge.ocamlcore.org/
BuildArch:	noarch
BuildRequires: emacs
Requires:      emacs

%description 
Tuareg is a Caml mode for GNU Emacs and XEmacs. It handles automatic
indentation of OCaml code. Key parts of the code are highlighted using
Font-Lock. Support to run an interactive Caml toplevel and debbuger is
provided.

%prep
%autosetup -n tuareg-%{version} -p1

%build
make


%install
install -d %{buildroot}%{_datadir}/emacs/site-lisp/
install -d %{buildroot}%{_sysconfdir}/emacs/site-start.d
cp tuareg.el %{buildroot}%{_datadir}/emacs/site-lisp/
cp ocamldebug.el %{buildroot}%{_datadir}/emacs/site-lisp/
cp tuareg-site-file.el %{buildroot}%{_sysconfdir}/emacs/site-start.d/

%files
%{_datadir}/emacs/site-lisp/tuareg.el
%{_datadir}/emacs/site-lisp/ocamldebug.el
%{_sysconfdir}/emacs/site-start.d/tuareg-site-file.el
