%define date 20140509
%define rel  7
%if %date
%define release %mkrel 3.%date.%rel
%else
%define release %mkrel %rel
%endif

Summary: 	E17 screen capture utility
Name: 		emprint
Version: 	0.1.0
Release: 	%{release}
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/trunk/%name %name
# tar cJf %name-%svn.tar.xz %name
%if %date
Source:         %name-%date.tar.bz2
%else
Source:		%name-%version.tar.bz2
%endif
License: 	BSD
Group: 		System/Servers
URL: 		https://www.enlightenment.org/
BuildRequires:	pkgconfig(efl)
BuildRequires:	efl

%description
Emprint is a utility for taking screenshots of the entire screen, a specific
window, or a specific region. It is written with the Enlightenment Foundation
Libraries.

%prep
%if %date
%setup -qn %name
%else
%setup -q
%endif

%build
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%configure --disable-static
%make_build

%install
%make_install

%files
%doc AUTHORS README ChangeLog NEWS TODO
%{_bindir}/*
%{_datadir}/%name

