%global srcname base64url


Name:      erlang-%{srcname}
Version:   1.0.1
Release:   %mkrel 2
BuildArch: noarch
Group: Development/Erlang
License: MIT
Summary: URL safe base64-compatible codec
URL: https://github.com/dvv/base64url
Source0: %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: erlang-rebar


%description
Standalone URL safe base64-compatible codec.


%prep
%autosetup -n %{srcname}-%{version}


%build
%{rebar_compile}


%check
%{rebar_eunit}


%install
%{erlang_install}


%files
%license LICENSE.txt
%doc README.md
%{erlang_appdir}


