%global realname bbmustache

%global __rebar %{_bindir}/rebar3

Name:		erlang-%{realname}
Version:	1.12.2
Release:	%mkrel 2
BuildArch:	noarch
Summary:	Binary pattern match-based Mustache template engine for Erlang
Group:		Development/Other
License:	MIT
URL:		https://github.com/soranoba/bbmustache
Source0:	https://github.com/soranoba/bbmustache/archive/v%{version}/%{realname}-%{version}.tar.gz
BuildRequires:	erlang-rebar3


%description
Binary pattern match-based Mustache template engine for Erlang.


%prep
%autosetup -p 1 -n %{realname}-%{version}


%build
%{erlang_compile}


%install
#%%{erlang_install}
mkdir -p %{buildroot}%{_erllibdir}/%{__erlappname}-%{version}/
mkdir -p %{buildroot}%{_erllibdir}/%{__erlappname}-%{version}/ebin/
install -m 0644 -p _build/default/lib/%{__erlappname}/ebin/%{__erlappname}.{app,beam} %{buildroot}%{_erllibdir}/%{__erlappname}-%{version}/ebin/


%if 0
%check
%{erlang_test}
%endif


%files
%license LICENSE
%doc doc/ README.md
%{erlang_appdir}/


