%global realname certifi
%global upstream_reponame erlang-certifi


Name:     erlang-%{realname}
Version:  2.13.0
Release:  %mkrel 2
BuildArch: noarch
Summary:  Dummy certifi (certificate bundle) package for erlang
Group:    Development/Erlang
License:  BSD
URL:      https://github.com/certifi/erlang-certifi
Source0:  https://github.com/certifi/erlang-certifi/archive/%{version}/%{upstream_reponame}-%{version}.tar.gz
Patch0:   erlang-certifi-enforce_system_ca_bundle.patch
BuildRequires:  erlang-rebar3 sed erlang-parse_trans

%description
Upstream certifi provides a custom CA bundle to erlang. Since custom CA bundles
cannot be packaged in Fedora, this 'dummy' package patches certifi to point to
the default Fedora CA bundle.

%prep
%setup -q -n %{upstream_reponame}-%{version}
%patch -P 0 -p1

# Drop bundled rebar3
rm -rf rebar3

%build
#%%{erlang_compile}
%{_bindir}/rebar3 bare compile --paths ""
%install
%{erlang_install}

%files
%license LICENSE
%doc README.md
%{erlang_appdir}/

