%global realname edown
%global upstream uwiger


Name:		erlang-%{realname}
Version:	0.8.4
Release:	%mkrel 1
BuildArch:	noarch
Summary:	EDoc extension for generating Github-flavored Markdown
Group:		Development/Other
License:	ASL 2.0
URL:		https://github.com/%{upstream}/%{realname}
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
Patch1:		erlang-edown-0001-Remove-pre-18.0-code.patch
Patch2:		erlang-edown-0002-Don-t-use-git-command-for-branch-retrieval.patch
BuildRequires:	erlang-edoc
BuildRequires:	erlang-rebar


%description
EDoc extension for generating Github-flavored Markdown.


%prep
%setup -q -n %{realname}-%{version}
%autopatch -p1


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%doc NOTICE README.md doc/
%{erlang_appdir}/


