%global realname getopt
%global upstream jcomellas


Name:		erlang-%{realname}
Version:	1.0.2
Release:	%mkrel 3
BuildArch:	noarch
Summary:	Erlang module to parse command line arguments using the GNU getopt syntax
Group:		Development/Erlang
License:	BSD
URL:		https://github.com/%{upstream}/%{realname}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
Source0:	https://github.com/%{upstream}/%{realname}/archive/v%{version}/%{realname}-%{version}.tar.gz
BuildRequires:	erlang-rebar


%description
Command-line parsing module that uses a syntax similar to that of GNU getopt.


%prep
%autosetup -p 1 -n %{realname}-%{version}
chmod 0644 examples/*.escript


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%license LICENSE.txt
%doc README.md examples/
%{erlang_appdir}/
