%global realname gettext
%global upstream etnt
# Technically, we're noarch; but erlang whose directories we install into is not.
%global debug_package %{nil}

%global gitdate 20170123
%global commit 2bcba56069721afc7d8c58f84ce701958ec7a761
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%define rel 2

Name:		erlang-%{realname}
Version:	2.1.0
Release:	%mkrel 0.12.git%{gitdate}.%{shortcommit}.%{rel}
Summary:	Erlang internationalization library
Group:		Development/Erlang
License:	MIT
URL:		https://github.com/etnt/gettext
#Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{commit}/%{realname}-%{version}-%{shortcommit}.tar.gz
BuildRequires:	erlang-rebar

%description
Erlang internationalization library.


%prep
%setup -q -n %{realname}-%{commit}


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%license LICENSE
%doc README
%{erlang_appdir}/
