%global realname goldrush
%global upstream DeadZen

Name:       erlang-%{realname}
Version:    0.2.0
Release:    %mkrel 2
BuildArch:  noarch
Group:      Development/Erlang
Summary:    Small, fast event processing and monitoring for Erlang/OTP applications
License:    MIT
URL:		https://github.com/%{upstream}/%{realname}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
BuildRequires:	erlang-rebar


%description
A small Erlang app that provides fast event stream processing.


%prep
%autosetup -n %{realname}-%{version}


%build
%{erlang_compile}


%install
%{erlang_install}


%if 0
%check
%{erlang_test}
%endif


%files
%license LICENSE
%doc README.org
%{erlang_appdir}/

