%global realname jsone

Name:		erlang-%{realname}
Version:	1.6.1
Release:	%mkrel 2
BuildArch:	noarch
Summary:	Erlang JSON library
Group:		Development/Other
License:	MIT
URL:		https://github.com/sile/jsone
Source0:	https://github.com/sile/jsone/archive/%{version}/%{realname}-%{version}.tar.gz
BuildRequires:	erlang-rebar


%description
An Erlang library for encoding, decoding JSON data.


%prep
%autosetup -p 1 -n %{realname}-%{version}


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%license COPYING
%doc doc/ README.md
%{erlang_appdir}/
