%global realname jsx
%global upstream talentdeficit


Name:		erlang-%{realname}
Version:	3.1.0
Release:	%mkrel 1
BuildArch:	noarch
Group:		Development/Erlang
Summary:	A streaming, event-driven json parsing toolkit
License:	MIT
URL:		https://github.com/%{upstream}/%{realname}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
Source0:	https://github.com/%{upstream}/%{realname}/archive/v%{version}/%{realname}-%{version}.tar.gz
Patch1:		erlang-jsx-0001-Adapt-to-OTP-24.patch
BuildRequires:	erlang-rebar3


%description
An Erlang application for consuming, producing and manipulating json. Inspired
by yajl.


%prep
%autosetup -p1 -n %{realname}-%{version}


%build
%{erlang3_compile}


%install
%{erlang3_install}


%check
#%%{erlang3_test}


%files
%license LICENSE
%doc CHANGES.md README.md
%{erlang_appdir}/


