%global srcname luerl

Name:       erlang-%{srcname}
Version:    1.0
Release:    %mkrel 1
BuildArch:  noarch
Group:      Development/Erlang
License:    ASL 2.0
Summary:    Lua in Erlang
URL:        https://github.com/rvirding/%{srcname}
Source0:    https://github.com/rvirding/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: dos2unix
BuildRequires: erlang-rebar


%description
An experimental implementation of Lua 5.2 written solely in pure Erlang.


%prep
%autosetup -n %{srcname}-%{version}

dos2unix examples/hello/hello2-3.lua


%build
%{rebar_compile}


%check
%{rebar_eunit}


%install
%{erlang_install}


%files
%license LICENSE
%doc examples
%doc README.md
%doc src/NOTES
%{erlang_appdir}

