%global srcname oauth2
# Erlang packages do not provide debug subpackages.
%global debug_package %{nil}


Name:       erlang-%{srcname}
Version:    0.7.0
Release:    %mkrel 1
Group:      Development/Erlang

License:    MIT
Summary:    An Oauth2 implementation for Erlang
URL:        https://github.com/kivra/%{srcname}
Source0:    https://github.com/kivra/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz
Patch1:     erlang-oauth2-0001-Don-t-use-deprecated-funs-in-Erlang-18.patch
Patch2:     erlang-oauth2-0002-Pass-on-error-from-authenticate_user.patch
BuildRequires: erlang-meck
BuildRequires: erlang-proper
BuildRequires: erlang-rebar


%description
This library is designed to simplify the implementation of the server side of
OAuth2.


%prep
%autosetup -n %{srcname}-%{version} -p 1


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%license LICENSE
%doc README.md
%{erlang_appdir}/
