%global srcname p1_mysql

Name:       erlang-%{srcname}
Version:    1.0.19
Release:    %mkrel 2

Group:      Development/Erlang
Summary:    Pure Erlang MySQL driver
License:    BSD
URL:        https://github.com/processone/p1_mysql/
Source0:    https://github.com/processone/p1_mysql/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: erlang-eunit
BuildRequires: erlang-rebar
BuildRequires: erlang-rpm-macros

BuildArch:  noarch

%description
This is an Erlang MySQL driver, used by ejabberd.


%prep
%autosetup -n p1_mysql-%{version}


%build
%{rebar_compile}


%check
%{rebar_eunit}


%install
%{erlang_install}


%files
%license COPYING
%doc README.md
%{_erllibdir}/%{srcname}-%{version}

