%global realname providers
%global upstream tsloughter

Name:     erlang-%{realname}
Version:  1.9.0
Release:  %mkrel 1
BuildArch: noarch
Summary:  An Erlang providers library
Group:    Development/Other
License:  LGPLv3
URL:      https://github.com/%{upstream}/%{realname}
Source0:  https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
BuildRequires:  erlang-rebar
Requires:       erlang-rebar

%description
%{summary}.

%prep
%autosetup -n %{realname}-%{version}

%build
%{erlang_compile}

%install
%{erlang_install}

%check
%{erlang_test}

%files
%license LICENSE
%doc README.md
%{erlang_appdir}/

