%global realname riak_client
%global upstream basho


Name:		erlang-%{realname}
Version:	2.5.3
Release:	%mkrel 5
BuildArch:	noarch
Summary:	Erlang client for Riak
Group:		Development/Erlang
License:	ASL 2.0
URL:		https://github.com/%{upstream}/riak-erlang-client
VCS:		scm:git:https://github.com/%{upstream}/riak-erlang-client.git
Source0:	https://github.com/%{upstream}/riak-erlang-client/archive/%{version}/%{realname}-%{version}.tar.gz
Patch1:		erlang-riak_client-0001-Allow-more-Erlang-versions.patch
Patch2:		erlang-riak_client-0002-Add-deprecation-for-Erlang-20-as-well.patch
Patch3:		erlang-riak_client-0003-Remove-excessive-export_all-directive.patch
BuildRequires:	erlang-riak_pb
BuildRequires:	erlang-rebar
Provides:	riak-erlang-client%{?_isa} = %{version}-%{release}


%description
Erlang client for Riak.


%prep
%setup -q -n riak-erlang-client-%{version}
%autopatch -p1


%build
%{rebar_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%license LICENSE
%doc README.md edoc/
%{erlang_appdir}/
