%global _disable_ld_no_undefined 1
%global realname sd_notify
%global upstream systemd


Name:		erlang-%{realname}
Version:	1.1
Release:	%mkrel 2
BuildArch:	noarch
Summary:	Erlang interface to systemd notify subsystem
Group:		Development/Other
License:	MIT
URL:		https://github.com/%{upstream}/erlang-%{realname}
VCS:		scm:git:https://github.com/%{upstream}/erlang-%{realname}.git
Source0:	https://github.com/%{upstream}/erlang-%{realname}/archive/v%{version}/erlang-%{realname}-%{version}.tar.gz
BuildRequires:	erlang-rebar


%description
%{summary}.


%prep
%autosetup


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%license LICENSE
%{erlang_appdir}/
