%global srcname yconf

%global fast_yaml_ver 1.0.29

Name:       erlang-%{srcname}
Version:    1.0.13
Release:    %mkrel 1
BuildArch:  noarch
Group:      Development/Erlang
License:    ASL 2.0
Summary:    YAML configuration processor
URL:        https://github.com/processone/yconf/
Source0:    %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: erlang-fast_yaml >= %{fast_yaml_ver}
BuildRequires: erlang-rebar

Requires: erlang-fast_yaml >= %{fast_yaml_ver}


%description
YAML configuration processor.


%prep
%setup -q -n %{srcname}-%{version}


%build
%{rebar_compile}


%install
%{erlang_install}


%check
%{rebar_eunit}


%files
%license LICENSE
%doc CHANGELOG.md
%doc README.md
%{erlang_appdir}


