Name:		esteidcerts
Version:	2016
Release:	%mkrel 3
Summary:	Estonian ID-card certificates

Group:		System/Libraries
License:	LGPLv2
URL:		https://id.eesti.ee/
Source:		http://archive.esteid.org/3.8.0/%{name}-3.8.0.9128.tar.gz
Source1:	ESTEID-SK-2015.crt
Source2:	EID-SK-2016.crt
Source3:	KLASS3-SK-2016.crt

Buildarch:	noarch

%description
%{summary}.


%prep
%autosetup -n %{name}-3.8.0.9128


%build
rm -f TEST*


%install
install -d %{buildroot}%{_datadir}/esteid/certs
install -D -c -p -m 644 *.crt %{buildroot}%{_datadir}/esteid/certs/
install -D -c -p -m 644 %{SOURCE1} %{buildroot}%{_datadir}/esteid/certs/ESTEID-SK\ 2015.crt
install -D -c -p -m 644 %{SOURCE2} %{buildroot}%{_datadir}/esteid/certs/EID-SK\ 2016.crt
install -D -c -p -m 644 %{SOURCE3} %{buildroot}%{_datadir}/esteid/certs/KLASS3-SK\ 2016.crt


%files
%doc README.txt
%{_datadir}/esteid
