# ovitters remove this autoreq (caused by a pkgconfig file)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^devel\\(libedbus-private\\)|^devel\\(libedbus-private\\(64bit\\)\\)

%define api_version 1.2
%define ecal_api 2.0
%define edata_api 2.0
%define edata4_api 1.0

%define testmajor 0

%define camelmajor 64
%define camel_libname %mklibname camel %{api_version} %{camelmajor}

%define ebookmajor 21
%define ebook_libname %mklibname ebook %{api_version} %{ebookmajor}

%define ecalmajor 3
%define ecal_libname %mklibname ecal %{ecal_api} %{ecalmajor}

%define edatabookmajor 27
%define edatabook_libname %mklibname edata-book %{api_version} %{edatabookmajor}

%define ebook_contactsmajor 4
%define ebook_contacts_libname %mklibname ebook-contacts %{api_version} %{ebook_contactsmajor}

%define edatacalmajor 2
%define edatacal_libname %mklibname edata-cal %{api_version} %{edatacalmajor}

%define edataservermajor 27
%define edataserver_libname %mklibname edataserver %{api_version} %{edataservermajor}
%define edataserver_libnamedev %mklibname -d edataserver %{api_version}

%define edataserveruimajor 4
%define edataserverui_libname %mklibname edataserverui %{api_version} %{edataserveruimajor}

%define edataserverui4major 0
%define edataserverui4_libname %mklibname edataserverui4_ %{edata4_api} %{edataserverui4major}

%define edataserverui4_girname %mklibname edataserverui4-gir %{edata4_api}

%define ebackendmajor 11
%define ebackend_libname %mklibname ebackend %{api_version} %{ebackendmajor}

%define gi_major 1.2
%define girname %mklibname %{name}-gir %{gi_major}

%define gtk4_version 4.4
%define libical_version 3.0.16

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		evolution-data-server
Summary:	Evolution Data Server
Version:	3.56.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.gnome.org/projects/evolution/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch10:	fix-building-doc.patch
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	gettext
BuildRequires:	gperf
BuildRequires:	gtk-doc
BuildRequires:	db5-devel
BuildRequires:	python3
BuildRequires:	vala
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(icu-i18n)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:	pkgconfig(webkitgtk-6.0)
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	pkgconfig(gweather4)
BuildRequires:	pkgconfig(libical-glib) >= %{libical_version}
BuildRequires:	pkgconfig(libsecret-unstable)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(nspr)
BuildRequires:	pkgconfig(nss)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:	openldap-devel
BuildRequires:	pkgconfig(krb5)
# evolution requires gnome-keyring during runtime but doesn't require it
Requires:       gnome-keyring

# libical 3.0.16 added new API, this ensures to bring it in
Requires: %{mklibname ical-glib 3} >= %{libical_version}

%description
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{camel_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{camel_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{ebook_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{ebook_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{ecal_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{ecal_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{ebook_contacts_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{ebook_contacts_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edatabook_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{edatabook_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edatacal_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{edatacal_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edataserver_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Requires:	gsettings-desktop-schemas

%description -n %{edataserver_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edataserverui_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{edataserverui_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edataserverui4_libname}
Summary:        Shared libraries for using Evolution Data Server
Group:   	System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{edataserverui4_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{ebackend_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{ebackend_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edataserver_libnamedev}
Summary:	Development files for building against %{name}
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}
Requires:	%{camel_libname} = %{version}
Requires:	%{ebook_libname} = %{version}
Requires:	%{ecal_libname} = %{version}
Requires:	%{edatabook_libname} = %{version}
Requires:	%{edatacal_libname} = %{version}
Requires:	%{edataserver_libname} = %{version}
Requires:	%{edataserverui_libname} = %{version}
Requires:	%{edataserverui_libname} = %{version}
Requires:	%{edataserverui4_girname} = %{version}
Requires:	%{ebackend_libname} = %{version}
Requires:	%{girname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libedataserver-devel = %{version}-%{release}

%description -n %{edataserver_libnamedev}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{edataserverui4_girname}
Summary:        GObject Introspection interface description for EDataServerUI4
Group:          System/Libraries

%description -n %{edataserverui4_girname}
GObject Introspection interface description for EDataServerUI4.

%package tests
Summary: Tests for the %{name} package
Group: Development/Other
Requires: %{name}%{?_isa} = %{version}-%{release}

%description tests
The %{name}-tests package contains tests that can be used to verify
the functionality of the installed %{name} package.

%prep
%autosetup -p1

%build
# See Ross Burton's blog entry for why we want --with-libdb.
# https://www.burtonini.com/blog//computers/eds-libdb-2006-07-18-10-40

%cmake -GNinja \
	-DENABLE_MAINTAINER_MODE=OFF \
	-DENABLE_FILE_LOCKING=fcntl \
	-DENABLE_DOT_LOCKING=OFF \
	-DENABLE_INTROSPECTION=ON \
	-DENABLE_VALA_BINDINGS=ON \
	-DENABLE_INSTALLED_TESTS=ON \
	-DWITH_LIBDB=OFF \
	-DWITH_KRB5=ON \
	-DWITH_OPENLDAP=ON \
	-DWITH_STATIC_LDAP=OFF \
	-DENABLE_LARGEFILE=ON \
	-DENABLE_SMIME=ON \
	-DENABLE_GTK_DOC=ON \

%cmake_build

%install
%cmake_install

# give the libraries some executable bits
find %{buildroot} -name '*.so.*' -exec chmod +x {} \;

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc NEWS
%{_libdir}/%{name}/
%{_libexecdir}/camel-gpg-photo-saver
%{_libexecdir}/camel-index-control-%{api_version}
%{_libexecdir}/evolution-addressbook-factory
%{_libexecdir}/evolution-calendar-factory
%{_libexecdir}/evolution-addressbook-factory-subprocess
%{_libexecdir}/evolution-calendar-factory-subprocess
%{_libexecdir}/evolution-source-registry
%{_libexecdir}/evolution-user-prompter
%{_libexecdir}/evolution-scan-gconf-tree-xml
%{_libexecdir}/evolution-data-server/
%attr(2755,root,mail) %{_libexecdir}/camel-lock-helper-%{api_version}
%{_datadir}/%{name}
%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.AddressBook*.service
%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.Calendar*.service
%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.Sources*.service
%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.UserPrompter*.service
%{_datadir}/GConf/gsettings/*
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/pixmaps/%{name}
%{_userunitdir}/evolution-addressbook-factory.service
%{_userunitdir}/evolution-calendar-factory.service
%{_userunitdir}/evolution-source-registry.service
%{_userunitdir}/evolution-user-prompter.service
%{_sysconfdir}/xdg/autostart/org.gnome.Evolution-alarm-notify.desktop
%{_datadir}/applications/org.gnome.Evolution-alarm-notify.desktop
%{_datadir}/applications/org.gnome.evolution-data-server.OAuth2-handler.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Evolution-alarm-notify.svg

%files -n %{camel_libname}
%{_libdir}/libcamel-%{api_version}.so.%{camelmajor}{,.*}

%files -n %{ebook_libname}
%{_libdir}/libebook-%{api_version}.so.%{ebookmajor}{,.*}

%files -n %{ecal_libname}
%{_libdir}/libecal-%{ecal_api}.so.%{ecalmajor}{,.*}

%files -n %{ebook_contacts_libname}
%{_libdir}/libebook-contacts-%{api_version}.so.%{ebook_contactsmajor}{,.*}

%files -n %{edatabook_libname}
%{_libdir}/libedata-book-%{api_version}.so.%{edatabookmajor}{,.*}

%files -n %{edatacal_libname}
%{_libdir}/libedata-cal-%{edata_api}.so.%{edatacalmajor}{,.*}

%files -n %{edataserver_libname}
%{_libdir}/libedataserver-%{api_version}.so.%{edataservermajor}{,.*}

%files -n %{edataserverui_libname}
%{_libdir}/libedataserverui-%{api_version}.so.%{edataserveruimajor}{,.*}

%files -n %{edataserverui4_libname}
%{_libdir}/libedataserverui4-%{edata4_api}.so.%{edataserverui4major}{,.*}

%files -n %{edataserverui4_girname}
%{_libdir}/girepository-1.0/EDataServerUI4-%{edata4_api}.typelib

%files -n %{girname}
%{_libdir}/girepository-1.0/Camel-%{gi_major}.typelib
%{_libdir}/girepository-1.0/EBackend-1.2.typelib
%{_libdir}/girepository-1.0/EBook-%{gi_major}.typelib
%{_libdir}/girepository-1.0/EBookContacts-%{gi_major}.typelib
%{_libdir}/girepository-1.0/ECal-2.0.typelib
%{_libdir}/girepository-1.0/EDataBook-1.2.typelib
%{_libdir}/girepository-1.0/EDataCal-2.0.typelib
%{_libdir}/girepository-1.0/EDataServer-%{gi_major}.typelib
%{_libdir}/girepository-1.0/EDataServerUI-%{gi_major}.typelib

%files -n %{ebackend_libname}
%{_libdir}/libebackend-%{api_version}.so.%{ebackendmajor}{,.*}

%files -n %{edataserver_libnamedev}
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/%{name}
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_datadir}/gir-1.0/Camel-%{gi_major}.gir
%{_datadir}/gir-1.0/EBackend-1.2.gir
%{_datadir}/gir-1.0/EDataServer-%{gi_major}.gir
%{_datadir}/gir-1.0/EBook-%{gi_major}.gir
%{_datadir}/gir-1.0/EBookContacts-%{gi_major}.gir
%{_datadir}/gir-1.0/ECal-2.0.gir
%{_datadir}/gir-1.0/EDataBook-1.2.gir
%{_datadir}/gir-1.0/EDataCal-2.0.gir
%{_datadir}/gir-1.0/EDataServerUI-%{gi_major}.gir
%{_datadir}/gir-1.0/EDataServerUI4-%{edata4_api}.gir
%{_datadir}/vala/vapi/libedataserverui4-1.0.{deps,vapi}
%{_datadir}/vala/vapi/camel-%{gi_major}.deps
%{_datadir}/vala/vapi/camel-%{gi_major}.vapi
%{_datadir}/vala/vapi/libebackend-%{gi_major}.deps
%{_datadir}/vala/vapi/libebackend-%{gi_major}.vapi
%{_datadir}/vala/vapi/libebook-%{gi_major}.deps
%{_datadir}/vala/vapi/libebook-%{gi_major}.vapi
%{_datadir}/vala/vapi/libebook-contacts-%{gi_major}.deps
%{_datadir}/vala/vapi/libebook-contacts-%{gi_major}.vapi
%{_datadir}/vala/vapi/libecal-2.0.deps
%{_datadir}/vala/vapi/libecal-2.0.vapi
%{_datadir}/vala/vapi/libedata-book-%{gi_major}.deps
%{_datadir}/vala/vapi/libedata-book-%{gi_major}.vapi
%{_datadir}/vala/vapi/libedata-cal-2.0.deps
%{_datadir}/vala/vapi/libedata-cal-2.0.vapi
%{_datadir}/vala/vapi/libedataserver-%{gi_major}.deps
%{_datadir}/vala/vapi/libedataserver-%{gi_major}.vapi
%{_datadir}/vala/vapi/libedataserverui-%{gi_major}.deps
%{_datadir}/vala/vapi/libedataserverui-%{gi_major}.vapi

%files tests
%{_libdir}/libetestserverutils.so.%{testmajor}{,.*}
%{_libexecdir}/%{name}/installed-tests
%{_datadir}/installed-tests
