%global _legacy_common_support 1

Name:		examinator
Version:	0.2
Release:	%mkrel 12
Summary:	Application to generate multiple choice exams in LaTeX quality
License:	GPLv2
Group:		Education
Url:		http://www.perihel.at/examinator
Source0:	http://www.perihel.at/examinator/%{name}-%{version}.tar.gz

BuildRequires:	cmake

%description
eXaminator generates multiple choice exams in LaTeX quality.
All you have to do is to maintain a collection of questions
in a simple plain text format.
Finally specify how many questions should be taken from each
collection file.
eXaminator will choose by random and maintains a history
(in a hidden file in the local directory) to guarantee that
questions are reused as seldom as possible.

A quick howto can be found at
http://www.perihel.at/examinator/examinator-howto.html

%prep
%setup -q

# honor user C_FLAGS thus fixing empty debugsourcefiles.list
sed -i -e '/CMAKE_C_FLAGS/d' CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc ChangeLog AUTHORS README NEWS
%license COPYING
%{_bindir}/%{name}
