%define sname   etr

Name:           extremetuxracer
Version:        0.8.3
Release:        %mkrel 1
Summary:        OpenGL racing game featuring Tux
License:        GPLv2
Group:          Games/Arcade
URL:            https://sourceforge.net/projects/extremetuxracer
Source0:        https://downloads.sourceforge.net/%{name}/%{sname}-%{version}.tar.xz

BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(sfml-audio)
BuildRequires:  pkgconfig(sfml-graphics)
BuildRequires:  pkgconfig(sfml-window)
Provides:       tuxracer = %{version}-%{release}
Provides:       ppracer = %{version}-%{release}
Provides:       etr = %{version}-%{release}

%description
Extreme Tux Racer is an OpenGL racing game featuring Tux, the Linux
mascot. The goal of the game is to slide down a snow- and ice-covered
mountain as quickly as possible.  It is based on the GPL version of
TuxRacer.

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
%configure \
    --bindir=%{_gamesbindir} \
    --datadir=%{_gamesdatadir} \
    --docdir=%{_docdir}/%{name}
%make_build

%install
%make_install

install -D resources/%{sname}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{sname}.svg
rm -rf %{buildroot}%{_datadir}/pixmaps

%files
%doc AUTHORS ChangeLog
%doc %{_docdir}/%{name}/
%{_gamesbindir}/%{sname}
%{_gamesdatadir}/%{sname}/
%{_datadir}/metainfo/net.sourceforge.%{name}.metainfo.xml
%{_datadir}/applications/net.sourceforge.%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{sname}.svg
