%define debug_package %{nil}

Name:           facile
Summary:        Constraint programming library
Version:        1.1.3
Release:        %mkrel 13
License:        LGPLv2
Group:          System/Libraries
URL:            http://opti.recherche.enac.fr/
Source0:        http://opti.recherche.enac.fr/facile/distrib/%name-%version.tar.gz
Patch0:         facile-1.1-install.patch
Patch1:         10-srcMakefile
Patch2:         20-Makefile
Patch3:         30-non-opt-check
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-compiler-libs

%description
FaCiLe is a constraint programming library on integer and integer set finite
domains written in OCaml.

%files
%doc README LICENSE
%{_libdir}/ocaml/facile

%prep
%setup -q
%autopatch -p1

%build
./configure

%ifarch %arm %mips
make OCAMLC="ocamlc -g" OCAMLMLI=ocamlc
%else
make
%endif

%check
make check

%install
%make_install

