Name:		facter
Version:	4.5.0
Release:	%mkrel 1
Summary:	Ruby module for collecting simple facts about a host operating system
License:	ASL 2.0
Group:		System/Libraries
URL:		https://www.puppetlabs.com/puppet/related-projects/facter/
Source0:	https://github.com/puppetlabs/facter/archive/refs/tags/%{version}.tar.gz
Requires:	ruby
Requires:	dmidecode
Requires:	lsb-release
# needed for host, in facter/ipaddress.rb
Requires:	bind-utils
Requires:	rubygem(hocon)
BuildArch:	noarch
BuildRequires:	pkgconfig(ruby)
BuildRequires:	ruby(rubygems)
BuildRequires:	python3dist(docutils)


%description 
Ruby module for collecting simple facts about a host Operating
system. Some of the facts are preconfigured, such as the hostname and the
operating system. Additional facts can be added through simple Ruby scripts

%prep
%setup -q

%build
# Use /usr/bin/ruby directly instead of /usr/bin/env ruby in
#+ executables. Otherwise, initscripts break since pidof can't
#+ find the right process
%{__sed} -i -e 's@^#!.*$@#! /usr/bin/ruby@' bin/facter

%install
ruby install.rb  --sitelibdir=%{ruby_vendorlibdir} --destdir=%{buildroot}

%files
%doc LICENSE CONTRIBUTING.md
%{_bindir}/facter
%{_mandir}/man8/facter.8*
%{ruby_vendorlibdir}/facter.rb
%{ruby_vendorlibdir}/%{name}
%{ruby_vendorlibdir}/docs/generate.rb
%{ruby_vendorlibdir}/docs/generate_cli.rb

