Name:		fasd
Version:	1.0.1
Release:	%mkrel 4
Summary:	A command-line productivity booster

License:	MIT
URL:		https://github.com/clvv/fasd
Source0:	https://github.com/clvv/fasd/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

Group:		Shells
BuildArch:	noarch

%description
Fasd (pronounced similar to "fast") is a command-line productivity booster.
Fasd offers quick access to files and directories for POSIX shells. It is
inspired by tools like autojump, z and v. Fasd keeps track of files and
directories you have accessed, so that you can quickly reference them in the
command line.

%prep
%setup -q

# replace shebang
sed -i '1 s@/usr/bin/env\s\+sh@/bin/sh@' fasd

%build

%install
make install PREFIX=%{buildroot}%{_prefix} INSTALL="install -p"

%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc README.md
%{_bindir}/fasd
%{_mandir}/man1/fasd.1.*

