%define upstream_name    App-FatPacker
%define upstream_version 0.010007

Name:       fatpack
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Pack your dependencies onto your script file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Pack your dependencies onto your script file

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_bindir}/fatpack
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
