Name:		fatrace
Version:	0.18.0
Release:	%mkrel 1
Summary:	Reports file access events from all running processes
Group:		File tools
License:	GPLv3+
URL:		https://github.com/martinpitt/fatrace
Source0:	https://github.com/martinpitt/fatrace/archive/%{version}/%{name}-%{version}.tar.gz

%description
fatrace reports file access events from all running processes.

Its main purpose is to find processes which keep waking up the disk
unnecessarily and thus prevent some power saving.

%prep
%setup -q

%build
%set_build_flags
%make_build

%install
%make_install PREFIX=%{_prefix}

%files
%doc NEWS
%license COPYING
%{_sbindir}/fatrace
%{_sbindir}/power-usage-report
%{_mandir}/man*/*

