%global debug_package %{nil}
# Authority: dag
# Upstream: Richard Drummond <info$rcdrummond,net>

Summary: Take screenshots using the framebuffer device
Name: fbdump
Version: 0.4.2
Release: %mkrel 1
License: GPLv2
Group: Graphics/Utilities
URL: https://www.rcdrummond.net/fbdump/

Source: https://www.rcdrummond.net/fbdump/fbdump-%{version}.tar.gz

%description
fbdump reads the framebuffer device (/dev/fb*) or a dump thereof and
saves a PPM image file. You can use it for making screenshots of
virtually any application, from traditional text applications to your
X Window System desktop, as well as framebuffer applications.

%prep
%setup -q

%build
%configure --program-prefix=''
%{make_build}

%install
%{__rm} -rf %{buildroot}
%make_install

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/fbdump

