%define	major	2
%define	libname	%mklibname %{name} %{major}
%define	devname	%mklibname %{name} -d

Name:		fdk-aac
Version:	2.0.3
Release:	%mkrel 1
Summary:	A standalone library of the Fraunhofer FDK AAC codec from Android
Group:		System/Libraries
# Considered as free by Fedora and Free Software Foundation
License:	FDK-AAC
URL:		https://sourceforge.net/projects/opencore-amr/
Source0:	https://downloads.sourceforge.net/project/opencore-amr/fdk-aac/%{name}-%{version}.tar.gz

BuildRequires:	cmake

%description
A standalone library of the Fraunhofer FDK AAC codec from Android.

%package -n	%{libname}
Summary:	A standalone library of the Fraunhofer FDK AAC codec from Android
Group:		System/Libraries

%description -n %{libname}
A standalone library of the Fraunhofer FDK AAC codec from Android.

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup

%build
%global optflags %{optflags} -Ofast
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license NOTICE
%{_libdir}/libfdk-aac.so.%{major}{,.*}

%files -n %{devname}
%doc ChangeLog
%license NOTICE
%{_includedir}/%{name}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}/
