Name:           fedpkg-minimal
Version:        1.2.0
Release:        %mkrel 3
Summary:        Script to allow fedpkg fetch to work
Group:          Development/Other
License:        GPLv2+
URL:            https://pagure.io/%{name}
Source0:        https://releases.pagure.org/%{name}/%{name}-%{version}.tar.gz
Patch1:         0001-curl-max-time-in-seconds-not-minutes.patch


BuildArch:      noarch

Requires:       curl

Conflicts:      fedpkg


%description
Script for use in Koji to allow sources to be fetched

%prep
%setup -q
%autopatch -p1

%build

%install
install -d %{buildroot}%{_bindir}
install -pm 755 bin/fedpkg %{buildroot}%{_bindir}/fedpkg
install -pm 755 bin/fedpkg-stg %{buildroot}%{_bindir}/fedpkg-stg
install -pm 755 bin/fedpkg-base %{buildroot}%{_bindir}/fedpkg-base

%check
./tests/run-tests.sh

%files
%doc README.md AUTHORS.md
%license LICENSE
%{_bindir}/fedpkg
%{_bindir}/fedpkg-stg
%{_bindir}/fedpkg-base
