Name:           felix-gogo-parent
Version:        6
Release:        %mkrel 3
Group:          Development/Java
Summary:        Parent pom for Apache Felix Gogo
License:        ASL 2.0
URL:            https://felix.apache.org/documentation/subprojects/apache-felix-gogo.html

Source0:        https://repo1.maven.org/maven2/org/apache/felix/gogo-parent/%{version}/gogo-parent-%{version}-source-release.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:felix-parent:pom:)

%description
Apache Felix Gogo is a subproject of Apache Felix implementing a command
line shell for OSGi. It is used in many OSGi runtimes and servers.

%prep
%setup -q -n gogo-parent-%{version}

# Use compendium dep
%pom_xpath_remove "pom:dependency[pom:artifactId='org.osgi.namespace.service']"
%pom_xpath_remove "pom:dependency[pom:artifactId='org.osgi.service.event']"
%pom_xpath_remove "pom:dependency[pom:artifactId='org.osgi.service.log']"
%pom_xpath_remove "pom:dependency[pom:artifactId='org.apache.felix.framework']"
%pom_xpath_inject "pom:dependencies" "
<dependency>
<groupId>org.osgi</groupId>
<artifactId>osgi.cmpn</artifactId>
<version>6.0.0</version>
<scope>provided</scope>
</dependency>"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

