%define rel	14

Summary:	Festival Voice - Finnish male speaker (hy_fi_mv)
Name:		festvox-suopuhe-mv
Version:	20041119
Release:	%mkrel %rel
License:	LGPLv2+
Group:		Sound/Utilities
URL:		http://phon.joensuu.fi/suopuhe/
Source:		http://phon.joensuu.fi/suopuhe/tulosaineisto/hy_fi_mv_diphone-%version.tar.bz2
BuildArch:	noarch
Requires:	festvox-suopuhe-common
# other festvox packages seem to provide these:
Provides:	festival-voice
Provides:	festival-voice-finnish
Provides:	festival-voice-fi_FI
# per locale-specific package policy:
Requires:	locales-fi

%description
This is a Finnish male speaker for the Festival speech synthesis
system. It was developed as part of the Suopuhe project at
the universities of Helsinki and Joensuu.

%prep
%setup -q -n festival

%install

install -d -m755 %{buildroot}%{_datadir}/festival/voices/finnish/hy_fi_mv_diphone
cp -a lib/voices/finnish/hy_fi_mv_diphone/group \
	%{buildroot}%{_datadir}/festival/voices/finnish/hy_fi_mv_diphone

ln -s ../suopuhe.common %{buildroot}%{_datadir}/festival/voices/finnish/hy_fi_mv_diphone/festvox

%files
%doc lib/voices/finnish/hy_fi_mv_diphone/README.mv
%{_datadir}/festival/voices/finnish/hy_fi_mv_diphone
