Name:		file-rename-utils
Version:	1.7.3
Release:	%mkrel 10
Summary:	Bash utilities that enable various file renaming actions, and more
Group:		Text tools
License:	GPLv2
URL:		https://filerenameutils.sourceforge.net/
Source0:	https://downloads.sourceforge.net/filerenameutils/%{name}-%{version}.tgz
BuildArch:	noarch
Requires:	mariadb-common

%description
File rename utils are collection of powerful bash utilities that enable 
various file renaming, file edit actions, and more.
These include file name conversion, such as:
- Lowercase, uppercase and other trivial file renames.
- Character search and replace with sed and tr
- Renaming files numerically.


%prep
%setup -q -n %{name}

%build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
install -m 755 man/*1 %{buildroot}%{_mandir}/man1
install -m 755 mv_* %{buildroot}%{_bindir}
install -m 755 fromto htmlrename KTrash lowercase swap Trash %{buildroot}%{_bindir}
rm docs/install

%files
%doc docs/*
%{_bindir}/*
%{_mandir}/man1/*
