%define mainname fillets-ng

Summary:        Data files for the Fish Fillets NG game
Name:           fillets-ng-data
Version:        1.0.1
Release:        %mkrel 6
License:        GPLv2+
Group:          Games/Puzzles
URL:            https://fillets.sourceforge.net/
Source0:        https://downloads.sourceforge.net/fillets/%name-%version.tar.gz
# https://sourceforge.net/p/fillets/bugs/7/
#Patch0:         fillets-ng-data-1.0.1-upstream-lua-5.2.patch

Provides:       fillets-ng-data-cs = %{version}-%{release}
Obsoletes:      fillets-ng-data-cs < 1.0.1-1
BuildArch:      noarch

%description
Data files for the Fish Fillets NG game.

%prep
%setup -q
%autopatch -p1

%build

%install
install -d %{buildroot}%{_gamesdatadir}/%{mainname}
cp -a font images music script sound %{buildroot}%{_gamesdatadir}/%{mainname}/

%files
%doc COPYING doc
%{_gamesdatadir}/%{mainname}/
