Name: fimount-es
Version: 0.11
Release: %mkrel 1
Summary: An ISO, IMG, BIN, MDF and NRG Image management utility
License: GPL
Group: Utility 
URL: http://www.marcus-furius.com/?page_id=14
Source: fimount-es-0.11.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-build




%description
Furius ISO Mount es un programa de código abierto para montar y grabar archivos de imagen.

      Características

    * Montar archivos de imagen ISO, IMG, BIN, MDF y NRG
    * Permite montar múltiples imágenes.
    * Automáticamente crea un punto de montaje en el directorio del usuario.
    * Automáticamente guarda un historial de las últimas 10 imágenes montadas.
    * Graba archivos ISO e IMG en CDs.
    * Genera hash MD5 y SHA-1
    * Automáticamente recupera cualquier imagen desmontada previamente.
    * Automáticamente genera un archivo log de todos los comandos necesarios para montar y desmontar las imágenes manualmente.


%prep
%setup -q -n fimount_es

%install
%__install -dm 755 %{buildroot}/usr/lib
cp -r $RPM_BUILD_DIR/fimount_es $RPM_BUILD_ROOT/usr/lib

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Fimount
GenericName=Fimount
Comment=Gestionador de imágenes de Disco
Exec=/usr/bin/fimount
Icon=/usr/lib/fimount_es/fimount.png
Terminal=false
Type=Application
StartupNotify=true
MimeType=foo/bar;foo2/bar2;
Categories=Application;Utility; 
EOF

%clean
rm -rf %{buildroot}

%post
ln -sf /usr/lib/fimount_es/fimount /usr/bin/fimount

%postun
rm -rf /usr/bin/fimount

%files
%defattr(-,root,root)
/usr/*
/usr/lib/*
/usr/share/*

