Summary: Real Kiosk extension for firefox
Name: firefox-ext-r-kiosk
Version: 0.9.0
Release: %mkrel 5
License: Public Domain
Group:	Networking/WWW
URL:	https://addons.mozilla.org/en-US/firefox/addon/1659
Source:  https://releases.mozilla.org/pub/mozilla.org/addons/1659/r_kiosk-%{version}-fx.xpi
Requires: firefox >= %{firefox_epoch}:%{firefox_version}
Obsoletes: mozilla-firefox-ext-blogrovr < %{version}-%{release}
BuildRequires:	firefox-devel
BuildArch: noarch

%description
Real Kiosk (R-kiosk) is a Firefox extension that defaults to full screen,
disables all menus, toolbars, key commands and right button menus.
Alt+Home still takes you home.

%prep
%setup -q -c -n %{name}-%{version}

%install
mkdir -p %{buildroot}%{firefox_extdir}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{firefox_extdir}/"
mkdir -p "%{buildroot}$extdir"
cp -af %SOURCE0 "%{buildroot}$extdir/$hash.xpi"

%files
%defattr(0644,root,root,0755)
%{firefox_extdir}
