# No debug package, it's actually noarch
%define	debug_package %{nil}

# No compile of doc files named .py
%global	_python_bytecompile_extra 0

%define	oname	flightgear

#define         gitsnap  rc4
#define         rel      1

Summary:	The data for FlightGear Flight Simulator
Name:		flightgear-data
Version:	2024.1.1
Release:	%mkrel 3
License:	GPLv2
Group:		Games/Simulation
Source0:	https://downloads.sf.net/flightgear/FlightGear-%{version}-data.tar.gz
URL:		https://www.flightgear.org/

####(eatdirt) back on all arch
####ExclusiveArch:	x86_64
BuildArch:      noarch
Provides:	flightgear-base = %{version}-%{release}
Obsoletes:      flightgear-data < 2020.3

%description
The Flight Gear project is working to create a sophisticated flight simulator
framework for the development and pursuit of interesting flight simulator
ideas. We are developing a solid basic sim that can be expanded and improved
upon by anyone interested in contributing.

This package contains the base data files.

%prep
%setup -q -n fgdata
%autopatch -p1

%install
install -d -m 0755 %{buildroot}%{_gamesdatadir}/%{oname}/
cp -a * %{buildroot}%{_gamesdatadir}/%{oname}/

# fix permissions
find %{buildroot}%{_gamesdatadir}/%{oname} -type f -exec chmod 644 {} \;

# fix file not in utf-8
iconv %{buildroot}%{_gamesdatadir}/%{oname}/Thanks -f iso-8859-1 \
      -t utf-8 -o %{buildroot}%{_gamesdatadir}/%{oname}/Thanks

%files
%doc AUTHORS COPYING NEWS README Thanks Docs
%{_gamesdatadir}/%{oname}/
