%define	fontname	Inconsolata

%define fontdir		%{_datadir}/fonts/TTF/%{fontname}
%define fontconfdir	%{_sysconfdir}/X11/fontpath.d

Summary:		Inconsolata monospace font
Name:			fonts-ttf-%{fontname}
Version:		2.001
Release:		%mkrel 4
License:		OFL
Group:			System/Fonts/True type
URL:			https://www.levien.com/type/myfonts/inconsolata.html
# Source0 downloadable on google Font :
# https://fonts.google.com/specimen/Inconsolata?selection.family=Inconsolata
Source0:		Inconsolata.zip
Source2:		OFL-FAQ.txt
BuildArch:		noarch
BuildRequires:		ttmkfdir
BuildRequires:		fontconfig

%description
A monospace font designed by Ralph Levien for code listings and the like 
in print.

%prep
if [ -d %{name}-%{version} ]; then
	%__rm -rf %{name}-%{version}
fi
%__mkdir %{name}-%{version}

pushd %{name}-%{version}
	%__unzip -q %{SOURCE0}
	cp %{SOURCE2} .
popd

%install
%__install -m 0755 -d %{buildroot}%{fontdir}
%__install -m 0644 -p %{name}-%{version}/*.ttf %{buildroot}%{fontdir}
ttmkfdir %{buildroot}%{fontdir} > %{buildroot}%{fontdir}/fonts.dir
ln -s fonts.dir %{buildroot}%{fontdir}/fonts.scale

%__install -m 0755 -d %{buildroot}%{fontconfdir}
ln -s ../../../%{fontdir} %{buildroot}%{fontconfdir}/ttf-%{fontname}:pri=50

%files
%doc %{name}-%{version}/OFL*
%dir %{fontdir}
%{fontdir}/*.ttf
%{fontdir}/fonts.*
%{fontconfdir}/*


