%define oname	ttf-bitstream-vera
%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		fonts-ttf-bitstream-vera
Version:	1.10
Release:	%mkrel 19
Summary:	Bitstream Vera ttf fonts
Group:		Development/X11
BuildArch:	noarch
URL:		https://www.gnome.org/fonts/
Source:		https://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.bz2
License:	Bitstream Vera Fonts Copyright
BuildRequires:	fontconfig
BuildRequires:	x11-font-util >= 1.0.0
BuildRequires:	x11-util-macros >= 1.0.1
Conflicts:	xorg-x11 <= 6.9.0
Provides:	fonts-ttf-vera
Requires(post):	mkfontdir mkfontscale
Requires(postun):	mkfontdir mkfontscale

%description
Bitstream Vera ttf fonts

%prep
%setup -q -n %{oname}-%{version}

%install
mkdir -p %{buildroot}%{_datadir}/fonts/TTF/
cp -f *.ttf %{buildroot}%{_datadir}/fonts/TTF/

%post
mkfontscale %{_datadir}/fonts/TTF
mkfontdir %{_datadir}/fonts/TTF

%postun
mkfontscale %{_datadir}/fonts/TTF
mkfontdir %{_datadir}/fonts/TTF

%files
%doc README.TXT COPYRIGHT.TXT RELEASENOTES.TXT
%{_datadir}/fonts/TTF/Vera*.ttf




