%define _fontdir %{_fontbasedir}/TTF

Summary:    Japanese TrueType fonts
Name:       fonts-ttf-japanese-extra
Version:    0.20040217
Release:    %mkrel 22
License:    Distributable
URL:        https://sourceforge.jp/projects/mplus-fonts/
Group:      System/Fonts/True type


# Original Kochi fonts include in ascii section non free glyphs, they must
# be removed. Red Hat did it, packages taken from them 

## Original fonts is here
Source0:    %{name}-%{version}.tar.bz2

BuildArch:     noarch
BuildRequires: fontconfig
BuildRequires: mkfontscale
Obsoletes:     xtt-fonts
Provides:      xtt-fonts

%description
This Package provides Free Japanese TrueType fonts (alternative Kochi fonts:
kochi-gothic-subst, kochi-mincho-subst).


%prep
%setup -q

%build
tar xfj docs.tar.bz2

%install
mkdir -p %{buildroot}%{_fontdir}/japanese-extra
install -m 755 *.ttf %{buildroot}%{_fontdir}/japanese-extra

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%{_fontdir}/japanese-extra \
    %{buildroot}%_sysconfdir/X11/fontpath.d/ttf-japanese-extra:pri=50

cd %{buildroot}%{_fontdir}/japanese-extra/
mkfontscale
cp fonts.scale fonts.dir
cd -

%files
%doc COPYING  Changelog  README.ja docs/*
%dir %{_fontdir}/japanese-extra/
%config(noreplace) %{_fontdir}/japanese-extra/fonts.dir
%config(noreplace) %{_fontdir}/japanese-extra/fonts.scale
%{_fontdir}/japanese-extra/kochi*
%_sysconfdir/X11/fontpath.d/ttf-japanese-extra:pri=50
