Name:             fonts-ttf-mageia
Version:          0.1.3
Release:          %mkrel 8
Summary:          The Mageia logo truetype font

Source0:          http://diogenese.vm.ionfish.org/downloads/mageialogo-ttf-%{version}.tar.xz
License:          GPLv3+
Group:            System/Fonts/True type
URL:              http://diogenese.vm.ionfish.org/wiki/index.php/Mageia_Logo_Fonts
BuildArch:        noarch
Requires(post):   mkfontdir mkfontscale
Requires(postun): mkfontdir mkfontscale

%description 
Custom fonts designed from the first Mageia logo.

%prep
%setup -q -n mageialogo-ttf-%{version}

%build

%install
mkdir -p %{buildroot}%{_xfontdir}/TTF

install -m644 MageiaLogoRegular.ttf %{buildroot}%{_xfontdir}/TTF
install -m644 MageiaLogoMedium.ttf %{buildroot}%{_xfontdir}/TTF

%post
mkfontscale %{_xfontdir}/TTF
mkfontdir %{_xfontdir}/TTF

%postun
mkfontscale %{_xfontdir}/TTF
mkfontdir %{_xfontdir}/TTF

%files
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING README
%{_xfontdir}/TTF/MageiaLogoRegular.ttf
%{_xfontdir}/TTF/MageiaLogoMedium.ttf
