%define _fontdir %{_fontbasedir}/TTF

Summary:	Tibetan Machine Unicode font
Name:		fonts-ttf-tibetan-ttmuni
Version:	1.901b
Release:	%mkrel 13
License:	GPLv2+
URL: 		https://www.thdl.org/tools/fonts/tibfonts.php
Group:		System/Fonts/True type
Source0:	TibetanMachineUnicodeFont.zip
BuildArch:	noarch
BuildRequires:	mkfontdir

%description
This package provides an OpenType Unicode Tibetan font,
for writing in Tibetan, Dzongkha and Ladakhi with almost 4000 glyphs.

%prep
%setup -q -c %{name}

%install
mkdir -p %{buildroot}%{_fontdir}/ttmuni/
install -m 644 *.ttf %{buildroot}%{_fontdir}/ttmuni/
cd %{buildroot}%{_fontdir}/ttmuni/
mkfontdir
cp fonts.dir fonts.scale

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%{_fontdir}/ttmuni \
    %{buildroot}%_sysconfdir/X11/fontpath.d/ttf-tibetan-ttmuni:pri=50


%files
%doc *.txt
%{_fontdir}/ttmuni/
%{_sysconfdir}/X11/fontpath.d/ttf-tibetan-ttmuni:pri=50
