%define commit	91edd6ece36e84a1c6d63a1cf63a1a6d84bd443a
%define shortc	91edd6e
%define rel	6

Summary:	The 35 standard True Type fonts 
Name:		fonts-ttf-urw
Version:	1
Release:	%mkrel %{rel}.git20170804

Source0:	https://git.ghostscript.com/?p=urw-core35-fonts.git;a=snapshot;h=%{commit};sf=tgz#/%{name}-%{shortc}.tar.gz

License:	GPLv2
Group:		System/Fonts/Type1
URL:		https://git.ghostscript.com/?p=urw-core35-fonts.git
BuildArch:	noarch
#to remove after MGA7 release
Obsoletes:	urw-fonts-truetype

#needed to generate font requires
BuildRequires:  fontconfig
%description 
Free, good quality versions of the 35 standard PostScript(TM) fonts,
donated under the GPL by URW++ Design and Development GmbH.  The
fonts.dir file font names match the original Adobe names of the fonts
(e.g., Times, Helvetica, etc.).

Install the %{name} package if you need free versions of standard
PostScript fonts in True Type format.

The fonts provided are:
URW-Avantgarde
URW-Bookman
URW Chancery
URW-Century Schoolbook
URW-Courier
URW-Dingbats
URW-Gothic
URW-Helvetica
URW-New Century Schoolbook
URW-Nimbus Sans
URW-Nimbus Roman No9
URW-Nimbus Mono
URW-Palatino
URW Palladio
URW-Standard Symbols
URW-Symbol
URW-Times
URW-Zapf Chancery
URW-Zapf Dingbats

%prep
%setup -q -n urw-core35-fonts-%{shortc}

%build

%install
mkdir -p %{buildroot}%{_datadir}/fonts/TTF/%{name}

# install URW TTF fonts
install -m 644	*.ttf \
			%{buildroot}%{_datadir}/fonts/TTF/%{name}

%files
%doc COPYING
%dir %{_datadir}/fonts/TTF/%{name}/
%{_datadir}/fonts/TTF/%{name}/*.ttf
