%global fontname wqy-zenhei

Name:           fonts-ttf-%{fontname}
Version:        0.9.46
Release:        %mkrel 1
Summary:        WenQuanYi Zen Hei CJK Font

Group:		System/Fonts/True type
License:        GPLv2 with exceptions
URL:            http://wenq.org/
Source0:        https://downloads.sourceforge.net/wqy/%{fontname}-%{version}-May.tar.bz2

BuildArch:      noarch
BuildRequires:  fontconfig

%description
WenQuanYi Zen Hei is a Hei-Ti style (sans-serif type) Chinese \
outline font. It is designed for general purpose text formatting \
and on-screen display of Chinese characters and symbols from \
many other languages. The embolden strokes of the font glyphs \
produces enhanced screen contrast, making it easier to read \
recognize. The embedded bitmap glyphs further enhance on-screen \
performance, which can be enabled with the provided configuration \
files. WenQuanYi Zen Hei provides a rather complete coverage to \
Chinese Hanzi glyphs, including both simplified and traditional \
forms. The total glyph number in this font is over 35,000, including \
over 21,000 Chinese Hanzi. This font has full coverage to GBK(CP936) \
charset, CJK Unified Ideographs, as well as the code-points \
needed for zh_cn, zh_sg, zh_tw, zh_hk, zh_mo, ja (Japanese) \
and ko (Korean) locales for fontconfig. Starting from version \
0.8, this font package has contained two font families, i.e. \
the proportionally-spaced Zen Hei, and a mono-spaced face \
named "WenQuanYi Zen Hei Mono".

%prep
%setup -q -n %{fontname}

%install
mkdir -p %buildroot/%{_datadir}/fonts/TTF/%{fontname}
install -m 644 *.ttc %buildroot/%{_datadir}/fonts/TTF/%{fontname}

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/fonts/TTF/%{fontname} \
   %{buildroot}%_sysconfdir/X11/fontpath.d/ttf-%{fontname}:pri=50

%files
%dir %_datadir/fonts/TTF/%{fontname}/
%_datadir/fonts/TTF/%{fontname}/*.ttc
%_sysconfdir/X11/fontpath.d/ttf-%{fontname}:pri=50

