Name:		fonttosfnt
Version:	1.2.4
Release:	%mkrel 1
Summary:	Wrap a bitmap font in a sfnt (TrueType) wrapper
Group:		System/X11
License:	MIT
URL:		https://www.x.org
Source:		https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(fontenc) >= 1.0.1
BuildRequires:	pkgconfig(freetype2) >= 2.1.10
BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	x11-util-macros >= 1.0.1

%description
Fonttosfnt wraps a bitmap font in a sfnt (TrueType or OpenType) wrapper.

%prep
%autosetup

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make_build

%install
%make_install

%files
%{_bindir}/fonttosfnt
%{_mandir}/man1/fonttosfnt*
