%define base_name	bofh

Name:		fortune-%{base_name}
Version:	1.2
Release:	%mkrel 9
Summary:	BOFH excuses fortune
License:	Public Domain
Group:		Toys
URL:		https://www.cs.wisc.edu/~ballard/bofh
Source:		%{base_name}-%{version}.tar.bz2
BuildArch:	noarch
Requires:	fortune-mod
BuildRequires:	fortune-mod

%description
This is a set of BOFH-style excuses.

%prep
%setup -q -n %{base_name}-%{version}

%build
perl -ni -e 'print "BOFH excuse #" . ++$i . ":\n\n$_%\n"' excuses
/usr/bin/strfile excuses

%install
install -d -m 755 %{buildroot}%{_gamesdatadir}/fortunes
install -m 644 excuses %{buildroot}%{_gamesdatadir}/fortunes/%{base_name}
install -m 644 excuses.dat %{buildroot}%{_gamesdatadir}/fortunes/%{base_name}.dat

%files
%{_gamesdatadir}/fortunes/*
