%global namedreltag -beta-3-SNAPSHOT
%global namedversion %{version}%{?namedreltag}
Name:          freehep-one-plugin
Version:       2.0
Release:       %mkrel 3
Summary:       FreeHEP Maven (2) One Plugin 
Group:         Development/Java
License:       LGPL
Url:           https://java.freehep.org/freehep-one-plugin/
# svn checkout svn://svn.freehep.org/svn/freehep/trunk/maven-plugins/freehep-one-plugin freehep-one-plugin
# tar czf freehep-one-plugin-2.0-beta-3-src-svn.tar.gz freehep-one-plugin
Source0:       freehep-one-plugin-2.0-beta-3-src-svn.tar.gz
# remove parent pom reference and add plexus-utils deps
Patch0:        freehep-one-plugin-2.0-beta-3-pom_xml.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: maven
BuildRequires: maven-plugin-plugin
BuildRequires: maven-project
BuildRequires: plexus-compiler
BuildRequires: plexus-utils

Requires:      java
Requires:      jpackage-utils
Requires:      maven
Requires:      maven-project
Requires:      plexus-compiler
Requires:      plexus-utils
BuildArch:     noarch

%description
Maven (2) Plugin to create dependency file for Maven 1 compatibility

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
FreeHEP Maven (2) One Plugin.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;
%patch -P 0 -p0

%build

mvn-rpmbuild install javadoc:javadoc

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%pre javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files javadoc
%{_javadocdir}/%{name}
