%define		oname freeswitch
%define		soundsver 1.0.50

Name:		freeswitch-sounds
Summary:	Sounds for the FreeSWITCH system
License:	MPLv1.1
Group:		Communications/Telephony
Version:	1.6.8
Release:	%mkrel 11
URL:		https://freeswitch.org/
Epoch:		1
BuildArch:	noarch

Source0:	https://files.freeswitch.org/releases/sounds/%{name}-en-us-callie-8000-%{soundsver}.tar.gz
Source2:	https://files.freeswitch.org/releases/sounds/%{name}-en-us-callie-16000-%{soundsver}.tar.gz
Source3:	https://files.freeswitch.org/releases/sounds/%{name}-en-us-callie-32000-%{soundsver}.tar.gz
Source4:	https://files.freeswitch.org/releases/sounds/%{name}-en-us-callie-48000-%{soundsver}.tar.gz
Source5:	https://files.freeswitch.org/releases/sounds/%{name}-es-mx-maria-44100.tar.gz
Source6:	https://files.freeswitch.org/releases/sounds/%{name}-fr-ca-june-48000-%{soundsver}.tar.gz
Source7:	https://files.freeswitch.org/releases/sounds/%{name}-music-16000-%{soundsver}.tar.gz
Source8:	https://files.freeswitch.org/releases/sounds/%{name}-music-32000-%{soundsver}.tar.gz
Source9:	https://files.freeswitch.org/releases/sounds/%{name}-music-48000-%{soundsver}.tar.gz
Source10:	https://files.freeswitch.org/releases/sounds/%{name}-music-8000-%{soundsver}.tar.gz
Source11:	https://files.freeswitch.org/releases/sounds/%{name}-ru-RU-elena-16000-%{soundsver}.tar.gz
Source12:	https://files.freeswitch.org/releases/sounds/%{name}-ru-RU-elena-32000-%{soundsver}.tar.gz
Source13:	https://files.freeswitch.org/releases/sounds/%{name}-ru-RU-elena-48000-%{soundsver}.tar.gz
Source14:	https://files.freeswitch.org/releases/sounds/%{name}-ru-RU-elena-8000-%{soundsver}.tar.gz
Source15:	https://files.freeswitch.org/releases/sounds/%{name}-sv-se-jakob-8000-%{soundsver}.tar.gz
Source16:	https://files.freeswitch.org/releases/sounds/%{name}-sv-se-jakob-16000-%{soundsver}.tar.gz
Source17:	https://files.freeswitch.org/releases/sounds/%{name}-sv-se-jakob-32000-%{soundsver}.tar.gz
Source18:	https://files.freeswitch.org/releases/sounds/%{name}-sv-se-jakob-48000-%{soundsver}.tar.gz

%description
This package contains the sounds for the FreeSWITCH system


%package en
Summary:	Provides standard sounds in English
Group:		System/Libraries
BuildArch:	noarch

%description en
Provides standard sounds in English.

%package moh
Summary:	Provides standard sounds for Music-on-Hold
Group:		System/Libraries
BuildArch:	noarch

%description moh
Provides standard sounds for Music-on-Hold.

%package ru
Summary:	Provides standard sounds in Russian
Group:		System/Libraries
BuildArch:	noarch

%description ru
Provides standard sounds in Russian.

%package es
Summary:	Provides standard sounds in Spanish
Group:		System/Libraries
BuildArch:	noarch

%description es
Provides standard sounds in Spanish.

%package fr
Summary:	Provides standard sounds in French
Group:		System/Libraries
BuildArch:	noarch

%description fr
Provides standard sounds in French.

%package sv
Summary:	Provides standard sounds in Swedish
Group:		System/Libraries
BuildArch:	noarch

%description sv
Provides standard sounds in Swedish


%prep

%build

%install
mkdir -p %{buildroot}/%{_datadir}/%{oname}/sounds

pushd %{buildroot}/%{_datadir}/%{oname}/sounds
pwd
tar -axf %{SOURCE0}
tar -axf %{SOURCE2}
tar -axf %{SOURCE3}
tar -axf %{SOURCE4}
tar -axf %{SOURCE5}
tar -axf %{SOURCE6}
tar -axf %{SOURCE7}
tar -axf %{SOURCE8}
tar -axf %{SOURCE9}
tar -axf %{SOURCE10}
tar -axf %{SOURCE11}
tar -axf %{SOURCE12}
tar -axf %{SOURCE13}
tar -axf %{SOURCE14}
tar -axf %{SOURCE15}
tar -axf %{SOURCE16}
tar -axf %{SOURCE17}
tar -axf %{SOURCE18}
popd

%files en
%defattr(-, freeswitch, daemon)
%{_datadir}/%{oname}/sounds/en/us/callie/*

%files moh
%defattr(-, freeswitch, daemon)
%{_datadir}/%{oname}/sounds/music/*

%files ru
%defattr(-, freeswitch, daemon)
%{_datadir}/%{oname}/sounds/ru/RU/elena/*

%files es
%defattr(-, freeswitch, daemon)
%{_datadir}/%{oname}/sounds/es/mx/maria/*

%files fr
%defattr(-, freeswitch, daemon)
%{_datadir}/%{oname}/sounds/fr/ca/june/*

%files sv
%defattr(-, freeswitch, daemon)
%{_datadir}/%{oname}/sounds/sv/se/jakob/*
