Name:		freetuxtv
Summary:	Freetuxtv - TV player
Version:	0.6.8
Release:	%mkrel 1

Group:          Video/Television
License:	GPLv2
URL:		https://github.com/freetuxtv/freetuxtv
Source:		https://github.com/freetuxtv/freetuxtv/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(libcurl) >= 7.16.4
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.26.0
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.74
BuildRequires:	pkgconfig(libnotify) >= 0.4.0
BuildRequires:	pkgconfig(sqlite3) >= 3.4
BuildRequires:	pkgconfig(libvlc) >= 2.0.0
BuildRequires:	intltool >= 0.35

Requires:	vlc >= 2.0.0

%description
freetuxtv is a player for Television on Internet with french Free
or SFR (ex-Neuf) Internet service providers, and a lot of WebTV in
french languages in the world (Canada, Switzerland, Belgium, etc...).

%prep
%autosetup -p1

%build
%configure --disable-static --enable-shared --with-gtk=3.0
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS AUTHORS README ChangeLog
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_libdir}/*.so.*
%exclude %{_libdir}/*.so
%exclude %{_libdir}/*.la
%exclude %{_includedir}
