Name:		fskbsetting
Version:	0.3.5
Release:	%mkrel 12
License:	GPLv3+
Summary:	GUI Front-end for setxkbmap command
URL:		https://sourceforge.net/projects/fskbsetting
Group:		System/X11
Source0:	https://sourceforge.net/projects/fskbsetting/files/%{name}-%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	intltool
BuildRequires:	automake
BuildRequires:	wxgtk-devel
BuildRequires:	hicolor-icon-theme
BuildRequires:	gettext-devel
Requires:	setxkbmap
Requires:	hicolor-icon-theme
Requires:	x11-data-xkbdata

%description
fsKBSetting is GUI front-end for setxkbmap command.

%prep
%setup -q

%build
autoreconf --force --install --symlink
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}.png
%{_docdir}/%{name}

