Name:           fslsfonts
Version:        1.0.7
Release:        %mkrel 1
Summary:        List fonts served by X font server
Group:          Development/X11
License:        MIT
Url:            https://xorg.freedesktop.org
Source:         https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(libfs) >= 1.0.0
BuildRequires:  pkgconfig(x11) >= 1.0.0
BuildRequires:  x11-util-macros >= 1.0.1

%description
Fslsfonts lists the fonts that match the given pattern.

%prep
%setup -q

%build
%configure

%make_build

%install
%make_install

%files
%{_bindir}/fslsfonts
%{_mandir}/man1/fslsfonts.*
