Name:		fstobdf
Version:	1.0.7
Release:	%mkrel 1
Summary:	Generate BDF font from X font server
Group:		Development/X11
License:	MIT
Url:		https://xorg.freedesktop.org/
Source:		https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(libfs) >= 1.0.0
BuildRequires:	pkgconfig(x11) >= 1.0.0
BuildRequires:	pkgconfig(xorg-macros) >= 1.0.1

%description
The fstobdf program reads a font from a font server and generate BDF font.

%prep
%setup -q 

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make_build

%install
%make_install

%files
%doc ChangeLog README.md
%{_bindir}/fstobdf
%{_mandir}/man1/fstobdf.*
