Name:          fuse-emulator
Version:       1.6.0
Release:       %mkrel 3
Summary:       Fuse (the Free Unix Spectrum Emulator)
Group:         Emulators
URL:           https://fuse-emulator.sourceforge.net/
Source0:       https://sourceforge.net/projects/fuse-emulator/files/fuse/%{version}/fuse-%{version}.tar.gz
License:       GPLv2

BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(libspectrum)
BuildRequires: pkgconfig(libgcrypt)
BuildRequires: pkgconfig(audiofile)

%description
Fuse (the Free Unix Spectrum Emulator) was originally, and somewhat
unsurprisingly, an emulator of the ZX Spectrum (a popular 1980s home
computer, especially in the UK) for Unix. Fuse also emulates some of
the better-known ZX Spectrum clones as well.

%prep
%setup -q -n fuse-%{version}

%build
%configure --enable-desktop-integration
%make_build

%install
%make_install

%files
%doc AUTHORS README THANKS
%{_bindir}/fuse
%{_mandir}/man1/fuse.1*
%{_datadir}/fuse
%{_datadir}/applications/fuse.desktop
%{_iconsdir}/hicolor/*/apps/fuse.png
%{_iconsdir}/hicolor/*/mimetypes/application-x-spectrum.png
%{_datadir}/mime/packages/fuse.xml
