%{!?_modulesloaddir:%global _modulesloaddir %{_usr}/lib/modules-load.d}

Name: fuse-overlayfs
Version: 1.13
Release: %mkrel 1
License: GPL-3.0-or-later
Summary: FUSE implementation for overlayfs
Group: System/Kernel and hardware
URL: https://github.com/containers/fuse-overlayfs
# Tarball fetched from upstream
Source0: https://github.com/containers/fuse-overlayfs/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: fuse3-devel
BuildRequires: gcc
BuildRequires: git-core
BuildRequires: make
BuildRequires: systemd-rpm-macros
Requires: fuse3
Provides: bundled(gnulib) = cb634d40c7b9bbf33fa5198d2e27fdab4c0bf143

%description
fuse-overlayfs provides an overlayfs FUSE implementation so that it can be used
since Linux 4.18 by unprivileged users in an user namespace.

%prep
%autosetup -Sgit %{name}-%{version}

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

install -d %{buildroot}%{_modulesloaddir}
echo fuse > %{buildroot}%{_modulesloaddir}/fuse-overlayfs.conf

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_modulesloaddir}/fuse-overlayfs.conf
