Name:           galois
Version:        0.8
Release:        %mkrel 1
Summary:        Extended falling blocks game with many different geometries
Group:          Games/Arcade
License:        GPLv3+
URL:            https://www.nongnu.org/galois/
Source0:        https://download.savannah.gnu.org/releases/galois/source/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(libxml++-2.6)

%description
Galois is a computer game of the "falling blocks" type, but with unique
features. Unlike most other games of that type, it is not limited to blocks
made of four two-dimensional, square bricks: you can choose among several
different brick shapes, blocks composed of more or less bricks, and even
between two- and three-dimensional games.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%find_lang %{name} --with-gnome --with-man

%files -f %{name}.lang
%doc NEWS
%{_docdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_metainfodir}/%{name}.appdata.xml
%{_gamesbindir}/%{name}
%{_mandir}/man6/%{name}.6.*
