%define oname	ganglia

Name:		ganglia-web
License:	BSD
Version:	3.7.5
Release:	%mkrel 1
Summary:	Ganglia Web Frontend
Group:		Monitoring
URL:		https://ganglia.sourceforge.net/
Source0:	https://github.com/ganglia/ganglia-web/archive/%{version}/%{name}-%{version}.tar.gz
Source1:	ganglia-web.conf
Patch0:		ganglia-web-3.7.4-mga-dont-run-chown.patch

BuildArch:	noarch
Obsoletes:	%{oname}-webfrontend < 3.5.3
Provides:	%{oname}-webfrontend = %{version}-%{release}

BuildRequires:	rsync
Requires:	%{oname}-core
Requires:	php-webinterface
Requires:	rrdtool
Requires:	%{oname}-gmetad
Requires:	php-xml
Requires:	php-gd
Requires(post):	rpm-helper
Requires(preun): rpm-helper

%description
This component presents all the historical data saved
to Round-Robin databases by Gmetad in HTML allowing all
cluster, hosts and host metrics to be viewed in real-time.


%prep
%setup -q
%autopatch -p1

%build

%install
# No need for execure bit
chmod -x header.php
%make_install
install -D -m 644 %{SOURCE1} %{buildroot}%{_webappconfdir}/%{name}.conf

# Don't install docs in web dir
rm %{buildroot}%{_datadir}/%{name}frontend/{AUTHORS,COPYING,README,TODO}

%files
%doc AUTHORS COPYING README TODO
%config(noreplace) %{_webappconfdir}/%{name}.conf
%{_datadir}/%{name}frontend
%{_var}/lib/ganglia-web/conf
%attr(0755,apache,apache)/var/lib/ganglia-web/dwoo/compiled
%attr(0755,apache,apache)/var/lib/ganglia-web/dwoo/cache
