Name:           gdu
Version:        5.13.2
Release:        1%{?dist}
Summary:        Pretty fast disk usage analyzer written in Go
Group:          File tools
License:        MIT

Source0:        %{name}-%{version}.tar.gz
Source1:        pkgs.tar.gz
Requires:       bash
BuildRequires:       golang
BuildRequires:       git

Provides:       %{name} = %{version}
%define debug_package %{nil}
%description
Pretty fast disk usage analyzer written in Go.

%prep
%autosetup
mkdir _build
cd _build
tar xzf %{SOURCE1}

%build
# go build -v -o %{name}
GOPATH=$(pwd)/_build:$(pwd) GO111MODULE=on CGO_ENABLED=0 go build \
-trimpath \
-buildmode=pie \
-mod=readonly \
-modcacherw \
-ldflags \
"-s -w \
-X 'github.com/dundee/gdu/v5/build.Version=$(git describe)' \
-X 'github.com/dundee/gdu/v5/build.User=$(id -u -n)' \
-X 'github.com/dundee/gdu/v5/build.Time=$(LC_ALL=en_US.UTF-8 date)'" \
-o %{name} github.com/dundee/gdu/v5/cmd/gdu

%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 0755 %{name} %{buildroot}%{_bindir}/%{name}
# install -Dpm 0755 %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1/gdu.1
install -Dpm 0755 %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1/gdu.1

%files
%{_bindir}/gdu
%{_mandir}/man1/gdu.1*
