Name:           geckodriver
Summary:        Webdriver Gecko-based
Version:        0.35.0
Release:        %mkrel 1
Url:            https://github.com/mozilla/geckodriver
Source0:        https://github.com/mozilla/geckodriver/archive/refs/tags/v%{version}.tar.gz
Source1:        vendor.tar.xz
License:        MPL
Group:          Networking/WWW

BuildRequires:  rust
BuildRequires:  cargo-rpm-macros
BuildRequires:  cargo
BuildRequires:  gcc


%description
Proxy for using W3C WebDriver-compatible clients to interact with Gecko-based
browsers.

%prep
%autosetup -p1 -a1
%cargo_prep -v vendor
# unset execution permission as the file contains a pseudo shebang which causes failure
chmod -x vendor/zip/src/spec.rs

%build
%cargo_build

%install
install -Dm755 target/release/%name %{buildroot}%{_bindir}/%name
ln -sf /usr/bin/%name %{buildroot}%{_bindir}/wires

%files
%doc README.md
%license LICENSE
%{_bindir}/%name
%{_bindir}/wires
