%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	A general purpose calculator and math tool
Name:		genius
Version:	1.0.27
Release:	%mkrel 3
License:	GPLv3+
Group:		Sciences/Mathematics
URL:		https://www.jirka.org/genius.html
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	pkgconfig(glib-2.0) >= 2.12.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.12.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.16.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.18.0
BuildRequires:	pkgconfig(vte-2.91)
BuildRequires:	pkgconfig(gtksourceview-4)
BuildRequires:	pkgconfig(gmp)
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(mpfr)
BuildRequires:	pkgconfig(tinfo)
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	automake
Requires:	ghostscript

%description
Genius is an advanced calculator and a mathematical programming language.
It handles multiple precision floating point numbers, infinite precision
integers, complex numbers and matrixes.

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static --disable-update-mimedb
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

# remove stuff not distributed
# pointless to include header, no plugin has been developed in 4 yrs
rm -rf %{buildroot}%{_includedir}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/application-registry/*
%{_datadir}/mime/packages/*
%{_datadir}/mime-info/*
%{_iconsdir}/hicolor/*/apps/gnome-genius.*
%{_iconsdir}/hicolor/*/apps/genius-stock-plot.png
%{_libdir}/%{name}/
%{_libexecdir}/genius-readline-helper-fifo
