Summary:	Tool for creating romfs filesystems
Name:		genromfs
Version:	0.5.2
Release:	%mkrel 18
License:	GPL
Group:		System/Kernel and hardware
Source:		https://downloads.sourceforge.net/romfs/%{name}-%{version}.tar.gz
URL:		https://romfs.sourceforge.net/

%description
Genromfs is a tool for creating romfs filesystems, which are
lightweight, read-only filesystems supported by the Linux
kernel.

%prep
%setup -q

%build
make CFLAGS="%{optflags} -DVERSION=\\\"%{version}\\\"" LDFLAGS="%{ldflags}"

%install
install -m 0755 %{name} -D $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m 0644 %{name}.8 -D $RPM_BUILD_ROOT%{_mandir}/man8/%{name}.8

%files
%doc romfs.txt COPYING ChangeLog NEWS
%{_bindir}/*
%{_mandir}/man8/*



