Summary:	Tools for converting websites from using GIFs to using PNGs
Name:		gif2png
Version:	2.5.14
Release:	%mkrel 3
License:	MIT style
Group:		Graphics/Editors and Converters
URL:		http://www.catb.org/~esr/gif2png/
Source0:	http://www.catb.org/~esr/gif2png/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(libpng)

%description
Tools for converting GIFs to PNGs. The program gif2png converts GIF files to
PNG files. The Python script web2png converts an entire web tree, also patching
HTML pages to keep IMG SRC references correct.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build

%install
%make_install

# web2png is Python 2 only
rm %{buildroot}%{_bindir}/web2png
rm %{buildroot}%{_mandir}/man1/web2png*

%files
%doc control
%{_bindir}/*
%{_mandir}/*/*
