Summary:	Manipulate Garmin IMG files
Name:		gimgtools
Version:	0.03
Release:	%mkrel 8
Group:		File tools
License:	GPLv2
URL:		https://code.google.com/p/gimgtools/
#https://github.com/wuyongzheng/gimgtools/archive/master.zip
Source0:	%{name}-master.zip

%description
A set of tools to examine and manipulate Garmin IMG (the map format) files.

%prep

%setup -q -n %{name}-master

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install

install -d %{buildroot}%{_bindir}

for f in gimginfo gimgfixcmd gimgxor gimgunlock gimgch gimgextract cmdc; do
    install -m0755 $f %{buildroot}%{_bindir}/
done

%files
%doc README.txt
%{_bindir}/*

