%define api_version 3.0
%define abi_version 3.0

Summary:	The GNU Image Manipulation Program
Name:		gimp-data-extras
Version:	2.0.4
Release:	%mkrel 2
License:	GPL-3.0-or-later
Group:		Graphics/Editors and Converters
URL:		https://www.gimp.org/
Source0:	https://download.gimp.org/pub/gimp/extras/gimp-data-extras-%{version}.tar.bz2
Source1:	org.gimp.GIMP.data_extras.metainfo.xml 
BuildArch:	noarch
Requires:	gimp > 2
BuildRequires:	pkgconfig(gimp-3.0)

%description
Patterns, gradients etc. for gimp. This package isn't required, but contains
lots of goodies for gimp.

%prep
%autosetup -p1

%build
perl -pi -e 's|gimp-2.0|gimp-%{api_version}|g' configure.in configure
%configure
%make_build

%install
%make_install GIMP_DATA_DIR=%{_datadir}/gimp/%{abi_version}

install -d -m 0755 %{buildroot}%{_metainfodir}
install -m 0644 %{SOURCE1} %{buildroot}%{_metainfodir}

%files
%doc README NEWS
%license COPYING
%{_datadir}/gimp/*
%{_metainfodir}/*.metainfo.xml
