%define		_name animstack.scm
%define		abi_version 3.0

Name:		gimp-plugin-animstack
Version:	0.5
Release:	%mkrel 11
Summary:	A collection of tools to simplify creating animations in GIMP
License:	BSD
Group:		Graphics/Utilities
Url:		https://registry.gimp.org/node/26501
Source0:	https://registry.gimp.org/files/%{_name}
Source1:	README

BuildArch:	noarch

Requires:	gimp >= 3.0.0

Provides:	animstack-gimp = %{version}-%{release}

%description
AnimStack is a collection of tools to simplify creating animations in GIMP.
It makes heavy use of Layer Groups, introduced in GIMP 2.8.

This script also includes my Flatten Layer Groups script.

The typical work flow goes like this:

  * create frames for your animation
  * add foreground and/or background layer(s).
  * tag them with appropriate AnimStack tags by putting them in square brackets 
    anywhere in the layer's name
  * Select Filters -> Animation -> Process AnimStack tags
  * the script adds foreground and background to each untagged frame

%install
mkdir -p %{buildroot}
cp %{S:1} .
install -D -m644 %{S:0} %{buildroot}%{_datadir}/gimp/%{abi_version}/scripts/%{_name}

%files
%doc README
%{_datadir}/gimp/%{abi_version}/scripts/%{_name}
