%define		_name bgmask.scm
%define		abi_version 3.0

Name:		gimp-plugin-bgmask
Version:	0.1
Release:	%mkrel 11
Summary:	A useful script to extract, to mask and to average
License:	BSD
Group:		Graphics/Utilities
Url:		https://registry.gimp.org/node/27601
Source0:	https://registry.gimp.org/files/%{_name}

BuildArch:	noarch

Requires:	gimp >= 3.0.0

Provides:	bgmask-gimp = %{version}-%{release}

%description
This script adds three tools under Script-Fu - BgMask:
 * Extract background...
 * Mask against background...
 * Average linked layers...

%install
mkdir -p %{buildroot}
install -D -m644 %{S:0} %{buildroot}%{_datadir}/gimp/%{abi_version}/scripts/%{_name}

%files
%{_datadir}/gimp/%{abi_version}/scripts/%{_name}
