Name:           git-archive-all
Version:        1.23.1
Release:        %mkrel 1
Summary:        Python script wrapper for git-archive that archives a git clone and its submodules
Group:          Development/Tools
License:        MIT
URL:            https://github.com/Kentzo/git-archive-all
Source0:        https://github.com/Kentzo/git-archive-all/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

%description
Creates archive from the current state using
git ls-files --cached --full-name --no-empty-directory .
Supports for any level of submodules tree.
Files from submodules are extracted using the same command.

%prep
%autosetup -p1
sed -i 's@^#! /usr/bin/env python$@#! /usr/bin/env python3@' git_archive_all.py

%build

%install
%make_install prefix=%{buildroot}%{_prefix}

%files
%doc README.rst
%{_bindir}/%{name}
