%global __requires_exclude ^pear\\(.*\\)

Name:       glpi-plugin-webservices
Version:    1.5.0
Release:    %mkrel 4
Summary:    Web Services plugin
License:    GPL
Group:      Monitoring
Url:        https://forge.indepnet.net/projects/webservices
Source0:    https://forge.indepnet.net/attachments/download/528/glpi-webservices-%{version}.tar.gz
Requires:   php-soap
Requires:   php-xmlrpc
Requires:   glpi >= 0.85
BuildArch:  noarch

%description
This plugin provides a server for Web Services which allow an external
application to check and control GLPI.

%prep
%setup -q -n webservices

%install
install -d -m 755 %{buildroot}%{_datadir}/glpi/plugins/webservices
cp -ap * %{buildroot}%{_datadir}/glpi/plugins/webservices

%files
%{_datadir}/glpi/plugins/webservices
