Name:			gmrun
Version:		1.4w
Release:		%mkrel 1
Summary:		Lightweight "Run program" dialog box with search history and tab completion
Group:			Graphical desktop/Other
License:		ISC
URL:			https://github.com/wdlkmpx/gmrun
Source0:		https://github.com/wdlkmpx/gmrun/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:		pkgconfig(popt)
BuildRequires:		pkgconfig(gtk+-3.0)
Requires:		xterm
Requires:		man
Requires:		info
Requires:		xdg-utils

%description
A simple GTK program which provides a "run program" window.
It features a bash-like TAB completion, Ctrl-R/Ctrl-S for 
searching through the history and URL handlers for any user defined
prefix.


%prep
%autosetup -p1

%build
%set_build_flags
./configure --prefix=%{_prefix} \
            --sysconfdir=%{_sysconfdir} \
            --enable nls
%make_build


%install
%make_install

%find_lang %{name}


%files -f %{name}.lang
%doc ChangeLog AUTHORS README.md
%license LICENSE
%{_sysconfdir}/gmrunrc
%{_bindir}/gmrun
%{_datadir}/applications/gmrun.desktop
%{_datadir}/pixmaps/gmrun.png
%{_mandir}/man1/gmrun.1.*
