%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}
%global __provides_exclude_from	%{_datadir}/help/.*
%global __requires_exclude_from	%{_datadir}/help/.*

Summary:		GNOME Developer Documentation
Name:			gnome-devel-docs
Version:		40.3
Release:		%mkrel 2
License:		GFDL
Group:			Documentation
Url:			https://developer.gnome.org/
Source0:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:		noarch
BuildRequires:		scrollkeeper
BuildRequires:		pkgconfig
BuildRequires:		itstool
BuildRequires:		libxml2-utils
BuildRequires:		intltool

%description
This package contains the GNOME Handbook, the GNOME Documentation Style Guide
and an Overview of the GNOME Platform.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%find_lang %{name} --all-name --with-gnome

%files -f %{name}.lang
%doc NEWS  README AUTHORS
