%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-epub-thumbnailer
Version:	1.8
Release:	%mkrel 2
License:	GPLv2+
Summary:	Thumbnailers for EPub and MOBI books
Url:		https://www.gnome.org/
Group:		Graphical desktop/GNOME
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	intltool
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	xsltproc 
BuildRequires:	docbook-style-xsl

%description
Thumbnailers for EPub and MOBI books.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%doc NEWS README
%{_bindir}/gnome-*-thumbnailer
%{_datadir}/thumbnailers/*.thumbnailer
