%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%bcond_without bootstrap

Summary:	Common JavaScript modules for GNOME
Name:		gnome-js-common
Epoch:		1
Version:	0.1.2
Release:	%mkrel 7
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
License:	GPLv3
Group:		Development/Other
Url:		https://www.gnome.org/
BuildArch:	noarch
%if ! %with bootstrap
BuildRequires:	seed-devel
%endif
BuildRequires:	pkgconfig(gjs-1.0)
BuildRequires:	intltool
BuildRequires:	libtool

%description
gnome-js-common is a module holding tests and JavaScript code useful
or common to both Seed and gjs.

%prep
%setup -q

%build
# to recognize aarch64
autoreconf -vfi

./configure \
	--prefix=%_prefix \
	--datadir=%_datadir \
	--libdir=%_datadir \
%if %with bootstrap
	--disable-seed
%endif

%make_build

%install
%make_install gnome_js_commondocdir=%_datadir/doc/%name

%files
%doc %_datadir/doc/%name
%_datadir/gnome-js
%_datadir/pkgconfig/gnome-js-common.pc
