%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-screenshot
Version:	41.0
Release:	%mkrel 3
Summary:	GNOME Screenshot utility
License:	GPLv2+
Group:		File tools
Url:		https://wiki.gnome.org/GnomeUtils/Baobab
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# From https://gitlab.gnome.org/GNOME/gnome-screenshot/-/commit/b60dad3c2536c17bd201f74ad8e40eb74385ed9f
Patch0:		b60dad3c2536c17bd201f74ad8e40eb74385ed9f.patch
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(glib-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	pkgconfig(libhandy-1)
Conflicts:	gnome-utils < 1:3.3.1

%description
Gnome screenshot utility.

%prep
%setup -q
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install

#handle docs with files section
rm -rf %{buildroot}%{_defaultdocdir}

%find_lang %{name} --with-gnome

%check
%meson_test

%files -f %{name}.lang
%doc NEWS
%{_bindir}/%{name}
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-screenshot.gschema.xml
%{_datadir}/applications/org.gnome.Screenshot.desktop
%{_datadir}/dbus-1/services/org.gnome.Screenshot.service
%{_mandir}/man1/%{name}.1.*
%{_datadir}/metainfo/org.gnome.Screenshot.metainfo.xml
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Screenshot.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Screenshot-symbolic.svg
