%define fname elegance-colors

Name:		gnome-shell-theme-elegance-colors
Version:	3.0
Release:	%mkrel 1
Summary:	Elegance Colors Gnome Shell theme
Group:		Graphical desktop/GNOME

License:	GPLv3+
URL:		https://github.com/satya164/%{fname}

Source0:	https://github.com/satya164/elegance-colors/archive/v%{version}.tar.gz

BuildRequires:	glib2-devel
BuildRequires:	gtk+3-devel >= 3.6.0
BuildRequires:	gzip
BuildRequires:	vala >= 0.18.0

Requires:	gnome-shell >= 3.6.0
Requires:	ImageMagick

%description
Elegance Colors is a chameleon theme for Gnome Shell.

%prep
%setup -q -n %{fname}-%{version}

%build
%make

%install
%make_install
install -d %{buildroot}%{_mandir}/man1/
install -m 0644 docs/%{fname}.1 %{buildroot}%{_mandir}/man1/
install -m 0644 docs/%{fname}-prefs.1 %{buildroot}%{_mandir}/man1/

%files
%doc CREDITS README.md
%config %{_sysconfdir}/xdg/autostart/%{fname}.desktop
%dir %{_datadir}/%{fname}
%{_datadir}/%{fname}/*
%{_datadir}/appdata/%{fname}*
%{_datadir}/applications/%{fname}-prefs.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{fname}.svg
%{_bindir}/%{fname}*
%{_mandir}/man1/%{fname}*
