%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-sudoku
Version:        48.0
Release:	%mkrel 1
Summary:	GNOME Sudoku game
License:	GPLv2+ and CC-BY-SA
Group:		Games/Puzzles
URL:		https://wiki.gnome.org/Apps/Sudoku
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	appstream
BuildRequires:	itstool
BuildRequires:	python3
BuildRequires:	vala
BuildRequires:	pkgconfig(blueprint-compiler)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(qqwing)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libadwaita-1) >= 1.4
# For help
Requires:	yelp

%description
GNOME version of the popular Sudoku Japanese logic game.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Sudoku.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Sudoku.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.Sudoku.service
%{_iconsdir}/*/*/apps/org.gnome.Sudoku*.*
%{_mandir}/man6/%{name}.6*
%{_metainfodir}/org.gnome.Sudoku.metainfo.xml
