%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-system-log
Version:	3.9.90
Release:	%mkrel 10
Summary:	GNOME System log utility
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1: org.gnome.logview.policy  
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(glib-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.9.11
Conflicts:	gnome-utils < 1:3.3.1

%description
Gnome System log utility.

%prep
%setup -q

%build
%configure \
	--disable-rpath \
	--disable-schemas-compile
%make_build

%install
%make_install

#handle docs with files section
#rm -rf %{buildroot}%{_defaultdocdir}

mkdir -p %{buildroot}%{_libexecdir}
mv %{buildroot}%{_bindir}/%{name} %{buildroot}%{_libexecdir}
cat >%{buildroot}%{_bindir}/%{name} <<EOF
#!/bin/sh
exec /usr/bin/pkexec /usr/libexec/%{name} \$*
EOF
chmod a+x %{buildroot}%{_bindir}/%{name}
%__install -D -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/polkit-1/actions/org.gnome.logview.policy


%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc NEWS
%{_bindir}/%{name}
%{_libexecdir}/%{name}
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/GConf/gsettings/logview.convert
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-log.gschema.xml
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1.*
%{_datadir}/icons/*/*/apps/logview.png
