%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	GNOME User Documentation
Name:		gnome-user-docs
Version:        47.5
Release:	%mkrel 1
License:	CC-BY-SA
Group:		Documentation
Url:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	pkgconfig
BuildRequires:	itstool
BuildRequires:	libxml2-utils

%description
This package contains end-user documentation for the GNOME desktop
environment.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%find_lang gnome-help --with-gnome --all-name

%files -f gnome-help.lang
%doc NEWS README.md
