%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-video-effects
Version:	0.6.0
Release:	%mkrel 1
Summary:	Collection of GStreamer video effects
Group:		System/Libraries
License:	GPLv2
URL:		https://wiki.gnome.org/GnomeVideoEffects
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	meson

%description
A collection of GStreamer effects to be used in different GNOME Modules.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%files
%doc AUTHORS NEWS README
%license COPYING
%{_datadir}/pkgconfig/%{name}.pc
%{_datadir}/%{name}/
