Summary:	OCR (Optical Character Recognition) program
Name:		gocr
Version:	0.52
Release:	%mkrel 3
License:	GPLv2
Group:		Graphics/Scanning
URL:		https://jocr.sourceforge.net/
Source0:	https://www-e.uni-magdeburg.de/jschulen/ocr/gocr-%{version}.tar.gz
Source1:	https://www-e.uni-magdeburg.de/jschulen/ocr/gocr-%{version}.tar.gz.asc
BuildRequires:	libnetpbm-devel
Requires:	gzip
Requires:	bzip2
Requires:	jpeg-progs
Requires:	netpbm
Requires:	transfig

%description
GOCR is an optical character recognition program, released under the
GNU General Public License. It reads images in many formats (pnm, pbm,
pgm, ppm, some pcx and tga image files (or PNM from stdin); if
pnm-tools installed and running linux-like system you can also use
pnm.gz, pnm.bz2, png, jpg, tiff, gif, bmp and others) and outputs
a text file.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

# drop buggy tcl frontend
rm -rf %{buildroot}%{_bindir}/gocr.tcl

%files -n %{name}
%doc AUTHORS BUGS CREDITS HISTORY README REMARK.txt REVIEW TODO
%doc doc/{examples.txt,gocr.html,unicode.txt}
%{_mandir}/man1/%{name}.1.*
%{_bindir}/%{name}
