%bcond_without check

%global debug_package	%{nil}

%global goipath			github.com/hashicorp/go-version
Version:				1.6.0

%gometa

%global golicenses      LICENSE
%global godocs          README.md

Name:       %{goname}
Release:    %mkrel 2

Summary:    A Go library for parsing and verifying versions and version constraints
License:    MPL-2.0
Group:      Development/Golang
Url:        %{gourl}
Source0:    %{gosource}

BuildArch:	noarch

%description
Go-version is a library for parsing versions and version constraints, and
verifying versions against a set of constraints. go-version can sort a
collection of versions properly, handles prerelease/beta versions, can
increment versions, etc.

Versions used with go-version must follow SemVer.

%gopkg

%prep
%goprep

%build
%gobuild

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles
