# Run tests in check section
%bcond_without check

%global goipath         github.com/jellevandenhooff/dkim
%global commit          f50fe3d243e1a9c9369eea29813517f3af190518

%global common_description %{expand:
Pure Go DKIM verification library.}

%gometa

Name:           %{goname}
Version:        0
Release:        %mkrel 0.3
Summary:        Pure Go DKIM verification library
Group:          Development/Golang
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

%description
%{common_description}

%gopkg
%prep
%goprep


%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%global golicenses LICENSE
%global godocs README.md
%gopkgfiles



