# Run tests in check section
# disable for bootstrapping
%bcond_without check

# https://github.com/kisielk/gotool
%global goipath         github.com/kisielk/gotool
Version:                1.0.0

%global common_description %{expand:
Package gotool contains utility functions used to implement the standard 
"cmd/go" tool, provided as a convenience to developers who want to write 
tools with similar semantics.}

%global golicenses LICENSE
%global godocs README.md 
%gometa

Name:           %{goname}
Release:        %mkrel 4
Summary:        Library of some of the utility functions provided by cmd/go
Group:          Development/Golang
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

%description
%{common_description}

%gopkg
%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles


