# Run tests in check section
%bcond_without check

%global goipath         github.com/shurcooL/users
%global commit          49c67e49c5377c48c01f82d3e1b6844a901a0b33

%global common_description %{expand:
Users service definition for Go.}

%gometa

Name:           %{goname}
Version:        0
Release:        %mkrel 0.3
Summary:        Users service definition for Go
Group:          Development/Golang
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

BuildRequires: golang(github.com/google/go-github/github)
BuildRequires: golang(github.com/tambet/go-asana/asana)
BuildRequires: golang(golang.org/x/net/webdav)

%description
%{common_description}

%gometa
%global golicenses      LICENSE
%global godocs          README.md
%gopkg


%prep
%goprep

%install
%gopkginstall


%if %{with check}
%check
%gochecks
%endif

%gopkgfiles

