# Run tests in check section
%bcond_without check

%global goipath         github.com/shurcooL/webdavfs
%global commit          18c3829fa13384cc05cf82a03324c4ea61562b30

%global common_description %{expand:
Collection of Go packages for working with the webdav.FileSystem interface.}

%gometa

Name:           %{goname}
Version:        0
Release:        %mkrel 0.3
Summary:        Collection of Go packages for working with the webdav.FileSystem interface
Group:          Development/Golang
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

BuildRequires: golang(golang.org/x/net/context)
BuildRequires: golang(golang.org/x/net/webdav)

%description
%{common_description}

%gometa
%global golicenses      LICENSE
%global godocs          README.md

%gopkg

%prep
%goprep


%install
%gopkginstall


%if %{with check}
%check
%gochecks
%endif

%gopkgfiles

