# Run tests in check section
%bcond_without check

%global goipath         github.com/tarm/serial
%global commit          98f6abe2eb07edd42f6dfa2a934aea469acc29b7

%global common_description %{expand:
A Go package to allow you to read and write from the serial port as a 
stream of bytes.}

%global golicenses      LICENSE
%global godocs          README.md
%gometa

%global rel     3
Name:           %{goname}
Version:        0
Release:        0.%{rel}%{?dist}
Summary:        Read and write from the serial port as a stream of bytes
Group:          Development/Golang
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

BuildRequires: golang(golang.org/x/sys/unix)

%description
%{common_description}

%gopkg
%prep
%goprep


%install
%gopkginstall


%if %{with check}
%check
%gocheck
%endif

%gopkgfiles



