# https://github.com/golang/text
%global forgeurl        https://github.com/golang/text
%global goipath         golang.org/x/text
Version:                0.3.3

%gometa

%global x_provider      golang
%global x_provider_tld  org
%global x_repo          text
%global x_goipath   %{x_provider}.%{x_provider_tld}/x/%{x_repo}
%global x_name          golang-%{x_provider}%{x_provider_tld}-%{x_repo}

%global devel_main      %{x_name}-devel
%global devel_prefix    x

Name:       golang-googlecode-text
Release:    %mkrel 2
Summary:    Supplementary Go text libraries
License:    BSD
Group:      Development/Golang
URL:        %{gourl}
Source0:    %{gosource}
BuildArch:  noarch

BuildRequires:  golang(golang.org/x/tools/go/buildutil)
BuildRequires:  golang(golang.org/x/tools/go/callgraph)
BuildRequires:  golang(golang.org/x/tools/go/callgraph/cha)
BuildRequires:  golang(golang.org/x/tools/go/loader)
BuildRequires:  golang(golang.org/x/tools/go/ssa)
BuildRequires:  golang(golang.org/x/tools/go/ssa/ssautil)

%description
%{summary}

%package -n %{x_name}-devel
Summary:    Supplementary Go text libraries for golang.org/x/ imports

%description -n %{x_name}-devel

This package contains library source intended for building other packages
which use the supplementary Go text libraries with golang.org/x/ imports.

%prep
%forgesetup
%goprep

%install
%goinstall

%check
%gocheck -d currency -d unicode/norm

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files -n %{x_name}-devel -f devel.file-list
%license LICENSE
%doc AUTHORS CONTRIBUTORS PATENTS README.md

