# Run tests in check section
%bcond_without check

%global goipath         gopkg.in/pipe.v2
%global forgeurl        https://github.com/go-pipe/pipe
%global commit          3c2ca4d525447ec8b2f606a6974f9c9f40831f26

%global common_description %{expand:
Unix-like pipelines for Go.}

%global golicenses LICENSE
%global godocs README.md
%gometa

Name:           %{goname}
Version:        0
Release:        %mkrel 0.3
Summary:        Unix-like pipelines for Go
Group:          Development/Golang
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

%if %{with check}
BuildRequires: golang(gopkg.in/check.v1)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep


%install
%gopkginstall


%if %{with check}
%check
# https://github.com/go-pipe/pipe/issues/6
%gocheck -skip TestLineTermination
%endif

%gopkgfiles
