%define prerelease 17
%define import_path launchpad.net/tomb
%define gosrc %{gopath}/src/%{import_path}
Summary:	Clean goroutine termination in the Go language
Name:		golang-launchpad-tomb
Version:	0.20130531
Release:	%mkrel 10
License:	MIT
Group:		Development/Golang
Url:		https://code.launchpad.net/~niemeyer/tomb/trunk
Source0:	https://code.launchpad.net/~niemeyer/tomb/trunk/%{prerelease}.tar.gz
Provides:	golang(%{import_path}) = %{version}-%{release}
BuildRequires:	golang
BuildArch:	noarch

%description
The tomb package helps with clean goroutine termination in the Go language.

%prep
%setup -q -n tomb

%build

%install
mkdir -p %{buildroot}%{gosrc}
cp -av * %{buildroot}%{gosrc}/
rm -f %{buildroot}%{gosrc}/LICENSE

%files
%doc LICENSE
%{gosrc}/*
