%define prerelease faaa223588dd7005e49bf66fa2d19e35c8c4d761
%define import_path github.com/mitchellh/go-fs
%define gosrc %{gopath}/src/%{import_path}
%define shortcommit %(c=%{prerelease}; echo ${c:0:7})
Summary:	FAT Filesystem Library for Go
Name:		golang-mitchellh-go-fs
Version:	0.20130816
Release:	%mkrel 10
License:	MIT
Group:		Development/Golang
Url:		https://%{import_path}
Source0:	https://%{import_path}/archive/%{prerelease}.tar.gz
Provides:	golang(%{import_path}) = %{version}-%{release}
BuildRequires:	golang
BuildArch:	noarch

%description
This library implements the ability to create, read, and write FAT file systems
using pure Go.

%prep
%setup -q -n go-fs-%{prerelease}

%build

%install
mkdir -p %{buildroot}%{gosrc}
cp -av * %{buildroot}%{gosrc}/
rm -f %{buildroot}%{gosrc}/LICENSE
rm -f %{buildroot}%{gosrc}/README.md

%files
%doc LICENSE
%doc README.md
%{gosrc}/*
