%define debug_package %{nil}

%define prerelease fc93dd80f5da4ccde0a9d97f0c73e56e04e0cf72
%define import_path github.com/mitchellh/go-vnc
%define gosrc %{gopath}/src/%{import_path}
%define shortcommit %(c=%{prerelease}; echo ${c:0:7})
Summary:	VNC Library for Go
Name:		golang-mitchellh-go-vnc
Version:	0.20130606
Release:	%mkrel 10
License:	MIT
Group:		Development/Golang
Url:		https://%{import_path}
Source0:	https://%{import_path}/archive/%{prerelease}.tar.gz
Provides:	golang(%{import_path}) = %{version}-%{release}
BuildRequires:	golang
BuildArch:	noarch

%description
go-vnc is a VNC library for Go, initially supporting VNC clients but with the
goal of eventually implementing a VNC server.

This library implements RFC 6143.

%prep
%setup -q -n go-vnc-%{prerelease}

%build

%install
mkdir -p %{buildroot}%{gosrc}
cp -av * %{buildroot}%{gosrc}/
rm -f %{buildroot}%{gosrc}/LICENSE
rm -f %{buildroot}%{gosrc}/README.md

%files
%doc LICENSE
%doc README.md
%{gosrc}/*
