%define prerelease 87b45ffd0e9581375c491fef3d32130bb15c5bd7
%define import_path github.com/mitchellh/iochan
%define gosrc %{gopath}/src/%{import_path}
%define shortcommit %(c=%{prerelease}; echo ${c:0:7})
Summary:	a Go library for treating io readers and writers like channels
Name:		golang-mitchellh-iochan
Version:	0.20150530
Release:	%mkrel 4
License:	MIT
Group:		Development/Golang
Url:		https://%{import_path}
Source0:	https://%{import_path}/archive/%{prerelease}.tar.gz
Provides:	golang(%{import_path}) = %{version}-%{release}
# To get macros
BuildRequires:	golang
BuildArch:	noarch

%description
A go library for treating io readers and writers like channels. This is useful
when sometimes you wish to use io.Reader and such in select statements.

%prep
%setup -q -n iochan-%{prerelease}

%install
mkdir -p %{buildroot}%{gosrc}
cp -av * %{buildroot}%{gosrc}/
rm -f %{buildroot}%{gosrc}/README.md

%files
%doc README.md
%{gosrc}/*
