%define prerelease 3877de9d78da19f735fc341628145002b1f69816
%define import_path github.com/mitchellh/multistep
%define gosrc %{gopath}/src/%{import_path}
%define shortcommit %(c=%{prerelease}; echo ${c:0:7})
Summary:	Go library for building up complex actions using discrete steps
Name:		golang-mitchellh-multistep
Version:	0.20130831
Release:	%mkrel 10
License:	MIT
Group:		Development/Golang
Url:		https://%{import_path}
Source0:	https://%{import_path}/archive/%{prerelease}.tar.gz
Provides:	golang(%{import_path}) = %{version}-%{release}
BuildRequires:	golang
BuildArch:	noarch

%description
multistep is a Go library for building up complex actions using discrete,
individual "steps." These steps are strung together and run in sequence to
achieve a more complex goal.

%prep
%setup -q -n multistep-%{prerelease}

%build

%install
mkdir -p %{buildroot}%{gosrc}
cp -av * %{buildroot}%{gosrc}/
rm -f %{buildroot}%{gosrc}/LICENSE.md
rm -f %{buildroot}%{gosrc}/README.md

%files
%doc LICENSE.md
%doc README.md
%{gosrc}/*
