%define prerelease f24d89739266a25ea2dfbb2a46860d6bebbc2234
%define import_path github.com/mitchellh/panicwrap
%define gosrc %{gopath}/src/%{import_path}
%define shortcommit %(c=%{prerelease}; echo ${c:0:7})
Summary:	Go library for catching and handling panics in Go applications
Name:		golang-mitchellh-panicwrap
Version:	0.20130814
Release:	%mkrel 10
License:	MIT
Group:		Development/Golang
Url:		https://%{import_path}
Source0:	https://%{import_path}/archive/%{prerelease}.tar.gz
Provides:	golang(%{import_path}) = %{version}-%{release}
BuildRequires:	golang
BuildArch:	noarch

%description
panicwrap is a Go library that re-executes a Go binary and monitors stderr
output from the binary for a panic. When it find a panic, it executes a
user-defined handler function.

%prep
%setup -q -n panicwrap-%{prerelease}

%build

%install
mkdir -p %{buildroot}%{gosrc}
cp -av * %{buildroot}%{gosrc}/
rm -f %{buildroot}%{gosrc}/LICENSE
rm -f %{buildroot}%{gosrc}/README.md

%files
%doc LICENSE
%doc README.md
%{gosrc}/*
