%define prerelease aa3a31dadec0fcae98b2e40c85e87ac3f971c023
%define import_path github.com/rackspace/gophercloud
%define gosrc %{gopath}/src/%{import_path}
%define shortcommit %(c=%{prerelease}; echo ${c:0:7})
Summary:	A multi-cloud language binding for Go
Name:		golang-rackspace-gophercloud
Version:	0.20131025
Release:	%mkrel 10
License:	ASL 2.0
Group:		Development/Golang
Url:		https://%{import_path}
Source0:	https://%{import_path}/archive/%{prerelease}.tar.gz
Provides:	golang(%{import_path}) = %{version}-%{release}
BuildRequires:	golang
BuildArch:	noarch

%description
Gophercloud provides a Go binding to OpenStack cloud APIs.

%prep
%setup -q -n gophercloud-%{prerelease}

%build

%install
mkdir -p %{buildroot}%{gosrc}
cp -av * %{buildroot}%{gosrc}/
rm -f %{buildroot}%{gosrc}/LICENSE
rm -f %{buildroot}%{gosrc}/README.asciidoc
rm -f %{buildroot}%{gosrc}/CONTRIBUTORS.md

%files
%doc LICENSE
%doc README.asciidoc
%doc CONTRIBUTORS.md
%{gosrc}/*
