%define debug_package %{nil}

%define prerelease 33e07d32887e1e06b7c025f27ce52f62c7990bc0
%define import_path github.com/syndtr/gocapability
%define gopath %{_libdir}/golang
%define gosrc %{gopath}/src/pkg/%{import_path}
%define shortcommit %(c=%{prerelease}; echo ${c:0:7})
%define date 20180223

Summary:	Utilities for manipulating POSIX capabilities in Go
Name:		golang-syndtr-gocapability
Version:	0.1.%{date}_git%{shortcommit}
Release:	%mkrel 4
License:	MIT
Group:		Development/Golang
Url:		https://%{import_path}
Source0:        https://%{import_path}/archive/%{prerelease}.tar.gz
Provides:       golang(%{import_path}) = %{version}-%{release}
Provides:	golang(%{import_path}/capability) = %{version}-%{release}

%description
Utilities for manipulating POSIX capabilities in Go

%prep
%setup -q -n gocapability-%{prerelease}

%build

%install
mkdir -p %{buildroot}%{gosrc}
cp -av * %{buildroot}%{gosrc}/
rm -f %{buildroot}%{gosrc}/LICENSE

%files
%doc LICENSE
%{gosrc}/*
