%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	CD player and ripper for GNOME
Name:		goobox
Version:	3.6.0
Release:	%mkrel 4
License:	GPLv2+
Group:		Sound/Players
Url:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(glib-2.0) >= 2.28
BuildRequires:	pkgconfig(gstreamer-1.0) >= 1.0.0
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.6.0
BuildRequires:  pkgconfig(ice)
BuildRequires:	pkgconfig(libbrasero-media3)
BuildRequires:	pkgconfig(libdiscid)
BuildRequires:	pkgconfig(libmusicbrainz5) >= 5.0.0
BuildRequires:	pkgconfig(libnotify) >= 0.4.3
BuildRequires:  pkgconfig(sm)
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson
Requires:	gstreamer1.0-plugins-good

%description
Goobox is a CD player and ripper that always knows just what to do.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc README NEWS AUTHORS
%{_bindir}/%{name}
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/org.gnome.Goobox.desktop
%{_datadir}/icons/hicolor/*/apps/*.*
%{_datadir}/metainfo/org.gnome.Goobox.appdata.xml
