%define api		2.0
%define major		6
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	C++ wrappers for goocanvas
Name:		goocanvasmm
Version:	1.90.11
Release:	%mkrel 5
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.gtkmm.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.46.1
BuildRequires:	pkgconfig(goocanvas-2.0) >= 2.0.1
BuildRequires:	pkgconfig(gtkmm-3.0) >= 3.18.0

%description
C++ wrappers for goocanvas.

%package -n %{libname}
Summary:	C++ wrappers for goocanvas
Group:		System/Libraries

%description -n	%{libname}
C++ wrappers for goocanvas.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
C++ wrappers for goocanvas.

%package doc
Summary:	Goocanvasmm documentation
Group:		Documentation
BuildArch:	noarch

%description doc
C++ wrappers for goocanvas.

This package contains all API documentation for %{name}.

This package contains all necessary files to compile or develop
programs/libraries that use %{name}.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/libgoocanvasmm-%{api}.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/%name-%api.pc
%{_includedir}/%{name}-%{api}
%{_libdir}/%{name}-%{api}/include

%files doc
%{_datadir}/devhelp/books/%{name}-%{api}
%{_datadir}/doc/%{name}-%{api}
