%global fontname google-noto
%global fontconf %{fontname}
%global common_desc Noto fonts aims to remove tofu from web by providing fonts for all \
Unicode supported scripts. Its design goal is to achieve visual harmonization\
between multiple scripts. Noto family supports almost all scripts available\
in Unicode.\
%{nil}

%global commit db5c897c3954ab8dd49bfc3de4f3ef00a7ef6d06

Name:           %{fontname}-fonts
Version:        20180905
Release:        %mkrel 3
Summary:        Hinted and Non Hinted OpenType fonts for Unicode scripts
Group:          System/Fonts/True type
License:        OFL
URL:            https://github.com/googlei18n/noto-fonts/
# downloaded from https://github.com/googlei18n/noto-fonts/tree/db5c897c3954ab8dd49bfc3de4f3ef00a7ef6d06 -> download [zip]
# link https://codeload.github.com/googlei18n/noto-fonts/zip/db5c897c3954ab8dd49bfc3de4f3ef00a7ef6d06
Source0:        noto-fonts-%{commit}.zip
Source3:        66-%{fontconf}-sans-armenian.conf
Source5:        66-%{fontconf}-sans-bengali.conf
Source6:        66-%{fontconf}-sans-bengali-ui.conf
Source9:        66-%{fontconf}-sans-cherokee.conf
Source10:       66-%{fontconf}-sans-coptic.conf
Source12:       66-%{fontconf}-sans-devanagari.conf
Source13:       66-%{fontconf}-sans-devanagari-ui.conf
Source15:       66-%{fontconf}-sans-ethiopic.conf
Source16:       66-%{fontconf}-sans-georgian.conf
Source18:       66-%{fontconf}-sans-hebrew.conf
Source21:       66-%{fontconf}-sans-kannada.conf
Source24:       66-%{fontconf}-sans-khmer.conf
Source25:       66-%{fontconf}-sans-khmer-ui.conf
Source26:       66-%{fontconf}-sans-lao.conf
Source27:       66-%{fontconf}-sans-lao-ui.conf
Source28:       66-%{fontconf}-sans-lisu.conf
Source31:       66-%{fontconf}-sans-malayalam.conf
Source32:       66-%{fontconf}-sans-malayalam-ui.conf
Source34:       66-%{fontconf}-sans-meetei-mayek.conf
Source35:       66-%{fontconf}-sans-nko.conf
Source40:       66-%{fontconf}-sans-shavian.conf
Source42:       66-%{fontconf}-sans-tagalog.conf
Source44:       66-%{fontconf}-sans-tamil.conf
Source45:       66-%{fontconf}-sans-tamil-ui.conf
Source46:       66-%{fontconf}-sans-telugu.conf
Source47:       66-%{fontconf}-sans-thai.conf
Source48:       66-%{fontconf}-sans-thai-ui.conf
Source51:       66-%{fontconf}-sans-vai.conf
Source52:       66-%{fontconf}-serif-armenian.conf
Source54:       66-%{fontconf}-serif-georgian.conf
Source55:       66-%{fontconf}-serif-khmer.conf
Source56:       66-%{fontconf}-serif-lao.conf
Source57:       66-%{fontconf}-serif-thai.conf
Source58:       66-%{fontconf}-sans-kannada-ui.conf
Source59:       66-%{fontconf}-sans-telugu-ui.conf
Source60:       66-%{fontconf}-sans-gujarati.conf
Source61:       66-%{fontconf}-sans-gujarati-ui.conf
Source62:       66-%{fontconf}-sans-hanunoo.conf
Source64:       66-%{fontconf}-kufi-arabic.conf
Source65:       66-%{fontconf}-naskh-arabic.conf
Source66:       66-%{fontconf}-naskh-arabic-ui.conf
Source67:       66-%{fontconf}-sans-balinese.conf
Source68:       66-%{fontconf}-sans-bamum.conf
Source69:       66-%{fontconf}-sans-batak.conf
Source70:       66-%{fontconf}-sans-buginese.conf
Source71:       66-%{fontconf}-sans-buhid.conf
Source72:       66-%{fontconf}-sans-canadian-aboriginal.conf
Source73:       66-%{fontconf}-sans-cham.conf
Source74:       66-%{fontconf}-sans-cuneiform.conf
Source75:       66-%{fontconf}-sans-cypriot.conf
Source76:       66-%{fontconf}-sans-gothic.conf
Source77:       66-%{fontconf}-sans-gurmukhi.conf
Source78:       66-%{fontconf}-sans-gurmukhi-ui.conf
Source81:       66-%{fontconf}-sans-javanese.conf
Source82:       66-%{fontconf}-sans-lepcha.conf
Source83:       66-%{fontconf}-sans-limbu.conf
Source85:       66-%{fontconf}-sans-mongolian.conf
Source86:       66-%{fontconf}-sans-myanmar.conf
Source87:       66-%{fontconf}-sans-myanmar-ui.conf
Source88:       66-%{fontconf}-sans-new-tai-lue.conf
Source89:       66-%{fontconf}-sans-ogham.conf
Source90:       66-%{fontconf}-sans-ol-chiki.conf
Source94:       66-%{fontconf}-sans-rejang.conf
Source95:       66-%{fontconf}-sans-runic.conf
Source97:       66-%{fontconf}-sans-saurashtra.conf
Source98:       65-%{fontconf}-sans-sinhala.conf
Source99:       66-%{fontconf}-sans-sundanese.conf
Source101:      66-%{fontconf}-sans-syriac-eastern.conf
Source102:      66-%{fontconf}-sans-syriac-estrangela.conf
Source103:      66-%{fontconf}-sans-syriac-western.conf
Source105:      66-%{fontconf}-sans-tifinagh.conf
Source107:      66-%{fontconf}-sans-tagbanwa.conf
Source108:      66-%{fontconf}-sans-thaana.conf

Source156:      66-%{fontconf}-sans-oriya.conf
Source157:      66-%{fontconf}-sans-oriya-ui.conf
Source158:      66-%{fontconf}-nastaliq-urdu.conf
Source159:      66-%{fontconf}-sans-tibetan.conf
Source161:      66-%{fontconf}-serif-bengali.conf
Source162:      66-%{fontconf}-serif-devanagari.conf
Source163:      66-%{fontconf}-serif-gujarati.conf
Source164:      66-%{fontconf}-serif-kannada.conf
Source165:      66-%{fontconf}-serif-malayalam.conf
Source166:      66-%{fontconf}-serif-tamil.conf
Source167:      66-%{fontconf}-serif-telugu.conf

# Add appstream metadata files
Source200:      %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
%common_desc


%package common
Summary:        Common files for Noto fonts

%description common
Common files for Google Noto fonts.

# notopkg [-c] [-a AltFontName] [-o old-name] Font Name
# -c is for *.*tc fonts instead of *.*tf
# -a overrides the FontName
# -o adds an obsoletes for an older package name
# -p overrides fontconfig .conf priority (default 66)
%define notopkg(ca:o:p:)\
%define pname %(echo %{*} | tr "A-Z " "a-z-")\
%{!-a:%define fname %(echo %{*} | sed -e "s/ //g")}\
%define subpkg %{fontname}-%{pname}\
%define fconf %{-p*}%{!-p:66}-%{fontconf}-%{pname}.conf\
%package -n %{subpkg}-fonts\
Summary:        %{*} font\
Requires:       fontpackages-filesystem\
Requires:       %{name}-common = %{version}-%{release}\
%{?-o:Obsoletes:      %{fontname}-%{-o*}-fonts < %{version}-%{release}}\
\
%description -n %{subpkg}-fonts\
%common_desc\
Noto %1 font%{?2: for %(echo %* | sed -e "s/%1 //")}.\
\
%_font_pkg -n %{pname} -f %{fconf} Noto%{-a*}%{!-a:%{fname}}-*.*t%{-c:c}%{!-c:f}\
%{_datadir}/appdata/%{subpkg}.metainfo.xml

%notopkg Kufi Arabic
%notopkg Naskh Arabic
%notopkg Naskh Arabic UI
%notopkg Sans
%notopkg -o sans-ui Sans Display
%notopkg Sans Adlam
%notopkg Sans Adlam Unjoined
%notopkg Sans Anatolian Hieroglyphs
%notopkg Sans Arabic
%notopkg Sans Arabic UI
%notopkg Sans Armenian
%notopkg Sans Avestan
%notopkg Sans Balinese
%notopkg Sans Bamum
%notopkg Sans Batak
%notopkg Sans Bengali
%notopkg Sans Bengali UI
%notopkg Sans Brahmi
%notopkg Sans Buginese
%notopkg Sans Buhid
%notopkg Sans Canadian Aboriginal
%notopkg Sans Carian
%notopkg Sans Chakma
%notopkg Sans Cham
%notopkg Sans Cherokee
%notopkg Sans Coptic
%notopkg Sans Cuneiform
%notopkg Sans Cypriot
%notopkg Sans Deseret
%notopkg Sans Devanagari
%notopkg Sans Devanagari UI
%notopkg Sans Egyptian Hieroglyphs
%notopkg Sans Ethiopic
%notopkg Sans Georgian
%notopkg Sans Glagolitic
%notopkg Sans Gothic
%notopkg Sans Gujarati
%notopkg Sans Gujarati UI
%notopkg Sans Gurmukhi
%notopkg Sans Gurmukhi UI
%notopkg -o sans-hanunno Sans Hanunoo
%notopkg Sans Hebrew
%notopkg Sans Imperial Aramaic
%notopkg Sans Inscriptional Pahlavi
%notopkg Sans Inscriptional Parthian
%notopkg Sans Javanese
%notopkg Sans Kaithi
%notopkg Sans Kannada
%notopkg Sans Kannada UI
%notopkg Sans Kayah Li
%notopkg Sans Kharoshthi
%notopkg Sans Khmer
%notopkg Sans Khmer UI
%notopkg Sans Lao
%notopkg Sans Lao UI
%notopkg Sans Lepcha
%notopkg Sans Limbu
%notopkg -o sans-linearb Sans Linear B
%notopkg Sans Lisu
%notopkg Sans Lycian
%notopkg Sans Lydian
%notopkg Sans Malayalam
%notopkg Sans Malayalam UI
%notopkg Sans Mandaic
%notopkg -o sans-meeteimayek Sans Meetei Mayek
%notopkg Sans Mongolian
%notopkg Sans Myanmar
%notopkg Sans Myanmar UI
%notopkg Sans New Tai Lue
%notopkg Sans NKo
%notopkg Sans Ogham
%notopkg Sans Ol Chiki
%notopkg Sans Old Italic
%notopkg Sans Old Persian
%notopkg Sans Old South Arabian
%notopkg Sans Old Turkic
%notopkg Sans Osage
%notopkg Sans Osmanya
%notopkg Sans Phags Pa
%notopkg Sans Phoenician
%notopkg Sans Rejang
%notopkg Sans Runic
%notopkg Sans Shavian
%notopkg Sans Samaritan
%notopkg Sans Saurashtra
%notopkg -p 65 Sans Sinhala
%notopkg Sans Sinhala UI
%notopkg Sans Sundanese
%notopkg Sans Syloti Nagri
%notopkg Sans Symbols
%notopkg Sans Symbols2
%notopkg Sans Syriac Eastern
%notopkg Sans Syriac Estrangela
%notopkg Sans Syriac Western
%notopkg Sans Tagalog
%notopkg Sans Tagbanwa
%notopkg Sans Tai Le
%notopkg Sans Tai Tham
%notopkg Sans Tai Viet
%notopkg Sans Tamil
%notopkg Sans Tamil UI
%notopkg Sans Telugu
%notopkg Sans Telugu UI
%notopkg Sans Thaana
%notopkg Sans Thai
%notopkg Sans Thai UI
%notopkg Sans Tifinagh
%notopkg Sans Ugaritic
%notopkg Sans Vai
%notopkg Sans Yi
%notopkg Serif
%notopkg Serif Armenian
%notopkg Serif Display
%notopkg Serif Ethiopic
%notopkg Serif Georgian
%notopkg Serif Hebrew
%notopkg Serif Khmer
%notopkg Serif Lao
%notopkg Serif Myanmar
%notopkg Serif Thai
%notopkg Sans Oriya
%notopkg Sans Oriya UI
%notopkg Sans Tibetan
%notopkg Nastaliq Urdu
%notopkg -o mono Sans Mono
%notopkg Serif Bengali
%notopkg Serif Devanagari
%notopkg Serif Gujarati
%notopkg Serif Kannada
%notopkg Serif Malayalam
%notopkg Serif Sinhala
%notopkg Serif Tamil
%notopkg Serif Telugu


%prep
%setup -q -n noto-fonts-%{commit}


%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p unhinted/Noto*.ttf %{buildroot}%{_fontdir}
install -m 0644 -p hinted/Noto*.ttf %{buildroot}%{_fontdir}



install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

# Add appstream metadata
install -Dm 0644 -p %{SOURCE200} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%define fcconfbuild(a:g:p:)\
%define pname %(echo %{*} | tr "A-Z " "a-z-")\
%define fconf %{-p*}%{!-p:66}-%{fontconf}-%{pname}.conf\
cat<<_EOL_>%{buildroot}%{_fontconfig_templatedir}/%{fconf}\
<?xml version=\"1.0\" encoding=\"UTF-8\"?>\
<!DOCTYPE fontconfig SYSTEM \"fonts.dtd\">\
<fontconfig>\
  <alias>\
    <family>%{-g*}</family>\
    <prefer>\
      <family>Noto %{*}</family>\
    </prefer>\
  </alias>\
  <alias>\
    <family>Noto %{*}</family>\
    <default>\
      <family>%{-g*}</family>\
    </default>\
  </alias>\
</fontconfig>\
_EOL_

%fcconfbuild -g sans-serif Sans Adlam
%fcconfbuild -g sans-serif Sans Adlam Unjoined
%fcconfbuild -g sans-serif Sans Anatolian Hieroglyphs
%fcconfbuild -g sans-serif Sans Arabic
%fcconfbuild -g sans-serif Sans Arabic UI
%fcconfbuild -g sans-serif Sans Avestan
%fcconfbuild -g sans-serif Sans Brahmi
%fcconfbuild -g sans-serif Sans Carian
%fcconfbuild -g sans-serif Sans Chakma
%fcconfbuild -g sans-serif Sans Deseret
%fcconfbuild -g sans-serif Sans Display
%fcconfbuild -g sans-serif Sans Egyptian Hieroglyphs
%fcconfbuild -g sans-serif Sans Glagolitic
%fcconfbuild -g sans-serif Sans Imperial Aramaic
%fcconfbuild -g sans-serif Sans Inscriptional Pahlavi
%fcconfbuild -g sans-serif Sans Inscriptional Parthian
%fcconfbuild -g sans-serif Sans Kaithi
%fcconfbuild -g sans-serif Sans Kayah Li
%fcconfbuild -g sans-serif Sans Kharoshthi
%fcconfbuild -g sans-serif Sans Linear B
%fcconfbuild -g sans-serif Sans Lycian
%fcconfbuild -g sans-serif Sans Lydian
%fcconfbuild -g sans-serif Sans Mandaic
%fcconfbuild -g monospace Sans Mono
%fcconfbuild -g sans-serif Sans Old Italic
%fcconfbuild -g sans-serif Sans Old Persian
%fcconfbuild -g sans-serif Sans Old South Arabian
%fcconfbuild -g sans-serif Sans Old Turkic
%fcconfbuild -g sans-serif Sans Osage
%fcconfbuild -g sans-serif Sans Osmanya
%fcconfbuild -g sans-serif Sans Phags Pa
%fcconfbuild -g sans-serif Sans Phoenician
%fcconfbuild -g sans-serif Sans Samaritan
%fcconfbuild -g sans-serif Sans Sinhala UI
%fcconfbuild -g sans-serif Sans Syloti Nagri
%fcconfbuild -g fantasy Sans Symbols
%fcconfbuild -g fantasy Sans Symbols2
%fcconfbuild -g sans-serif Sans Tai Le
%fcconfbuild -g sans-serif Sans Tai Tham
%fcconfbuild -g sans-serif Sans Tai Viet
%fcconfbuild -g sans-serif Sans Ugaritic
%fcconfbuild -g sans-serif Sans Yi
%fcconfbuild -g sans-serif Sans
%fcconfbuild -g serif Serif Display
%fcconfbuild -g serif Serif Ethiopic
%fcconfbuild -g serif Serif Hebrew
%fcconfbuild -g serif Serif Myanmar
%fcconfbuild -g serif Serif Sinhala
%fcconfbuild -g serif Serif

for f in \
        kufi-arabic naskh-arabic naskh-arabic-ui \
        sans sans-adlam sans-adlam-unjoined sans-anatolian-hieroglyphs \
	sans-arabic sans-arabic-ui \
	sans-armenian sans-avestan sans-balinese sans-bamum \
        sans-batak sans-bengali sans-bengali-ui sans-brahmi \
        sans-buginese sans-buhid sans-canadian-aboriginal sans-carian \
        sans-chakma sans-cham sans-cherokee sans-coptic sans-cuneiform \
        sans-cypriot sans-deseret sans-devanagari sans-devanagari-ui \
        sans-egyptian-hieroglyphs sans-ethiopic sans-georgian \
        sans-glagolitic sans-gothic sans-gujarati sans-gujarati-ui \
        sans-gurmukhi sans-gurmukhi-ui sans-hanunoo sans-hebrew \
        sans-imperial-aramaic sans-inscriptional-pahlavi \
        sans-inscriptional-parthian sans-javanese \
        sans-kaithi sans-kannada sans-kannada-ui sans-kayah-li \
        sans-kharoshthi sans-khmer sans-khmer-ui sans-lao \
        sans-lao-ui sans-lepcha sans-limbu sans-linear-b sans-lisu \
        sans-lycian sans-lydian sans-malayalam sans-malayalam-ui \
        sans-mandaic sans-meetei-mayek sans-mongolian sans-myanmar \
        sans-myanmar-ui sans-new-tai-lue sans-nko sans-ogham \
        sans-ol-chiki sans-old-italic sans-old-persian \
        sans-old-south-arabian sans-old-turkic sans-osage sans-osmanya \
        sans-phags-pa sans-phoenician sans-rejang sans-runic \
        sans-samaritan sans-saurashtra sans-shavian sans-sinhala sans-sinhala-ui \
        sans-sundanese sans-syloti-nagri sans-symbols sans-symbols2 sans-syriac-eastern \
        sans-syriac-estrangela sans-syriac-western sans-tagalog \
        sans-tagbanwa sans-tai-le sans-tai-tham sans-tai-viet \
        sans-tamil sans-tamil-ui sans-telugu sans-telugu-ui \
        sans-thaana sans-thai sans-thai-ui sans-tifinagh \
        sans-ugaritic sans-display sans-vai sans-yi \
        serif serif-armenian serif-display serif-ethiopic serif-georgian \
	serif-hebrew serif-khmer serif-lao serif-myanmar serif-sinhala serif-thai \
        sans-oriya sans-oriya-ui sans-tibetan nastaliq-urdu sans-mono \
        serif-bengali serif-devanagari serif-gujarati serif-kannada \
        serif-malayalam serif-tamil serif-telugu \
        ; do
  fconf=$(basename -a %{_sourcedir}/*-%{fontconf}-$f.conf)
  ifconf=$(basename -a %{buildroot}%{_fontconfig_templatedir}/*-%{fontconf}-$f.conf)
  if [ "$(echo $fconf | wc -w)" -ne 1 -o "$(echo $ifconf | wc -w)" -ne 1 ]; then
     echo "Did not find unique \*-%{fontconf}-$f.conf file"
     exit 1
  fi
  if [ -f %{_sourcedir}/${fconf} ]; then
    install -m 0644 -p %{_sourcedir}/${fconf} \
          %{buildroot}%{_fontconfig_templatedir}/${fconf}
  else
    fconf=$ifconf
  fi
  ln -s %{_fontconfig_templatedir}/${fconf} \
        %{buildroot}%{_fontconfig_confdir}/${fconf}

  meta=%{fontname}-$f.metainfo.xml
  echo '<?xml version="1.0" encoding="UTF-8"?>' > $meta
  echo '<!-- Copyright 2014 Parag Nemade <pnemade AT redhat DOT com> -->' >> $meta
  echo '<component type="font">' >> $meta
  echo "  <id>google-noto-$f</id>" >> $meta
  echo '  <metadata_license>CC-BY-3.0</metadata_license>' >> $meta
  echo '  <extends>google-noto</extends>' >> $meta
  echo '</component>' >> $meta

  install -Dm 0644 -p %{fontname}-$f.metainfo.xml \
          %{buildroot}%{_datadir}/appdata/%{fontname}-$f.metainfo.xml
done


%files common
%license LICENSE
%doc README.md FAQ.md
%{_datadir}/appdata/%{fontname}.metainfo.xml

