Summary:	PARI/GP to C translator
Name:		gp2c
Version:	0.0.14
Release:	%mkrel 1
License:	GPLv2
Group:		Sciences/Mathematics
URL:		https://pari.math.u-bordeaux.fr/
Source0:	https://pari.math.u-bordeaux.fr/pub/pari/GP2C/%{name}-%{version}.tar.gz
BuildRequires:	pari-devel >= 2.5
BuildRequires:	pari >= 2.5
BuildRequires:	pari-data
Requires:	pari >= 2.5

%description
PARI/GP to C translator. Use it to compile your own C
programs which use pari library, without necessarily being
a C programmer.

Note: use gp2c-run to run your programs inside the PARI/GP
environment.

%prep
%autosetup

%build
%configure --with-paricfg=%{_libdir}/pari/pari.cfg
%make_build

%install
%make_install

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README BUGS
%doc doc/*.{html,dvi,png}
%{_bindir}/gp2c*
%{_datadir}/gp2c
%{_datadir}/doc/%{name}/
%{_mandir}/man1/gp2c*.1*
