Name:		grfcodec
Version:	6.1.0
Release:	%mkrel 1
Summary:	A suite of programs to modify Transport Tycoon Deluxe's GRF files
Group:		Development/Other
License:	GPLv2+
URL:		https://github.com/OpenTTD/grfcodec/
Source0:	https://github.com/OpenTTD/grfcodec/releases/download/%{version}/grfcodec-%{version}-source.tar.xz
Patch1:		0001-Fix-man-pages-location.patch
BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(libpng)
Obsoletes:	nforenum < 5.0.0
Provides:	nforenum = %{version}-%{release}

%description
A suite of programs to modify Transport Tycoon Deluxe's GRF files.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%license COPYING
%doc %{_docdir}/%{name}/*
%{_bindir}/*
%{_mandir}/man1/gr*.1*
%{_mandir}/man1/nforenum.1*
