Name:		grim
Version:	1.4.1
Release:	%mkrel 1
Summary:	Screenshot tool for Sway
Group:		Development/Tools
License:	MIT
URL:		https://sr.ht/~emersion/grim/
%global forgeurl https://git.sr.ht/~emersion/grim
Source0:	%{forgeurl}/refs/download/v%{version}/%{name}-%{version}.tar.gz
Source1:	%{forgeurl}/refs/download/v%{version}/%{name}-%{version}.tar.gz.sig

BuildRequires:	meson
BuildRequires:	scdoc
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(pixman-1)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-protocols)
BuildRequires:	pkgconfig(wayland-scanner)


%description
Grim is a command-line tool to grab images from Sway.

%prep
%autosetup

%build
%meson \
	-Dbash-completions=true \
	-Dfish-completions=true
%meson_build

%install
%meson_install

%files
%doc README.md
%license LICENSE
%{_bindir}/grim
%{_mandir}/man1/grim.1*
%{_datadir}/bash-completion/completions/grim*
%{_datadir}/fish/vendor_completions.d/grim*
