Name:           grisbi
Version:        3.0.4
Release:        %mkrel 2
Summary:        Personal finance manager
Group:          Office/Finance
License:        GPLv2
Url:            https://www.grisbi.org/
Source0:        https://downloads.sf.net/grisbi/%{name}-%{version}.tar.bz2

BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libgoffice-0.10)
BuildRequires:  pkgconfig(libgsf-1)
BuildRequires:  pkgconfig(libofx)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  intltool

%description
Grisbi helps you to manage your personal finance.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%doc %{_docdir}/%{name}/
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/org.%{name}.Grisbi.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/mime-info/%{name}.*
%{_datadir}/pixmaps/%{name}/
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_iconsdir}/hicolor/scalable/mimetypes/application-x-%{name}.svg
%{_metainfodir}/grisbi.metainfo.xml
%{_mandir}/man1/%{name}.1*
