Name:		gvolwheel
Version:	1.0.3
Release:	%mkrel 1
Summary:	Lightweight application to control the audio volume
License:	GPLv3+
Group:		Sound/Mixers
URL:		https://github.com/Junker/gvolwheel
Source0:	https://github.com/Junker/gvolwheel/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		gvolwheel-1.0.2-mga-use-pavucontrol-as-the-optional-mixer.patch

BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(gtk+-3.0)
Recommends:	pavucontrol

%description
GVolWheel is application which lets you control the volume easily through a
tray icon you can scroll on. Easily integrate with minimal desktops (Openbox,
IceWM,XFCE etc).

GVolWheel is configured to use pavucontrol from the Pulseaudio project as the
optional mixer.

%prep
%autosetup -p1

%build
export CFLAGS='%{optflags} -fpermissive'
autoreconf -fi
%configure
%make_build

%install
%make_install

# remove installed doc, instead use %%doc for it
rm -rf %{buildroot}%{_usr}/doc

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog README.md
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}
