Summary: Rpms macros to easily build haskell modules
Name: haskell-rpm-macros
Version: 6.4
Release: %mkrel 15
License: GPL
Source0: haskell-macros-%version.tar.gz
# From Fedora:
Source3: ghc-deps.sh
Source7: ghc.attr
Group: System/Packaging

BuildArch: noarch
# Requires: cabalrpmdeps
# Requires: haddock

Obsoletes: haskell-macros < 6.4-15
Provides: haskell-macros = %{version}-%{release}

%description
Rpms macros to easily build haskell modules.

%prep
%setup -qn haskell-macros-%version

%install
%make_install rpmmacrosdir=%_rpmmacrodir prefix=%_prefix

mv %{buildroot}%_rpmmacrodir/haskell-macros.macros %{buildroot}%_rpmmacrodir/macros.haskell

install -p -D -m 0755 %{SOURCE3} %{buildroot}/%{_rpmconfigdir}/ghc-deps.sh
install -p -D -m 0644 %{SOURCE7} %{buildroot}/%{_rpmconfigdir}/fileattrs/ghc.attr

%files
%{_rpmmacrodir}/macros.haskell
%_bindir/*
%{_rpmconfigdir}/fileattrs/ghc.attr
%{_rpmconfigdir}/ghc-deps.sh


