Summary:	Utility for displaying and/or setting hard disk parameters
Name:		hdparm
Version:	9.65
Release:	%mkrel 1
License:	BSD
Group:		System/Kernel and hardware
URL:		https://sourceforge.net/projects/hdparm/
Source0:	https://downloads.sourceforge.net/hdparm/%{name}-%{version}.tar.gz
Source1:	hdparm-sysconfig

%description
hdparm is a useful system utility for setting ATA/SATA hard drive parameters.
For example, hdparm can be used to tweak hard drive performance and to spin
down hard drives for power conservation.

%prep
%setup -q

%build
%serverbuild
%__make CFLAGS="%{optflags}" LDFLAGS="%{ldflags}" STRIP=/bin/true

%install
install -m0755 %{name} -D %{buildroot}/sbin/%{name}
install -m0644 %{name}.8 -D %{buildroot}%{_mandir}/man8/%{name}.8
install -m0644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/sysconfig/harddisks

%files
%doc hdparm.lsm Changelog README.acoustic
%config(noreplace) %{_sysconfdir}/sysconfig/harddisks
/sbin/%{name}
%{_mandir}/man8/%{name}.8*
