Name:           hevea
Version:        2.36
Release:        %mkrel 1
Summary:        A fast LaTeX to HTML translator
License:        QPL
Group:          Publishing
URL:            https://hevea.inria.fr/
Source0:        https://hevea.inria.fr/distri/hevea-%{version}.tar.gz
Source1:        https://hevea.inria.fr/distri/hevea-%{version}-manual.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-ocamlbuild-devel

Requires:         texlive
Requires(post):   texlive
Requires(postun): texlive

%description
HEVEA is a LaTeX to HTML translator.  The input language is a fairly
complete subset of LaTeX2e (old LaTeX style is also accepted) and
the output language is HTML that is (hopefully) correct with respect
to version 4.0 (transitional)
This package is a binary installation of the hevea system.
This software includes the Objective Caml run-time system, which is
copyright 1995--1999 INRIA.

%prep
%setup -q
%setup -q -a 1

%build
rm -f config.sh
%__make \
        PREFIX=%{_prefix} \
        LIBDIR=%{_datadir}/%{name} \
        LATEXLIBDIR=%{_datadir}/texmf/tex/latex \
        OCAMLFLAGS="-g -w +a-4-9"

%install
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -d -m 755 %{buildroot}%{_datadir}/texmf/tex/latex/%{name}
%__make install \
        DESTDIR=%{buildroot} \
        PREFIX=%{_prefix} \
        LIBDIR=%{_datadir}/%{name} \
        LATEXLIBDIR=%{_datadir}/texmf/tex/latex

%post
%{_datadir}/texmf-dist/scripts/texlive/mktexlsr

%postun
%{_datadir}/texmf-dist/scripts/texlive/mktexlsr

%files
%doc CHANGES
%doc %{name}-%{version}-manual/*
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/texmf/tex/latex/%{name}.sty
%{_datadir}/texmf/tex/latex/mathjax.sty
