Name:		hexalate
Version:	1.2.5
Release:	%mkrel 1
Summary:	Color matching game
Group:		Games/Puzzles
License:	GPLv3+
URL:		https://gottcode.org/hexalate/
Source0:	https://gottcode.org/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake

%description
The goal of the game is to rotate and position the circles so that each
touching line matches in color. You rotate circles by right clicking,
and you move circles by dragging them. The game stores the positions
and rotations of the circles across runs.

%prep
%setup -q

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6.*
