Name:		hexedit
Summary:	View and edit files in hexadecimal or in ASCII
Version:	1.6
Release:	%mkrel 1
License:	GPLv2
Group:		Editors
URL:		https://rigaux.org/hexedit.html
Source:		https://github.com/pixel/hexedit/archive/%{version}/%{name}-%{version}.tar.gz
Patch50:	hexedit-ncursesw.patch
BuildRequires:	pkgconfig(ncursesw)

%description
hexedit shows a file both in ASCII and in hexadecimal. The file can be a device
as the file is read a piece at a time. You can modify the file and search
through it.

%prep

%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%files
%doc COPYING
%{_bindir}/*
%{_mandir}/*/*
