%define prj    Horde_Serialize

%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:          horde-serialize
Version:       0.0.2
Release:       %mkrel 3
Summary:       Data Encapulation API
License:       LGPL
Group:         Networking/Mail
Url:           https://pear.horde.org/#horde_serialize
Source0:       %{prj}-%{version}.tgz
BuildArch:     noarch
Requires(pre): php-pear
Requires:      horde-util
BuildRequires: php-pear
BuildRequires: php-pear-channel-horde


%description
The Serialize:: class provides various methods of encapsulating data.


%prep
%setup -q -n %{prj}-%{version}

%build
mv ../package.xml .

%install
pear install --packagingroot %{buildroot} --nodeps package.xml

%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

%__mkdir_p %{buildroot}%{xmldir}
cp package.xml %{buildroot}%{xmldir}/%{prj}.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/%{prj}.xml

%postun
if [ "$1" -eq "0" ]; then
  pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/%{prj}
fi

%files
%defattr(-, root, root)
%{xmldir}/%{prj}.xml
%dir %{peardir}/Horde/Serialize
%{peardir}/Horde/Serialize.php
%{peardir}/Horde/Serialize/JSON.php


