%global _legacy_common_support 1
Name:		hping3
Version:	20051105
Release:	%mkrel 11
Summary:	TCP/IP packet assembler/analyzer
License:	GPLv2
Group:		Monitoring
URL:		https://www.hping.org/
Source0:	https://www.hping.org/hping3-%{version}.tar.gz
Patch0: hping3-include.patch
Patch1: hping3-bytesex.patch
Patch2: hping3-getifnamedebug.patch
Patch3: hping3-cflags.patch
Patch4: hping3-man.patch
Patch5: hping3-20051105-typo.patch
BuildRequires:  pcap-devel
BuildRequires:  pkgconfig(tcl)
Obsoletes:  hping2

%description
hping is a command-line oriented TCP/IP packet assembler/analyzer. The
interface is very similar to the ping(8) unix command, with many extensions.
It supports TCP, UDP, ICMP and RAW-IP protocols. A scripting language is under
developing.

%prep
%setup -q
%patch -P 0 -p0 -b .include
%patch -P 1 -p0 -b .bytesex
%patch -P 2 -p1 -b .getifnamedebug
%patch -P 3 -p0 -b .cflags
%patch -P 4 -p0 -b .man
%patch -P 5 -p1

%build
%configure
%make_build

%install
install -d 755 %{buildroot}%{_sbindir}

install -m 755 hping3 %{buildroot}%{_sbindir}

pushd %{buildroot}%{_sbindir}
ln -sf hping3 hping
ln -sf hping3 hping2
popd

install -d 755 %{buildroot}%{_mandir}/man8
install -m 644 docs/hping3.8 %{buildroot}%{_mandir}/man8

%files
%doc BUGS CHANGES COPYING INSTALL KNOWN-BUGS TODO
%{_sbindir}/hping
%{_sbindir}/hping2
%{_sbindir}/hping3
%{_mandir}/man8/hping3.8.*
