%define oname	hso-udev

Name:		hso-rezero
Version:	0.1
Release:	%mkrel 21
Summary:	Tools for Option 3G cards
Group:		System/Kernel and hardware
License:	GPL
URL:		https://www.pharscape.org/
# https://www.pharscape.org/component/option,com_forum/Itemid,68/page,viewtopic/t,425/
Source0:	%{oname}.tar.gz
Source2:	49_hso-udev.rules


%description
rezero is a utility to disable the ZeroCD (fake USB CD-Rom)
temporarily at run time for Option 3G cards.

%prep
%setup -q -c
make clean

# fix empty debugsourcefiles.list using ours compile flags
sed -i -e 's|-Wall -O|-Wall -O %{optflags}|' Makefile

%build
%set_build_flags
%make_build

%install
%make_install

rm -rf %{buildroot}/etc/udev/rules.d
mkdir -p %{buildroot}%{_udevrulesdir}
install -m 644 %{SOURCE2} %{buildroot}%{_udevrulesdir}/

%files
%{_sbindir}/*
%{_udevrulesdir}/*.rules
