Summary:	A command line utility to convert HTML document to plain text
Name:		html2text
Version:	2.2.3
Release:	%mkrel 1
Group:		File tools
License:	GPLv2+
URL:		https://github.com/grobian/html2text
Source0:        https://github.com/grobian/html2text/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	gettext-devel

%description
html2text is a command line utility, written in C++, that
converts HTML documents into plain text.

%prep
%autosetup

%build
autoreconf -vfi
%configure
%make_build EXPLICIT="%{optflags}" DEBUG="%{optflags}" LDFLAGS="%{ldflags}"

%install
%make_install

%files
%doc CREDITS KNOWN_BUGS README.md
%license COPYING
%{_bindir}/*
%{_mandir}/man?/*
