%define languageenglazy Belorussian
%define languagecode    be
%define lc_ctype        be_BY

Name:           hunspell-%{languagecode}
Version:        1.1
Release:        %mkrel 15
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPL+ and LGPLv2+
Group:          System/Internationalization
URL:            https://extensions.services.openoffice.org/project/dict-be-official
Source0:        https://extensions.services.openoffice.org/files/2412/1/dict-%{languagecode}-official.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-be
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated - nothing to obsolete for Belorussian
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p %{languagecode}-official.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p %{languagecode}-official.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
