%define languageenglazy Bengali
%define languagecode    bn
%define lc_ctype        bn_BD

Name:           hunspell-%{languagecode}
Epoch:          1
Version:        1.0.0
Release:        %mkrel 7
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:		https://gitorious.org/hunspell_dictionaries
Source0:        https://anishpatil.fedorapeople.org/bn_in.%{version}.tar.gz

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-bn
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-bn_IN = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-bn_IN = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-bn_BN < 1.0.3
Provides:       myspell-bn_BN

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c -n bn_IN

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hunspell
cp -p bn_IN/*.dic bn_IN/*.aff $RPM_BUILD_ROOT/%{_datadir}/hunspell

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
