%define languageenglazy Irish
%define languagecode    ga
%define lc_ctype        ga_IE

Name:           hunspell-%{languagecode}
Version:        5.0
Release:        %mkrel 13
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            http://borel.slu.edu/ispell/index.html
Source0:        https://addons.mozilla.org/firefox/downloads/file/799601/litreoir_gaelspell_do_mhozilla-%{version}.xpi?src=dp-btn-primary#/%{name}-%{version}.xpi
Source1:        myspell-header
Source2:        hunspell-header
Patch0:         ispell-gaeilge-4.2-buildhunspell.patch

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-ga
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c -n ispell-gaeilge-%{version}
#autopatch -p1

%build
cat %{_sourcedir}/myspell-header %{_sourcedir}/hunspell-header > header
export LANG=en_IE.UTF-8
ispellaff2myspell gaeilge.aff --myheader header | sed -e "s/\"\"/0/g" | sed -e "s/\"//g" > ga_IE.aff

%install
install -D -m 0644 -p dictionaries/ga.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/ga.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc dictionaries/README_ga_IE.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
