%define languageenglazy Ancient Greek
%define languagecode    grc
%define lc_ctype        grc_GR

Name:           hunspell-%{languagecode}
Version:        2.1.5
Release:        %mkrel 12
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPL+ or LGPLv2+
Group:          System/Internationalization
URL:            https://www.himeros.eu/
Source0:        https://extensions.services.openoffice.org/e-files/2313/1/grc.oxt

BuildArch:      noarch

Recommends:       hunspell

#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# Nothing to obsolete
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p dictionaries/grc_GR.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/grc_GR.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc LICENSES-en.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
