%define languageenglazy Hindi
%define languagecode    hi
%define lc_ctype        hi_IN

Name:           hunspell-%{languagecode}
Epoch:          1
Version:        0.4.2
Release:        %mkrel 3
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            https://hunspell.sourceforge.net/
Source0:        https://addons.mozilla.org/firefox/downloads/file/1163888/hindi_spell_checker-%{version}webext.xpi?src=dp-btn-primary#/%{name}-%{version}.xpi

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-hi
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p dictionaries/hi*.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/hi*.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc dictionaries/README*
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
