# (kamil) In case of update, update also hyphen-hr, it's the same source

%define languageenglazy Croatian
%define languagecode    hr
%define lc_ctype        hr_HR

%define upstream_version 20040608

Name:           hunspell-%{languagecode}
Epoch:          1
Version:        0.%{upstream_version}.1
Release:        %mkrel 20
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+ or SISSL
Group:          System/Internationalization
URL:            http://cvs.linux.hr/spell/
Source0:        http://cvs.linux.hr/spell/myspell/hr_HR.zip

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-hr
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
chmod -x *

%install
install -D -m 0644 -p %{lc_ctype}.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_hr_HR.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
