%define languageenglazy Hungarian
%define languagecode    hu
%define lc_ctype        hu_HU

Name:           hunspell-%{languagecode}
Version:        1.6.1
Release:        %mkrel 14
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+ or GPLv2+ or MPLv1.1
Group:          System/Internationalization
URL:            https://magyarispell.sourceforge.net/
Source0:        https://downloads.sourceforge.net/magyarispell/hu_HU-%{version}.tar.gz

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-hu
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n %{lc_ctype}-%{version}

%build
chmod -x *.*

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_hu_HU.txt LEIRAS.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
