%define languageenglazy Interlingua
%define languagecode    ia
#define lc_ctype        nothing here

%define upstream_version 20050226

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 15
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+
Group:          System/Internationalization
URL:            http://wiki.services.openoffice.org/wiki/Dictionaries
Source0:        https://download.savannah.gnu.org/releases/interlingua/ia_myspell.zip

BuildArch:      noarch

Recommends:       hunspell

#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
#Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
#Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# nothing to obsolete
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
tr -d '\r' < README_ia.txt > README_ia.txt.new
touch -r README_ia.txt README_ia.txt.new
mv -f README_ia.txt.new README_ia.txt

%install
install -D -m 0644 -p ia.dic %{buildroot}%{_datadir}/hunspell/%{languagecode}.dic
install -D -m 0644 -p ia.aff %{buildroot}%{_datadir}/hunspell/%{languagecode}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{languagecode}.dic %{languagecode}.dic
    ln -s ../hunspell/%{languagecode}.aff %{languagecode}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_ia.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
