%define languageenglazy Kazakh
%define languagecode    kk
%define lc_ctype        kk_KZ

Name:           hunspell-%{languagecode}
Version:        1.1
Release:        %mkrel 14
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+ or LGPLv2+ or MPLv1.1
Group:          System/Internationalization
URL:            https://extensions.services.openoffice.org/project/dict-kk
Source0:        https://extensions.services.openoffice.org/files/1172/8/dict-kk.zip

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-kk
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# nothing to obsolete
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
for i in README_kk_KZ.txt; do
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
install -D -m 0644 -p kk_KZ.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p kk_KZ.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_kk_KZ.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
