%define languageenglazy Khmer
%define languagecode    km
%define lc_ctype        km_KH

Name:           hunspell-%{languagecode}
Version:        1.82
Release:        %mkrel 3
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv3
Group:          System/Internationalization
URL:            https://www.sbbic.org/
Source0:        https://extensions.libreoffice.org/extensions/khmer-spelling-checker-sbbic-version/%{version}/@@download/file/sbbic-khmer-spelling-checker-libreoffice-1-82.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-km
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p km_KH.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p km_KH.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc CHANGELOG LICENCES-*.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
