%define languageenglazy Lithuanian
%define languagecode    lt
%define lc_ctype        lt_LT

Name:           hunspell-%{languagecode}
Version:        1.2.1
Release:        %mkrel 18
Summary:        %{languageenglazy} hunspell dictionaries
License:        BSD
Group:          System/Internationalization
URL:            ftp://ftp.akl.lt/ispell-lt/
Source0:        ftp://ftp.akl.lt/ispell-lt/lt_LT-%{version}.zip

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-lt
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n lt_LT-%{version}

%build
chmod -x *
for i in INSTRUKCIJOS.txt; do
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README.EN INSTRUKCIJOS.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
