%define languageenglazy Maithili
%define languagecode    mai
%define lc_ctype        mai_IN

Name:           hunspell-%{languagecode}
Version:        1.0.1
Release:        %mkrel 13
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+ or LGPLv2+ or MPLv1.1
Group:          System/Internationalization
URL:            http://bhashaghar.googlecode.com
Source0:        http://bhashaghar.googlecode.com/files/mai_IN.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-mai
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# nothing to obsolete
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p mai_IN.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p mai_IN.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_mai_IN.txt COPYING COPYING.MPL COPYING.GPL COPYING.LGPL
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
