%define languageenglazy Dutch
%define languagecode    nl
%define lc_ctype        nl_NL

Name:           hunspell-%{languagecode}
Version:        2.10
Release:        %mkrel 9
Summary:        %{languageenglazy} hunspell dictionaries
License:        BSD or CC-BY
Group:          System/Internationalization
URL:            https://www.opentaal.org/english.php
Source0:        OpenTaal-210G-LO.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-nl
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-nl_AW = %{version}-%{release}
Provides:       hunspell-nl_BE = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-nl_AW = 2
Provides:       dictionary-nl_BE = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
chmod -x nl_NL.*

%install
install -D -m 0644 -p %{lc_ctype}.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p %{lc_ctype}.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc description/desc_en_US.txt description/desc_nl_NL.txt README_nl_NL.txt license_en_EN.txt licentie_nl_NL.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
