%define languageenglazy Oromo
%define languagecode    om
%define lc_ctype        om_ET

Name:           hunspell-%{languagecode}
Epoch:          1
Version:        0.04
Release:        %mkrel 13
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv3+
Group:          System/Internationalization
URL:            http://borel.slu.edu/crubadan/apps.html
Source0:        http://borel.slu.edu/obair/%{name}-%{version}.oxt

BuildArch:      noarch

Recommends:       hunspell

#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-om_KE = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-om_KE = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p dictionaries/om_ET.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/om_ET.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc dictionaries/README_om_ET.txt LICENSES-en.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
