%define languageenglazy Quechua, South Bolivia
%define languagecode    quh
%define lc_ctype        quh_BO

%define upstream_version 20110816

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 9
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            http://www.runasimipi.org/blanco-en.php?file=desarrollar-orto
Source0:        http://www.runasimipi.org/quh_BO-pack.zip

BuildArch:      noarch

Recommends:       hunspell

#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-qu_BO < 1.0.3
Provides:       myspell-qu_BO

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n quh_BO-pack
unzip -qq quh_BO.zip

%build

%install
install -D -m 0644 -p quh_BO/quh_BO.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p quh_BO/quh_BO.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README quh_BO/COPYING quh_BO/Copyright quh_BO/README_quh_BO.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
