%define languageenglazy Romanian
%define languagecode    ro
%define lc_ctype        ro_RO

Name:           hunspell-%{languagecode}
Version:        3.3.10
Release:        %mkrel 4
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+ or LGPLv2+ or MPLv1.1
Group:          System/Internationalization
URL:            https://rospell.sourceforge.net/
Source0:        https://downloads.sourceforge.net/rospell/ro_RO.%{version}.zip

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-ro
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p ro_RO.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p ro_RO.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc COPYING.GPL COPYING.LGPL COPYING.MPL README
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
