%define languageenglazy Shuswap
%define languagecode    shs
%define lc_ctype        shs_CA

%define upstream_version 20090828

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 13
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            https://secpewt.sd73.bc.ca/wordlist
Source0:        https://secpewt.sd73.bc.ca/hunspell/hunspell-shs-ca.tar.gz

BuildRequires:  pkgconfig(hunspell)

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-shs
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# nothing to obsolete
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p hunspell/shs_CA.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p hunspell/shs_CA.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc hunspell/COPYING hunspell/Copyright hunspell/README
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
