%define languageenglazy Telugu
%define languagecode    te
%define lc_ctype        te_IN

%define upstream_date 20130708

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_date}.1
Release:        %mkrel 3
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPL+
Group:          System/Internationalization
URL:            http://aspell.net/
Source0:        https://sourceforge.net/projects/aoo-extensions/files/4639/0/dict-te.oxt#/%{name}-%{version}.oxt

BuildRequires:  pkgconfig(hunspell)
BuildRequires:  hunspell

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-te
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc COPYING Copyright
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
