%define languageenglazy Tsonga
%define languagecode    ts
%define lc_ctype        ts_ZA

%define upstream_version 20110323.2

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}
Release:        %mkrel 3
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+
Group:          System/Internationalization
URL:            http://www.translate.org.za/
Source0:        https://addons.mozilla.org/firefox/downloads/file/1164032/tsonga_spell_checker-%{upstream_version}webext.xpi?src=dp-btn-primary#/%{name}-%{version}.xpi

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-ts
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p dictionaries/ts-ZA.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/ts-ZA.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README-ts-ZA.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
