%define languageenglazy Vietnamese
%define languagecode    vi
%define lc_ctype        vi_VN

%define upstream_version 20120418

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 4
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPL+
Group:          System/Internationalization
URL:            https://code.google.com/p/hunspell-spellcheck-vi
Source0:        https://sourceforge.net/projects/aoo-extensions/files/917/3/vi_spellchecker_ooo3.oxt#/%{name}-%{version}.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-vi
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-vi_VI < 1.0.3
Provides:       myspell-vi_VI

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p dictionaries/*.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/*.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc LICENSES* dictionaries/CHANGELOG
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
