%define languageenglazy Yiddish
%define languagecode    yi
#define lc_ctype        

Name:           hunspell-%{languagecode}
Version:        1.1
Release:        %mkrel 13
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+ or GPLv2+ or MPLv1.1
Group:          System/Internationalization
URL:            https://extensions.services.openoffice.org/en/project/dict-yi
Source0:        https://extensions.services.openoffice.org/e-files/3975/1/%{name}-%{version}.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-yi
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
#Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
#Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# there is no myspell-yi
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p dictionaries/yi.dic %{buildroot}%{_datadir}/hunspell/%{languagecode}.dic
install -D -m 0644 -p dictionaries/yi.aff %{buildroot}%{_datadir}/hunspell/%{languagecode}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{languagecode}.dic %{languagecode}.dic
    ln -s ../hunspell/%{languagecode}.aff %{languagecode}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc gpl-2.0.txt MPL-1.1.txt README_yi.txt LICENSES-en.txt HACKING lgpl-2.1.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
