%define debug_package	%{nil}

Name:		hyena
License:	MIT
Group:		System/Libraries 
Version:	0.5
Release:	%mkrel 18
Summary:	Library for .NET applications
Url:		https://wiki.gnome.org/Hyena/
Source:		https://download.gnome.org/sources/%{name}/0.5/%{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM coolo@opensuse.org - broken Makefile syntax
Patch0:		fix-makefile.diff
#Patch1:		fix-build.patch
BuildRequires:	pkgconfig(gapi-2.0)
BuildRequires:	mono-basic
BuildRequires:	pkgconfig(mono)
BuildRequires:	pkgconfig(nunit)
BuildRequires:	perl(XML::Parser)
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	make
BuildRequires:	pkgconfig(gapi-2.0)
Requires:	mono-core
Requires:	gtk-sharp2

%description
Hyena is a .NET library that powers Banshee and PDF Mod, among others.

%prep
%setup -q
%autopatch -p1

sed -i "s#gmcs#mcs#g" configure
sed -i "s#gmcs#mcs#g" configure.ac
sed -i "s#mono/2.0#mono/4.5#g" configure

%build
%configure
%__make

%install
%make_install

%files
%doc NEWS README COPYING
%{_libdir}/%{name}
%{_libdir}/pkgconfig/*.pc
