%define hyphendir %{_datadir}/hyphen

Name: hyphen-cs
Version: 20060303
Release: %mkrel 22
Summary: Czech hyphenation rules
License: GPL+
Group:   Text tools
URL: ftp://ftp.linux.cz/pub/localization/OpenOffice.org/devel/Czech/spell_checking/
Source0: openoffice.org-dict-cs_CZ.tar.gz
BuildArch: noarch
Requires: hyphen
Requires: locales-cs
Obsoletes: openoffice.org-dict-cs_CZ < %{version}-%{release}

%description
Czech hyphenation rules.

%prep
%setup -q -n openoffice.org-dict-cs_CZ

%build
iconv -f ISO-8859-2 -t UTF-8 README_hyph_cs_CZ.txt > README_hyph_cs_CZ.txt.new
mv -f README_hyph_cs_CZ.txt.new README_hyph_cs_CZ.txt

%install
mkdir -p $RPM_BUILD_ROOT%{hyphendir}
install -m 644 hyph*.dic $RPM_BUILD_ROOT%{hyphendir}

%files
%doc README_hyph_cs_CZ.txt
%{hyphendir}/hyph_cs*
