%define upstream_version 20110620

Name:           hyphen-cy
Version:        0.%{upstream_version}
Release:        %mkrel 11
Summary:        Welsh hyphenation rules
License:        LPPL
Group:          Text tools
URL:            https://tug.org/tex-hyphen
Source0:        https://tug.org/svn/texhyphen/trunk/hyph-utf8/tex/generic/hyph-utf8/patterns/tex/hyph-cy.tex
Patch0:         %{name}-%{version}-fdr-clean-tex.patch

BuildRequires:  hyphen-devel

BuildArch:      noarch

Requires:       hyphen
Requires: locales-cy

%description
Welsh hyphenation rules.


%prep
%setup -T -q -c
cp -p %{_sourcedir}/hyph-cy.tex .
%patch -P 0 -p0 -b .clean

%build
substrings.pl hyph-cy.tex hyph_cy_GB.dic ISO8859-1
echo "Created with substring.pl by substrings.pl hyph-cy.tex hyph_cy_GB.dic ISO8859-1" > README
echo "---" >> README
head -n 25 hyph-cy.tex >> README

%install
mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p hyph_cy_GB.dic %{buildroot}%{_datadir}/hyphen

%files
%doc README
%{_datadir}/hyphen/*
