Name:           hyphen-en
Version:        2.8.5
Release:        %mkrel 10
Requires:       hyphen
Requires: locales-en
Summary:        English hyphenation rules
Group:          Text tools
BuildArch:      noarch
License:        LGPLv2+ or MPLv1.1
URL:            https://hunspell.sourceforge.net/
Source0:        https://downloads.sourceforge.net/hunspell/hyphen-%{version}.tar.gz

%description
English hyphenation rules.


%prep
%setup -q -n hyphen-%{version}

%build

%install
mkdir -p %{buildroot}%{_datadir}/hyphen/
cp -p *.dic %{buildroot}%{_datadir}/hyphen/

en_US_aliases="en_AG en_AU en_BS en_BW en_BZ en_CA en_DK en_GB en_GH en_HK en_IE en_IN en_JM en_NA en_NZ en_PH en_SG en_TT en_ZA en_ZW"
pushd %{buildroot}%{_datadir}/hyphen
    for lang in $en_US_aliases; do
        ln -s hyph_en_US.dic hyph_$lang.dic
    done
popd

%files
%{_datadir}/hyphen/hyph_en*.dic
