%define upstream_version 20030606

Name:           hyphen-et
Version:        0.%{upstream_version}.1
Release:        %mkrel 18
Summary:        Estonian hyphenation rules
Source:         http://www.meso.ee/~jjpp/speller/ispell-et_%{upstream_version}.tar.gz
Group:          Text tools
URL:            http://www.meso.ee/~jjpp/speller/
License:        LGPLv2+ and LPPL

BuildArch:      noarch

Requires:       hunspell
Requires:       hyphen
Requires: locales-et

%description
Estonian hyphenation rules.


%prep
%setup -q -n ispell-et-%{upstream_version}

%build

%install
mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p hyph_et.dic %{buildroot}%{_datadir}/hyphen/hyph_et_EE.dic

%files
%doc README COPYRIGHT ChangeLog
%{_datadir}/hyphen/*
