%define upstream_version 20130404

Name:           hyphen-fa
Version:        0.%{upstream_version}
Release:        %mkrel 3
Summary:        Farsi hyphenation rules
License:        LPPL
Group:          Text tools
URL:            https://www.ctan.org/tex-archive/help/Catalogue/entries/fahyph.html
Source0:        https://mirrors.ctan.org/language/hyphenation/fahyph.zip
Patch0:         https://src.fedoraproject.org/rpms/hyphen-fa/raw/master/f/hyphen-fa-cleantex.patch

BuildRequires:  hyphen-devel

BuildArch:      noarch

Requires:       hyphen
Requires: locales-fa

%description
Farsi hyphenation rules.


%prep
%setup -q -n fahyph
%autopatch -p1

%build
substrings.pl fahyph.tex hyph_fa_IR.dic UTF-8
chmod -x *

%install
mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p hyph_fa_IR.dic %{buildroot}%{_datadir}/hyphen

%files
%doc README
%{_datadir}/hyphen/*
