%define upstreamid 20030920

Summary: Icelandic hyphenation rules
Name: hyphen-is
Version: 0.%{upstreamid}
Release: %mkrel 10
Source: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/hyph_is_IS.zip
Group: Text tools
URL: http://wiki.services.openoffice.org/wiki/Dictionaries
License: LGPLv2+ or SISSL
BuildArch: noarch
Requires: hyphen
Requires: locales-is

%description
Icelandic hyphenation rules.

%prep
%setup -q -c

%build
chmod 644 *
for i in README_hyph_is_IS.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hyphen
cp -p *.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen

%files
%doc README_hyph_is_IS.txt
%{_datadir}/hyphen/*
