%define upstreamid 20071127

Summary: Italian hyphenation rules
Name: hyphen-it
Version: 0.%{upstreamid}
Release: %mkrel 10
Source: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/hyph_it_IT.zip
Group: Text tools
URL: http://wiki.services.openoffice.org/wiki/Dictionaries
License: LGPLv2+
BuildArch: noarch
Requires: hyphen
Requires: locales-it
Provides: hyphen-la = 0.%{upstreamid}

%description
Italian hyphenation rules.

%prep
%setup -q -c -n hyphen-it
chmod 644 *

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hyphen
cp -p hyph_it_IT.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen
pushd $RPM_BUILD_ROOT/%{_datadir}/hyphen/
#https://extensions.services.openoffice.org/project/dict-la uses the it_IT for Latin
#so we'll do the same
it_IT_aliases="it_CH la_VA"
for lang in $it_IT_aliases; do
        ln -s hyph_it_IT.dic "hyph_"$lang".dic"
done

%files
%doc README_hyph_it_IT.txt
%{_datadir}/hyphen/*
