Summary: Kurdish hyphenation rules
Name: hyphen-ku
Version: 1.71.2
Release: %mkrel 10
Source: https://extensions.services.openoffice.org/e-files/2445/12/kitandin.oxt
Group: Text tools
URL: https://extensions.services.openoffice.org/project/kitandin
License: LGPLv2+
BuildArch: noarch
Requires: hyphen
Requires: locales-ku

%description
Kurdish hyphenation rules.

%prep
%setup -q -c -n hyphen-ku

%build
chmod 644 hyph_ku.dic

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hyphen
cp -p hyph_ku.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen/hyph_ku_TR.dic

pushd $RPM_BUILD_ROOT/%{_datadir}/hyphen
ku_TR_aliases="ku_SY"
for lang in $ku_TR_aliases; do
        ln -s hyph_ku_TR.dic hyph_$lang.dic
done
popd

%files
%doc README_ku.txt
%{_datadir}/hyphen/*
