%define upstream_version 20100531

Name:           hyphen-lt
Version:        0.%{upstream_version}
Release:        %mkrel 12
Summary:        Lithuanian hyphenation rules
License:        LPPL
Group:          Text tools
URL:            https://tug.org/tex-hyphen
Source0:        https://tug.org/svn/texhyphen/trunk/hyph-utf8/tex/generic/hyph-utf8/patterns/tex/hyph-lt.tex
Patch0:         hyphen-lt-cleantex.patch

BuildRequires:  hyphen-devel

BuildArch:      noarch

Requires:       hyphen
Requires: locales-lt

%description
Lithuanian hyphenation rules.


%prep
%setup -T -q -c
cp -p %{_sourcedir}/hyph-lt.tex .
%patch -P 0 -p0 -b .clean

%build
substrings.pl hyph-lt.tex hyph_lt_LT.dic UTF-8
echo "Created with substring.pl by substrings.pl hyph-lt.tex hyph_lt_LT.dic UTF-8" > README
echo "Original in-line credits were:" >> README
echo "" >> README
head -n 45 hyph-lt.tex >> README

%install
mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p hyph_lt_LT.dic %{buildroot}%{_datadir}/hyphen

%files
%doc README
%{_datadir}/hyphen/*
