Name: hyphen-lv
Summary: Latvian hyphenation rules
Version: 0.9.4
Release: %mkrel 14
Source: https://dict.dv.lv/download/lv_LV-%{version}.oxt
Group: Text tools
URL: https://dict.dv.lv/
License: LGPLv2+
BuildArch: noarch
Requires: hyphen
Requires: locales-lv

%description
Latvian hyphenation rules.


%prep
%setup -q -c

%build
for i in README_lv_LV.txt README_hyph_lv_LV.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-4 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done
chmod -x *.dic

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hyphen
cp -p hyph_lv_LV.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen

%files
%doc README_hyph_lv_LV.txt license.txt
%{_datadir}/hyphen/*
