%define upstreamid 20060726

Summary: Polish hyphenation rules
Name: hyphen-pl
Version: 0.%{upstreamid}
Release: %mkrel 10
Source: https://pl.openoffice.org/pliki/hyph_pl_PL.zip
Group: Text tools
URL: http://wiki.services.openoffice.org/wiki/Dictionaries
License: LGPLv2+
BuildArch: noarch
Requires: hyphen
Requires: locales-pl

%description
Polish hyphenation rules.

%prep
%setup -q -c -n hyphen-pl

%build
unzip hyph_pl_PL.zip
for i in README_hyph_pl_PL.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-2 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hyphen
cp -p hyph_pl_PL.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen

%files
%doc README_hyph_pl_PL.txt
%{_datadir}/hyphen/*
