%define upstreamid 20021021

Summary: Portuguese hyphenation rules
Name: hyphen-pt
Version: 0.%{upstreamid}
Release: %mkrel 10
Source: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/hyph_pt_PT.zip
Group: Text tools
URL: http://wiki.services.openoffice.org/wiki/Dictionaries
License: GPL+
BuildArch: noarch
Requires: hyphen
Requires: locales-pt

%description
Portuguese hyphenation rules.

%prep
%setup -q -c

%build
chmod 644 *

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hyphen
cp -p *.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen
pushd $RPM_BUILD_ROOT/%{_datadir}/hyphen/
pt_PT_aliases="pt_BR"
for lang in $pt_PT_aliases; do
        ln -s hyph_pt_PT.dic "hyph_"$lang".dic"
done

%files
%doc README_hyph_pt_PT.txt
%{_datadir}/hyphen/*
