Name: hyphen-sr
%define upstreamid 20100920
Version: 0.%{upstreamid}.1
Release: %mkrel 13
Source: https://extensions.services.openoffice.org/e-files/1572/6/dict-sr.oxt
Group:  Text tools
URL: https://extensions.services.openoffice.org/project/dict-sr
License: LGPLv2+
BuildArch: noarch
Requires: hyphen
Requires: locales-sr
Summary: Serbian hyphenation rules
Provides: hyphen-bs = %{version}-%{release}

%description -n hyphen-sr
Serbian hyphenation rules.

%prep
%setup -q -c

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hyphen
cp -p hyph_sr.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen/hyph_sr_YU.dic
cp -p hyph_sr-Latn.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen/hyph_sh_YU.dic

sr_YU_aliases="sr_ME sr_RS"
sh_YU_aliases="sh_ME sh_RS bs_BA"

pushd $RPM_BUILD_ROOT/%{_datadir}/hyphen/
for lang in $sr_YU_aliases; do
    ln -s hyph_sr_YU.dic "hyph_"$lang".dic"
done
for lang in $sh_YU_aliases; do
    ln -s hyph_sh_YU.dic "hyph_"$lang".dic"
done
popd

%files
%doc registration/license*.txt
%{_datadir}/hyphen/*
