%define upstream_version 20100531

Name:           hyphen-tk
Version:        0.%{upstream_version}
Release:        %mkrel 12
Summary:        Turkmen hyphenation rules
License:        Public Domain
Group:          Text tools
URL:            https://tug.org/tex-hyphen
Source0:        https://tug.org/svn/texhyphen/trunk/hyph-utf8/tex/generic/hyph-utf8/patterns/tex/hyph-tk.tex
Patch0:         %{name}-cleantex.patch

BuildRequires:  hyphen-devel

BuildArch:      noarch

Requires:       hyphen
Requires: locales-tk

%description
Turkmen hyphenation rules.


%prep
%setup -T -q -c
cp -p %{_sourcedir}/hyph-tk.tex .
%patch -P 0 -p0 -b .clean

%build
substrings.pl hyph-tk.tex hyph_tk_TM.dic UTF-8
echo "Created with substring.pl by substrings.pl hyph-tk.tex hyph_tk_TM.dic UTF-8" > README
echo "Original in-line credits were:" >> README
echo "" >> README
head -n 15 hyph-tk.tex >> README

%install
mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p hyph_tk_TM.dic %{buildroot}%{_datadir}/hyphen

%files
%doc README
%{_datadir}/hyphen/hyph_tk_TM.dic
