Name:          ibus-hangul
Summary:       ibus - Korean Hangul engine
Version:       1.5.5
Release:       %mkrel 1
Group:         System/Internationalization
License:       GPLv2+
URL:           https://github.com/choehwanjin/ibus-hangul
Source0:       https://github.com/choehwanjin/ibus-hangul/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(ibus-1.0) >= 1.3.99
BuildRequires: pkgconfig(libhangul) >= 0.1.0
BuildRequires: pkgconfig(python3)
BuildRequires: intltool >= 0.35.0
Requires:      ibus >= 1.3.99
Requires:      python3-gobject

%description
ibus - Korean Hangul engine.

%prep
%autosetup -p1

%build
./autogen.sh
%configure --with-python=python3
%make_build

%install
%make_install

%find_lang %name

%files -f %name.lang
%doc AUTHORS README
%license COPYING
%{_bindir}/ibus-*-hangul
%{_libexecdir}/ibus-*-hangul
%{_datadir}/ibus-hangul/
%{_iconsdir}/hicolor/*/apps/ibus*.{png,svg}
%{_datadir}/ibus/component/*.xml
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/org.freedesktop.ibus.engine.hangul.gschema.xml
%{_metainfodir}/org.freedesktop.ibus.engine.hangul.metainfo.xml
