Name:		ibus-sogoupycc
Summary:	Sogou Pinyin Cloud Client on ibus platform
Version:	0.2.5
Release:	%mkrel 20
Group:		System/Internationalization
License:	GPLv2
URL:		https://code.google.com/p/ibus-sogoupycc/
Source0:	http://ibus-sogoupycc.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:		ibus-sogoupycc-0.2.5-default-use-sogoupy-schema.patch
Patch1:		ibus-sogoupycc-0.2.5-fix-dbus-build.patch
Patch2:		ibus-sogoupycc-0.2.5-fix-build-libnotify-0.7.patch
Patch3:		ibus-sogoupycc-0.2.5-link-thread.patch
Patch4:		ibus-sogoupycc-0.2.5-force-lua5.1.patch
Patch5:		ibus-sogoupycc-0.2.5-mga-nostrip.patch
BuildRequires:	pkgconfig(dbus-1) >= 1.2
BuildRequires:	pkgconfig(gdk-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.22
BuildRequires:	pkgconfig(gthread-2.0) >= 2.22
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(ibus-1.0) >= 1.2.0
BuildRequires:	pkgconfig(libnotify) >= 0.4
BuildRequires:	pkgconfig(lua-5.1)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	cmake
Requires:	ibus >= 1.2.0
Requires:	lua5.1-socket
Requires:	lua5.1

%description
ibus-sogoupycc is an unofficial Sogou pinyin cloud client on the ibus platform.
Features:
* double pinyin support: currently only supports the UCDOS-style double pinyin
  scheme (slightly different from the MSPY scheme)
* no pre-edit: always choose the default (first) result
* non-blocking input: your input is not interrupted when waiting for
  server responses.

%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p0
%patch -P 2 -p1
%patch -P 3 -p0
%patch -P 4 -p0
%patch -P 5 -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%{_datadir}/ibus-sogoupycc
%{_datadir}/ibus/component/sogoupycc.xml
