Name:      ibus-table-extraphrase
Summary:   Chinese extra phrases for ibus-table based IME
Version:   1.3.9.20110826
Release:   %mkrel 9
Group:     System/Internationalization
License:   GPLv2+
URL:       https://code.google.com/p/ibus/
Source0:   http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:    ibus-table-extraphrase-0.1.2.20090102-noarch.patch
BuildRequires: pkgconfig(python)
BuildRequires: pkgconfig(ibus-table) >= 1.2.0
Provides:	%{name}-devel = %{version}-%{release}
BuildArch:	noarch
Requires:	ibus-table >= 1.2.0

%description
This package provide Chinese extra phrases for a ibus-table based IME,
such as ibus-table-zhengma, ibus-table-wubi, ibus-table-cangjie5,
ibus-table-erbi, etc.

This package will also provide a script, called ibus-table-extraphrase,
to print the path of extra_phrase.txt.bz2, which can be used when using
ibus-table-createdb to generate an IME database.

%prep
%setup -q 
%autopatch -p0

%build
%configure
%make_build

%install
%make_install

%files
%{_datadir}/ibus-table/data/extra_phrase.txt
%{_datadir}/pkgconfig/*.pc


