Name:           iceauth
Version:        1.0.10
Release:        %mkrel 1
Summary:        ICE authority file utility
Group:          Development/X11
License:        MIT
Url:            https://xorg.freedesktop.org/
Source0:        https://www.x.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(ice) >= 1.0.0
BuildRequires:  x11-proto-devel >= 1.0.0
BuildRequires:  x11-util-macros >= 1.0.1

%description
The iceauth program is used to edit and display the authorization
information used in connecting with ICE.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%doc README.md
%license COPYING
%{_bindir}/iceauth
%{_mandir}/man1/iceauth.1.*
