Name:		icewm-theme-oxygen-aya
Summary:	X11 Window Manager
Version:	0.1
Release:	%mkrel 14
License:	GPL
Group:		Graphical desktop/Icewm
URL:		https://box-look.org/content/show.php/OxyAya?content=136242
Source0:	https://box-look.org/CONTENT/content-files/136242-oxygen-aya-azul.tar.gz
BuildArch:	noarch
BuildRequires:  imagemagick
BuildRequires:	desktop-common-data
BuildRequires:	mageia-theme
Requires:	mageia-theme

%description
The icewm theme which simulates kde4 "Oxygen" and "Aya" look and feel.

%prep
%setup -q -n oxygen-aya-azul
cp %{_iconsdir}/mini/mageia.png taskbar/start.xpm
ln -s %{_datadir}/mga/backgrounds/default.png default.png
sed -i 's/ThrowingStones.jpg/default.png/g' default.theme

# Resize image to workaround bug 8705
mogrify -resize 2x19! title*.xpm
mogrify -resize 2x2! *frame??.xpm

%install
install -d %{buildroot}%{_datadir}/icewm/themes
cp -r %{_builddir}/oxygen-aya-azul %{buildroot}/%{_datadir}/icewm/themes/

# fix permissions
find %{buildroot}%{_datadir} -type f -exec chmod 644 {} \;
find %{buildroot}%{_datadir} -type d -exec chmod 755 {} \;

%files
%dir %{_datadir}/icewm/themes/oxygen-aya-azul
%{_datadir}/icewm/themes/oxygen-aya-azul/*
