Name: ico
Version: 1.0.6
Release: %mkrel 1
Summary: Animate an icosahedron or other polyhedron
Group: Development/X11
Source: https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
License: MIT

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
Ico displays a wire-frame rotating polyhedron, with hidden lines removed,
or a solid-fill polyhedron with hidden faces removed.  There are a number of
different polyhedra available; adding a new polyhedron to the program is quite
simple.

%prep
%setup -q

%build
%configure

%make_build

%install
%make_install

%files
%{_bindir}/ico
%{_mandir}/man1/ico.1.*
