Name:           icoutils
Version:        0.32.3
Release:        %mkrel 4
Summary:        Extract and convert bitmaps from Windows icon and cursor files
Group:          Graphics/Utilities
License:        GPLv3+
URL:            https://www.nongnu.org/icoutils
Source0:        https://savannah.nongnu.org/download/icoutils/%{name}-%{version}.tar.bz2

BuildRequires:  pkgconfig(libpng)
Requires:       perl

%description
The icoutils are a set of program for extracting and converting
bitmaps from Microsoft Windows icon and cursor files. These files
usually have the extension .ico or .cur, but they can also be
embedded in executables and libraries (.dll-files). (Such embedded
files are referred to as resources.)

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

cp extresso/extresso extresso/genresscript %{buildroot}%{_bindir}
cp extresso/extresso.1 extresso/genresscript.1 %{buildroot}%{_mandir}/man1

%find_lang %{name}

%files -f %{name}.lang
%doc README AUTHORS ChangeLog NEWS TODO
%{_bindir}/extresso
%{_bindir}/genresscript
%{_bindir}/icotool
%{_bindir}/wrestool
%{_mandir}/man1/*.1*
