# .spec file adapted from Mandriva 2011
Summary:	A command line id3v2 tag editor
Name:		id3v2
Version:	0.1.12
Release:	%mkrel 11
License:	LGPLv2+
Group:		Sound/Utilities
URL:		https://id3v2.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/id3v2/%{name}-%{version}.tar.bz2
BuildRequires:	libid3-devel

%description
id3v2 is a command line id3v2 tag editor.
You can add/modify/delete id3v2 tags and convert
id3v1 tags to id3v2 tags.

%prep
%setup -q

%build
%set_build_flags
%make_build clean
%make_build

%install
install -m755 id3v2 -D %{buildroot}%{_bindir}/id3v2
install -m644 id3v2.1 -D %{buildroot}%{_mandir}/man1/id3v2.1

%files
%doc README
%{_bindir}/id3v2
%{_mandir}/man1/id3v2.1*
