Name:		iftop
Summary:	Command line tool that displays bandwidth usage on an interface
Version:	1.0
Release:	%mkrel -c pre4 5
Source:		https://www.ex-parrot.com/~pdw/%{name}/download/%{name}-%{version}pre4.tar.gz
Patch1:		iftop-1.0-gcc10.patch
URL:		https://www.ex-parrot.com/~pdw/%{name}
Group:		Monitoring 
License:	GPLv2+
BuildRequires:	libpcap-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	texinfo

%description
iftop does for network usage what top(1) does for CPU usage. It listens to
network traffic on a named interface and displays a table of current bandwidth
usage by pairs of hosts. Handy for answering the question "why is our ADSL link
so slow?".

%prep
%setup -q -n %{name}-%{version}pre4
%autopatch -p1

%build
export LDFLAGS=-ltinfo
%configure
%make_build

%install
%make_install
#mkdir -p %%{buildroot}%%{_sbindir} %%{buildroot}%%{_mandir}/man8
#install -m755 %%{name} %%{buildroot}%%{_sbindir}
#install -m 644 %%{name}.8 %%{buildroot}%%{_mandir}/man8

%files
%{_sbindir}/%{name}
%doc README COPYING TODO ChangeLog
%{_mandir}/man8/%{name}.*
