%global binver	%(pkg-config gtk+-3.0 --variable=gtk_binary_version)

Summary:	Hangul input module for GTK+ 3.x
Name:		imhangul
Version:	3.1.1
Release:	%mkrel 7
License:	GPLv2+
Group:		System/Internationalization
URL:		https://code.google.com/p/imhangul/
Source0:	https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/imhangul/%{name}-%{version}.tar.bz2
Patch0:		deprecated-gtkalignment-gtk3.14.patch
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libhangul) >= 0.0.10
Requires:	locales-ko

%description
Hangul input module for GTK+ 3.x

%prep
%autosetup -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure --with-gtk-im-module-dir=%{_libdir}/gtk-3.0/%{binver}/immodules/
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang im-hangul-3.0

%files -f im-hangul-3.0.lang
%doc AUTHORS ChangeLog NEWS README gtkrc
%license COPYING
%{_libdir}/gtk-3.0/%{binver}/immodules/*.so
