Summary:	Scripts and assorted auto* magic for i18nalizing various kinds of data files
Name:		intltool
Version:	0.51.0
Release:	%mkrel 7
Source0:	https://edge.launchpad.net/%name/trunk/%version/+download/%{name}-%{version}.tar.gz
# From Debian:
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=788705#5
Patch0:		intltool-0.51.0-fix-perl-5.22-deprecation-warnings.patch
License:	GPLv2+
URL: 		https://freedesktop.org/wiki/Software/intltool
Group:		Development/GNOME and GTK+
BuildArch:	noarch
BuildRequires:	perl(XML::Parser)
# lazy loaded through 'require XML::Parser':
Requires:	perl-XML-Parser
Requires:	patch
# required by intltool.m4, may be better to split this package
Requires:	gettext-devel

%description
The intltool collection can be used to:

Extract translatable strings from various source files, including
.xml.in, .glade, .desktop.in, .server.in, .oaf.in.

Collect the extracted strings together with messages from traditional
source files (such as .c, .h) into pot files.

Merge back the translations from .po files into .xml, .desktop and
.oaf files during software build time.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%check
%__make check

%install
%make_install

%files
%doc AUTHORS COPYING README
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/aclocal/*
%{_mandir}/man8/*
