Summary:	Filesystem benchmark tool
Name:		iozone3
Version:	507
Release:	%mkrel 1
License:	Public Domain
Group:		Monitoring
URL:		https://www.iozone.org/
Source0:	https://www.iozone.org/src/current/%{name}_%{version}.tar
Patch1:		iozone3-off64_t.patch
Obsoletes:	iozone < %{version}
Provides:	iozone = %{version}-%{release}

%description
This program allows one to characterize the filesystem performance
of vendors platform. It supports single stream, throughput,
pthreads, async I/O and much more.

%prep
%autosetup -p1 -n %{name}_%{version}

%build
export GCC="%{__cc}"
pushd src/current
%make_build linux CFLAGS="%{optflags} -DHAVE_ANSIC_C -std=gnu17" LDFLAGS="%{ldflags}"
popd

%install
pushd src/current/
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 iozone %{buildroot}%{_bindir}
install -m 755 gnu3d.dem %{buildroot}%{_bindir}
install -m 755 gengnuplot.sh %{buildroot}%{_bindir}
install -m 755 fileop %{buildroot}%{_bindir}
install -m 755 Generate_Graphs %{buildroot}%{_bindir}
popd

pushd docs
install -m 755 -d %{buildroot}%{_mandir}/man1
install -m 644 iozone.1 %{buildroot}%{_mandir}/man1
popd

%files
%doc docs/*.gz src/current/Gnuplot.txt docs/*.pdf docs/*.doc
%{_bindir}/*
%{_mandir}/man1/*
