Name: ipw2200-firmware
Version: 3.1
Release: %mkrel 10

Summary: Intel PRO/Wireless 2200BG firmware
License: Proprietary
Group: System/Kernel and hardware
URL: https://ipw2200.sourceforge.net/
Source: ipw2200-fw-%{version}.tgz

BuildArch: noarch

%description
Firmware for Intel PRO/Wireless 2200BG (IPW2200) mini PCI adapter support.


%prep
%setup -q -n ipw2200-fw-%{version}

%build

%install
install -d %{buildroot}/lib/firmware
install -m644 *.fw %{buildroot}/lib/firmware/

%files
%defattr(0644,root,root,0755)
%doc LICENSE.*
/lib/firmware/*.fw


