Name:		irssi-xmpp
Version:	0.54
Release:	%mkrel 6
Summary:	An irssi Module to Connect to the Jabber Network
Group:		Networking/IRC
License:	GPLv2
URL:		https://github.com/cdidier/irssi-xmpp
Source:		https://github.com/cdidier/irssi-xmpp/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		irssi-xmpp-0.53-mga-honor-cflags.patch
# From gentoo
Patch1:		irssi-xmpp-0.54-irssi.patch
BuildRequires:	pkgconfig(loudmouth-1.0)
BuildRequires:	irssi-devel >= 0.8.13
Requires:	irssi >= 0.8.13

%description
irssi-xmpp is a irssi plugin to connect to the jabber network.

%prep
%autosetup -p1

%build

%make_build RH_FLAGS="%{optflags}"

%install
export PREFIX=%{_prefix} IRSSI_LIB=%{_libdir}/irssi IRSSI_DOC=%{_defaultdocdir}

%make_install

%files
%doc NEWS README.md docs/*
%license COPYING
%{_libdir}/irssi/modules/libfe_xmpp.so
%{_libdir}/irssi/modules/libxmpp_core.so
%{_libdir}/irssi/modules/libtext_xmpp.so
%{_datadir}/irssi/help/presence
%{_datadir}/irssi/help/roster
%{_datadir}/irssi/help/xmppconnect
%{_datadir}/irssi/help/xmppserver
