Name:		iw
Summary:	Configuration utility for wireless devices
Version:	6.9
Release:	%mkrel 1
License:	BSD
Group:		System/Base
URL:		https://wireless.wiki.kernel.org/en/users/documentation/iw
Source0:	https://www.kernel.org/pub/software/network/iw/iw-%{version}.tar.xz

BuildRequires:	pkgconfig(libnl-3.0)

%description
iw is a new nl80211 based CLI configuration utility for wireless devices.
Currently you can only use this utility to configure devices which use a
mac80211 driver as these are the new drivers being written.

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"
%make_build CC=%{__cc}

%install
%make_install

%files
%doc COPYING README
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8.*
