%define name iwlwifi-6030-ucode
%define tarname iwlwifi-6000g2b-ucode
%define version 18.168.6.1
%define release %mkrel 1

Summary: Intel PRO/Wireless 6030AGN microcode
Name:	 %{name}
Version: %{version}
Release: %{release}
Source0: http://www.intellinuxwireless.org/iwlwifi/downloads/%{tarname}-%{version}.tgz
Source1: http://www.intellinuxwireless.org/iwlwifi/downloads/iwlwifi-6000g2b-ucode-17.168.5.2.tgz
License: Proprietary
Group:	 System/Kernel and hardware
Url:	 http://intellinuxwireless.org/
BuildArch: noarch

%description
The file iwlwifi-6000g2b-*.ucode provided in this package is required to be
present on your system in order for the Intel PRO/Wireless 6030AGN Network
Connection Adapter driver for Linux (iwlagn) to be able to operate on
your system.

%prep
%setup -q -n %{tarname}-%{version} -a 1

# provide old firmware with ucode_api=5 for compatibility with older kernels
cp iwlwifi-6000g2b-ucode-17.168.5.2/iwlwifi-6000g2b-5.ucode .
cp iwlwifi-6000g2b-ucode-17.168.5.2/README.iwlwifi-6000g2b-ucode \
README.iwlwifi-6000g2b-ucode-5
mv README.iwlwifi-6000g2b-ucode README.iwlwifi-6000g2b-ucode-6
# Fix for https://bugs.mageia.org/show_bug.cgi?id=3055
chmod 644 LICENSE.*
chmod 644 README.*

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware
install -m644 *.ucode %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%doc LICENSE.* README.*
/lib/firmware/*.ucode


