%define name iwlwifi-6050-ucode
%define version 41.28.5.1
%define release %mkrel 4

Summary: Intel PRO/Wireless 6050AGN microcode
Name:	 %{name}
Version: %{version}
Release: %{release}
Source0: http://www.intellinuxwireless.org/iwlwifi/downloads/%{name}-%{version}.tgz
License: Proprietary
Group:	 System/Kernel and hardware
Url:	 http://intellinuxwireless.org/
BuildArch: noarch

%description
The file iwlwifi-6050-*.ucode provided in this package is required to be
present on your system in order for the Intel PRO/Wireless 6050AGN Network
Connection Adapter driver for Linux (iwlagn) to be able to operate on
your system.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware
install -m644 *.ucode %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%doc LICENSE.* README.*
/lib/firmware/*.ucode
