%global snapshot e000f355b658fdac0038358e9a67f86c9b498c7b
%global YYYYmmdd 20120627
%global shorttag %(cut -c 1-7 <<<%{snapshot})
%global checkout %{YYYYmmdd}git%{shorttag}

Name:           java-deptools
Version:        0
Release:        %mkrel 0.14.%{checkout}.6
Summary:        Java RPM dependency tools
Group:          Development/Java
BuildArch:      noarch

License:        ASL 2.0
URL:            https://git.fedorahosted.org/git/?p=java-deptools.git
Source0:        https://git.fedorahosted.org/git/?p=java-deptools.git;a=snapshot;h=%{snapshot};sf=tbz2;foo=/%{name}-%{shorttag}.tar.bz2

BuildRequires:  maven-local
BuildRequires:  apache-commons-cli
BuildRequires:  apache-commons-compress
BuildRequires:  apache-commons-lang
BuildRequires:  bcel
BuildRequires:  xz-java

%description
This package provides tools for tracking dependencies
between Java packages in RPM-based distributions.

%package javadoc
Summary:        API documentation for %{name}
Group:          Documentation

%description javadoc
This package contains %{summary}.

%prep
%setup -q -n %{name}-%{shorttag}

%build
%mvn_file : %{name}
%mvn_build

%install
%mvn_install

%{jpackage_script                                                \
\${JAVA_DEPTOOLS_DATABASE:+-z="\${JAVA_DEPTOOLS_DATABASE}"}      \
\-ea                                                             \
org.fedoraproject.javadeptools.Main                              \
java-deptools:commons-cli:commons-compress:commons-lang:bcel:xz-java  \
java-deptools                                                    \
true                                                             \
}

%files -f .mfiles
%doc LICENSE NOTICE
%{_bindir}/%{name}

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

