%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          jboss-annotations-1.2-api
Version:       1.0.2
Release:       %mkrel 4
Group:         Development/Java
Summary:       Common Annotations 1.2 API
License:       CDDL or GPLv2 with exceptions
URL:           https://github.com/jboss/jboss-annotations-api_spec
Source0:       https://github.com/jboss/jboss-annotations-api_spec/archive/jboss-annotations-api_1.2_spec-%{namedversion}.tar.gz
Source1:       cddl.txt

BuildRequires: maven-local
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)

BuildArch:     noarch

%description
This package contains Common Annotations 1.2 API.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc	
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-annotations-api_spec-jboss-annotations-api_1.2_spec-%{namedversion}

cp %{SOURCE1} .

%pom_remove_plugin :maven-source-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README
%license cddl.txt LICENSE

%files javadoc -f .mfiles-javadoc
%license cddl.txt LICENSE

