Name:           jboss-annotations-1.3-api
Version:        1.0.1
Release:        %mkrel 3
Group:		Development/Java
Summary:        Common Annotations 1.3 API
License:        CDDL or GPLv2 with exceptions

%global upstream_project    jboss-annotations-api_spec
%global upstream_name       jboss-annotations-api_1.3_spec
%global upstream_version    %{version}.Final
%global upstream_archive    %{upstream_name}-%{upstream_version}

URL:            https://github.com/jboss/jboss-annotations-api_spec
Source0:        %{url}/archive/%{upstream_archive}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.jboss:jboss-parent:pom:)

%description
JSR 250: Common Annotations for the Java Platform.


%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{upstream_project}-%{upstream_archive}

# remove unnecessary maven plugins
%pom_remove_plugin :maven-source-plugin


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE


