%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          jboss-common-beans
Version:       2.0.0
Release:       %mkrel 5
Group:         Development/Java
Summary:       JBoss Common Beans
License:       LGPLv2 and ASL 2.0
URL:           https://www.jboss.org
Source0:       https://github.com/jboss/jboss-common-beans/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires: mvn(org.codehaus.mojo:buildnumber-maven-plugin)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)

BuildArch:     noarch

%description
JBoss Property Editors library. Contains set of Property Editors for commonly
used java types, as well as alternative version of Property Editors provided by
JDK. It also contains simple utility classes which ease tasks related to
property edition.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

# Build fails
%pom_remove_plugin :maven-failsafe-plugin
%pom_remove_plugin :maven-checkstyle-plugin

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

