%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:           jboss-jacc-1.4-api
Version:        1.0.2
Release:        %mkrel 16
Group:          Development/Java
Summary:        JBoss JACC 1.4 API
License:        CDDL or GPLv2 with exceptions
URL:            https://www.jboss.org

# git clone git://github.com/jboss/jboss-jacc-api_spec.git jboss-jacc-1.4-api
# cd jboss-jacc-1.4-api/ && git archive --format=tar --prefix=jboss-jacc-1.4-api/ jboss-jacc-api_1.4_spec-1.0.2.Final | xz > jboss-jacc-1.4-api-1.0.2.Final.tar.xz

Source0:        %{name}-%{namedversion}.tar.xz

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.jboss:jboss-parent:pom:)
BuildRequires:  mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec)

BuildArch:      noarch

%description
JBoss Java Authorization Contract for Containers 1.4 API.

%package javadoc
Summary:        Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}

%mvn_file : %{name}/%{name} %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README LICENSE

%files javadoc -f .mfiles-javadoc
%doc LICENSE README

