%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-jaspi-1.1-api
Version:          1.0.2
Release:          %mkrel 5
Group:            Development/Java
Summary:          JBoss Java Authentication SPI for Containers 1.1 API
License:          CDDL or GPLv2 with exceptions
URL:              https://github.com/jboss/jboss-jaspi-api_spec
Source0:          https://github.com/jboss/jboss-jaspi-api_spec/archive/jboss-jaspi-api_1.1_spec-%{namedversion}.tar.gz

BuildRequires:    maven-local
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)

BuildArch:	  noarch

%description
The Java Authentication SPI for Containers 1.1 API classes

%package javadoc
Summary:	Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-jaspi-api_spec-jboss-jaspi-api_1.1_spec-%{namedversion}

# Unneeded plugin
%pom_remove_plugin :maven-source-plugin

sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," LICENSE

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc README
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

