%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          jboss-jaxrs-1.1-api
Version:       1.0.1
Release:       %mkrel 18
Group:         Development/Java
Summary:       Java API for RESTful Web Services (JAX-RS) 1.1
License:       CDDL
URL:           https://www.jboss.org

# git clone git://github.com/jboss/jboss-jaxrs-api_spec.git
# cd jboss-jaxrs-api_spec/ && git archive --format=tar --prefix=jboss-jaxrs-1.1-api/ jboss-jaxrs-api_1.1_spec-1.0.1.Final | xz > jboss-jaxrs-1.1-api-1.0.1.Final.tar.xz
Source0:       %{name}-%{namedversion}.tar.xz

BuildRequires: maven-local
BuildRequires: mvn(org.jboss:jboss-parent:pom:)

BuildArch:     noarch

%description
JSR 311: The Javai API for RESTful Web Services (JAX-RS) 1.1

%package javadoc
Summary:          Javadoc for %{name}


%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

