Name:           jboss-servlet-4.0-api
Version:        1.0.0
Release:        %mkrel 3
Group:		Development/Java
Summary:        JBoss Servlet 4.0 API Spec
License:        (CDDL or GPLv2 with exceptions) and ASL 2.0

%global upstream_project    jboss-servlet-api_spec
%global upstream_name       jboss-servlet-api_4.0_spec
%global upstream_version    %{version}.Final
%global upstream_archive    %{upstream_name}-%{upstream_version}

URL:            https://github.com/jboss/jboss-servlet-api_spec
Source0:        %{url}/archive/%{upstream_archive}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.jboss:jboss-parent:pom:)

%description
JBoss Servlet 4.0 API Spec.


%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{upstream_project}-%{upstream_archive}

# remove unnecessary maven plugins
%pom_remove_plugin :maven-source-plugin


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%license LICENSE
%doc README

%files javadoc -f .mfiles-javadoc
%license LICENSE


