%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-websocket-1.0-api
Version:          1.0.0
Release:          %mkrel 8
Group:            Development/Java
Summary:          JSR-356: Java WebSocket 1.0 API
License:          CDDL or GPLv2 with exceptions
Url:              https://github.com/jboss/jboss-websocket-api_spec
Source0:          https://github.com/jboss/jboss-websocket-api_spec/archive/jboss-websocket-api_1.0_spec-%{namedversion}.tar.gz

BuildRequires:    jboss-parent
BuildRequires:    maven-local
BuildRequires:    maven-plugin-bundle
BuildRequires:    felix-osgi-foundation
BuildRequires:    felix-parent

BuildArch:        noarch

%description
The JSR-356: Java WebSocket 1.0 API classes.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-websocket-api_spec-jboss-websocket-api_1.0_spec-%{namedversion}

%build
%mvn_alias "org.jboss.spec.javax.websocket:jboss-websocket-api_1.0_spec" "javax.websocket:javax.websocket-api" "javax.websocket:javax.websocket-client-api"
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE README

%files javadoc -f .mfiles-javadoc
%doc LICENSE README

