%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jbossws-parent
Version:          1.3.0
Release:          %mkrel 4
Group:            Development/Java
Summary:          JBossWS Parent
License:          LGPLv2+
URL:              https://www.jboss.org/jbossws
Source0:          https://github.com/jbossws/jbossws-parent/archive/%{name}-%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-source-plugin)

%description
This package contains the JBossWS Parent.

%prep
%setup -q -n %{name}-%{name}-%{namedversion}

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles


