Name:           jbossxb
Version:        2.0.3
Release:        %mkrel 10
Summary:        JBoss XML Binding

Group:          Development/Java

License:        LGPLv2+
URL:            https://www.jboss.org

# svn export https://anonsvn.jboss.org/repos/common/jbossxb/tags/2.0.3.GA/ jbossxb-2.0.3
# tar cJf jbossxb-2.0.3.tar.xz jbossxb-2.0.3/
Source0:        %{name}-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.wutka:dtdparser)
BuildRequires:  mvn(org.jboss:jboss-common-core)
BuildRequires:  mvn(org.jboss:jboss-parent:pom:)
BuildRequires:  mvn(org.jboss:jboss-reflect)
BuildRequires:  mvn(org.jboss.logging:jboss-logging)
BuildRequires:  mvn(org.jboss.spec.javax.xml.bind:jboss-jaxb-api_2.2_spec)
BuildRequires:  mvn(stax:stax)
# Required by stax-ri but not resolved
BuildRequires:  mvn(stax:stax-api)
BuildRequires:  mvn(xerces:xercesImpl)
BuildRequires:  mvn(xml-apis:xml-apis)

%description
JBoss XML Binding.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

# can't compile stuff in the test dir...missing deps: jboss-test
rm -rf src/test

find -type f -name *.jar -delete
find -type f -name *.class -delete

%pom_change_dep org.jboss.logging:jboss-logging-spi org.jboss.logging:jboss-logging
%pom_add_dep stax:stax
%pom_add_dep org.jboss.spec.javax.xml.bind:jboss-jaxb-api_2.2_spec
%pom_remove_dep sun-jaxb:jaxb-api
%pom_remove_dep javax.activation:activation
%pom_remove_dep org.jboss.test:jboss-test

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%files javadoc -f .mfiles-javadoc

