Name:           jetty-toolchain
Version:        1.4
Release:        %mkrel 15
Group:          Development/Java
Summary:        Jetty Toolchain main POM file

License:        ASL 2.0 or EPL
URL:            https://www.eclipse.org/jetty/
Source0:        https://git.eclipse.org/c/jetty/org.eclipse.jetty.toolchain.git/snapshot/%{name}-%{version}.tar.bz2
# rpmlint config file (fedpkg lint will use this)
Source1:        .rpmlint
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  jetty-parent
BuildRequires:  maven-release-plugin

%description
Jetty Toolchain main POM file

%prep
%setup -q
cp -p jetty-distribution-remote-resources/src/main/resources/* .

%build
pushd %{name}
%mvn_build

%install
pushd %{name}
%mvn_install

%files -f %{name}/.mfiles
%doc LICENSE-APACHE-2.0.txt LICENSE-ECLIPSE-1.0.html notice.html
