Name:           jgraphx
Version:        3.9.3
Release:        %mkrel 5
Epoch:          1
Summary:        Java Graph Drawing Component

Group:          Development/Java
License:        BSD
URL:            https://www.jgraph.com/jgraph.html
Source0:        https://github.com/jgraph/jgraphx/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        bnd.properties

BuildRequires:  javapackages-local
BuildRequires:  ant
BuildRequires:  aqute-bnd

BuildArch:      noarch

%description
JGraphX is the a powerful, easy-to-use and feature-rich graph drawing
component for Java. It is a rewrite of JGraph, also known as JGraph 6.

%package javadoc
Summary:        API Documentation for %{name}
Group:          Documentation
Requires:       %{name} = %epoch:%{version}-%{release}

%description javadoc
JavaDoc documentation for %{name}.

%prep
%setup -q
find -name '*.jar' -delete
rm -rf docs/api

%build
ant build maven-jar

#Convert to OSGi bundle
pushd lib
  bnd wrap --output %{name}.bar --properties %{SOURCE1} \
           --version %{version} %{name}.jar

mv %{name}.bar %{name}.jar
popd

%install
%mvn_artifact pom.xml lib/%{name}.jar
%mvn_install -J docs/api/

%files -f .mfiles
%dir %{_javadir}/%{name}
%license license.txt

%files javadoc -f .mfiles-javadoc
%license license.txt
