Summary: 	Network traffic tracker
Name: 		jnettop
Version:	0.13.0
Release:	%mkrel 20
Group: 		Monitoring
License:	GPLv2+
Url:		http://jnettop.kubs.info/
Source:		http://jnettop.kubs.info/dist/%{name}-%{version}.tar.bz2
Patch0:		jnettop-respect-cflags.patch
Patch1:		jnettop-0.13.0-automake-1.13.patch
Patch2:		jnettop-0.13.0-literalformat.patch
Patch3:		jnettop-0.13.0-clang16.patch
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libpcap)
BuildRequires:	pkgconfig(glib-2.0)

%description
Nettop is visualising active network traffic as top does with processes.
It displays active network streams sorted by bandwidth used. This is
often usable when you want to get a fast grip of what is going on on your
outbound router.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog NEWS README .jnettop
%license COPYING
%{_bindir}/jnettop
%{_datadir}/%{name}
%_mandir/man8/jnettop.*
