%global	fontname jomolhari
%global fontconf 65-0-%{fontname}.conf

Name:		%{fontname}-fonts
Version:	0.003
Release:	%mkrel 19
Summary:	Jomolhari a Bhutanese style font for Tibetan and Dzongkha
Group:		System/Fonts/True type
License:	OFL
URL:		https://sites.google.com/site/chrisfynn2/home/fonts/jomolhari
Source0:        https://sites.google.com/site/chrisfynn2/jomolhari-alpha003c.zip
Source1:        %{name}-fontconfig.conf 

BuildArch:	noarch
BuildRequires:	fontpackages-devel
Requires:	fontpackages-filesystem

%description
Jomolhari is an TrueType OpenType Bhutanese style font for Dzongkha and
Tibetan text. It is based on Bhutanese manuscript examples, supports the
Unicode and the Chinese encoding for Tibetan.
The font supports the standard combinations used in most texts.

%prep
%setup -q -c

%build
# Empty build section

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

for i in FONTLOG.txt OFL-FAQ.txt OFL.txt
do
	tr -d '\r' < $i > ${i}.tmp
	mv -f ${i}.tmp $i
done

%_font_pkg *.ttf
%doc FONTLOG.txt OFL-FAQ.txt OFL.txt
