Name:		jp2a
Version:	1.2.0
Release:	%mkrel 1
Summary:	Converts JPG and PNG images to ASCII
Group:		Graphics/Editors and Converters
License:	GPLv2+
URL:		https://csl.name/%{name}
Source0:	https://github.com/Talinx/jp2a/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	autoconf
BuildRequires:	autoconf-archive
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	gcc
BuildRequires:	ncurses-devel
BuildRequires:	texlive
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)

%description
jp2a is a simple JPEG and PNG to ASCII converter. jp2a is very flexible.
It can use ANSI colors and html in output.
jp2a can also download and convert images from Internet via command line.

%prep
%autosetup

%build
autoreconf -vi
%configure --with-jpeg-prefix=%{_prefix}
%make_build

%install
%make_install

%files
%doc AUTHORS BUGS ChangeLog NEWS README
%license COPYING LICENSES
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/%{name}
%{_mandir}/man1/%{name}.1.*
