Name:		jpegoptim
Version:	1.5.5
Release:	%mkrel 1
Summary:	Utility to optimize JPEG image files
License:	GPLv2+
Group:		Graphics/Utilities
URL:		https://www.kokkonen.net/tjko/projects.html
Source0:	https://github.com/tjko/jpegoptim/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(libjpeg)

%description
Provides lossless optimization (based on optimizing the Huffman tables)
and "lossy" optimization based on setting the maximum quality factor.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall

%files
%doc COPYRIGHT README
%{_bindir}/jpegoptim
%{_mandir}/man1/jpegoptim.1*
