Name:           jrosetta
Version:        1.0.4
Release:        %mkrel 14
Summary:        A common base to build a graphical console

Group:          Development/Java
License:        GPLv2
URL:            http://dev.artenum.com/projects/JRosetta
Source0:        https://maven.artenum.com/content/groups/public/com/artenum/%{name}/%{version}/%{name}-%{version}-sources.jar

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)

Requires:       javapackages-tools
Requires:       java

%description
JRosetta provides a common base for graphical component that could be used
to build a graphical console in Swing with the latest requirements, such as
command history, completion and so on for instance for scripting language
or command line.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
# remove jar format related directory
rm -fr ../META-INF
#wrong-file-end-of-line-encoding
cp -p CHANGE.txt CHANGE.txt.CRLF
sed -i -e 's/\r//' CHANGE.txt
touch -r CHANGE.txt.CRLF CHANGE.txt
rm CHANGE.txt.CRLF
# remove deployement dependency
%pom_xpath_remove "pom:build/pom:extensions" pom.xml

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt COPYRIGHT.txt CHANGE.txt

%files javadoc -f .mfiles-javadoc
