Name:       js-jquery-mousewheel
Version:    3.1.13
Release:    %mkrel 2
BuildArch:  noarch
Group:      Development/Other

License:    MIT
Summary:    A jQuery plugin that adds cross-browser mouse wheel support
URL:        https://github.com/jquery/jquery-mousewheel
Source0:    %{url}/archive/%{version}.tar.gz

BuildRequires: uglify-js
BuildRequires: web-assets-devel

Requires:      js-jquery >= 1.2.2
Requires:      web-assets-filesystem


%description
A jQuery plugin that adds cross-browser mouse wheel support with delta
normalization.


%prep
%autosetup -n jquery-mousewheel-%{version}

# We must minify the JS ourselves.
find . -name "*.min.js" -delete

# https://github.com/jquery/jquery-mousewheel/pull/176
chmod a-x jquery.mousewheel.js


%build
uglifyjs -c -m --comments some jquery.mousewheel.js > jquery.mousewheel.min.js


%install
install -d -m 0755 %{buildroot}/%{_jsdir}

cp -a jquery.mousewheel*.js %{buildroot}/%{_jsdir}


%files
%license LICENSE.txt
%doc ChangeLog.md
%doc README.md
%{_jsdir}/jquery.mousewheel*.js
