%define major		1.3.3
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		jthread
Version:	1.3.3
Release:	%mkrel 4
Summary:	Make use of threads easy on different platforms
License:	MIT
Group:		System/Libraries
Url:		https://research.edm.uhasselt.be/jori/page/CS/Jthread.html
Source0:	https://research.edm.uhasselt.be/jori/jthread/%{name}-%{version}.tar.bz2

BuildRequires:	cmake

%description
The JThread package provides some classes to make use of threads easy
on different platforms. The classes are actually rather simple
wrappers around existing thread implementations.

%package -n	%{libname}
Summary:	Make use of threads easy on different platforms
Group:		System/Libraries

%description -n %{libname}
The JThread package provides some classes to make use of threads easy
on different platforms. The classes are actually rather simple
wrappers around existing thread implementations.

%package -n	%{develname}
Summary:	Make use of threads easy on different platforms
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
The JThread package provides some classes to make use of threads easy
on different platforms. The classes are actually rather simple
wrappers around existing thread implementations.

%prep
%setup -q

%build
export CXXFLAGS="%{optflags} -fno-stack-protector"
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog
%{_includedir}/%{name}/
%{_libdir}/cmake/JThread/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}.a
