%define pypi_name jupyter_console

Name:           jupyter-console
Version:        6.6.3
Release:        %mkrel 2
Group:          Development/Python
Summary:        Jupyter terminal console (tools)

License:        BSD
URL:            https://jupyter.org/
Source0:        https://files.pythonhosted.org/packages/source/j/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Patch0:         jupyter-console-6.4.0-relax-dependencies.patch
BuildArch:      noarch
BuildRequires:  python3-devel
Requires:       python3-%{name} = %{version}-%{release}

%description
An IPython-like terminal frontend for Jupyter kernels in any language.

This package contains the jupyter-console tool.

%package -n     python3-%{name}
Summary:        Jupyter terminal console APIs (Python 3)
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
An IPython-like terminal frontend for Jupyter kernels in any language.
Provide the "jupyter console" entry point.

This package installs the library for Python 3.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jupyter_console

%files
%{_bindir}/jupyter-console

%files -n python3-%{name} -f %{pyproject_files}
%license LICENSE
