%global pypi_name jupyterlab-widgets
%global srcname jupyterlab_widgets

Name:           jupyter-jupyterlab-widgets
Version:        3.0.13
Release:        %mkrel 1
Summary:        Jupyter Widgets JupyterLab Extension
License:        BSD-3-Clause
Group:          Development/Python
URL:            https://github.com/jupyter-widgets/ipywidgets
Source:         https://files.pythonhosted.org/packages/source/j/jupyterlab-widgets/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python-rpm-macros

%description
A JupyterLab 3.0 extension for Jupyter/IPython widgets.

%package -n     python3-%{pypi_name}
Summary:        Jupyter Widgets JupyterLab Extension
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A JupyterLab 3.0 extension for Jupyter/IPython widgets.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_datadir}/jupyter/labextensions/@jupyter-widgets/
