Name:		kalibrate-rtl
Version:	69
Release:	%mkrel 3
Summary:	Calibrate rtl-sdr dongles against local GSM transmitters
Group:		Communications/Radio
License:	GPLv1
URL:		https://github.com/steve-m/kalibrate-rtl

Source0:	kalibrate-rtl-%{version}.tar.gz
Source1:	mk-tar

BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(librtlsdr)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	automake
BuildRequires:	libtool

# To provide udev rules
Requires:	rtl-sdr

%description
Kalibrate, or kal, can scan for GSM base stations in a given frequency band
and can use those GSM base stations to calculate the local oscillator
frequency offset of an rtl-sdr dongle.

%prep
%setup -q -n %{name}

%build
./bootstrap
%configure --disable-dependency-tracking
%make_build

%install
%make_install

%files
%doc COPYING NEWS README.md
%{_bindir}/kal
