#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%global __python %{__python3}

%define rel 1

Summary:        KDE Frameworks 6 Tier 4 module for API documentation generation
Name:           kapidox
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

## downstream patches
Patch1:         kapidox-pydeps.patch
Patch2:         kapidox-install.patch

BuildArch:      noarch

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  pkgconfig(python3)

BuildRequires:  python3-setuptools

%description
KDE Frameworks 6 Tier 4 module for API documentation generation.

%files
%license LICENSES/*.txt
%_kf6_bindir/*
%{python3_sitelib}/kapidox
%{python3_sitelib}/kapidox-%{version}-py%{python3_version}.egg-info

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%py3_build

%install
%py3_install
