Name:		kapow
Version:	1.6.4
Release:	%mkrel 1
Summary:	Punch clock
Group:		Office/Organizer
License:	GPLv3+
URL:		https://gottcode.org/kapow/
Source:		https://gottcode.org/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake

%description
A punch clock program designed to easily keep track of your hours,
whether you're working on one project or many. Simply clock in and
out with the Start/Stop button. If you make a mistake in your hours,
you can go back and edit any of the entries by double-clicking on
the session in question. Kapow also allows you to easily keep track
of the hours since you lasted billed a client, by providing a
helpful "Billed" check box--the totals will reflect your work
after the last billed session.

%prep
%setup -q

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1.*
