#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kcharselect
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Select special characters from any font
Group:          Text tools
License:        GPLv2 and LGPLv2
URL:            https://apps.kde.org/kcharselect/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Bookmarks)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6DocTools)

Recommends:     kcharselect-handbook


%description
KCharSelect is a tool to select special characters from all installed
fonts and copy them into the clipboard.

%files -f %name.lang
%_kf6_bindir/kcharselect
%_kf6_applicationsdir/*.desktop
%_kf6_metainfodir/org.kde.kcharselect.appdata.xml

#------------------------------------------------------------------------------

%package -n kcharselect-handbook
Summary:        kcharselect Handbook
Group:          Documentation
BuildArch:      noarch

%description -n kcharselect-handbook
This package provides kcharselect Handbook.

%files -n kcharselect-handbook
%doc COPYING
%_kf6_docdir/HTML/*/kcharselect/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
