#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kcolorchooser
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        KDE Color Chooser
Group:          Graphics/Utilities
License:        GPLv2
URL:            https://apps.kde.org/kcolorchooser/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz
# Branch Patch (100-200)

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6XmlGui)


%description
KColorChooser is a simple application to select the color from the screen or
from a palette.
Features :
   - Select colors from any location on the screen.
   - Select colors from a range of standard palettes available.
   - Color values shown in Hue-Saturation-Value (HSV), Red-Green-Blue (RGB) and
     HTML formats.

%files -f %name.lang
%_kf6_bindir/kcolorchooser
%_kf6_applicationsdir/org.kde.%{name}.desktop
%_kf6_iconsdir/*/*/*/kcolorchooser*
%_kf6_metainfodir/org.kde.kcolorchooser.appdata.xml

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
