#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 1 addon with various classes on top of QtDBus
Name:           kdbusaddons
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Help)

%description
KDE Frameworks 6 Tier 1 addon with various classes on top of QtDBus.

%files -f kdbusaddons6_qt.lang
%_kf6_categoriesdir/kdbusaddons.*categories
%_kf6_bindir/kquitapp6

#--------------------------------------------------------------------

%define kf6dbusaddons_major 6
%define libkf6dbusaddons %mklibname kf6dbusaddons %{kf6dbusaddons_major}

%package -n %libkf6dbusaddons
Summary:        KDE Frameworks 6 Tier 1 addon with various classes on top of QtDBus
Group:          System/Libraries

Requires:       %name >= %{version}-%{release}

%description -n %libkf6dbusaddons
KDE Frameworks 6 Tier 1 addon with various classes on top of QtDBus.

%files -n %libkf6dbusaddons
%_kf6_libdir/libKF6DBusAddons.so.%{kf6dbusaddons_major}{,.*}
%_kf6_libdir/libKF6DBusAddons.so.%{version}

#--------------------------------------------------------------------

%define kf6dbusaddons_devel %mklibname kf6dbusaddons -d

%package -n %kf6dbusaddons_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6dbusaddons = %version-%release
Requires:       %name = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

Requires:       cmake(Qt6DBus)

%description -n %kf6dbusaddons_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6dbusaddons_devel
%_kf6_includedir/KDBusAddons/
%_kf6_libdir/cmake/KF6DBusAddons/
%_kf6_libdir/libKF6DBusAddons.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang_kf6 %{name}6_qt

