Name:           kde-pdf-servicemenu
Version:        2.3
Release:        %mkrel 2
License:        GPLv3
Summary:        Various KDE service menus actions for PDF files
Group:          Graphical desktop/KDE
URL:            https://www.pling.com/p/1227799/
Source0:        kde-service-menu-pdf_%{version}_all.tar.gz
Patch0:         kde-pdf-servicemenu-fix-mga#33564.patch
BuildArch:      noarch

Requires:       plasma-workspace
Requires:       pdf2djvu
Requires:       ghostscript
Requires:       poppler

%description
Here are various KDE service menus for PDF documents:

- Print menu
- DjVu menu: Convert PDF document to DjVu file.
- Ghostscript menu:
    Optimize PDF document
    Convert PDF document to png, jpeg, fax images.
- Convert to PostScript
- pdfinfo menu
- poppler-utils service menu:
    Convert a PDF document to HTML page
    Convert a PDF document to one or more images
    Extract images from PDF documents
    Convert PDF document to text


%package -n kde-pdfnup-servicemenu
Summary:        Convert PDF to "n-up" PDF KDE service menu
Group:          Graphical desktop/KDE

Requires:       plasma-workspace
Requires:       texlive-texmf

%description -n kde-pdfnup-servicemenu
KDE service menus for PDF documents:
- pdfjam service menu:
    2 pages per sheet
    4 pages per sheet
    6 pages per sheet
    8 pages per sheet
    Custom pages per sheet
   (It's possible to choose if you want framed or no-framed)

%prep
%autosetup -p1 -n kde-service-menu-pdf_%{version}_all

%build
#Nothing to do

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/kio/servicemenus
install -m 755 bin/* %{buildroot}%{_bindir}
install -m 644 ServiceMenus/*.desktop %{buildroot}%{_datadir}/kio/servicemenus

%files
%license doc/copyright
%doc doc/changelog doc/README
%exclude %{_bindir}/pdfbook-kdialog
%exclude %{_datadir}/kio/servicemenus/pdf-repaginate.desktop
%{_bindir}/*
%{_datadir}/kio/servicemenus/*

%files -n kde-pdfnup-servicemenu
%license doc/copyright
%doc doc/booklet_example/*.pdf doc/changelog doc/README
%{_bindir}/pdfbook-kdialog
%{_datadir}/kio/servicemenus/pdf-repaginate.desktop
