#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kdeedu-data
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Shared icons, artwork and data files for educational applications
License:        GPLv2+
Group:          Graphical desktop/KDE
Url:            https://apps.kde.org/categories/education/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  kf6-rpm-macros
BuildRequires:  cmake(Qt6Core)

%description
Shared icons, artwork and data files for educational applications.

%files
%{_kf6_datadir}/apps/kvtml/
%{_kf6_iconsdir}/*/*/*/*

#----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
