#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kdesdk-kio
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        K Desktop Environment - Software Development Kit
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://www.kde.org/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)

Provides:       kdesdk-kioslaves = %{epoch}:%{version}-%{release}


%description
Software Development Kit for the K Desktop Environment.

%files -f %name.lang
%_kf6_plugindir/kio/perldoc.so
%_kf6_datadir/kio_perldoc

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name --all-name
