#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define tarball_version %{version}

%define rel 1

Summary:        KDevelop-PG-Qt
Name:           kdevelop-pg-qt
Version:        2.4.0
Release:        %mkrel %{rel}
License:        GPLv2+
Group:          Development/KDE and Qt
Url:            https://techbase.kde.org/Development/KDevelop-PG-Qt_Introduction
Source0:        https://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{tarball_version}.tar.xz
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  kf6-rpm-macros
BuildRequires:  cmake(Qt6Core) >= 6.5.0
BuildRequires:  cmake(Qt6Test) >= 6.5.0

%description
KDevelop-PG-Qt is a parser generator written in readable source-code and
generating readable source-code. Its syntax was inspired by AntLR. It
implements the visitor-pattern and uses the Qt library. That is why it
is ideal to be used in Qt-/KDE-based applications like KDevelop.

%files
%doc AUTHORS README
%{_kf6_bindir}/kdev-pg-qt

#--------------------------------------------------------------------

%package        devel
Summary:        KDevelop-PG-Qt development files
Group:          Development/KDE and Qt
Requires:       %name = %version

%description    devel
This package contains development files of %name.

%files devel
%{_includedir}/KDevelopPGQt/
%{_kf6_libdir}/cmake/KDevelop-PG-Qt
%{_kf6_libdir}/cmake/KDevelopPGQt/

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
