#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%global __python %{__python3}
%define framework kapidox

%define rel 2

Summary:        KDE Frameworks 5 Tier 4 module for API documentation generation
Name:           kf5-kapidox
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

## downstream patches
Patch1:         kapidox-5.75.0-pydeps.patch
Patch2:         kf5-kapidox-install.patch

BuildArch:      noarch

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

Conflicts:     %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 4 module for API documentation generation.

%files -f %{pyproject_files}
%license LICENSES/*.txt
%_kf5_bindir/*

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files kapidox
