#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kplotting

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 addon for plotting
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5UiPlugin)
BuildRequires:  pkgconfig(Qt5Widgets)

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 1 addon for plotting.

%files
%_qt5_plugindir/designer/kplotting5widgets.so

#--------------------------------------------------------------------

%define kf5plotting_major 5
%define libkf5plotting %mklibname kf5plotting %{kf5plotting_major}

%package -n %libkf5plotting
Summary:        KDE Frameworks 5 Tier 1 addon for plotting
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5plotting
KDE Frameworks 5 Tier 1 addon for plotting

%files -n %libkf5plotting
%_kf5_libdir/libKF5Plotting.so.%{kf5plotting_major}{,.*}

#--------------------------------------------------------------------

%define kf5plotting_devel %mklibname kf5plotting -d

%package -n %kf5plotting_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5plotting = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5plotting_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5plotting_devel
%_kf5_includedir/KPlotting/
%_kf5_libdir/cmake/KF5Plotting/
%_kf5_libdir/libKF5Plotting.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

