#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework qqc2-desktop-style

%define rel 1

Name:          kf5-%framework
Summary:       Qt Quick Controls 2: Desktop Style
Version: 5.116.1
Release:       %mkrel %{rel}
Group:         Graphical desktop/KDE
License:       GPLv2
URL:           https://kde.org
Source0:       https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires: kf5-rpm-macros

BuildRequires: cmake(Qt5Core)
BuildRequires: cmake(Qt5Quick)
BuildRequires: cmake(Qt5Gui)
BuildRequires: cmake(Qt5Widgets)
BuildRequires: cmake(Qt5QuickControls2)
BuildRequires: cmake(Qt5Xml)
BuildRequires: cmake(Qt5X11Extras)
BuildRequires: cmake(Qt5LinguistTools)

BuildRequires: cmake(KF5Kirigami2) >= %{url_ver}
BuildRequires: cmake(KF5Sonnet)

BuildRequires: cmake(KF5IconThemes) >= %{url_ver}
BuildRequires: cmake(KF5ConfigWidgets) >= %{url_ver}

Requires:      kirigami2
Requires:      sonnet

Conflicts:      %{framework} < 5.113.0


%description
Qt Quick Controls 2: Desktop Style.

%files -f qqc2desktopstyle5_qt.lang
%_qt5_plugindir/kf5/kirigami/org.kde.desktop.so
%_kf5_qmldir/QtQuick/Controls.2/org.kde.desktop
%_kf5_qmldir/org/kde/qqc2desktopstyle/private

#--------------------------------------------------------------------

%define kf5qqc2deskopstyle_devel %mklibname kf5qqc2deskopstyle -d

%package -n %kf5qqc2deskopstyle_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5qqc2deskopstyle_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5qqc2deskopstyle_devel
%_kf5_libdir/cmake/KF5QQC2DeskopStyle/
%_kf5_libdir/cmake/KF5QQC2DesktopStyle/

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang_kf5 qqc2desktopstyle5_qt
