%define rel 1

Name:           kf5-rpm-macros
Version: 5.116.0
Release:        %mkrel %{rel}
Summary:        Base install macros for KF 5
Group:          Development/KDE and Qt
License:        GPLv2
URL:            https://www.mageia.org
Source:         macros.kf5
BuildArch:      noarch
Obsoletes:      kf5-macros < 5.92.0-2
Provides:       kf5-macros = %{version}-%{release}
Requires:       cmake
Requires:       mageia-release
Requires:       extra-cmake-modules >= %version

# Needed to build HTML docs
Requires:       libxml2-utils
Requires:       docbook-dtds
Requires:       docbook-style-xsl

%description
Base install macros for KF 5.

%files
%{_rpmmacrodir}/macros.kf5

%install
install -d -m 755 %{buildroot}%{_rpmmacrodir}
install -p -m 644 %SOURCE0 %{buildroot}%{_rpmmacrodir}/macros.kf5

sed -e 's,VERSION,%{version},g' -i  %{buildroot}%{_rpmmacrodir}/macros.kf5
