#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 1 library for regional holiday information
Name:           kholidays
Epoch:          1
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6UiTools)
BuildRequires:  cmake(Qt6Designer)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6LinguistTools)


%description
KDE Frameworks 6 Tier 1 library for regional holiday information.

%files
%_kf6_categoriesdir/kholidays.*categories
%_kf6_qmldir/org/kde/kholidays
%_kf6_datadir/locale/*/LC_MESSAGES/*.qm

#--------------------------------------------------------------------

%define kf6holidays_major 6
%define libkf6holidays %mklibname kf6holidays %{kf6holidays_major}

%package -n %libkf6holidays
Summary:        KDE Frameworks 6 Tier 1 library for regional holiday information
Group:          System/Libraries
Requires:       %name >= %epoch:%version-%release

%description -n %libkf6holidays
KDE Frameworks 6 Tier 1 library for regional holiday information.

%files -n %libkf6holidays
%_kf6_libdir/libKF6Holidays.so.%{kf6holidays_major}
%_kf6_libdir/libKF6Holidays.so.%{version}

#--------------------------------------------------------------------

%define kf6holidays_devel %mklibname kf6holidays -d

%package -n %kf6holidays_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6holidays = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf6holidays_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6holidays_devel
%_kf6_includedir/KHolidays/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KF6Holidays/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

