Name:		kicad-templates
Summary:	KiCad Templates
Epoch:		1
Version:	9.0.0
Release:	%mkrel 1
License:	CC-BY-SA
Group:		Sciences/Computer science
Url:		https://www.kicad.org/
Source0:	https://gitlab.com/kicad/libraries/kicad-templates/-/archive/%{version}/kicad-templates-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	cmake
BuildRequires:	ninja
Requires:	kicad

%description
This package contains the official KiCad project and worksheet templates.

%prep
%autosetup -p1

%build
%cmake -G Ninja \
       -DCMAKE_BUILD_TYPE=Release
%cmake_build

%install
%cmake_install

%files
%license LICENSE*
%doc README*
%{_datadir}/kicad/template/
