#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kirigami-gallery
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Gallery application built using Kirigami
License:        LGPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  kirigami-addons

Requires:       kirigami
Requires:       kirigami-addons

%description
Example application which uses all features from kirigami,
including links to the sourcecode, tips on how to use the
components and links to the corresponding HIG pages and
code examples on cgit.

%files -f kirigamigallery.lang
%license LICENSE.LGPL-2
%{_kf6_bindir}/kirigami2gallery
%{_kf6_applicationsdir}/org.kde.kirigami2.gallery.desktop
%{_kf6_metainfodir}/org.kde.kirigami2.gallery.appdata.xml

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang kirigamigallery --with-qt
