#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 1 addon for plotting
Name:           kplotting
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6UiPlugin)
BuildRequires:  cmake(Qt6Widgets)

%description
KDE Frameworks 6 Tier 1 addon for plotting.

%files
%_qt6_plugindir/designer/kplotting6widgets.so

#--------------------------------------------------------------------

%define kf6plotting_major 6
%define libkf6plotting %mklibname kf6plotting %{kf6plotting_major}

%package -n %libkf6plotting
Summary:        KDE Frameworks 6 Tier 1 addon for plotting
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf6plotting
KDE Frameworks 6 Tier 1 addon for plotting

%files -n %libkf6plotting
%_kf6_libdir/libKF6Plotting.so.%{kf6plotting_major}{,.*}
%_kf6_libdir/libKF6Plotting.so.%{version}

#--------------------------------------------------------------------

%define kf6plotting_devel %mklibname kf6plotting -d

%package -n %kf6plotting_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6plotting = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6plotting_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6plotting_devel
%_kf6_includedir/KPlotting/
%_kf6_libdir/cmake/KF6Plotting/
%_kf6_libdir/libKF6Plotting.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

