#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kqtquickcharts
Summary:        QtQuick plugin to render beautiful and interactive charts
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        LGPLv2.1+
URL:            https://edu.kde.org/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# Branch Patch (100-200)

# Mageia Patch

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Quick)

%description
A QtQuick plugin to render beautiful and interactive charts.

%files
%doc AUTHORS COPYING
%_kf5_qmldir/org/kde/charts/

#------------------------------------------------------------------------------

%package devel
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains header files needed if you wish to build
applications based on %{name}.

%files devel
%_kf5_includedir/*_version.h
%_kf5_libdir/cmake/KQtQuickCharts/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
