# Git snapshot 00fc8b01cf4a9f3c52dc2191ce8572c1a870925c

Summary:	A powerful batch renamer for KDE
Name:		krename
Version:	5.0.60
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://apps.kde.org/krename/
Source0:	https://download.kde.org/stable/krename/%{version}/src/%{name}-%{version}.tar.xz
Patch0:		krename-5.0.2-mga-desktop-file.patch
# Upstream patches

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6Completion)
BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Crash)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6IconThemes)
BuildRequires:	cmake(KF6ItemViews)
BuildRequires:	cmake(KF6JobWidgets)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6Service)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6Archive)

BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(libpodofo)

%description
KRename is a powerful batch renamer for KDE. It allows you to easily
rename hundreds or even more files in one go. The filenames can be
created by parts of the original filename, numbering the files or
accessing hundreds of informations about the file, like creation
date or Exif information of an image.

%files -f %{name}.lang
%doc AUTHORS README.md
%{_kf6_bindir}/%{name}
%{_kf6_datadir}/kio/servicemenus/*.desktop
%{_kf6_applicationsdir}/*.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_iconsdir}/hicolor/*/apps/*.png

#-------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DQT_MAJOR_VERSION=6
%cmake_build

%install
%cmake_install

%find_lang %{name}
