#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 1 addon with various classes on top of QtWidgets
Name:           kwidgetsaddons
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6UiTools)

%description
KDE Frameworks 6 Tier 1 addon with various classes on top of QtWidgets.

%files -f %{name}6_qt.lang
%_kf6_categoriesdir/kwidgetsaddons.*categories
%_qt6_plugindir/designer/kwidgetsaddons6widgets.so

#--------------------------------------------------------------------

%define kf6widgetsaddons_major 6
%define libkf6widgetsaddons %mklibname kf6widgetsaddons %{kf6widgetsaddons_major}

%package -n %libkf6widgetsaddons
Summary:        KDE Frameworks 6 Tier 1 addon with various classes on top of QtWidgets
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf6widgetsaddons
KDE Frameworks 6 Tier 1 addon with various classes on top of QtWidgets.

%files -n %libkf6widgetsaddons
%_kf6_libdir/libKF6WidgetsAddons.so.%{kf6widgetsaddons_major}{,.*}
%_kf6_libdir/libKF6WidgetsAddons.so.%{version}

#--------------------------------------------------------------------

%define kf6widgetsaddons_devel %mklibname kf6widgetsaddons -d

%package -n %kf6widgetsaddons_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6widgetsaddons = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6widgetsaddons_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6widgetsaddons_devel
%_kf6_includedir/KWidgetsAddons/
%_kf6_libdir/cmake/KF6WidgetsAddons/
%_kf6_libdir/libKF6WidgetsAddons.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang_kf6 %{name}6_qt
