%define pkg_name landslide

Name:           landslide
Version:        2.0.0
Release:        %mkrel 2
Summary:        Lightweight markup language-based html5 slideshow generator
Group:          Publishing
License:        ASL 2.0
URL:            https://pypi.python.org/pypi/landslide
Source0:        %{pypi_source}
Patch0:         landslide-2.0.0-relax-requirements.patch

BuildArch:      noarch
BuildRequires:  python3-devel
Requires:       python3-textile

%description
Takes your Markdown, ReST, or Textile file(s) and generates 
fancy HTML5 slideshows

%prep
%autosetup -n %{pkg_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files landslide

%files -f %{pyproject_files}
%{_bindir}/%{pkg_name}
