Summary:        Converter from wiki to LaTeX
Name:           latex_of_wiki
Version:        4.02
Release:        %mkrel 5
License:        GPLv2+
Group:          Development/OCaml
Url:            https://github.com/ocsigen/wikidoc
# Archive retrieved 20160415
Source0:        https://github.com/ocsigen/wikidoc/archive/%{version}/wikidoc-%{version}.tar.gz
Patch0:         wikidoc-4.02-backport-upstream-fixes.patch

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-lwt-devel
BuildRequires:  ocaml-pcre-devel
BuildRequires:  ocaml-result-devel
BuildRequires:  ocaml-seq-devel
BuildRequires:  ocaml-ocplib-endian-devel
BuildRequires:  ocaml-mmap-devel
BuildRequires:  ocaml-findlib
BuildRequires:  pkgconfig(libev)

%description
Converter from wiki to LaTeX. Used in the Ocsigen project.

%prep
%setup -q -n wikidoc-%{version}
%autopatch -p1

%build
pushd src/latex_of_wiki
sed -i 's/cmo/cmx/g' Makefile
sed -i 's/ocamlc/ocamlopt/g' Makefile
sed -i 's/ocamlopt/ocamlopt -g/g' Makefile
make
popd

%install
mkdir -p %{buildroot}%{_bindir}
install -m 0755 src/latex_of_wiki/latex_of_wiki %{buildroot}%{_bindir}

%files
%{_bindir}/latex_of_wiki
