%define rel	15

Summary:	Converts written Finnish text to a readable form
Name:		lavennin
Version:	20041119
Release:	%mkrel %rel
License:	LGPLv2
Group:		Sound/Editors and Converters
# These URLs are no longer valid
URL:		http://phon.joensuu.fi/suopuhe/
Source:		http://www.ling.helsinki.fi/suopuhe/download/%name-%version.tar.bz2
Patch0:		lavennin-paths.patch
BuildArch:	noarch
# per locale-specific package policy:
Requires:	locales-fi

%description
Lavennin converts numbers, abbreviations and other such non-readable
strings found in usual written Finnish text to a readable form.
Therefore only the grafem-fonem conversion is left for the speech
synthesizer. Lavennin can also be used to nativisate
foreign-originated words.

%prep
%setup -q -n %name
%patch -P 0 -p1

sed -i 's,@LAVENNINDATADIR@,\"%{_datadir}/%{name}\",' bin/lavennin

%install

install -d -m755 %{buildroot}%{_bindir}
install -m755 bin/lavennin %{buildroot}%{_bindir}

install -d -m755 %{buildroot}%{_datadir}/%{name}
install -m644 data/*.txt %{buildroot}%{_datadir}/%{name}

%files
%doc man/*.shtml
%{_bindir}/lavennin
%{_datadir}/%{name}


