Name:           lbzip2
Version:        2.5
Release:        %mkrel 7
Summary:        Fast, multi-threaded bzip2 utility
Group:          Archiving/Compression
License:        GPLv3+
URL:            https://lbzip2.org/
Source0:        http://archive.lbzip2.org/%{name}-%{version}.tar.gz
Patch0:		_IO_EOF_SEEN.patch

%description
lbzip2 is an independent, multi-threaded implementation of bzip2. It is
commonly the fastest SMP (and uniprocessor) bzip2 compressor and
decompressor.


%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install


%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/%{name}
%{_bindir}/lbzcat
%{_bindir}/lbunzip2
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/lbzcat.1*
%{_mandir}/man1/lbunzip2.1*
