%define pre	b12
%define rel	10

Summary:	Command-line Cabinet file creation tool
Name:		lcab
Version:	1.0
Release:	%mkrel 0.%pre.%rel
URL:		http://ohnopub.net/~ohnobinki/lcab/
Source:		ftp://ohnopublishing.net/mirror/%{name}-%{version}%{pre}.tar.gz
Patch1:		lcab-1.0b12-automake-1.13.patch
License:	GPLv2+
Group:		Archiving/Compression

%description
Command-line tool for creating Cabinet (.cab) files. The created files
are not compressed.

%prep
%setup -q -n %{name}-%{version}%{pre}
%autopatch -p1

%build
autoreconf -if
%configure

%install
%make_install

install -d -m755 %{buildroot}%{_mandir}/man1
install -m644 lcab.1 %{buildroot}%{_mandir}/man1

%files
%doc README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


