Name:           legendary
Version:        0.20.34
Release:        %mkrel 2
Summary:        Free and open-source Epic Games Launcher alternative
Group:          Games/Other
License:        GPLv3+
URL:            https://github.com/derrod/legendary
Source0:        https://github.com/derrod/legendary/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%description
Legendary is an open-source game launcher that can download and install games from the
Epic Games platform on Linux and Windows.

Note: Legendary is currently a CLI (command-line interface) application without a
graphical user interface, it has to be run from a terminal.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files legendary

%files -f %{pyproject_files}
%doc README.md
%license LICENSE
%{_bindir}/%{name}
