Name:           leterrier-calculment
Version:        2.0
Release:        %mkrel 4
Summary:        Calculation software for kids
License:        GPLv2
Group:          Education
URL:            https://www.abuledu.org/leterrier/leterrier-calculment
Source0:        %{name}-%{version}.tar.bz2
Patch1:         leterrier-cibler-2.0rc-fix-lrelease.patch
Patch2:         leterrier-calculment-2.0-fix-desktopfile.patch
BuildRequires:  ccache
BuildRequires:  hunspell-devel
BuildRequires:  svox-pico-devel
BuildRequires:  pkgconfig(exiv2)

BuildRequires:  pkgconfig(vorbis)

BuildRequires:  qttools5

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5MultimediaWidgets)
BuildRequires:  pkgconfig(Qt5Xml)

%description
Calculation software for kids
This software is part of Abuledu.

%files
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_libdir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -n  %{name}-%{version}
%autopatch -p1

%build
%qmake_qt5

%make_build

%install
install -d -m 755 %buildroot%{_bindir}
install -d -m 755 %buildroot%{_libdir}/%{name}
install -d -m 755 %buildroot%{_datadir}/%{name}/data/icones
install -d -m 755 %buildroot%{_datadir}/%{name}/conf
install -d -m 755 %buildroot%{_datadir}/%{name}/lang
install -d -m 755 %buildroot%{_datadir}/applications
install -m 755 debian/*.wrapper %buildroot%{_bindir}/%{name}
install -m 644 debian/*.desktop %buildroot%{_datadir}/applications/
install -m 755 src/%{name} %buildroot%{_libdir}/%{name}/
install -m 644 src/data/icones/*%{name}*-256.png %buildroot%{_datadir}/%{name}/
install -m 644 src/data/icones/* %buildroot%{_datadir}/%{name}/data/icones
install -m 644 src/lang/*.qm %buildroot%{_datadir}/%{name}/lang


sed -e 's,/usr/lib/${EXENAME},%{_libdir}/${EXENAME},g' -i %buildroot%{_bindir}/%{name}

