Name:           leterrier-fubuki
Version:        2.0
Release:        %mkrel 2
Summary:        Sudoku like game for kids
License:        GPLv2
Group:          Education
URL:            https://www.abuledu.org/leterrier/
Source0:        %name-%{version}rc.tar.bz2
Patch1:         %name-2.0-fix-lrelease.patch
BuildRequires:  ccache
BuildRequires:  hunspell-devel
BuildRequires:  svox-pico-devel
BuildRequires:  pkgconfig(exiv2)

BuildRequires:  pkgconfig(vorbis)

BuildRequires:  qttools5

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5MultimediaWidgets)
BuildRequires:  pkgconfig(Qt5Xml)

%description
Fubuki is a sudoku like game for kids.

This software is part of Abuledu.

%files
%_bindir/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -n  %name-%{version}rc
%autopatch -p1

%build
%qmake_qt5

%make_build

%install
        install -d -m 755 %buildroot%_bindir
        install -d -m 755 %buildroot%{_libdir}/%{name}
        install -d -m 755 %buildroot%{_datadir}/%{name}/data/icones
        install -d -m 755 %buildroot%{_datadir}/%{name}/data/dictionnaires
        install -d -m 755 %buildroot%{_datadir}/%{name}/data/instructions
        install -d -m 755 %buildroot%{_datadir}/%{name}/conf
        install -d -m 755 %buildroot%{_datadir}/%{name}/lang
        install -d -m 755 %buildroot%{_datadir}/applications
        install -d -m 755 %buildroot%{_datadir}/applications
        install -m 644 debian/*.desktop %buildroot%_datadir/applications/
        #install -m 644 src/data/*.abe %%buildroot%%_datadir/%%name/data
        #install -m 644 src/exemples/*.abe %%buildroot%%_datadir/%%name/data
        install -m 755 src/%name %buildroot%_bindir/
        install -m 644 src/data/icones/*$(EXECNAME)*-256.png %buildroot%_datadir/%name/
        install -m 644 src/lang/*.qm %buildroot%_datadir/%name/lang

