Summary:	Lexmark 7xxx and 57zzz printer driver for Linux
Name:		lexmark7000linux
Version:	990516
Release:	%mkrel 20
License:	GPL
Group:		System/Printing
Source:		https://bimbo.fjfi.cvut.cz/~paluch/l7kdriver/%{name}-%{version}.tar.bz2
Patch0:		lexmark7000linux-fix-building-with-gcc14.patch
URL:		https://bimbo.fjfi.cvut.cz/~paluch/l7kdriver/olddrv.html

%description
This is the printer driver for Lexmark 7000 "GDI" printers.

 * Known to work with Lexmark 7000, 7200 and 5700 printers
 * 600x600 dpi Black & White printing
 * Preliminary 600x600 CMY colour printing for 7000, 7200

%prep

%autosetup -p1

# Fix Makefile
perl -pi -e 's@-o root -g root@@' Makefile
# Do not strip debug files
perl -pi -e 's@-s @@' Makefile

%build
make CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
install -d %{buildroot}%{_bindir}

%makeinstall

%files
%doc README CHANGES lexmark*-filter lexmarkprotocol.txt *.prn *.pbm
%attr(0755,root,root)%{_bindir}/pbm2l7k
%attr(0755,root,root)%{_bindir}/pnmraw2cmyk
%attr(0755,root,root)%{_bindir}/pbm2lex5700
%attr(0755,root,root)%{_bindir}/pnm2lex7000
%attr(0755,root,root)%{_bindir}/pnm2lex5700
%attr(0755,root,root)%{_bindir}/dbman
%attr(0755,root,root)%{_bindir}/psprint
%attr(0755,root,root)%{_bindir}/pscprint
