%define serial  1
%define rel     20250112

Name:           lha
Epoch:          %{serial}
Version:        1.14i
Release:        %mkrel %{rel}.1
Summary:        An archiving and compression utility for LHarc format archives
License:        Freeware-like
Group:          Archiving/Compression 
URL:            https://github.com/jca02266/%{name}
Source0:        https://github.com/jca02266/%{name}/archive/master.zip
#Source0:        https://github.com/jca02266/%{name}/archive/refs/tags/release-%{rel}.tar.gz
Source1:        https://packages.debian.org/changelogs/pool/non-free/l/%{name}/current/copyright

%description
LhA is an archiving and compression utility for LHarc format archive.
LhA is mostly used in the Amiga and in the DOS world, but can be used
under Linux to extract files from .lha and .lzh archives.

Install the LhA package if you need to extract files from .lha or .lzh
Amiga or DOS archives, or if you have to build LhA archives to
be read on the Amiga or DOS.


%prep
%setup -q -n %{name}-master
#setup -q -n %{name}-release-%{rel}

cp %{SOURCE1} .

%build
autoreconf -is
%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_mandir}/ja/mann
install -m 644 man/lha.n %{buildroot}%{_mandir}/ja/mann/lha.n

%files
%doc copyright
%{_bindir}/lha
%{_mandir}/man1/lha.1*
%lang(ja) %{_mandir}/ja/mann/lha.n*
