%define major	9
%define libname	%mklibname ass %{major}
%define devname	%mklibname ass -d

Summary:	Library for SSA/ASS subtitles rendering
Name:		libass
Version:	0.17.3
Release:	%mkrel 1
License:	ISC
Group:		System/Libraries
URL:		https://github.com/libass/libass/
Source:		https://github.com/%{name}/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(enca)
BuildRequires:	pkgconfig(fontconfig) >= 2.4.2
BuildRequires:	pkgconfig(freetype2) >= 9.10.3
BuildRequires:	pkgconfig(fribidi) >= 0.19.0
BuildRequires:	pkgconfig(harfbuzz) >= 1.2.3
BuildRequires:	pkgconfig(libpng) >= 1.2.0

%description
Libass is a portable library for SSA/ASS subtitles rendering.

%package -n	%{libname}
Summary:	Shared library for SSA/ASS subtitles rendering
Group:		System/Libraries

%description -n	%{libname}
Libass is a portable library for SSA/ASS subtitles rendering.

%package -n	%{devname}
Summary:	Development files for libass development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	ass-devel = %{version}-%{release}
Provides:	libass-devel = %{version}-%{release}

%description -n	%{devname}
Libass is a portable library for SSA/ASS subtitles rendering.

This package contains the files for developing applications which
will use libass.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/libass.so.%{major}{,.*}

%files -n %{devname}
%doc Changelog COPYING
%{_libdir}/libass.so
%{_includedir}/ass
%{_libdir}/pkgconfig/%{name}.pc
