%define major		4
%define libname		%mklibname dvdnav %{major}
%define develname	%mklibname dvdnav -d

Name:		libdvdnav
Summary:	DVD Navigation library
Version:	6.1.1
Release:	%mkrel 2
Group:		System/Libraries
License:	GPLv2+
URL:		http://dvdnav.mplayerhq.hu/
Source0:	https://download.videolan.org/pub/videolan/%{name}/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(dvdread) >= %{version}

%description
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

%package -n	%{libname}
Summary:	DVD Navigation library
Group:		System/Libraries

%description -n	%{libname}
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

%package -n	%{develname}
Summary:	DVD Navigation library headers and support files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

This package contains the C headers and support files for compiling
applications with libdvdnav.

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

rm -rf %{buildroot}%{_datadir}/doc/%{name}

%files -n %{libname}
%doc README
%{_libdir}/libdvdnav.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog TODO AUTHORS COPYING
%{_libdir}/libdvdnav.so
%{_includedir}/dvdnav/
%{_libdir}/pkgconfig/dvdnav.pc
