%define major		8
%define libname		%mklibname dvdread %{major}
%define develname	%mklibname dvdread -d

Name:		libdvdread
Version:	6.1.3
Release:	%mkrel 1
Summary:	Library to read DVD images
License:	GPLv2+
Group:		System/Libraries
URL:		https://www.videolan.org/developers/libdvdnav.html
Source0:	https://download.videolan.org/pub/videolan/%{name}/%{version}/%{name}-%{version}.tar.bz2

%description
libdvdread provides a simple foundation for reading DVD-Video images.

%package -n	%{libname}
Summary:	Library to read DVD images
Group:		System/Libraries

%description -n	%{libname}
Libdvdread provides a simple foundation for reading DVD-Video images.
This package contains the shared library to run applications utilizing
libdvdread.

%package -n	%{develname}
Summary:	Libdvdread library headers
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This is the libraries, include files and other resources you can use
to incorporate libdvdread into applications.

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static
%make_build

%install
%make_install docdir=%{_docdir}/%{libname}

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc README.md AUTHORS COPYING NEWS ChangeLog TODO
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog TODO
%{_includedir}/dvdread/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/dvdread.pc
