%define	major     0
%define libname   %mklibname estr %{major}
%define develname %mklibname estr -d

Name:           libestr
Version:        0.1.11
Release:        %mkrel 4
Summary:        String handling essentials library
Group:          System/Libraries
License:        LGPLv2+
URL:            https://libestr.adiscon.com/
Source0:        https://libestr.adiscon.com/files/download/libestr-%{version}.tar.gz

%description
This package compiles the string handling essentials library
used by the Rsyslog daemon.

%package -n     %{libname}
Summary:        String handling essentials library
Group:		System/Libraries

%description -n %{libname}
This package compiles the string handling essentials library
used by the Rsyslog daemon.

%package -n     %{develname}
Summary:        Development files for %{name}
Group:		Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
The package contains libraries and header files for
developing applications that use libestr.

%prep
%setup -q

%build
%configure --disable-static --with-pic
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc README COPYING AUTHORS ChangeLog
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/libestr.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/libestr.pc
