%define major 4
%define libname %mklibname ev %{major}
%define develname %mklibname ev -d

Summary:	High-performance event loop/event model
Name:		libev
Epoch:		1
Version:	4.33
Release:	%mkrel 2
License:	BSD
Group:		System/Libraries
Url:		http://software.schmorp.de/pkg/libev.html
Source0:	http://dist.schmorp.de/libev/%{name}-%{version}.tar.gz
Source1:	%{name}.pc.in
Patch1:		libev-4.15-Add-pkgconfig-support.patch

%description
libev is a high-performance event loop/event model with lots of features.
(see benchmark at http://libev.schmorp.de/bench.html)

It is modeled (very loosely) after libevent and the Event Perl module,
but aims to be faster and more correct, and also more featureful.

%package -n %{libname}
Summary:    High-performance event loop/event model
Group:      System/Libraries

%description -n %{libname}
libev is a high-performance event loop/event model with lots of features.
(see benchmark at http://libev.schmorp.de/bench.html)

It is modeled (very loosely) after libevent and the Event perl module,
but aims to be faster and more correct, and also more featureful.

%package -n %{develname}
Summary:    High-performance event loop/event model
Group:      Development/C
Requires:   %{libname} = %{epoch}:%{version}-%{release}
Provides:   %{name}-devel = %{epoch}:%{version}-%{release}
Provides:   ev-devel = %{epoch}:%{version}-%{release}

%description -n %{develname}
This is the development files needed in order to develop applications using
libev.

%prep
%setup -q

%autopatch -p1

%build
autoreconf -i
%configure --includedir=%{_includedir}/%{name} --disable-static --with-pic
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc README
%{_includedir}/%{name}
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/ev*
