Name:          libfli
Summary:       Finger Lakes Instrument Library
Version:       1.7
Release:       %mkrel 14
License:       GPLv2+
Group:         Development/Other
Url:           https://indi.sourceforge.net/index.php/Main_Page
Source0:       https://downloads.sourceforge.net/indi/libfli1_%version.tar.gz
Patch0:        libfli-1.7.190-fix-link.patch
Patch1:        libfli-1.7.190-fix-lib.patch
BuildRequires: cmake

%description
Finger Lakes Instrument Library.

#---------------------------------------------

%define fli_major 1
%define libfli %mklibname fli %{fli_major}

%package -n %libfli
Summary: %name library
Group: System/Libraries

%description -n %libfli
%name library.

%files -n %libfli
%_libdir/libfli.so.%{fli_major}{,.*}

#-----------------------------------------------------------------------------

%define libfli_d %mklibname fli -d

%package -n %libfli_d
Summary: Devel stuff for %{name}
Group: Development/Other
Requires: %libfli = %version
Provides: fli-devel = %version-%release
Provides: %{name}-devel = %version-%release
Obsoletes: libfli-devel < 1.7-12
Obsoletes: libfli-%{_lib}fli-devel < 1.7-13

%description -n %libfli_d
Files needed to build applications based on %{name}.

%files -n %libfli_d
%_includedir/libfli.h
%_libdir/libfli.so

#---------------------------------------------

%prep
%setup -q -n libfli1-%version
%autopatch -p0

%build
%cmake
%cmake_build

%install
%cmake_install
