%define libmajor  1
%define libname   %mklibname gbinder %libmajor
%define develname %mklibname gbinder -d

Name:           libgbinder
Version:        1.1.42
Release:        %mkrel 1
Summary:        GLib-style interface to binder (Android IPC mechanism)
Group:          System/Libraries
License:        BSD
URL:            https://github.com/mer-hybris/libgbinder
Source:         https://github.com/mer-hybris/libgbinder/archive/%{version}/libgbinder-%{version}.tar.gz
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libglibutil)

%description
GLib-style interface to binder (Android IPC mechanism).

%package -n %libname
Summary:        GLib-style interface to binder (Android IPC mechanism)
Group:          System/Libraries

%description -n %libname
GLib-style interface to binder (Android IPC mechanism).

%package -n %develname
Summary:        Development package for %{name}
Group:          Development/C
Requires:       %libname >= %version
Provides:       gbinder-devel = %{version}-%{release}

%description -n %develname
Header files for development with %{name}.

%prep
%autosetup

%build
%set_build_flags
%make_build LIBDIR=%{_libdir} STRIP=true

%install
%make_install LIBDIR=%{_libdir} STRIP=true install-dev

%files -n %libname
%{_libdir}/libgbinder.so.%{libmajor}{,.*}

%files -n %develname
%{_libdir}/pkgconfig/libgbinder.pc
%{_libdir}/libgbinder.so
%{_includedir}/gbinder/
