%define major		2
%define api		0.8
%define gmajor		0.8
%define libname		%mklibname gee %{api} %{major}
%define gi_name		%mklibname gee-gir %{gmajor}
%define libnamedev	%mklibname gee -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		libgee
Summary:	GObject-based collection library
Version:	0.20.8
Release:	%mkrel 1
License: 	LGPLv2+
Group:		System/Libraries
Source0: 	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL: 		https://wiki.gnome.org/Libgee
BuildRequires:	pkgconfig(glib-2.0) >= 2.32
BuildRequires:	pkgconfig(gobject-2.0) >= 2.32
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.0
BuildRequires:	vala

%description
Libgee is a collection library providing GObject-based interfaces and 
classes for commonly used data structures. 

%package -n	%{libname}
Summary:	Collection library providing GObject-based interfaces and classes 
Group:		System/Libraries

Obsoletes:	%{_lib}gee2 < 0.6.8-13

%description -n	%{libname}
Libgee is a collection library providing GObject-based interfaces and 
classes for commonly used data structures. 

%package -n	%{gi_name}
Summary:	GObject Introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

Obsoletes:	%{_lib}gee-gir1.0 < 0.6.8-13

%description -n	%{gi_name}
GObject Introspection interface library for %{name}.

%package -n	%{libnamedev}
Summary:	Libraries and include files for developing with libgee
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	%{gi_name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}%{api}-devel = %{version}-%{release}

Obsoletes:	%{_lib}gee0.6-devel < 0.6.8-13

%description -n	%{libnamedev}
This package provides the necessary development libraries and include
files to allow you to develop with %{name}.

%prep
%setup -q

find -name '*.vala' -exec touch {} \;

%build
%configure --disable-static \
           --enable-vala
%make_build

%install
%make_install

%files -n %{libname}
%doc AUTHORS NEWS README
%{_libdir}/libgee-%{api}.so.%{major}{,.*}

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Gee-%{gmajor}.typelib

%files -n %{libnamedev}
%doc ChangeLog
%{_libdir}/libgee-%{api}.so
%{_libdir}/pkgconfig/gee-%{api}.pc
%{_includedir}/gee-%{api}
%{_datadir}/vala/vapi/gee-%{api}.vapi
%{_datadir}/gir-1.0/Gee-%{gmajor}.gir
