%define major   1
%define uname   genht
%define libname %mklibname %{uname} %{major}
%define devname %mklibname %{uname} -d

Name:           libgenht
Summary:        Simple generic hash table implementation in C
Version:        1.1.3
Release:        %mkrel 4
Group:          Development/C
License:        Public Domain
URL:            http://repo.hu/projects/genht
Source0:        http://repo.hu/projects/%{uname}/releases/%{uname}-%{version}.tar.gz

# patch Makefile to accept CFLAGS and LDFLAGS from environment, set SONAME and create an .so file
Patch0:         00-fix-makefile.patch
Patch1:         01-pointer-types.patch

BuildRequires:  gcc
BuildRequires:  make

%description
genht is a simple generic hash table implementation in C.
Uses open addressing scheme with space doubling.
Type generics is achieved by ugly name prefixing macros.

%package -n %{libname}
Summary:        Library

%description -n %{libname}
genht is a simple generic hash table implementation in C.

%package -n %{devname}
Summary:        Libraries, includes, etc. to develop applications using genht
Requires:       %{libname} = %{version}-%{release}
Provides:       %{uname}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Libraries, includes, etc. to develop applications using genht.

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
%set_build_flags

%make_build

%install
# Depending on arch, install in /usr/lib or /usr/lib64
%make_install LIBDIR=%{buildroot}%{_libdir}

find %{buildroot} -name '*.a' -delete

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{.,*}

%files -n %{devname}
%{_includedir}/%{uname}/
%{_libdir}/%{name}.so
%license src/LICENSE
%doc src/AUTHORS
