%define libmajor  1
%define libname   %mklibname glibutil %libmajor
%define develname %mklibname glibutil -d

Name:           libglibutil
Version:        1.0.79
Release:        %mkrel 1
Summary:        Library of glib utilities
License:        BSD
Group:          System/Libraries
URL:            https://github.com/sailfishos/libglibutil
Source:         https://github.com/sailfishos/libglibutil/archive/%{version}/libglibutil-%{version}.tar.gz
BuildRequires:  pkgconfig(glib-2.0)

%description
Library of glib utilities.

%package -n %libname
Summary:        Library of glib utilities
Group:          System/Libraries

Obsoletes:      %{_lib}libglibutil1 < 1.0.56-3

%description -n %libname
Library of glib utilities.

%package -n %develname
Summary:        Development package for %{name}
Group:          Development/C
Requires:       %libname >= %version
Provides:       glibutil-devel = %{version}-%{release}

Obsoletes:      %{_lib}libglibutil-devel < 1.0.56-3

%description -n %develname
Header files for development with %{name}.

%prep
%autosetup

%build
%set_build_flags
%make_build LIBDIR=%{_libdir} STRIP=true

%install
%make_install LIBDIR=%{_libdir} STRIP=true install-dev

%files -n %libname
%{_libdir}/libglibutil.so.%{libmajor}{,.*}

%files -n %develname
%{_libdir}/pkgconfig/libglibutil.pc
%{_includedir}/gutil/
%{_libdir}/libglibutil.so
