%define major		2.4
%define	libname		%mklibname hpdf %{major}
%define develname	%mklibname haru -d

Summary:	Cross platform software library for generating PDF
Name:		libharu
Version:	2.4.4
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD-like
URL:		http://www.libharu.org
Source0:	https://github.com/%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
#needed to build paraview-5.4
#Patch0:         libharu-2.3.0-shadings.patch

BuildRequires:	cmake
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	file

%description
HARU is a free, cross platform, open-sourced software library for generating
PDF.

%package -n	%{libname}
Summary:	Shared libharu library
Group:		System/Libraries

%description -n	%{libname}
HARU is a free, cross platform, open-sourced software library for generating
PDF.

%package -n	%{develname}
Summary:        Development headers for libharu 
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:	%{name}-devel = %{version}
Provides:	hpdf-devel = %{version}

%description -n	%{develname}
HARU is a free, cross platform, open-sourced software library for generating
PDF.

This package contains the static library and header files.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc README.md
%license LICENSE
%{_libdir}/libhpdf.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/hpdf*.h
%{_libdir}/libhpdf.so
%{_datadir}/%{name}/
