%define	major 0
%define libname %mklibname lqr %{major}
%define libname_old %mklibname lqr1_ 0
%define develname %mklibname lqr -d

Name: liblqr
Version: 0.4.2
Release: %mkrel 8
Summary:LiquidRescale seam-carving library
Group: System/Libraries
License: LGPLv3 and GPLv3
URL: https://liblqr.wikidot.com/
Source0: https://liblqr.wdfiles.com/local--files/en:download-page/%{name}-1-%{version}.tar.bz2
Patch0: liblqr-docbook_fixes.diff
BuildRequires:	glib2-devel
BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-dtd45-xml
BuildRequires:	libxslt-proc

%description
The Liquid Rescale (lqr) library provides a C/C++ API for performing
non-uniform resizing of images by the seam-carving technique.

%package -n	%{libname}
Summary:	LiquidRescale seam-carving library
Group:		System/Libraries
Obsoletes:  %{libname_old}

%description -n	%{libname}
The Liquid Rescale (lqr) library provides a C/C++ API for performing
non-uniform resizing of images by the seam-carving technique.

%package -n	%{develname}
Summary:	Shared library and header files for the LiquidRescale library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lqr-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n	%{develname}
The Liquid Rescale (lqr) library provides a C/C++ API for performing
non-uniform resizing of images by the seam-carving technique.

This package contains the shared LiquidRescale library and its header files.

%prep
%setup -q -n %{name}-1-%{version}
%autopatch -p1

%build
%configure --disable-static
%make_build

# make the html docs
pushd docs
%__make
popd

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/liblqr-1.so.%{major}{,.*}

%files -n %{develname}
%doc docs/html/* examples
%{_includedir}/lqr-1
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
