%define major   0
%define libname %mklibname lxqt-mount %{major}
%define devname %mklibname lxqt-mount -d

Name:           liblxqt-mount
Version:        0.9.0
Release:        %mkrel 6
Summary:        Mounting related libraries for the LXQt desktop
License:        LGPLv2+
Group:          System/Libraries
URL:            https://lxqt.org/
Source0:        http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig(Qt5Xdg)
BuildRequires:  pkgconfig(lxqt)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  cmake

%description
Mounting related libraries for the LXQt desktop.

%package -n %{libname}
Summary:        Mounting related libraries for the LXQt desktop
Group:          System/Libraries

%description -n %{libname}
Mounting related libraries for the LXQt desktop.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %libname = %version
Provides:       %name-devel = %version-%release
Provides:       lib%name-devel = %version-%release
%if %mgaversion < 5
Provides:       pkgconfig(lxqtmount-qt5)
%endif

%description -n %{devname}
Development files (Headers etc.) for %{name}.

%prep
%setup -q %{name}-%{version}

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/cmake/lxqtmount/*.cmake
%{_libdir}/pkgconfig/*
