%define major 0
%define libname %mklibname maitretarot %major
%define libnamedevel %mklibname -d maitretarot

Summary: The Maitretarot library
Name: libmaitretarot
Version: 0.1.98
Release: %mkrel 25
License: GPLv2+
Group: Games/Cards
Source: https://www.nongnu.org/download/maitretarot/devel.pkg/%{version}/%{name}-%{version}.tar.bz2
URL: https://www.nongnu.org/maitretarot/
BuildRequires: glib2-devel
BuildRequires: libxml2-devel

%description
Maitretarot is a tarot server game. Libmaitretarot is a library for
both the server and any client.

%package -n %libname
Summary: The Maitretarot library
Group: System/Libraries
Provides: %name = %version-%release

%description -n %libname
Maitretarot is a tarot server game. Libmaitretarot is a library
for both the server and any client.

%package -n %libnamedevel
Summary: Development files from Libmaitretarot
Group: System/Libraries
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %{_lib}%{name}0-devel

%description -n %libnamedevel
This package is need to build application which use Libmaitretarot.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--disable-static
%make_build

%install
%make_install

# install .m4 for libmt_client
install -Dpm644 libmaitretarot.m4 %{buildroot}%{_datadir}/aclocal/libmaitretarot.m4

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %libname
%doc AUTHORS COPYING ChangeLog
%{_libdir}/libmaitretarot.so.%{major}{,.*}

%files -n %libnamedevel
%{_libdir}/libmaitretarot.so
%{_includedir}/maitretarot.h
%{_datadir}/aclocal/libmaitretarot.m4
