%define	major 7
%define libname %mklibname monetra %{major}
%define develname %mklibname monetra -d

Summary:	Library to allow credit card processing through MCVE
Name:		libmonetra
Version:	7.14.0
Release:	%mkrel 5
Group:		System/Libraries
License:	GPLv2+
URL:		https://www.monetra.com/
Source0:	https://www.monetra.com/downloads/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(krb5)

%description
library for connecting to a MCVE Credit Card Processing Daemon via
SSL, TCP/IP, and drop-files.

%package -n	%{libname}
Summary:	Library to allow credit card processing through MCVE
Group:          System/Libraries

%description -n	%{libname}
library for connecting to a MCVE Credit Card Processing Daemon via
SSL, TCP/IP, and drop-files.

%package -n	%{develname}
Summary:	Static library and header files for the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
library for connecting to a MCVE Credit Card Processing Daemon via
SSL, TCP/IP, and drop-files.

This package contains the static %{name} library and its header
files.

%prep
%autosetup

%build
export WANT_AUTOCONF_2_5=1
rm -f configure
libtoolize --copy --force; aclocal; autoconf; automake --add-missing --copy

%configure --enable-deprecated
%make_build

%install
%make_install

%files -n %{libname}
%doc AUTHORS ChangeLog LICENSE README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc LICENSE
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la


