%define major		3
%define libname		%mklibname netfilter_conntrack %{major}
%define develname	%mklibname netfilter_conntrack -d

Summary:	Interface to the in-kernel connection tracking state table
Name:		libnetfilter_conntrack
Version:	1.1.0
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		https://www.netfilter.org/projects/libnetfilter_conntrack/
Source0:	https://www.netfilter.org/projects/libnetfilter_conntrack/files/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(libmnl) >= 1.0.3
BuildRequires:	pkgconfig(libnfnetlink) >= 1.0.0

%description
A libnetfilter_conntrack is a userspace library providing a programming \
interface (API) to the in-kernel connection tracking state table.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name}%{?_isa} = %{version}-%{release}
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel%{?_isa} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	netfilter_conntrack-devel = %{version}-%{release}

%description -n %{develname}
This package contains the development files for %{name}.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
