%define major		0
%define libname		%mklibname ntlm %{major}
%define develname	%mklibname ntlm -d

Summary:	Microsoft WinNT domain authentication library
Name:		libntlm
Version:	1.8
Release:	%mkrel 1
Group:		System/Libraries
License:	LGPLv2+
URL:		https://savannah.nongnu.org/projects/libntlm/
Source0:	https://download.savannah.nongnu.org/releases/libntlm/%{name}-%{version}.tar.gz
%ifnarch %arm %mips
BuildRequires:	valgrind
%endif

%description
A library for authenticating with Microsoft NTLM challenge-response, 
derived from Samba sources.

%package -n %{libname}
Summary:	Microsoft WinNT domain authentication library
Group:		System/Libraries

%description -n %{libname}
A library for authenticating with Microsoft NTLM challenge-response, 
derived from Samba sources.

%package -n %{develname}
Summary:	Microsoft WinNT domain authentication library for development
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files needed for compiling against libntlm.

%prep
%autosetup

%build
%configure --disable-static
%make_build

%check
#%%__make check

%install
%make_install

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS README ChangeLog THANKS
%{_includedir}/ntlm.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/libntlm.pc
