%define	major 0
%define libname	%mklibname opennet %{major}
%define develname %mklibname -d opennet

Summary:	Libopennet allows you to open_net() files the same way you open() them now
Name:		libopennet
Version:	0.9.9
Release:	%mkrel 11
Group:		System/Libraries
License:	LGPL
URL:		https://www.rkeene.org/oss/libopennet/
Source0:	https://www.rkeene.org/files/oss/libopennet/%{name}-%{version}.tar.bz2
Patch0:		libopennet-0.9.3-DESTDIR.diff

%description
Libopennet allows you to open_net()  URLs (or files, for that matter) the same
way you would normally open() just files.

%package -n	%{libname}
Summary:	Libopennet allows you to open_net() files the same way you open() them now
Group:          System/Libraries

%description -n	%{libname}
Libopennet allows you to open_net()  URLs (or files, for that matter) the same
way you would normally open() just files.

%package -n	%{develname}
Summary:	Library and header files for the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Obsoletes:	%{_lib}opennet0-devel < %{version}-%{release}

%description -n	%{develname}
Libopennet allows you to open_net()  URLs (or files, for that matter) the same
way you would normally open() just files.

This package contains the %{name} library and its header files.

%prep
%setup -q
%autopatch -p0

%build
# fix soname and shared library build detection
export SHOBJFLAGS="-Wl,-soname=%{name}.so.%{major} -shared -rdynamic -fPIC -D_REENTRANT"
%configure --disable-static
%make_build

%install
%make_install

%files -n %{libname}
%doc ChangeLog LICENSE README
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_mandir}/man3/*
