Name:           libquvi-scripts
Version:        0.9.20131130
Release:        %mkrel 10
Summary:        Embedded lua scripts for parsing media details
Group:          Networking/Other
License:        LGPLv2+
URL:            https://quvi.sourceforge.net/
Source0:        https://downloads.sourceforge.net/quvi/%{name}-%{version}.tar.xz
BuildArch:	noarch
Requires:	lua-socket

%description
libquvi-scripts contains the embedded lua scripts that libquvi uses for
parsing the media details. Some additional utility scripts are also
included.

%prep
%setup -q

%build
%configure --libdir=%{_datadir} --build=%{_host}
%make_build

%install
%make_install

%files
%doc ChangeLog COPYING README
%{_datadir}/%{name}/
%{_datadir}/pkgconfig/*.pc
%{_mandir}/man7/*
