%define major 0
%define libname %mklibname rcps %major
%define libname_devel %mklibname -d rcps

Name:          librcps
Version:       0.3
Release:       %mkrel 1
Summary:       Resource constrained project scheduling library
Group:         System/Libraries
License:       GPL
Url:           https://www.librcps.org/
Source0:       https://www.librcps.org/librcps-0.3.tar.gz
BuildRequires: glibc-devel

%description
LibRCPS aims to be a versatile, powerful and fast open source library
for resource constrained project scheduling.

#--------------------------------------------------------------------

%package -n %libname
Summary:          Library files for %{name}
Group:            System/Libraries
Provides:         %{name} = %version

%description -n %libname
LibRCPS aims to be a versatile, powerful and fast open source library
for resource constrained project scheduling.

%files -n %libname
%{_libdir}/librcps.so.%{major}*
%doc AUTHORS COPYING ChangeLog NEWS README TODO

#--------------------------------------------------------------------

%package -n %libname_devel
Group:         Development/C
Summary:       Libraries and headers for %{name}
Requires:      %libname = %{version}-%{release}
Provides:      %{name}-devel = %{version}

%description -n %libname_devel
LibRCPS aims to be a versatile, powerful and fast open source library
for resource constrained project scheduling.

This package contains libraries and header files need for development.

%files -n %libname_devel
%{_includedir}/librcps.h
%{_libdir}/librcps.so

#--------------------------------------------------------------------

%prep
%setup -q -n librcps-%{version}

%build

%configure --disable-static
%make

%install
rm -rf %{buildroot}
%make_install

rm -rf $(find %{buildroot} -name "*.la")

