%global debug_package %nil

Name:           libreoffice-voikko
Version:        5.0
Release:        %mkrel 5
Summary:        Finnish spellchecker and hyphenator extension for LibreOffice
Group:          Office/Dictionary
License:        MPLv2.0 or GPLv3+
URL:            https://voikko.puimula.org/
Source0:        https://www.puimula.org/voikko-sources/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(libvoikko) >= 4.0
Requires:       libreoffice-core >= 3.2.99
Requires:       python3-libvoikko >= 4.0
Requires:       locales-fi
Obsoletes:	openoffice.org-voikko < 3.3

%description
This package contains a Finnish spell-checking and hyphenation component for
LibreOffice. The actual spell-checking and hyphenation functionality is
provided by the Voikko library.

%prep
%setup -q
%autopatch -p1

%build
%make_build extension-files

%install
mkdir -p %{buildroot}%{_libdir}/libreoffice/share/extensions/voikko/
cp -a build/oxt/* %{buildroot}%{_libdir}/libreoffice/share/extensions/voikko/

%files
%doc ChangeLog README
%license COPYING
%{_libdir}/libreoffice/share/extensions/voikko/
