%define major     1
%define libname   %mklibname replaygain %{major}
%define develname %mklibname replaygain -d

%define svn_version r475

Name:		libreplaygain
Version:	0
Release:	%mkrel -c %{svn_version} 1
Summary:	Library for analyzing sound and recommending volume change
License:	LGPL-2.1-or-later
Group:		System/Libraries
URL:		https://www.musepack.net/
Source0:	https://files.musepack.net/source/%{name}_%{svn_version}.tar.gz
# r483 | r2d | 2013-10-21 22:35:35 +0200 (lun. 21 oct. 2013)
# libreplaygain : add include file install
Patch0:		0001-libreplaygain_add-include-file-install.patch
BuildRequires:	cmake

%description
libreplaygain is a library that analyzes input samples and
gives the recommended volume change.

%package -n %{libname}
Summary:	Library for analyzing sound and recommending volume change
Group:		System/Libraries

%description -n %{libname}
libreplaygain is a library that analyzes input samples and
gives the recommended volume change.

%package -n %{develname}
Summary:	Header files and static libraries from %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	replaygain-devel = %{version}-%{release}

%description -n %{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%autosetup -p1 -n %{name}_%{svn_version}

# Fix rpmlint error "spurious-executable-perm"
chmod 644 include/replaygain/*.h
# Make the package use rpm optflags
sed -i "s/set(CMAKE_C_FLAGS.*$//" CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

#we don't want these
find %{buildroot} -name "*.a" -delete

%files -n %{libname}
%{_libdir}/libreplaygain.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/replaygain/
%{_libdir}/libreplaygain.so
