%define major 0
%define libname %mklibname silk %{major}
%define libnamedev %mklibname silk -d

Summary:    	libsilk is a library for the silk codec
Name:       	libsilk
Version:    	1.0.8
Release:    	%mkrel 6
License:    	Skype BSD-like 
Group:      	System/Libraries
URL:        	https://stash.freeswitch.org/
Source:     	libsilk-1.0.8.tar.gz
BuildRequires: 	automake
BuildRequires: 	libtool

Docdir:     	%{_prefix}/doc

%description
libsilk is a library for the silk codec

%package	-n %{libname}
Summary:    	Silk development files
Group:      	System/Libraries

%description 	-n %{libname}
silk codec libraries.


%package	-n %{libnamedev}
Summary:    	Silk development files
Group:      	Development/C
Requires:   	%{libname} = %{version}

%description 	-n %{libnamedev}
silk development files.

%prep
%setup -q

%build
./bootstrap.sh
%configure
%make_build

%install
make install DESTDIR=%{buildroot}
rm %{buildroot}%{_libdir}/*.la

%files 	-n %{libname}
%doc ChangeLog AUTHORS COPYING NEWS README 

%{_libdir}/libSKP_SILK_SDK.so.*
%{_bindir}/Decoder
%{_bindir}/Encoder
%{_bindir}/signalCompare

%files 	-n %{libnamedev}
%{_includedir}/silk
%{_libdir}/libSKP_SILK_SDK.a
%{_libdir}/libSKP_SILK_SDK.so
%{_libdir}/pkgconfig/silk.pc

