%define major		1
%define libname		%mklibname spectre %{major}
%define develname	%mklibname spectre -d

Summary:	Postscript rendering library
Name:		libspectre
Version:	0.2.12
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
Url:		https://www.freedesktop.org/wiki/Software/libspectre/
Source0:	https://libspectre.freedesktop.org/releases/%{name}-%{version}.tar.gz
BuildRequires:	libgs-devel
BuildRequires:	pkgconfig(cairo)

%description
libspectre is a small library for rendering Postscript documents. It
provides a convenient easy to use API for handling and rendering
Postscript documents.

%package -n %{libname}
Group:		System/Libraries
Summary:	Postscript rendering library

%description -n %{libname}
libspectre is a small library for rendering Postscript documents. It
provides a convenient easy to use API for handling and rendering
Postscript documents.

%package -n %{develname}
Summary:	Postscript rendering library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	libspectre-devel = %{version}-%{release}

%description -n %{develname}
libspectre is a small library for rendering Postscript documents. It
provides a convenient easy to use API for handling and rendering
Postscript documents.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS NEWS README TODO
%{_libdir}/libspectre.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libspectre.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
