%define major		1
%define libname		%mklibname uninameslist %{major}
%define develname	%mklibname uninameslist -d

Summary:	A Library of Unicode annotation data
Name:		libuninameslist
Version:	20240910
Release:	%mkrel 1
License:	BSD Style
Group:		System/Libraries
URL:		https://libuninameslist.sourceforge.net/
Source:		https://github.com/fontforge/libuninameslist/archive/%{version}/%{name}-%{version}.tar.gz

%description
The Unicode consortium provides a file containing annotations on many
unicode characters. This library contains a compiled version of this
file so that programs can access these data easily.

%package	-n %{libname}
Summary:	A Library of Unicode annotation data
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description	-n %{libname}
The Unicode consortium provides a file containing annotations on many
unicode characters. This library contains a compiled version of this
file so that programs can access these data easily.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n	%{develname}
The Unicode consortium provides a file containing annotations on many
unicode characters. This library contains a compiled version of this
file so that programs can access these data easily.

This package provides development related files for compiling or
developing any software that make use of this library.

%prep
%setup -q

%build
autoreconf -vfi
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc LICENSE
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/%{name}.3.*
