Name:		libva-utils
Version:	2.22.0
Release:	%mkrel 1
Summary:	VA-API test encoders
Group:		Video/Utilities
License:	MIT
URL:		https://github.com/intel/libva-utils
Source0:	https://github.com/intel/libva-utils/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(libva)
BuildRequires:	meson
Obsoletes:	vaapi-encoders < 1.8.3
Obsoletes:	vainfo < 1.8.3

%description
This package provides the example encoders binaries to use VA API.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%files
%doc README.md NEWS
%license COPYING
%{_bindir}/av1encode
%{_bindir}/avcenc
%{_bindir}/avcstreamoutdemo
%{_bindir}/h264encode
%{_bindir}/hevcencode
%{_bindir}/jpegenc
%{_bindir}/loadjpeg
%{_bindir}/mpeg2vaenc
%{_bindir}/mpeg2vldemo
%{_bindir}/putsurface
%{_bindir}/putsurface_wayland
%{_bindir}/sfcsample
%{_bindir}/vacopy
%{_bindir}/vainfo
%{_bindir}/vavpp
%{_bindir}/vp8enc
%{_bindir}/vp9enc
%{_bindir}/vpp3dlut
%{_bindir}/vppblending
%{_bindir}/vppchromasitting
%{_bindir}/vppdenoise
%{_bindir}/vpphdr_tm
%{_bindir}/vppscaling_csc
%{_bindir}/vppscaling_n_out_usrptr
%{_bindir}/vppsharpness
