%define major     3
%define libname   %mklibname x86emu %{major}
%define develname %mklibname x86emu -d

Name:           libx86emu
Version:        3.7
Release:        %mkrel 1
Summary:        A small x86 emulation library
License:        BSD
Group:          System/Libraries
URL:            https://github.com/wfeldt/libx86emu
Source:         https://github.com/wfeldt/libx86emu/archive/%{version}/%{name}-%{version}.tar.gz

%description
Small x86 emulation library with focus of easy usage and extended
execution logging functions.

%package -n     %{libname}
License:        BSD 3-Clause
Summary:        A small x86 emulation library
Group:          System/Libraries

%description -n %{libname}
Small x86 emulation library with focus of easy usage and extended
execution logging functions.

%package -n     %{develname}
License:        BSD
Summary:        Headers for %{name}
Group:          System/Libraries
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}

%description -n %{develname}
Devel files for %{name}.

%prep
%setup -q

%build
echo %{version} > VERSION
make shared LIBDIR=%{_libdir}

%install
install -d -m 755 %{buildroot}%{_libdir}
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir}

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/%{name}.so
%{_includedir}/x86emu.h
%doc README.md LICENSE
