%global major   2
%define libname %mklibname xfont2_ %{major}
%define devname %mklibname xfont2 -d

Summary:        X.Org X11 libXfont2 runtime library
Name:           libxfont2
Version:        2.0.7
Release:        %mkrel 2
License:        MIT
Group:          System/Libraries
URL:            https://www.x.org/
Source0:        https://www.x.org/pub/individual/lib/libXfont2-%{version}.tar.xz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig(fontsproto)
BuildRequires:  x11-util-macros
BuildRequires:  pkgconfig(xtrans) >= 1.0.3-3
BuildRequires:  pkgconfig(fontenc)
BuildRequires:  pkgconfig(freetype2)

%description
X.Org X11 libXfont2 runtime library.

%package -n %libname
Summary:        X.Org X11 libXfont2 runtime library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %libname
X.Org X11 libXfont2 runtime library.

%package -n %devname
Summary:        X.Org X11 libXfont2 development package
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       xfont2-devel = %{version}-%{release}

%description -n %devname
X.Org X11 libXfont development package.

%prep
%autosetup -n libXfont2-%version

%build
%configure --disable-static
%make_build

%install
%make_install

%files -n %libname
%license COPYING
%doc AUTHORS README.md ChangeLog
%{_libdir}/libXfont2.so.%{major}{,.*}

%files -n %devname
%{_includedir}/X11/fonts/libxfont2.h
%{_libdir}/libXfont2.so
%{_libdir}/pkgconfig/xfont2.pc
