%define major   1
%define libname %mklibname xshmfence %major
%define devname %mklibname xshmfence -d

Name:           libxshmfence
Version:        1.3.3
Release:        %mkrel 1
Summary:        X11 shared memory fences
Group:          System/X11

License:        MIT
URL:            https://www.x.org/
Source0:        https://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.xz

BuildRequires:  x11-util-macros
BuildRequires:  pkgconfig(xproto)

%description
Shared memory fences for X11, as used in DRI3.

%package        -n %libname
Summary:        X11 shared memory fences
Group:          System/X11

%description    -n %libname
Shared memory fences for X11, as used in DRI3.

%package        -n %devname
Summary:        Development files for %{name}
Group:          Development/X11
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description    -n %devname
The %devname package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

%files -n %libname
%{_libdir}/libxshmfence.so.%{major}{,.*}

%files -n %devname
%{_includedir}/*
%{_libdir}/pkgconfig/xshmfence.pc
%{_libdir}/*.so

