Name:		logiops
Version:	0.3.5
Release:	%mkrel 1
Summary:	Unofficial driver for Logitech mice and keyboard
Group:		System/Kernel and hardware

License:	GPLv3
URL:		https://github.com/PixlOne/logiops
Source0:	https://github.com/PixlOne/logiops/releases/download/v%{version}/%{name}-v%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libconfig)
BuildRequires:	pkgconfig(libevdev)
BuildRequires:	pkgconfig(libudev)
BuildRequires:	pkgconfig(libsystemd)

%description
This is an unofficial driver for Logitech mice and keyboard.

This is currently only compatible with HID++ >2.0 devices.

%prep
%autosetup -n %{name}-v%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

%post
%systemd_post logid.service

%preun
%systemd_preun logid.service

%postun
%systemd_postun_with_restart logid.service

%files
%doc logid.example.cfg README.md TESTED.md
%license LICENSE
%{_bindir}/logid
%{_unitdir}/logid.service
%{_datadir}/dbus-1/system.d/pizza.pixl.LogiOps.conf
