Summary: Graphical tool for designing and simulating logic circuits
Name: logisim
Version: 2.7.1
Release: %mkrel 12
License: GPLv2
Group: Sciences/Other
URL: http://www.cburch.com/logisim/index.html
BuildArchitectures: noarch
Requires: jre >= 1.5.0
Source0: https://sourceforge.net/projects/circuit/files/2.7.x/%{version}/%{name}-generic-%{version}.jar
Source1: %{name}
Source2: %{name}-icon-128.png
Source3: %{name}.desktop

%description
Graphical tool for designing and simulating logic circuits.
Logisim is an educational tool for designing and simulating digital logic
circuits. With its simple toolbar interface and simulation of circuits as
you build them, it is simple enough to facilitate learning the most basic
concepts related to logic circuits. With the capacity to build larger circuits
from smaller subcircuits, and to draw bundles of wires with a single mouse
drag, Logisim can be used (and is used) to design and simulate entire CPUs
for educational purposes.

%prep
#nothing

%build
#nothing

%install
mkdir -p %{buildroot}/%{_datadir}/java/%{name}
cp -f %{SOURCE0} %{buildroot}/%{_datadir}/java/%{name}
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{SOURCE1} %{buildroot}%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/pixmaps
cp -f %{SOURCE2} %{buildroot}/%{_datadir}/pixmaps
mkdir -p %{buildroot}/%{_datadir}/applications
cp -f %{SOURCE3} %{buildroot}/%{_datadir}/applications

%files
%{_datadir}/java/%{name}
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}-icon-128.png
%{_datadir}/applications/%{name}.desktop
