Name:		lsscsi
Version:	0.32
Release:	%mkrel 2
License:	GPLv2
Group:		System/Kernel and hardware
Summary:	List SCSI devices (or hosts) and associated information
Url:		https://sg.danny.cz/scsi/lsscsi.html
Source0:	https://sg.danny.cz/scsi/%{name}-%{version}.tgz

%description
Uses information provided by the sysfs pseudo file system in Linux kernel
2.6 series to list SCSI devices or all SCSI hosts. Includes a "classic"
option to mimic the output of "cat /proc/scsi/scsi" that has been widely
used prior to the lk 2.6 series.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc ChangeLog README CREDITS AUTHORS COPYING
%{_bindir}/*
%{_mandir}/man8/*
