%define oname ltris2

Summary:	Nice tetris clone
Name:	        ltris
Epoch:		1
Version:	2.0.3
Release:	%mkrel 1
License:	GPLv2+
Group:		Games/Arcade
Url:		https://lgames.sourceforge.io/LTris/
Source0:	https://prdownloads.sourceforge.net/lgames/%{oname}-%{version}.tar.gz
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	desktop-file-utils

%description
o Tetris clone using SDL
o Sound
o Menu
o Controls can be redefined
o Block preview
o Starting level between 0 and 9
o Various backgrounds
o HighScores
o Nice graphics
o Smooth gameplay
o Cool effects (transparency, animations)
o Two player mode
o Two game modes

%prep
%setup -qn %{oname}-%{version}

%build
%global optflags %(echo "%{optflags}" | sed "s/-Werror=format-security//")
%configure	--localstatedir=%{_localstatedir}/games \
		--bindir=%{_gamesbindir}
%make_build

%install
%make_install

%find_lang %{oname}

%files -f %{oname}.lang
%doc README INSTALL Changelog
%attr(2755, root, games) %{_gamesbindir}/*
%config(noreplace) %attr(664, games, games) %{_localstatedir}/games/%{oname}.hscr
%{_datadir}/%{oname}
%{_datadir}/applications/%{oname}.desktop
%{_iconsdir}/hicolor/256x256/apps/%{oname}.png
