Name:           lua-lxc
Epoch:          1
Version:        3.0.2
Release:        %mkrel 3
Summary:        Lua binding for LXC
License:        LGPLv2+
Group:          Development/Other
URL:            https://linuxcontainers.org/lxc
Source0:        https://linuxcontainers.org/downloads/lxc/%{name}-%{version}.tar.gz
Patch0:         lua-linking.patch
BuildRequires:  lua-devel
BuildRequires:  pkgconfig(lxc) >= 3.0.0
BuildRequires:  make
BuildRequires:  gcc

Requires:       lua-filesystem


%description
Linux Resource Containers provide process and resource isolation
without the overhead of full virtualization.

The lua-lxc package contains the Lua binding for LXC.


%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}core\\.so\\.0


%prep
%autosetup -p1


%build
autoreconf -vfi
%configure --disable-static
%make_build


%install
%make_install


%files
%license COPYING
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%{lua_libdir}/lxc
%{lua_pkgdir}/lxc.lua
