Name:           lua-posix
Version:        35.0
Release:        %mkrel 4
Summary:        A POSIX library for Lua
Group:          Development/Other
License:        Public Domain
URL:            https://github.com/luaposix/luaposix/
Source0:        https://github.com/luaposix/luaposix/archive/v%{version}/lua-posix-%{version}.tar.gz
BuildRequires:  pkgconfig(lua)
%{?lua_requires}

%description
This is a POSIX library for Lua which provides access to many POSIX features
to Lua programs.

%prep
%setup -q -n luaposix-%{version}


%build
build-aux/luke CFLAGS="%build_cflags"


%install
build-aux/luke install PREFIX=%{buildroot}%{_prefix} INST_LIBDIR=%{buildroot}%{lua_libdir}


%files
%license LICENSE
%doc AUTHORS ChangeLog.old NEWS.md README.md
%{lua_libdir}/*
%{lua_pkgdir}/posix/


