Summary:	A powerful, fast and reliable backup & sync tool
Name:		luckybackup
Version:	0.5.0
Release:	%mkrel 5
License:	GPLv3
Group:		Archiving/Backup
Url:		https://luckybackup.sourceforge.net/
Source:		https://prdownloads.sourceforge.net/sourceforge/luckybackup/luckybackup-%{version}.tar.gz
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	rsync

%description
luckyBackup is an application that backs-up and/or synchronizes any
directories with the power of rsync.

It is simple to use, fast (transfers over only changes made and not
all data), safe (keeps your data safe by checking all declared directories
before proceeding in any data manipulation ), reliable and fully customizable.

%prep
%setup -q
%autopatch -p1

%build
%qmake_qt5

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%{_bindir}/%{name}
%{_bindir}/%{name}-pkexec
%{_datadir}/applications/*.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/translations/
%{_datadir}/pixmaps/%{name}.*
%{_datadir}/polkit-1/actions/net.luckybackup.su.policy
%{_mandir}/man8/*
%{_defaultdocdir}/%{name}/
