Name:		lxappearance-obconf
Epoch:		1
Version:	0.2.4
Release:	%mkrel 1
Summary:	Plugin to configure OpenBox inside LXAppearance
Group:		Graphical desktop/Other
License:	GPLv2+
URL:		https://lxde.org/
Source0:	https://github.com/lxde/%{name}/archive/refs/tags/%{version}.tar.gz
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gmodule-export-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(lxappearance)
BuildRequires:	pkgconfig(obrender-3.5) >= 3.5
BuildRequires:	pkgconfig(obt-3.5) >= 3.5
BuildRequires:	gettext
BuildRequires:	intltool
Requires:	lxappearance >= 0.5.0
Requires:	openbox

%description
This plugin adds an additional tab called "Window Border" to LXAppearance.
It is only visible when the plugin is installed and Openbox is in use.

%prep
%setup -q
%autopatch -p1

%build
./autogen.sh
%configure --disable-static --enable-gtk3
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/lxappearance/plugins/obconf.la

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS CHANGELOG README
%{_libdir}/lxappearance/plugins/obconf.so
%{_datadir}/lxappearance/obconf
