Name:		lxappearance
Version:	0.6.4
Release:	%mkrel 1
Summary:	A new feature-rich GTK+ theme switcher
License:	GPLv2+
Group:		Graphical desktop/Other

Source0:	https://github.com/lxde/%{name}/archive/refs/tags/%{version}.tar.gz
Patch0:		%{name}-127d0de-mga-fix-generating-man-page.patch
Patch2:		mga-fix-typo-in-French-l10n.patch
Patch3:		mga-replace-GtkHandleBox.patch
Patch4:		a427cb54afd478a43272855ff3a6414bd50d3379.patch
URL:		https://www.lxde.org/
BuildRequires:	pkgconfig(dbus-1) >= 0.95
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.70
BuildRequires:	pkgconfig(gmodule-export-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	xsltproc

%description
LXAppearance is a new GTK+ theme switcher developed for project LXDE.

%package devel
Group:		Graphical desktop/Other
Summary:	%{name} development files
Provides:	%{name}-devel = %{version}-%{release}

%description devel
This package contains header files needed when building applications based on
%{name}.

%prep
%setup -q
%autopatch -p1

%build
./autogen.sh
%configure --enable-dbus --enable-gtk3
%make_build

%install
%make_install

%{find_lang} %{name}

desktop-file-install --vendor="" \
	--remove-key="NotShowIn" \
	--add-only-show-in="LXDE" \
	--dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*.desktop

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_mandir}/man1/*

%files devel
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}.pc


