Name: lxde-ctrl-center
Version: 0.1.6
Release: %mkrel 3
Summary: LXDE Control Center
Group: System/Configuration
License: GPLv3+
URL: https://sourceforge.net/p/lxde-ctrl-center
Source0: https://sourceforge.net/projects/lxde-ctrl-center/files/%{name}-%{version}.tar.gz
Patch0:  lxde-ctrl-center-0.1.6-use-WebKit2-4.1.patch
BuildRequires: gettext
BuildRequires: python3
#BuildRequires: python3-simplejson
Requires: python3
Requires: python3-gobject3
Requires: python3-simplejson
Requires: beesu
Requires: lxde-common
BuildArch: noarch

#drakuser
Recommends: userdrake
#drakauth, drakkeyboard, drakscanner, diskdrake, draksound, drakups, drakxservices, draklocale, drakboot, draklog, drakedm
Recommends: drakxtools-curses
#drakguard
Recommends: drakguard
#obconf
Recommends: obconf
#lxappearance
Recommends: lxappearance
#pcmanfm --desktop-pref
Recommends: pcmanfm
#lxrandr
Recommends: lxrandr
#xscreensaver-demo
Recommends: xscreensaver
#drakfont, drakclock, draksec
Recommends: drakxtools
#harddrake2
Recommends: harddrake-ui
#XFdrake, mousedrake
Recommends: drakx-kbd-mouse-x11
#system-config-printer
Recommends: system-config-printer
#mdvinput
Recommends: mdvinput
#pavucontrol
Recommends: pavucontrol
#drakconnect, drakproxy, drakfirewall, drakgw
Recommends: drakx-net-text
#vpnpptp
Recommends: vpnpptp
#gigolo
Recommends: gigolo
#drakhosts
Recommends: drakx-net
#drakrpm, drakrpm-edit-media, drakrpm-update
Recommends: rpmdrake
#libfm-pref-apps
Recommends: libfm
#fskbsetting
Recommends: fskbsetting
#msecgui
Recommends: msec-gui
#add2sudoers, rmfromsudoers
Recommends: xsudo-sudoers
#xdg-open
Recommends: xdg-utils
#CUPS Web Interface
Recommends: cups
#autohint-onoff
Recommends: autohint-onoff
#lxinput
Recommends: lxinput
#lxsession-edit, lxsession-default-apps
Recommends: lxsession
#lxhotkey
Recommends: lxhotkey

%description
LXDE Control Center is united launch tools for DrakX
and LXDE configuration programs.

%prep
%autosetup -p1 -n %{name}
cp -f ./packages/%{_real_vendor}/clouds.png ./share/%{name}/frontend/images/
sed -i -e '/system-config-samba/d' ./share/%{name}/items/x0002x
sed -i -e '/system-config-nfs/d' ./share/%{name}/items/x0002x

%build
./make build_pkg

%install
mkdir -p %{buildroot}/%{_datadir}
cp -rf ./bin %{buildroot}/%{_prefix}/
cp -rf ./share/* %{buildroot}/%{_datadir}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
