#define scmrev 20141024
%define rel 1

Name:           lxmenu-data
Version:        0.1.6
Summary:        Freedesktop.org application menu definition files for the LXQt desktop
License:        LGPLv2+
Group:          Graphical desktop/KDE
URL:            https://lxqt.org/
%if 0%{?scmrev:1}
# rm -rf lxmenu-data && git clone git://git.lxde.org/git/lxde/lxmenu-data.git && cd lxmenu-data/ 
# git archive --prefix=lxmenu-data-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../lxmenu-data-$(date +%Y%m%d).tar.xz
Release:        %mkrel -c %{scmrev} %rel
Source0:        %{name}-%{scmrev}.tar.xz
%else
Release:        %mkrel %rel
Source0:        https://github.com/lxde/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
%endif

BuildArch:      noarch
BuildRequires:  cmake
BuildRequires:  pkgconfig(lxqt)
BuildRequires:  pkgconfig(lxqt-globalkeys)
BuildRequires:  intltool

%description
Freedesktop.org application menu definition files for the LXQt desktop.

%prep
%if 0%{?scmrev:1}
%autosetup -p1 -n %{name}-%{scmrev}
%else
%autosetup -p1
%endif

%build
NOCONFIGURE=1 ./autogen.sh
%configure --sysconfdir=%{_sysconfdir}
%__make

%install
%make_install

%files
%doc README
%license COPYING
%{_sysconfdir}/xdg/menus/lxde-applications.menu
%{_datadir}/desktop-directories/lxde*.directory
