Name:           lxmusic
Version:        0.4.8
Release:        %mkrel 2
Summary:        Lightweight XMMS2 client with simple user interface

Group:          Sound/Players
License:        GPLv2+
URL:            https://lxde.org/
Source0:        https://github.com/lxde/%name/archive/refs/heads/master.zip
# As long as there are no plugins, disable the Tools menu
Patch0:         lxmusic-0.3.0-no-tools-menu.patch
# https://sourceforge.net/p/lxde/bugs/774/
Patch10:	lxmusic-0.4.6-saver_quit_from_taskber_on_play.patch

BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gmodule-export-2.0)
BuildRequires:  pkgconfig(xmms2-client)
BuildRequires:  pkgconfig(xmms2-client-glib)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
Requires:       xmms2 >= 0.7

%description
LXMusic is a very simple gtk+ XMMS2 client written in pure C. It has very few 
functionality, and can do nothing more than play the music. The UI is very 
clean and simple. This is currently aimed to be used as the default music 
player of LXDE (Lightweight X11 Desktop Environment) project.

%prep
%setup -qn %{name}-master
%autopatch -p1

%build
./autogen.sh
%configure --enable-gtk3
%make_build


%install
%make_install
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS
%doc README
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/lxmusic.desktop
%{_datadir}/lxmusic
%{_datadir}/icons/hicolor/128x128/apps/lxmusic.png
