Name:           lxqt-admin
Version:        2.1.0
Release:        %mkrel 1
Summary:        Adjust settings of the operating system LXQt
Group:          Graphical desktop/Other
License:        LGPLv2+
URL:            https://lxqt-project.org/
Source:         https://github.com/lxqt/lxqt-admin/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  cmake(PolkitQt6-1)
BuildRequires:  pkgconfig(lxqt)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Help)

%description
Much like similar tools provided by lxqt-config the tools of
lxqt-admin can be launched from the Configuration Center as well
as from the panel's main menu - Preferences - LXQt settings.

The provided modules are:
- Time and date configuration
- User and Group Settings

%prep
%autosetup -p1

# FIXME: remove bogus desktop translation
rm -f lxqt-admin-time/translations/lxqt-admin-time_ja.desktop

%build
%cmake \
    -DUPDATE_TRANSLATIONS=OFF
%cmake_build

%install
%cmake_install

%files
%doc README.md
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/polkit-1/actions/org.lxqt.lxqt-admin-user.policy
%{_datadir}/lxqt/translations/lxqt-admin-time/
%{_datadir}/lxqt/translations/lxqt-admin-user/
