Name: lxqt-config-randr
Version: 0.7.0
Release: %mkrel 3
Source0: https://lxqt.org/downloads/lxqt/%{version}/%{name}-%{version}.tar.xz
Summary: RandR config module for LXQt
URL: https://lxqt.org/
License: GPL
Group: Graphical desktop/KDE
BuildRequires: cmake
BuildRequires: pkgconfig(lxqt)
BuildRequires: qt4-devel
BuildRequires: pkgconfig(xrandr)

%description
RandR config module for LXQt

%prep
%setup -q -c %{name}-%{version}

%build
%cmake
%make

%install
%make_install -C build

desktop-file-install --remove-category="LXQt" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/lxqt-config-randr.desktop

%files
%{_bindir}/*
%{_datadir}/applications/*.desktop
