%define rel 1

Name:          lxqt-notificationd
Version:       2.1.1
Release:       %mkrel %rel
Summary:       Notification daemon for the LXQt desktop
License:       LGPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/lxqt-notificationd/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: cmake(lxqt)
BuildRequires: cmake(LayerShellQt)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Help)
BuildRequires: cmake(KF6WindowSystem)
Provides:      virtual-notification-daemon

%description
Notification daemon for the LXQt desktop.

%prep
%autosetup -p1

%build
%cmake_qt6
%cmake_build

%install
%cmake_install


%files
%{_sysconfdir}/xdg/autostart/lxqt-notifications.desktop
%{_bindir}/lxqt-notificationd
%{_bindir}/lxqt-config-notificationd
%{_datadir}/applications/lxqt-config-notificationd.desktop
%{_datadir}/lxqt/translations/lxqt-config-notificationd/
%{_datadir}/lxqt/translations/lxqt-notificationd/
