%define rel 1

Name:          lxqt-openssh-askpass
Version:       2.1.0
Release:       %mkrel %rel
Summary:       OpenSSH askpass application for the LXQt desktop
License:       LGPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/lxqt-openssh-askpass/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: cmake(lxqt) >= 2
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6LinguistTools)

%description
OpenSSH askpass application for the LXQt desktop.

%prep
%autosetup -p1

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%{_bindir}/%{name}
%{_mandir}/man1/lxqt-openssh-askpass.1*
%{_datadir}/lxqt/translations/lxqt-openssh-askpass/
