%define rel 1

Name:          lxqt-policykit
Version:       2.1.0
Release:       %mkrel %rel
Summary:       LXQt PolicyKit agent
License:       LGPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/lxqt-policykit/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: cmake(lxqt)
BuildRequires: cmake(lxqt-globalkeys)
BuildRequires: cmake(PolkitQt6-1)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Help)
Provides:      polkit-agent

%description
LXQt PolicyKit agent.

%prep
%autosetup -p1

%build
export CMAKE_PREFIX_PATH=%{_libdir}/cmake/PolkitQt6-1
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%{_bindir}/lxqt-policykit-agent
%{_sysconfdir}/xdg/autostart/lxqt-policykit-agent.desktop
%{_mandir}/man1/lxqt-policykit-agent.1*
%{_datadir}/lxqt/translations/lxqt-policykit-agent/
