%define rel 1

Name:          lxqt-qtplugin
Version:       2.1.0
Release:       %mkrel %rel
Summary:       Qt plugin for the LXQt desktop
License:       LGPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/lxqt-qtplugin/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: cmake(fm-qt6)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Help)
BuildRequires: cmake(qt6xdgiconloader)
BuildRequires: cmake(lxqt2-build-tools)
BuildRequires: cmake(dbusmenu-lxqt) 
BuildRequires: cmake(lxqt-menu-data)

%description
Qt plugin for the LXQt desktop.

%prep
%autosetup -p1

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%{_qt6_plugindir}/platformthemes/*
