Name:           lxqt-sudo
Version:        2.1.0
Release:        %mkrel 1
Summary:        Graphical front-end of commands sudo and su for LXQt desktop
Group:          Graphical desktop/Other
License:        LGPLv2+
URL:            https://lxqt-project.org/
Source:         https://github.com/lxqt/lxqt-sudo/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  pkgconfig(lxqt)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Help)

%description
lxqt-sudo is a graphical front-end of commands sudo and su respectively.
As such it enables regular users to launch applications with permissions
of other users including root.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc README.md
%{_bindir}/*
%{_datadir}/man/man1/*
%{_datadir}/lxqt/translations/lxqt-sudo/
