Name:           lxqt-theme-artemis
Version:        1.0
Release:        %mkrel 4
Source0:        %{version}/%{name}-%{version}.tar.gz
Summary:        Artemis theme for the LXQt desktop
URL:            https://lxqt.org/
License:        LGPLv2+
Group:          Graphical desktop/Other
BuildArch:      noarch
BuildRequires:  cmake
BuildRequires:  qtbase5-common-devel
BuildRequires:  lxqt-build-tools
Requires:       lxqt-themes

%description
Theme for the LXQt desktop with transparency
Wallpaper Source: Foggy river sunset
https://www.opendesktop.org/s/Wallpapers/p/1201420/

%prep
%setup -q %{name}-%{version}

%build
mkdir -p %{buildroot}%_datadir/lxqt/themes
cp -R . %{buildroot}%{_datadir}/lxqt/

%files
%exclude %{_datadir}/lxqt/CMakeLists.txt
%{_datadir}/lxqt/themes/artemis/*

