Name:           lxqt-wayland-session
Version:        0.1.1
Release:        %mkrel 1
Summary:        Files needed for the LXQt Wayland Session
License:        LGPLv2+
Group:          Graphical desktop/KDE
URL:            https://lxqt-project.org/
Source0:        https://github.com/lxqt/lxqt-wayland-session/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  cmake(lxqt) >= 2.1.0
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  xdg-user-dirs

%description
Files needed for the LXQt Wayland Session: Wayland session start
script, its desktop entry for display managers and default
configurations for actually supported compositors which are:

 * Stacking WMs
   ° Labwc (version 0.7.2 and higher)
   ° Wayfire
   ° kwin_wayland

 * Tiling Wms
   ° Hyprland
   ° Niri
   ° river
   ° Sway

%prep
%autosetup -p1

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%license COPYING*
%doc CHANGELOG README.md
%{_bindir}/startlxqtwayland
%{_datadir}/lxqt/graphics/lxqt-labwc.png
%{_datadir}/lxqt/wallpapers/origami-dark-labwc.png
%{_datadir}/lxqt/wayland/
%{_datadir}/wayland-sessions/lxqt-wayland.desktop
%{_datadir}/themes/Vent/
%{_datadir}/themes/Vent-dark/
