Name:		lxrandr
Version:	0.3.3
Release:	%mkrel 1
Summary:	Simple monitor config tool for LXDE
License:	GPLv2+
Group:		Graphical desktop/Other
Url:		https://lxde.sourceforge.net/

Source0:	https://github.com/lxde/%{name}/archive/refs/tags/%{version}.tar.gz
# icons "stolen" from oxygen icon theme
Source1:	%{name}-32.png
Source2:	%{name}-48.png
Source3:	%{name}-16.png

Patch0:		%{name}-0.3.1-mga-desktop-file.patch

BuildRequires:	gtk+3-devel
BuildRequires:	intltool
Requires:	xrandr

%description
This is a very basic monitor config tool utilizing XRandR. It can let you
change the screen resolution on the fly. Besides, when you run lxrandr
with external monitor connected, its GUI will change, and show you some
quick options to get your projector working correctly.

%prep
%setup -q
%autopatch -p1

%build
./autogen.sh
%configure --enable-gtk3
%make_build

%install
%make_install
mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_liconsdir}
mkdir -p %{buildroot}%{_miconsdir}
install -m0644 %{SOURCE1} %{buildroot}%{_iconsdir}/%{name}.png
install -m0644 %{SOURCE2} %{buildroot}%{_liconsdir}/%{name}.png
install -m0644 %{SOURCE3} %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%name
%{_mandir}/man1/*.1.*
%{_datadir}/applications/*.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

