Name:		lxsplit
Summary:	Tool for splitting and joining files on command line
Version:	0.2.4
Release:	%mkrel 10
Group:		File tools
License:	GPLv2
URL:		https://lxsplit.sourceforge.net/
Source:		https://download.sourceforge.net/lxsplit/%{name}-%{version}.tar.gz

BuildRequires:	gcc


%description
A simple tool for splitting files and joining the split
files on Unix-like platforms, such as Linux, FreeBSD, OpenBSD, etc.
Splitting is done without compression and large files (> 4 GB) are
supported. lxSplit is fully compatible with the HJSplit utility which
is available for other operating systems.

%prep
%setup -q

%build
%set_build_flags
make

%install
install -m 755 -D %{name} %{buildroot}%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%doc COPYING README
