%define rel	1

Summary:	Lightweight and desktop independent task manager
Name:		lxtask
Version:	0.1.12
Release:	%mkrel %{rel}
License:	GPLv2+
Group:		Graphical desktop/Other
Source0:	https://github.com/lxde/%{name}/archive/refs/tags/%{version}.tar.gz
URL:		https://lxde.sourceforge.net/
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	desktop-file-utils
BuildRequires:	intltool

%description
Lightweight and desktop independent task manager.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -fcommon"
./autogen.sh
%configure --enable-gtk3
%make_build

%install
%make_install

%{find_lang} %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/man/man1/%{name}.1.*
