%define name	m2vrequantizer
%define Name	M2VRequantizer
%define rel	12

# This is the version that is recommended for the VDR burn plugin.
# Feel free to upgrade after you've tested that the new version
# works with it too.

Summary:	Requantizes MPEG-2 streams
Name:		%name
Version:	20030929
Release:	%mkrel %rel
Group:		Video/Utilities
License:	GPL+
URL:		https://www.xeatre.tv/community/burn/contrib/
Source:		https://www.xeatre.tv/community/burn/contrib/%Name-%version.tar.bz2

%description
Requantizes MPEG-2 streams without recompressing the files.

This is the version that is recommended for the VDR burn plugin.

%prep
%setup -q -n %Name

%build
%__cc %optflags %{?ldflags} -o requant main.c -lm

%install
install -D -m755 requant %{buildroot}%{_bindir}/requant

%files
%{_bindir}/requant
