Summary:	Uility for viewing/manipulating the MAC address of network interfaces
Name:		macchanger
Group:		System/Networking
Version:	1.7.0
Release:	%mkrel 8
License:	GPLv2
URL:		https://www.alobbs.com/macchanger/
Source0:	https://ftp.gnu.org/gnu/macchanger/%{name}-%{version}.tar.gz


%description
A GNU/Linux utility for viewing/manipulating the MAC address of network 
interfaces.
Features
* Set specific MAC address of a network interface
* Set the MAC randomly
* Set a MAC of another vendor
* Set another MAC of the same vendor
* Set a MAC of the same kind (eg: wireless card)
* Display a vendor MAC list (today, 6200 items) to choose from

Possible usages
* You're in a DHCP network with some kind of IP-based restriction
* You've a cluster that boot with BOOTP and you want to have a
* clean set of MACs
* Debug MAC based routes

%prep

%setup -q


%build
%configure
%make_build

%install
%makeinstall

%files
%doc README COPYING ChangeLog AUTHORS tools/*
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_infodir}/%{name}.info*
%{_mandir}/man1/*
