Summary:		%_vendor LXDE configuration files
Name:			mageia-lxde-config
Version:		0.6.4
Release:		%mkrel 10
Group:			Graphical desktop/Other
License:		GPLv2+
URL:			https://www.lxde.org/
# (fwang) https://gitweb.mageia.org/software/desktop/lxde/config
Source0:		%{name}-%{version}.tar.xz
Source1:		Home3.desktop
BuildArch:		noarch

%description
Configuration files for %_vendor LXDE desktop environment.

%package -n %{name}-Default
Summary:		%_vendor LXDE Free configuration files
Group:			Graphical desktop/Other
Requires:		mageia-release-Default
Requires:		mageia-theme
Requires:		gvfs
Conflicts:		lxde-common < 0.3.2.1-6
Requires(post):		lxde-common >= 0.5
Requires(postun):	lxde-common >= 0.5
Provides:		%{name} = %{version}

%description -n %{name}-Default
Configuration files for %_vendor Free LXDE desktop environment.

%prep
%setup -q

%build
# nothing

%install
export sysconfdir=%{_sysconfdir}
export localstatedir=%{_localstatedir}/lib

%make_install

# install mageia desktop icons
install -d %{buildroot}%{_localstatedir}/lib/%_real_vendor/lxde-profiles/Desktop-icons/

install -m755 %{SOURCE1} %{buildroot}%{_localstatedir}/lib/%_real_vendor/lxde-profiles/Desktop-icons/org.lxde.home.desktop

%pre -n %{name}-Default
if [ -d %{_localstatedir}/lib/%_real_vendor/lxde-profiles/Default ]; then
  rm -rf %{_localstatedir}/lib/%_real_vendor/lxde-profiles/Default
fi

%post -n %{name}-Default
update-alternatives --install %{_sysconfdir}/xdg/lxsession/LXDE/desktop.conf lxde-config %{_localstatedir}/lib/%_real_vendor/lxde-profiles/Default/desktop.conf 10

%postun -n %{name}-Default
if ! [ -e /var/lib/%_real_vendor/lxde-profiles/Default ]; then
  update-alternatives --remove lxde-config /var/lib/%_real_vendor/lxde-profiles/Default/desktop.conf
fi

%triggerpostun -n %{name}-Default -- %{name}-Default < 0.5
update-alternatives --remove lxde-config /var/lib/%_real_vendor/lxde-profiles/Default/config

%files -n %{name}-Default
%ghost %{_sysconfdir}/xdg/lxsession/LXDE/desktop.conf
%ghost %{_sysconfdir}/alternatives/lxde-config
%{_localstatedir}/lib/mageia/lxde-profiles/Default
%{_localstatedir}/lib/%_real_vendor/lxde-profiles/Desktop-icons/*.desktop
