Name:           mageia-repo-zdicts
Version:        1906.2
Release:        %mkrel 4
Summary:        Zstd dictionaries for Mageia repository metadata
Group:          System/Packaging
License:        BSD
URL:            https://pagure.io/mageia-repo-zdicts
Source0:        https://releases.pagure.org/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  bash

%description
zchunk is a compressed file format that splits the file into independent
chunks. This package contains zstd libraries tailored for Mageia's repository
metadata to improve their compression.


%prep
%autosetup


%build
# This package contains pregenerated zstd dictionaries so we don't have to
# carry 60+MB of metadata per Mageia release in the SRPM (and so we're not
# filling up our git repository)


%install
%make_install


%files
%license LICENSE
%doc README.md
%{_datadir}/mageia-repo-zdicts

