Summary:        Modules manager (for distros based on MagicOS)
Name:           magicos-modmnger
Version:        0.0.1
Release:        %mkrel 5
License:        GPLv3+
URL:            https://code.google.com/p/magicos-soft
Group:          System/Base
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
Requires:       tk
Requires:       magicos-scripts
Requires:       beesu
Requires:       magicos-tools

%description
GUI for activate, deactivate, create and convert modules
(for distros based on MagicOS).

%prep
%setup -q

%build
# nothing

%install
mkdir -p %{buildroot}%{_datadir}/modmnger
mkdir -p %{buildroot}%{_datadir}/modmnger/msg
cp -f ./*.tcl %{buildroot}%{_datadir}/modmnger/
cp -f ./modmnger %{buildroot}%{_datadir}/modmnger/
cp -f ./msg/*.msg %{buildroot}%{_datadir}/modmnger/msg/
mkdir -p %{buildroot}%{_iconsdir}
cp -f ./module-icon.gif %{buildroot}%{_iconsdir}/
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -f ./modmnger.png %{buildroot}%{_datadir}/pixmaps/
mkdir -p %{buildroot}%{_bindir}
ln -s %{_datadir}/modmnger/modmnger %{buildroot}%{_bindir}/modmnger
mkdir -p %{buildroot}%{_sysconfdir}
cp -f modmnger_globals %{buildroot}%{_sysconfdir}/
#install -dm 755 %{buildroot}%{_datadir}/applications
#install -m 0644 modmnger.desktop %{buildroot}%{_datadir}/applications/modmnger.desktop

%files
%doc rus.html AUTHORS
%{_bindir}/modmnger
%{_datadir}/modmnger
%{_iconsdir}/*.gif
%{_datadir}/pixmaps/modmnger.png
%config(noreplace) %{_sysconfdir}/modmnger_globals
#%{_datadir}/applications/modmnger.desktop
