Summary: 	Manager for the Matchbox Desktop panel
Name: 		matchbox-panel-manager
Version: 	0.1
Release: 	%mkrel 14
Url: 		http://matchbox-project.org/
License: 	GPLv2+
Group: 		Graphical desktop/Other
Source0: 	http://matchbox-project.org/sources/%version/%{name}-%{version}.tar.bz2
Patch0:		matchbox-panel-manager-0.1-linking.patch
Patch1:		matchbox-panel-manager-0.1-automake-1.13.patch
BuildRequires:	pkgconfig(libmb) 
BuildRequires:	gtk2-devel
Requires:	matchbox-panel

%description
A GTK2 based manager for the Matchbox Desktop panel

%prep
%setup -q
%autopatch -p1

#fix desktop file
sed -i -e 's,\(Icon=.*\)\.png,\1,g' mb-panel-manager.desktop

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

desktop-file-install \
	--vendor="" \
	--set-key="StartupNotify" \
	--set-value="true" \
	--remove-key="SingleInstance" \
	--remove-category="MB" \
	--remove-category="SystemSettings" \
	--dir=%{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*.desktop


%files
%doc README 
%_bindir/%name
%_datadir/applications/*
%_datadir/pixmaps/*
