
Summary:  MATE Keyboard LED indicator 
Name:     mate-applet-lockkeys
Version:  0.3.1
Release:  %mkrel 1
Group:    Graphical desktop/MATE
License:  GPLv2+
URL:      http://www.zavedil.com/mate-lock-keys-applet/
Source:   http://www.zavedil.com/wp-content/uploads/2013/02/%{name}-%{version}.tar.gz

BuildRequires: gettext
BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: pkgconfig(libmatepanelapplet-4.0) >= 1.16.0
BuildRequires: pkgconfig(popt)

%description
Keyboard LED indicator applet for the MATE desktop environment.

%prep
%autosetup

%build
%configure

%make_build

%install
%make_install

rm -f %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache
rm -f %{buildroot}%{_datadir}/glib-2.0/schemas/gschemas.compiled
rm -f %{buildroot}%{_docdir}/mate-applet-lockkeys/*

%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS BUGS ChangeLog COPYING README TODO
%{_libexecdir}/lockkeys_applet
%{_datadir}/pixmaps/*.xpm
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/applet_lockkeys.png
%{_datadir}/mate-panel/applets/org.mate.applets.LockkeysApplet.mate-panel-applet
%{_datadir}/dbus-1/services/org.mate.panel.applet.LockkeysApplet.service
%{_datadir}/mate-2.0/ui/lockkeys-applet-menu.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.LockkeysApplet.gschema.xml


