%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:       mate-common
Summary:    MATE common build files
Version:    1.28.0
Release:    %mkrel 1
License:    GPLv3+
Group:      Development/Other
URL:        https://mate-desktop.org/
Source0:    https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:  noarch
Requires:   automake
Requires:   autoconf
Requires:   autoconf-archive
Requires:   m4
Requires:   intltool
Requires:   gettext-devel
Requires:   gtk-doc

%description
Binaries for building all MATE desktop subcomponents.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files
%{_bindir}/mate-autogen
%{_bindir}/mate-doc-common
%{_datadir}/aclocal/*.m4
%{_datadir}/mate-common
%{_mandir}/man1/mate-autogen.1*
%{_mandir}/man1/mate-doc-common.1*
