%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:    mate-themes
Version: 3.22.26
Release: %mkrel 1
Summary: MATE Desktop themes
Group:   Graphical desktop/MATE
License: LGPLv2+
URL:     https://mate-desktop.org
Source0: https://pub.mate-desktop.org/releases/themes/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch: noarch

BuildRequires: itstool
BuildRequires: icon-naming-utils
BuildRequires: mate-common
BuildRequires: pkgconfig(gtk-engines-2)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)

# GTK2 theme engines
Requires: gtk2-hc-engine
Requires: gtk2-clearlooks-engine
Requires: gtk2-murrine-engine

# Icon themes
Requires: mate-icon-theme
Requires: gnome-themes-extra

%description
This packages contains themes for MATE.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

touch %{buildroot}%{_iconsdir}/ContrastHigh/icon-theme.cache

find %{buildroot} -name '*.la' -delete

%post
%update_icon_cache ContrastHigh

%files
%doc AUTHORS COPYING README
%dir %{_iconsdir}/ContrastHigh/
%{_iconsdir}/ContrastHigh/*/
%{_iconsdir}/ContrastHigh/index.theme
%ghost %{_iconsdir}/ContrastHigh/icon-theme.cache
%dir %{_iconsdir}/mate-black/
%{_iconsdir}/mate-black/*/
%{_iconsdir}/mate-black/index.theme
%{_iconsdir}/mate/
%{_datadir}/themes/*
