%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:           mate-user-guide
Summary:        Mate Desktop user guide and docs
Version:        1.28.0
Release:        %mkrel 1
License:        CC-BY-SA
Group:          Graphical desktop/MATE
URL:            https://mate-desktop.org/
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  yelp-tools
BuildRequires:  itstool
BuildRequires:  mate-common >= %{url_ver}
Requires:       mate-desktop >= %{url_ver}

%description
This package contains documents about MATE Desktop
for end users.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%{_datadir}/applications/%{name}.desktop
