Name:          maven-jaxb-plugin
Version:       1.1.1
Release:       %mkrel 8
Summary:       Maven JAXB Plugin
Group:         Development/Java
License:       ASL 2.0
Url:           https://jaxb.dev.java.net/
# svn export https://svn.java.net/svn/jaxb~version2/trunk/jaxb-maven2-plugin maven-jaxb-plugin-1.1.1
# tar czf maven-jaxb-plugin-1.1.1-src-svn.tar.gz maven-jaxb-plugin-1.1.1
Source0:       maven-jaxb-plugin-%{version}-src-svn.tar.gz
Patch0:        maven-jaxb-plugin-1.1.1-pom.patch
Patch1:        maven-jaxb-plugin-1.1.1-no-jaf.patch

BuildArch:     noarch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: bea-stax-api
BuildRequires: glassfish-jaxb
BuildRequires: glassfish-jaxb-api
BuildRequires: forge-parent

BuildRequires: maven-local
BuildRequires: maven-changelog-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-project
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-surefire-report-plugin
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)

Requires:      ant
Requires:      bea-stax-api
Requires:      glassfish-jaxb
Requires:      glassfish-jaxb-api
Requires:      maven-project

%description
JAXB XJC Compiler for Maven 2. Part of the JAXB 2.0 RI Project.

%package       javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description   javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
%autopatch -p0

%build
%mvn_build
#mvn-rpmbuild -e \
#  install javadoc:aggregate

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc
