Name:          maven-repository-importer
Version:       1.2
Release:       %mkrel 6
Summary:       Ant task to help importing jars to java.net maven repository
Group:         Development/Java
License:       CDDL
Url:           https://java.net/projects/maven-repository-importer/
# https://svn.java.net/svn/maven-repository-importer~svn/trunk/maven-repository-importer
# remove ant 1.6.2 src
# rm -rf maven-repository-importer/lib/ant-src.zip
# tar czf maven-repository-importer-src-svn.tar.gz maven-repository-importer
Source0:       maven-repository-importer-1.2-src-svn.tar.gz
# from https://ant.apache.org/ 
# unzip apache-ant-1.8.2-src.zip && cd apache-ant-1.8.2
# rm -rf INSTALL KEYS LICENSE NOTICE README WHATSNEW *.xml *.bat *.sh docs lib src/antidote src/etc src/resources src/script src/test
#Source1:       ant-1.8.2-src.zip
BuildRequires: ant
BuildRequires: jpackage-utils
Requires:      ant
Requires:      jpackage-utils
BuildArch:     noarch

%description
Ant task to help importing jars to java.net maven repository.

%prep
%setup -q -n maven-repository-importer

for f in $(find . -name "*.jar"); do
	mv $f $f.no
done
#sed -i "s|apache-ant-1.6.2|apache-ant-1.8.2|" maven-repository-importer.iml
ln -sf $(build-classpath ant) lib/
#rm -rf lib/ant-src.zip
#cp -pr %{SOURCE1} lib/ant-src.zip

%build

ant -Dbuild.id=%{version} push-to-maven-prepare

%install
mkdir -p %{buildroot}%{_javadir}
install -pm 644 build/maven-repository-importer.jar %{buildroot}%{_javadir}
install -pm 644 build/maven-repository-importer-cli.jar %{buildroot}%{_javadir}

#mkdir -p %{buildroot}%{_mavenpomdir}
#install -pm 644 build/maven-repository/com.sun.wts.tools.mri/poms/maven-repository-importer-1.2.pom \
#	%{buildroot}%{_mavenpomdir}/JPP-maven-repository-importer.pom
#add_maven_depmap JPP-maven-repository-importer.pom maven-repository-importer.jar


%files
%{_javadir}/maven-repository-importer.jar
%{_javadir}/maven-repository-importer-cli.jar
#%{_mavenpomdir}/*
#%{_mavendepmapfragdir}/*

