%global app_version 1.0-SNAPSHOT
%global def_version 1.1-SNAPSHOT
%global cla_version 1.1-SNAPSHOT
%global sty_version 1.2-SNAPSHOT

Name:           maven-skins
Version:        5
Release:        %mkrel 11
Summary:        Maven Skins
Group:          Development/Java
License:        ASL 2.0
URL:            https://maven.apache.org/skins/
# svn export http://svn.apache.org/repos/asf/maven/skins/tags/maven-skins-5
# tar caf maven-skins-5-tar.xz maven-skins-5/
Source0:        %{name}-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  maven-install-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-site-plugin

%description
Skins for the maven site generator. 

%prep
%setup -q 

sed -i -e "s|%{version}-SNAPSHOT|%{version}|g" maven-application-skin/pom.xml
sed -i -e "s|%{version}-SNAPSHOT|%{version}|g" maven-default-skin/pom.xml
sed -i -e "s|%{version}-SNAPSHOT|%{version}|g" maven-classic-skin/pom.xml
sed -i -e "s|%{version}-SNAPSHOT|%{version}|g" maven-stylus-skin/pom.xml
rm -fr src/site/site.xml


%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
