#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           mbox-importer
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Wizard to assist with importing MBox email archives into Akonadi
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz
# FIXME missing 32bit support for mailcommon
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)

# Find KF6 package
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6KIO)

# Find KdepimLibs Package
BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KPim6MailCommon)
BuildRequires:  cmake(KPim6MailImporterAkonadi)
BuildRequires:  cmake(KPim6IdentityManagementCore)

%description
Wizard to assist with importing MBox email archives into Akonadi.

%files -f %name.lang
%_kf6_bindir/mboximporter
%_kf6_applicationsdir/org.kde.mboximporter.desktop

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name
