Summary:	Measuring Buffer is an enhanced version of buffer
Name:		mbuffer
Version:	20241007
Release:	%mkrel 1
Group:		File tools
License:	GPLv3+
URL:		https://www.maier-komor.de/mbuffer.html
Source0:	https://www.maier-komor.de/software/mbuffer/mbuffer-%{version}.tgz
Patch0:		mbuffer-20171011-pipe-buf.patch
BuildRequires:	mt-st
BuildRequires:	mhash-devel

%description
Measuring Buffer is an enhanced version of buffer. It features display of
throughput, memory-mapped file I/O for huge buffers, and multithreading.

%prep
%autosetup -p1

%build
# suppress detection of MD5_Init functions if openssl-devel
# is available on build system, let only mhash_init be
# detected if the md5 hash feature is enabled
export ac_cv_search_MD5_Init=no

%configure

%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog LICENSE NEWS README
%{_sysconfdir}/%{name}.rc
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


