Name:          mda-lv2
Version:       1.2.10
Release:       %mkrel 1
Summary:       LV2 port of the MDA effects and synths
Group:         Sound/Midi
License:       GPLv3
URL:           https://drobilla.net/software/%{name}
Source0:       https://download.drobilla.net/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(lv2)
BuildRequires: lv2lint
BuildRequires: sord
BuildRequires: meson

%description
DA-LV2 is an LV2 port of the well-known VST MDA plugins by Paul Kellett. 
It contains 36 high-quality effects and instruments, with one of
the greatest virtual pianos among them.
The full documentation of the original VST's is here:
http://mda.smartelectronix.com/vst/help/index.htm

%prep
%autosetup 


%build
%meson -D tests=disabled
# tests require 'autoship', which is not packaged nor vendored in the project
%meson_build 

%install
%meson_install

%files
%doc NEWS README.md INSTALL.md
%{_libdir}/lv2/*
