%define name	mdf2iso
%define version	0.3.0
%define release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Convert Alkohl 120% CD Images to ISO
Source:		%{name}-%{version}-src.tar.bz2
Patch0:		mdf2iso-0.3.0-fix-large-filesystem.patch
URL:		http://mdf2iso.berlios.de/
License:	GPLv2
Group:		Archiving/Other
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description 
MDF2ISO is a very simple utility to convert an Alcohol 120% bin image
to the standard ISO-9660 format.

%prep
%setup -q -n %name
%patch -P 0 -p1

%build
gcc %optflags ./src/mdf2iso.c -o mdf2iso

%install
mkdir -p %{buildroot}%{_bindir}
install mdf2iso %{buildroot}%{_bindir}/mdf2iso

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog gpl.txt
%{_bindir}/mdf2iso





