%define mediawiki_extensions %{_datadir}/mediawiki/extensions
%define oname Math
%define mwikiver 1.35
%define gitsnap b5a8f57

Name:		mediawiki-math
Version:	3.0.0
Release:	%mkrel 14
Summary:	Mediawiki extension for %{oname}
License:	GPLv2+
Group:		System/Servers
BuildArch:	noarch
Url:		https://www.mediawiki.org/wiki/Extension:%{oname}

Source0:	https://extdist.wmflabs.org/dist/extensions/Math-REL1_35-%{gitsnap}.tar.gz

Requires:	mediawiki > %{mwikiver}
Requires:	tetex-dvips
Requires:	tetex-latex

%description
Math extension provides support for rendering mathematical formulas on-wiki via
texvc. It was a part of the core MediaWiki software until MediaWiki 1.18.


%prep
%setup -q -n Math
%autopatch -p1

%build

%install
mkdir -p %{buildroot}%{mediawiki_extensions}/%{oname}
cp -a * %{buildroot}%{mediawiki_extensions}/%{oname}

cat  > README.install.urpmi << EOF
To use this extension, you have to add
the following lines to your LocalSettings.php

require_once("%{mediawiki_extensions}/Math/Math.php");
\$wgTexvc = "%{mediawiki_extensions}/Math/texvc";

In addition, make sure the variables \$wgMathDirectory,
\$wgMathPath and \$wgTmpDirectory are set, as well as the
more general variables \$wgEnableUploads and \$wgUploadPath
according to your wiki instance.

For more information, see https://www.mediawiki.org/wiki/Extension:Math
EOF

%files
%doc README.install.urpmi
%{mediawiki_extensions}/%{oname}
