Summary:	Memory tester
Name:		memtester
Version:	4.7.1
Release:	%mkrel 1
License:	GPLv2
Group:		Monitoring
URL:		https://pyropus.ca/software/memtester/
Source:		https://pyropus.ca/software/memtester/old-versions/%{name}-%{version}.tar.gz
Patch0:		memtester-4.0.8-debuginfo.patch

%description
Memtest is a utility for testing the memory subsystem in a computer to
determine if it is faulty.

%prep
%autosetup -p1

%build
%make_build -e OPT="%{optflags}"

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_mandir}/man8
install -m 644 %{name}.8 %{buildroot}%{_mandir}/man8/

%files
%doc BUGS CHANGELOG README.tests README
%license COPYING
%{_bindir}/*
%{_mandir}/man8/*
