Name:		mga-advisor           
Version:    1   
Release:	%mkrel 2
  
Summary:	Tool to write advisories for mageia        

#To check with papoteur
License:	GPLv3        
Group:		System/Packaging         
URL:		https://gitweb.mageia.org/software/infrastructure/mga-advisor            
Source0:	https://gitweb.mageia.org/software/infrastructure/mga-advisor/plain//mga-advisor.py        
Source1:	https://gitweb.mageia.org/software/infrastructure/mga-advisor/plain//form.ui

BuildArch: noarch    

BuildRequires: pkgconfig(python3)
 
Requires:	python3-pyside6-core
Requires:   python3-pyside6-gui
Requires:	python3-pyside6-uitools
Requires:   python3-pyside6-widgets
Requires:   python3-yaml

#To configure you working copy of advisories's svn
Recommends: mga-advisories

 
%description
Can import references, SRPMs with their new NVRs and CVEs and does 
in more ways help to avoid typos and wrong indentation.

%prep

%build

%install

mkdir -p %{buildroot}/%{python3_sitelib}/%{name}
install -m0644 %{SOURCE0} %{buildroot}/%{python3_sitelib}/%{name}/
%py_byte_compile %{__python} %{buildroot}/%{python3_sitelib}/%{name}/
install -m0644 %{SOURCE1} %{buildroot}/%{python3_sitelib}/%{name}/

mkdir -p %{buildroot}/%{_datadir}/applications
cat > %{buildroot}/%{_datadir}/applications/MgaAdvisor.desktop << EOF 
[Desktop Entry]
Exec=python %{python3_sitelib}/%{name}/mga-advisor.py
Icon=mageia-menu
Name[fr_FR]=Mageia Advisor
Name=Mageia Advisor
StartupNotify=true
Terminal=false
Type=Application
Categories=Utility;X-MageiaLinux-CrossDesktop;
EOF
chmod 0644 %{buildroot}/%{_datadir}/applications/MgaAdvisor.desktop

%files
%{python3_sitelib}/%{name}
%{_datadir}/applications/MgaAdvisor.desktop
