%define gitname mgaadvisories

Name:           mga-advisories
Version:        0.32
Release:        %mkrel 1
Summary:        Tool to generate Mageia advisories pages and emails
Group:          Text tools
License:        CC0
URL:            https://advisories.mageia.org/
Source0:        https://gitweb.mageia.org/software/infrastructure/mgaadvisories/snapshot/%{gitname}-%{version}.tar.xz
BuildArch:      noarch

Requires:       perl(Template::Plugin::JSON)
Requires:       perl-Module-Pluggable

%description
Tool to generate Mageia advisories emails and pages on
https://advisories.mageia.org/

%prep
%autosetup -n %{gitname}-%{version}

%build

%install
%make_install perldir=%{perl_vendorlib}

%files
%doc README COPYING NEWS
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/mgaadv
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/config
%{_datadir}/%{name}/tmpl
%{_datadir}/%{name}/static
%{perl_vendorlib}/MGA/Advisories.pm
