%define name    mga-mirrors
%define oname   MGA-Mirrors

Name:       %{name}
Version:    0.08
Release:    %mkrel 1
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Mageia Mirrors management
# Build this from source with: perl Makefile.PL && make dist
Source:     %{oname}-%{version}.tar.gz
Url:        https://mirrors.mageia.org/
BuildArch:  noarch

BuildRequires: perl(Catalyst::Plugin::Prototype)
BuildRequires: perl(Module::Install)
BuildRequires: perl(Catalyst)
BuildRequires: perl(Catalyst::Devel)
BuildRequires: perl(Catalyst::Plugin::Session::State::Cookie)
BuildRequires: perl(Catalyst::Plugin::Session)
BuildRequires: perl(Catalyst::Action::RenderView)
BuildRequires: perl(Catalyst::View::TT)
BuildRequires: perl(Catalyst::View::GraphViz)
BuildRequires: perl(Catalyst::Plugin::ConfigLoader)
BuildRequires: perl(Catalyst::Plugin::Static::Simple)
BuildRequires: perl(Catalyst::Plugin::Prototype)
BuildRequires: perl(DBD::Pg)
BuildRequires: perl(Mail::Mailer)
BuildRequires: perl(Catalyst::Plugin::Prototype)
BuildRequires: perl(Catalyst::Plugin::Session::Store::FastMmap)
BuildRequires: perl(Net::DNS)
BuildRequires: perl(Config::General)
# (blino) for Catalyst::Plugin::Session::Store::FastMmap and Catalyst::Plugin::Prototype on Mandriva 2010.1
BuildRequires: perl(Class::Data::Inheritable)

Requires: perl(Catalyst::Plugin::Session::State::Cookie)
Requires: perl(Catalyst::Plugin::Session::Store::FastMmap)
Requires: perl(Catalyst::Plugin::Session)
Requires: perl(Catalyst::Plugin::Session::Store::DBI)
Requires: perl(Catalyst::Action::RenderView)
Requires: perl(Catalyst::View::TT)
Requires: perl(Catalyst::View::GraphViz)
Requires: perl(Catalyst::Plugin::ConfigLoader)
Requires: perl(Catalyst::Plugin::Static::Simple)
Requires: perl(Catalyst::Plugin::Prototype)
Requires: perl(DBD::Pg)

%description
Mageia Mirrors management

%prep
%setup -q -n %{oname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%if 0
%check
make test
%endif

%install
%make_install

mkdir -p %{buildroot}%_sysconfdir
install mga-mirrors.ini.in %{buildroot}%_sysconfdir/mga-mirrors.ini

mkdir -p %{buildroot}%_var/www/cgi-bin
install script/mga_mirrors_cgi.pl %{buildroot}%_var/www/cgi-bin/mga_mirrors_cgi.pl

%files
%doc Changes README
%attr(0640,root,apache) %config(noreplace) %_sysconfdir/mga-mirrors.ini
%_sysconfdir/cron.d/mga_mirrors
%_bindir/*
%_var/www/cgi-bin/mga_mirrors_cgi.pl
%{_mandir}/man3/*
%{_mandir}/man1/*
%perl_vendorlib/*

