Name:		mgasoft
Version:	0.1
Release:	%mkrel 9
Summary:	Tool to manage mageia software releases
URL:		https://wiki.mageia.org/en/Mgasoft
Source:		%{name}-%{version}.tar.xz
Group:		Development/Other
License:	CC0
BuildArch:	noarch

%description
mgasoft is a tool to manage mageia software releases. It provides
commands to tag versions, generate tarballs, and publish tarballs on
mageia mirrors.

%package publish
Summary:	Server part of mgasoft
Group:		Development/Other
Requires:	%{name}

%description publish
This is the server part of the mgasoft tool, to be installed on the
server where the software tarball are published.

%prep
%setup -q

%build

%install
%make_install

%files
%config(noreplace) %{_sysconfdir}/mgasoft.conf
%{_bindir}/mgasoft

%files publish
%{_bindir}/mgasoft-publish

