%define oname MHonArc

Summary:	A Perl mail-to-HTML converter
Name:		mhonarc
Version:	2.6.24
Release:	%mkrel 2
License:	GPLv2+
Group:		Networking/WWW
URL:		https://github.com/sympa-community/MHonArc/
Source:		https://github.com/sympa-community/MHonArc/archive/%{version}/%{oname}-%{version}.tar.gz
Patch0:         MHonArc-2.6.15-fix-perl.patch
Requires:	perl >= 0:5.601
BuildArch:	noarch

%global __requires_exclude  %{?__requires_exclude}|^perl\\((mhamain.pl|shellwords.pl)\\)

%description
MHonArc provides HTML mail archiving with index, mail thread linking, etc; plus
other capabilities including support for MIME and powerful user customization
features.

%prep
%autosetup -p1 -n %{oname}-%{version}

%build

%install
perl install.me -batch -nodoc \
	-binpath %{buildroot}%{_bindir} \
	-libpath %{buildroot}%{_datadir}/%{oname} \
	-manpath %{buildroot}%{_mandir}

# just in case
cd %{buildroot}
find . -type f -exec perl -pi -e "s|%{buildroot}||g" {} \;

%files
%doc ACKNOWLG BUGS CHANGES README.txt RELNOTES
%doc doc examples extras logo
%{_bindir}/%{name}
%{_bindir}/mha-*
%{_datadir}/%{oname}/
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/mha-*.1*
