#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1
%define module milou

Summary:        A dedicated search application built on top of Baloo
Name:           %module
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{module}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Runner)
BuildRequires:  cmake(KF6Svg)
BuildRequires:  cmake(Plasma)

Provides:       plasma-%module = %version-%release

%description
A dedicated search application built on top of Baloo.

%files -f %name.lang
%_kf6_qmldir/org/kde/milou
%_kf6_datadir/plasma/plasmoids/org.kde.milou
%_kf6_metainfodir/org.kde.milou.appdata.xml

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %module-%version

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name --all-name
