Name:           mingw-cxxtest
Version:        3.10.1
Release:        %mkrel 19
Summary:        A JUnit-like testing framework for C++

Group:          Development/Other
License:        LGPLv2+
URL:            http://cxxtest.tigris.org
Source0:        http://cxxtest.tigris.org/files/documents/6421/43281/cxxtest-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem

%description
CxxTest is a JUnit/CppUnit/xUnit-like framework for C++.
Its advantages over existing alternatives are that it:
 - doesn't require RTTI
 - doesn't require member template functions
 - doesn't require exception handling
 - doesn't require any external libraries (including memory management,
   file/console I/O, graphics libraries)


%package -n mingw32-cxxtest
Summary:        A JUnit-like testing framework for C++
Requires:       mingw32-filesystem

# Remove the -doc subpackage as it duplicates what's in native cxxtest-doc
Obsoletes:      mingw32-cxxtest-doc < 3.10.1-5

%description -n mingw32-cxxtest
CxxTest is a JUnit/CppUnit/xUnit-like framework for C++.
Its advantages over existing alternatives are that it:
 - doesn't require RTTI
 - doesn't require member template functions
 - doesn't require exception handling
 - doesn't require any external libraries (including memory management,
   file/console I/O, graphics libraries)


%prep
%setup -q -n cxxtest

%build


%install
mkdir -p $RPM_BUILD_ROOT/%{mingw32_includedir}/cxxtest
install -D -p -m 644 cxxtest/* $RPM_BUILD_ROOT/%{mingw32_includedir}/cxxtest


%files -n mingw32-cxxtest
%doc COPYING
%{mingw32_includedir}/cxxtest/


