%global __requires_exclude ^pear\\(.*\\)

Name:		miniflux
Version:	1.0.2
Release:	%mkrel 10
Summary:	Minimalist web based news reader
License:	GPL
Group:		System/Servers
URL:		https://miniflux.net/
Source0:	https://miniflux.net/miniflux-%{version}.zip
Requires:	php-webinterface
Requires:	php-pdo_sqlite
BuildArch:	noarch

%description
Miniflux is a minimalist web based news reader. I developed my own RSS reader
for my own usage and now I share it to everybody as a free software.

%prep
%setup -q -n %{name}

%build

%install
install -d -m 755 %{buildroot}%{_datadir}/%{name}
cp -pr *  %{buildroot}%{_datadir}/%{name}

rm -f %{buildroot}%{_datadir}/%{name}/LICENSE
rm -rf %{buildroot}%{_datadir}/%{name}/data

install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}

pushd %{buildroot}%{_datadir}/%{name}
ln -s ../../..%{_localstatedir}/lib/%{name} data
popd

# apache configuration
install -d -m 755 %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/%{name}.conf <<EOF
# %{name} Apache configuration file
Alias /%{name} %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
    Require all granted
</Directory>
EOF

%files
%doc LICENSE
%{_datadir}/%{name}
%attr(-,apache,apache) %{_localstatedir}/lib/%{name}
%config(noreplace) %{_webappconfdir}/%{name}.conf
