%bcond_without  nm_icons


Name:           mint-x-icons
Version:        1.6.4
Release:        1%{?dist}
Summary:        Icon theme for Linux Mint

License:        GPLv3+
URL:            https://linuxmint.com/
Source0:        http://packages.linuxmint.com/pool/main/m/%{name}/%{name}_%{version}.tar.xz
Group:          Graphical desktop/Cinnamon

BuildArch:      noarch

BuildRequires:  fdupes

Requires:       filesystem
Requires:       gnome-icon-theme
Requires:       hicolor-icon-theme

%description
%{summary}.


%prep
%autosetup -c


%build
%if %{with nm_icons}
# Remove icons for nm-applet, because they are ugly.
%{_bindir}/find %{name}%{_prefix} -name "nm-*" -type f -delete
%{_bindir}/find %{name}%{_prefix} -name "nm-*" -xtype l			\
  -exec %{_bindir}/unlink {} \;
%{_bindir}/find %{name}%{_prefix} -name 'gnome-netstatus*' -xtype l	\
  -exec %{__file} {} \; | %{__grep} 'broken' |			\
  %{__sed} -e 's!:[ \t]\+.*$!!g' |				\
  %{_bindir}/xargs --max-args=1 %{_bindir}/unlink
%endif


%install
%{__cp} -pr %{name}%{_prefix} %{buildroot}
%fdupes -s %{buildroot}


%if 0%{?fedora} || 0%{?rhel} >= 8
%transfiletriggerin -- %{_datadir}/icons/Mint-X
for _dir in %{_datadir}/icons/Mint-X*/ ; do
  %{_bindir}/gtk-update-icon-cache --force ${_dir} &>/dev/null || :
done


%transfiletriggerpostun -- %{_datadir}/icons/Mint-X
for _dir in %{_datadir}/icons/Mint-X*/ ; do
  %{_bindir}/gtk-update-icon-cache --force ${_dir} &>/dev/null || :
done
%else
%post
for _dir in %{_datadir}/icons/Mint-X*/ ; do
  /bin/touch --no-create ${_dir} &>/dev/null || :
done


%postun
if [ $1 -eq 0 ] ; then
  for _dir in %{_datadir}/icons/Mint-X*/ ; do
    %{_bindir}/gtk-update-icon-cache ${_dir} &>/dev/null || :
  done
fi


%posttrans
for _dir in %{_datadir}/icons/Mint-X*/ ; do
  %{_bindir}/gtk-update-icon-cache ${_dir} &>/dev/null || :
done
%endif


%files
%license %{name}/debian/copyright
%doc %{name}/debian/changelog
%{_datadir}/icons/Mint-X*
