%global py_interp %{__python3}

Name:           mint-y-icons
Version:        1.5.9
Release:        1%{?dist}
Summary:        The Mint-Y icon theme

License:        CC-BY-SA
URL:            https://linuxmint.com
Source0:        http://packages.linuxmint.com/pool/main/m/%{name}/%{name}_%{version}.tar.xz
Group:          Graphical desktop/Cinnamon

BuildArch:      noarch

BuildRequires:  fdupes
BuildRequires:  python3-devel

Requires:       filesystem
Requires:       mint-x-icons
Requires:       gnome-icon-theme
Requires:       hicolor-icon-theme

%description
%{summary}.


%prep
%autosetup -n %{name}


%build
# Add links for some additional programs.
#pushd %%{name}
#{py_interp} ./create-links src.png dest.png
#popd


%install
#pushd %%{name}
%{__cp} -pr ${PWD}%{_prefix} %{buildroot}
%fdupes -s %{buildroot}
#popd


%transfiletriggerin -- %{_datadir}/icons/Mint-Y
for _dir in %{_datadir}/icons/Mint-Y*/ ; do
  %{_bindir}/gtk-update-icon-cache --force ${_dir} &>/dev/null || :
done


%transfiletriggerpostun -- %{_datadir}/icons/Mint-Y
for _dir in %{_datadir}/icons/Mint-Y*/ ; do
  %{_bindir}/gtk-update-icon-cache --force ${_dir} &>/dev/null || :
done


%files
%license debian/copyright
%doc debian/changelog
%doc README.md
%{_datadir}/icons/Mint-*/
