Name:    missfits
Version: 2.8.0
Release: %mkrel 8
Summary: FITS file management

Group:   Sciences/Astronomy
License: GPLv3

URL:     https://www.astromatic.net/software/%{name}
Source0: https://www.astromatic.net/download/%{name}/%{name}-%{version}.tar.gz

%description
MissFITS is a program that performs basic maintenance and packaging
tasks on FITS files using an optimised FITS library.

%prep
%setup -q


%build
CFLAGS="%{optflags} -fcommon"
%configure
%make_build 


%install
%make_install

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/manx/%{name}.x*
%{_datadir}/%{name}/missfits.xsl


