%define _disable_ld_no_undefined 1
%global _legacy_common_support 1

Name:		mk-livestatus
Version:	1.2.4p5
Release:	%mkrel 8
Summary:	Nagios Event Broker Module
Group:		System/Servers
License:	BSD
URL:		https://mathias-kettner.com/checkmk_livestatus.html
Source:		https://www.mathias-kettner.de/download/%{name}-%{version}.tar.gz
Requires:	nagios

%description
MKLivestatus is a brand new Nagios Event Broker (NEB) Module which can be used
to extend the core of Nagios. The MKLivestatus module provides access to the
live status information kept in the running Nagios process. It serves a unix
socket for data exchange with external scripts/addons.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

install -d -m 775 %{buildroot}%{_sysconfdir}/nagios/conf.d
cat > %{buildroot}%{_sysconfdir}/nagios/conf.d/livestatus.cfg <<'EOF'
broker_module=%{_libdir}/mk-livestatus/livestatus.o %{_localstatedir}/spool/nagios/live
EOF

%files
%{_bindir}/unixcat
%{_libdir}/mk-livestatus
%{_sysconfdir}/nagios/conf.d/livestatus.cfg
