%define upstream_version 20240407

Name:		mobile-broadband-provider-info
Summary:	Mobile broadband providers database
Group:		System/Configuration
Epoch:		1
Version:	1.%{?snapshot:%{snapshot}git}%{!?snapshot:%upstream_version}
Release:        %mkrel 1
License:	Public Domain
URL:		https://wiki.gnome.org/NetworkManager/MobileBroadband/ServiceProviders
Source0:	https://download.gnome.org/sources/%{name}/%{upstream_version}/%{name}-%{upstream_version}.tar.xz
BuildArch:	noarch
BuildRequires:	meson
BuildRequires:	libxml2-utils
BuildRequires:	xsltproc

%description
The mobile-broadband-provider-info package contains listings of mobile
broadband (3G) providers and associated network and plan information.

%package devel
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
The %{name}-devel package contains files necessary for
developing developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{upstream_version}

%build
%meson
%meson_build

%install
%meson_install

%files
%{_datadir}/%{name}/

%files devel
%{_datadir}/pkgconfig/%{name}.pc
