Summary:	EDID retrieval and parsing tools
Name:		monitor-edid
Version:	3.4
Release:	%mkrel 4
License:	GPLv3+
Group:		System/Kernel and hardware
Url:		https://gitweb.mageia.org/software/monitor-edid
Source0:	https://gitweb.mageia.org/software/%{name}/snapshot/%{name}-%{version}.tar.xz
%ifarch %{ix86} x86_64
BuildRequires:	libx86-devel
%else
# noarch packages on other arch
%global debug_package          %{nil}
%global __debug_install_post /bin/true
%endif

%description
Monitor-edid is a tool for probing and parsing Extended display
identification data (EDID) from monitors.
For more information about EDID, see https://en.wikipedia.org/wiki/EDID

%prep
%autosetup -p1

%build
# Remove -Wl,--as-needed  from LDFLAGS as that is not compatible with libx86
LDFLAGS=$(echo ${LDFLAGS} | sed -e 's/-Wl,--as-needed//')
export LDFLAGS
%make_build CFLAGS="%{optflags}"

%install
%make_install

%files
%doc README NEWS
%{_bindir}/*
%{_sbindir}/*
