Summary: Visual Basic .NET support for Mono
Name:    mono-basic
Version: 4.7
Release: %mkrel 5
Source0: https://download.mono-project.com/sources/mono-basic/%{name}-%{version}.tar.bz2 
License: BSD
Group: Development/Other
URL:		https://www.mono-project.com/
BuildRequires: pkgconfig(mono) >= 4.0.1
BuildRequires: locales
BuildArch: noarch
Obsoletes: %name-2.0 < %version-%release

%description
This package contains the Visual Basic .NET compiler and language
runtime. This allows you to compile and run VB.NET application and
assemblies.

%files
%doc README
%{_bindir}/*
%{_prefix}/lib/mono/?.?/*
%{_prefix}/lib/mono/gac/Microsoft.VisualBasic
%{_prefix}/lib/mono/gac/Mono.Cecil.VB.Mdb
%{_prefix}/lib/mono/gac/Mono.Cecil.VB.Pdb
%{_prefix}/lib/mono/gac/Mono.Cecil.VB
%{_mandir}/man1/vbnc.1*
%{_prefix}/lib/mono/gac/Microsoft.VisualBasic

#--------------------------------------------------------------------
%prep
%setup -q

%build
export LC_ALL=UTF-8
%configure --prefix=%_prefix
%make_build

%install
%make_install

