Summary: Cross platform Zero Configuration Networking library 
Name: mono-zeroconf
Version: 0.9.0
Release: %mkrel 17
Source0: http://download.banshee-project.org/mono-zeroconf/%{name}-%{version}.tar.bz2
# From debian:
Patch100: make_shamrock_use_4.5_classlib
License: BSD
Group: System/Libraries
Url: https://mono-project.com/Mono_Zeroconf
BuildArch: noarch
BuildRequires: pkgconfig(mono)
BuildRequires: pkgconfig(monodoc)
BuildRequires: mono-web

%description
Mono.Zeroconf is a cross platform Zero Configuration Networking library for
Mono and .NET. It provides a unified API for performing the most common
zeroconf operations on a variety of platforms and subsystems: all the
operating systems supported by Mono and both the Avahi and
Bonjour/mDNSResponder transports.

This package was built with support vor Avahi only.

%package devel
Summary: Development files for %{name}
Group: Development/Other
Requires: %{name} = %{version}-%{release}

%description devel
Mono.Zeroconf is a cross platform Zero Configuration Networking library for
Mono and .NET. It provides a unified API for performing the most common
zeroconf operations on a variety of platforms and subsystems: all the
operating systems supported by Mono and both the Avahi and
Bonjour/mDNSResponder transports.

This package was built with support vor Avahi only.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi -I.

%configure --libdir=%{_prefix}/lib --disable-docs
%__make

%install
%make_install pkgconfigdir=%{_datadir}/pkgconfig


%files
%doc README COPYING
%{_bindir}/mzclient
%{_prefix}/lib/%name
%{_prefix}/lib/mono/gac/Mono.Zeroconf
%{_prefix}/lib/mono/gac/policy.?.?.Mono.Zeroconf
%{_prefix}/lib/mono/%name

%files devel
%{_datadir}/pkgconfig/mono-zeroconf.pc
