%define pypi_name Mopidy-MusicBox-Webclient

Name:           mopidy-musicbox-webclient
Version:        3.1.0
Release:        %mkrel 7
Group:          Sound/Players
Summary:        Responsive webclient for Mopidy, a music server
License:        GPLv3
URL:            https://www.mopidy.com/
Source0:        https://pypi.python.org/packages/source/M/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
With Mopidy MusicBox Webclient, you can play your music on your computer and remotely
control it using your computer, tablet or phone.

This is a responsive webclient especially written for Mopidy, a music server. Responsive, so
it works on desktop and mobile browsers. You can browse, search and play albums, artists,
playlists, and it has cover art from Last.fm.

%prep
%setup -q -n %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%files
%license LICENSE
%doc AUTHORS CHANGELOG* README*
%{python3_sitelib}/mopidy_musicbox_webclient/
%{python3_sitelib}/Mopidy_MusicBox_Webclient-%{version}-py%{python3_version}.egg-info
