%define pypi_name Mopidy-TuneIn

Name:           mopidy-tunein
Version:        1.1.0
Release:        %mkrel 1
Group:          Sound/Players
Summary:        Mopidy extension for playing music from TuneIn
License:        ASL 2.0
URL:            https://github.com/kingosticks/mopidy-tunein
Source0:        https://pypi.python.org/packages/source/M/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3dist(setuptools)

%description
Mopidy extension for playing music from TuneIn. Listen to the
world’s radio with 70,000 stations of music, sports and news
streaming from every continent.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mopidy_tunein

%files -f %{pyproject_files}
%license LICENSE
%doc README.rst
