%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Serial terminal for the Gnome desktop
Name:		moserial
Version:	3.0.21
Release:	%mkrel 3
Group:		Communications/Serial
License:	GPLv3+
URL:		https://wiki.gnome.org/moserial/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	vala
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gnome-doc-utils)
Requires:	hicolor-icon-theme
Requires:	yelp

%description
Moserial is a clean, friendly gtk-based serial terminal for the Gnome
desktop. It is written in Vala for extra goodness.

%prep
%autosetup

find -name *.c -delete
find -name moserial.vala.stamp -delete
chmod 0644 AUTHORS ChangeLog* NEWS COPYING README

%build
%configure
%make_build

%install
%make_install

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog ChangeLog.pre-git NEWS
%{_bindir}/moserial
%{_datadir}/applications/moserial.desktop
%{_metainfodir}/moserial.appdata.xml
%{_datadir}/icons/hicolor/*/apps/moserial.*
%{_mandir}/man1/moserial.1*
