Summary:	A powerful paging program
Name:		most
Version:	5.2.0
Release:	%mkrel 1
License:	GPLv2
Group:		File tools
URL:		https://www.jedsoft.org/releases/most/
Source:		https://www.jedsoft.org/releases/most/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(slang)
BuildRequires:	chrpath
Requires:	slang

%description
most is a paging program that displays the contents of a file on a
terminal one windowful at a time. A status line indicating the file name,
current line number, and percentage of the file already displayed is also
shown.

%prep
%setup -q

# do not strip binaries
sed -i 's|\$(INSTALL) -s|\$(INSTALL)|' src/Makefile.in

%build
%configure \
	--with-slanglib=%{_libdir} \
	--with-slanginc=%{_includedir}/slang
%__make

chrpath -d src/objs/most

%install
%make_install

%files
%license COPYRIGHT COPYING
%{_docdir}/%{name}/
%{_bindir}/most
%{_mandir}/man1/most.1*
