%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:       Simple menu editor for MATE
Name:          mozo
Version:       1.28.0
Release:       %mkrel 2
Group:         System/Configuration
License:       LGPLv2+
URL:           https://mate-desktop.org/
Source0:       https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:     noarch

BuildRequires: intltool
BuildRequires: pkgconfig(libmate-menu) >= %{url_ver}
BuildRequires: pkgconfig(pygobject-3.0)
Provides:      mate-menu-editor = %{version}-%{release}

%description
Mozo is a menu editor for MATE that lets you get things done,
simply and quickly.

Just click and type to edit, add, and delete any menu entry.

%prep
%autosetup

%build
%configure
%make_build

%py3_shebang_fix mozo

%install
%make_install

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc README AUTHORS
%{python3_sitelib}/*
%{_bindir}/mozo
%{_datadir}/applications/*
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/*/*
%{_mandir}/man1/mozo.1*
