Name:		mp_doccer
Version:	1.2.2
Release:	%mkrel 5
Summary:	C source code documentation generator
Group:		Development/C
License:	GPLv2
URL:		https://triptico.com/software/mp_doccer.html
Source0:	https://github.com/angelortega/mp_doccer/archive/1.2.2/mp_docker-1.2.2.tar.gz
BuildArch:	noarch

%description
This is a tool that travels a bunch of C code files and extracts specially
marked information to build documentation texts. It's similar to Javadoc, the
Linux Kernel 2.4.x Documentation and gtkdoc, but simpler / faster / nicer.

%prep
%autosetup -p1

%install
%__install -Dm 755 %{name} %{buildroot}%{_bindir}/%{name}

%files
%license COPYING
%doc README Changelog.1 RELEASE_NOTES
%{_bindir}/%{name}
