Name:		mpan
Version:	0.0.0
Release:	%mkrel 1
Summary:	Control center for Manatools
Group:		System/Configuration
License:	GPLv3
URL:		https://github.com/manatools/mpan
Source0:	https://github.com/manatools/mpan/archive/refs/heads/master.tar.gz
BuildArch:	noarch

BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3dist(setuptools)
BuildRequires:	cmake
BuildRequires:	python3-manatools
Requires:	    python3-manatools

%description
Control center for Manatools

%package drakx
Summary:	Configuration files to have drakx tools inside mpan
Group:		System/Configuration
Requires:	%{name}

%description drakx
Configuration files to have drakx tools inside mpan


%package manatools
Summary:	Configuration files to have mana tools inside mpan
Group:		System/Configuration
Requires:	%{name}

%description manatools
Configuration files to have mana tools inside mpan

%prep
%autosetup -n %{name}-master

%build
%cmake
%cmake_build

%install
%cmake_install
%find_lang mpan
rm -f %{buildroot}/etc/mpan/categories.conf.d/isodumper.conf

%files -f mpan.lang
%dir %{_sysconfdir}/mpan/categories.conf.d
%{_sysconfdir}/mpan/categories.conf
%{_sysconfdir}/mpan/categories.conf.d/*.conf
# not really needed
%{_sysconfdir}/mpan/categories.conf.d/*.conf.in
%{_sysconfdir}/mpan/mpan.yaml
%{_bindir}/mpan
%{python3_sitelib}/mpan/__pycache__/configreader.*
%{python3_sitelib}/mpan/configreader.py
%{_iconsdir}/hicolor/images/*.png
%{_iconsdir}/hicolor/images/mpan/*.png

%files drakx
%{_sysconfdir}/mpan/categories.conf.d/diskdrake-fileshare.conf
%{_sysconfdir}/mpan/categories.conf.d/drakkeyboard.conf
%{_sysconfdir}/mpan/categories.conf.d/draknfs.conf
%{_sysconfdir}/mpan/categories.conf.d/harddrake.conf
%{_sysconfdir}/mpan/categories.conf.d/diskdrake-nfs.conf
%{_sysconfdir}/mpan/categories.conf.d/drakconnect.conf
%{_sysconfdir}/mpan/categories.conf.d/drakmouse.conf
%{_sysconfdir}/mpan/categories.conf.d/draksambashare.conf
%{_sysconfdir}/mpan/categories.conf.d/diskdrake.conf
%{_sysconfdir}/mpan/categories.conf.d/diskdrake-samba.conf
%{_sysconfdir}/mpan/categories.conf.d/drakconnect-del.conf
%{_sysconfdir}/mpan/categories.conf.d/draknetcenter.conf
%{_sysconfdir}/mpan/categories.conf.d/diskdrake-dav.conf
%{_sysconfdir}/mpan/categories.conf.d/drakgw.conf
%{_sysconfdir}/mpan/categories.conf.d/drakx11.conf

%files manatools
%{_sysconfdir}/mpan/categories.conf.d/manawall.conf
