%define build_3264bit   0
%{?_with_3264bit:       %{expand: %%global build_3264bit 1}}
%{?_without_3264bit:    %{expand: %%global build_3264bit 0}}
%if %{build_3264bit}
%define pkgext          32
%else
%define pkgext          %{nil}
%endif

%define name            mplayer%{pkgext}
%define upstream_name   MPlayer
%define prerel          %{nil}
%define version         1.6
%define svn             38673
%define ffmpegversion   7.1
%define rel             2
%if "%{svn}" != ""
%define fversion %{svn}
%else
%define fversion %{version}
%endif
%if "%{prerel}" != ""
%if "%{svn}" != ""
%define pkgrel 1.%{prerel}.0.%{svn}.%{rel}
%else
%define pkgrel 1.%{prerel}.%{rel}
%endif
%else
%if "%{svn}" != ""
%define pkgrel 1.%{svn}.%{rel}
%else
%define pkgrel %{rel}
%endif
%endif


%define build_plf           0
%define build_optimization  0
%if %build_optimization
%undefine _debugsource_packages
%endif
%define build_debug         0
%bcond_without mencoder
%define build_gui           1
%define build_system_ffmpeg 1
# rely on system ffmpeg header files and not from bundled ffmpeg
%define build_system_ffmpeg_headers 0

%define build_aa        1
%define build_alsa      1
%define build_amr       0
%define build_arts      0
%define build_bluray    1
%define build_cdda      0
%define build_cdio      1
%if %build_cdio
%define build_cdda      0
%endif
%define build_compiz    0
%define build_dirac     1
%bcond_with directfb
%define build_dts       0
%define build_dv        1
%define build_dvb       1
%define build_enca      1
%define build_faac      0
%define build_faad      0
%define build_fbdev     1
%define build_fdkaac    0
%define build_fribidi   1
%define build_ggi       0
%define build_jack      1
%define build_lame      1
%define build_libass    1
%define build_libnut    1
%bcond_without lirc
%define build_live      1
%define build_lzo       1
%define build_mga       1
%define build_openal    0
%define build_pulse     1
%define build_rtmp      1
%define build_schroedinger 1
%define build_sdl       1
%define build_smb       0
%bcond_without theora
%define build_twolame   0
%define build_v4l2      1
%define build_vdpau     1
%define build_vesa      1
%define build_vpx       1
%define build_x264      0
%define build_xmms      0
%define build_xvid      0
%define build_xvmc      0
%define build_yasm      1
%define build_zr        0

%ifnarch %ix86
%define build_vesa      0
%endif

%if "%{?distro_section}" == "tainted"
%define build_plf 1
%endif

%if %build_plf
%define build_amr       1
%define build_twolame   1
%define build_faac      0
%define build_faad      1
%define build_fdkaac    1
%define build_x264      1
%define build_xvid      1
%define build_dts       1
%define build_yasm      1
%define build_dirac     1
%define build_schroedinger 1
%endif

%if %build_system_ffmpeg
%define build_amr       0
%define build_dirac     0
%define build_fdkaac    0
%define build_schroedinger 0
%define build_vpx       0
%define build_zr        0
%endif


%{?_with_aa:               %{expand: %%global build_aa 1}}
%{?_without_aa:            %{expand: %%global build_aa 0}}
%{?_with_amr:              %{expand: %%global build_amr 1}}
%{?_without_amr:           %{expand: %%global build_amr 0}}
%{?_with_arts:             %{expand: %%global build_arts 1}}
%{?_without_arts:          %{expand: %%global build_arts 0}}
%{?_with_bluray:           %{expand: %%global build_bluray 1}}
%{?_without_bluray:        %{expand: %%global build_bluray 0}}
%{?_with_cdda:             %{expand: %%global build_cdda 1}}
%{?_without_cdda:          %{expand: %%global build_cdda 0}}
%{?_with_cdio:             %{expand: %%global build_cdio 1}}
%{?_without_cdio:          %{expand: %%global build_cdio 0}}
%{?_with_debug:            %{expand: %%global build_debug 1}}
%{?_without_debug:         %{expand: %%global build_debug 0}}
%{?_with_dirac:            %{expand: %%global build_dirac 1}}
%{?_without_dirac:         %{expand: %%global build_dirac 0}}
%{?_with_dts:              %{expand: %%global build_dts 1}}
%{?_without_dts:           %{expand: %%global build_dts 0}}
%{?_with_dv:               %{expand: %%global build_dv 1}}
%{?_without_dv:            %{expand: %%global build_dv 0}}
%{?_with_enca:             %{expand: %%global build_enca 1}}
%{?_without_enca:          %{expand: %%global build_enca 0}}
%{?_with_faac:             %{expand: %%global build_faac 1}}
%{?_without_faac:          %{expand: %%global build_faac 0}}
%{?_with_faad:             %{expand: %%global build_faad 1}}
%{?_without_faad:          %{expand: %%global build_faad 0}}
%{?_with_fdkaac:           %{expand: %%global with_fdkaac 1}}
%{?_without_fdkaac:        %{expand: %%global with_fdkaac 0}}
%{?_with_system_ffmpeg:    %{expand: %%global build_system_ffmpeg 1}}
%{?_without_system_ffmpeg: %{expand: %%global build_system_ffmpeg 0}}
%{?_with_fribidi:          %{expand: %%global build_fribidi 1}}
%{?_without_fribidi:       %{expand: %%global build_fribidi 0}}
%{?_with_ggi:              %{expand: %%global build_ggi 1}}
%{?_without_ggi:           %{expand: %%global build_ggi 0}}
%{?_with_gui:              %{expand: %%global build_gui 1}}
%{?_without_gui:           %{expand: %%global build_gui 0}}
%{?_with_jack:             %{expand: %%global build_jack 1}}
%{?_without_jack:          %{expand: %%global build_jack 0}}
%{?_with_lame:             %{expand: %%global build_lame 1}}
%{?_without_lame:          %{expand: %%global build_lame 0}}
%{?_with_libass:           %{expand: %%global build_libass 1}}
%{?_without_libass:        %{expand: %%global build_libass 0}}
%{?_with_libnut:           %{expand: %%global build_libnut 1}}
%{?_without_libnut:        %{expand: %%global build_libnut 0}}
%{?_with_live:             %{expand: %%global build_live 1}}
%{?_without_live:          %{expand: %%global build_live 0}}
%{?_with_lzo:              %{expand: %%global build_lzo 1}}
%{?_without_lzo:           %{expand: %%global build_lzo 0}}
%{?_with_mga:              %{expand: %%global build_mga 1}}
%{?_without_mga:           %{expand: %%global build_mga 0}}
%{?_with_openal:           %{expand: %%global build_openal 1}}
%{?_without_openal:        %{expand: %%global build_openal 0}}
%{?_with_optimization:     %{expand: %%global build_optimization 1}}
%{?_with_pulse:            %{expand: %%global build_pulse 1}}
%{?_without_pulse:         %{expand: %%global build_pulse 0}}
%{?_with_rtmp:             %{expand: %%global build_rtmp 1}}
%{?_without_rtmp:          %{expand: %%global build_rtmp 0}}
%{?_with_schroedinger:     %{expand: %%global build_schroedinger 1}}
%{?_without_schroedinger:  %{expand: %%global build_schroedinger 0}}
%{?_with_sdl:              %{expand: %%global build_sdl 1}}
%{?_without_sdl:           %{expand: %%global build_sdl 0}}
%{?_with_smb:              %{expand: %%global build_smb 1}}
%{?_without_smb:           %{expand: %%global build_smb 0}}
%{?_with_twolame:          %{expand: %%global build_twolame 1}}
%{?_without_twolame:       %{expand: %%global build_twolame 0}}
%{?_with_v4l2:             %{expand: %%global build_v4l2 1}}
%{?_without_v4l2:          %{expand: %%global build_v4l2 0}}
%{?_with_vdpau:            %{expand: %%global build_vdpau 1}}
%{?_without_vdpau:         %{expand: %%global build_vdpau 0}}
%{?_with_vesa:             %{expand: %%global build_vesa 1}}
%{?_without_vesa:          %{expand: %%global build_vesa 0}}
%{?_with_vpx:              %{expand: %%global build_vpx 1}}
%{?_without_vpx:           %{expand: %%global build_vpx 0}}
%{?_with_x264:             %{expand: %%global build_x264 1}}
%{?_without_x264:          %{expand: %%global build_x264 0}}
%{?_with_xmms:             %{expand: %%global build_xmms 1}}
%{?_without_xmms:          %{expand: %%global build_xmms 0}}
%{?_with_xvid:             %{expand: %%global build_xvid 1}}
%{?_with_xvmc:             %{expand: %%global build_xvmc 1}}
%{?_without_xvmc:          %{expand: %%global build_xvmc 0}}
%{?_without_xvid:          %{expand: %%global build_xvid 0}}
%{?_with_yasm:             %{expand: %%global build_yasm 1}}
%{?_without_yasm:          %{expand: %%global build_yasm 0}}

Name:           %{name}
Version:        %{version}
Release:        %mkrel %{pkgrel}
Summary:        Movie player for linux playing most video formats and DVDs
%if 0%{!?_without_amr:1}
License:        GPLv3+
%else
License:        GPLv2+
%endif
Group:          Video/Players
URL:            https://mplayerhq.hu/
%if "%{svn}" != ""
#gw generated using svn export
Source0:        %{name}-%{svn}.tar.xz
%else
Source0:        https://mplayerhq.hu/MPlayer/releases/%{upstream_name}-%{fversion}.tar.xz
%endif
Source1:        https://ffmpeg.org/releases/ffmpeg-%{ffmpegversion}.tar.xz
#gw default skin
Source4:        https://mplayerhq.hu/MPlayer/skins/Blue-1.11.tar.bz2
# set defaults for Mageia
Patch0:         mplayer-1.0rc4-distro-config.patch
# use roff include statements instead of symlinks
Patch1:         %{name}-manlinks.patch
Patch3:         %{name}-ffmpeg.patch
# fixes for crashes found while fixing CVE-2008-1558
Patch28:        mplayer-rtsp-extra-fixes.patch
Patch31:        mplayer-format-string-literal.patch
#gw fix crash: https://qa.mandriva.com/show_bug.cgi?id=55443
Patch35:        mplayer-fix-dvd-crash.patch
# hack to build video filters that require internal FFmpeg headers -
# this requires the private headers to be present during build
# (it is somewhat bad, but there are many other files in mplayer that
#  already require them, so we couldn't remove them anyway)
Patch48:        mplayer-filters-hack-with-shared.patch
# don't use private headers when building with shared FFmpeg (requires to enable %%build_system_ffmpeg_header)
Patch49:        mplayer-filters-hack-with-shared-no-internals.patch
Patch54:        60_arm-private-symbols.patch
Patch56:        mplayer-configure-dvdread-ldflags.patch
# (cjw) fix a segmentation fault caused by not calling avformat_write_header()
Patch57:        mplayer-1.2-spdifenc-segfault.patch
# (cjw) allow specifying alsa hw devices in the form <name>:CARD=<card>,DEV=<dev> e.g. hdmi:CARD=NVidia,DEV=3
#       by writing: -ao alsa:device=<name>=CARD^<card>,DEV^<dev> e.g.: -ao alsa:device=hdmi=CARD^NVidia,DEV^3
#       These devices can be listed using:  aplay -l
Patch58:        mplayer-1.2-alsa-equal-signs.patch
Patch59:        mplayer-r37857-gif-crash.patch
Patch62:        mplayer-glibc-2.27.patch
# fix building against ffmpeg 5.1.x, from https://github.com/xtkoba/termux-packages/blob/b01edde95ea21bba56149f386ec1329d18c164c7/packages/mplayer/mplayer-1.4-ffmpeg-5.1.patch
Patch63:	mplayer-1.4-ffmpeg-5.1.patch

# (eatdirt)
# from discussion on the mplayer devel mailing list (Thanks to Reimar Doffinger)
Patch100:       mplayer-1.5-ac3enc.patch

Patch201:       mplayer-mga-fix-using-gettext-0.22.5.patch
Patch202:       ffmpeg-7.patch

# from deb
Patch300:       0100_svn37857_CVE-2016-4352.patch

BuildRequires:  a52dec-devel
%if %build_aa
BuildRequires:  libaa-devel
%endif
%if %build_amr
BuildRequires:  opencore-amr-devel
%endif
%if %build_arts
BuildRequires:  libarts-devel
%endif
%if %build_libass
BuildRequires:  pkgconfig(libass)
%endif
%if %build_bluray
BuildRequires:  pkgconfig(libbluray)
%endif
BuildRequires:  pkgconfig(libbs2b)
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(caca)
%if %build_cdda
BuildRequires:  libcdda-devel
%endif
%if %build_cdio
BuildRequires:  pkgconfig(libcdio)
BuildRequires:  libcdio-paranoia-devel
%endif
%if %build_dirac
BuildRequires:  libdirac-devel >= 0.9.0
%endif
%if %with directfb
BuildRequires:  libdirectfb-devel
%endif
BuildRequires:  docbook-style-xsl
BuildRequires:  docbook-dtd412-xml
%if %build_dts
BuildRequires:  pkgconfig(libdca)
%endif
%if %build_dv
BuildRequires:  pkgconfig(libdv)
%endif
%if %build_plf
Requires:       %mklibname dvdcss 2
%endif
BuildRequires:  pkgconfig(dvdnav)
BuildRequires:  pkgconfig(dvdread)
%if %build_enca
BuildRequires:  pkgconfig(enca)
%endif
%if %build_faac
BuildRequires:  libfaac-devel
%endif
%if %build_faad
BuildRequires:  pkgconfig(faad2)
%endif
%if %with fdkaac
BuildRequires:  pkgconfig(fdk-aac)
%endif
%if %build_system_ffmpeg
BuildRequires:  ffmpeg-devel >= %{ffmpegversion}
%endif
%if %build_fribidi
BuildRequires:  pkgconfig(fribidi) >= 0.10.4
%endif
%if %build_ggi
BuildRequires:  libggiwmh-devel
%endif
BuildRequires:  giflib-devel
BuildRequires:  gsm-devel
%if %build_jack
BuildRequires:  pkgconfig(jack)
%endif
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  ladspa-devel
%if %build_lame
BuildRequires:  lame-devel
%endif
%if %with lirc
BuildRequires:  pkgconfig(liblircclient0)
%endif
%if %build_live
BuildRequires:  pkgconfig(live555) >= 2019.03.06
%endif
%if %build_lzo
BuildRequires:  liblzo-devel
%endif
BuildRequires:  pkgconfig(mad)
BuildRequires:  libmesagl-devel
BuildRequires:  pkgconfig(libmng)
# (libmpcdec is deprecated in favour of libavcodec)
#BuildRequires:  musepack-devel
BuildRequires:  pkgconfig(libmpg123)
BuildRequires:  libnas-devel
%if %build_libnut
BuildRequires:  libnut-devel
%endif
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(ncurses)
%if %build_openal
BuildRequires:  libopenal-devel
%endif
BuildRequires:  pkgconfig(libmpeg2)
BuildRequires:  pkgconfig(libopenjp2)
BuildRequires:  pkgconfig(libpng)
%if %build_pulse
BuildRequires:  pkgconfig(libpulse)
%endif
%if %build_rtmp
BuildRequires:  rtmp-devel
%endif
%if %build_smb
# require samba < 3.2.0 to avoid shipping GPLv2 vs GPLv3
BuildRequires:  libsmbclient-devel < 3.2.0
%endif
%if %build_schroedinger
BuildRequires:  libschroedinger-devel
%endif
%if %build_sdl
BuildRequires:  pkgconfig(sdl) >= 1.1.8
BuildRequires:  pkgconfig(SDL_image)
%endif
BuildRequires:  sndio-devel
BuildRequires:  pkgconfig(speex)
BuildRequires:  libtermcap-devel
%if %with theora
BuildRequires:  pkgconfig(theora)
%endif
%if %build_twolame
BuildRequires:  libtwolame-devel
%endif
%if %build_vdpau
BuildRequires:  pkgconfig(vdpau)
%endif
%if %build_vesa
BuildRequires:  libvbe-devel
BuildRequires:  liblrmi-devel
%endif
BuildRequires:  libvorbis-devel
%if %build_vpx
BuildRequires:  libvpx-devel
%endif
%if %build_x264
BuildRequires:  pkgconfig(x264) >= 0.120
%endif
%if %build_xmms
BuildRequires:  libxmms-devel
%endif
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  libxslt-proc
BuildRequires:  pkgconfig(xv)
%if %build_xvid
BuildRequires:  xvid-devel
%endif
%if %build_xvmc
BuildRequires:  pkgconfig(xvmc)
%endif
BuildRequires:  pkgconfig(xxf86dga)
BuildRequires:  pkgconfig(xxf86vm)
%if %build_yasm
BuildRequires:  yasm
BuildRequires:  nasm
%endif
%ifarch %{ix86} x86_64
BuildRequires:  svgalib-devel
%endif

Provides:       mplayer%{pkgext}1.0

%description
MPlayer is a movie player for LINUX (runs on many other Unices, and
non-x86 CPUs, see the documentation). It plays most MPEG, VOB, AVI,
VIVO, ASF/WMV, QT/MOV, FLI, NuppelVideo, yuv4mpeg, FILM, RoQ, and some
RealMedia files, supported by many native, XAnim, and Win32 DLL codecs.
You can watch VideoCD, SVCD, DVD, 3ivx, FLI, and even DivX movies too
(and you don't need the avifile library at all!). The another big
feature of mplayer is the wide range of supported output drivers. It
works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev, AAlib, but you can use
SDL (and this way all drivers of SDL), VESA (on every VESA compatible
card, even without X!), and some low-level card-specific drivers (for
Matrox, 3Dfx and Radeon) too! Most of them supports software or hardware
scaling, so you can enjoy movies in fullscreen. MPlayer supports
displaying through some hardware MPEG decoder boards, such as the DVB
and DXR3/Hollywood+! And what about the nice big anti-aliased shaded
subtitles (9 supported types!!!) with European/ISO 8859-1,2 (Hungarian,
English, Czech, etc), Cyrillic, Korean fonts, and OSD).

%if %build_plf
This package is in the 'tainted' section because some included codecs
are covered by patents.  It also includes support for reading DVDs
encrypted with CSS which might be illegal in some countries.
%endif

%package doc
Summary:        %{upstream_name} documentation
Group:          Documentation
BuildArch:      noarch

%description doc
This package contains documentation for %{upstream_name}.

%if %build_gui
%package gui
Summary:        GUI for %{name}
Group:          Video/Players
Requires:       %{name} >= %{version}
BuildRequires:  gtk+2-devel
BuildRequires:  imagemagick
BuildArch:      noarch
Provides:       mplayer%{pkgext}1.0-gui

%description    gui
This package contains a GUI for %{name} and a default skin for it.
%endif

%if %with mencoder
%package -n mencoder%{pkgext}
Summary:        MPlayer's movie encoder
Group:          Video/Editors and Converters
Requires:       %{name} = %{version}
Provides:       mencoder%{pkgext}1.0

%description -n mencoder%{pkgext}
MEncoder a movie encoder and is a part of the MPlayer package.
%if !%build_plf
Note: this version doesn't have support for encoding in patented codecs.
Use 'tainted' media if you want them.
%else
This 'tainted' build has additional support for AAC decoding with libfaad
which is covered by software patents. It also includes support for reading
DVDs encrypted with CSS which might be illegal in some countries.
%endif
%endif


%prep
%if "%{svn}" != ""
%setup -q -n %{name} -a 4
#gw as we have have used svn export:
echo %{svn}|sed s/^r// > snapshot_version
perl -pi -e 's^r\$svn_revision^%{release}^' version.sh
find DOCS -name .svn|xargs rm -rf
%else
%setup -q -n MPlayer-%{version}%{prerel} -a 4
echo %{version}%{prerel}-%{release} > VERSION
%endif
#gw fix permissions
chmod 644 AUTHORS Changelog README Copyright
rm -f Blue/README
%patch -P0 -p1 -b .distro-config
%patch -P1 -p1 -b .manlinks
%patch -P3 -p1 -b .ffmpeg
%patch -P28 -p1 -b .rtsp-extra-fixes
%patch -P31 -p1 -b .format~
%patch -P35 -p0
%if %build_system_ffmpeg
%patch -P48 -p1
%endif
%if %build_system_ffmpeg_headers
%patch -P49 -p1
%endif
%patch -P54 -p1
%patch -P56 -p1 -b .link-libdvdread
%patch -P57 -p1 -b .pts
%patch -P58 -p1 -b .equal-signs
%patch -P59 -p1
%patch -P62 -p1
%patch -P63 -p1
%patch -P100 -p0 -b .ac3enc
%patch -P201 -p1
%patch -P202 -p0

# deb
%patch -P300 -p1

mv DOCS/README README.DOCS

# replace interal mplayer's ffmpeg with bundled version as from %%SOURCE1
rm -rf ffmpeg
tar -xJf %{SOURCE1}
mv ffmpeg-%{ffmpegversion} ffmpeg
# don't use any bundled ffmpeg header file but rely only on system ones
%if %build_system_ffmpeg_headers
rm -rf ffmpeg
%endif

%build
export CFLAGS="$CFLAGS -Wno-incompatible-pointer-types -Wno-int-conversion"
%if !%build_optimization
export CFLAGS="$CFLAGS $RPM_OPT_FLAGS"
%endif
%ifarch %arm
# libmpeg2 contains some armv5te asm but unlike the mpeg2dec package
# we can't disable ARCH_ARM here so build with armv5te
export CFLAGS="`echo $CFLAGS|sed -e 's!armv5t!armv5te!g'`"
%endif
%if %build_debug
export CFLAGS="$CFLAGS -g"
%endif
%ifarch ppc
export CFLAGS="$CFLAGS -mcpu=7450 -maltivec"
%endif
%if %with directfb
export CPPFLAGS="-I%{_includedir}/directfb"
%endif
%if %{build_3264bit}
export EXESUF=32
%endif
export LDFLAGS="%{?ldflags}"
./configure \
        --prefix=%{_prefix} \
        --datadir=%{_datadir}/%{name} \
        --confdir=%{_sysconfdir}/%{name} \
        --libdir=%{_libdir} \
%if ! %build_system_ffmpeg && %build_x264
	--extra-libs="-lx264" \
%endif
%if !%build_optimization
%ifarch %ix86 x86_64 ppc
        --enable-runtime-cpudetection \
        --enable-mmx \
        --enable-mmxext \
        --enable-sse \
        --enable-sse2 \
%endif
%ifarch %ix86
        --enable-3dnow \
        --enable-fastmemcpy \
        --disable-ossaudio \
%endif
%endif
        --enable-freetype \
        --enable-nas \
%if %build_debug
        --enable-debug=3 \
%else
        --disable-sighandler \
%endif
%if %build_gui
        --enable-gui \
%endif
%if %build_system_ffmpeg
        --disable-ffmpeg_a \
%endif
        --language=all \
%if ! %build_faad
        --disable-faad \
%endif
        --enable-dvdnav \
        --enable-dvdread \
        %{?_with_lirc} \
        --enable-tv \
%if ! %build_v4l2
        --disable-tv-v4l2 \
%endif
        --enable-joystick \
        --enable-gl \
%ifarch %{ix86} x86_64
        --enable-svga \
%endif
%if ! %build_mga
        --disable-mga \
%endif
%if ! %build_fbdev
        --disable-fbdev \
%endif
        %{?_with_directfb} \
        %{?_with_mencoder} \
%if ! %build_live
        --disable-live \
%endif
%if ! %build_vesa
        --disable-vesa \
%endif
        %{?_with_theora} \
        --enable-menu \
%if %build_xmms
        --enable-xmms --with-xmmslibdir=%{_libdir} \
%endif
%if %build_smb
        --enable-smb \
%endif
%if ! %build_dvb
        --disable-dvb \
%endif
%if ! %build_ggi
        --disable-ggi \
%endif
        --codecsdir=%{_libdir}/codecs \
%if ! %build_arts
        --disable-arts \
%endif
%if ! %build_jack
        --disable-jack \
%endif
%if ! %build_aa
        --disable-aa \
%endif
%if ! %build_cdda
        --disable-cdparanoia \
%endif
%if ! %build_dv
        --disable-libdv \
%endif
%if ! %build_lzo
        --disable-liblzo \
%endif
%if ! %build_sdl
        --disable-sdl \
%endif
%if ! %build_alsa
        --disable-alsa \
%endif
%if ! %build_fribidi
        --disable-fribidi \
%endif
%if !%build_enca
        --disable-enca \
%endif
%if %build_pulse
        --enable-pulse \
%endif
%if !%build_openal
        --disable-openal \
%endif
%if ! %build_x264
        --disable-x264 \
%endif
%if %build_zr
        --enable-zr \
%endif
%if %build_xvmc
        --enable-xvmc \
%endif
%if ! %build_vdpau
        --disable-vdpau \
%endif


# Keep this line before empty end %%configure (ppc conditionnal pb)
make EXESUF=%{pkgext}
#gw make sure we have our version string included:
grep -F "%{release}" version.h


%install
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
install -m 755 mplayer%{pkgext} -D %{buildroot}%{_bindir}/mplayer%{pkgext}
for lang in en de fr hu pl zh_CN es it; do
    install -m 644 DOCS/man/$lang/mplayer.1 -D %{buildroot}%{_mandir}/$([ "$lang" != "en" ] && echo $lang)/man1/mplayer%{pkgext}.1
done
%find_lang mplayer%{pkgext} --with-man

%if %with mencoder
install -m 755 mencoder%{pkgext} -D %{buildroot}%{_bindir}/mencoder%{pkgext}

for lang in en de fr hu pl zh_CN es it; do
    ln -s mplayer%{pkgext}.1 %{buildroot}%{_mandir}/$([ "$lang" != "en" ] && echo $lang)/man1/mencoder%{pkgext}.1
done
%find_lang mencoder%{pkgext} --with-man
install -m 755 TOOLS/mencvcd.sh %{buildroot}%{_bindir}/mencvcd%{pkgext}
install -m 755 TOOLS/divx2svcd.sh %{buildroot}%{_bindir}/divx2svcd%{pkgext}
install -m 755 TOOLS/wma2ogg.pl %{buildroot}%{_bindir}/wma2ogg%{pkgext}.pl
%endif
install -m 755 TOOLS/midentify.sh %{buildroot}%{_bindir}/midentify%{pkgext}
install -m 644 etc/example.conf %{buildroot}%{_sysconfdir}/%{name}/mplayer.conf
install -m 644 etc/menu.conf %{buildroot}%{_sysconfdir}/%{name}

%if %build_gui
# default Skin
install -d -m 755 %{buildroot}%{_datadir}/%{name}/skins/
cp -r Blue %{buildroot}%{_datadir}/%{name}/skins/
ln -s Blue %{buildroot}%{_datadir}/%{name}/skins/default
# gmplayer equals mplayer -gui
ln -s mplayer%{pkgext} %{buildroot}%{_bindir}/gmplayer%{pkgext}
# icons
mkdir -p %{buildroot}{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
convert -transparent white Blue/icons/icon48x48.png %{buildroot}%{_liconsdir}/mplayer%{pkgext}.png
convert -transparent white Blue/icons/icon32x32.png %{buildroot}%{_iconsdir}/mplayer%{pkgext}.png
convert -transparent white -scale 16x16 Blue/icons/icon48x48.png %{buildroot}%{_miconsdir}/mplayer%{pkgext}.png
install -D -m 644 etc/mplayer.desktop %{buildroot}%{_datadir}/applications/mplayer%{pkgext}.desktop
perl -pi -e 's@mplayer$@mplayer%{pkgext}@g' %{buildroot}%{_datadir}/applications/mplayer%{pkgext}.desktop
%endif
%if %{build_3264bit}
if [ -e %{buildroot}%{_liconsdir}/mplayer%{pkgext}.png ]; then
        convert %{buildroot}%{_liconsdir}/mplayer%{pkgext}.png -channel green -negate \
                %{buildroot}%{_liconsdir}/mplayer%{pkgext}.png
fi
if [ -e %{buildroot}%{_iconsdir}/mplayer%{pkgext}.png ]; then
        convert %{buildroot}%{_iconsdir}/mplayer%{pkgext}.png -channel green -negate \
                %{buildroot}%{_iconsdir}/mplayer%{pkgext}.png
fi
if [ -e %{buildroot}%{_miconsdir}/mplayer%{pkgext}.png ]; then
        convert %{buildroot}%{_miconsdir}/mplayer%{pkgext}.png -channel green -negate \
                %{buildroot}%{_miconsdir}/mplayer%{pkgext}.png
fi
%endif


%if %build_debug
export DONT_STRIP=1
%endif

%files -f mplayer%{pkgext}.lang
%license LICENSE
%doc AUTHORS Changelog README Copyright
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/mplayer.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/menu.conf
%{_bindir}/midentify%{pkgext}
%{_bindir}/mplayer%{pkgext}
%{_mandir}/man1/mplayer%{pkgext}.1*
%dir %{_datadir}/%{name}

%if %build_gui
%files gui
%{_bindir}/gmplayer%{pkgext}
%{_datadir}/applications/mplayer%{pkgext}.desktop
%{_datadir}/%{name}/skins/
%{_iconsdir}/mplayer%{pkgext}.png
%{_miconsdir}/mplayer%{pkgext}.png
%{_liconsdir}/mplayer%{pkgext}.png
%endif


%if %with mencoder
%files -n mencoder%{pkgext} -f mencoder%{pkgext}.lang
%{_bindir}/mencoder%{pkgext}
%{_bindir}/divx2svcd%{pkgext}
%{_bindir}/mencvcd%{pkgext}
%{_bindir}/wma2ogg%{pkgext}.pl
%{_mandir}/man1/mencoder%{pkgext}.1*
%endif

%files doc
%doc README.DOCS
%doc DOCS/default.css DOCS/xml DOCS/tech/
