%define mainrel 1
%define date    20170320
%define commit  eec71d977a83f8dc76bc3ccc6de5cbd3be378572
%define rel     3

Name:           msr-tools
Version:        1.3
Release:        %mkrel %{mainrel}.%{date}.%{rel}
Summary:        Collection of tools for reading/writing CPU model specific registers
Group:          System/Kernel and hardware
License:        GPLv2+
Url:            https://01.org/msr-tools
#Source0:        https://01.org/sites/default/files/downloads/%%{name}/%%{name}-%%{version}.zip
# Master branch from https://github.com/intel/msr-tools
Source0:        https://github.com/intel/msr-tools/archive/%{commit}/%{name}-%{commit}.tar.gz
ExclusiveArch:  %{ix86} x86_64

%description
This is a small collection of tools to allow reading and writing
of CPU model specific registers

%prep
%autosetup -p1 -n %{name}-%{commit}

%build
autoreconf -vfi
%configure --bindir=%{_sbindir}
%make_build

%install
%make_install

%files
%{_sbindir}/rdmsr
%{_sbindir}/wrmsr
%{_sbindir}/msr-cpuid
