Summary:	Programs for accessing MS-DOS disks without mounting the disks
Name: 		mtools
Version: 	4.0.44
Release: 	%mkrel 1
License: 	GPLv3+
Group: 		File tools
Url: 		https://www.gnu.org/software/mtools/intro.html
Source0:	https://ftp.gnu.org/gnu/mtools/%{name}-%{version}.tar.bz2
Source1:	69-floppy-acl.rules
Patch0: 	mtools-4.0.10-linux.patch
Patch2: 	mtools-4.0.12-atari.patch
BuildRequires:	texinfo

%description
Mtools is a collection of utilities for accessing MS-DOS files.
Mtools allow you to read, write and move around MS-DOS filesystem
files (normally on MS-DOS floppy disks).  Mtools supports Windows95
style long file names, OS/2 Xdf disks, and 2m disks.

Mtools should be installed if you need to use MS-DOS disks.

%prep
%setup -q
%patch -P0 -p1 -b .linux
%patch -P2 -p0 -b .atari

%build
%configure --disable-floppyd
%make_build

%install
mkdir -p %{buildroot}/%{_prefix} %{buildroot}%{_sysconfdir}
%make_install
install mtools.conf %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}/%{_udevrulesdir}
install -m644 %{SOURCE1} %{buildroot}/%{_udevrulesdir}/69-floppy-acl.rules

%files
%doc COPYING NEWS README Release.notes mtools.texi
%{_udevrulesdir}/*.rules
%config(noreplace) %{_sysconfdir}/mtools.conf
%attr(755,root,root) %{_bindir}/*
%{_mandir}/*/*
%{_infodir}/%{name}.*
