%define gtk2binaryver %(if $([ -x %{_bindir}/pkg-config ] && pkg-config --exists gtk+-2.0); then pkg-config --variable=gtk_binary_version gtk+-2.0; else echo 0; fi)

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define libname	%mklibname gtk2-murrine-engine

Name: 	 	murrine
Summary: 	Murrine GTK2 cairo theme
Version: 	0.98.2
Release: 	%mkrel 13
License:	LGPLv2 and LGPLv3
Group:		Graphical desktop/GNOME
URL:		http://www.cimitan.com/murrine/
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		gtk-murrine-engine_possible-wnck-applet-crash.patch
Patch1:		gtk-murrine-engine-c99.patch
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.18.0
BuildRequires:	intltool

%description
The Murrine engine is a cairo-based GTK2 theming tool. It's very fast compared
to clearlooks-cairo. Murrine includes animations and a unique style.

%package -n gtk2-murrine-engine
Summary:	Murrine GTK2 cairo theme
Group:		Graphical desktop/GNOME
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{name} < 0.98.2-3
Provides:	gtk-murrine-engine = %{version}-%{release}

%description -n gtk2-murrine-engine
The Murrine engine is a cairo-based GTK2 theming tool. It's very fast compared
to clearlooks-cairo. Murrine includes animations and a unique style.

%package -n %{libname}
Summary:	Murrine GTK2 cairo theme
Group:		System/Libraries
Obsoletes:	%{_lib}gtk-murrine-engine < 0.98.2-10

%description -n %{libname}
The Murrine engine is a cairo-based GTK2 theming tool. It's very fast compared
to clearlooks-cairo. Murrine includes animations and a unique style.

This package contains the Murrine GTK+ engine itself.

%prep
%autosetup -p1

%build
# to recognize aarch64
autoreconf -vfi

%configure --enable-animation
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n gtk2-murrine-engine
%license COPYING*
%doc AUTHORS ChangeLog NEWS README TODO
%{_datadir}/gtk-engines/murrine.xml

%files -n %{libname}
%{_libdir}/gtk-2.0/%{gtk2binaryver}/engines/libmurrine.so
