Name:           myrepos
Version:        1.20180726
Release:        %mkrel 4
Summary:        A multiple SCM repository management tool
Group:          Development/Tools

License:        GPLv2+
URL:            https://myrepos.branchable.com/
# Generated using git archive --format=tar --prefix=myrepos-1.20180726/ 1.20180726 | xz -9 --extreme > ~/myrepos-1.20180726.tar.xz
Source0:        %{name}-%{version}.tar.xz
Source1:        README.fedora
BuildArch:      noarch

Provides:       mr = %{version}-%{release}

Requires:       perl
# Out off the box only git is supported. For additional details the
# README.fedora lists the supported SCM tools.
Requires:       git

%description
The mr command can checkout, update, or perform other actions on
a set of repositories as if they were one combined repository. It
supports any combination of Subversion, git, CVS, Mercurial, bzr and
darcs repositories, and support for other revision control systems
can easily be added.

%prep
%setup -q
cp %{SOURCE1} .

%build
%make_build

%install
install -Dp -m 0755 mr %{buildroot}%{_bindir}/mr
for file in mr.1 webcheckout.1; do
    install -Dp -m 0644 $file %{buildroot}%{_mandir}/man1/$file
done
for file in lib/git-fake-bare lib/git-svn lib/unison; do
    install -Dp -m 0644 $file %{buildroot}%{_datadir}/mr/$file
done

%files
%doc README mrconfig mrconfig.complex README.fedora
%license GPL
%{_mandir}/man1/*.*
%{_bindir}/mr
%{_datadir}/mr/

