Name: mythes-no
Version: 2.2
Release: %mkrel 4
Summary: Norwegian mythes dictionaries
Source: https://alioth.debian.org/frs/download.php/file/4168/no_NO-pack2-%{version}.zip
Group:  Text tools
URL: http://spell-norwegian.alioth.debian.org
License: GPL+
BuildArch: noarch

%description
Norwegian mythes dictionaries.

%package -n mythes-nb
Summary: Bokmaal thesaurus
Group: Text tools
Requires: mythes
Requires: locales-nb

%description -n mythes-nb
Bokmaal thesaurus.

%package -n mythes-nn
Summary: Nynorsk thesaurus 
Group: Text tools
Requires: mythes
Requires: locales-no

%description -n mythes-nn
Nynorsk thesaurus.

%prep
%setup -qc

%build
unzip -q th_nb_NO_v2.zip
unzip -q th_nn_NO_v2.zip
for i in README_th_nb_NO_v2.txt README_th_nn_NO_v2.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
# to-do add symlink to no for the more popular language
mkdir -p %{buildroot}%{_datadir}/mythes
cp -p th_nb_NO_v2.dat th_nb_NO_v2.idx th_nn_NO_v2.dat th_nn_NO_v2.idx %{buildroot}%{_datadir}/mythes

%files -n mythes-nb
%doc README_th_nb_NO_v2.txt
%{_datadir}/mythes/th_nb_NO_v2.*

%files -n mythes-nn
%doc README_th_nb_NO_v2.txt
%{_datadir}/mythes/th_nn_NO_v2.*
