Name: mythes-pl
Summary: Polish thesaurus
Version: 1.5
Release: %mkrel 15
Source: https://downloads.sourceforge.net/synonimy/OOo2-Thesaurus-%{version}.zip
Group:  Text tools 
URL: http://synonimy.ux.pl/
BuildRequires: python
BuildRequires: perl
License: LGPLv2+
BuildArch: noarch
Requires: mythes
Requires: locales-pl

%description
Polish thesaurus.

%prep
%setup -q -c

%build
for i in README_th_pl_PL_v2.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-2 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/mythes
cp -p th_pl_PL_v2.* $RPM_BUILD_ROOT/%{_datadir}/mythes

%files
%doc README_th_pl_PL_v2.txt
%{_datadir}/mythes/*

