Name: mythes-pt
Summary: Portuguese thesaurus
%define upstreamid 20060817
Version: 17.5.29.1
Release: %mkrel 4
Source: https://sourceforge.net/projects/aoo-extensions/files/1196/41/oo3x-pt-pt-%{version}.oxt
Group:  Text tools 
URL: http://openthesaurus.caixamagica.pt/
BuildRequires: unzip
License: GPLv2+
BuildArch: noarch
Requires: mythes
Requires: locales-pt

%description
Portuguese thesaurus.

%prep
%setup -q -c

%build
for i in dictionaries/README_th_pt_PT.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-2 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/mythes
cp -p dictionaries/th_pt_PT.* $RPM_BUILD_ROOT/%{_datadir}/mythes
pushd $RPM_BUILD_ROOT/%{_datadir}/mythes/
pt_PT_aliases="pt_BR"
for lang in $it_IT_aliases; do
        ln -s th_pt_PR.dat "th_"$lang"_v2.dat"
        ln -s th_pt_PR.idx "th_"$lang"_v2.idx"
done

%files
%doc dictionaries/README_th_pt_PT.txt
%{_datadir}/mythes/*

