%define upstreamid	20180411

Name:		mythes-sk
Version:	0.%{upstreamid}.1
Release:	%mkrel 11
Summary:	Slovak thesaurus
License:	BSD
Group:		Text tools
URL:		https://www.sk-spell.sk.cx/thesaurus/
Source:		https://www.sk-spell.sk.cx/thesaurus/download/OOo-Thesaurus2-sk_SK.zip#/%{name}-%{version}.zip
BuildArch:	noarch
BuildRequires:	python
BuildRequires:	perl

Requires:	mythes
Requires:	locales-sk

%description
Slovak thesaurus.

%prep
%setup -q -c

%build
for i in README_th_sk_SK_v2.txt; do
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
mkdir -p %{buildroot}%{_datadir}/mythes
cp -p th_sk_SK_v2.* %{buildroot}%{_datadir}/mythes

%files
%doc README_th_sk_SK_v2.txt
%{_datadir}/mythes/*
