%define upstreamid	20151225

Name:		mythes-sl
Version:	0.%{upstreamid}.1
Release:	%mkrel 4
Summary:	Slovenian thesaurus
License:	LGPLv2+
Group:		Text tools
URL:		http://www.tezaver.si/
Source:		https://sourceforge.net/projects/aoo-extensions/files/3280/10/pack-sl.oxt#/%{name}-%{version}.oxt
BuildArch:	noarch
BuildRequires:	python
BuildRequires:	perl

Requires:	mythes
Requires:	locales-sl

%description
Slovenian thesaurus.

%prep
%setup -q -c

rm -rf META-INF

%build
chmod -x *
for i in README_th_sl_SI.txt; do
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
mkdir -p %{buildroot}%{_datadir}/mythes
cp -p th_sl_SI_v2.* %{buildroot}%{_datadir}/mythes

%files
%doc README_th_sl_SI.txt
%{_datadir}/mythes/*
