Name:           mythes-uk
Summary:        Ukrainian thesaurus
Version:        1.7.1
Release:        %mkrel 7
License:        GPLv2+ or LGPLv2+
Group:          Text tools
URL:            https://sourceforge.net/projects/ispell-uk
Source0:        https://sourceforge.net/projects/ispell-uk/files/spell-uk/%{version}/spell-uk-%{version}.tgz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  pkgconfig(mythes)

Requires:       mythes
Requires:       locales-uk

%description
Ukrainian thesaurus.

%prep
%setup -q -n spell-uk-%{version}

%build
cd src/thesaurus
mv -f th_uk_UA.dat th_uk_UA_v2.dat
th_gen_idx.pl < th_uk_UA_v2.dat > th_uk_UA_v2.idx

%install
mkdir -p %{buildroot}%{_datadir}/mythes
cp -p src/thesaurus/th_uk_UA_v2.* %{buildroot}%{_datadir}/mythes

%files
%doc README README.uk COPYING.GPL COPYING.LGPL Copyright
%{_datadir}/mythes/*
