%define up_name check_lm_sensors

Name:       nagios-%{up_name}
Version:    3.1.0
Release:    %mkrel 14
Summary:    A Nagios plugin to monitor sensors values
License:    GPLv2
Group:      Networking/Other
Url:        https://www.id.ethz.ch/
Source:     https://www.id.ethz.ch/people/allid_list/corti/%{up_name}-%{version}.tar.gz
Requires:   hddtemp
Requires:   perl-Nagios-Plugin
BuildArch:  noarch

%description
check_lm_sensors is a Nagios plugin to monitor the values of on board sensors
and hard disk temperatures on Linux systems.

%prep
%setup -q -n %{up_name}-%{version}

sed -i 's|#!perl|#!/usr/bin/perl|' check_lm_sensors

%build

%install
install -d -m 755 %{buildroot}%{_datadir}/nagios/plugins
install -m 755 check_lm_sensors %{buildroot}%{_datadir}/nagios/plugins

install -d -m 755 %{buildroot}%{_sysconfdir}/nagios/plugins.d
cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_lm_sensors.cfg <<'EOF'
define command{
	command_name	check_lm_sensors
	command_line	%{_datadir}/nagios/plugins/check_lm_sensors
}
EOF

%files
%doc AUTHORS Changes NEWS README TODO COPYING VERSION
%{_datadir}/nagios/plugins/check_lm_sensors
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_lm_sensors.cfg



