%define up_name	check_mysql_health

Name:		nagios-%{up_name}
Version:	2.1.7
Release:	%mkrel 10
Summary:	Check MySQL
Group:		Networking/Other
License:	GPL
URL:		https://www.consol.de/opensource/nagios/check-mysql-health/
Source0:	https://labs.consol.de/wp-content/uploads/2010/03/%{up_name}-%{version}.tar.gz
BuildArch:	noarch

%description
This plugin is used to monitor a variety of mysql database metrics.

%prep
%setup -q -n %{up_name}-%{version}

%build
# fix build on aarch64
autoreconf -vfi
%configure \
    --libexecdir=%{_datadir}/nagios/plugins \
    --with-statefiles-dir=%{_localstatedir}/lib/nagios
%make_build

%install
%make_install

install -d -m 755 %{buildroot}%{_sysconfdir}/nagios/plugins.d
cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_mysql_health.cfg <<'EOF'
define command{
	command_name	check_mysql_health
	command_line	%{_datadir}/nagios/plugins/check_mysql_health
}
EOF

%files
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_mysql_health.cfg
%{_datadir}/nagios/plugins/check_mysql_health


