%define _enable_debug_packages	%{nil}
%define debug_package		%{nil}

Summary:	A Nagios plugin to check SIP servers and devices
Name:		nagios-check_sip
Version:	1.2
Release:	%mkrel 14
License:	GPL
Group:		Networking/Other
URL:		https://www.bashton.com/content/nagiosplugins
Source0:	https://www.bashton.com/downloads/%{name}-%{version}.tar.gz
Requires:	nagios
BuildArch:  noarch

%description
A Nagios plugin that will test a SIP server/device for availability and
response time.

%prep

%setup -q

%build

%install
install -d -m 755 %{buildroot}%{_datadir}/nagios/plugins
install -m 755 check_sip %{buildroot}%{_datadir}/nagios/plugins

perl -pi -e 's|/usr/lib/nagios|%{_datadir}/nagios|' \
    %{buildroot}%{_datadir}/nagios/plugins/check_sip

install -d -m 755 %{buildroot}%{_sysconfdir}/nagios/plugins.d
cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_sip.cfg <<'EOF'
define command {
    command_name	check_sip
	command_line	%{_datadir}/nagios/plugins/check_sip -u $ARG1$ -H $HOSTADDRESS$ -w 5
}
EOF

%files
%doc README
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_sip.cfg
%{_datadir}/nagios/plugins/check_sip


