%define _enable_debug_packages	%{nil}
%define debug_package		%{nil}

Summary:	Examine and manipulate SpamAssassin's auto-whitelist db
Name:		nagios-check_whitelist
Version:	0
Release:	%mkrel 15
License:	Apache License
Group:		Networking/Other
URL:		https://www.apache.org/
Source0:	https://svn.apache.org/repos/asf/spamassassin/trunk/tools/check_whitelist
Source1:	check_whitelist.cfg
Requires:	nagios-plugins
BuildArch:  noarch

%description
Check or clean a SpamAssassin auto-whitelist (AWL) database file.

%prep
%setup -q -c -T

%build

%install
install -d %{buildroot}%{_datadir}/nagios/plugins
install -m 755 %{SOURCE0} %{buildroot}%{_datadir}/nagios/plugins/

install -d -m 755 %{buildroot}%{_sysconfdir}/nagios/plugins.d
cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_whitelist.cfg <<'EOF'
define command {
	command_name    check_whitelist
	command_line    %{_datadir}/nagios/plugins/check_whitelist --clean --min $ARG1$ $ARG2$
}
EOF

%files
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_whitelist.cfg
%{_datadir}/nagios/plugins/check_whitelist


