%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}
 
%global _legacy_common_support 1
%global __provides_exclude_from %{_libdir}/nautilus/extensions-4.0/.*\\.so

Name:		nautilus-python
Summary:	Python 3 bindings for GNOME nautilus
Version:	4.0.1
Release:	%mkrel 2
License:	GPLv2+ and LGPLv2+
Group:		Development/Python
URL:		https://www.gnome.org/
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(libnautilus-extension-4)
BuildRequires:	meson

%description
Python bindings for the Nautilus extension framework.

%prep
%autosetup -p1

%build
%meson \
	-Ddocs=enabled
%meson_build

%install
%meson_install

#handle docs in files section
mv %buildroot%_datadir/doc/%name installed-docs

mkdir -p %{buildroot}%{_libdir}/nautilus/extensions-4.0/python

%files
%doc AUTHORS installed-docs/*  NEWS.md README.md
%doc %{_datadir}/gtk-doc/html/nautilus-python/*
%dir %{_libdir}/nautilus/extensions-4.0/python/
%{_libdir}/nautilus/extensions-4/lib%{name}.so
%{_datadir}/pkgconfig/%{name}.pc
