Name:		nerd-dictation

%global commit 1d52c1de7aa8360e77fd1ca1534b5ba3e143271a
%define date 20230705

Summary:	Offline Speech to Text for Desktop
Version:	git%{date}
Release:	%mkrel 2
Source0:	https://github.com/ideasman42/nerd-dictation/archive/%{commit}.tar.gz
URL:		https://github.com/ideasman42/nerd-dictation
Group:		Office/Utilities
License:	GPL v3.0
BuildArch:	noarch
Requires:	python3dist(vosk)
# pulseaudio-utils provides parec
Requires: 	pulseaudio-utils
Recommends:	xdotool
Recommends:	dotool

%description
Offline Speech to Text for Desktop, using Vosk-api. This is a utility that provides simple access speech to text
for using in Linux without being tied to a desktop environment.

%prep
%autosetup -n %{name}-%{commit}

%install
mkdir -p %{buildroot}/examples
cp -R examples/* %{buildroot}/examples/
cp *.rst %{buildroot}/
cp LICENSE %{buildroot}/LICENSE
mkdir -p %{buildroot}%{_bindir}
install -m 755 nerd-dictation %{buildroot}%{_bindir}/

%files
%doc /readme.rst
%doc /hacking.rst
%doc /changelog.rst
%doc /examples/*
%doc /readme-sox.rst
%doc /readme-ydotool.rst
%license /LICENSE
/%{_bindir}/nerd-dictation
