%define api    1.3
%define major  0
%define libname %mklibname net6- %api %major
%define libname_devel %mklibname net6- %api -d

Summary:    A library to ease the development of network-based applications
Name:       net6
Version:    1.3.14
Release:    %mkrel 11
URL:        http://gobby.0x539.de/
License:    GPLv2+
Source0:    http://releases.0x539.de/%{name}/%{name}-%{version}.tar.gz
Patch0:	    net6-1.3.14-drop-deprecated-gnutls-call.patch
Group:      System/Libraries
BuildRequires: pkgconfig(sigc++-2.0)
BuildRequires: pkgconfig(gnutls)
BuildRequires: gettext-devel

%description
net6 is a library which eases the development of network-based applications
as it provides a TCP protocol abstraction for C++. It is portable to both
the Windows and Unix-like platforms.

%package -n %libname
Summary:    A library to ease the development of network-based applications
Group:      System/Libraries
Requires:   %{name} >= %{version}
Obsoletes:  %mklibname net6_ 1.3

%description -n %libname
net6 is a library which eases the development of network-based applications
as it provides a TCP protocol abstraction for C++. It is portable to both
the Windows and Unix-like platforms.

%package -n %libname_devel
Summary:    Development files for %libname
Group:      System/Libraries
Provides:   lib%{name}-devel = %version-%release
Obsoletes:  %mklibname -d net6_ 1.3
Requires:   %libname = %version

%description -n %libname_devel
Development files, header and includes for %libname.

net6 is a library which eases the development of network-based applications
as it provides a TCP protocol abstraction for C++. It is portable to both
the Windows and Unix-like platforms.

%prep
%setup -q
%autopatch -p1

# make autoreconf more happy
sed -i -e 's,^\(AM_INIT_AUTOMAKE\)(\(.*\)).*,\1(\[\2 subdir-objects\]),' configure.ac

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

rm -f %buildroot%_libdir/*.la

%find_lang %name

%files -f %name.lang

%files -n %libname
%doc ChangeLog README NEWS AUTHORS
%_libdir/*%{api}.so.%{major}*

%files -n %libname_devel
%_includedir/%name/
%_libdir/*.so
%_libdir/pkgconfig/*
