Name:           net_monitor
Version:        0.30
Release:        %mkrel 6
Summary:        Network monitoring tool
License:        GPLv2
Group:          Monitoring
Url:            https://gitweb.mageia.org/software/net_monitor/
Source0:        https://gitweb.mageia.org/software/net_monitor/snapshot/%{name}-%{version}.tar.xz
Requires:       vnstat
Requires:       python3-gobject3
Requires:       python3-cairo

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  libiw-devel
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:  pkgconfig(gobject-introspection-1.0)

%description
This is a network monitoring tool, intended to replace the old net_monitor from
drakx-net. It supports graphical network monitoring and some advanced features,
such as network profiling, activity monitoring, detailed logging and network
traffic statistics with help of vnstat reporting.

%prep
%autosetup

%build
%set_build_flags
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_logdir}
touch %{buildroot}%{_logdir}/%{name}.log

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README NEWS TODO
%{_bindir}/%{name}
%{_sysconfdir}/sysconfig/network-scripts/if*.d/netmonitor*
%{python3_sitearch}/%{name}-%{version}-py*
%{python3_sitearch}/%{name}
%ghost %{_logdir}/%{name}.log
