%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define name    netflix-desktop
%define version 0.8.7
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    Netflix for Linux
License:    LGPLv2+
Group:      Networking/Other
URL:        https://launchpad.net/netflix-desktop
Source:     https://launchpad.net/netflix-desktop/trunk/%{version}/+download/%{name}.tar.gz#/%{name}-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}
Buildrequires:	attr-devel
Buildrequires:  acl-devel
%description
Netflix for Linux.

%prep
%setup -q -n %{name}

%build
%make_build

%install
%make_install INSTDIR="/usr/share/wine-browser-installer"

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/package-data-downloads/*
%{_datadir}/wine-browser-installer

