%define	oname nexuiz

Summary:	Data files for the open-source first-person shooter Nexuiz
Name:		%{oname}-data
Version:	2.5.2
Release:	%mkrel 12
License:	GPLv2+
Group:		Games/Shooter
URL:		http://www.nexuiz.com/
# (tpg) original source is here https://downloads.sourceforge.net/nexuiz/nexuiz-24.zip
# extract only needed files
# unzip nexuiz-252.zip
# mkdir nexuiz-data-2.5.2/
# mv Nexuiz/data/ Nexuiz/Docs Nexuiz/gpl.txt nexuiz-data-2.5.2/
# tar cYf nexuiz-data-2.5.2.tar.lzma nexuiz-data-2.5.2/
Source0:	%{oname}-data-%{version}.tar.lzma
Source11:	%{oname}-16x16.png
Source12:	%{oname}-32x32.png
Source13:	%{oname}-48x48.png
BuildArch:	noarch
Requires:	%{oname} = %{version}

%description
Nexuiz is a multiplayer 3D first-person shooter based upon a
heavily modified Quake 1 engine.

This package contains the data files for Nexuiz.

WARNING: This game contains violence that is not suitable for children.

%prep
%setup -q
chmod 644 *.txt
sed -i 's/\r//' Docs/*.htm* Docs/*.txt

%install
mkdir -p %{buildroot}%{_gamesdatadir}/%{oname}/data/
install -m644 data/*.pk3 %{buildroot}%{_gamesdatadir}/%{oname}/data/
install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{oname}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{oname}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{oname}.png

%files
%doc Docs
%{_gamesdatadir}/%{oname}
%{_iconsdir}/hicolor/*/apps/%{oname}.png


