Summary:	Network traffic statics utility
Name:		nicstat
Version:	1.95
Release:	%mkrel 5
Group:		Monitoring
License:	GPLv2
URL:		https://sourceforge.net/projects/nicstat/
Source0:	https://sourceforge.net/projects/nicstat/files/nicstat-src-%{version}.tar.gz

%description
Prints out network statistics for all network cards (NICs), including packets,
kilobytes per second, average packet sizes and more.

%prep

%setup -q -n nicstat-src-%{version}

%build

gcc %{optflags}  nicstat.c -o nicstat

%install

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1

install -m0755 nicstat %{buildroot}%{_bindir}/
install -m0644 nicstat.1 %{buildroot}%{_mandir}/man1/

%files
%doc ChangeLog.txt LICENSE.txt README.txt
%{_bindir}/*
%{_mandir}/man1/*.1*


