%global namedreltag -SNAPSHOT
%global namedversion %{version}%{?namedreltag}
Name:          nifty-style-grey
Version:       1.1
Release:       %mkrel 1
Summary:       Nifty Style Definition (Grey)
Group:         Development/Java
License:       BSD
Url:           http://nifty-gui.lessvoid.com/
# svn export https://nifty-gui.svn.sourceforge.net/svnroot/nifty-gui/nifty-style-grey/trunk/ nifty-style-grey-1.1-SNAPSHOT
# tar czf nifty-style-grey-1.1-SNAPSHOT-src-svn.tar.gz nifty-style-grey-1.1-SNAPSHOT
Source0:       nifty-style-grey-1.1-SNAPSHOT-src-svn.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: maven
BuildRequires: maven-jar-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-wagon

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Nifty Style Definition (Grey).

%prep
%setup -q -n %{name}-%{namedversion}

rm -rf $(find . -name "*.jar")
rm -rf $(find . -name "*.class")

%build

mvn-rpmbuild install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*