Name:           njam
Version:        1.25
Release:        %mkrel 3
Summary:        The most addictive free pacman game
License:        GPLv2
Group:          Games/Arcade
URL:            https://njam.sourceforge.net/
Source0:        https://downloads.sourceforge.net/njam/%{name}-%{version}-src.tar.xz
Source1:        %{name}.desktop

BuildRequires:  SDL_image-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  SDL_net-devel
BuildRequires:  SDL-devel

%description
Njam is a full-featured cross-platform pac-man like game written in C++ using
SDL library

Features
    * Single and multiplayer mode (local or via network)
    * Duel mode (players compete against each other to get more points)
    * Cooperative mode (players try to finish as many levels as they can)
    * Great music and sound effects
    * Ported to many operating systems including Windows and Linux
    * Customizable level skins
    * Many different levels
    * Integrated level editor to add your own levels
    * Open Source (GPL Licence)


%prep
%setup -q -n %{name}-%{version}-src

%build
%configure

%make

%install
rm -rf %{buildroot}
%make_install
install -D -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,0755)
%{_bindir}/njam
%{_datadir}/applications/njam.desktop
%{_datadir}/njam


