%{?nodejs_find_provides_and_requires}

Name:       nodejs-abbrev
Version:    1.1.1
Release:    %mkrel 2
Group:      Development/C
Summary:    Abbreviation calculator for Node.js
License:    MIT
URL:        https://github.com/isaacs/abbrev-js
Source0:    https://registry.npmjs.org/abbrev/-/abbrev-%{version}.tgz
BuildArch:  noarch

BuildRequires:  nodejs-packaging

%description
Calculate the set of unique abbreviations for a given set of strings.

%prep
%setup -q -n package

%build
#nothing to do

%install

mkdir -p %{buildroot}%{nodejs_sitelib}/abbrev
cp -pr abbrev.js package.json %{buildroot}%{nodejs_sitelib}/abbrev

%nodejs_symlink_deps

%check
node abbrev.js

%files
%{nodejs_sitelib}/abbrev
%doc README.md
%license LICENSE

