%global shortname acorn

Name:           nodejs-%{shortname}
Version:        0.9.0
Release:        %mkrel 8
Group:          Development/Other
Summary:        ECMAScript parser

License:        MIT
URL:            https://marijnhaverbeke.nl/%{shortname}/
Source0:        https://registry.npmjs.org/%{shortname}/-/%{shortname}-%{version}.tgz
BuildArch:      noarch

BuildRequires:  nodejs-packaging

%description
A tiny, fast JavaScript parser, written completely in JavaScript.

%prep
%setup -qn package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{shortname}/
cp -pr package.json %{shortname}.js %{shortname}_loose.js %{shortname}_csp.js util/ \
    %{buildroot}%{nodejs_sitelib}/%{shortname}

rm -f %{buildroot}%{nodejs_sitelib}/%{shortname}/util/test_walk.js

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
node test/run.js

%files
%{nodejs_sitelib}/%{shortname}
%doc LICENSE README.md

