%global npm_name ajv
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 6.4.0
Release: %mkrel 6
Summary: Another JSON Schema Validator
License: MIT
Group: Development/Other
URL: https://github.com/epoberezkin/ajv
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(fast-deep-equal)
Requires: npm(fast-json-stable-stringify)
Requires: npm(json-schema-traverse)
Requires: npm(uri-js)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep fast-deep-equal ">=2.0.0"
%nodejs_fixdep uri-js ">=4.2.1"
%nodejs_fixdep uri-js ">=4.2.1"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr dist %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr scripts %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

