# needed for building on el6
%{?nodejs_find_provides_and_requires}

%global srcname ansi-font

Name:           nodejs-%{srcname}
Version:        0.0.2
Release:        %mkrel 5
Group:          Development/Java

Summary:        ANSI font styling utils
License:        MIT
URL:            https://github.com/gozala/%{srcname}
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz
# License requested: https://github.com/Gozala/ansi-font/issues/2
Source1:        LICENSE-MIT.txt

BuildArch:      noarch


BuildRequires:  nodejs-packaging

%description
%{summary}.

%prep
%setup -qn package
rm -rf node_modules
cp -pr %{SOURCE1} .

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}

cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%files
%{!?_licensedir:%global license %doc}
%doc Readme.md History.md
%license LICENSE-MIT.txt
%{nodejs_sitelib}/%{srcname}

