%global npm_name anymatch
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.0.0
Release: %mkrel 7
Summary: Matches strings against configurable strings, globs, regular expressions, and/or functions
License: ISC
Group: Development/Other
URL: https://github.com/micromatch/anymatch
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(micromatch)
Requires: npm(normalize-path)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep normalize-path ">=3.0.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

