%global npm_name are-we-there-yet
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.1.4
Release: %mkrel 6
Summary: Keep track of the overall completion of many disparate processes
License: ISC
Group: Development/Other
URL: https://github.com/iarna/are-we-there-yet
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(delegates)
Requires: npm(readable-stream)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep readable-stream ">=2.3.6"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr CHANGES.md~ %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr tracker-base.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr tracker-group.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr tracker-stream.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr tracker.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGES.md
%doc README.md

