%global npm_name arr-union
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 3.1.0
Release: %mkrel 4
Summary: Combines a list of arrays
License: MIT
Group: Development/Other
URL: https://github.com/jonschlinkert/arr-union
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
Combines a list of arrays, returning a single array with unique values, using
strict equality for comparisons.

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

