%{?nodejs_find_provides_and_requires}

Name:           nodejs-array-differ
Version:        1.0.0
Release:        %mkrel 4
Group:          Development/Java
Summary:        Find values that are only present in the first input array

License:        MIT
URL:            https://www.npmjs.com/package/array-differ
Source0:        https://github.com/sindresorhus/array-differ/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(mocha)
BuildRequires:  npm(escape-string-regexp)

%description
Create an array with values that are present in the first input
array but not additional ones.


%prep
%autosetup -n array-differ-%{version}
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/array-differ
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/array-differ
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha


%files
%{!?_licensedir:%global license %doc}
%doc readme.md
%license license
%{nodejs_sitelib}/array-differ

