%global enable_tests 0
%global srcname array-union

%global commit0 d0e72cc6fbff57273032e45050c51ff44c8e137c
%global gittag0 v1.0.1
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           nodejs-%{srcname}
Version:        1.0.1
Release:        %mkrel 6
Summary:        Create an array of unique values, in order, from the input arrays
License:        MIT
URL:            https://www.npmjs.com/package/%{srcname}
Source0:        https://github.com/sindresorhus/%{srcname}/archive/%{commit0}.tar.gz#/%{srcname}-%{shortcommit0}.tar.gz
Group:          Development/Java

BuildArch:      noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(array-uniq)
BuildRequires:  npm(mocha)
%endif


%description
%{summary}.

%prep
%setup -qn %{srcname}-%{commit0}
rm -rf node_modules/


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr index.js package.json \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha
%endif


%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{srcname}

