%global enable_tests 0
%global srcname array-uniq

%global commit0 d5e311f37692dfd25ec216490df10632ce5f69f3
%global gittag0 v1.0.2
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           nodejs-%{srcname}
Version:        1.0.2
Release:        %mkrel 6
Group:          Development/Other

Summary:        Create an array without duplicates
License:        MIT
URL:            https://www.npmjs.com/package/%{srcname}
Source0:        https://github.com/sindresorhus/%{srcname}/archive/%{commit0}.tar.gz#/%{srcname}-%{shortcommit0}.tar.gz

BuildArch:      noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(require-uncached)
BuildRequires:  npm(es6-set)
BuildRequires:  npm(mocha)
%endif


%description
%{summary}.

%prep
%setup -qn %{srcname}-%{commit0}
rm -rf node_modules/


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr index.js package.json \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha
%endif


%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{srcname}


