%{?nodejs_find_provides_and_requires}

Name:       nodejs-asap
Version:    2.0.6
Release:    %mkrel 2
Summary:    High-priority task queue for Node.js and browser
License:    MIT
Group:      System/Libraries
URL:        https://github.com/kriskowal/asap
Source0:    https://registry.npmjs.org/asap/-/asap-%{version}.tgz

BuildArch:  noarch

BuildRequires:  nodejs-packaging

%description
%{summary}.

%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/asap
cp -pr package.json asap.js raw.js \
    %{buildroot}%{nodejs_sitelib}/asap
%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check
#%__nodejs test/asap-test.js

%files
%doc LICENSE.md README.md
%{nodejs_sitelib}/asap

