%global npm_name async-each
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.0.1
Release: %mkrel 4
Summary: No-bullshit, ultra-simple, 35-lines-of-code async parallel forEach / map function for JavaScript
License: MIT
Group: Development/Other
URL: https://github.com/paulmillr/async-each/
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%doc CHANGELOG.md
%doc README.md

