%global npm_name atob
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.1.1
Release: %mkrel 5
Summary: atob for Node
License: MIT OR ASL 2.0
Group: Development/Other
URL: https://git.coolaj86.com/coolaj86/atob.js.git
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr bin %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr browser-atob.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node-atob.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
chmod 0755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/bin/atob.js
ln -sf %{nodejs_sitelib}/%{npm_name}/bin/atob.js %{buildroot}%{_bindir}/atob.js

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/atob.js
%license LICENSE
%license LICENSE.DOCS
%doc README.md

