%global npm_name b64

Name: nodejs-b64
Version: 4.1.2
Release: %mkrel 4
Summary: Base64 streaming encoder and decoder
License: BSD
Group: Development/Other
URL: https://github.com/hapijs/b64#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(hoek) >= 6.0.0
Requires: npm(hoek) < 7.0.0
BuildArch: noarch

%description
%{summary}

%prep
%autosetup -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md
