%global npm_name big.js

Name: nodejs-big.js
Version: 6.0.3
Release: %mkrel 1
Summary: A small, fast, easy-to-use library for arbitrary-precision decimal arithmetic
License: MIT
Group: Development/Other
URL: https://github.com/MikeMcl/big.js#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr big.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr big.mjs %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%doc CHANGELOG.md
%doc LICENCE.md
%doc README.md

