%{?nodejs_find_provides_and_requires}

Name:           nodejs-bunker
Version:        0.1.2
Release:        %mkrel 6
Summary:        Code coverage in native JavaScript
BuildArch:      noarch

Group:          System/Libraries
#no license file included, "MIT/X11" indicated in package.json
License:        MIT
URL:            https://github.com/substack/node-bunker
Source0:        https://registry.npmjs.org/bunker/-/bunker-%{version}.tgz

BuildRequires:  nodejs-packaging
#BuildRequires:  npm(tap)

%description
Bunker is a module to calculate code coverage written in native JavaScript.
It uses AST trickery with the help of the nodejs-burrito package.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/bunker
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/bunker

%nodejs_symlink_deps

# recursive deps are recursive
#%%check
#%%tap test/*.js

%files
%{nodejs_sitelib}/bunker
%doc README.markdown example

