%{?nodejs_find_provides_and_requires}

Name:           nodejs-camelcase
Version:        5.0.0
Release:        %mkrel 4
Summary:        Convert a dash/dot/underscore/space separated string to camelCase: foo-bar → fooBar
License:        MIT
Group:          Development/Other
Url:            https://github.com/sindresorhus/camelcase
Source0:        https://registry.npmjs.org/camelcase/-/camelcase-%{version}.tgz
# We don't have a nodejs-devel package
BuildRequires:  nodejs
BuildRequires:  nodejs-packaging
Obsoletes:      camelcase
BuildArch:      noarch


%description
Convert a dash/dot/underscore/space separated string to camelCase: foo-bar → fooBar

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/camelcase
cp -pr  index.js package.json %{buildroot}%{nodejs_sitelib}/camelcase

%{nodejs_symlink_deps}

%files
%{nodejs_sitelib}/camelcase
%doc license readme.md
