%{?nodejs_find_provides_and_requires}

Name:           nodejs-charm
Version:        0.1.2
Release:        %mkrel 5
Summary:        ANSI control sequences for terminal cursor hopping and colors
BuildArch:      noarch

Group:          System/Libraries
#no license file included; "MIT" indicated in package.json
License:        MIT
URL:            https://github.com/substack/node-charm
Source0:        https://registry.npmjs.org/charm/-/charm-%{version}.tgz

BuildRequires:  nodejs-packaging

%description
Uses ANSI control sequences to write colors and cursor positions to terminals.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/charm
cp -pr package.json index.js lib %{buildroot}%{nodejs_sitelib}/charm

%nodejs_symlink_deps

%files
%{nodejs_sitelib}/charm
%doc README.markdown example

