%global npm_name chokidar
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.0.3
Release: %mkrel 7
Summary: A neat wrapper around node
License: MIT
Group: Development/Other
URL: https://github.com/paulmillr/chokidar
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(anymatch)
Requires: npm(async-each)
Requires: npm(braces)
Requires: npm(fsevents)
Requires: npm(glob-parent)
Requires: npm(inherits)
Requires: npm(is-binary-path)
Requires: npm(is-glob)
Requires: npm(normalize-path)
Requires: npm(path-is-absolute)
Requires: npm(readdirp)
Requires: npm(upath)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep is-binary-path ">=2.0.0"
%nodejs_fixdep normalize-path ">=3.0.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%doc CHANGELOG.md
%doc README.md

