%{?nodejs_find_provides_and_requires}

Name:           nodejs-cliui
Version:        4.0.0
Release:        %mkrel 6
Summary:        easily create complex multi-column command-line-interfaces
License:        ISC
Group:          Development/Other
Url:            https://github.com/bcoe/cliui
Source0:        https://registry.npmjs.org/cliui/-/cliui-%{version}.tgz
BuildRequires:  nodejs
BuildRequires:  nodejs-packaging
BuildRequires:  npm(center-align)
BuildRequires:  npm(right-align)
BuildRequires:  npm(wordwrap)
BuildArch:      noarch


%description
easily create complex multi-column command-line-interfaces

%prep
%setup -qn package

%nodejs_fixdep wrap-ansi ^3.0.
%nodejs_fixdep align-text ^1.0.
%nodejs_fixdep kind-of ^6.0.

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/cliui
cp -pr  index.js package.json %{buildroot}%{nodejs_sitelib}/cliui

%{nodejs_symlink_deps}

%files
%doc README.md
%{nodejs_sitelib}/cliui
