%global npm_name color-support
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.1.3
Release: %mkrel 4
Summary: A module which will endeavor to guess your terminal's level of color support
License: ISC
Group: Development/Other
URL: https://github.com/isaacs/color-support#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr bin.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr browser.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
chmod 0755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/bin.js
ln -sf %{nodejs_sitelib}/%{npm_name}/bin.js %{buildroot}%{_bindir}/color-support

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/color-support
%license LICENSE
%doc README.md

