# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global barename core-util-is

Name:               nodejs-core-util-is
Version:            1.0.2
Release:            %mkrel 6
Summary:            The util.is functions introduced in Node v0.12

Group:              Development/Other
License:            MIT
URL:                https://www.npmjs.org/package/core-util-is
Source0:            https://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch

BuildRequires:      nodejs-packaging >= 6

%description
The util.is functions introduced in Node v0.12.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/core-util-is
cp -pr package.json lib \
    %{buildroot}%{nodejs_sitelib}/core-util-is

%nodejs_symlink_deps

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/core-util-is/
