%global npm_name cryptiles
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 4.1.1
Release: %mkrel 6
Summary: General purpose crypto utilities
License: BSD
Group: Development/Other
URL: https://github.com/hapijs/cryptiles#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(boom)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

