%{?nodejs_find_provides_and_requires}

%global commit 212d7d4b5f049e31d30907ee73ac767329db92e1

%global enable_tests 0

Name:       nodejs-css-parse
Version:    1.7.0
Release:    %mkrel 8
Summary:    A JavaScript CSS parser for Node.js and the browser
License:    MIT
Group:      System/Libraries
URL:        https://github.com/reworkcss/css-parse
# Use GitHub as the NPM tarball is missing test/, examples/, History.md.
Source0:    https://github.com/reworkcss/css-parse/archive/%{commit}/%{name}-%{version}.tar.gz

BuildArch:  noarch
BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(should)
%endif

%description
%{summary}.


%prep
%setup -q -n css-parse-%{commit}


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/css-parse
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/css-parse

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha --require should --reporter spec --bail
%endif


%files
%doc examples/ History.md LICENSE Readme.md
%{nodejs_sitelib}/css-parse


