%{?nodejs_find_provides_and_requires}

%global commit 74a42f06087891273274acf2e30065ee9454bd66

%global enable_tests 0

Name:       nodejs-css-stringify
Version:    2.0.0
Release:    %mkrel 6
Summary:    A CSS compiler for Node.js
License:    MIT
Group:      System/Libraries
URL:        https://github.com/visionmedia/css-stringify
# Use GitHub as the NPM tarball is missing useful files/folders.
Source0:    https://github.com/visionmedia/css-stringify/archive/%{commit}/%{name}-%{version}.tar.gz
Patch0:     vers.patch
BuildArch:  noarch
BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  mocha
BuildRequires:  npm(css-parse)
BuildRequires:  npm(should)
BuildRequires:  npm(source-map)
%endif

%description
%{summary}.


%prep
%setup -q -n css-stringify-%{commit}
%autopatch -p1

%nodejs_fixdep minimist ^1.2.x
%nodejs_fixdep source-map ">=0.7.2"

%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/css-stringify
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/css-stringify

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha --require should --reporter spec --bail
%endif


%files
%doc History.md LICENSE Readme.md examples/
%{nodejs_sitelib}/css-stringify


