%{?nodejs_find_provides_and_requires}

Name:       nodejs-debug
Version:    2.6.9
Release:    %mkrel 3
Summary:    A small debugging utility for Node.js
# License text is included in Readme.md
License:    MIT
Group:      System/Libraries
URL:        https://github.com/visionmedia/debug
Source0:    https://registry.npmjs.org/debug/-/debug-%{version}.tgz

BuildArch:  noarch
BuildRequires:  nodejs-packaging

%description
This module is a tiny Node.js debugging utility modeled after node core's
debugging technique.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/debug
cp -pr package.json *.js src %{buildroot}%{nodejs_sitelib}/debug

%nodejs_symlink_deps


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/debug
