%{?nodejs_find_provides_and_requires}

%global enable_tests 1


Name:           nodejs-deep-equal
Version:        1.0.1
Release:        %mkrel 5
Summary:        Node's assert.deepEqual algorithm

Group:          System/Libraries
License:        MIT
URL:            https://github.com/substack/node-deep-equal
Source0:        https://registry.npmjs.org/deep-equal/-/deep-equal-%{version}.tgz
BuildArch:      noarch


BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
%endif

%description
Node's `assert.deepEqual()` algorithm implemented as a standalone module.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/deep-equal
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/deep-equal
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/tape/bin/tape test/*.js
%endif

%files
%doc readme.markdown example/
%license LICENSE
%{nodejs_sitelib}/deep-equal

