%define base_name deep-is

Name:           nodejs-deep-is
Version:        0.1.3
Release:        %mkrel 5
Summary:        Node's assert.deepEqual() algorithm as a standalone module
License:        MIT
Group:          Development/Other
Url:            https://github.com/thlorenz/deep-is
Source:        https://registry.npmjs.org/%{base_name}/-/%{base_name}-%{version}.tgz
BuildRequires:   nodejs-packaging
BuildArch:      noarch

%{?nodejs_find_provides_and_requires}

%description
Node's assert.deepEqual() algorithm as a standalone module.
Exactly like deep-equal except for the fact that 
deepEqual(NaN, NaN) === true.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%nodejs_sitelib/%{base_name}
cp -pr package.json index.js \
        %{buildroot}%nodejs_sitelib/%{base_name}/

%files
%doc README.markdown LICENSE example
%nodejs_sitelib/%{base_name}

