%global npm_name define-property
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.0.2
Release: %mkrel 7
Summary: Define a non-enumerable property on an object
License: MIT
Group: System/Libraries
URL: https://github.com/jonschlinkert/define-property
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(is-descriptor) >= 1.0.2
Requires: npm(is-descriptor) < 2.0.0
Requires: npm(isobject) >= 3.0.1
Requires: npm(isobject) < 4.0.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGELOG.md
%doc README.md

