%{?nodejs_find_provides_and_requires}

Name:           nodejs-difflet
Version:        0.2.3
Release:        %mkrel 8
Summary:        Colorful diffs for JavaScript objects

BuildArch:      noarch

Group:          System/Libraries
#no license file included; "MIT" indicated in package.json
License:        MIT
URL:            https://github.com/substack/difflet
Source0:        https://registry.npmjs.org/difflet/-/difflet-%{version}.tgz
Patch0:		git-fixes.diff

BuildRequires:  nodejs-packaging
#BuildRequires:  npm(tap)

%description
Creates colorful diffs for JavaScript objects,

%prep
%setup -q -n package
%patch -P 0 -p1

%nodejs_fixdep charm '~0.1.0'

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/difflet
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/difflet

%nodejs_symlink_deps

#recursive deps are recursive
#%%check
#%%tap test/*.js

%files
%{nodejs_sitelib}/difflet
%doc README.markdown example

