%{?nodejs_find_provides_and_requires}

%global packagename es6-weak-map
%global enable_tests 0
# tests disabled due to missing npm(tad) test suite

Name:		nodejs-es6-weak-map
Version:	2.0.1
Release:	%mkrel 7
Group:          Development/Other

Summary:	ECMAScript6 WeakMap polyfill

License:	MIT
URL:		https://github.com/medikoo/es6-weak-map.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tad)
%endif

Requires:	nodejs

%description
ECMAScript6 WeakMap polyfill


%prep
%setup -q -n package

%nodejs_fixdep d "<=2.0.0"
# allow either the 0.1.x or 1.x.x series of npm(d)


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
%__nodejs %{nodejs_sitelib}/tad/bin/tad
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

