%{?nodejs_find_provides_and_requires}

%global packagename event-emitter
%global enable_tests 0
# tests disabled due to missing npm(tad) test suite

Name:		nodejs-event-emitter
Version:	0.3.4
Release:	%mkrel 8
Summary:	Environment agnostic event emitter
Group:          Development/Other

License:	MIT
URL:		https://github.com/medikoo/event-emitter.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(d)
%if 0%{?enable_tests}
BuildRequires:	npm(tad)
%endif

%description
Environment agnostic event emitter


%prep
%setup -q -n package

%nodejs_fixdep d "<=2.0.0"
# allow either the 0.1.x or 1.x.x series of npm(d)



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} %{nodejs_sitelib}/tad/bin/tad
%else
echo "Tests are disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md CHANGES
%license LICENSE
%{nodejs_sitelib}/%{packagename}

