%global npm_name eyes

Name: nodejs-eyes
Version: 0.1.8
Release: %mkrel 3
Summary: a customizable value inspector
License: MIT
Group: Development/Other
URL: https://www.npmjs.com/package/eyes
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
I was tired of looking at cluttered output in the console -- something needed
to be done, sys.inspect() didn't display regexps correctly, and was too
verbose, and I had an hour or two to spare. So I decided to have some fun.

eyes were born

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr Makefile %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

