%{?nodejs_find_provides_and_requires}

%global packagename figures
%global enable_tests 0
# tests disabled until 'ava' is packaged

Name:		nodejs-figures
Version:	1.7.0
Release:	%mkrel 7
Summary:	Unicode symbols with Windows CMD fallbacks
Group:          Development/Other

License:	MIT
URL:		https://github.com/sindresorhus/figures.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/sindresorhus/figures/v%{version}/test.js


BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(object-assign)
BuildRequires:	npm(escape-string-regexp)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
Unicode symbols with Windows CMD fallbacks


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}



