%{?nodejs_find_provides_and_requires}

%global packagename for-each
%global enable_tests 1

Name:		nodejs-for-each
Version:	0.3.2
Release:	%mkrel 1
Summary:	A better forEach
Group:          Development/Other
License:	MIT
URL:		https://github.com/Raynos/for-each
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(is-function)

%if 0%{?enable_tests}
BuildRequires:	npm(tape)
%endif

%description
A better forEach


%prep
%autosetup -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} test/test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENCE
%{nodejs_sitelib}/%{packagename}
