%global npm_name foreground-child
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.5.6
Release: %mkrel 6
Summary: Run a child as if it's the foreground process
License: ISC
Group: Development/Other
URL: https://github.com/tapjs/foreground-child#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(cross-spawn)
Requires: npm(signal-exit)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep cross-spawn ">=6.0.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr changelog.sh %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGELOG.md
%doc README.md

