%global npm_name form-data
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.3.2
Release: %mkrel 5
Summary: A library to create readable "multipart/form-data" streams
License: MIT
Group: Development/Other
URL: https://github.com/form-data/form-data#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(asynckit) >= 0.4.0
Requires: npm(asynckit) < 1.0.0
Requires: npm(combined-stream) = 1.0.6
Requires: npm(mime-types) >= 2.1.12
Requires: npm(mime-types) < 3.0.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license License
%doc README.md
%doc README.md.bak

