%global npm_name fsevents

Name: nodejs-%{npm_name}
Version: 2.0.1
Release: %mkrel 6
Summary: Native Access to Mac OS-X FSEvents
License: MIT
Group: Development/Other
URL: https://github.com/strongloop/fsevents
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
The FSEvents API in OS X allows applications to register for notifications of
changes to a given directory tree. It is a very fast and lightweight
alternative to kqueue.

This is a low-level library.

%prep
%autosetup -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr binding.gyp %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr fsevents.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr fsevents.node %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr src %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc ISSUE_TEMPLATE.md
%doc Readme.md

