%global npm_name global-prefix
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.0.2
Release: %mkrel 6
Summary: Get the npm global path prefix
License: MIT
Group: Development/Other
URL: https://github.com/jonschlinkert/global-prefix
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(expand-tilde) >= 2.0.2
Requires: npm(homedir-polyfill) >= 1.0.1
Requires: npm(ini) >= 1.3.4
Requires: npm(is-windows) >= 1.0.1
Requires: npm(which) >= 1.2.14
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

