%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-growl
Version:    1.10.5
Release:    %mkrel 2
Summary:    Growl unobtrusive notifications for Node.js
# License text is included in Readme.md
License:    MIT
Group:      System/Libraries
URL:        https://github.com/visionmedia/node-growl
Source0:    https://registry.npmjs.org/growl/-/growl-%{version}.tgz

BuildArch:  noarch
BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  libnotify
%endif

Requires:       libnotify >= 0:0.5.0-1

%description
%{summary}


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/growl
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/growl

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%__nodejs test.js
%endif


%files
%doc History.md Readme.md
%{nodejs_sitelib}/growl


