%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-grunt-legacy-util
Version:    1.1.1
Epoch:      1
Release:    %mkrel 5
Summary:    Deprecated Grunt utils provided for backwards compatibility
License:    MIT
Group:      System/Libraries
URL:        https://github.com/gruntjs/grunt-legacy-util
Source0:    https://registry.npmjs.org/grunt-legacy-util/-/grunt-legacy-util-%{version}.tgz

BuildArch:  noarch
BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(async)
BuildRequires:  npm(exit)
BuildRequires:  npm(getobject)
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(hooker)
BuildRequires:  npm(lodash)
BuildRequires:  npm(temporary)
BuildRequires:  npm(underscore.string)
BuildRequires:  npm(which)
%endif

%description
%{summary}.

%prep
%setup -q -n package

%nodejs_fixdep async
%nodejs_fixdep lodash
%nodejs_fixdep underscore.string '~2.3.1'
%nodejs_fixdep which


%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-legacy-util
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/grunt-legacy-util

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/grunt nodeunit -v
%endif


%files
%doc README.md
%license LICENSE-MIT
%{nodejs_sitelib}/grunt-legacy-util

