%{?nodejs_find_provides_and_requires}

Name:           nodejs-has-symbols
Version:        1.0.1
Release:        %mkrel 1
Summary:        Determine if the JS environment has Symbol support

License:        MIT
URL:            https://www.npmjs.com/package/has-symbols
Source0:        https://registry.npmjs.org/has-symbols/-/has-symbols-%{version}.tgz
BuildArch:      noarch
Group:          Development/Other

BuildRequires:  nodejs-packaging

BuildRequires:  npm(tape)


%description
Determine if the JS environment has Symbol support. Supports spec, or shams.


%prep
%autosetup -n package
rm -rf node_modules

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/has-symbols
cp -pr package.json index.js shams.js %{buildroot}%{nodejs_sitelib}/has-symbols
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%__nodejs test
%__nodejs --harmony --es-staging test
%__nodejs test/shams/get-own-property-symbols.js
%__nodejs test/shams/core-js.js


%files
%doc CHANGELOG.md README.md
%license LICENSE
%{nodejs_sitelib}/has-symbols
