%global npm_name hashish
# Although there are tests
# the dependancies aren't in Fedora yet
%global enable_tests 0

Summary:       Hash data structure manipulation functions
Name:          nodejs-%{npm_name}
Version:       0.0.4
Release:       %mkrel 9
Group:         Development/Other
License:       MIT
URL:           https://github.com/substack/node-hashish
Source0:       https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-devel
%if 0%{?enable_tests}
BuildRequires:  npm(expresso)
%endif
BuildArch:     noarch

%description
Hashish is a node.js library for manipulating hash data structures.
It is distilled from the finest that ruby, perl, and haskell have 
to offer by way of hash/map interfaces.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr examples index.js package.json test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%if 0%{?enable_tests}
%check
expresso
%endif

%files
%doc README.markdown
%{nodejs_sitelib}/%{npm_name}

