%global npm_name http-signature
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.2.0
Release: %mkrel 8
Summary: Reference implementation of Joyent's HTTP Signature scheme
License: MIT
Group: Development/Other
URL: https://github.com/joyent/node-http-signature/
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(assert-plus)
Requires: npm(jsprim)
Requires: npm(sshpk)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep jsprim ">=2.0.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGES.md
%doc README.md
%doc http_signing.md

