%global npm_name ignore-walk
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 3.0.1
Release: %mkrel 5
Summary: Nested/recursive `
License: ISC
Group: Development/Other
URL: https://github.com/isaacs/ignore-walk#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(minimatch) >= 3.0.4
Requires: npm(minimatch) < 4.0.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

