%global npm_name ini
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.3.8
Release: %mkrel 2
Summary: An ini encoder/decoder for node
License: ISC
Group: Development/Other
URL: https://github.com/isaacs/ini#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tar.gz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n %{npm_name}-%{version}

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr ini.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

