%global npm_name int64-buffer
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.0.0
Release: %mkrel 2
Summary: 64bit Long Integer on Buffer/Array/ArrayBuffer in Pure JavaScript
License: MIT
Group: Development/Other
URL: https://github.com/kawanet/int64-buffer
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr dist %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr int64-buffer.d.ts %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr int64-buffer.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

