%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:           nodejs-is-regex
Version:        1.1.0
Release:        %mkrel 1
Summary:        Is this value a JS regex?
Group:          Development/Other

License:        MIT
URL:            https://github.com/ljharb/is-regex
Source0:        https://registry.npmjs.org/is-regex/-/is-regex-%{version}.tgz
BuildArch:      noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
BuildRequires:  npm(foreach)
%endif
BuildRequires:  npm(has-symbols)


%description
Is this value a JS regex? This module works cross-realm/iframe, and
despite ES6 @@toStringTag.


%prep
%setup -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/is-regex
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/is-regex
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} --harmony --es-staging test
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/is-regex


