%{?nodejs_find_provides_and_requires}

%global packagename is-relative
%global enable_tests 0

Name:		nodejs-is-relative
Version:	1.0.0
Release:	%mkrel 5
Summary:	Returns `true` if the path appears to be relative
Group:          Development/Other

License:	MIT
URL:		https://github.com/jonschlinkert/is-relative.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/jonschlinkert/is-relative/master/test.js

BuildArch:	noarch
BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(is-unc-path)
%endif

%description
Returns `true` if the path appears to be relative.


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}
