%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:           nodejs-is-symbol
Version:        1.0.1
Release:        %mkrel 4
Summary:        Determine if a value is an ES6 Symbol or not
Group:          Development/Other

License:        MIT
URL:            https://github.com/ljharb/is-symbol
Source0:        https://registry.npmjs.org/is-symbol/-/is-symbol-%{version}.tgz
BuildArch:      noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
%endif


%description
%{summary}.


%prep
%setup -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/is-symbol
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/is-symbol
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} --es-staging --harmony test/index.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/is-symbol


