%{?nodejs_find_provides_and_requires}
%global enable_tests 1

Name:           nodejs-is
Version:        3.2.1
Release:        %mkrel 1
Summary:        The definitive JavaScript type testing library

License:        MIT
URL:            https://github.com/enricomarino/is
Source0:        https://registry.npmjs.org/is/-/is-%{version}.tgz
BuildArch:      noarch

Group:          Development/Other

BuildRequires:  nodejs-packaging

BuildRequires:  npm(foreach)
%if 0%{?enable_tests}
BuildRequires:  npm(tape)
BuildRequires:  npm(make-generator-function)
%endif

%description
%{summary}.


%prep
%setup -q -n package
rm -rf node_modules
%nodejs_fixdep es-abstract '>=1.17.3'

%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/is
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/is
%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
%{__nodejs} test/index.js
%endif

%files
%{!?_licensedir:%global license %doc}
%doc README.md CHANGELOG.md
%license LICENSE.md
%{nodejs_sitelib}/is
