%global npm_name lazy-cache
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.0.2
Release: %mkrel 5
Summary: Cache requires to be lazy-loaded when needed
License: MIT
Group: Development/Other
URL: https://github.com/jonschlinkert/lazy-cache
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(set-getter) >= 0.1.0
Requires: npm(set-getter) < 1.0.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

