%{?nodejs_find_provides_and_requires}

Name:           nodejs-lcid
Version:        2.0.0
Release:        %mkrel 3
Summary:        Mapping between standard locale identifiers and Windows locale identifiers (LCID)
License:        MIT
Group:          Development/Other
Url:            https://github.com/sindresorhus/lcid
Source0:        https://registry.npmjs.org/lcid/-/lcid-%{version}.tgz
BuildRequires:  nodejs
BuildRequires:  nodejs-packaging
BuildRequires:  npm(invert-kv)
Obsoletes:      lcid
BuildArch:      noarch


%description
Mapping between standard locale identifiers and Windows locale identifiers (LCID)

%prep
%setup -q -n package

%nodejs_fixdep invert-kv ">=2.0.0"

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/lcid
cp -pr  index.js package.json %{buildroot}%{nodejs_sitelib}/lcid

%{nodejs_symlink_deps}

%files
%doc license readme.md
%{nodejs_sitelib}/lcid
