%{?nodejs_find_provides_and_requires}

Name:       nodejs-load-grunt-tasks
Version:    0.4.0
Release:    %mkrel 11
Summary:    Load multiple grunt tasks using globbing patterns
License:    MIT
Group:      Development/Java
URL:        https://github.com/sindresorhus/load-grunt-tasks
Source0:    https://registry.npmjs.org/load-grunt-tasks/-/load-grunt-tasks-%{version}.tgz
# Include a copy of the MIT license to comply with license requirements.
Source1:    LICENSE

BuildArch:  noarch

BuildRequires:  nodejs-packaging

%description
%{summary}.


%prep
%setup -q -n package
cp -p %{SOURCE1} .

%nodejs_fixdep findup-sync ">=2.0.0"
%nodejs_fixdep multimatch '^2.1.0'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/load-grunt-tasks
cp -pr package.json load-grunt-tasks.js \
    %{buildroot}%{nodejs_sitelib}/load-grunt-tasks

%nodejs_symlink_deps


%files
%doc readme.md
%license LICENSE
%{nodejs_sitelib}/load-grunt-tasks
