%{?nodejs_find_provides_and_requires}

Name:           nodejs-make-arrow-function
Version:        1.2.0
Release:        %mkrel 1
Summary:        Function that returns an arbitrary arrow function

License:        MIT
URL:            https://github.com/ljharb/make-arrow-function
Source0:        https://registry.npmjs.org/make-arrow-function/-/make-arrow-function-%{version}.tgz
BuildArch:      noarch
Group:          Development/Other
BuildRequires:  nodejs-packaging
BuildRequires:  npm(tape)


%description
Function that returns an arbitrary arrow function, or undefined
if arrow function syntax is unsupported.


%prep
%autosetup -p 1 -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/make-arrow-function
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/make-arrow-function
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} test/index.js


%files
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/make-arrow-function
