%{?nodejs_find_provides_and_requires}

Name:           nodejs-make-generator-function
Version:        1.1.1
Release:        %mkrel 1
Summary:        Returns an arbitrary generator function

License:        MIT
URL:            https://github.com/ljharb/make-generator-function
Source0:        https://registry.npmjs.org/make-generator-function/-/make-generator-function-%{version}.tgz
# https://github.com/ljharb/make-generator-function/pull/1
Source1:        nodejs-make-generator-function-license.txt
BuildArch:      noarch
Group:          Development/Other

BuildRequires:  nodejs-packaging

BuildRequires:  npm(tape)


%description
Returns an arbitrary generator function, or undefined if generator
syntax is unsupported. If both generator syntax and concise method
syntax are supported, the generator function returned will have
a "concise" property containing a concise generator method.


%prep
%setup -q -n package
cp %{SOURCE1} LICENSE
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/make-generator-function
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/make-generator-function
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} --harmony test/index.js


%files
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/make-generator-function
