%global npm_name mem
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 3.0.0
Release: %mkrel 5
Summary: Memoize functions
License: MIT
Group: Development/Other
URL: https://github.com/sindresorhus/mem#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(mimic-fn) >= 1.0.0
Requires: npm(mimic-fn) < 2.0.0
Requires: npm(p-is-promise) >= 1.1.0
Requires: npm(p-is-promise) < 2.0.0
BuildArch: noarch

%description
An optimization used to speed up consecutive function calls by caching the
result of calls with identical input.
%prep
%setup -q -n package

%build
# NOthing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license license
%doc readme.md

