%global npm_name micromatch
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 3.1.10
Release: %mkrel 7
Summary: Glob matching for javascript/node
License: MIT
Group: Development/Other
URL: https://github.com/micromatch/micromatch
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(arr-diff)
Requires: npm(array-unique)
Requires: npm(braces)
Requires: npm(define-property)
Requires: npm(extend-shallow)
Requires: npm(extglob)
Requires: npm(fragment-cache)
Requires: npm(kind-of)
Requires: npm(nanomatch)
Requires: npm(object.pick)
Requires: npm(regex-not)
Requires: npm(snapdragon)
Requires: npm(to-regex)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep extglob ">=3.0.0"
%nodejs_fixdep snapdragon ">=0.12.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGELOG.md
%doc README.md

