%global npm_name mime-types
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.1.18
Release: %mkrel 6
Summary: The ultimate javascript content-type utility
License: MIT
Group: Development/Other
URL: https://github.com/jshttp/mime-types#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(mime-db) >= 1.33.0
Requires: npm(mime-db) < 1.34.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc HISTORY.md
%doc README.md

