%{?nodejs_find_provides_and_requires}

Name:       nodejs-minimatch
Version:    3.0.4
Release:    %mkrel 3
Summary:    JavaScript glob matcher
License:    MIT
Group:      System/Libraries
URL:        https://github.com/isaacs/minimatch
Source0:    https://github.com/isaacs/minimatch/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:  noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(tap)
BuildRequires:  npm(brace-expansion)

%description
Converts glob expressions to JavaScript "RegExp" objects.

%prep
%autosetup -n minimatch-%{version}

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/minimatch
cp -p package.json minimatch.js %{buildroot}%{nodejs_sitelib}/minimatch
%nodejs_symlink_deps

#check
#nodejs_symlink_deps --check
#tap test/*.js


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/minimatch

