%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:           nodejs-mkdirp
Version:        1.0.4
Release:        %mkrel 3
Summary:        Recursive directory creation module for Node.js

License:        MIT
Group:          Development/Other
URL:            https://github.com/isaacs/node-mkdirp/
Source0:        https://registry.npmjs.org/mkdirp/-/mkdirp-%{version}.tgz
BuildArch:      noarch


BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(mock-fs)
%endif


%description
Creates directories recursively, like `mkdir -p`.


%prep
%setup -q -n package
%nodejs_fixdep minimist "^1.2.0"


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/mkdirp
cp -pr index.js package.json lib %{buildroot}%{nodejs_sitelib}/mkdirp
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__tap test/*.js
%endif


%files
%doc readme.markdown
%license LICENSE
%{nodejs_sitelib}/mkdirp

