%global npm_name mock-fs
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 4.10.1
Release: %mkrel 3
Summary: A configurable mock file system
License: MIT
Group: Development/Other
URL: https://github.com/tschaub/mock-fs
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license license.md
%doc changelog.md
%doc readme.md

