%global npm_name needle
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.2.1
Release: %mkrel 5
Summary: The leanest and most handsome HTTP client in the Nodelands
License: MIT
Group: Development/Other
URL: https://github.com/tomas/needle#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(debug) >= 2.1.2
Requires: npm(debug) < 3.0.0
Requires: npm(iconv-lite) >= 0.4.4
Requires: npm(iconv-lite) < 1.0.0
Requires: npm(sax) >= 1.2.4
Requires: npm(sax) < 2.0.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr bin %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr examples %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
chmod 0755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/bin/needle
ln -sf %{nodejs_sitelib}/%{npm_name}/bin/needle %{buildroot}%{_bindir}/needle

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/needle
%license license.txt
%doc README.md

