%global npm_name npm-bundled
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.0.3
Release: %mkrel 4
Summary: List things in node_modules that are bundledDependencies
License: ISC
Group: Development/Other
URL: https://github.com/npm/npm-bundled#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
List things in node_modules that are bundledDependencies,
or transitive dependencies thereof.

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%doc README.md

