%global npm_name npm-package-arg
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 6.1.0
Release: %mkrel 4
Summary: Parse the things that can be arguments to `npm install`
License: ISC
Group: Development/Other
URL: https://github.com/npm/npm-package-arg
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(hosted-git-info) >= 2.6.0
Requires: npm(hosted-git-info) < 3.0.0
Requires: npm(osenv) >= 0.1.5
Requires: npm(osenv) < 1.0.0
Requires: npm(semver) >= 5.5.0
Requires: npm(semver) < 6.0.0
Requires: npm(validate-npm-package-name) >= 3.0.0
Requires: npm(validate-npm-package-name) < 4.0.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr npa.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGELOG.md
%doc README.md

