%global npm_name npm-run-path
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.0.2
Release: %mkrel 5
Summary: Get your PATH prepended with locally installed binaries
License: MIT
Group: Development/Other
URL: https://github.com/sindresorhus/npm-run-path#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(path-key) >= 2.0.0
Requires: npm(path-key) < 3.0.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license license
%doc readme.md

