Name:           nodejs-object-inspect
Version:        1.7.0
Release:        %mkrel 3
Summary:        String representations of objects in node and the browser
Group:          Development/Other

License:        MIT
URL:            https://github.com/substack/object-inspect
Source0:        https://registry.npmjs.org/object-inspect/-/object-inspect-%{version}.tgz
BuildArch:      noarch

BuildRequires:  nodejs-packaging

#BuildRequires:  npm(tape)

%description
%{summary}.


%prep
%autosetup -p 1 -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/object-inspect
cp -pr package.json index.js util.inspect.js %{buildroot}%{nodejs_sitelib}/object-inspect
%nodejs_symlink_deps


#%check
#%nodejs_symlink_deps --check
#%{nodejs_sitelib}/tape/bin/tape test/*.js


%files
%doc readme.markdown example
%license LICENSE
%{nodejs_sitelib}/object-inspect

