%{?nodejs_find_provides_and_requires}

Name:           nodejs-object-is
Version:        1.1.2
Release:        %mkrel 2
Group:          Development/Other
Summary:        ES6-compliant shim for Object.is

License:        MIT
URL:            https://github.com/ljharb/object-is
Source0:        https://registry.npmjs.org/object-is/-/object-is-%{version}.tgz
BuildArch:      noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(tape)


%description
ES6-compliant shim for Object.is - differentiates between -0 and +0.


%prep
%setup -q -n package
rm -rf node_modules
%nodejs_fixdep es-abstract '>=1.17.3'


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/object-is
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/object-is
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} test


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE
%{nodejs_sitelib}/object-is

