%global npm_name osenv

Name: nodejs-osenv
Version: 0.1.5
Release: %mkrel 4
Summary: Look up environment settings specific to different operating systems
License: ISC
Group: Development/Other
URL: https://github.com/npm/osenv#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(os-homedir) >= 1.0.0
Requires: npm(os-tmpdir) >= 1.0.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr osenv.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md
