%global npm_name regex-not
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.0.2
Release: %mkrel 6
Summary: Create a JS regular expression for matching everything except the given string
License: MIT
Group: Development/Other
URL: https://github.com/jonschlinkert/regex-not
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(extend-shallow) >= 3.0.2
Requires: npm(extend-shallow) < 4.0.0
Requires: npm(safe-regex) >= 1.1.0
Requires: npm(safe-regex) < 2.0.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

