%{?nodejs_find_provides_and_requires}

%global packagename replace-require-self
%global enable_tests 1

Name:		nodejs-replace-require-self
Version:	1.1.1
Release:	%mkrel 5
Group:          Development/Other
Summary:	Require($THIS_PACKAGE) -> require('./')

License:	MIT
URL:		https://github.com/kemitchell/replace-require-self.js.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(stream-replace)

%description
Require($THIS_PACKAGE) -> require('./')


%prep
%setup -q -n package

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{packagename}/cli.js \
    %{buildroot}%{_bindir}/replace-require-self


%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
%{_bindir}/echo -e "\e[102m -=#=- No test suite -=#=- \e[0m"
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%license LICENSE
%{nodejs_sitelib}/%{packagename}
%{_bindir}/replace-require-self



