%global npm_name require-directory
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.1.1
Release: %mkrel 5
Summary: Recursively iterates over specified directory
License: MIT
Group: Development/Other
URL: https://github.com/troygoode/node-require-directory/
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
Recursively iterates over specified directory, require()'ing each file,
and returning a nested hash structure containing those modules.

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.markdown

