%global enable_tests 0
Name:           nodejs-resumer
Version:        0.0.0
Release:        %mkrel 6
Summary:        A stream that starts paused and resumes on the next tick

License:        MIT
URL:            https://github.com/substack/resumer
Source0:        https://registry.npmjs.org/resumer/-/resumer-%{version}.tgz
# https://github.com/substack/resumer/pull/2
Patch0:         nodejs-resumer-concat-stream.patch
BuildArch:      noarch
Group:          Development/Other

BuildRequires:  nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(tape)
BuildRequires:  npm(concat-stream)
%endif
BuildRequires:  npm(through)

%description
A through stream that starts paused and resumes on the next tick.


%prep
%setup -q -n package
%patch -P 0 -p1
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/resumer
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/resumer
%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
%tap test/*.js
%endif

%files
%doc LICENSE readme.markdown example
%{nodejs_sitelib}/resumer
