%{?nodejs_find_provides_and_requires}

Name:           nodejs-rimraf
Version:        2.5.0
Release:        %mkrel 5
Summary:        A deep deletion module for node.js
License:        MIT
Group:          System/Libraries
URL:            https://github.com/isaacs/rimraf
Source0:        https://github.com/isaacs/rimraf/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch


BuildRequires:  nodejs-packaging

BuildRequires:  npm(tap)
BuildRequires:  npm(glob)
BuildRequires:  npm(mkdirp)

%description
%summary (like `rm -rf`).


%prep
%autosetup -p 1 -n rimraf-%{version}

%nodejs_fixdep glob '>=6.0.1'

%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/rimraf
cp -pr package.json rimraf.js %{buildroot}%{nodejs_sitelib}/rimraf
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
#%tap test/basic.js


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/rimraf

