%{?nodejs_find_provides_and_requires}

Name:       nodejs-semver
Version:    5.6.0
Release:    %mkrel 3
Summary:    Semantic versioner for npm
License:    BSD
Group:      Development/Other
URL:        https://github.com/isaacs/node-semver
Source0:    https://registry.npmjs.org/semver/-/semver-%{version}.tgz
BuildArch:  noarch

BuildRequires:  nodejs-devel

%description
The semantic version comparison library for the Node.js package manager (npm).

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/semver
cp -pr bin package.json semver.js %{buildroot}%{nodejs_sitelib}/semver

mkdir -p %{buildroot}%{_bindir}
ln -sf ../lib/node_modules/semver/bin/semver %{buildroot}%{_bindir}

%nodejs_symlink_deps

%files
%{nodejs_sitelib}/semver
%{_bindir}/semver
%doc README.md
%license LICENSE


