%global npm_name set-value
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 3.0.2
Release: %mkrel 2
Summary: Create nested values and any intermediaries using dot notation (`'a
License: MIT
Group: Development/Other
URL: https://github.com/jonschlinkert/set-value
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(is-plain-object) >= 2.0.4
Requires: npm(is-plain-object) < 3.0.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

