Name:           nodejs-should-format
Version:        0.3.2
Release:        %mkrel 4
Group:          Development/Other
Summary:        Formatting of objects for should.js

License:        MIT
URL:            https://github.com/shouldjs/format
Source0:        https://registry.npmjs.org/should-format/-/should-format-%{version}.tgz
Patch0:         0001-Fix-tests-for-Node.js-6.5.patch
BuildArch:      noarch
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(mocha)
BuildRequires:  npm(should-type)


%description
%{summary}.


%prep
%setup -q -n package
%autopatch -p1
sed -i 's/\r$//' README.md
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/should-format
cp -pr package.json index.js util.js %{buildroot}%{nodejs_sitelib}/should-format
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha --ui bdd tests/test.js


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/should-format



