%{?nodejs_find_provides_and_requires}

Name:           nodejs-slide
Version:        1.1.6
Release:        %mkrel 4
Summary:        A flow control library that fits in a slideshow
Group:          System/Libraries
License:        ISC
URL:            https://github.com/isaacs/slide-flow-control
Source0:        https://registry.npmjs.org/slide/-/slide-%{version}.tgz
BuildArch:      noarch


BuildRequires:  nodejs-packaging

%description
Provides simple, easy callbacks for node.js.


%prep
%setup -q -n package
rm -rf node_modules


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/slide
cp -pr package.json index.js lib %{buildroot}%{nodejs_sitelib}/slide
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/slide

