%global npm_name snapdragon-node
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.1.1
Release: %mkrel 8
Summary: Snapdragon utility for creating a new AST node in custom code, such as plugins
License: MIT
Group: Development/Other
URL: https://github.com/jonschlinkert/snapdragon-node
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(define-property)
Requires: npm(isobject)
Requires: npm(snapdragon-util)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep snapdragon-util ^5.0.
%nodejs_fixdep define-property ">=2.0.2"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

