%{?nodejs_find_provides_and_requires}


Name:           nodejs-source-map
Version:        0.7.2
Release:        %mkrel 4
Summary:        Node.js library that generates and consumes source maps

BuildArch:      noarch

Group:          System/Servers
License:        BSD
URL:            https://github.com/mozilla/source-map
Source0:        https://registry.npmjs.org/source-map/-/source-map-%{version}.tgz

BuildRequires:  nodejs-packaging 
BuildRequires:  nodejs
BuildRequires:  npm(amdefine)


%description
A Node.js library that generates and consumes source maps,

A version suitable for use in the browser is available in the source-map
package.



%prep
%setup -q -n package

%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/source-map
cp -pr package.json *.js  lib %{buildroot}%{nodejs_sitelib}/source-map

%nodejs_symlink_deps


%files
%doc README.md
%{nodejs_sitelib}/source-map




