%{?nodejs_find_provides_and_requires} 

%global enable_tests 0
Name:           nodejs-strip-ansi
Version:        4.0.0
Release:        %mkrel 6
Summary:        Strip ANSI escape codes (used for colorizing strings in the terminal)
License:        MIT
Group:          Development/Other
Url:            https://github.com/sindresorhus/strip-ansi
Source0:        https://github.com/chalk/strip-ansi/archive/v%{version}/strip-ansi-%version.tar.gz
Source1:        https://raw.githubusercontent.com/sindresorhus/strip-ansi/3c9b37e5381603925ba16b27a05ccbfd338906b8/test.js
# https://github.com/sindresorhus/strip-ansi/pull/1
Source2:        LICENSE
BuildRequires:  nodejs-packaging
BuildArch:      noarch


%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

%description
%{summary}.

%prep
%setup -qn strip-ansi-%{version}
#cp -p %{SOURCE1} .
#cp -p %{SOURCE2} .


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/strip-ansi
cp -pr package.json  index.js \
    %{buildroot}%{nodejs_sitelib}/strip-ansi


%{nodejs_symlink_deps}


%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%{_bindir}/mocha
%endif


%files
%doc license readme.md
%{nodejs_sitelib}/strip-ansi
