# test are failing 
%global enable_tests 0
%global module_name through2

Name:           nodejs-%{module_name}
Version:        3.0.0
Release:        %mkrel 3
Summary:        Node streams2 Transform wrapper to avoid explicit subclassing noise

License:        MITNFA
URL:            https://github.com/rvagg/through2
Source0:        https://github.com/rvagg/%{module_name}/archive/v%{version}/%{module_name}-%{version}.tar.gz
BuildArch:      noarch
Group:          Development/Other

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(tape)
BuildRequires:  npm(xtend)
BuildRequires:  npm(bl)
BuildRequires:  npm(stream-spigot)
%endif

%description
A tiny wrapper around Node streams2 Transform to avoid explicit subclassing
noise.

%prep
%autosetup -n %{module_name}-%{version}
rm -rf node_modules


%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
node test/test.js
%endif

%files
%doc README.md
%license LICENSE.md
%{nodejs_sitelib}/%{module_name}

