%{?nodejs_find_provides_and_requires}

%global packagename timers-ext
%global enable_tests 0
# tests disabled due to missing npm(tad) test suite

Name:		nodejs-timers-ext
Version:	0.1.0
Release:	%mkrel 6
Summary:	Timers extensions
Group:          Development/Other
License:	MIT
URL:		https://github.com/medikoo/timers-ext.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tad)
%endif

%description
Timers extensions


%prep
%setup -q -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
%{__nodejs} -e 'require("./")'
%{__nodejs} %{nodejs_sitelib}/tad/bin/tad
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md CHANGES
%license LICENCE
%{nodejs_sitelib}/%{packagename}

