%global npm_name tmp
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 0.0.33
Release: %mkrel 5
Summary: Temporary file and directory creator
License: MIT
Group: Development/Other
URL: https://github.com/raszi/node-tmp
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(os-tmpdir) >= 1.0.2
Requires: npm(os-tmpdir) < 1.1.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

