%global npm_name to-object-path
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 0.3.0
Release: %mkrel 5
Summary: Create an object path from a list or array of strings
License: MIT
Group: Development/Other
URL: https://github.com/jonschlinkert/to-object-path
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(kind-of)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep kind-of ">=6.0.2"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

