%global npm_name unicode-length
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.0.1
Release: %mkrel 6
Summary: Get the length of unicode strings
License: MIT
Group: Development/Other
URL: https://github.com/jviotti/unicode-length
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(punycode)
Requires: npm(strip-ansi)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep strip-ansi ">=4.0.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr build %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

