%global npm_name uri-js
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 4.2.2
Release: %mkrel 4
Summary: An RFC 3986/3987 compliant, scheme extendable URI/IRI parsing/validating/resolving library for JavaScript
License: BSD
Group: Development/Other
URL: https://github.com/garycourt/uri-js
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(punycode)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep punycode ">=2.0.0"
%nodejs_fixdep punycode ">=2.0.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr dist %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr rollup.config.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr src %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr tests %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr tsconfig.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%doc README.md

