%global npm_name validate-npm-package-name

Name: nodejs-validate-npm-package-name
Version: 3.0.0
Release: %mkrel 4
Summary: Give me a string and I'll tell you if it's a valid npm package name
License: ISC
Group: Development/Other
URL: https://github.com/npm/validate-npm-package-name
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(builtins) >= 1.0.3
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep builtins '>=2.0.0'

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md
