%global npm_name winston
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.4.4
Release: %mkrel 3
Summary: A multi-transport async logging library for Node
License: MIT
Group: Development/Other
URL: https://github.com/winstonjs/winston#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(async)
Requires: npm(async)
Requires: npm(colors)
Requires: npm(cycle)
Requires: npm(eyes)
Requires: npm(isstream)
Requires: npm(stack-trace)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep async ">=1.5.2"
%nodejs_fixdep colors ">=1.1.2"
%nodejs_fixdep isstream ">=0.1.2"
%nodejs_fixdep stack-trace ">=0.0.10"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGELOG.md
%doc README.md

