%{?nodejs_find_provides_and_requires}

Name:           nodejs-yamlish
Version:        0.0.5
Release:        %mkrel 5
Summary:        Parser/encoder for the yamlish format
BuildArch:      noarch

Group:          System/Libraries
#no license file included; "MIT" indicated in package.json
License:        MIT
URL:            https://github.com/isaacs/yamlish
Source0:        https://registry.npmjs.org/yamlish/-/yamlish-%{version}.tgz

BuildRequires:  nodejs-packaging


%description
This is a module to parse the "yamlish" format used to serialize
objects in the TAP format.

It's like yaml, but just a tiny little bit smaller.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/yamlish
cp -pr package.json yamlish.js %{buildroot}%{nodejs_sitelib}/yamlish

%nodejs_symlink_deps

%files
%{nodejs_sitelib}/yamlish
%doc LICENSE README.md

