# Turn off the brp-python-bytecompile script
# because of /usr/lib/python2.7/site-packages/noethys/Outils/C866CA3A-32F7-11D2-9602-00C04F8EE628x0x5x0.py
%define __brp_python_bytecompile %{nil}

%define   oname Noethys

Name:		noethys
Version:	1.3.1.1
Release:	%mkrel 3
Summary:	Software to handle "multi activity" centers
License:	GPLv2
Group:		Archiving/Other
URL:		http://noethys.com/
Source0:	%oname-%version.tar.gz
Patch0:         Noethys-1.2.8.7-disable-update-checking.patch
Patch1:		Noethys-1.2.8.7-fix-shebang.patch
BuildArch:      noarch

Requires:       python3-wxpython4
Requires:       python3-pytz
Requires:       python3-appdirs
Requires:       python3-dateutil
Requires:       python3-numpy
Requires:       python3-pillow
Requires:       python3-mysql
Requires:       python3-sqlalchemy
Requires:       python3-cryptography
Requires:       python3-reportlab
Requires:       python3-paramiko
Requires:       python3-psutil
Requires:       python3-opencv
Requires:       python3-gi
Requires:       python3-OpenSSL
Requires:       python3-serial
Requires:       python3-zope-interface
Requires:       python3-twisted
Requires:	python3-pycryptodome
Requires:	python3-matplotlib
Requires:	python3-xlrd
Requires:	python3-xlsxwriter
Requires:	python3-pyscard
Requires:	python3-lxml
Requires:	python3-icalendar

%description
Software to handle "multi activity" centers

%files
%_bindir/%name
%_datadir/%name

#--------------------------------------------------------------------

%prep
%setup -q -n %oname-%version
%autopatch -p1

%build

%install
mkdir -p %buildroot%_datadir
mkdir -p %buildroot%_bindir
cp -fr %name %buildroot%_datadir
pushd %buildroot%_bindir
	ln -s %_datadir/%name/Noethys.py %name
	chmod +x %buildroot%_datadir/%name/%oname.py
popd

cp %buildroot%_datadir/noethys/Static/Images/Avatars/128x128/Automatique.png %buildroot%_datadir/noethys/Static/Images/Avatars/128x128/automatique.png
cp %buildroot%_datadir/noethys/Static/Images/Avatars/16x16/Automatique.png %buildroot%_datadir/noethys/Static/Images/Avatars/16x16/automatique.png
