%define game    nogravity

Name:           nogravity-data
Version:        2.00
Release:        %mkrel 4
Summary:        Data files for No Gravity
Group:          Games/Shooter
License:        GPLv2+
URL:            https://www.nogravitythegame.com/classic
Source0:        https://downloads.sourceforge.net/nogravity/rt-%{name}.zip

BuildArch:      noarch
# So that we get removed together with nogravity itself
Requires:       nogravity >= %{version}

%description
Data files (audio, maps, etc) for No Gravity.

%prep
%setup -q -c
sed -i 's/\r//g' GNU.TXT

%build
# nothing to build data only 

%install
install -d %{buildroot}%{_gamesdatadir}/%{game}
install -m 644 NOGRAVITY.RMX %{buildroot}%{_gamesdatadir}/%{game}/

%files
%doc GNU.TXT
%{_gamesdatadir}/%{game}/
