Name:           noiz2sa
Version:        0.51a
Release:        %mkrel 16
Summary:        Abstract arcade shooter
License:        BSD
Group:          Games/Shooter
URL:            https://noiz2sa.sourceforge.net/
Source0:        https://downloads.sourceforge.net/noiz2sa/noiz2sa-%{version}.tar.gz
Source1:        noiz2sa.6
Source2:        noiz2sa.desktop
Source3:        noiz2sa.png
Source4:        copyright
Patch0:         noiz2sa-0.51a.patch
BuildRequires:  bison
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_mixer)

%description
A classical vertical arcade shooter with an abstract theme and
matching electronic music.

Screenshot:
https://noiz2sa.sourceforge.net/noiz2sa_screen.png

%prep
%setup -q -n %{name}
%patch -P 0 -p1
cp %{SOURCE1} .
cp %{SOURCE2} .
cp %{SOURCE3} .
cp %{SOURCE4} .

%build
cd src && make -f makefile.lin

%install
install -d %{buildroot}/%{_gamesbindir}/
install -m 0755 src/noiz2sa %{buildroot}/%{_gamesbindir}/

install -d %{buildroot}/%{_datadir}/games/
cp -R noiz2sa_share/ %{buildroot}/%{_datadir}/games/noiz2sa/

install -d %{buildroot}%{_mandir}/man6/
install -m 0644 noiz2sa.6 %{buildroot}%{_mandir}/man6/

install -d %{buildroot}%{_datadir}/noiz2sa/
install -m 0644 noiz2sa.png %{buildroot}%{_datadir}/noiz2sa/

install -d %{buildroot}%{_datadir}/applications/
install -m 0644 noiz2sa.desktop %{buildroot}%{_datadir}/applications/

%files
%doc copyright
%{_gamesbindir}/noiz2sa
%{_datadir}/games/noiz2sa/
%{_mandir}/man6/noiz2sa.6*
%{_datadir}/applications/noiz2sa.desktop
%{_datadir}/noiz2sa/
%{_datadir}/noiz2sa/noiz2sa.png
