Summary:	A tool for adjusting the volume of wave files
Name:		normalize
Version:	0.7.7
Release:	%mkrel 25
Source0:	%{name}-%{version}.tar.bz2
Patch0:		compressed-wav-files.dpatch
Patch1:		fix-flac.dpatch
Patch2:		normalize-0.7.7-audiofile-pkgconfig.patch
Patch3:		normalize-0.7.7-m4.patch
Patch4:		normalize-0.7.7-mdv-fix-local-config.patch
Patch5:		normalize-0.7.7-automake-1.13.patch
Patch6:		normalize-autoconf.patch
License:	GPLv2+
URL:		https://normalize.nongnu.org/
Group:		Sound/Editors and Converters
BuildRequires:	pkgconfig(audiofile)
BuildRequires:	pkgconfig(mad)
BuildRequires:	gettext-devel
Requires:	mpg123
Requires:	vorbis-tools

%description
normalize is an overly complicated tool for adjusting the volume of
wave files to a standard volume level.  This is useful for things like
creating mp3 mixes, where different recording levels on different
albums can cause the volume to vary greatly from song to song.

%prep

%setup -q
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p0
%patch -P 4 -p1
%patch -P 5 -p1 -b .automake-1_13
%patch -P 6 -p1

%build
autoreconf -fi -I m4
%configure \
	--with-audiofile \
	--disable-xmms
%make_build

%install
%make_install
%{find_lang} %{name}

%files -f %{name}.lang
%doc README NEWS THANKS TODO
%_bindir/*
%_mandir/man1/normalize*
