Summary:	Notify the user when another specific user logs in
Name:		notifyme
Version:	1.4.5
Release:	%mkrel 11
License:	GPLv2
Group:		Monitoring
URL:		http://wizard.ae.krakow.pl/~mike/
Source0:	http://wizard.ae.krakow.pl/~mike/download/%{name}-%{version}.tar.gz
Patch0:		%{name}-1.4.3-mga-deb-add-a-manpage-and-fix-config_file.patch
Patch1:		%{name}-1.4.5-mga-stop-installing-doc-files-into-wrong-directory.patch
Patch2:		%{name}-fix-building-with-gcc14.patch

%description
A program to notify the user when other one logs in. Notifyme is a console
utility that stays in a background (it isn't a daemon but it doesn't 
block terminal) and prints a message if a specified login and/or logout
occurs. In a resource file ($HOME/notify.rc by default)
you can specify (extended regular expressions are allowed) usernames,
hostnames and terminals that should be monitored, optional messages
that will be displayed and other options (beep, report logouts etc.)


%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install
install -m644 %{name}.1 -D %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc AUTHORS ChangeLog README TODO notifyrc.sample
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
