%define	rev	git20200326

Name:		numptyphysics
Version:	0.4
Summary:	A crayon-drawing based physics puzzle game
Release:	%mkrel -c %{rev} 4
License:	GPLv3+
Group:		Games/Puzzles
Url:		https://thp.io/2015/numptyphysics/
# Stable release git tag: https://github.com/thp/numptyphysics/archive/%{version}.tar.gz
Source0:	https://github.com/thp/numptyphysics/archive/master/%{name}-%{version}-%{rev}.tar.gz
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gl)
Requires:	hicolor-icon-theme

%description
Harness gravity with your crayon and set about creating blocks, ramps, levers,
pulleys and whatever else you fancy to get the little red thing to the little
yellow thing.

Numpty Physics is a drawing puzzle game in the spirit (and style?) of Crayon
Physics using the same excellent Box2D engine. Note though that I've not
actually played CP so the experience may be very different. Numpty Physics
includes a built-in editor so that you may build (and submit) your own levels.

%prep
%setup -q -n %{name}-master

%build
%set_build_flags
%make_build

%install
%make_install

%files
%doc AUTHORS README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
%{_datadir}/%{name}
%{_mandir}/man6/%{name}*
