Name:           nweb
Version:        25
Release:        %mkrel 1
Summary:        Tiny and safe webserver that serves static pages only
Group:          System/Servers
License:        ASL 2.0
URL:            https://nmon.sourceforge.net/pmwiki.php?n=Site.Nweb
Source0:        https://public.dhe.ibm.com/systems/power/community/aix/nweb/nweb.zip#/%{name}-%{version}.zip
Source1:        https://sourceforge.net/projects/nmon/files/nweb25.c
Patch0:         nweb-23-add-more-extensions.patch

%description
Have you ever wanted to run a tiny, safe web server without worrying about
using a fully blown web server that could be complex to install and configure?
Do you wonder how to write a program that accepts incoming messages with a
network socket? Have you ever just wanted your own Web server to experiment
and learn with?

Well, look no further -- nweb is what you need. This is a simple Web server
that has only 200 lines of C source code. It runs as a regular user and can't
run any server-side scripts or programs, so it can't open up any special
privileges or security holes. 

%prep
%autosetup -p1 -c -n %{name}-%{version}
%__cp %{S:1} .

%build
gcc %{optflags} %{name}%{version}.c -o %{name}

%install
%__install -d %{buildroot}%{_sbindir}
%__install -D -p -m 0755 %{name} %{buildroot}%{_sbindir}/

%files
%doc README.txt
%doc client.c index.html nigel.jpg favicon.ico
%{_sbindir}/%{name}

