Name:           objectweb-pom
Version:        1.5
Release:        %mkrel 9
Group:          Development/Java
Summary:        Objectweb POM
BuildArch:      noarch
License:        ASL 2.0
URL:            http://gitorious.ow2.org/ow2/pom/
Source0:        https://repo.maven.apache.org/maven2/org/ow2/ow2/%{version}/ow2-%{version}.pom
Source1:        https://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)

%description
This package provides Objectweb parent POM used by different
Objectweb packages.

%prep
cp -p %{SOURCE0} pom.xml
cp -p %{SOURCE1} LICENSE

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE

