%ifarch %{ocaml_native_compiler}
%undefine _debugsource_packages
%else
%global debug_package %{nil}
%endif

%global srcname ocaml-compiler-libs

Name:           %{srcname}-janestreet
Version:        0.17.0
Release:        %mkrel 1
Summary:        OCaml compiler libraries repackaged
Group:		Development/OCaml

License:        MIT
URL:            https://github.com/janestreet/%{srcname}
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  ocaml >= 4.04.1
BuildRequires:  ocaml-dune >= 2.8
BuildRequires:  ocaml-rpm-macros

%description
This package exposes the OCaml compiler libraries repackaged under
the toplevel names Ocaml_common, Ocaml_bytecomp, Ocaml_optcomp, etc.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and
signature files for developing applications that use
%{name}.

%prep
%autosetup -n %{srcname}-%{version}

%build
%dune_build

%install
%dune_install

%files -f .ofiles
%doc README.org
%license LICENSE.md

%files devel -f .ofiles-devel

