%define debug_package %{nil}

%define modname cry

Summary:        OCaml interface for MP3/Ogg Vorbis broadcast
Name:           ocaml-%{modname}
Version:        0.2.2
Release:        %mkrel 13
Source0:        https://downloads.sourceforge.net/project/savonet/%{name}/%{version}/%{name}-%{version}.tar.gz
License:        GPLv2
Group:          Development/OCaml
Url:            https://savonet.sourceforge.net/

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib

%description
This package contains an OCaml low level implementation of
the shout protocol.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q

%build
./configure --libdir=%{_libdir}
make all

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/%{modname}
make install


%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/%{modname}
%{_libdir}/ocaml/%{modname}/META
%{_libdir}/ocaml/%{modname}/*.cma
%{_libdir}/ocaml/%{modname}/*.cmi

%files devel
%{_libdir}/ocaml/%{modname}/*.a
%{_libdir}/ocaml/%{modname}/*.cmx
%{_libdir}/ocaml/%{modname}/*.cmxa
%{_libdir}/ocaml/%{modname}/*.mli
