Name:           ocaml-herelib
Version:        109.35.00
Release:        %mkrel 7
Summary:        OCaml syntax extension for inserting the current location

Group:          Development/OCaml
License:        ASL 2.0
URL:            https://ocaml.janestreet.com/
Source0:        https://ocaml.janestreet.com/ocaml-core/%{version}/individual/herelib-%{version}.tar.gz

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-camlp4-devel

%description
OCaml syntax extension for inserting the current location.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n herelib-%{version}

%build
./configure
make

%check
make test

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install


%files
%doc LICENSE.txt
%doc INRIA-DISCLAIMER.txt
%doc THIRD-PARTY.txt
%{_libdir}/ocaml/herelib/META
%{_libdir}/ocaml/herelib/*.cmi
%{_libdir}/ocaml/herelib/*.cma
%{_libdir}/ocaml/herelib/*.cmxs

%files devel
%doc lib_test/
%{_libdir}/ocaml/herelib/*.a
%{_libdir}/ocaml/herelib/*.cmx
%{_libdir}/ocaml/herelib/*.cmxa
%{_libdir}/ocaml/herelib/*.mli
%{_libdir}/ocaml/herelib/*.ml
