%define oname ppx_derivers

%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-%{oname}
Epoch:          1
Version:        1.2.1
Release:        %mkrel 6
Summary:        ppx_type_conv/ppx_deriving interoperability library
Group:          Development/OCaml
License:        BSD
URL:            https://github.com/ocaml-ppx/ppx_derivers
Source0:        https://github.com/ocaml-ppx/ppx_derivers/archive/%{version}/%{name}-%{version}.tar.gz
# (tv) compatibility with FC:
Provides:       ocaml-ppx-derivers = %{version}-%{release}
Provides:       ocaml-ppx-derivers%_isa = %{version}-%{release}

BuildRequires:  ocaml
BuildRequires:  ocaml-dune

%description
Ppx_derivers is a tiny package whose sole purpose is to allow
ppx_deriving and ppx_type_conv to inter-operate gracefully when
linked as part of the same ocaml-migrate-parsetree driver.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}
Provides:       ocaml-ppx-derivers-devel = %{version}-%{release}
Provides:       ocaml-ppx-derivers-devel%_isa = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
%dune_build

%install
%dune_install
 
%check
%dune_check

%files -f .ofiles
%doc README.md CHANGES.md
%license LICENSE.md

%files devel -f .ofiles-devel
%doc README.md CHANGES.md
%license LICENSE.md
