%define debug_package %{nil}

Name:           ocaml-syslog
Version:        1.4
Release:        %mkrel 12
Summary:        Syslog routines for OCaml
Source:         http://homepage.mac.com/letaris/syslog-%{version}.tar.gz
URL:            http://homepage.mac.com/letaris
License:        LGPL
Group:          Development/OCaml
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib

%description
Syslog routines for OCaml.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n syslog-%{version}

%build
make 
make opt
make htdoc

%install
install -d -m 755 %{buildroot}/%{_libdir}/ocaml
install -d -m 755 %{buildroot}/%_defaultdocdir/%{name}/html
ocamlfind install syslog META -destdir %{buildroot}/%{_libdir}/ocaml \
    syslog.cmi syslog.mli syslog.cma syslog.cmxa syslog.a
rm -f %{buildroot}/%{_libdir}/ocaml/stublibs/*.owner

%files
%doc Changelog doc/syslog/html
%dir %{_libdir}/ocaml/syslog
%{_libdir}/ocaml/syslog/*.cmi
%{_libdir}/ocaml/syslog/*.cma
%{_libdir}/ocaml/syslog/META

%files devel
%{_libdir}/ocaml/syslog/*.a
%{_libdir}/ocaml/syslog/*.cmxa
%{_libdir}/ocaml/syslog/*.mli
