%define debug_package %{nil}

Summary: OCaml top-level value-hiding extension
Name:    ocaml-tophide
Version: 1.0.4
Release: %mkrel 8
Source0: https://github.com/mjambon/tophide/archive/v%{version}.tar.gz
License: BSD
Group:   Development/OCaml
URL:     https://github.com/mjambon/tophide
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-findlib-devel

%description 
OCaml tophide hides top-level values whose name starts with an
underscore. Primarily for use with Camlp4 syntax extensions.

%prep
%setup -q -n tophide-%{version}
%autopatch -p1

%build
make

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install

%files
%doc LICENSE README.md
%dir %{_libdir}/ocaml/tophide
%{_libdir}/ocaml/tophide/META
%{_libdir}/ocaml/tophide/tophide.cmi
%{_libdir}/ocaml/tophide/tophide.cmo
