%define debug_package %{nil}

Name:           ocamlmod
Version:        0.0.9
Release:        %mkrel 10
Summary:        Generate OCaml modules from source files
License:        LGPL-2.1 with OCaml linking exception
Group:          Development/OCaml
URL:            https://forge.ocamlcore.org/projects/ocamlmod/
Source0:        https://github.com/gildor478/ocamlmod/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         ocamlmod-setupml.patch
# Set CompiledObject to "best".
Patch1:         ocamlmod-native.patch
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ocamlbuild

%description
Generate OCaml modules from source files.

%prep
%setup -q
%autopatch -p1

%build
ocaml setup.ml -configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --sharedstatedir %{_sharedstatedir} \
    --destdir %{buildroot}

make

%install
make install

%files
%doc README.txt AUTHORS.txt INSTALL.txt
%{_bindir}/ocamlmod
