Name:           ocamlnat
Version:        0.1.1
Release:        %mkrel 4
Summary:        Native code OCaml toplevel
License:        Q Public License
Group:          Development/OCaml
URL:            https://benediktmeurer.de/ocamlnat/
Source0:        https://benediktmeurer.de/files/source/ocamlnat-%{version}.tar.bz2
Patch0:         build_with_-linkall_flag.patch
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ounit-devel

%description
The ocamlnat project provides a new native code OCaml toplevel ocamlnat,
which is mostly compatible to the byte code toplevel ocaml, but up to 100
times faster.  It is based on the optimizing native code compiler, the
native runtime and an earlier prototype by Alain Frisch.  It is build upon
Just-In-Time techniques and currently supports Unix-like systems (i.e.
Linux, BSD or Mac OS X) running on x86 or x86-64 processors.  Support for
additional architectures and operating systems is planned, but not yet
available.

%prep
%setup -q
%patch -P 0 -p1 -b .linkall_flag

%build
./configure --destdir %{buildroot} --prefix /usr
make

%install
rm -rf %{buildroot}
make install

%files
%doc README LICENSE AUTHORS
%{_bindir}/ocamlnat
