#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           ocean-sound-theme
Version: 6.3.4
Release:        %mkrel %rel
Summary:        Ocean Sound Theme for Plasma
Group:          Graphical desktop/KDE
License:        CC0-1.0 AND BSD-2-Clause AND CC-BY-SA-4.0
URL:            https://invent.kde.org/plasma/ocean-sound-theme
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
BuildArch:      noarch
# Upstream patches (100-200)

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)

%description
Ocean Sound Theme for Plasma.

%prep
%autosetup

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSES/*.txt 
%{_kf6_datadir}/sounds/ocean/
