%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		ocrfeeder
Version:	0.8.5
Release:	%mkrel 3
Summary:	Optical Character Recognition program
License:	GPLv3+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/OCRFeeder
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch2:		ocrfeeder-0.8.5-PyGIWarning_ensure-that-the-right-version-gets-loaded.patch
BuildArch:	noarch
BuildRequires:	autoconf-archive
BuildRequires:	yelp-tools
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	intltool >= 0.35.0
BuildRequires:	itstool
BuildRequires:	pkgconfig(goocanvas-2.0)
BuildRequires:	pkgconfig(gtkspell3-3.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(odfpy)
BuildRequires:	python3dist(pyenchant)
BuildRequires:	python3dist(pillow)
BuildRequires:	python3dist(pygobject)
BuildRequires:	python3dist(python-sane)
BuildRequires:	python3dist(reportlab)

Requires:	python3dist(lxml)
Requires:	python3dist(odfpy)
Requires:	python3dist(pillow)
Requires:	python3dist(pygobject)
Requires:	python3dist(python-sane)
Requires:	python3dist(reportlab)
Requires:	python3dist(pyenchant)
Requires:	ghostscript
Requires:	unpaper >= 0.3

Recommends:	tesseract

%description
OCRFeeder is a complete Optical Character Recognition and Document Analysis
and Recognition program.

%prep
%autosetup -p1

# force AX_PYTHON_MODULE from autoconf-archive
rm -rf m4/m4_ax_python_module.m4

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc NEWS README AUTHORS
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_datadir}/%{name}/
%{_datadir}/applications/org.gnome.OCRFeeder.desktop
%{_metainfodir}/org.gnome.OCRFeeder.appdata.xml
%{_iconsdir}/hicolor/scalable/*/org.gnome.OCRFeeder.svg
%{_mandir}/man1/%{name}*1.*
%{python3_sitelib}/%{name}/
