Summary:	A tool which will start a program on a virtual console
Name:		open
Version:	1.4
Release:	%mkrel 30
License:	GPL
Group:		Terminals
Source:		https://ibiblio.org/pub/Linux/utils/console/%{name}-%{version}.tar.bz2
Patch0:		%{name}-1.4-includes.patch
Requires(pre):	filesystem >= 2.1.9-18

%description
The open command starts a specified command with the first available virtual
console, or on a virtual console that you specify.

Install the open package if you regularly use virtual consoles to run programs.

%prep
%setup -q
%autopatch -p1

%build
%make_build CFLAGS="%{optflags}"

%install
mkdir -p %{buildroot}/{%{_bindir},%{_mandir}/man1}

make BINDIR=%{buildroot}%{_bindir} MANDIR=%{buildroot}%{_mandir}/man1 install

%files
%{_bindir}/open
%{_bindir}/switchto
%{_mandir}/man1/open.*
%{_mandir}/man1/switchto.*




