Name:           openclipart
Version:        0.18
Release:        %mkrel 7
Summary:        Open Clip Art Library
Group:          Graphics/Utilities
License:        Public Domain
URL:            https://openclipart.org/
Source0:        https://openclipart.org/downloads/%{version}/openclipart-%{version}-svgonly.tar.bz2

Conflicts:      clipart-openclipart

BuildRequires:  dos2unix
BuildArch:      noarch

%description
Openclipart Gallery contains thousand of SVG vector images that can be
freely used. SVG files can be opened in various tools including
Inkscape vector graphics editor, OpenOffice.org and Firefox web browser.


%prep
%setup -q -n openclipart-%{version}-svgonly
find . -name '*.svg' -exec dos2unix -k -q '{}' \;


%build
# nothing

%install
# Bundled makefile messes things up horribly,
# (copies unnecessary files including vim backups and doesn't
# handle spaces in names though they are actually present in-tree)
cd clipart
find . -name '*.svg' -exec sh -c '
        DIR="$RPM_BUILD_ROOT/%{_datadir}/clipart/%{name}/$(dirname "{}")";
        %__install -d "$DIR";
        %__install -m 644 "{}" "$DIR"' \;


%files
%doc AUTHORS ChangeLog NEWS README VERSION
%{_datadir}/clipart
