%define major     0
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Adaptive Multi Rate speech codec
Name:		opencore-amr
Version:	0.1.6
Release:	%mkrel 2
License:	ASL 2.0
Group:		Sound/Utilities
Url:		https://opencore-amr.sourceforge.net/
Source0:	https://sourceforge.net/projects/%{name}/files/%{name}/%{name}-%{version}.tar.gz

%description
This library contains an implementation of the 3GPP TS 26.073
specification for the Adaptive Multi Rate (AMR) speech codec. The
implementation is derived from the OpenCORE framework, part of the
Google Android project.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Adaptive Multi Rate speech codec

%description -n	%{libname}
This library contains an implementation of the 3GPP TS 26.073
specification for the Adaptive Multi Rate (AMR) speech codec. The
implementation is derived from the OpenCORE framework, part of the
Google Android project.

%package -n	%{develname}
Group:		Development/C++
Summary:	Adaptive Multi Rate speech codec - development files
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This library contains an implementation of the 3GPP TS 26.073
specification for the Adaptive Multi Rate (AMR) speech codec. The
implementation is derived from the OpenCORE framework, part of the
Google Android project.

%prep
%autosetup

%build
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc README LICENSE
%{_libdir}/lib%{name}??.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/lib%{name}??.so
%{_includedir}/%{name}??
%{_libdir}/pkgconfig/%{name}nb.pc
%{_libdir}/pkgconfig/%{name}wb.pc
