Name:           openfortivpn
Version:        1.23.1
Release:        %mkrel 1
Summary:        Client for PPP+SSL VPN tunnel services
Group:          Networking/Other
License:        GPLv3+
URL:            https://github.com/adrienverge/openfortivpn
Source0:        https://github.com/adrienverge/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(systemd)

Requires:       ppp

%description
openfortivpn is a client for PPP+SSL VPN tunnel services. It spawns a pppd
process and operates the communication between the gateway and this process.

It is compatible with Fortinet VPNs.

%prep
%autosetup -p1

%build
./autogen.sh
%configure
%make_build

%install
%make_install

%files
%license LICENSE LICENSE.OpenSSL
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/openfortivpn/config
%{_unitdir}/openfortivpn@.service
%{_mandir}/man1/%{name}.1*
