Name:		openrdate
Version:	1.2
Release:	%mkrel 10
Summary:	Good-old rdate date and time-setting software
Group:		System/Configuration
License:	BSD and BSD with advertising
URL:		https://sourceforge.net/projects/openrdate
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# openrdate-1.2-1 replaces rdate-1.4-24, which does not have active upstream
Provides:	rdate = %{version}-%{release}
Obsoletes:	rdate < 1.4-25

Patch0:openrdate_sysctl.patch
%description
Good-old date- and time-setting rdate software implementing RFC 868
(inetd time) and RFC 2030 (SNTP/NTP) protocols. An independent package
of OpenBSD's rdate program.

%prep
%setup -q
%patch -P 0 -p1

#make autoreconf more happy
sed -i -e 's,AM_INIT_AUTOMAKE,AM_INIT_AUTOMAKE(\[subdir-objects\]),' configure.ac

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/rdate
%{_mandir}/man8/rdate.8*
