Name:           openyahtzee
Version:        1.9.3
Release:        %mkrel 17
Summary:        Open-source version of the classic dice game Yahtzee
Group:          Games/Boards
License:        GPLv2
URL:            https://www.openyahtzee.org/
Source0:        https://download.sourceforge.net/openyahtzee/%{name}-%{version}.tar.xz
BuildRequires:  boost-devel
BuildRequires:  wxgtk-devel

%description
Open Yahtzee is an open-source version of the classic dice game Yahtzee.
The goal is to score as many points as possible by rolling different dice
combinations.

%prep
%autosetup -p1

# fix build with wxgtk >= 3.1.2
sed -i -e 's,wxADJUST_MINSIZE,0,g' src/about.cpp

%build
%configure --bindir=%{_gamesbindir}
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_gamesbindir}/%{name}
%{_mandir}/man6/%{name}.6.*
