%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}
%global __requires_exclude python-gi
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^typelib\\(Spiel

%global tarball_version %%(echo %{version} | tr '~' '.')

Summary:	GNOME screen reader for people with visual impairments
Name:		orca
Version:	48.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		Accessibility
URL:		https://wiki.gnome.org/Orca/
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
BuildArch:	noarch
BuildRequires:	meson
BuildRequires:	pkgconfig(atk-bridge-2.0) >= 2.50.0
BuildRequires:	pkgconfig(atspi-2) >= 2.50.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.1.14
BuildRequires:	pkgconfig(liblouis)
BuildRequires:	pkgconfig(pygobject-3.0) >= 3.18
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-dbus
BuildRequires:	python3-cairo
BuildRequires:	python3-speechd
BuildRequires:	python3-brlapi
BuildRequires:	python3-louis
BuildRequires:	python3-psutil
BuildRequires:	intltool >= 0.40.0
BuildRequires:	itstool
BuildRequires:	gnome-doc-utils >= 0.17.3
BuildRequires:	typelib(Gtk) >= 3
BuildRequires:	typelib(Wnck) >= 3
BuildRequires:	python3-gobject3
BuildRequires:	gnome-common
Requires:	python3-gobject3
Requires:	python3-dbus
Requires:	python3-cairo
Requires:	python3-speechd
Requires:	python3-brlapi
Requires:	python3-louis
Requires:	python3-psutil
Requires:	python3-pyatspi
Requires:	typelib(Wnck) >= 3

%description
A flexible, scriptable, extensible screen reader for the GNOME platform
that provides access via speech synthesis and braille.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

# python shebang
%py3_shebang_fix %{buildroot}%{_bindir}/%{name}

%files -f %{name}.lang
%doc README.md NEWS
%license COPYING
%{_bindir}/%{name}
%{python3_sitelib}/%{name}/
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}*.*
%{_sysconfdir}/xdg/autostart/%{name}-autostart.desktop
