Name:           ostrichriders
Version:        0.6.5
Release:        %mkrel 3
Summary:        Knights flying on ostriches compete against other riders
Group:          Games/Arcade
License:        GPLv3+
URL:            https://identicalsoftware.com/ostrichriders
Source0:        https://identicalsoftware.com/ostrichriders/%{name}-%{version}.tgz

BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(sfml-audio)
BuildRequires:  pkgconfig(sfml-graphics)
BuildRequires:  pkgconfig(sfml-system)
BuildRequires:  pkgconfig(sfml-window)

%description
Enemy knights are invading the kingdom. As one of the elite ostrich
riders, it is your duty to defend the kingdom. With lance in hand you
fly off. Remember to stay above your opponent least you fall to his
lance. Collect the eggs least your opponent hatches stronger than
before. Work together with other knights.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build GAMEDATADIR=%{_gamesdatadir}/%{name}

%install
%make_install PREFIX=%{_prefix} BINDIR=%{_gamesbindir} GAMEDATADIR=%{_gamesdatadir}/%{name}

%files
%doc README LICENCE
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
