#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 15

Summary:        The Oxygen font family
Name:           oxygen-fonts
Version: 5.4.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Fonts/True type
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
Patch0:         oxygen-fonts-5.3.95-fix-path.patch
BuildArch:      noarch

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)

BuildRequires:  fontforge

%description
The Oxygen font family.
A desktop/gui font family for integrated use with the KDE desktop.


%package -n fonts-ttf-oxygen
Summary:        The Oxygen font family
Group:          System/Fonts/True type

Obsoletes:      oxygen-fonts < 5.4.3-15
Provides:       oxygen-fonts = %{version}-%{release}

%description -n fonts-ttf-oxygen
The Oxygen font family.
A desktop/gui font family for integrated use with the KDE desktop.

%files -n fonts-ttf-oxygen
%_kf6_datadir/fonts/TTF/oxygen/

#--------------------------------------------------------------------

%package devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release

%description devel
This package contains header files needed if you wish to build applications
based on %name.

%files devel
%_kf6_datadir/cmake/OxygenFont/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DCMAKECONFIG_INSTALL_PREFIX=%{_datadir}/cmake \
           -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install
