%define upstream_name    Padre
%define appli_name       padre
%define upstream_version 1.02

%global dont_check_desktop_files        1

Name:       %{appli_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

License:    GPL+ or Artistic
Group:      Editors
Summary:    Perl Application Development and Refactoring Environment
Url:        https://metacpan.org/release/Padre
Source0:    https://cpan.metacpan.org/authors/id/S/SZ/SZABGAB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl-devel
BuildRequires: perl(Algorithm::Diff) >= 1.190.0
BuildRequires: perl(Alien::wxWidgets) >= 0.620.0
BuildRequires: perl(App::cpanminus) >= 0.992.300
BuildRequires: perl(B::Deparse)
BuildRequires: perl(CGI) >= 3.470.0
BuildRequires: perl(Capture::Tiny) >= 0.60.0
BuildRequires: perl(Class::Adapter) >= 1.50.0
BuildRequires: perl(Class::Inspector) >= 1.220.0
BuildRequires: perl(Class::XSAccessor) >= 1.130.0
BuildRequires: perl(Cwd) >= 3.270.100
BuildRequires: perl(DBD::SQLite) >= 1.350.0
BuildRequires: perl(DBI) >= 1.580.0
BuildRequires: perl(Data::Dumper) >= 2.101.0
BuildRequires: perl(Debug::Client) >= 0.290.0
BuildRequires: perl(Devel::Dumpvar) >= 0.40.0
BuildRequires: perl(Devel::Refactor) >= 0.50.0
BuildRequires: perl(Encode) >= 2.260.0
BuildRequires: perl(ExtUtils::Embed) >= 1.250.601
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.560.0
BuildRequires: perl(ExtUtils::Manifest) >= 1.560.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy::Recursive) >= 0.370.0
BuildRequires: perl(File::Find::Rule) >= 0.300.0
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::HomeDir) >= 0.910.0
BuildRequires: perl(File::Path) >= 2.80.0
BuildRequires: perl(File::Remove) >= 1.400.0
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::Spec) >= 3.270.100
BuildRequires: perl(File::Spec::Functions) >= 3.270.100
BuildRequires: perl(File::Temp) >= 0.200.0
BuildRequires: perl(File::Which) >= 1.80.0
BuildRequires: perl(File::pushd) >= 1.0.0
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTML::Entities) >= 3.570.0
BuildRequires: perl(HTML::Parser) >= 3.580.0
BuildRequires: perl(IO::Scalar) >= 2.110.0
BuildRequires: perl(IO::Socket) >= 1.300.0
BuildRequires: perl(IO::String) >= 1.80.0
BuildRequires: perl(IPC::Open2)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(IPC::Run) >= 0.830.0
BuildRequires: perl(JSON::XS) >= 2.290.0
BuildRequires: perl(LWP) >= 5.815.0
BuildRequires: perl(LWP::UserAgent) >= 5.815.0
BuildRequires: perl(List::MoreUtils) >= 0.220.0
BuildRequires: perl(List::Util) >= 1.180.0
BuildRequires: perl(Locale::Msgfmt) >= 0.150.0
BuildRequires: perl(Module::Build) >= 0.360.300
BuildRequires: perl(Module::CoreList) >= 2.220.0
BuildRequires: perl(Module::Manifest) >= 0.70.0
BuildRequires: perl(Module::Starter) >= 1.600.0
BuildRequires: perl(ORLite) >= 1.980.0
BuildRequires: perl(ORLite::Migrate) >= 1.100.0
BuildRequires: perl(POD2::Base) >= 0.43.0
BuildRequires: perl(POSIX)
BuildRequires: perl(PPI) >= 1.215.0
BuildRequires: perl(PPIx::EditorTools) >= 0.180.0
BuildRequires: perl(PPIx::Regexp) >= 0.11.0
BuildRequires: perl(Params::Util) >= 0.330.0
BuildRequires: perl(Parse::ErrorString::Perl) >= 0.180.0
BuildRequires: perl(Parse::ExuberantCTags) >= 1.0.0
BuildRequires: perl(Pod::Abstract) >= 0.160.0
BuildRequires: perl(Pod::Functions)
BuildRequires: perl(Pod::POM) >= 0.170.0
BuildRequires: perl(Pod::Perldoc) >= 3.150.0
BuildRequires: perl(Pod::Simple) >= 3.70.0
BuildRequires: perl(Pod::Simple::XHTML) >= 3.40.0
BuildRequires: perl(Probe::Perl) >= 0.10.0
BuildRequires: perl(Sort::Versions) >= 1.500.0
BuildRequires: perl(Storable) >= 2.160.0
BuildRequires: perl(Template::Tiny) >= 0.110.0
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Test::Exception) >= 0.270.0
BuildRequires: perl(Test::MockObject) >= 1.90.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::NoWarnings) >= 1.40.0
BuildRequires: perl(Test::Script) >= 1.70.0
BuildRequires: perl(Test::Warn) >= 0.240.0
BuildRequires: perl(Text::Balanced) >= 2.10.0
BuildRequires: perl(Text::Diff) >= 1.410.0
BuildRequires: perl(Text::FindIndent) >= 0.100.0
BuildRequires: perl(Text::Patch) >= 1.800.0
BuildRequires: perl(Time::HiRes) >= 1.971.800
BuildRequires: perl(URI)
BuildRequires: perl(Wx) >= 0.991.600
BuildRequires: perl(Wx::Perl::ProcessStream) >= 0.320.0
BuildRequires: perl(Wx::Scintilla) >= 0.390.0
BuildRequires: perl(YAML::Tiny) >= 1.320.0
BuildRequires: perl(threads) >= 1.710.0
BuildRequires: perl(threads::shared) >= 1.330.0
BuildRequires: perl(version) >= 0.800.0
BuildArch:  noarch

Requires:   gettext
Requires:   perl(Class::Adapter::Builder)
Requires:   perl(Class::Accessor)
Requires:   perl(Class::Unload)
Requires:   perl(Class::XSAccessor::Array)
Requires:   perl(DBD::SQLite)
Requires:   perl(Devel::Dumpvar)
Requires:   perl(Encode)
Requires:   perl(File::Copy::Recursive)
Requires:   perl(File::Find::Rule)
Requires:   perl(File::HomeDir)
Requires:   perl(File::Which)
Requires:   perl(File::pushd)
Requires:   perl(IPC::Cmd)
Requires:   perl(IPC::Run3)
Requires:   perl(Locale::Msgfmt)
Requires:   perl(Module::CoreList)
Requires:   perl(Module::Refresh)
Requires:   perl(Module::Starter)
Requires:   perl(PAR)
Requires:   perl(Parse::ExuberantCTags)
Requires:   perl-PathTools
Requires:   perl(Probe::Perl)
Requires:   perl(Text::FindIndent)
Requires:   perl(Thread::Queue)             >= 2.110.0
Requires:   perl(Wx::Perl::ProcessStream)
Requires:   perl(threads)
Requires:   perl(threads::shared)
Obsoletes:  perl-Padre-Plugin-Encode <= 0.1.3
Provides:   perl-Padre-Plugin-Encode = %{version}

Recommends: perl(Padre::Plugin::Autoformat)
Recommends: perl(Padre::Plugin::CSS)
Recommends: perl(Padre::Plugin::Catalyst)
Recommends: perl(Padre::Plugin::ClassSniff)
Recommends: perl(Padre::Plugin::DataWalker)
Recommends: perl(Padre::Plugin::Ecliptic)
Recommends: perl(Padre::Plugin::Git)
Recommends: perl(Padre::Plugin::HTML)
Recommends: perl(Padre::Plugin::Kate)
Recommends: perl(Padre::Plugin::Nopaste)
Recommends: perl(Padre::Plugin::PAR)
Recommends: perl(Padre::Plugin::Parrot)
Recommends: perl(Padre::Plugin::Perl6)
Recommends: perl(Padre::Plugin::PerlCritic)
Recommends: perl(Padre::Plugin::PerlTidy)
Recommends: perl(Padre::Plugin::SpellCheck)
Recommends: perl(Padre::Plugin::Swarm)
Recommends: perl(Padre::Plugin::ViewInBrowser)

%{?perl_default_filter}

%description
Padre - Perl Application Development and Refactoring Environment

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%set_build_flags
DISPLAY= %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

#check
#DISPLAY= #{__make} test

%install
%make_install

%files
%doc COPYING Changes LICENSE META.yml MYMETA.yml README.md eg
%{_bindir}/padre
%{_mandir}/man3/*
%perl_vendorlib/*
