#Use this due https://github.com/pablo-s/passes/issues/46
%global commit0 721695e67ceb7ca1b2ecc1997b1ed6cc6a925f3e
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

%define rel 1
%define date 20250112

%bcond_without test
%define oname passes

Name:		%{oname}-gtk           
Version:	0.10        
Release:	%mkrel %{rel}.%{date}git%{shortcommit0}
Group:      Graphical desktop/GNOME  
Summary:    A digital pass manager    
License:	GPLv3              
URL:		https://github.com/pablo-s/passes            
Source0:    https://github.com/pablo-s/passes/archive/%{commit0}/%{name}-%{commit0}.tar.gz?/%{name}-%{shortcommit0}.tar.gz
   
Buildrequires: meson 
BuildRequires: blueprint-compiler    
BuildRequires: zint-devel
BuildRequires: pkgconfig(libadwaita-1) >= 1.5.0

%if %{with test}
BuildRequires: desktop-file-utils
BuildRequires: appdata-tools
BuildRequires: %{_lib}gio2.0_0
%endif
 
Requires:	zint 
Requires:	python3-gobject
Requires:	libadwaita  
Requires:	hicolor-icon-theme     
      
 
%description
Passes is a digital pass manager made with libadwaita for the GNOME desktop.
Features
 Adaptive user interface.
 Support for ".espass" and ".pkpass" files.
 Ability to update ".pkpass" files.

%prep
%autosetup -n %{oname}-%{commit0} -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{oname}

%if %{with test}
%check
%meson_test
%endif

%files -f %{oname}.lang
%{_bindir}/%{oname}
%{_libdir}/%{oname}
%{_datadir}/applications/me.sanchezrodriguez.passes.desktop
%{_datadir}/glib-2.0/schemas/me.sanchezrodriguez.passes.gschema.xml
%{_iconsdir}/hicolor/scalable/actions/*.svg
%{_iconsdir}/hicolor/*/apps/me.sanchezrodriguez.passes*.svg
%{_datadir}/metainfo/me.sanchezrodriguez.passes.metainfo.xml
%{_datadir}/mime/packages/me.sanchezrodriguez.passes.espass.xml
%{_datadir}/%{oname}
