Name:		patator
Version:	1.0
Release:	%mkrel 1
Summary:	Multi-purpose brute-forcer
License:	GPLv2
Group:		Monitoring
URL:		https://github.com/lanjelot/patator
Source0:	https://github.com/lanjelot/patator/archive/%{version}/patator-%{version}.tar.gz
Requires:	python3dist(paramiko)
Requires:	python3dist(mysqlclient)
Requires:	python3dist(psycopg2)
Requires:	python3dist(ipy)
BuildArch:	noarch

%description
Patator is a multi-purpose brute-forcer, with a modular design and a flexible
usage.

%prep
%setup -q

%build

%install
install -d %{buildroot}%{_bindir}
install -m 755 patator.py %{buildroot}%{_bindir}/patator

install -d %{buildroot}%{_docdir}/patator

%files 
%doc README.md
%license LICENSE
%{_bindir}/patator

