Name:		patcher
Version:	0.7
Release:	%mkrel 10
License:	GPLv2+
Group:		Development/Other
Summary:	Quick creation of patches against a project source tree
Url:		https://github.com/solbu/patcher
Source0:	https://github.com/solbu/patcher/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		0001-Port-to-python3.patch
BuildArch:	noarch
BuildRequires:	python3-devel

%description
Patcher is a tool for quick creation of patches against a project source tree.
Patcher functionality resembles a lightweight version control system. It has no
repository, and only controls differences between a pristine version and a
working copy.

%prep
%autosetup -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

install -D ptr.1 %{buildroot}/%{_mandir}/man1/ptr.1

%files -f %{pyproject_files}
%doc README
%license LICENSE
%{_bindir}/ptr
%{_mandir}/man1/ptr.1*

