%define rel 1

Name:           pavucontrol-qt
Version:        2.1.0
Release:        %mkrel %{rel}
Summary:        Qt6 port of volume control pavucontrol
Group:          Graphical desktop/KDE
License:        GPLv2+
URL:            https://lxqt-project.org/
Source0:        https://github.com/lxqt/pavucontrol-qt/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(lxqt2-build-tools)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  pkgconfig(libpulse) >= 5.0
BuildRequires:  pkgconfig(libpulse-mainloop-glib) >= 0.9.16
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  xdg-user-dirs

Provides:       pulseaudio-volume-control

%description
Qt6 port of volume control pavucontrol.

%prep
%autosetup -p1

%build
%cmake_qt6

%cmake_build

%install
%cmake_install

%files
%doc AUTHORS CHANGELOG README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
