Summary: POSIX File System Archiver
Name: pax
Version: 3.4
Release: %mkrel 21
License: BSD
URL:	ftp://ftp.suse.com/pub/people/kukuk/pax/
Group: Archiving/Backup
Source: ftp://ftp.suse.com/pub/people/kukuk/pax/%{name}-%{version}.tar.bz2
#do not fail with gcc-4.6+
Patch0: pax-gcc46.patch
Patch2: pax-glibc.patch
Patch3: pax-3.4-disable-Werror.patch
Patch4: pax-3.4-gcc10.patch
Patch5: pax-3.4-abs100.patch
Patch6: pax-3.4-rdtruncate.patch

Requires: common-licenses

%description
'pax' is the POSIX standard archive tool. It supports the two most
common forms of standard Unix archive (backup) files - CPIO and TAR.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
%make_install

%files
%doc AUTHORS NEWS README THANKS
%{_bindir}/pax
%{_mandir}/man1/*
