Name:		pbzip2
Version:	1.1.13
Release:	%mkrel 5
Summary:	Parallel implementation of bzip2
License:	BSD
Group:		Archiving/Compression
URL:		http://www.compression.ca/pbzip2/
Source0:	https://launchpad.net/pbzip2/1.1/%{version}/+download/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(bzip2)

%description
PBZIP2 is a parallel implementation of the bzip2 block-sorting file
compressor that uses pthreads and achieves near-linear speedup on SMP
machines.  The output of this version is fully compatible with bzip2
v1.0.2 or newer (ie: anything compressed with pbzip2 can be
decompressed with bzip2).


%prep
%setup -q

sed -i -e 's| -O2| %{optflags} |' Makefile

%build
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog README
%license COPYING
%{_bindir}/%{name}
%{_bindir}/pbunzip2
%{_bindir}/pbzcat
%{_mandir}/man1/*
