Summary:	PCMan File Manager
Name:		pcmanfm
Version:	1.4.0
Release:	%mkrel 3
License:	GPLv2+
Group:		File tools
URL:		https://github.com/lxde/pcmanfm
Source0:	https://github.com/lxde/%name/archive/refs/heads/master.zip
Patch0:		pcmanfm-1.4.0-mga-default-config.patch
Patch2:		pcmanfm-1.2.4-mga-lxde-only.patch
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.18.0
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libfm) >= 1.0.1
BuildRequires:	pkgconfig(libfm-gtk3) >= 1.0.1
BuildRequires:	pkgconfig(pango) >= 1.20.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
Requires:	shared-mime-info
Requires:	gnome-icon-theme
Requires:	xarchiver
Recommends:	gvfs

%description
PCMan File Manager is an extremely fast and lightweight file manager which
features tabbed browsing and user-friendly interface.

%prep
%setup -qn %{name}-master
%autopatch -p1

%build
autoreconf -vfi
%configure --with-gtk=3
%make_build

%install
%make_install

%find_lang %{name}

rm -fr %{buildroot}%{_includedir}

# clean .desktop file
desktop-file-install --vendor="" \
  --add-category="System;FileTools" \
  --remove-mime-type="x-directory/normal" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%{name}
%dir %{_sysconfdir}/xdg/%{name}/
%dir %{_sysconfdir}/xdg/%{name}/default/
%{_sysconfdir}/xdg/%{name}/default/%{name}.conf
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
