Name:		peg-e
Version:	1.3.5
Release:	%mkrel 1
Summary:	Peg solitaire game
Group:		Games/Boards
License:	GPLv3+
URL:		https://gottcode.org/peg-e
Source:		https://gottcode.org/peg-e/%{name}-%{version}.tar.bz2

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake

%description
A peg solitaire game in which you jump over pieces in order to remove
them from the board, ultimately trying to eliminate all but one.
The boards are randomly generated, with 100 levels of difficulty.
The game auto-saves, and has undo-redo capability.
Pieces can move horizontally, vertically, and diagonally.

%prep
%setup -q

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*
