%define upstream_name	 Algorithm-Graphs-TransitiveClosure
%define upstream_version 2009110901

Name:		    perl-%{upstream_name}
Version:	    %perl_convert_version %{upstream_version}
Release:	    %mkrel 11

Summary:	    Calculate the transitive closure
License:	    GPL+ or Artistic
Group:		    Development/Perl
URL:            https://metacpan.org/release/%{upstream_name}
Source0:        https://cpan.metacpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz



BuildArch:	    noarch
Obsoletes: perl-TransitiveClosure <= 1.4
Provides:  perl-TransitiveClosure = %{version}-%{release}

%description
This is an implementation of the well known Floyd-Warshall algorithm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files 
%doc Changes META.yml
%{perl_vendorlib}/Algorithm
%{_mandir}/*/*