%define upstream_name    Alien-m4
%define upstream_version 0.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Find or build GNU m4
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Alien-m4-vendorlib.patch

BuildRequires: perl(Alien::Base) >= 0.38.0
BuildRequires: perl(Alien::Build) >= 0.250.0
BuildRequires: perl(Alien::Build::MM) >= 0.320.0
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test2::V0) >= 0.0.60
BuildRequires: perl(Test::Alien)
BuildRequires: perl(Test::More) >= 0.980.0
BuildArch:  noarch

%description
This package can be used by other CPAN modules that require GNU m4.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/Alien/m4.pm
%perl_vendorlib/auto/share/dist/Alien-m4/
