%define upstream_name    Apache2-TrapSubRequest
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Apache2::TrapSubRequest - Trap a lookup_file/lookup_uri into a scalar
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Apache2/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Apache::Test)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Test::More)
BuildRequires: perl(mod_perl2) >= 1.999.23
BuildRequires: apache-mod_perl
BuildArch:  noarch

%description
trap a lookup_file/lookup_uri into a scalar.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} -I. Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/Apache2/TrapSubRequest.pm
%{_mandir}/*/*
