%define upstream_name Archive-Any-Lite
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Simple CPAN package extractor
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Archive/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Tar) >= 1.760.0
BuildRequires: perl(Archive::Zip)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker::CPANfile) >= 0.70.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(IO::Uncompress::Bunzip2)
BuildRequires: perl(IO::Zlib)
BuildRequires: perl(Test::More) >= 0.820.0
BuildRequires: perl(Test::UseAllModules) >= 0.100.0
BuildArch:  noarch

%description
Simple CPAN package extractor.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*