%define upstream_name    Array-Diff
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Summary:    This module do diff two arrays, and return added and deleted arrays 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Array/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Algorithm::Diff) >= 1.190.0
BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module do diff two arrays, and return added and deleted arrays. It's
simple usage of Algorithm::Diff.

%prep

%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/*
%{_mandir}/man3/*