%define upstream_name    Auth-Yubikey_WebClient
%define upstream_version 4.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Authenticating the Yubikey against the Yubico Web API
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Auth/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::HMAC_SHA1)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::Escape)
BuildArch: noarch

%description
Authenticating the Yubikey against the Yubico Web API.

%prep
%setup -q -n %{upstream_name}-master

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


