%define		upstream_name	 Authen-Smb
%define		upstream_version 0.91

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 29

Summary:	Perl extension to authenticate against an SMB server
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		Authen-Smb-0.91-64bit-fixes.patch

BuildRequires:	perl-devel >= 5.6


%description
Authen::Smb is a Perl module to authenticate against an SMB server.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
%make_install

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Authen/*
%{perl_vendorarch}/auto/Authen/*
%{_mandir}/man3/*
