%define upstream_name    BBS-Perm
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    A feed plugin for BBS::Perm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/BBS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Expect)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Which)
BuildRequires: perl(Gnome2::Vte)
BuildRequires: perl(IO::Pty)
BuildRequires: perl(IO::Stty)
BuildRequires: perl(IP::QQWry)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(UNIVERSAL::moniker)
BuildRequires: perl(YAML::Syck)
BuildArch: noarch

%description
'Perm' means 'Perl' + 'Term' here.

here is a list the BBS::Perm manpage can supply:

1. multiple terminals and quickly switch between them.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/bbs-perm
/usr/bin/bbs-perm-agent
/usr/bin/bbs-perm-config

