%define upstream_name    CGI-Echo
%define upstream_version 1.08

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	CGI-Echo module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tgz

BuildArch:	noarch

%description
This module accepts form data, cleans it, and echos it.
It is designed for a HTML/CGI student environment. It lets, indeed encourages,
students to design forms and gives their long-suffering instructors a simple
way to provide a CGI script which accepts the form data, and just echos it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc CHANGES README META.yml
%{perl_vendorlib}/CGI/Echo.pm
%{_mandir}/*/*


