%define upstream_name    Cache-Memory-Simple
%define upstream_version 1.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Yet another on memory cache
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Cache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build)
BuildRequires: perl(Time::HiRes)
BuildArch: noarch

%description
Retry $n times

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL INSTALLDIRS=vendor
./Build

%install
%{__install} -m 0755 -d %buildroot/%perl_vendorlib/Cache/Memory/Simple
%{__install} -m 0755 blib/lib/Cache/Memory/*.pm %buildroot/%perl_vendorlib/Cache/Memory/
%{__install} -m 0755 blib/lib/Cache/Memory/Simple/*.pm %buildroot/%perl_vendorlib/Cache/Memory/Simple
%{__install} -m 0755 -d %buildroot/%{_mandir}/man3/
%{__install} -m 0755 blib/libdoc/* %buildroot/%{_mandir}/man3/

%files
%doc README.md META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*
