%define	upstream_name	 Catalyst-Model-DBI
%define upstream_version 0.32

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Catalyst DBI Model Class
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst) >= 5.0.0
BuildRequires: perl(DBI)
BuildRequires: perl(DBIx::Connector)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MRO::Compat)
BuildArch:  noarch

%description
This is the DBI model class for Catalyst. It is nothing more than a
simple wrapper for DBI.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*