%define upstream_name    Catalyst-Model-KiokuDB
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Use KiokuDB in your Catalyst apps
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst)
BuildRequires: perl(Catalyst::Plugin::Authentication)
BuildRequires: perl(Hash::Util::FieldHash::Compat)
BuildRequires: perl(KiokuX::Model)
BuildRequires: perl(KiokuX::User)
BuildRequires: perl(Moose)
BuildRequires: perl(Scope::Guard)
BuildArch: noarch


%description
Perl extension to use KiokuDB in your Catalyst apps.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml
%{_mandir}/man3/*
%perl_vendorlib/*