%define upstream_name    Catalyst-Model-REST
%define upstream_version 0.27

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    REST model class for Catalyst
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Model)
BuildRequires: perl(Data::Serializer)
BuildRequires: perl(Data::Serializer::JSON)
BuildRequires: perl(Data::Serializer::XML::Simple)
BuildRequires: perl(Data::Serializer::YAML)
BuildRequires: perl(JSON)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moose)
BuildRequires: perl(Role::REST::Client)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(YAML)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This Catalyst Model class is a thin wrapper over the Role::REST::Client
manpage

Use this module if you need to talk to a REST server as a separate model.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc TODO README Changes LICENSE INSTALL META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*


