%define upstream_name Catalyst-Plugin-Authentication-Credential-PAM
%define upstream_version 0.01
%define abbrevname Catalyst-P-A-Credential-PAM

%{?perl_default_filter}

Name:		perl-%{abbrevname}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6
License:	Artistic/GPL
Group:		Development/Perl
Summary:	Authenticate a user against PAM
URL:		https://metacpan.org/release/%{upstream_name}
Source:		https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Authen::PAM)
BuildRequires:	perl(Catalyst)
Provides:	perl-%{upstream_name}
BuildArch:	noarch

%description
This is an authentication credential checker that verifies passwords
using a specified PAM service.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*
