%define upstream_name    Catalyst-Plugin-Session-FastMmap
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	File storage backend for session data
License:	Artistic/GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Catalyst)
BuildRequires:	perl(Catalyst::Plugin::Session)
BuildRequires:	perl(Class::Data::Inheritable)
BuildRequires:	perl(URI::Find)
BuildRequires:  perl(Cache::FastMmap)
BuildArch:	noarch


%description
Fast sessions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc README Changes META.yml
%{perl_vendorlib}/Catalyst/Plugin/Session/*
%{_mandir}/*/*