%define	upstream_name	 Catalyst-Plugin-Session-Store-DBI
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:	Store your sessions in a database
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/A/AG/AGRUNDMA//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Catalyst) >= 5.49
BuildRequires:	perl(Catalyst::Plugin::Session) >= 0.05
BuildRequires:	perl(Class::Data::Inheritable)
BuildRequires:	perl(DBI)
BuildRequires:	perl(MIME::Base64)
BuildRequires:	perl(inc::Module::Install)

BuildArch:	noarch


%description
This storage module will store session data in a database using DBI.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL installdirs=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Catalyst
