%define upstream_name    Catalyst-View-Email
%define upstream_version 0.36

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Templated Email View for [% app %]
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Authen::SASL) >= 2.130.0
BuildRequires: perl(Catalyst) >= 5.700.0
BuildRequires: perl(Email::MIME) >= 1.859.0
BuildRequires: perl(Email::MIME::Creator) >= 1.455.0
BuildRequires: perl(Email::Sender::Simple) >= 0.100.110
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(MIME::Base64) >= 3.80.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Module::Runtime) >= 0.14.0
BuildRequires: perl(Moose) >= 0.930.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(parent) >= 0.223.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Helper for Email Views.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
