%define upstream_name    Catalyst-View-REST-XML
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    XML View Class
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Runtime)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(Catalyst) >= 5
BuildArch:  noarch

%description
This is the XML::Simple view class.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml
%{perl_vendorlib}/Catalyst/View/*
%{_mandir}/*/*
