%define upstream_name    CatalystX-CMS
%define upstream_version 0.011

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    A drop-in content management system for Catalyst
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CatalystX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Action::RenderView)
BuildRequires: perl(Catalyst::Plugin::ConfigLoader)
BuildRequires: perl(Catalyst::Plugin::Static::Simple::ByClass)
BuildRequires: perl(Catalyst::View::TT)
BuildRequires: perl(CatalystX::CRUD)
BuildRequires: perl(DateTime::Format::ISO8601)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Path::Class::File::Lockable)
BuildRequires: perl(SVN::Class)
BuildRequires: perl(Template::Plugin::Handy)
BuildRequires: perl(Template::Provider::Encoding)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(YAML)
BuildArch: noarch

%description
CatalystX::CMS is a drop-in content management system that allows you to
manage your Catalyst app templates via a web-based editor.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


