%define upstream_name    Chemistry-MolecularMass
%define upstream_version 0.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 24

Summary:    Perl extension for calculating
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Chemistry/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
Chemistry::MolecularMass is an Object Oriented Perl module for calculating
molcular mass of chemical compounds implemented with Perl and C.

%prep
%setup -q -n Chemistry

%build
cd MolecularMass/
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
cd MolecularMass/
%make_build test

%install
cd MolecularMass/
%make_install

%files
%doc MolecularMass/MANIFEST MolecularMass/README MolecularMass/Changes
%{_mandir}/man3/*
%perl_vendorarch/*

