%define upstream_name    Class-Accessor-Ref
%define upstream_version 0.05

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 12

Summary:	Class-Accessor-Ref module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/G/GA/GAAL/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:  perl(Class::Accessor)
BuildRequires:	perl(inc::Module::Install)
BuildArch:	noarch

%description
This is an extension of Class::Accessor that allows taking a reference
of members of an object. This is typically useful when your class
implementation uses a third-party module that expects an in/out parameter
in its interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc Changes examples
%{perl_vendorlib}/Class/Accessor/Ref.pm
%{_mandir}/*/*


