%define upstream_name    Class-DBI-FromForm
%define upstream_version 0.04

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 10

Summary:	Update Class::DBI data using Data::FormValidator or HTML Widget
License:	Artistic/GPL
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch

%description
Create and update Class::DBI objects from Data::FormValidator or HTML::Widget

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc README Changes
%{perl_vendorlib}/Class/*
%{_mandir}/*/*

