%define upstream_name    Class-DBI-SQLite
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Class::DBI extension for sqlite
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Class::DBI)
BuildRequires:	perl(DBD::SQLite)
BuildRequires:	perl(DBIx::ContextualFetch)
BuildArch:      noarch


%description
Class::DBI::SQLite is an extension to Class::DBI for DBD::SQLite. It allows you
to populate an auto-incremented row id after insert.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL installdirs=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml
%{perl_vendorlib}/Class
%{_mandir}/*/*