%define upstream_name    Class-Listener
%define upstream_version 0.01.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Executes methods on events
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Maker)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
A base class which listens for signals and runs methods.

METHODS
    signal( $eventname, @args )
        * $eventname

          A method with the name "_on_$eventname" will be called (if it
          exists).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%{perl_vendorlib}/*
