%define upstream_name    ColorThemeRole-ANSI
%define upstream_version 0.001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Roles for using ColorTheme::* with ANSI codes
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/ColorThemeRole/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ColorTheme::Test::Static)
BuildRequires: perl(ColorThemeUtil::ANSI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Role::Tiny)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
Can be mixed in with a 'ColorTheme::*' class. Handy when using color theme
in terminal.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.json LICENSE Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


