%define upstream_name    Complete-Getopt-Long
%define upstream_version 0.481

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Complete command-line argument using Getopt::Long specification
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Complete/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Complete::Bash) >= 0.333.0
BuildRequires: perl(Complete::Env)
BuildRequires: perl(Complete::File) >= 0.440.0
BuildRequires: perl(Complete::Util) >= 0.608.0
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.230.700
BuildRequires: perl(File::chdir)
BuildRequires: perl(Getopt::Long::Util) >= 0.895.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Log::ger) >= 0.38.0
BuildRequires: perl(String::Wildcard::Bash) >= 0.44.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Complete command-line argument using Getopt::Long specification

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
