%define upstream_name    Config-JSON
%define upstream_version 1.5202

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A JSON based config file system
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://search.cpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

%{?perl_default_filter}
BuildRequires: perl-devel
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moo)
BuildRequires: perl(JSON)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildArch: noarch
%description
A JSON based config file system

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*
