%define upstream_name    Convert-NLS_DATE_FORMAT
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
Summary:    Convert Oracle NLS_DATE_FORMAT <-> strftime Format Strings
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Convert Oracle's NLS_DATE_FORMAT string into a strptime format string, or
the reverse.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc META.yml Changes LICENSE README.md
%{_mandir}/man3/*
%perl_vendorlib/*


