%define	upstream_name	 Convert-TNEF
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    %{upstream_name} module for perl
License:    GPL
Group:      Development/Perl
Url:        https://www.cpan.org/modules/by-module/Convert/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Wrap)
BuildRequires: perl(MIME::Body) >= 4.109.0
BuildRequires: perl-MIME-tools
BuildArch:  noarch

%description
%{upstream_name} module for perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
%make_install
 
%files
%{perl_vendorlib}/Convert/*
%{_mandir}/*/*
%doc Changes META.yml MYMETA.yml README