%define upstream_name Crypt-DES
%define upstream_version 2.07

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 15
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Perl DES encryption module
Source0:	https://cpan.metacpan.org/authors/id/D/DP/DPARIS/%{upstream_name}-%{upstream_version}.tar.gz
Url:        https://metacpan.org/release/%{upstream_name}
BuildRequires:	perl-devel


Patch0:		Crypt-DES-2.07-implicit-func-decl.patch

%{?perl_default_filter}

%description
The module implements the Crypt::CBC interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1


%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README COPYRIGHT
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/auto/Crypt
%{_mandir}/man3/*
