%define upstream_name    Crypt-Password-Util
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
Summary:    Crypt password utilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Sort::Versions)
BuildRequires: perl(Test::More)
BuildRequires: perl(UUID::Random::Patch::UseMRS)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Bytes::Random::Secure)
BuildArch: noarch

%description
Crypt password utilities

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.json META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*
