%define upstream_name    Crypt-Rot13
%define upstream_version 0.6

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Crypt-Rot13 module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch

%description
rot13 is a simple encryption in which ASCII letters are rotated 13 places. This
module provides an array object with methods to encrypt its string elements by
rotating ASCII letters n places down the alphabet.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes COPYING README
%{perl_vendorlib}/Crypt/Rot13.pm
%{_mandir}/*/*


