%define upstream_name    DBD-XBase
%define upstream_version 1.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Module for dealing with XBase files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://www.fi.muni.cz/~adelton/perl/
Source0:    %upstream_name-%upstream_version.tar.gz

# for testsuite:
#Buildrequires:	perl-DBI
BuildArch:  noarch

%description
Package DBD::XBase contains module XBase that can read and write dbf and
dbt/fpt files, as well as a DBI driver DBD::XBase, that allows work with these
files using SQL commands.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix}
%make_build

%check
%make_build test

%install
%makeinstall PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml README eg
%{_bindir}/*
%{perl_vendorlib}/XBase.pm
%dir %{perl_vendorlib}/DBD
%{perl_vendorlib}/DBD/*
%dir %{perl_vendorlib}/XBase
%{perl_vendorlib}/XBase/*
%{_mandir}/*/*
