%define upstream_name    DBIx-SQLite-Simple
%define upstream_version 0.35

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Superclass only used to handle SQL tables
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Gomor)
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*


