%define upstream_name    DB_File-Lock
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:	DB_File-Lock module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		DB_File-Lock-0.05-fix-build.patch

BuildRequires:	perl(DB_File)
BuildArch:	noarch


%description
This module provides a wrapper for the DB_File module, adding locking.

When you need locking, simply use this module in place of DB_File and
add an extra argument onto the tie command specifying if the file should
be locked for reading or writing.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/DB_File/Lock.pm
%{_mandir}/*/*
