%define upstream_name    DVD-Read
%define upstream_version 0.04

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 28

Summary:	Access to DVD IFO file using libdvdread
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/DVD/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	pkgconfig(dvdread)
BuildRequires:	perl-devel


%description
This module provide way to query video DVD using libdvdread.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes README sample/* META.yml
%{_mandir}/man3/*
%perl_vendorarch/*
