%define upstream_name    Dancer-Template-Caml
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Use Template::Caml for templating with Dancer
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dancer/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dancer)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Text::Caml)
BuildArch: noarch

%description
This class is an interface between Dancer's template engine abstraction
layer and the the Text::Caml manpage module.

In order to use this engine, use the template setting:

    template: caml

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*


