%define upstream_name	 Data-LetterTree
%define upstream_version 0.1

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 26

Summary:	Native letter tree Perl binding 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/G/GR/GROUSSE/%{upstream_name}-%{upstream_version}.tar.bz2

Buildrequires:  liblettertree-devel
Buildrequires:	perl-devel


%description
This module provides perl binding over a native implementation of a letter
tree, allowing to index any kind of perl scalar variable by a large set of
string with a reduced memory footprint over native perl hashes by sharing their
prefixes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files 
%doc README Changes
%{perl_vendorarch}/Data
%{perl_vendorarch}/auto/Data
%{_mandir}/*/*


