%define upstream_name    Data-Swap
%define upstream_version 0.08

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 28

Summary:	Data-Swap module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		Data-Swap-0.08-fix-format-security.patch
Patch1:		Data-Swap-0.08-fix-build.patch

BuildRequires:	perl-devel

%description
This module allows you to swap the contents of two referenced variables,
even if they have different types.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorarch}/Data/Swap.pm
%{perl_vendorarch}/auto/Data/Swap
%{_mandir}/*/*


