%define upstream_name    DateTime-Calendar-Julian
%define upstream_version 0.107
%{?perl_default_filter}

Name:       perl-DateTime-Calendar-Julian
Version:    %{upstream_version}
Release:    %mkrel 2
License:    GPL+ or Artistic
Summary:    Julian Calendar support for DateTime.pm
Url:        https://metacpan.org/release/DateTime-Calendar-Julian
Source0:     https://cpan.metacpan.org/authors/id/W/WY/WYANT/DateTime-Calendar-Julian-%{version}.tar.gz
Group:      Development/Perl
BuildArch:  noarch
BuildRequires: perl(DateTime) >= 1.480.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: perl
BuildRequires: make
%description
DateTime object in the Julian calendar.

%prep
%setup -q -n DateTime-Calendar-Julian-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/DateTime/
%{_mandir}/man3/DateTime::Calendar::Julian.3pm*