%define upstream_name	 DateTime-Format-Duration
%define upstream_version 1.04

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 8

Summary:	Format and parse DateTime::Durations 
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz


Buildrequires: perl(DateTime)
Buildrequires: perl(DateTime::Duration)
Buildrequires: perl(Params::Validate)

Buildarch:	noarch


%description
This module formats and parses DateTime::Duration objects as well as other
durations representations.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# fix perms
chmod 644 LICENCE README Changes

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files 
%doc LICENCE README Changes
%{perl_vendorlib}/DateTime
%{_mandir}/*/*
