%define upstream_name    Devel-CoreStack
%define upstream_version 1.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	Try to generate a stack dump from a core file
License:	Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/Devel-CoreStack
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch


%description
try to generate a stack dump from a core file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS="vendor" < /dev/null
%make_build

%check
%make_build test

%install
%make_install

%files
%defattr(-, root, root, 0755)
%doc MANIFEST
%{perl_vendorlib}/Devel/CoreStack.pm
%{_mandir}/man3/*
