%define upstream_name Devel-ptkdb
%define upstream_version 1.234

Name:		perl-%{upstream_name}
Version:	%{upstream_version}0
Release:	%mkrel 4
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Perl debugger using a Tk GUI
Source0:	https://downloads.sourceforge.net/project/ptkdb/ptkdb/%{upstream_version}/%{upstream_name}-%{upstream_version}.tar.gz
Source1:	https://sourceforge.net/projects/ptkdb/files/ptkdb/%{upstream_version}/ptkdb_pod-%{upstream_version}.html
Source2:	https://downloads.sourceforge.net/project/ptkdb/ptkdb/%{upstream_version}/readme.txt
Url:		https://ptkdb.sourceforge.net/

BuildRequires:	perl(Tk)
BuildRequires:	perl-devel

Requires:	perl-Tk

BuildArch:	noarch

%description
Perl debugger using a Tk GUI.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes | %__perl Makefile.PL -n INSTALLDIRS=vendor
%make_build

#check
#make test

%install
%make_install
%{__cp} %{SOURCE1} .
%{__cp} %{SOURCE2} .

%files
%doc MYMETA.* readme.txt README ptkdb_pod-%{upstream_version}.html
%{_mandir}/man3/*
%{perl_vendorlib}/*
