%define	upstream_name    Digest-HMAC
%define upstream_version 1.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Keyed-Hashing for Message Authentication
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://www.cpan.org/
Source0:    https://cpan.metacpan.org/authors/id/GAAS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5) >= 2.0.0
BuildRequires: perl(Digest::SHA) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

Requires:   perl-Digest-SHA1
Provides:   perl-HMAC

%description
Digest-HMAC module for perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Digest