%define upstream_name    Dist-Zilla-App-Command-podpreview
%define upstream_version 0.004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Preview munged pod in browser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::PodPreview)
BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::App)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
A the Dist::Zilla manpage command to preview the munged pod of a module in
a browser using the App::PodPreview manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


