%define upstream_name    Dist-Zilla-Plugin-Author-KENTNL-Prereqs-Latest-Selective
%define upstream_version 1.001001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Selectively upgrade a few modules to depend on the version used
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Util::EmulatePhase)
BuildRequires: perl(Dist::Zilla::Util::Test::KENTNL)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Data)
BuildRequires: perl(Moose)
BuildRequires: perl(Package::DeprecationManager)
BuildRequires: perl(Test::More) >= 0.990.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
