%define upstream_name    Dist-Zilla-Plugin-CheckChangeLog
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Dist::Zilla with Changes check
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 6.5.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Pod::Coverage)
BuildRequires: perl(Pod::Coverage::TrustPod)
BuildRequires: perl(Pod::Markdown)
BuildRequires: perl(Test::Exception) >= 0.430.0
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildArch:  noarch

%description
The code is mostly a copy-paste of the ShipIt::Step::CheckChangeLog manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*