%define upstream_name Dist-Zilla-Plugin-DOAP
%define upstream_version 0.003

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	Create a doap.xml file for your project
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(CPAN::Changes)
BuildRequires:	perl(Dist::Zilla::File::InMemory)
BuildRequires:	perl(Moose)
BuildRequires:	perl(RDF::DOAP::Lite)
BuildRequires:	perl(namespace::autoclean)

BuildArch:	noarch

%description
This is a small plugin for Dist::Zilla, enabling you to bundle a DOAP
file with your distribution.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*
