%define upstream_name Dist-Zilla-Plugin-GenerateFile-ShareDir
%define upstream_version 0.006

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	Create files in the build, based on a template located in a dist sharedir
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Module::Build) >= 0.400.400
BuildRequires:	perl(MooseX::SlurpyConstructor)
BuildRequires:	perl(Test::DZil)
BuildRequires:	perl(Test::File::ShareDir)

BuildArch:	noarch

%description
Create files in the build, based on a template located in a dist sharedir.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
