%define upstream_name    Dist-Zilla-Plugin-Inject
%define upstream_version 0.001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Inject into a CPAN::Mini mirror
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load)
BuildRequires: perl(Directory::Scratch)
BuildRequires: perl(Dist::Zilla::Role::Releaser)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildArch: noarch

%description
'Dist::Zilla::Plugin::Inject' is a release-stage plugin that will inject
your distribution into a local or remote the CPAN::Mini manpage mirror.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


