%define upstream_name    Dist-Zilla-Plugin-MetaProvides-Class
%define upstream_version 2.001001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Scans Dist::Zilla's .pm files and tries to identify classes using Class::Discover
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Discover)
BuildRequires: perl(Dist::Zilla::MetaProvides::ProvideRecord) >= 2.0.0
BuildRequires: perl(Dist::Zilla::Plugin::MetaProvides) >= 1.120.448.60
BuildRequires: perl(Dist::Zilla::Role::MetaProvider::Provider)
BuildRequires: perl(Dist::Zilla::Util::Test::KENTNL) >= 0.10.0.110
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(MooseX::Declare)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*