%define upstream_name    Dist-Zilla-Plugin-PodPurler
%define upstream_version 0.094

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Like PodWeaver, but more erratic and amateurish
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox) >= 0.80.0
BuildRequires: perl(Pod::Elemental) >= 0.92.930
BuildRequires: perl(Pod::Elemental::PerlMunger)
BuildRequires: perl(Pod::Elemental::Selectors)
BuildRequires: perl(Pod::Elemental::Transformer::Gatherer)
BuildRequires: perl(Pod::Elemental::Transformer::Nester)
BuildRequires: perl(Pod::Elemental::Transformer::Pod5)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
PodPurler ress, which rips apart your kinda-POD and reconstructs it as
boring old real POD.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*