%define upstream_name    Dist-Zilla-Plugin-Test-Version
%define upstream_version 1.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Release Test::Version tests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Section) >= 0.4.0
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileFinderUser)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::chdir)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Sub::Exporter::ForMethods)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::EOL)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoTabs)
BuildRequires: perl(Test::Script) >= 1.120.0
BuildRequires: perl(Test::Version) >= 1.0.0
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
