%define upstream_name    Dist-Zilla-PluginBundle-Author-ETHER
%define upstream_version 0.166

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Mint distributions like ETHER does
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/Dist-Zilla-PluginBundle-Author-ETHER
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Changes) >= 0.230.0
BuildRequires: perl(CPAN::Meta) >= 2.150.6
BuildRequires: perl(CPAN::Meta::Requirements)
BuildRequires: perl(CPAN::Uploader)
BuildRequires: perl(Carp)
BuildRequires: perl(Devel::CheckBin)
BuildRequires: perl(Dist::Zilla) >= 5.38.0
BuildRequires: perl(Dist::Zilla::Plugin::Authority) >= 1.9.0
BuildRequires: perl(Dist::Zilla::Plugin::AutoMetaResources)
BuildRequires: perl(Dist::Zilla::Plugin::AutoPrereqs) >= 5.38.0
BuildRequires: perl(Dist::Zilla::Plugin::AutoVersion)
BuildRequires: perl(Dist::Zilla::Plugin::CheckIssues)
BuildRequires: perl(Dist::Zilla::Plugin::CheckMetaResources)
BuildRequires: perl(Dist::Zilla::Plugin::CheckPrereqsIndexed) >= 0.19.0
BuildRequires: perl(Dist::Zilla::Plugin::CheckSelfDependency)
BuildRequires: perl(Dist::Zilla::Plugin::CheckStrictVersion)
BuildRequires: perl(Dist::Zilla::Plugin::ConfirmRelease)
BuildRequires: perl(Dist::Zilla::Plugin::CopyFilesFromRelease)
BuildRequires: perl(Dist::Zilla::Plugin::EnsureLatestPerl)
BuildRequires: perl(Dist::Zilla::Plugin::ExecDir)
BuildRequires: perl(Dist::Zilla::Plugin::FileFinder::ByName)
BuildRequires: perl(Dist::Zilla::Plugin::GatherDir::Template)
BuildRequires: perl(Dist::Zilla::Plugin::GenerateFile::FromShareDir)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Check)
BuildRequires: perl(Dist::Zilla::Plugin::Git::CheckFor::CorrectBranch) >= 0.4.0
BuildRequires: perl(Dist::Zilla::Plugin::Git::CheckFor::MergeConflicts) >= 0.8.0
BuildRequires: perl(Dist::Zilla::Plugin::Git::Contributors) >= 0.29.0
BuildRequires: perl(Dist::Zilla::Plugin::Git::Describe) >= 0.4.0
BuildRequires: perl(Dist::Zilla::Plugin::Git::GatherDir) >= 2.16.0
BuildRequires: perl(Dist::Zilla::Plugin::Git::Init)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Push) >= 2.50.0
BuildRequires: perl(Dist::Zilla::Plugin::Git::PushInitial)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Remote::Check)
BuildRequires: perl(Dist::Zilla::Plugin::GitHub::Create) >= 0.350.0
BuildRequires: perl(Dist::Zilla::Plugin::GitHub::Update) >= 0.400.0
BuildRequires: perl(Dist::Zilla::Plugin::GithubMeta) >= 0.540.0
BuildRequires: perl(Dist::Zilla::Plugin::InstallGuide) >= 1.200.5
BuildRequires: perl(Dist::Zilla::Plugin::Keywords) >= 0.4.0
BuildRequires: perl(Dist::Zilla::Plugin::License) >= 5.38.0
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker)
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker::Fallback) >= 0.29.0
BuildRequires: perl(Dist::Zilla::Plugin::Manifest)
BuildRequires: perl(Dist::Zilla::Plugin::ManifestSkip)
BuildRequires: perl(Dist::Zilla::Plugin::MetaConfig)
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON)
BuildRequires: perl(Dist::Zilla::Plugin::MetaNoIndex)
BuildRequires: perl(Dist::Zilla::Plugin::MetaProvides::Package) >= 1.150.0.20
BuildRequires: perl(Dist::Zilla::Plugin::MetaTests)
BuildRequires: perl(Dist::Zilla::Plugin::MetaYAML)
BuildRequires: perl(Dist::Zilla::Plugin::MinimumPerl) >= 1.6.0
BuildRequires: perl(Dist::Zilla::Plugin::ModuleBuildTiny) >= 0.12.0
BuildRequires: perl(Dist::Zilla::Plugin::ModuleBuildTiny::Fallback) >= 0.18.0
BuildRequires: perl(Dist::Zilla::Plugin::MojibakeTests) >= 0.800.0
BuildRequires: perl(Dist::Zilla::Plugin::PodSyntaxTests) >= 5.40.0
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver) >= 4.8.0
BuildRequires: perl(Dist::Zilla::Plugin::Prereqs)
BuildRequires: perl(Dist::Zilla::Plugin::Prereqs::AuthorDeps) >= 0.6.0
BuildRequires: perl(Dist::Zilla::Plugin::PromptIfStale) >= 0.4.0
BuildRequires: perl(Dist::Zilla::Plugin::Readme)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeAnyFromPod) >= 0.142.180
BuildRequires: perl(Dist::Zilla::Plugin::RewriteVersion::Transitional) >= 0.6.0
BuildRequires: perl(Dist::Zilla::Plugin::Run::AfterBuild) >= 0.41.0
BuildRequires: perl(Dist::Zilla::Plugin::Run::AfterMint)
BuildRequires: perl(Dist::Zilla::Plugin::Run::AfterRelease) >= 0.38.0
BuildRequires: perl(Dist::Zilla::Plugin::RunExtraTests) >= 0.24.0
BuildRequires: perl(Dist::Zilla::Plugin::ShareDir)
BuildRequires: perl(Dist::Zilla::Plugin::StaticInstall) >= 0.5.0
BuildRequires: perl(Dist::Zilla::Plugin::TemplateModule)
BuildRequires: perl(Dist::Zilla::Plugin::Test::CPAN::Changes) >= 0.12.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::ChangesHasContent)
BuildRequires: perl(Dist::Zilla::Plugin::Test::CleanNamespaces) >= 0.6.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile) >= 2.39.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::EOL) >= 0.170.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::Kwalitee) >= 2.100.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::MinimumVersion) >= 2.0.10
BuildRequires: perl(Dist::Zilla::Plugin::Test::NoTabs) >= 0.80.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::Pod::Coverage::TrustMe)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Pod::No404s) >= 1.3.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::PodSpelling) >= 2.6.3
BuildRequires: perl(Dist::Zilla::Plugin::Test::Portability) >= 2.0.7
BuildRequires: perl(Dist::Zilla::Plugin::Test::ReportPrereqs) >= 0.22.0
BuildRequires: perl(Dist::Zilla::Plugin::TestRelease)
BuildRequires: perl(Dist::Zilla::Plugin::UploadToCPAN)
BuildRequires: perl(Dist::Zilla::Plugin::UseUnsafeInc)
BuildRequires: perl(Dist::Zilla::PluginBundle::Basic)
BuildRequires: perl(Dist::Zilla::PluginBundle::Git::VersionManager) >= 0.7.0
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Role::MintingProfile) >= 5.47.0
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Config::Slicer)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::PluginRemover) >= 0.103.0
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(Dist::Zilla::Util)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::pushd)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(PadWalker)
BuildRequires: perl(Path::Tiny) >= 0.62.0
BuildRequires: perl(Pod::Elemental::PerlMunger) >= 0.200.1
BuildRequires: perl(Pod::Elemental::Transformer::List) >= 0.102.0
BuildRequires: perl(Pod::Elemental::Transformer::Verbatim)
BuildRequires: perl(Pod::Markdown) >= 1.500.0
BuildRequires: perl(Pod::Weaver::Config::Assembler)
BuildRequires: perl(Pod::Weaver::Plugin::EnsurePod5)
BuildRequires: perl(Pod::Weaver::Plugin::H1Nester)
BuildRequires: perl(Pod::Weaver::Plugin::Transformer)
BuildRequires: perl(Pod::Weaver::PluginBundle::Default) >= 4.0.0
BuildRequires: perl(Pod::Weaver::Section::AllowOverride)
BuildRequires: perl(Pod::Weaver::Section::Contributors) >= 0.8.0
BuildRequires: perl(Pod::Weaver::Section::GenerateSection)
BuildRequires: perl(Pod::Weaver::Section::Legal) >= 4.11.0
BuildRequires: perl(Term::ANSIColor) >= 2.10.0
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::File::ShareDir)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(Test::Portability::Files) >= 0.70.0
BuildRequires: perl(Test::Spelling) >= 0.190.0
BuildRequires: perl(Test::Warnings) >= 0.9.0
BuildRequires: perl(Text::Tabs) >= 2013.42.600
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(if)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a the Pod::Weaver manpage plugin bundle. It is _approximately_
equal to the following _weaver.ini_, minus some optimizations:

    [@CorePrep]

    [-SingleEncoding]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%check
make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*