%define upstream_name    Dist-Zilla-Role-Tempdir
%define upstream_version 1.001003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Shell Out and collect the result in a DZ plug-in
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Digest::SHA) >= 5.470.0
BuildRequires: perl(Dist::Zilla) >= 2.0.0
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileInjector)
BuildRequires: perl(Dist::Zilla::Role::InstallTool)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::chdir) >= 0.100.200
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose) >= 0.920.0
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::LazyRequire)
BuildRequires: perl(Package::DeprecationManager)
BuildRequires: perl(Path::Iterator::Rule)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
