%define upstream_name Dist-Zilla-Util-ConfigDumper
%define upstream_version 0.003009

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Easy implementation of 'dumpconfig'
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Dist::Zilla::Plugin::Bootstrap::lib)
BuildRequires:	perl(Dist::Zilla::Util::Test::KENTNL)
BuildRequires:	perl(Eval::Closure)
BuildRequires:	perl(Package::DeprecationManager)
BuildRequires:	perl(Test::DZil)

BuildArch:	noarch

%description
Easy implementation of 'dumpconfig'.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
