%define upstream_name Email-MIME-Attachment-Stripper
%define upstream_version 1.317

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 9
Summary:        Strip the attachments from a mail
License:        GPL or Artistic
Group:          Development/Perl
URL:            https://metacpan.org/release/%{upstream_name}
Source:         https://cpan.metacpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz
Requires:       perl(Email::Simple::Creator)

BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Email::Address)
BuildRequires:  perl(Email::MIME)
BuildRequires:  perl(Email::MIME::Modifier)
BuildRequires:  perl(MIME::Types)
BuildArch:      noarch


%description
Given a Email::MIME object, detach all attachments from the message. These are
then available separately.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc README Changes META.yml
%{perl_vendorlib}/Email
%{_mandir}/*/*
