%define module	    Email-MIME-Modifier
%define name	    perl-%{module}
%define up_version  1.444
%define version     %perl_convert_version %{up_version}
%define release     %mkrel 1

# Bogus provides:
%global __provides_exclude perl\\(Email::MIME\\)

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Modify Email::MIME Objects Easily
License:	GPL or Artistic
Group:		Development/Perl
URL:            https://metacpan.org/dist/%{module}
Source:         https://www.cpan.org/modules/by-module/Email/%{module}-%{up_version}.tar.gz
BuildRequires:	perl(Email::Simple)
BuildRequires:	perl(Email::MIME)
BuildRequires:	perl(Email::MessageID)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Provides a number of useful methods for manipulating MIME messages.

These method are declared in the Email::MIME namespace, and are used with
Email::MIME objects.

%prep
%setup -q -n %{module}-%{up_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%make_install

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Email
%{_mandir}/*/*




