%define module      Email-Simple-Creator
%define name        perl-%{module}
%define up_version  1.424
%define version     %perl_convert_version %{up_version}
%define release     %mkrel 5

%global __provides_exclude perl\\(Email::Simple\\)

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Email::Simple constructor for starting anew
License:        GPL or Artistic
Group:          Development/Perl
URL:            https://metacpan.org/dist/%{module}
Source:         https://www.cpan.org/modules/by-module/Email/%{module}-%{up_version}.tar.gz
BuildRequires:  perl(Email::Date)
BuildRequires:  perl(Email::Date::Format)
BuildRequires:  perl(Email::Simple)
Requires:       perl(Email::Date::Format)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This software provides a constructor to Email::Simple for creating messages
from scratch.

%prep
%setup -q -n %{module}-%{up_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%make_install

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Email
%{_mandir}/*/*




