%define upstream_name    Encode-JIS2K
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    JIS X 0212 (aka JIS 2000) Encodings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Encode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode) >= 1.410.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
Provides:   perl(Encode::JIS2K::2022JP3)

%{?perl_default_filter}

%description
To find out how to use this module in detail, see the Encode manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%perl_vendorarch/*
