%define upstream_name Event-File
%define upstream_version 0.1.1

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 13
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Mimic the 'tail -f' behaviour using Event
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Event/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl-devel

BuildArch:	noarch

%description
This module tries to mimic the 'tail -f' behaviour
using Event.

It detects file deletion, rename, rotation providing a simple way to keep 
track of files like log files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type f | xargs chmod 0644
find -type d | xargs chmod 0755

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc README Changes demo
%{perl_vendorlib}/Event
%{_mandir}/man3/*
