%define upstream_name	 ExtUtils-F77
%define upstream_version 1.26

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Simple interface to F77 libs
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/ExtUtils-F77
Source0:    https://cpan.metacpan.org/authors/id/K/KG/KGB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Which)
BuildRequires: perl(List::Util)
BuildRequires: perl(Text::ParseWords)
BuildRequires: gcc-gfortran
Requires:   gcc-gfortran
Obsoletes:  perl-ExtUtils_F77
Provides:   perl-ExtUtils_F77
BuildArch:  noarch

%description
Simple interface to F77 libs.  Used to be in perl-PDL, but isn't anymore.

This module tries to figure out how to link C programs with
Fortran subroutines on your system. Basically one must add a list
of Fortran runtime libraries. The problem is their location
and name varies with each OS/compiler combination!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="$RPM_OPT_FLAGS"

%check
make test

%install
%make_install

%files
%{perl_vendorlib}/*
%{_mandir}/*/*
%doc CHANGES COPYING META.json META.yml MYMETA.yml README