%define upstream_name    ExtUtils-Typemaps-Default
%define upstream_version 1.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    A set of typemaps for STL std::vectors
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::Typemaps) >= 3.180_300
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module had to be renamed. Use the ExtUtils::Typemaps::STL manpage
instead!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*