%define upstream_name    File-Binary
%define upstream_version 1.7

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Binary file reading module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
*File::Binary* is a Binary file reading module, hence the name, and was
originally used to write a suite of modules for manipulating Macromedia SWF
files.

However it's grown beyond that and now actually, err, works. And is
generalised. And EVERYTHING! Yay!

It has methods for reading and writing signed and unsigned 8, 16 and 32 bit
integers, at some point in the future I'll figure out a way of putting in
methods for >32bit integers nicely but until then, patches welcome.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


