%define	upstream_name File-Cat
%define upstream_version 1.2

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6
Summary:	Perl implementation of cat(1)
License:	GPL or Artistic
Group:		Development/Perl
Source:		https://cpan.metacpan.org/authors/id/F/FI/FIMM/%{upstream_name}-%{upstream_version}.tar.bz2
Url:		https://metacpan.org/release/%{upstream_name}

Buildrequires:	perl-devel
Buildarch:	noarch

%description
File::Cat is a module of adventure, danger, and low cunning. With it,
you will explore some of the most inane programs ever seen by
mortals. No computer should be without one!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files 
%doc Changes
%{perl_vendorlib}/File/Cat.pm
%{_mandir}/*/*
