%define upstream_name File-Tail
%define upstream_version 1.3

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
License:    GPL or Artistic
Summary:    File::Tail module for Perl
Group:      Development/Perl
Source0:    https://cpan.metacpan.org/authors/id/M/MG/MGRABNAR/%{upstream_name}-%{upstream_version}.tar.gz
Url:        https://metacpan.org/release/%{upstream_name}

Requires:   perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::stat)
BuildRequires: perl(FileHandle)
BuildRequires: perl(IO::Seekable)
BuildRequires: perl(Time::HiRes) >= 1.120.0
BuildRequires: perl-devel
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%description
This Perl modules allows to read from continuously updated files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/File
%{_mandir}/*/*
