%define upstream_name	 File-Tempdir
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:	A module to make easier temporary directories deletion
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch: noarch


%description
A module to make easier temporary directories deletion

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml
%{perl_vendorlib}/*
%{_mandir}/*/*