%define upstream_name    FurlX-Coro
%define upstream_version 1.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Furl::HTTP wrapper for FurlX::COro
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/FurlX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Prereqs)
BuildRequires: perl(Coro)
BuildRequires: perl(Coro::AnyEvent)
BuildRequires: perl(Furl)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Module::Build::Pluggable)
BuildRequires: perl(Module::Build::Pluggable::CPANfile)
BuildRequires: perl(Module::Build::Pluggable::GithubMeta)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
This is a wrapper to 'Furl' for asynchronous HTTP requests with 'Coro'.

This is an experimental module!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml example
%{_mandir}/man3/*
%perl_vendorlib/*
