%define	upstream_name	 Fuse
%define	upstream_version 0.16_1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 20
Epoch:      1

Summary:    Write filesystems in Perl using FUSE
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/D/DP/DPATES/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Filesys::Statvfs)
BuildRequires: perl(Lchown)
BuildRequires: perl(Unix::Mknod)
BuildRequires: pkgconfig(fuse)
BuildRequires: fuse
BuildRequires: perl-devel
%description
This lets you implement filesystems in perl, through the FUSE (Filesystem in
USErspace) kernel/lib interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%check
#make test

%install
%make_install

%files
%doc AUTHORS Changes META.yml MYMETA.yml README examples
%{perl_vendorarch}/Fuse*
%{perl_vendorarch}/auto/Fuse*
%{_mandir}/man3/*
