%define	upstream_name	 GDTextUtil
%define upstream_version 0.86

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Text utilities for use with GD 
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/M/MV/MVERB/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:	perl(GD) >= 1.20
BuildArch:	noarch

Obsoletes:	perl-GD-TextUtil
Provides:	perl-GD-TextUtil

%description
This module provides a font-independent way of dealing with text in GD, for use
with the GD::Text::* modules and GD::Graph.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/GD
%{_mandir}/*/*