%define upstream_name    Games-AIBots
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    An improved clone of A.I.Wars in Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Term::ANSIScreen)
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Tk)
BuildArch: noarch

%description
This module exists exclusively for the purpose of the _aibots_ script
bundled in the distribution. Please see the aibots manpage for an
explanation of the game's mechanics, rules and tips.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README ChangeLog TODO SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/aibots
%{_mandir}/man1/aibots.1*

