Name:            perl-Gedcomlite
Version:         1.16
Release:         %mkrel 9
Summary:         Genealogy perl module
Group:           Development/Perl
License:         GPLv2
URL:             https://sourceforge.net/projects/rodovid
Source0:         https://sourceforge.net/projects/rodovid/files/0.3.16/linux/%{name}-%{version}.tar.bz2
BuildRequires:   make
BuildRequires:   perl(Text::Soundex)
BuildRequires:   perl(ExtUtils::MakeMaker)
BuildRequires:   perl(Test::Simple)
BuildArch:       noarch

%description
Provides GEDCOM format for Perl. It's Lite version of GEDCOM.

%prep
%setup -q

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
#make test

%install
%make_install
pushd %{buildroot}%{_mandir}/man3
gzip *
popd
#move tmp file
find %{buildroot} -name perllocal.pod -exec rm -f {} \;
find %{buildroot} -name .packlist -exec rm -f {} \;

%files
%doc README
%{perl_vendorlib}/*
%{_mandir}/man3/*
