%define upstream_name    Getopt-Long-Descriptive
%define upstream_version 0.116

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Getopt::Long with usage text and validation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Check) >= 0.11.0
BuildRequires: perl(CPAN::Meta::Requirements)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long) >= 2.550.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Params::Validate) >= 0.970.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter) >= 0.972.0
BuildRequires: perl(Sub::Exporter::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Warnings) >= 0.5.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
Convenient wrapper for Getopt::Long and program usage output

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*