%define upstream_name    Gtk2-GLExt
%define upstream_version 0.90

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 20

Summary:	Perl module for the GtkGLExt library
License:	GPLv2+
Group:		Development/GNOME and GTK+
Url:		https://gtk2-perl.sourceforge.net/
Source0:	https://downloads.sourceforge.net/sourceforge/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		perl-Gtk2-GLExt-0.90-build.patch

BuildRequires:	gtkglext-devel >= 1
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl(Gtk2)
BuildRequires:	perl(ExtUtils::PkgConfig)
BuildRequires:	perl-devel


Conflicts:	drakxtools < 9.1-15mdk
Requires:	perl-Gtk2

%description
This package adds perl support for GtkGLExt, an OpenGL extension to
GTK+ 2.0 or later.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P 0 -p0 -b .build
find -type d -name CVS | rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
export PERL_USE_UNSAFE_INC=1
%make_build

%install
%make_install

%files
%doc examples
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2/*
%{perl_vendorarch}/auto/*
