%define upstream_name	 Gtk2-ImageView
%define	upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 31

Summary:	Perl bindings to the GtkImageView image viewer widget
License:	LGPLv3+
Group:	  	Development/GNOME and GTK+
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/R/RA/RATCLIFFE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Gtk2) >= 1.140
BuildRequires:	perl(ExtUtils::Depends) >= 0.2
BuildRequires:	perl(ExtUtils::PkgConfig) >= 1.03
BuildRequires:	perl(Glib) >= 1.140
BuildRequires:	pkgconfig(gtkimageview) >= 1.6.0
BuildRequires:	perl-devel

%description
Perl bindings to the GtkImageView image viewer widget
Find out more about GtkImageView at http://trac.bjourne.webfactional.com/.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
# fix build:
export PERL_USE_UNSAFE_INC=1
%{__perl} Makefile.PL INSTALLDIRS=vendor --default
%make_build

%install
%make_install

%files
%doc AUTHORS README META.yml
%{perl_vendorarch}/Gtk2/Gdk/Pixbuf/Draw/Cache.pod
%{perl_vendorarch}/Gtk2/ImageView.pm
%{perl_vendorarch}/Gtk2/ImageView.pod
%{perl_vendorarch}/Gtk2/ImageView
%{perl_vendorarch}/auto/Gtk2/ImageView/ImageView.so
%{_mandir}/man3/*
