%define module Gtk2-StatusIcon
%define fmodule Gtk2/StatusIcon

Name:    perl-%module
Version: 0.010
Release: %mkrel 8

Summary: Perl module interface to the EggSystemTray library
License: GPL+ or Artistic
Group:   Development/GNOME and GTK+
Url:     https://gtk2-perl.sourceforge.net/
Source0: %module-%version.tar.bz2

BuildRequires: glitz-devel
BuildRequires: gnomeui2-devel
BuildRequires: gtkspell-devel
Buildrequires: perl-devel
BuildRequires: perl-ExtUtils-Depends
BuildRequires: perl-ExtUtils-PkgConfig 
BuildRequires: perl-Glib > 1.00
BuildRequires: perl-Gnome2 >= 1.020-2mdk
BuildRequires: perl-Gtk2

Requires: perl-Gnome2 >= 1.020-2mdk
Requires: gtk+2

%description
This module allows a Perl developer to embed an arbitrary widget in a
System Tray like the Gnome notification area.


%prep
%setup -q -n %module-%version
find -type d -name CVS | rm -rf 

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Os -s"
perl Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS"
#%make test || :

%install
rm -rf $RPM_BUILD_ROOT
%make_install

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc NEWS examples/*
%{_mandir}/*/*
%{perl_vendorarch}/%{fmodule}*
%{perl_vendorarch}/%fmodule.pm
%{perl_vendorarch}/auto/%fmodule