%define upstream_name	 HTML-FillInForm
%define upstream_version 2.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Populates HTML Forms with data
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/T/TJ/TJMATHER/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::TokeParser)
BuildRequires: perl(Test)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(integer)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module automatically inserts data from a previous HTML form into the HTML
input, textarea, radio buttons, checkboxes and select tags.  It is a subclass
of HTML::Parser and uses it to parse the HTML and insert the values into the
form tags.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/HTML