%define upstream_name    HTML-FormFu-MultiForm
%define upstream_version 1.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Handle multi-page/stage forms with FormFu
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Clone)
BuildRequires: perl(Crypt::CBC)
BuildRequires: perl(Crypt::DES)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fatal)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::FormFu)
BuildRequires: perl(HTML::FormFu::Attribute)
BuildRequires: perl(HTML::FormFu::ObjectUtil)
BuildRequires: perl(HTML::FormFu::QueryType::CGI)
BuildRequires: perl(HTML::FormFu::Role::FormAndElementMethods)
BuildRequires: perl(HTML::FormFu::Role::FormBlockAndFieldMethods)
BuildRequires: perl(HTML::FormFu::Role::NestedHashUtils)
BuildRequires: perl(HTML::FormFu::Role::Populate)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Attribute::Chained)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML::XS)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
For now, see test files in the Catalyst::Controller::HTML::FormFu manpage
for examples.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*


