%define upstream_name    HTML-Packer
%define upstream_version 2.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Another HTML code cleaner
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/HTML-Packer
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CSS::Packer) >= 2.10.0
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JavaScript::Packer) >= 2.10.0
BuildRequires: perl(Regexp::RegGrp) >= 1.1.1
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
A HTML Compressor.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*
