%define upstream_name    HTML-TagReader
%define upstream_version 1.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    HTML-TagReader module for perl 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     HTML-TagReader-1.10-signed-char.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
TagReader is a perl extension module which allows you to read html/xml
files by tag. That is: in a similar way as you can read textfiles by
line with "while(<>)" you use TagReader::getbytoken to read a file by tag.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_bindir}/tr_*
%{perl_vendorarch}/HTML/TagReader.pm
%{perl_vendorarch}/auto/HTML/TagReader
%{_mandir}/*/*
