%define upstream_name       HTML-WikiConverter-MediaWiki
%define upstream_version    0.59

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Convert HTML to MediaWiki markup
Url:        https://metacpan.org/release/%{upstream_name}
Source:     https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     https://anonscm.debian.org/cgit/pkg-perl/packages/libhtml-wikiconverter-mediawiki-perl.git/plain/debian/patches/unescaped_left_brace.patch
BuildRequires: perl(HTML::WikiConverter)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildArch: noarch


%description
This module contains rules for converting HTML into MediaWiki markup. See
the HTML::WikiConverter manpage for additional usage details.





%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
