%define upstream_name    HTML-WikiConverter
%define upstream_version 0.68

%global __requires_exclude perl\\(CGI::Application\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

summary:    HTML-WikiConverter - An HTML to wiki markup converter
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:  perl(HTML::Parser)
BuildRequires:  perl(URI)
BuildRequires:  perl(HTML::Tree)
BuildRequires:  perl(CSS)
BuildRequires:  perl(Params::Validate)
BuildArch:      noarch


%description
HTML::WikiConverter is an HTML to wiki converter. It can convert HTML
source into a variety of wiki markups, called wiki "dialects".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# %%{__make} test

%install
%make_install

%files
%doc Changes LICENSE README META.yml
%{_mandir}/*/*
%{_bindir}/*
%{perl_vendorlib}/HTML
