%define upstream_name	 HTTP-Request-Params
%define upstream_version 1.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Retrieve GET/POST Parameters from HTTP Requests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI) >= 3.0.0
BuildRequires: perl(Class::Accessor::Fast) >= 0.190.0
BuildRequires: perl(Email::MIME::ContentType) >= 1.0.0
BuildRequires: perl(Email::MIME::Modifier) >= 1.420.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Request) >= 1.400.0
BuildRequires: perl(HTTP::Request::Common) >= 1.260.0
BuildArch:  noarch
Requires: perl(Class::Accessor::Fast)

%description
This software does all the dirty work of parsing HTTP Requests to find incoming
query parameters.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/HTTP
%{_mandir}/*/*
