%define upstream_name    HTTP-Server-Simple-Mason
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Module for an abstract baseclass for a standalone mason server
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/J/JE/JESSE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(HTML::Mason) 
BuildRequires:  perl-libwww-perl 
BuildRequires:  perl(HTTP::Server::Simple)
BuildRequires:  perl(Hook::LexWrap)
BuildRequires:	perl(inc::Module::Install)
BuildArch:      noarch


%description
Perl module that contains a abstract baseclass for a standalone mason server.
This is based on HTTP::Server::Simple.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%files
%doc Changes  META.yml
%{perl_vendorlib}/*
%{_mandir}/man3/*
