%define upstream_name    HTTP-Tiny-Multipart
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Add post_multipart to HTTP::Tiny
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(MIME::Base64)
BuildArch:  noarch

%description
Add post_multipart to HTTP::Tiny

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTORS Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*