%define upstream_name    Hash-Map
%define upstream_version 0.014

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Manipulate hashes map like
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Hash/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Clone)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Perl6::Export::Attrs)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings) >= 1.30.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(version)
BuildArch:  noarch

%description
For array manipulation we have map, for hashes, not really. This was the
reason to create this module.

The functional interface is wrapped around the OO interface. Not all can be
implemented functionally.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README example
%{_mandir}/man3/*
%perl_vendorlib/*
