%define upstream_name    IO-Tty-Util
%define upstream_version 0.03

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 29

Summary:	Perl bindings for libutil.so tty utility functions
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel


%description
the IO::Tty::Util manpage provides basic Perl bindings to the 'openpty' and
'login_tty' functions found in 'libutil.so' and provides a Perl
implementation of the 'forkpty' function.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# tests seem to fail with perl 5.12 without tty (such as the bs)
#make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorarch/*
