%define upstream_name    IO-Tty
%define upstream_version 1.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Pseudo TTY object class
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
The IO::Tty and IO::Pty modules provide an interface to pseudo tty's.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{perl_vendorarch}/auto/IO
%{perl_vendorarch}/IO
%{_mandir}/*/*
