%define upstream_name    IO-Util
%define upstream_version 1.5

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	A selection of general-utility IO function
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/D/DO/DOMIZIO/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		IO-Util-1.5-encoding.patch

BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)

BuildArch:	noarch

%description
This is a micro-weight module that exports a few functions of general utility
in IO operations.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/IO/*
%{_mandir}/*/*


