%define upstream_name	 Image-Xpm
%define upstream_version 1.13

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Load, create, manipulate and save xpm image files
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/S/SU/SUMMER/%{upstream_name}-%{upstream_version}.tar.gz


Buildrequires:	perl(Image::Base)
Buildarch:	noarch

%description
This class module provides basic load, manipulate and save functionality for
the xpm file format. It inherits from Image::Base which provides additional
manipulation functionality, e.g. new_from_image(). See the Image::Base pod for
information on adding your own functionality to all the Image::Base derived
classes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files 
%doc README
%{perl_vendorlib}/Image
%{_mandir}/*/*


