%define upstream_name    Inline-Filters
%define upstream_version 0.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Common source code filters for Inline Modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Inline/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Inline)
BuildRequires: perl(Inline::C)
BuildRequires: perl-devel
BuildArch: noarch

%description
'Inline::Filters' provides common source code filters to Inline Language
Modules. Unless you're an Inline module developer, you can just read the
next section.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


