%define upstream_name	 Kwiki-Archive-Rcs
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	Kwiki Page Archival Using RCS
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Kwiki/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(Kwiki)
BuildRequires:	perl(inc::Module::Install)
BuildArch:	noarch

requires:	rcs

%description
Version control using RCS.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes README META.yml
%{perl_vendorlib}/Kwiki
%{_mandir}/*/*
