%define upstream_name	 Kwiki-Diff
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Display differences between the current wiki page and older revisions
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Kwiki/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(Kwiki)
BuildArch:	noarch


%description
This module requires that you be using Kwiki::Revisions. Please make sure
Kwiki::Revisions is in your plugins file.

This module adds a toolbar item, "Differences," when viewing past revisions of
wiki pages. When clicked, the user is shown a colorful side-by-side comparison
of that revision and the current revision.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -f t/0-signature.t # debug files make it fails

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Kwiki
%{_mandir}/*/*