%define upstream_name	 Kwiki-RecentChanges
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	Kwiki Recent Changes Plugin
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Kwiki/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(Kwiki)
BuildRequires:	perl(inc::Module::Install)
BuildArch:	noarch


%description
List pages that were recently changed (how long ago can be configured).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Kwiki
%{_mandir}/*/*
