%define upstream_name	 Kwiki
%define upstream_version 0.39

%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(mixin\\)$

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 12

Summary:	The Kwiki Wiki Building Framework 
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Kwiki/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(inc::Module::Install)
BuildRequires:	perl(Spoon)
BuildArch:	noarch


%description
Kwiki is perhaps the simplest to install, most modular, and easiest to extend
Wiki. A Wiki allows users to freely create and edit web pages in any web
browser. Kwiki is Open Source Software in Perl, and is available on CPAN.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
#%make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Kwiki
%{perl_vendorlib}/Kwiki.pm
%{_mandir}/*/*
%{_bindir}/*
