%define upstream_name	 Linux-CDROM
%define upstream_version 0.02

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 26

Summary:	An interface to Linux CDROM device
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Linux/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel


%description
common recipes featuring your CDROM drive as its main ingredient

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#%{__make} test

%install
%make_install

find %{buildroot} -name "perllocal.pod" -delete

%files
%doc README META.yml
%{perl_vendorarch}/Linux/CDROM*
%{perl_vendorarch}/*/Linux/CDROM/*
%{_mandir}/*/*
