%define upstream_name    Linux-Clone
%define upstream_version 1.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    An interface to the linux clone(2) and unshare(2) syscalls
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/M/ML/MLEHMANN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
This module exposes the linux clone(2) and unshare(2) syscalls to Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{perl_vendorarch}/Linux/Clone*
%{perl_vendorarch}/auto/Linux/Clone*
%{_mandir}/*/*
