%define upstream_name	 List-Compare
%define upstream_version 0.55

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Compare elements of two or more lists
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Simple) >= 0.100.0
BuildArch:  noarch

%description
This module allows to compare elements of two or more lists.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
%make_build test

%files 
%doc Changes FAQ META.json META.yml MYMETA.yml README
%{perl_vendorlib}/List
%{_mandir}/*/*