%define upstream_name    List-Member
%define upstream_version 0.044

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    PROLOG's member/2: return index of $x in @y
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}-withoutworldwriteables.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
A tiny routine to achieve the same effect as PROLOG's 'member/2'.

Returns the index of supplied scalar in supplied array, or returns the
value of the package's '$NEG' scalar. This can be over-ridden for the case
when the target is the same as the default '-1':

	$List::Member::NEG = 'not_a_member';

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


