%define upstream_name	Locale-Maketext-Simple
%define upstream_version 0.21

Name:		    perl-%{upstream_name}
Version:	    %perl_convert_version %{upstream_version}
Release:	    %mkrel 12

License:	    MIT
Group:		    Development/Perl
Summary:	    Perl module to use other catalog formats in Maketext
Url:            https://metacpan.org/release/%{upstream_name}
Source0:        https://cpan.metacpan.org/modules/by-module/Locale/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(Locale::Maketext::Lexicon)
BuildArch:      noarch

Requires:	perl(Locale::Maketext::Lexicon)

%description
Locale::Maketext::Simple is simple interface to Locale::Maketext::Lexicon,
a module providing lexicon-handling backends, for "Locale::Maketext" 
to read from other localization formats, such as PO files, MO files, 
or from databases via the "Tie" interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{perl_vendorlib}/Locale
%{_mandir}/man3/*