%define upstream_name    Log-Report-Optional
%define upstream_version 1.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Administer one text-domain
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(String::Print) >= 0.910.0
BuildRequires: perl(Test::More) >= 0.860.0
BuildArch:  noarch

%description
This module collects a few functions and definitions which are shared
between different components in the Log::Report infrastructure. They should
not be needed for end-user applications, although this man-page may contain
some useful background information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*