%define upstream_name       Logfile-Rotate
%define upstream_version    1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10
Summary:	Perl module to rotate logfiles
License:	GPL
Group:		Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source:     https://cpan.metacpan.org/modules/by-module/Logfile/%{upstream_name}-%{upstream_version}.tar.gz
Buildarch:	noarch

%description
Perl module to rotate logfiles.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%make_install

%files 
%doc MANIFEST 
%{perl_vendorlib}/Logfile/Rotate.pm
%{_mandir}/*/*



