%define upstream_name    MDK-Common
%define upstream_version 1.2.34.2

Summary:    Various simple functions
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
Url:        https://svnweb.mageia.org/soft/perl-MDK-Common/
Source0:    https://cpan.metacpan.org/authors/id/T/TV/TVIGNAUD/%{upstream_name}-%{upstream_version}.tar.gz
License:    GPLv2+
Group:      Development/Perl

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Sync)
BuildArch:  noarch

%description
Various simple functions created for DrakX

%prep
%setup -q -n MDK-Common-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%make_install

%files
%doc AUTHORS COPYING META.json META.yml MYMETA.yml
%{perl_vendorlib}/MDK
%{_mandir}/man*/*
