%define upstream_name    MIME-Charset
%define upstream_version 1.013.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Charset Informations for MIME
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MIME/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN)
BuildRequires: perl(Encode) >= 1.980.0
BuildRequires: perl(Encode::HanExtra) >= 0.200.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(POD2::Base) >= 0.41.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
MIME::Charset provides informations about character sets used for MIME messages
on Internet.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor < /dev/null
%make_build

%check
%__make test

%install
%make_install

%files
%doc ARTISTIC COPYING Changes META.json MYMETA.yml README
%{perl_vendorlib}/MIME
%{perl_vendorlib}/POD2
%{_mandir}/*/*