%define upstream_name     MIME-EncWords
%define upstream_version 1.015.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    Deal with RFC-1522 encoded words (improved)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MIME/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode) >= 1.980.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Base64) >= 2.130.0
BuildRequires: perl(MIME::Charset) >= 1.10.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Fellow Americans, you probably won't know what the hell this module is for.
Europeans, Russians, et al, you probably do. :-)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc ARTISTIC Changes GPL META.yml MYMETA.yml README
%{perl_vendorlib}/Encode
%{perl_vendorlib}/MIME
%{perl_vendorlib}/POD2
%{_mandir}/*/*
