%define upstream_name	 MP3-ID3v1Tag
%define upstream_version 1.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Edit ID3v1 Tags from an Audio MPEG Layer 3
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/MP3/%{upstream_name}-%{upstream_version}.tar.bz2

Buildarch:	noarch


%description
The ID3v1Tag routines are useful for setting and reading ID3 MP3 Audio Tags.
Just create an MP3::ID3v1Tag Object with the path to the file of interest, and
query any of the methods below.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/MP3
%{_mandir}/*/*