%define upstream_name    Mail-POP3Client
%define upstream_version 2.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    POP3Client module for perl (Mail_and_Usenet_News/Mail)
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/SD/SDOWD/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildArch:  noarch

Obsoletes:  perl-POP3Client <= 2.130.0
Provides:   POP3Client = %{version}

%description
POP3Client is a Perl module to provide an object-oriented interface to a
POP3 server.

%prep 
%setup -q -n %{upstream_name}-%{upstream_version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

find %{buildroot} -name "perllocal.pod" -delete

%files
%doc Changes FAQ META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Mail/
%_mandir/man3/*