%define upstream_name    Math-Random-ISAAC-XS
%define upstream_version 1.004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 24

Summary:    C implementation of the ISAAC PRNG algorithm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Math::Random::ISAAC)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl-devel

%{?perl_default_filter}

%description
See the Math::Random::ISAAC manpage for the full description.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc README Changes LICENSE META.yml examples
%{_mandir}/man3/*
%perl_vendorarch/*
