%define upstream_name	 Math-Roman
%define upstream_version 1.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Arbitrary sized Roman numbers and conversion from and to Arabic
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    ftp.perl.org/pub/CPAN/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.580.0
BuildRequires: perl(Math::BigInt) >= 1.200.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
Well, it seems I have been infected by the Perligata-Virus, too. ;o)

This module lets you calculate with Roman numbers, as if they were big
integers. The numbers can have arbitrary length and all the usual functions
from Math::BigInt are available.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install
# (tv) Fix shebang:
perl -pi -e 's@^#!perl@#!/bin/perl@' %buildroot/%_datadir/perl5/vendor_perl/Math/Roman.pm

%files
%doc BUGS CHANGES LICENSE META.json META.yml MYMETA.yml NEW README SIGNATURE TODO
%{perl_vendorlib}/Math
%{_mandir}/*/*