%define upstream_name    Minion-Backend-mysql
%define upstream_version 1.001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    No summary found
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Minion/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Minion)
BuildRequires: perl(Mojo::mysql)
BuildRequires: perl(Mojolicious)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::mysqld)
BuildRequires: perl(Time::HiRes)
BuildArch: noarch

%description
the Minion::Backend::mysql manpage is a backend for the Minion manpage
based on the Mojo::mysql manpage. All necessary tables will be created
automatically with a set of migrations named 'minion'. This backend
requires at least v5.6.5 of MySQL.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README LICENSE CHANGES META.yml META.json eg
%{_mandir}/man3/*
%perl_vendorlib/*


