Name:           perl-Mock-Config
Version:        0.03
Release:        %mkrel 4
Summary:        Temporarily set Config or XSConfig values
Group:		Development/Perl
License:        Artistic 2.0
URL:            https://metacpan.org/release/Mock-Config
Source0:        https://cpan.metacpan.org/authors/id/R/RU/RURBAN/Mock-Config-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time
BuildRequires:  perl(Config)
# Tests
BuildRequires:  perl(Test::More)
Requires:       perl(warnings)

%description
This module can be for temporarily set Config or XSConfig values.

%prep
%setup -q -n Mock-Config-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

