%define upstream_name    Module-Build-Pluggable-CPANfile
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Include cpanfile
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Prereqs)
BuildRequires: perl(Capture::Tiny) >= 0.210.0
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(List::Util) >= 1.140.0
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Module::Build::Pluggable) >= 0.50.0
BuildRequires: perl(Module::CPANfile) >= 0.901.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(parent)
BuildRequires: perl(version) >= 0.990.0
BuildArch:  noarch

%description
Module::Build::Pluggable::CPANfile is plugin for Module::Build::Pluggable
to include dependencies from cpanfile into meta files. This modules is the
Module::Install::CPANfile manpage for Module::Build

*THIS IS A DEVELOPMENT RELEASE. API MAY CHANGE WITHOUT NOTICE*.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*