%define upstream_name    Module-Build-Pluggable-PPPort
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Generate ppport.h
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Lite)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Build::Pluggable)
BuildRequires: perl(Test::Requires)
BuildArch: noarch

%description
Generate ppport.h automatically.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes README META.json META.yml LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*


