%define upstream_name    Module-Inspector
%define upstream_version 1.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    An integrated API for inspecting Perl distributions 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Wx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(inc::Module::Install)
BuildArch: noarch


%description
An integrated API for inspecting Perl distributions 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# Do not make test because they need gtk display
#make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
