%define upstream_name	 Module-Refresh
%define upstream_version 0.18

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Refresh %INC files when the module is updated on disk
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(Module::Install)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module is a generalization of the functionality provided by
Apache::StatINC. It's designed to make it easy to do simple iterative
development when working in a persistent environment.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml SIGNATURE
%{perl_vendorlib}/Module
%{_mandir}/man3/*
