%define upstream_name    Mojolicious-Plugin-ClientIP
%define upstream_version 0.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Get client's IP address from X-Forwarded-For
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Mojolicious/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Mojolicious)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
Mojolicious::Plugin::ClientIP is a Mojolicious plugin to get an IP address
looks like client, not proxy, from X-Forwarded-For header.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


