%define upstream_name    Mojolicious-Plugin-Mail
%define upstream_version 1.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Mojolicious Plugin for send mail
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Mojolicious/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::EncWords)
BuildRequires: perl(MIME::Lite) >= 3.27.0
BuildRequires: perl(Mojolicious) >= 5.0.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
the Mojolicous::Plugin::Mail manpage is a plugin for Mojolicious apps to
send mail using the MIME::Lite manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml example
%{_mandir}/man3/*
%perl_vendorlib/*