%define upstream_name    Mojolicious-Plugin-OAuth2
%define upstream_version 2.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Auth against OAuth2 APIs including OpenID Connect 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://search.cpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Mojolicious/%{upstream_name}-%{upstream_version}.tar.gz

%{?perl_default_filter}
BuildRequires: perl-devel
BuildRequires: perl(Mojolicious)
BuildRequires: perl(IO::Socket::SSL)
BuildArch: noarch
%description
Auth against OAuth2 APIs including OpenID Connect 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*
