%define upstream_name Mojolicious-Plugin-YamlConfig
%define upstream_version 0.2.4

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    YAML Configuration Mojolicious plugin
License:    Artistic 2.0
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Mojolicious/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(Mojolicious) >= 5.540.0
BuildRequires: perl(YAML::Tiny) >= 1.600.0
BuildRequires: make
BuildRequires: perl
%description
Mojolicious::Plugin::YamlConfig is used to support YAML Configuration.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install
%{_fixperms} %{buildroot}/*

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/Mojolicious*
%{_mandir}/man3/Mojolicious*