%define upstream_name MooX-File-ConfigDir
%define upstream_version 0.008

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Moo eXtension for File::ConfigDir
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ConfigDir) >= 0.18.0
BuildRequires: perl(Moo::Role) >= 1.3.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.900.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Moo eXtension for File::ConfigDir.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*