%define upstream_name    MooseX-Emulate-Class-Accessor-Fast
%define upstream_version 0.009032

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
Epoch:      1

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Emulate Class::Accessor::Fast behavior using Moose attributes
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose) >= 0.840.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::clean)
BuildArch:  noarch

%description
This module attempts to hijack the Class::Accessor::Fast manpage in %INC
and replace it with the MooseX::Emulate::Class::Accessor::Fast manpage.
Make sure it is loaded before the classes you have that use
<Class::Accessor::Fast>. It is meant as a tool to help you migrate your
project from the Class::Accessor::Fast manpage, to the
MooseX::Emulate::Class::Accessor::Fast manpage and ultimately, to the Moose
manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*