%define upstream_name    MooseX-HasDefaults
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Default "is" to "ro" or "rw" for all attributes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::Exception)
BuildArch: noarch

%description
The module the MooseX::HasDefaults::RO manpage defaults 'is' to 'ro'.

The module the MooseX::HasDefaults::RW manpage defaults 'is' to 'rw'.

If you pass a specific value to any 'has''s 'is', that overrides the
default. If you do not want an accessor, pass 'is => undef'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


