%define upstream_name MooseX-TraitFor-Meta-Class-BetterAnonClassNames
%define upstream_version 0.002003

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Metaclass trait to *attempt* to demystify generated anonymous class names
License:	LGPLv2
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(autobox::Core)
BuildRequires:	perl(namespace::autoclean)
BuildRequires:	perl(Test::CheckDeps)
BuildRequires:	perl(Test::Moose::More)

BuildArch:	noarch

%description
You really want to be looking at "with_traits" in MooseX::Util.

Please see those modules/websites for more information related to this
module.

*   MooseX::Util

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*
