%define upstream_name    MouseX-Types
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Types shipped with Mouse
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MouseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose) >= 0.150.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Mouse) >= 0.770.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
