%define upstream_name    Nagios-Cmd
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Take care of the logistics involved in submitting a command to Nagios's command pipe
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Nagios/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
Nagios::Cmd is a module to take care of the logistics involved in
submitting a command to Nagios's command pipe. flock(2) is used to insure
that parallel calls to this module don't corrupt each other (unlikely in
any case).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


