%define upstream_name    Net-DAAP-DMAP
%define upstream_version 1.27

%global __requires_exclude perl\\(Math::Bigint\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Perl module for reading and writing DAAP structures
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/R/RC/RCLAMP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Perl module for reading and writing DAAP structures.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes y | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

#check
#make test

%install
%make_install
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%files
%doc Changes META.yml MYMETA.yml
%doc %{_mandir}/man3/*
%{perl_vendorlib}/Net/DAAP/DMAP.pm
