%define upstream_name	 Net-FTP-Common
%define upstream_version 7.0.d

Name:       perl-%{upstream_name}
# perl_convert_version no longer happy with the d
Version:    7.0.0d
Release:    %mkrel 10

Summary:	Simplify common usages of Net::FTP 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(Net::FTP)

BuildArch:	noarch


%description
This module is intended to make the common uses of Net::FTP a one-line,
no-argument affair. In other words, you have 100% programming with
Net::FTP. With Net::FTP::Common you will have 95% configuration and 5%
programming.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%if 0
%check
%{__make} test
%endif

%install
%make_install

%files
%doc README META.yml
%{perl_vendorlib}/Net/FTP
%{perl_vendorlib}/TestConfig.pm
%{_mandir}/*/*
