%define upstream_name    Net-Google-DataAPI
%define upstream_version 0.2805

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Base implementations for modules to negotiate with Google Data APIs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://search.cpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

%{?perl_default_filter}
BuildRequires: perl-devel
BuildRequires: perl(Module::Install)
BuildRequires: perl(Moose)
BuildRequires: perl(Any::Moose)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Text::Glob)
BuildRequires: perl(Net::OAuth)
BuildRequires: perl(Net::OAuth2)
BuildRequires: perl(XML::Atom)
BuildRequires: perl(Lingua::EN::Inflect::Number)
BuildArch: noarch

%description
Base implementations for modules to negotiate with Google Data APIs

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
# 3 tests failing and Any::Moose deprecated
#make test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*
