%define upstream_name Net-Google
%define upstream_version 1.0.1

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 16
Summary:	Simple OOP-ish interface to the Google SOAP API
License:	GPL or Artistic
Group:		Development/Perl
Source:		https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.bz2
URL:		https://metacpan.org/release/%{upstream_name}

BuildRequires:  perl(Module::Build)
BuildArch:	noarch

%description
Provides a simple OOP-ish interface to the Google SOAP API

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Build.PL installdirs=vendor
./Build

%check
# checking requires a Google API key

%install
./Build install destdir=%{buildroot}

%files
%doc Changes
%{perl_vendorlib}/Net
%{_mandir}/*/*
