%define	module	Net-Kismet

Summary:	Net::Kismet perl module
Name:		perl-%{module}
Version:	0.04
Release:	%mkrel 17
License:	GPL
Group:		Development/Perl
Requires:	perl
BuildRequires:	perl-devel

URL:		https://www.kismetwireless.net/
Source:		%{module}-%{version}.tar.bz2
BuildArch:	noarch

%description
A perl module to make writing Kismet clients in perl much simpler.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README MANIFEST Changes
%{perl_vendorlib}/Net/*
%_mandir/*/*