%define upstream_name    Net-LDAP-HTMLWidget
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Like FromForm but with Net::LDAP and HTML::Widget
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%upstream_name
Source0:	https://cpan.metacpan.org/authors/id/M/MR/MRAMBERG/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(DBIx::Class::HTMLWidget)
BuildArch:      noarch


%description
Something like Class::DBI::FromForm / Class::DBI::FromCGI but using
HTML::Widget for form creation and validation and Net::LDAP.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.yml
%{perl_vendorlib}/Net/LDAP/HTMLWidget.pm
%{_mandir}/*/*