%define upstream_name    Net-LDAPapi
%define upstream_version 3.0.7

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Perl bindings for LDAP client library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Convert::ASN1) >= 0.190.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: glibc-devel
BuildRequires: openldap-devel
BuildRequires: perl-devel
%description
Perl bindings for LDAP client library

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
#find -name \*.pm | xargs chmod 644
%{__perl} Makefile.PL INSTALLDIRS=vendor -sdk 1 -lib_path %{_libdir} -include_path %{_includedir} -sasl_include_path %{_includedir}
%make_build

%check
#make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{perl_vendorarch}/Net/*.pm
%{perl_vendorarch}/auto/Net/LDAPapi
%{_mandir}/*/*
