%define upstream_name	 Net-SFTP
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:	Secure File Transfer Protocol client
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/D/DB/DBROBINS/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl(Net::SSH::Perl)
BuildRequires:	perl(Math::Int64)
BuildArch:	noarch


%description
This is Net::SFTP, a module implementing a client for the Secure
File Transfer Protocol.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Net
%{_mandir}/*/*
