%define upstream_name    Net-SinFP
%define upstream_version 2.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    PatternTcpOptions database table
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Gomor)
BuildRequires: perl(DBIx::SQLite::Simple)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::Packet)
BuildArch: noarch

%description
Go to http://www.gomor.org/sinfp to know more.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc META.yml INSTALL README LICENSE Changes
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/sinfp.db
%{_bindir}/sinfp.pl
