%define upstream_name    Number-Bytes-Human
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Convert byte count to human readable format
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Number/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
THIS IS ALPHA SOFTWARE: THE DOCUMENTATION AND THE CODE WILL SUFFER CHANGES
SOME DAY (THANKS, GOD!).

This module provides a formatter which turns byte counts to usual readable
format, like '2.0K', '3.1G', '100B'. It was inspired in the '-h' option of
Unix utilities like 'du', 'df' and 'ls' for "human-readable" output.

From the FreeBSD man page of 'df':
https://www.freebsd.org/cgi/man.cgi?query=df

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
