%define upstream_name    PDF
%define upstream_version 111

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    PDF access and manipulation in Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
The main purpose of the PDF library is to provide classes and functions
that allow to read and manipulate PDF files with perl. PDF stands for
Portable Document Format and is a format proposed by Adobe. A full
description of this format can be found in the *Portable Document Reference
Manual* by Adobe Systems Inc..

%prep
%setup -q -n %{upstream_name}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README
%{_mandir}/man3/*
%perl_vendorlib/*
