%define upstream_name    POE-Component-Client-Asterisk-Manager
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Event-based Asterisk / Aefirion Manager Client
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POE)
BuildRequires: perl(POE::Component::Client::TCP)
BuildArch: noarch

%description
POE::Component::Client::Asterisk::Manager is an event driven Asterisk
manager client. This module should also work with Aefirion.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml README Changes
%{_mandir}/man3/*
%perl_vendorlib/*


