%define upstream_name	 POE-Component-Client-Ident
%define upstream_version 1.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:	A component that provides non-blocking ident lookups to your sessions
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(inc::Module::Install)
BuildRequires:  perl(POE)
BuildRequires:  perl(Test::POE::Server::TCP)
BuildArch:	noarch


%description
POE::Component::Client::Ident is a POE component that provides non-blocking
Ident lookup services to other components and sessions. The Ident protocol
is described in RFC 1413

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes
%{perl_vendorlib}/POE
%_mandir/*/*
