%define upstream_name    Padre-Plugin-Git
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Simple Git interface for Padre
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Padre/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Padre-Plugin-Git-0.12-Remove-using-of-MI-DSL.patch

BuildRequires: perl(CPAN::Changes) >= 0.190.0
BuildRequires: perl(Carp) >= 1.320.0
BuildRequires: perl(Data::Printer) >= 0.330.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Slurp) >= 9999.190.0
BuildRequires: perl(File::Spec) >= 3.330.0
BuildRequires: perl(File::Which) >= 1.90.0
BuildRequires: perl(Padre) >= 0.960.0
BuildRequires: perl(Pithub) >= 0.10.160
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Try::Tiny) >= 0.110.0
BuildRequires: perl(strictures) >= 1.4.4
BuildRequires: x11-server-xvfb
BuildArch:  noarch

%description
Simple Git interface for Padre.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#xvfb-run make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
