%define upstream_name    Padre-Plugin-HTML
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    L<Padre> and HTML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Padre/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTML::Lint)
BuildRequires: perl(HTML::Tidy)
BuildRequires: perl(Locale::Msgfmt) >= 0.150.0
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Padre) >= 0.570.0
BuildRequires: perl(Test::More)
BuildRequires: perl(WebService::Validator::HTML::W3C)
BuildRequires: perl(XML::XPath)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
#./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*