%define upstream_name    Padre-Plugin-Nopaste
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Send code on a nopaste website from padre
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Padre/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Padre-Plugin-Nopaste-0.08-Remove-using-of-MI-DSL.patch

BuildRequires: perl(App::Nopaste) >= 0.920.0
BuildRequires: perl(Carp) >= 1.260.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Moo) >= 1.1.0
BuildRequires: perl(Padre) >= 0.960.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildRequires: perl(Try::Tiny) >= 0.120.0
BuildRequires: perl(constant) >= 1.270.0
BuildRequires: perl(parent) >= 0.225.0
BuildRequires: perl(strictures) >= 1.4.4
BuildArch:  noarch

Requires:   perl(parent)

%description
This plugin allows one to send stuff from Padre to a nopaste website with
Ctrl+Shift+V, allowing for easy code / whatever sharing without having to
open a browser.

It is using 'App::Nopaste' underneath, so check this module's pod for more
information.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%license LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*
