%define upstream_name    Padre-Plugin-PAR
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    PAR generation from Padre
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/SM/SMUELLER/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Padre)
BuildRequires: perl(Module::Build)
BuildArch: noarch

Requires:  perl(Padre)

%description
Padre plugin to seamlessly generate a standalone executable.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor destdir=%{buildroot}
./Build

%check
#Disable tests because they need to export display
#./Build test

%install
./Build install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
