%define upstream_name    Padre-Plugin-PerlTidy
%define upstream_version 0.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Format perl files using Perl::Tidy
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Padre/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.620.0
BuildRequires: perl(Padre::Plugin) >= 0.920.0
BuildRequires: perl(Params::Util) >= 1.40.0
BuildRequires: perl(Perl::Tidy) >= 20101217.0.0
BuildRequires: perl(Test::More) >= 0.420.0
BuildRequires: x11-server-xvfb
BuildArch:  noarch

%description
This is a simple plugin to run Perl::Tidy on your source code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
xvfb-run %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

# no testing, wx fails with missing display
#%%check
#%%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*
