%define upstream_name    Parse-Binary
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Convert between variant records and hashes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires: perl(inc::Module::Install)
BuildArch: noarch


%description
This module makes parsing binary data structures much easier, by serving as
a base class for classes that represents the binary data, which may contain
objects of other classes to represent parts of itself.

Documentation is unfortunately a bit lacking at this moment. Please read
the tests and source code of the Parse::AFP manpage and the Win32::Exe
manpage for examples of using this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
