%define upstream_name Parse-RecDescent-Deparse
%define upstream_version 1.00

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 15
License:	GPL or Artistic
Summary:	Parse::RecDescent::Deparse - Turn a Parse::RecDescent object back into its grammar
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl(Parse::RecDescent)
BuildArch:	noarch


%description
This module adds the deparse method to the Parse::RecDescent
class, which returns a textual description of the grammar.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Parse/RecDescent/Deparse.pm
%{_mandir}/*/*
