%define	upstream_name	 PatchReader
%define upstream_version 0.9.6

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Utilities to read and manipulate patches and CVS 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/T/TM/TMANNERM/%{upstream_name}-%{upstream_version}.tar.gz



BuildArch:	noarch


Obsoletes:	perl-patchreader
Provides:	perl-patchreader

%description
This perl library allows you to manipulate patches programmatically by chaining
together a variety of objects that read, manipulate, and output patch
information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes README
find . -type f -exec perl -pi -e 'tr/\r//d' {} \;

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/PatchReader
%{perl_vendorlib}/PatchReader.pm
%{_mandir}/man3/*