%define pkgname Path-Iter
%define filelist %{pkgname}-%{version}-filelist
%define NVR %{pkgname}-%{version}-%{release}
%define maketest 1

Name:      perl-Path-Iter
Summary:   Simple Efficient Path Iteration
Version:   0.2
Release:   %mkrel 4
License:   Artistic
Group:     Development/Perl
Url:       https://metacpan.org/dist/%{pkgname}
BuildArch: noarch
source:    https://cpan.metacpan.org/authors/id/D/DM/DMUEY/Path-Iter-0.2.tar.gz

%description
Iterate through the contents of a given path without having to build the entire
list first.


%prep
%setup -q -n %{pkgname}-%{version} 

%build
perl Makefile.PL INSTALLDIRS=vendor \
%make_build

%check
make test

%install
%make_install

%files
%{perl_vendorlib}/Path/Iter.*
%{_mandir}/man3/Path::Iter.*


