%define upstream_name    Perl-Critic-PetPeeves-JTRAMMELL
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Prohibit superfluous initializations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build)
BuildRequires: perl(Perl::Critic::Config)
BuildRequires: perl(Perl::Critic::Policy)
BuildRequires: perl(Perl::Critic::Utils)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Module 'Perl::Critic::PetPeeves::JTRAMMELL' provides policies that I want
that haven't already been implemented elsewhere. So far this is:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
