%define upstream_name    Perl6-Classes
%define upstream_version 0.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Perl 6 class syntax for Perl 5
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Perl6/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Filter::Simple)
BuildRequires: perl(Test::Simple)
BuildRequires: perl(Text::Balanced)
BuildArch: noarch

%description
'Perl6::Classes' allows the creation of (somewhat) Perl 6-style classes in
Perl 5. The following features are currently supported:

* * 'sub's, 'method's, and 'submethod's

  And their respective scoping rules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README
%{_mandir}/man3/*
%perl_vendorlib/*


