%define upstream_name Perl6-Export-Attrs
%define upstream_version 0.000006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
License:    GPL or Artistic
Group:      Development/Perl
Summary:    The Perl 6 'is export(...)' trait as a Perl 5 attribute
Source0:    https://cpan.metacpan.org/modules/by-module/Perl6/%{upstream_name}-%{upstream_version}.tar.gz
Url:        https://metacpan.org/release/%{upstream_name}

BuildRequires: perl(Attribute::Handlers)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(PadWalker)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildRequires: perl-devel
BuildArch:  noarch

%{?perl_default_filter}

%description
Implements a Perl 5 native version of what the Perl 6 symbol export
mechanism will look like.

It's very straightforward:

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*