%define upstream_name    Perl6-Junction
%define upstream_version 1.60000

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11
Epoch:      1

Summary:    Perl6 style Junction operators in Perl5
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Perl6/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
This is a lightweight module which provides 'Junction' operators, the most
commonly used being any and all.

Inspired by the Perl6 design docs,
http://dev.perl.org/perl6/doc/design/exe/E06.html.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL installdirs=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/*
%{_mandir}/*/*
