%define upstream_name    Plack-Middleware-Debug-TraceENV
%define upstream_version 0.044

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Debug panel for tracing %ENV
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(Module::Build) >= 0.420.0
BuildRequires: perl(Plack::Builder)
BuildRequires: perl(Plack::Middleware::Debug)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Plack::Util::Accessor)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Plack::Middleware::Debug::TraceENV is debug panel for watching %ENV.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*