%define upstream_name    Plack-Middleware-ForceEnv
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Force set environment variables for testing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Plack)
BuildArch: noarch

%{?perl_default_filter}

%description
ForceEnv modifies the environment passed to the application by adding your
specified key value pairs.

This is primarily useful when testing apps under plackup (or similar) in a
development environment.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


