%define upstream_name    Plack-Middleware-Options
%define upstream_version 0.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Implements OPTIONS and filters out unknown methods
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build)
BuildRequires: perl(Plack::Middleware)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Test::Deep)
BuildArch: noarch

%description
This module implements the OPTIONS HTTP method for your Plack application.
It also returns a 405 Method Not Allowed error when a method not explicitly
allowed is used.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc META.yml Changes README
%{_mandir}/man3/*
%perl_vendorlib/*


