%define upstream_name    Plack-Middleware-XForwardedFor
%define upstream_version 0.172050

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Plack middleware to handle X-Forwarded-For headers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::IP) >= 1.260.0
BuildRequires: perl(Plack) >= 0.991.300
BuildRequires: perl(parent) >= 0.223.0
BuildArch:  noarch

%description
'Plack::Middleware::XForwardedFor' will look for 'X-Forwarded-For' header
in the incoming request and change 'REMOTE_ADDR' to the real client IP

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*
