%define upstream_name    Pod-Weaver-PluginBundle-AMD
%define upstream_version 4.1.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Document your modules like AMD does
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Pod::Weaver::Config::Assembler)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This is the the Pod::Weaver config I use for building my
documentation. I use it via Dist::Zilla::PluginBundle::AMD.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.json META.yml Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*


