%define upstream_name    Pod-Weaver-PluginBundle-Apocalyptic
%define upstream_version 0.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Let the apocalypse generate your POD!
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Pod::Elemental::Transformer::List)
BuildRequires: perl(Pod::Weaver::Config::Assembler)
BuildRequires: perl(Pod::Weaver::Plugin::Encoding)
BuildRequires: perl(Pod::Weaver::Plugin::EnsureUniqueSections)
BuildRequires: perl(Pod::Weaver::Plugin::StopWords)
BuildRequires: perl(Pod::Weaver::Section::Contributors)
BuildRequires: perl(Pod::Weaver::Section::SeeAlso)
BuildRequires: perl(Pod::Weaver::Section::Support)
BuildRequires: perl(Pod::Weaver::Section::WarrantyDisclaimer)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
In your _weaver.ini_:

	[@Apocalyptic]

Or alternatively, in your the Dist::Zilla manpage dist's _dist.ini_:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc INSTALL META.json LICENSE META.yml Changes SIGNATURE README
%{_mandir}/man3/*
%perl_vendorlib/*


