%define upstream_name Reaper
%define upstream_version 1.00

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 12
Summary:	Support for reaping child processes via $SIG{CHLD} 
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{upstream_name}-%{upstream_version}.tar.gz
Url:		https://metacpan.org/release/%{upstream_name}

BuildRequires:	perl-devel
Provides:	perl(reaper)
BuildArch:	noarch
%rename		perl-reaper

%description
Support for reaping child processes via $SIG{CHLD} 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
find -type f | xargs chmod 644
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{perl_vendorlib}/%{upstream_name}.pm
%{perl_vendorlib}/reaper.pm
%{_mandir}/*/*
