%define upstream_name    Regexp-Copy
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	Regexp::Copy - copy Regexp objects
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/dist/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Regexp/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
Regexp::Copy allows you to copy the contents of one Regexp object
to another.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%make_install

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES
%dir %{perl_vendorlib}/*/auto/Regexp/Copy
%{perl_vendorlib}/*/Regexp/*
%{perl_vendorlib}/*/auto/Regexp/Copy/*
%{_mandir}/*/*


