%define upstream_name    Regexp-Pattern-DefHash
%define upstream_version 0.001

Name:           perl-Regexp-Pattern-DefHash
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 1
Summary:        Regexp patterns related to DefHash
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
Group:          Development/Perl
URL:            https://metacpan.org/dist/Regexp-Pattern-DefHash
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PERLANCAR/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl(blib)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Pod::Coverage::TrustPod)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Perl::Critic)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(warnings)


%description
Regexp::Pattern::License provides a hash of regular expression patterns related
to legal software licenses.


%prep
%autosetup -n %{upstream_name}-%{upstream_version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
%make_install
%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/Regexp::Pattern::DefHash*.*
