%define upstream_name	 Regexp-Shellish
%define upstream_version 0.93

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Shell-like regular expressions for perl
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Regexp/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:  noarch


%description
This perl module allows you to use shell-like regular expressions, 
instead of using perl regular expressions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes 
%{perl_vendorlib}/*
%{_mandir}/man3/*