%define upstream_name	 Rose-URI
%define upstream_version 1.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:	An alternative to URI
License:	Artistic/GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Rose/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(overload)
BuildRequires:	perl(Rose::Object) >= 0.015
BuildRequires:	perl(URI)
## scottk ##
## perl(URI::Escape) is provided by perl-URI, which requirement is
## satisfied when the perl(URI) requirement is satisfied
##BuildRequires:	perl(URI::Escape)
BuildArch:	noarch


%description
Rose::URI is a standalone URI class allowing easy and efficient
manipulation of query parameters and other URI components.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%defattr(644,root,root,755)
%doc Changes META.yml
%{_mandir}/man*/*
%{perl_vendorlib}/Rose
