%define upstream_name	SVN-Notify-Config
%define upstream_version	0.0911

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	Config-driven Subversion notification
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/SVN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(SVN::Notify)
BuildRequires:	perl(YAML)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Deep)
BuildRequires:  subversion
BuildArch:	noarch


%description
This module is a YAML-based configuration wrapper on SVN::Notify.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Build.PL installdirs=vendor
./Build

%check
export LC_ALL=C
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes README META.yml
%{perl_vendorlib}/SVN
%{_mandir}/*/*