%define upstream_name    Search-QueryParser-SQL
%define upstream_version 0.010

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    SQL column object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Search/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Search::QueryParser)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Search::QueryParser::SQL is a subclass of Search::QueryParser. Chiefly it
extends the unparse() method to stringify free-text search queries as valid
SQL WHERE clauses.

The idea is to allow you to treat your database like a free-text search
index, when it really isn't.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*


