%define upstream_name    Stardoc
%define upstream_version 0.18

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 13

Summary:        Acmeist Documentation Toolset
License:        GPL+ or Artistic
Group:          Development/Perl
Url:            https://metacpan.org/release/%{upstream_name}
Source0:        https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch: noarch
BuildRequires: perl(Mouse)
BuildRequires: perl(inc::Module::Package)
BuildRequires: perl(IO::All)
BuildRequires: perl(Template::Toolkit::Simple)
BuildRequires: perl(YAML::XS)


%description
Stardoc is a toolset for making programming documentation easier.

It is intended to one day be a way to write Acmeist documentation. That is,
documentation that you write once, and it works in all programming languages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/*/*
%{perl_vendorlib}/*

