%define upstream_name    Statistics-Basic
%define upstream_version 1.6611

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
Epoch:      1

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    A collection of very basic statistics modules
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Statistics/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Number::Format) >= 1.420.0
BuildRequires: perl(Scalar::Util)
BuildArch:  noarch

%description
A collection of very basic statistics modules

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/Statistics