%define upstream_name    Struct-Compare
%define upstream_version 1.0.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Recursive diff for perl structures
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Struct/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
Compares two values of any type and structure and returns true if they are
the same. It does a deep comparison of the structures, so a hash of a hash
of a whatever will be compared correctly.

This is especially useful for writing unit tests for your modules!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes
%{_mandir}/man3/*
%perl_vendorlib/*


