%define upstream_name    Swim
%define upstream_version 0.1.48

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    See What I Mean?!
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/I/IN/INGY/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(HTML::Escape)
BuildRequires: perl(Hash::Merge)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(Pegex) >= 0.410.0
BuildRequires: perl(Text::Autoformat)
BuildRequires: perl(YAML::XS)
BuildArch:  noarch

%description
Swim is a plain text markup language that converts to many formats:

* * HTML

  * * Rich - Lots of classes and annotations

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/swim
