%define upstream_name Sys-Hostname-Long
%define upstream_version 1.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
Summary:    Try every conceivable way to get full hostname
License:    GPL or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/SC/SCOTT/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:  noarch
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
How to get the host full name in perl on multiple operating systems.

%prep

%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Sys/Hostname/*
%{_mandir}/*/*