%define upstream_name    Sys-Syscall
%define upstream_version 0.25

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Perl module to access system calls that Perl doesn't normally provide access to
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sys/Sys-Syscall-%{upstream_version}.tar.gz
Patch2:         Sys-Syscall-0.25-Add-aarch64-support.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Use epoll, sendfile, from Perl.

%prep
%autosetup -p1 -n Sys-Syscall-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES META.yml MYMETA.yml
%{perl_vendorlib}/*
%{_mandir}/man3/*
