%define upstream_name    Task-Dist-Zilla
%define upstream_version 1.111681

%global __requires_exclude perl\\(Dist::Zilla::PluginBundle::JQUELIN\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Task to install dist-zilla and all its plugins
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Task/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::App::Command::configure_CSJEWELL)
BuildRequires: perl(Dist::Zilla::App::Command::cover)
BuildRequires: perl(Dist::Zilla::App::Command::debc)
BuildRequires: perl(Dist::Zilla::App::Command::debi)
BuildRequires: perl(Dist::Zilla::App::Command::debrelease)
BuildRequires: perl(Dist::Zilla::App::Command::debuild)
BuildRequires: perl(Dist::Zilla::App::Command::perltidy)
BuildRequires: perl(Dist::Zilla::App::Command::podpreview)
BuildRequires: perl(Dist::Zilla::App::Command::pot)
BuildRequires: perl(Dist::Zilla::App::Command::xtest)
BuildRequires: perl(Dist::Zilla::Plugin::ApacheTest)
BuildRequires: perl(Dist::Zilla::Plugin::ApocalypseTests)
BuildRequires: perl(Dist::Zilla::Plugin::AppendExternalData)
BuildRequires: perl(Dist::Zilla::Plugin::ArchiveRelease)
BuildRequires: perl(Dist::Zilla::Plugin::AssertOS)
BuildRequires: perl(Dist::Zilla::Plugin::Author::KENTNL::DistINI)
BuildRequires: perl(Dist::Zilla::Plugin::Authority)
BuildRequires: perl(Dist::Zilla::Plugin::AutoMetaResources)
BuildRequires: perl(Dist::Zilla::Plugin::AutoVersion::Relative)
BuildRequires: perl(Dist::Zilla::Plugin::BeJROCKWAY)
BuildRequires: perl(Dist::Zilla::Plugin::Bootstrap::lib)
BuildRequires: perl(Dist::Zilla::Plugin::Bugtracker)
BuildRequires: perl(Dist::Zilla::Plugin::BuildFile)
BuildRequires: perl(Dist::Zilla::Plugin::BumpVersionFromGit)
BuildRequires: perl(Dist::Zilla::Plugin::CPANChangesTests)
BuildRequires: perl(Dist::Zilla::Plugin::CSJEWELL::AuthorTest)
BuildRequires: perl(Dist::Zilla::Plugin::CSJEWELL::BeforeBuild)
BuildRequires: perl(Dist::Zilla::Plugin::CSJEWELL::DotFileFix)
BuildRequires: perl(Dist::Zilla::Plugin::CSJEWELL::FTPUploadToOwnSite)
BuildRequires: perl(Dist::Zilla::Plugin::CSJEWELL::SubversionDist)
BuildRequires: perl(Dist::Zilla::Plugin::CSJEWELL::VersionGetter)
BuildRequires: perl(Dist::Zilla::Plugin::Catalyst)
BuildRequires: perl(Dist::Zilla::Plugin::Catalyst::New)
BuildRequires: perl(Dist::Zilla::Plugin::ChangelogFromGit)
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangeLog)
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangesHasContent)
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangesTests)
BuildRequires: perl(Dist::Zilla::Plugin::CheckExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::CheckPrereqsIndexed)
BuildRequires: perl(Dist::Zilla::Plugin::CompileTests)
BuildRequires: perl(Dist::Zilla::Plugin::Conflicts)
BuildRequires: perl(Dist::Zilla::Plugin::ConsistentVersionTest)
BuildRequires: perl(Dist::Zilla::Plugin::CopyFilesFromBuild)
BuildRequires: perl(Dist::Zilla::Plugin::CopyMakefilePLFromBuild)
BuildRequires: perl(Dist::Zilla::Plugin::CopyReadmeFromBuild)
BuildRequires: perl(Dist::Zilla::Plugin::CopyTo)
BuildRequires: perl(Dist::Zilla::Plugin::CriticTests)
BuildRequires: perl(Dist::Zilla::Plugin::CustomLicense)
BuildRequires: perl(Dist::Zilla::Plugin::Deb::VersionFromChangelog)
BuildRequires: perl(Dist::Zilla::Plugin::DistManifestTests)
BuildRequires: perl(Dist::Zilla::Plugin::Doppelgaenger)
BuildRequires: perl(Dist::Zilla::Plugin::DualBuilders)
BuildRequires: perl(Dist::Zilla::Plugin::DualLife)
BuildRequires: perl(Dist::Zilla::Plugin::DynamicManifest)
BuildRequires: perl(Dist::Zilla::Plugin::EOLTests)
BuildRequires: perl(Dist::Zilla::Plugin::FatPacker)
BuildRequires: perl(Dist::Zilla::Plugin::FileKeywords)
BuildRequires: perl(Dist::Zilla::Plugin::FileKeywords::Standard)
BuildRequires: perl(Dist::Zilla::Plugin::FindDirByRegex)
BuildRequires: perl(Dist::Zilla::Plugin::GatherFromManifest)
BuildRequires: perl(Dist::Zilla::Plugin::Git)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Check)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Commit)
BuildRequires: perl(Dist::Zilla::Plugin::Git::CommitBuild)
BuildRequires: perl(Dist::Zilla::Plugin::Git::DescribeVersion)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Init)
BuildRequires: perl(Dist::Zilla::Plugin::Git::NextVersion)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Push)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Tag)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Tag::ForRelease)
BuildRequires: perl(Dist::Zilla::Plugin::GitFmtChanges)
BuildRequires: perl(Dist::Zilla::Plugin::GitHub)
BuildRequires: perl(Dist::Zilla::Plugin::GitHub::Create)
BuildRequires: perl(Dist::Zilla::Plugin::GitHub::Meta)
BuildRequires: perl(Dist::Zilla::Plugin::GitHub::Update)
BuildRequires: perl(Dist::Zilla::Plugin::GitObtain)
BuildRequires: perl(Dist::Zilla::Plugin::GitVersionCheckCJM)
BuildRequires: perl(Dist::Zilla::Plugin::GithubMeta)
BuildRequires: perl(Dist::Zilla::Plugin::HasVersionTests)
BuildRequires: perl(Dist::Zilla::Plugin::Homepage)
BuildRequires: perl(Dist::Zilla::Plugin::Inject)
BuildRequires: perl(Dist::Zilla::Plugin::InlineFilesMARCEL)
BuildRequires: perl(Dist::Zilla::Plugin::InstallGuide)
BuildRequires: perl(Dist::Zilla::Plugin::InstallRelease)
BuildRequires: perl(Dist::Zilla::Plugin::JSAN)
BuildRequires: perl(Dist::Zilla::Plugin::JSAN::Bundle)
BuildRequires: perl(Dist::Zilla::Plugin::JSAN::GatherDir::Template)
BuildRequires: perl(Dist::Zilla::Plugin::JSAN::GitHubDocs)
BuildRequires: perl(Dist::Zilla::Plugin::JSAN::InstallInstructions)
BuildRequires: perl(Dist::Zilla::Plugin::JSAN::Minter)
BuildRequires: perl(Dist::Zilla::Plugin::JSAN::NPM)
BuildRequires: perl(Dist::Zilla::Plugin::JSAN::NPM::Publish)
BuildRequires: perl(Dist::Zilla::Plugin::JSAN::PkgVersion)
BuildRequires: perl(Dist::Zilla::Plugin::JSAN::ReadmeFromMD)
BuildRequires: perl(Dist::Zilla::Plugin::JSAN::StaticDir)
BuildRequires: perl(Dist::Zilla::Plugin::KwaliteeTests)
BuildRequires: perl(Dist::Zilla::Plugin::LatestPrereqs)
BuildRequires: perl(Dist::Zilla::Plugin::LocaleMsgfmt)
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker::Awesome)
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker::SkipInstall)
BuildRequires: perl(Dist::Zilla::Plugin::MatchManifest)
BuildRequires: perl(Dist::Zilla::Plugin::Mercurial)
BuildRequires: perl(Dist::Zilla::Plugin::Mercurial::Check)
BuildRequires: perl(Dist::Zilla::Plugin::Mercurial::Push)
BuildRequires: perl(Dist::Zilla::Plugin::Mercurial::Tag)
BuildRequires: perl(Dist::Zilla::Plugin::MetaData::BuiltWith)
BuildRequires: perl(Dist::Zilla::Plugin::MetaData::BuiltWith::All)
BuildRequires: perl(Dist::Zilla::Plugin::MetaProvides)
BuildRequires: perl(Dist::Zilla::Plugin::MetaProvides::Class)
BuildRequires: perl(Dist::Zilla::Plugin::MetaProvides::FromFile)
BuildRequires: perl(Dist::Zilla::Plugin::MetaProvides::Package)
BuildRequires: perl(Dist::Zilla::Plugin::MetaResourcesFromGit)
BuildRequires: perl(Dist::Zilla::Plugin::Metadata)
BuildRequires: perl(Dist::Zilla::Plugin::MinimumPerl)
BuildRequires: perl(Dist::Zilla::Plugin::MinimumVersionTests)
BuildRequires: perl(Dist::Zilla::Plugin::ModuleBuild::Custom)
BuildRequires: perl(Dist::Zilla::Plugin::ModuleBuild::XSOrPP)
BuildRequires: perl(Dist::Zilla::Plugin::ModuleInstall)
BuildRequires: perl(Dist::Zilla::Plugin::NoAutomatedTesting)
BuildRequires: perl(Dist::Zilla::Plugin::NoSmartCommentsTests)
BuildRequires: perl(Dist::Zilla::Plugin::NoTabsTests)
BuildRequires: perl(Dist::Zilla::Plugin::OSPrereqs)
BuildRequires: perl(Dist::Zilla::Plugin::OurPkgVersion)
BuildRequires: perl(Dist::Zilla::Plugin::PerlTidy)
BuildRequires: perl(Dist::Zilla::Plugin::PickyPodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::PodLinkTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodLoom)
BuildRequires: perl(Dist::Zilla::Plugin::PodPurler)
BuildRequires: perl(Dist::Zilla::Plugin::PodSpellingTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::PortabilityTests)
BuildRequires: perl(Dist::Zilla::Plugin::Prepender)
BuildRequires: perl(Dist::Zilla::Plugin::ProgCriticTests)
BuildRequires: perl(Dist::Zilla::Plugin::PurePerlTests)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeAnyFromPod)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeFromPod)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeMarkdownFromPod)
BuildRequires: perl(Dist::Zilla::Plugin::ReportPhase)
BuildRequires: perl(Dist::Zilla::Plugin::ReportVersions)
BuildRequires: perl(Dist::Zilla::Plugin::ReportVersions::Tiny)
BuildRequires: perl(Dist::Zilla::Plugin::Repository)
BuildRequires: perl(Dist::Zilla::Plugin::RequiresExternal)
BuildRequires: perl(Dist::Zilla::Plugin::Rsync)
BuildRequires: perl(Dist::Zilla::Plugin::Run)
BuildRequires: perl(Dist::Zilla::Plugin::Run::AfterBuild)
BuildRequires: perl(Dist::Zilla::Plugin::Run::AfterRelease)
BuildRequires: perl(Dist::Zilla::Plugin::Run::BeforeBuild)
BuildRequires: perl(Dist::Zilla::Plugin::Run::BeforeRelease)
BuildRequires: perl(Dist::Zilla::Plugin::Run::Release)
BuildRequires: perl(Dist::Zilla::Plugin::Run::Role::Runner)
BuildRequires: perl(Dist::Zilla::Plugin::SVK)
BuildRequires: perl(Dist::Zilla::Plugin::SVK::Check)
BuildRequires: perl(Dist::Zilla::Plugin::SVK::Commit)
BuildRequires: perl(Dist::Zilla::Plugin::SVK::Push)
BuildRequires: perl(Dist::Zilla::Plugin::SVK::Tag)
BuildRequires: perl(Dist::Zilla::Plugin::Signature)
BuildRequires: perl(Dist::Zilla::Plugin::StaticVersion)
BuildRequires: perl(Dist::Zilla::Plugin::SubmittingPatches)
BuildRequires: perl(Dist::Zilla::Plugin::Subversion)
BuildRequires: perl(Dist::Zilla::Plugin::Subversion::ReleaseDist)
BuildRequires: perl(Dist::Zilla::Plugin::Subversion::Tag)
BuildRequires: perl(Dist::Zilla::Plugin::SurgicalPkgVersion)
BuildRequires: perl(Dist::Zilla::Plugin::SurgicalPodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::SvnObtain)
BuildRequires: perl(Dist::Zilla::Plugin::SynopsisTests)
BuildRequires: perl(Dist::Zilla::Plugin::TaskWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::TemplateCJM)
BuildRequires: perl(Dist::Zilla::Plugin::TemplateFiles)
BuildRequires: perl(Dist::Zilla::Plugin::Twitter)
BuildRequires: perl(Dist::Zilla::Plugin::UnusedVarsTests)
BuildRequires: perl(Dist::Zilla::Plugin::UpdateGitHub)
BuildRequires: perl(Dist::Zilla::Plugin::VersionFromModule)
BuildRequires: perl(Dist::Zilla::Plugin::WSDL)
BuildRequires: perl(Dist::Zilla::PluginBundle::AJGB)
BuildRequires: perl(Dist::Zilla::PluginBundle::AVAR)
BuildRequires: perl(Dist::Zilla::PluginBundle::Author::DOHERTY)
BuildRequires: perl(Dist::Zilla::PluginBundle::Author::KENTNL)
BuildRequires: perl(Dist::Zilla::PluginBundle::Author::KENTNL::Lite)
BuildRequires: perl(Dist::Zilla::PluginBundle::Author::LESPEA)
BuildRequires: perl(Dist::Zilla::PluginBundle::Author::OLIVER)
BuildRequires: perl(Dist::Zilla::PluginBundle::BINGOS)
BuildRequires: perl(Dist::Zilla::PluginBundle::CEBJYRE)
BuildRequires: perl(Dist::Zilla::PluginBundle::Author::CJM)
BuildRequires: perl(Dist::Zilla::PluginBundle::CSJEWELL)
BuildRequires: perl(Dist::Zilla::PluginBundle::DAGOLDEN)
BuildRequires: perl(Dist::Zilla::PluginBundle::DANIELP)
BuildRequires: perl(Dist::Zilla::PluginBundle::DOY)
BuildRequires: perl(Dist::Zilla::PluginBundle::FAYLAND)
BuildRequires: perl(Dist::Zilla::PluginBundle::FLORA)
BuildRequires: perl(Dist::Zilla::PluginBundle::GENEHACK)
BuildRequires: perl(Dist::Zilla::PluginBundle::GETTY)
BuildRequires: perl(Dist::Zilla::PluginBundle::Git)
BuildRequires: perl(Dist::Zilla::PluginBundle::GitHub)
BuildRequires: perl(Dist::Zilla::PluginBundle::GopherRepellent)
BuildRequires: perl(Dist::Zilla::PluginBundle::IDOPEREL)
BuildRequires: perl(Dist::Zilla::PluginBundle::Author::JQUELIN)
BuildRequires: perl(Dist::Zilla::PluginBundle::JROCKWAY)
BuildRequires: perl(Dist::Zilla::PluginBundle::MARCEL)
BuildRequires: perl(Dist::Zilla::PluginBundle::MSCHOUT)
BuildRequires: perl(Dist::Zilla::PluginBundle::Mercurial)
BuildRequires: perl(Dist::Zilla::PluginBundle::NIGELM)
BuildRequires: perl(Dist::Zilla::PluginBundle::NUFFIN)
BuildRequires: perl(Dist::Zilla::PluginBundle::PDONELAN)
BuildRequires: perl(Dist::Zilla::PluginBundle::PadrePlugin)
BuildRequires: perl(Dist::Zilla::PluginBundle::RBO)
BuildRequires: perl(Dist::Zilla::PluginBundle::RBUELS)
BuildRequires: perl(Dist::Zilla::PluginBundle::RJBS)
BuildRequires: perl(Dist::Zilla::PluginBundle::ROKR)
BuildRequires: perl(Dist::Zilla::PluginBundle::ROKR::Basic)
BuildRequires: perl(Dist::Zilla::PluginBundle::RTHOMPSON)
BuildRequires: perl(Dist::Zilla::PluginBundle::Rakudo)
BuildRequires: perl(Dist::Zilla::PluginBundle::SVK)
BuildRequires: perl(Dist::Zilla::PluginBundle::TestingMania)
BuildRequires: perl(Dist::Zilla::PluginBundle::WOLVERIAN)
BuildRequires: perl(Dist::Zilla::PluginBundle::YANICK)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This task is merely a placeholder to pull all dist-zilla related modules in
one go.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
