%define upstream_name    Tcl
%define upstream_version 1.53

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Complete access to Tcl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: pkgconfig(tcl)
BuildRequires: perl-devel
%description
The Tcl extension module gives access to the Tcl library with functionality
and interface similar to the C functions of Tcl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -fr tcl-core

%build
%__perl Makefile.PL INSTALLDIRS=vendor \
	--nousestubs 
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorarch}/*