%define upstream_name Template-Multilingual
%define upstream_version 1.00

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 11
Summary:	Multilingual templates for Template Toolkit
License:	GPL or Artistic
Group:		Development/Perl
Source:		https://cpan.metacpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz
Url:		https://metacpan.org/release/%{upstream_name}
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Template)
BuildArch:	noarch


%description
This subclass of Template Toolkit's Template class supports multilingual
templates: templates that contain text in several languages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot}

%check
./Build test

%files
%doc Changes README
%{perl_vendorlib}/Template/Multilingual.pm
%{perl_vendorlib}/Template/Multilingual
%{_mandir}/*/*
