%define upstream_name    Template-Plugin-MultiMarkdown
%define upstream_version 0.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    TT plugin for Text::MultiMarkdown
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Template) >= 2.160.0
BuildRequires: perl(Text::MultiMarkdown)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Template::Plugin::MultiMarkdown is a plugin for TT, which will format your
text with MultiMarkdown Style.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*