%define upstream_name    Template-Plugin-Number-Format
%define upstream_version 1.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Plugin/filter interface to Number::Format
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz


Buildrequires:  perl(Number::Format)
Buildrequires:  perl(Template)
BuildArch:      noarch


%description
Template::Plugin::Number::Format makes the number-munging grooviness of
Number::Format available to your templates. It is used like a plugin, but
installs filters into the current context.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc META.yml
%{perl_vendorlib}/Template
%{_mandir}/*/*