%define upstream_name    Term-ANSIScreen
%define upstream_version 1.50

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Term::ANSIScreen - Terminal control using ANSI escape sequences
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(inc::Module::Package)
BuildArch:  noarch

%description
Term::ANSIScreen, a Term::ANSIColor clone with supports for
screen mode, cursor control and keyboard mapping sequences.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -f t/0-signature.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README SIGNATURE
%{perl_vendorlib}/Term/ANSIScreen.pm
%{_mandir}/*/*
