%define upstream_name    Term-ReadLine-TTYtter
%define upstream_version 1.4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    ReadLine support for TTytter
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
A Term::ReadLine driver based on Term::ReadLine::Perl, with special features
for microblogging and the TTYtter client (q.v).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
#make test

%install
%make_install

%files
%doc CHANGES META.yml README
#{_mandir}/man3/*
%perl_vendorlib/*


