%define upstream_name    Term-StatusBar
%define upstream_version 1.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Dynamic progress bar
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Term::Size)

BuildArch: noarch


%description
Term::StatusBar provides an easy way to create a terminal status bar, much
like those found in a graphical environment. Term::Size is used to ensure
the bar does not extend beyond the terminal's width. All output is sent to
STDOUT by default.

%prep
%setup -q -n %{upstream_name}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README
%{_mandir}/man3/*
%perl_vendorlib/*


