%define upstream_name    Test-CPAN-Changes-ReallyStrict
%define upstream_version 1.000004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Object Oriented Guts to ::ReallyStrict
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Changes)
BuildRequires: perl(Class::Tiny)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This module is for people who want their Changes file to be 1:1 Identical
to how it would be if they'd generated it programmatically with
CPAN::Changes.

This is not for the faint of heart, and will whine about even minor changes
of white-space.

You are also at upstream's mercy as to what a changes file looks like, and
in order to keep this test happy, you'll have to update your whole changes
file if upstream changes how they format things.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc INSTALL.SKIP LICENSE Changes README META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*


