%define upstream_name    Test-Common
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Test::Common support for Module::Install
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd) >= 0.311.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Copy) >= 2.140.0
BuildRequires: perl(File::Share) >= 0.10.0
BuildRequires: perl(IO::All) >= 0.410.0
BuildRequires: perl(Mouse) >= 0.930.0
BuildRequires: perl(MouseX::App::Cmd) >= 0.80.0
BuildRequires: perl(Template::Toolkit::Simple) >= 0.130.0
BuildRequires: perl(YAML::XS) >= 0.350.0
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*