%define upstream_name    Test-CompanionClasses
%define upstream_version 1.101370

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Test companion class for the test companion class engine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor::Complex)
BuildRequires: perl(Data::Inherited)
BuildRequires: perl(English)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(constant)
BuildRequires: perl(parent)
BuildArch: noarch

%description
This is a very basic frontend for the Test::CompanionClasses::Engine
manpage which you can use for your distribution test files (in 't/').

The intention is that you use it as shown in the the /SYNOPSIS manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml META.json INSTALL README
%{_mandir}/man3/*
%perl_vendorlib/*


