%define upstream_name    Test-Email
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Test Email Contents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Entity)
BuildRequires: perl(MIME::Parser)
BuildRequires: perl(Mail::POP3Client)
BuildRequires: perl(Mail::Sendmail)
BuildRequires: perl(Test::Builder)
BuildArch: noarch

%description
Please note that this is ALPHA CODE. As such, the interface is likely to
change.

This module can help you to create automated tests of email delivered to a
POP3 account.

Messages retrieved from the server but not yet matched by a test will be
cached until either that message is the first to pass a test, or is
returned by '$pop3->get_email()'. Messages returned are the Test::Email
manpage objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


