%define upstream_name    Test-File-Contents
%define upstream_version 0.242

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Test routines for examining the contents of files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::Builder) >= 0.700.0
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::Builder::Tester::Color)
BuildRequires: perl(Test::More) >= 0.700.0
BuildRequires: perl(Text::Diff) >= 0.350.0
BuildArch:  noarch

%description
Test routines for examining the contents of files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*