%define upstream_name    Test-Most
%define upstream_version 0.38

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Most commonly needed test functions and features
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exception::Class) >= 1.140.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Deep) >= 0.119.0
BuildRequires: perl(Test::Differences) >= 0.640.0
BuildRequires: perl(Test::Exception) >= 0.430.0
BuildRequires: perl(Test::Harness) >= 3.350.0
BuildRequires: perl(Test::More) >= 1.302.47
BuildRequires: perl(Test::Warn) >= 0.300.0
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*