%define upstream_name    Test-Run-Plugin-ColorSummary
%define upstream_version 0.0203

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Color the summary in Test::Run::CmdLine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Run::CmdLine) >= 0.11.100
BuildRequires: perl(Test::Run::CmdLine::Trap::ProveApp)
BuildRequires: perl(Test::Run::Core) >= 0.11.800
BuildRequires: perl(Test::Run::Obj)
BuildRequires: perl(Test::Run::Trap::Obj)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%buildroot

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*