%define upstream_name    Test-Sys-Info
%define upstream_version 0.23

Summary:    Centralized test suite for Sys::Info
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
BuildArch:  noarch
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SYS/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
Requires:   perl-Sys-Info-Base
%description
Perl centralized test suite for Sys::Info.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL_USE_UNSAFE_INC=1
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/*
%{_mandir}/man3/*