%define upstream_name Test-WWW-Mechanize-CGI
%define upstream_version 0.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Test CGI applications with Test::WWW::Mechanize
Url:        https://metacpan.org/release/%{upstream_name}
Source:     https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::WWW::Mechanize)
BuildRequires: perl(WWW::Mechanize::CGI)
BuildRequires: perl(CGI)
BuildArch: noarch

%description
Provides a convenient way of testing CGI applications without a external
daemon.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Test
