%define upstream_name    Test-YAML-Valid
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Test for valid YAML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(inc::Module::Install)
BuildRequires:  perl(YAML)
BuildRequires:  perl(YAML::Syck)
BuildRequires:	perl(YAML::XS)
Requires:       perl(YAML)
BuildArch:      noarch


%description
This module lets you easily test the validity of YAML.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes README META.yml
%{perl_vendorlib}/Test
%{_mandir}/*/*
