%define upstream_name Test-YAML
%define upstream_version 1.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Testing Module for YAML Implementations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Base) >= 0.890.0
BuildArch:  noarch

%description
Test::YAML is a subclass of Test::Base with YAML specific support.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/test-yaml
%{_mandir}/man3/*
%{perl_vendorlib}/*