%define upstream_name    Test2-Plugin-NoWarnings
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Fail if tests warn
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test2/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IPC::Run3)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Test2) >= 1.302.167
BuildRequires: perl(Test2::API)
BuildRequires: perl(Test2::Event)
BuildRequires: perl(Test2::Require::Module)
BuildRequires: perl(Test2::Util::HashBase)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Test::More) >= 1.302.15
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
An event representing an unwanted warning. This is treated as a failure.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*