%define upstream_name    Text-Emoticon
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Factory class for Yahoo! and MSN emoticons
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildRequires: perl(UNIVERSAL::require)
BuildArch: noarch


%description
Text::Emoticon is a factory class to dispatch MSN/YIM emoticon set. It's
made to become handy to be used in other applications like Kwiki/MT
plugins.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes
%{_mandir}/man3/*
%perl_vendorlib/*


