%define upstream_name       Text-Query
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9
Summary:	Query processing framework
License:	GPL or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source:     https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:	noarch


%description
This module provides an object that matches a data source against a query
expression.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
make test

%files
%doc ChangeLog README
%{perl_vendorlib}/Text
%{_mandir}/*/*
