%define upstream_name    Text-Shellwords
%define upstream_version 1.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Thin wrapper around shellwords.pl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.bz2


BuildArch:      noarch


%description
This used to be a wrapper around shellwords.pl, but has now been superseded by
Text::ParseWords. Use that module instead. If you use this module, it will
simply report the shellwords() function from Text::ParseWords.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Text
%{_mandir}/*/*