%define upstream_name   Text-Tabs+Wrap
%define upstream_version 2013.0523

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Wraps lines to make simple paragraphs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Text::Tabs does about what the unix utilities expand(1) and unexpand(1) do.
Given a line with tabs in it, expand will replace the tabs with the
appropriate number of spaces. Given a line with or without tabs in it,
unexpand will add tabs when it can save bytes by doing so (just like
'unexpand -a'). Invisible compression with plain ASCII!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CHANGELOG META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
