%define upstream_name    Text-Unaccent
%define upstream_version 1.08

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 18

Summary:	Remove accents from a string
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/dist/%{upstream_name}/
Source0:	https://cpan.metacpan.org/modules/by-module/Text//%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		Text-Unaccent-size_t.patch

BuildRequires:  perl-devel


%description
A module that remove accents from a string. unac_string converts the input
string from the specified charset to UTF-16 and call unac_string_utf16 to
return the unaccented equivalent. The conversion from and to UTF-16 is done
with iconv(1).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS"

%check
make test

%install
%make_install

%files
%doc README ChangeLog
%{_mandir}/*/*
%{perl_vendorarch}/*
