%define upstream_name    Tie-Cycle
%define upstream_version 1.231

%{?perl_default_filter}

Name:       perl-Tie-Cycle
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Cycle through a list of values via a scalar
License:    Artistic 2.0
Group:      Development/Perl
Url:        https://metacpan.org/release/Tie-Cycle
Source0:    https://cpan.metacpan.org/authors/id/B/BD/BDFOY/Tie-Cycle-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Test::More) >= 1.0.0
BuildRequires: perl(version) >= 0.860.0
BuildRequires: coreutils
BuildRequires: make
BuildRequires: perl
# Run-time

# Tests

# Optional tests

%description
This Perl module can be used to go through a list over and over again.
Once you get to the end of the list, you go back to the beginning.  You
do not have to worry about any of this since the magic of tie does that
for you.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/*
%{_mandir}/man3/*