%define upstream_name Tie-LogFile
%define upstream_version 0.1

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Interface for maintaining a log
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Tie/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl-devel
BuildArch:	noarch

%description
Tie::LogFile gives a easy interface for maintaining a well formatted log. Using
user tweakable sprintf like tags, Tie::LogFile is flexible, and probably a
little overkill for keeping a log.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc README Changes
%{perl_vendorlib}/Tie
%{_mandir}/man3/Tie*
