%define upstream_name    Tie-ToObject
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Tie to an existing object
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tie/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(Test::use::ok)
BuildArch:      noarch


%description
While "tie" in perldoc allows tying to an arbitrary object, the class in
question must support this in it's implementation of TIEHASH, TIEARRAY or
whatever.

This class provides a very tie constructor that simply returns the object it
was given as it's first argument.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Tie