%define upstream_name    Types-UUID
%define upstream_version 0.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Type constraints for UUIDs
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Types/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::TypeTiny)
BuildRequires: perl(Type::Tiny)
BuildRequires: perl(UUID::Tiny)
BuildArch: noarch

%description
the Types::UUID manpage is a type constraint library suitable for use with
the Moo manpage/the Moose manpage attributes, the Kavorka manpage sub
signatures, and so forth.

Type
    Currently the module only provides one type constraint, which is
    exported by default.

    * 'Uuid'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


