%define upstream_name    URI-Simple
%define upstream_version 1.00

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Simple way to parse uri
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/URI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
This module is a direct port of javascript parseURI regex by Steven
Levithan Please See https://blog.stevenlevithan.com/archives/parseuri

This module will attempts to split URIs according to
https://en.wikipedia.org/wiki/URI_scheme

Methods;
    * path

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files

%{_mandir}/man3/*
%perl_vendorlib/*


