%define upstream_name    URL-Encode-XS
%define upstream_version 0.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    XS implementation of URL::Encode
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/URL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Module::Install)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(URL::Encode) >= 0.30.0
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%description
The main the URL::Encode manpage package will use this package
automatically if it can find it. Do not use this package directly, use the
Url:        :Encode manpage instead.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*
