%define upstream_name    Unix-ConfigFile
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Unix::ConfigFile module for Perl
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Unix/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		fix-build.diff

BuildArch:	noarch


%description
Easy access to data in many formats

%prep
%setup -q -n  %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{_prefix}

%check
%make_build test

%install
%make_install

%files
%doc README Changes
%{_mandir}/*/*
%dir %{perl_vendorlib}/Unix
%{perl_vendorlib}/Unix/*.pm
