%define upstream_name    Unix-Processors
%define upstream_version 2.046

Summary:    Interface to processor (CPU) information
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/UNIX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test) >= 1.0.0
BuildRequires: perl(warnings) >= 1.0.0
BuildRequires: perl-devel
%description
Perl interface to processor (CPU) information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc COPYING Changes META.yml MYMETA.yml README
%{perl_vendorarch}/*
%{_mandir}/man3/*
