%define	upstream_name    User-Identity
%define upstream_version 1.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    %{upstream_name} CPAN Perl module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/User-Identity
Source0:    https://cpan.metacpan.org/authors/id/M/MA/MARKOV/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Hash::Ordered) >= 0.14.0
BuildArch:  noarch

%description
This is the User Identity CPAN Perl module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Mail/*
%{perl_vendorlib}/User/*