%define upstream_name VFSsimple-Drv-File
%define upstream_version 0.03

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6
License:	WTFPL
Group:		Development/Perl
Summary:	A VFSsimple implementation over local files
URL:		https://metacpan.org/release/%{upstream_name}
Source:		https://cpan.metacpan.org/modules/by-module/DBI/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl(URI)
BuildRequires:  perl(VFSsimple)
BuildArch: noarch

%description
This module provide access method for VFSsimple module to access to files
on local filesystem.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%make_build test

%install
%make_install

%files
%doc META.yml
%{perl_vendorlib}/*
%{_mandir}/*/*
