%define upstream_name VFSsimple
%define upstream_version 0.03

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6
License:	WTFPL
Group:		Development/Perl
Summary:	A library to magically access to file w/o carry the method
URL:		https://metacpan.org/release/%{upstream_name}
Source:		https://cpan.metacpan.org/modules/by-module/DBI/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl(URI)
BuildArch: noarch


%description
A library to magically access to file w/o carry the method

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml
%_bindir/*
%{perl_vendorlib}/*
%{_mandir}/*/*
