%define upstream_name    WWW-Mechanize-Sleepy
%define upstream_version 0.7

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	WWW::Mechanize::Sleepy - A Sleepy Mechanize Agent
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch


%description
Sometimes when testing the behavior of a webserver it is important
to be able to space out your requests in order to simulate a
person reading, thinking (or sleeping) at the keyboard.

WWW::Mechanize::Sleepy subclasses WWW::Mechanize to provide pauses
between your server requests. Use it just like you would use
WWW::Mechanize.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

# make test don't work...
#make test

%install
%make_install

%files
%doc Changes README META.yml
%{perl_vendorlib}/WWW/Mechanize/Sleepy.pm
%{_mandir}/*/*