%define upstream_name    WWW-Pastebin-PastebinCa-Create
%define upstream_version 0.004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

License:    GPL or Artistic
Group:      Development/Perl
Summary:    create new pastes on http://pastebin.ca/ from Perl
Source0:     https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz
Url:        https://metacpan.org/release/%{upstream_name}

BuildRequires: perl(Carp) >= 1.40.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI) >= 1.350.0
BuildRequires: perl(WWW::Mechanize) >= 1.340.0
BuildRequires: perl(overload) >= 1.40.0
BuildRequires: perl-devel
# reported missing by pterjan:
Requires:   perl(Class::Data::Accessor)
BuildArch:  noarch

%description

The module provides means of pasting large texts into the
http://pastebin.ca/ manpage pastebin site.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# skip test, requires network
#make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*