%define upstream_name WWW-Search-Yahoo
%define upstream_version 2.415

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 12
License:	GPL or Artistic
Summary:	Backend for searching www.yahoo.com
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl(I18N::Charset)
BuildArch:	noarch

%description
This class is a Yahoo specialization of WWW::Search. It handles
making and interpreting Yahoo searches https://www.yahoo.com.

This class exports no public interface; all interaction should
be done through WWW::Search objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl -I. Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
# china is not responding and the tests take forever to finish...
#make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/WWW
%{_mandir}/*/*
