%define upstream_name	 WebService-FreeDB
%define upstream_version 0.79

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    FreeDB search by keyword	
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WebService/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP::UserAgent) >= 1.320.0
BuildRequires: perl(Test::More) >= 0.450.0
BuildArch:  noarch

%description
WebService-FreeDB is a perl module for retrieving entries from FreeDB 
by searching for keywords (artist,track,album,rest) 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
%make_build

%check
# %{__make} test

%install
%make_install 

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml README SIGNATURE example
%{_mandir}/man3/*
%{perl_vendorlib}/WebService