%define upstream_name    Win32-Locale
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Get the current MSWin locale or language
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Win32/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
This library provides some simple functions allowing Perl under MSWin to
ask what the current locale/language setting is. (Yes, MSWin conflates
locales and languages, it seems; and the way it's conflated is even
stranger after MSWin98.)

Note that you should be able to safely use this module under any OS; the
functions just won't be able to access any current locale value.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc ChangeLog README
%{_mandir}/man3/*
%perl_vendorlib/*
