%define upstream_name 	 XML-Driver-HTML
%define upstream_version 0.06

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 10

Summary:	SAX Driver for non well-formed HTML
License: 	GPL
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch: noarch


%description
XML::Driver::HTML is a SAX Driver for HTML. There is no need
for the HTML input to be well formed, as XML::Driver::HTML
is generating its SAX events by walking a HTML::TreeBuilder object.
The simplest kind of use, is a filter from HTML to XHTML
using XML::Handler::YAWriter as a SAX Handler.

%prep
%setup -q  -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build


%install
%make_install

find %{buildroot} -name "perllocal.pod" -delete

%files
%doc README MANIFEST
%{perl_vendorlib}/XML/Driver/HTML.pm
%_mandir/man1/html2xhtml.*
%_mandir/man3/XML::Driver::HTML.*
%_bindir/html2xhtml
