%define	upstream_name	 XML-Dumper
%define	upstream_version 0.81

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Perl module for dumping Perl objects from/to XML
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(Compress::Zlib)
BuildRequires:	perl(XML::Parser)
BuildArch: 	noarch


%description
Perl module for dumping Perl objects from/to XML.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/XML