%define upstream_name 	 XML-EP
%define upstream_version 0.01

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 10

Summary:	%{upstream_name} perl module
License: 	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

Requires:	perl-XML-Parser 
Requires:   perl-XML-XSLT 
Buildarch: noarch


%description
%{upstream_name} attempts to follow the Cocoon ideas and principles, 
but in a Perl environment.

%prep
%setup -q  -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
%make_install

%files 
%doc ChangeLog README MANIFEST examples
%_bindir/*
%{perl_vendorlib}/XML/*.pm
%{perl_vendorlib}/XML/EP/*
%{_mandir}/*/*