%define upstream_name    XML-Filter-XInclude
%define upstream_version 1.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    XInclude as a SAX Filter
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(XML::SAX)
BuildRequires: perl(XML::SAX::Writer)
BuildRequires: perl(URI)
BuildArch: noarch

%description
This module implements a simple SAX filter that provides XInclude support.
It does _NOT_ support XPointer.

XInclude is very simple, just include something like this in your XML
document:

  <xi:include href="foo.xml" 
    xmlns:xi="http://www.w3.org/2001/XInclude"/>

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*


