%define upstream_name    XML-Grammar-Fortune
%define upstream_version 0.1000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Convert the FortunesXML grammar to plaintext
License:    MIT
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(Fatal)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(MooX)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::XML::Ordered)
BuildRequires: perl(Text::Format)
BuildRequires: perl(XML::GrammarBase::Role::RelaxNG)
BuildRequires: perl(XML::GrammarBase::Role::XSLT)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::LibXSLT)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*