%define upstream_name    XML-Handler-YAWriter
%define upstream_version 0.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	XML::Handler::YAWriter perl module
License:	GPL
Group:		Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    ftp://ftp.cpan.org/pub/CPAN/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-libxml-perl >= 0.06
BuildArch:	noarch


%description
YAWriter implements Yet Another XML::Handler::Writer. The reasons for
this one are that I needed a flexible escaping technique, and want
some kind of pretty printing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

find %{buildroot} -name "perllocal.pod" -delete

%files
%doc README
%{_bindir}/*
%{perl_vendorlib}/XML/Handler/*
%{_mandir}/man[13]/*
