%define upstream_name    XML-Parser-Style-EasyTree
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Parse xml to simple tree
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     XML-Parser-Style-EasyTree-0.09-fix-version-for-cpanplus.patch

BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(XML::Parser)
BuildRequires: perl(ex::lib)

BuildArch: noarch


Requires: perl(ex::lib)

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
