%define upstream_name XML-RSSLite
%define upstream_version 0.15

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6
License:	GPL+ or Artistic
Group:		Development/Perl
Summary:	Lightweight, "relaxed" RSS and XML-ish parser
URL:		https://metacpan.org/release/%{upstream_name}
Source:		https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tgz
BuildArch:	noarch

%description
Lightweight, "relaxed" RSS and XML-ish parser.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS="vendor"
%make_build

%install
%make_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec rm {} \;

%files
%doc CHANGES README
%dir %{perl_vendorlib}/XML/
%{perl_vendorlib}/XML/RSSLite.pm
%{_mandir}/man3/XML::RSSLite.3pm*
