%define upstream_name    XML-SAX-Expat-Incremental
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    XML::SAX::Expat subclass for non-blocking parsing, with XML::Parser::ExpatNB
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(XML::SAX::Expat)
BuildRequires: perl(Test::Exception)
BuildArch: noarch


%description
XML::SAX::Expat subclass for non-blocking (incremental) parsing, with 
XML::Parser::ExpatNB .


%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# test fails, key verification problem
rm -f t/dist.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml
%{perl_vendorlib}/*
%{_mandir}/man3/*