%define upstream_name XML-Smart
%define upstream_version 1.78

Summary:	A Smart, easy and powerful way to access/create XML files/data
Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 10
License: 	GPL
Url:		https://metacpan.org/release/%{upstream_name}
Group:		Development/Perl
Source0:	https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl-devel
BuildRequires:	perl(Object::MultiType)
BuildArch:	noarch

%{?perl_default_filter}


%description
This module has an easy way to access/create XML data. It's based on the HASH
tree that is made of the XML data, and enable a dynamic access to it with the
Perl syntax for Hashe and Array, without needing to care if you have a Hashe or
an Array in the tree. In other words, each point in the tree work as a Hash 
and an Array at the same time!
%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor 
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/XML/Smart
%{perl_vendorlib}/XML/Smart.pm
