%define upstream_name 	 XML-Stream
%define upstream_version 1.24

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 7

Summary:	%{upstream_name} perl module
License: 	LGPL
Group:		Development/Perl
Url:		https://www.cpan.org/
Source0:	https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Module::Build)
Buildrequires:	perl(Unicode::String)
BuildRequires:	perl(Authen::SASL)
BuildArch: noarch


%description
This module provides you with access to XML Streams.  An XML Stream
is just that.  A stream of XML over a connection between two computers.

%prep
%setup -q  -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor 
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc README CHANGES META.yml
%{_mandir}/*/*
%{perl_vendorlib}/XML/*
