%define upstream_name 	 XML-Writer-Simple
%define upstream_version 0.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    module for writing XML documents
License:    GPL+ or Artistic
Url:        https://metacpan.org/release/%{upstream_name}
Group:      Development/Perl
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::DT) >= 0.420.0
BuildRequires: perl(XML::DTDParser) >= 2.10.0
BuildRequires: perl
BuildRequires: perl(XML::Parser)
BuildRequires: perl(XML::DTDParser)
BuildRequires: perl(XML::DT)
BuildArch:  noarch

%description
XML-Writer-Simple is a simple Perl module to write XML. It takes some
ideas from CGI and applies them for the XML World.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/XML/Writer*
%{_mandir}/*/*
