%define upstream_name XMLRPC-Lite
%define upstream_version 0.717

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 10

Summary:	Client and server implementation of XML-RPC protocol
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/XMLRPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(SOAP::Lite)

BuildArch:	noarch

%description
XMLRPC::Lite is a Perl modules which provides a simple interface to the
XML-RPC protocol both on client and server side. Based on SOAP::Lite
module, it gives you access to all features and transports available in
that module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
