%define upstream_name    YAPE-Regex
%define upstream_version 4.00
%global debug_package %{nil}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    YAPE::Regex - Yet Another Parser/Extractor for Regular Expressions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/G/GS/GSULLIVAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
Yet Another Parser/Extractor for Regular Expressions

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc Changes META.yml README
%{perl_vendorlib}/YAPE/*
%{_mandir}/*/*
