%define upstream_name Youri-Media
%define upstream_version v0.2.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 16
Summary:    Abstract media class
License:    GPL or Artistic
Group:      Development/Other
Source0:    https://cpan.metacpan.org/authors/id/G/GR/GROUSSE/%{upstream_name}-%{upstream_version}.tar.bz2
Url:        https://metacpan.org/release/%{upstream_name}

BuildRequires: perl(LWP::Simple)
BuildRequires: perl(URPM)
BuildRequires: perl(Youri::Package)
BuildRequires: perl(Youri::Package::RPM::URPM)
BuildRequires: perl(version)
BuildRequires: perl(version)
Requires:   perl-version
BuildArch:  noarch

%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This class provides an uniform view over various kind of packages set.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files 
%doc ChangeLog META.yml README
%{perl_vendorlib}/Youri
%{_mandir}/man3/*
