%define upstream_name    any
%define upstream_version v0.0.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Use any modules in the list that are available
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(first)
BuildRequires: perl(version)
BuildArch: noarch

%description
Given a list of modules (see the first manpage for what arguments it can
take, ignores '-croak') it attempts to load each one.

The successful ones are in @any::module and the failed ones are in the
$any::failed hashref which is the same as $first::failed

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test || :

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


