%define upstream_name    asterisk-perl
%define upstream_version 1.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
Summary:    Asterisk modules for perl
License:    GPL or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/J/JA/JAMESGOL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(Net::Telnet)
BuildArch:  noarch

%description
perl-%{name} are modules for interfacing with the Asterisk open
source pbx system.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 examples/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make_build

%install
%make_install

%files
%doc CHANGES LICENSE META.json META.yml MYMETA.yml README TODO examples
%{perl_vendorlib}/*
%{_mandir}/man3/*