%define upstream_name autobox-Junctions
%define upstream_version 0.002

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Autoboxified junction-style operators
License:	LGPLv2
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/autobox/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(autobox)
BuildRequires:	perl(Syntax::Keyword::Junction)
BuildRequires:	perl(Test::CheckDeps)

BuildArch:	noarch

Provides:	perl(autobox::Junctions)

%description
This is a simple autoboxifying wrapper around Syntax::Keyword::Junction,
that provides array and array references with the functions provided by
that package as methods for arrays: any, all, one, and none.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*
