%define upstream_name	 encoding-warnings
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:	Warn on implicit encoding conversions
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/dist/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/A/AU/AUDREYT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(inc::Module::Install)
BuildArch:	noarch

Provides:   perl(encoding::warnings)

%description
This perl pragma emits warnings whenever an ASCII character string
containing high-bit bytes is implicitly converted into UTF-8. It
is useful when working with mixed encoding strings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/encoding/*
%{_mandir}/*/*


