%define upstream_name    ex-lib
%define upstream_version 0.90

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    The same as C<lib>, but makes relative path absolute
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/ex/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl-devel
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl-PathTools
BuildRequires: perl(lib::abs) >= 0.900.0

BuildArch: noarch
Requires: perl(lib::abs) >= 0.900.0
Provides: perl(ex::lib)


%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
