%define upstream_name mixin
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
License:    Artistic
Group:      Development/Perl
Summary:    Mix-in inheritance, an alternative to multiple inheritance
Url:        https://metacpan.org/release/%{upstream_name}
Source0:     https://cpan.metacpan.org/authors/id/M/MS/MSCHWERN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Test::More) >= 0.400.0
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(base)
BuildArch:  noarch

%description
This module allows mix-in inheritance, an alternative to multiple
inheritance.

%prep
%setup -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs vendor --destdir %{buildroot}
./Build

%check
./Build test

%install
./Build pure_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/mixin.pm
%{perl_vendorlib}/mixin/with.pm