%define upstream_name pcsc-perl
%define upstream_version 1.4.14

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	%mkrel 12
Summary:	Perl interface to the PC/SC smart card library
URL:		http://ludovic.rousseau.free.fr/softwares/pcsc-perl/
Source0:	http://ludovic.rousseau.free.fr/softwares/pcsc-perl/%{upstream_name}-%{upstream_version}.tar.bz2

License:	GPLv2+
Group:		Development/Perl
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(libpcsclite)

%description
This package contains a Perl wrapper to the PC/SC smartcard library
(pcsc-lite) from MUSCLE together with some small examples.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
find -name \*.pm | xargs chmod 644
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc LICENCE README* examples Changelog
%{_mandir}/*/*
%{perl_vendorarch}/Chipcard
%{perl_vendorarch}/auto/Chipcard
