%define upstream_name    pod2pdf
%define upstream_version 0.42

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::ArgvFile)
BuildRequires: perl(PDF::API2)
BuildRequires: perl(Pod::Escapes)
BuildRequires: perl(Pod::ParseLink)
BuildRequires: perl(Pod::Parser)
BuildArch: noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml README
%{_bindir}/pod2pdf
%{_mandir}/man1/*
%perl_vendorlib/*


