%define upstream_name geshi

Name:		php-%{upstream_name}
Version:	1.0.9.1
Release:	%mkrel 2
Summary:	Generic Syntax Highlighter
License:	PHP License
Group:		Development/PHP
URL:		http://qbnz.com/highlighter/
Source0:	https://github.com/GeSHi/geshi-1.0/releases/download/v%{version}/GeSHi-%{version}.tar.bz2
BuildArch:	noarch
Requires:	php

%description
Generic Syntax Highlighter for PHP. Used to highlight almost any code
for the web. Nearly 100 supported languages: PHP, HTML, C and more. Styles can
be changed on the fly and CSS classes can be used to reduce the amount of XHTML
compliant output.

%prep
%setup -q -n %{upstream_name}

%install
install -d -m 755 %{buildroot}%{_datadir}/php
cp -p geshi.php %{buildroot}%{_datadir}/php
cp -pr geshi %{buildroot}%{_datadir}/php
cp -pr contrib %{buildroot}%{_datadir}/php/geshi


%files
%doc docs
%{_datadir}/php/*


