%define github_name     idna-convert
%define composer_name   idna-convert
%define composer_vendor mso

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:		php-%{composer_vendor}-%{composer_name}
Version:	3.0.5
Release:	%mkrel 1
Summary:	Provides conversion of internationalized strings to UTF8
Group:		Development/PHP
License:	LGPLv2+
URL:		https://github.com/phlylabs/idna-convert
Source0:	https://github.com/algo26-matthias/idna-convert/archive/refs/tags/v%{version}.tar.gz
BuildArch:	noarch
Requires:	php-iconv
Requires:	php-mbstring
Requires:	php-pcre
Requires:	php-xml
BuildRequires:  php-fedora-autoloader-devel
Requires:   php-composer(fedora/autoloader)
Provides:   php-composer(%{composer_vendor}/%{composer_name}) = %{version}

%description
This converter allows you to transfer domain names between the encoded 
(Punycode) notation and the decoded (UTF-8) notation. 

Autoloader: %{php_libdir}/Mso/autoload.php

%prep
%setup -q -n %{github_name}-%{version}

%build
%{_bindir}/phpab --template fedora --output src/autoload.php src

%install
mkdir -p %{buildroot}%{php_libdir}
cp -pr src %{buildroot}/%{php_libdir}/Mso

%files
%doc LICENSE README.md composer.json
%{php_libdir}/Mso
