%define		_class		MDB2
%define		upstream_name	%{_class}

%global		__requires_exclude pear\\(test_setup.php\\)|pear\\(MDB2/Schema.php\\)|pear\\(PHPUnit.php\\)

Name:		php-pear-%{upstream_name}
Version:	2.5.0
Release:	%mkrel 0.1.b14
Summary:	Unified database API
Epoch:		2
License:	PHP License
Group:		Development/PHP
URL:		https://pear.php.net/package/MDB2/
Source0:	https://pear.php.net/get/%{upstream_name}-%{version}b5.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildRequires:	php-pear
BuildArch:	noarch
Recommends:	php-pear-MDB2_Driver_mysqli
Recommends:	php-pear-MDB2_Driver_pgsql
Recommends:	php-pear-MDB2_Driver_sqlite
Obsoletes:	php-pear-MDB2_Driver_mysql
%description
MDB2 is a merge of PEAR's DB and Metabases that provides a unified DB
API. It also provides methods for DB portability and DB feature
emulation. Most notably it features a DB independent XML-Schema
manager.

%prep
%setup -q -c -n %{name}-%{version}b5
mv package.xml %{upstream_name}-%{version}b5/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}b5
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test
rm -rf %{buildroot}%{_datadir}/pear/data/%{upstream_name}/LICENSE

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%doc %{upstream_name}-%{version}b5/docs/*
%doc %{upstream_name}-%{version}b5/LICENSE
%{_datadir}/pear/%{_class}
%{_datadir}/pear/%{_class}.php
%{_datadir}/pear/packages/%{upstream_name}.xml
