%define        _class           MDB2
%define        _subclass        Driver_mysqli
%define        upstream_name    %{_class}_%{_subclass}

Name:           php-pear-%{upstream_name}
Version:        1.5.0
Release:        %mkrel 0.0.b12
Summary:	Mysqli MDB2 driver
Epoch:          1
License:        PHP License
Group:          Development/PHP
URL:            https://pear.php.net/package/MDB2_Driver_mysqli/
Source0:        https://pear.php.net/get/MDB2_Driver_mysqli-%{version}b4.tgz
Requires:       php-mysqli
Requires(post): php-pear
Requires(preun): php-pear
Requires:       php-pear
BuildRequires:  php-pear
BuildArch:      noarch

%description
MDB2 MySQLi driver.

%prep
%setup -q -c -n %{name}-%{version}b4
mv package.xml %{upstream_name}-%{version}b4/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}b4
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%{_datadir}/pear/%{_class}
%{_datadir}/pear/data/%{upstream_name}
%{_datadir}/pear/packages/%{upstream_name}.xml
