%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)


%global pear_name Net_LDAP3
%global php php

# Not yet an actual PEAR package ...

Name:               php-pear-Net_LDAP3
Version:            1.0.4
Release:            %mkrel 5
Summary:            Object oriented interface for searching and manipulating LDAP-entries
Group:              Development/PHP
License:            LGPLv3
URL:                https://kolab.org/
Source0:            pear-Net-LDAP3-%{version}.tar.gz
BuildArch:          noarch

Requires:           mozldap-tools >= 6.0.5
Requires:           php-ldap
Requires:           php-pear-Net_LDAP2
Provides:           php-pear(%{pear_name}) = %{version}-%{release}

%description
Net_LDAP3 is an LDAPv3 compatible enhancement to Net_LDAP2

%prep
%setup -q -n pear-Net-LDAP3-%{version}

%build

%install

mkdir -p %{buildroot}%{peardir}
cp -a lib/Net %{buildroot}%{peardir}/.



%files
%doc LICENSE
%{peardir}/*