%define		_class		PEAR
%define		_subclass	Delegator
%define		upstream_name	%{_class}_%{_subclass}

Name:		php-pear-%{upstream_name}
Version:	0.1.0
Release:	%mkrel 21
Summary:	Delegation for PHP
License:	PHP License
Group:		Development/PHP
URL:		https://pear.php.net/package/PEAR_Delegator/
Source0:	https://pear.php.net/get/%{upstream_name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-fix-path.patch
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
This package implements traditional and unorthodox delegation in PHP.
This allows for pseudo multiple inheritance and other interesting
design paradigms.


%prep
%setup -q -c
%patch -P 0 -p 1
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml




