%define		_class		PHP
%define		_subclass	Archive
%define		upstream_name	%{_class}_%{_subclass}

%global		__requires_exclude pear\\(phar

Name:		php-pear-%{upstream_name}
Version:	0.14.0
Release:	%mkrel 2
Summary:	Create and use PHP Archive files
License:	PHP License
Group:		Development/PHP
URL:		https://pear.php.net/package/PHP_Archive/
Source0:	https://pear.php.net/get/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
PHP_Archive allows you to create a single .phar file containing an
entire application. 

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%{_datadir}/pear/%{_class}
%{_datadir}/pear/data/%{upstream_name}
%{_datadir}/pear/packages/%{upstream_name}.xml
