%define		_class		PHP
%define		_subclass	Parser_DocblockParser
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	0.1.1
Release:	%mkrel 4
Summary:	A /** docblock */ parser
License:	BSD License
Group:		Development/PHP
URL:		https://pear.php.net/package/Services_Ebay/
Source0: 	https://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.4.3
Requires: 	php-docblock >= 0.1.0
BuildArch:	noarch


%description
PHP_Parser_DocblockParser is designed for use with PHP_Parser, but is also
  a general /** docblock */ parser for phpDocumentor-style docblocks.
  
  This package is fully unit-tested, and is based on a
  PHP_ParserGenerator-generated parser

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PHP_Parser_DocblockParser.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/PHP_Parser_DocblockParser.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/PHP_Parser_DocblockParser
fi

%files
%{peardir}/*
%{xmldir}/PHP_Parser_DocblockParser.xml
