%define		_class		XML
%define		_subclass	RSS
%define		upstream_name	%{_class}_%{_subclass}

%global		__requires_exclude pear\\(PHPUnit

Name:		php-pear-%{upstream_name}
Version:	1.1.0
Release:	%mkrel 4
Summary:	RSS parser
License:	PHP License
Group:		Development/PHP
URL:		https://pear.php.net/package/XML_RSS/
Source0:	https://pear.php.net/get/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
Parser for Resource Description Framework (RDF) Site Summary (RSS)
documents.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml




