%define		_smartyplugindir	%{_datadir}/php/smarty/plugins

Name:		php-smarty-gettext
Version:	1.6.2
Release:	%mkrel 1
License:	LGPL v2+
Summary:	Gettext support for Smarty
Group:		Development/PHP
Source0:	https://github.com/smarty-gettext/smarty-gettext/archive/%{version}.tar.gz
URL:		https://github.com/smarty-gettext/smarty-gettext
Requires:	php-smarty 
BuildArch:	noarch

%description
smarty-gettext provides gettext support for Smarty, the popular PHP
templating engine <http://smarty.php.net/>.

%package devel
Summary:	Development tools for smarty-gettext
Group:		Development/PHP

%description devel
This package contains tsmarty2c program which can be used to extract
gettext compatible strings.

%prep
%setup -q -n smarty-gettext-%{version} 

%install
install -d $RPM_BUILD_ROOT%{_smartyplugindir}
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_mandir}/man1/

install block.t.php $RPM_BUILD_ROOT%{_smartyplugindir}
install tsmarty2c.php $RPM_BUILD_ROOT%{_bindir}/tsmarty2c
gzip tsmarty2c.1
install -p -m 0644 ./tsmarty2c.1.gz %{buildroot}%{_mandir}/man1/

%files
%defattr(644,root,root,755)
%{_smartyplugindir}/*.php

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/tsmarty2c
%{_mandir}/man1/tsmarty2c.1*

