Name:           pidgin-awayonlock
Version:        0.5.2
Release:        %mkrel 7
Summary:        Away-on-Lock is simple plugin for Pidgin
Group:          Networking/Instant messaging
License:        GPLv3
URL:            http://costela.net
Source0:        http://costela.net/files/awayonlock-%{version}.tar.gz

BuildRequires:  pkgconfig(purple)
BuildRequires:  cmake
Requires:       pidgin

%description
Away-on-Lock is a simple plugin for Pidgin (or any other libpurple-based 
IM client) to change your status when the screensaver gets activated.
It currently supports Gnome Screensaver and KScreensaver since 
they’re the only ones that make use of DBus to advertise their status.
%prep
%setup -q -n awayonlock-%{version}


%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc COPYING ChangeLog
%{_libdir}/pidgin/libawayonlock.so
%{_datadir}/locale/pt_BR/LC_MESSAGES/%{name}.mo
