%define oname	bumblebee-indicator

Name:		plasma-applet-bumblebee-indicator
Version:	0.80
Release:	%mkrel 1
Summary:	Plasma applet for indicating the Nvidia card's on or off status
Group:		Graphical desktop/KDE
License:	GPLv3+
Url:		https://store.kde.org/p/998890
#Source0:	https://github.com/bxabi/bumblebee-indicator/archive/%%{version}/%%{oname}-%%{version}.tar.gz
# from git 2024-04-06#c975f682
Source0:	https://github.com/bxabi/bumblebee-indicator/archive/master.tar.gz
Patch1:		%{name}-0.61-mga-add-nvidia390-support.patch
BuildArch:	noarch

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Plasma)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	gettext-devel

Requires:	plasma-workspace
Requires:	qt6-qtdeclarative
# as it is in nonfree repo
Recommends:	bumblebee-bin

%description
Plasma applet for indicating the Nvidia card's on or off status,
temperature, and other details.

%prep
%autosetup -p1 -n %{oname}-master

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

chmod +x %{buildroot}%{_kf6_datadir}/plasma/plasmoids/com.bxabi.bumblebee-indicator/contents/ui/locate-nvidia-smi.sh

%files
%doc README.md
%license LICENSE
%{_kf6_datadir}/plasma/plasmoids/com.bxabi.bumblebee-indicator/
%{_kf6_metainfodir}/com.bxabi.bumblebee-indicator.appdata.xml
