%define oname	gmailfeed

Name:		plasma-applet-gmailfeed
Version:	2.0
Release:	%mkrel 1
Summary:	Plasma plasmoid showing your Gmail feed
Group:		Graphical desktop/KDE
License:	GPLv3+
Url:		https://github.com/anthon38/gmailfeed
Source0:	https://github.com/anthon38/gmailfeed/archive/v%{version}/%{oname}-%{version}.tar.gz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Quick)

BuildRequires:	cmake(Plasma)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KAccounts6)
BuildRequires:	intltool

%description
Gmail Feed is a plasmoid for Plasma. It provides a list of your
unread emails from your Gmail inbox. You also get notified when
you receive new messages.

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc README.md
%license LICENSE
%{_kf6_qmldir}/org/kde/plasma/private/%{oname}/
%{_kf6_knotificationsdir}/%{oname}.notifyrc
%{_kf6_datadir}/plasma/plasmoids/org.kde.plasma.%{oname}/
%{_kf6_datadir}/accounts/providers/kde/google-gmail.provider
%{_kf6_datadir}/accounts/services/kde/gmail-feed.service
%{_kf6_metainfodir}/org.kde.plasma.%{oname}.appdata.xml
%{_kf6_iconsdir}/hicolor/scalable/apps/%{oname}.svgz
