Name:           plasma-pk-updates
Version:        0.3.2
Release:        %mkrel 7
Summary:        Plasma applet for system updates using PackageKit
Group:          System/Packaging
License:        GPLv2+
URL:            https://cgit.kde.org/%{name}.git
Source0:        https://download.kde.org/stable/plasma-pk-updates/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Parts)

BuildRequires:  pkgconfig(packagekitqt5)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5DBus)

BuildRequires:  appstream-util

Requires:       packagekit

%description
Plasma applet for system updates using PackageKit.


%prep
%setup -q
%autopatch -p1


%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang pkupdates --all-name


%check
appstream-util validate-relax --nonet %{buildroot}%{_kf5_metainfodir}/org.kde.plasma.pkupdates.appdata.xml ||:


%files -f pkupdates.lang
%{_kf5_services}/plasma-applet-org.kde.plasma.pkupdates.desktop
%{_kf5_qmldir}/org/kde/plasma/PackageKit/
%{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.pkupdates/
%{_kf5_metainfodir}/org.kde.plasma.pkupdates.appdata.xml
