#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%global wayland_min_version 1.4
%global debug_package %{nil}

%define rel 1

Name:           plasma-wayland-protocols
Version:        1.17.0
Release:        %mkrel %{rel}
Summary:        Plasma Specific Protocols for Wayland
Group:          Graphical desktop/KDE
License:        LGPLv2+ and MIT and BSD
URL:            https://invent.kde.org/libraries/plasma-wayland-protocols
Source0:        https://download.kde.org/stable/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros
BuildRequires:  cmake(Qt5Core)

%description
This package contains the non-standard Wayland protocol definitions used by
KDE Plasma.

%files
%license COPYING.LIB
%{_kf6_datadir}/plasma-wayland-protocols/

#------------------------------------------------------------------------------

%define develname %mklibname plasma-wayland-protocols -d

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%files -n %{develname}
%{_kf6_libdir}/cmake/PlasmaWaylandProtocols/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
