%define rel 1

%define __requires_exclude ^pear\\(.*$

Summary:      PMB: Free sigb
Name:         pmb
Version:      7.4.6
Release:      %mkrel %{rel}
Source0:      https://forge.sigb.net/redmine/attachments/download/2308/%name%version.zip
License:      AGPLv3
Group:        Monitoring
Url:          https://www.sigb.net/
Requires:     php-webinterface
BuildArch:    noarch

%description
PMB: Free sigb

%files
%{_datadir}/%{name}
%config(noreplace) %{webappconfdir}/%{name}.conf

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -pr * %{buildroot}%{_datadir}/%{name}

# Prebuilt x86 binaries
rm -rf %{buildroot}%{_datadir}/%{name}/classes/html2pdf/_tcpdf_*/fonts/utils/{ttf2ufm,pfm2afm}
rm -rf %{buildroot}%{_datadir}/%{name}/opac_css/classes/html2pdf/_tcpdf_*/fonts/utils/{ttf2ufm,pfm2afm}

find %{buildroot}%{_datadir}/%{name}/ -type f -print0 | xargs -0 chmod -x

mkdir -p %{buildroot}%{webappconfdir}
cat > %{buildroot}%{webappconfdir}/%{name}.conf <<EOF
Alias /%{name} %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
        Require all granted
</Directory>
EOF

