%define release	12

Name:		pngnq
Summary:	Pngnq is a tool for quantizing PNG images in RGBA format
Version:	1.1
Release:	%mkrel %{release}
License:	BSD with advertising and MIT and BSD
Group:		Graphics/Editors and Converters
URL:		https://pngnq.sourceforge.net/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		pngnq-libpng15.patch
Patch1:		pngnq-c99.patch
Patch2:		pngnq-gcc14.patch
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(zlib)

%description
Pngnq is a tool for quantizing PNG images in RGBA format.

The neuquant algorithm uses a neural network to optimize the color
map selection. This is fast and quite accurate, giving good results
on many types of images.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc README COPYING ChangeLog NEWS
%{_bindir}/*
%{_mandir}/man1/%{name}.*
