Name:		pngrewrite
Version:	1.4.0
Release:	%mkrel 12
License:	zlib/libpng
Group:		Graphics/Utilities
Source0:	https://entropymine.com/jason/pngrewrite/%{name}-%{version}.zip
URL:		https://entropymine.com/jason/pngrewrite/
Summary:	PNG size optimizer
BuildRequires:	pkgconfig(libpng)

%description
Pngrewrite is little utility that reduces the unnecessarily large
palettes that too many programs write into PNG files. It also
optimizes transparency settings, and reduces the bits-per-pixel
if possible. Handy for post-processing images before putting them
on a web site. 

%prep
%setup -qc %{name}-%{version}

%build
%make_build LDFLAGS="%ldflags" CFLAGS="%optflags"

%install
install -m755 %{name} -D %{buildroot}%{_bindir}/%{name}

%files
%{_bindir}/%{name}
