%define upstream_name    pod2pdf
%define upstream_version 0.42

%{?perl_default_filter}

Name:       %{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Convert Perl POD to PDF
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::ArgvFile)
BuildRequires: perl(PDF::API2)
BuildRequires: perl(Pod::Escapes)
BuildRequires: perl(Pod::ParseLink)
BuildRequires: perl(Pod::Parser)
BuildArch: noarch

%description
A command line tool to convert Perl POD (= Plain Old Documentation) to PDF.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_bindir}/pod2pdf
%{_mandir}/man1/*
%perl_vendorlib/*


