%define upstream_name    App-PodPreview
%define upstream_version 0.002

Name:       podpreview
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Preview POD files in a browser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Browser::Open)
BuildRequires: perl(Carp)
BuildRequires: perl(Config::Tiny)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Perl6::Export::Attrs)
BuildRequires: perl(Pod::Simple::HTML)
BuildRequires: perl(Pod::Usage::CommandLine)
BuildRequires: perl(Test::More)
BuildRequires: perl(autodie)
BuildArch: noarch

%description
This module is used internally by the 'podpreview' utility.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%{_mandir}/man1/podpreview.1*
%perl_vendorlib/*
/usr/bin/podpreview
