#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           polkit-kde-agent-1
Version: 6.3.4
Release:        %mkrel %rel
Summary:        PolicyKit authentication agent for KDE
License:        GPLv2
Group:          Graphical desktop/KDE
URL:            https://invent.kde.org/plasma/polkit-kde-agent-1
# tarball gererated by releaseme script
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

# Mageia patches (300-400)

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)

BuildRequires:  cmake(PolkitQt6-1) >= 0.103.0

Provides:       polkit-agent
Provides:       polkit-kde-1

%description
PolicyKit authentication agent for KDE.

%files -f polkit-kde-authentication-agent-1.lang
%_kf6_sysconfdir/xdg/autostart/polkit-kde-authentication-agent-1.desktop
%{_libexecdir}/polkit-kde-authentication-agent-1
%_kf6_knotificationsdir/policykit1-kde.notifyrc
%_kf6_applicationsdir/org.kde.polkit-kde-authentication-agent-1.desktop
%_userunitdir/plasma-polkit-agent.service

#-----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang polkit-kde-authentication-agent-1
