Name:           poppler-data
Version:        0.4.12
Release:        %mkrel 1
Summary:        Encoding files for poppler
# The cMap data files installed by the poppler-data package are under the
# COPYING.adobe license
# cidToUnicode, nameToUnicode and unicodeMap data files are under the
# COPYING.gpl2 license
License:        BSD and GPLv2
Group:          Development/X11
Url:            https://poppler.freedesktop.org/
Source0:        https://poppler.freedesktop.org/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig
BuildArch:      noarch

%description
This package consists of encoding files for use with poppler.  The
encoding files are optional and poppler will automatically read them
if they are present.  When installed, the encoding files enables
poppler to correctly render CJK and Cyrillic properly.  While poppler
is licensed under the GPL, these encoding files are copyright Adobe
and licensed much more strictly, and thus distributed separately.

%package        devel
Summary:        Developer files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains the pkgconfig file for %{name}.

%prep
%setup -q

%build

%install
%make_install prefix=%{_prefix} datadir=%{_datadir}

%files
%license COPYING*
%doc README
%{_datadir}/poppler/

%files devel
%{_datadir}/pkgconfig/poppler-data.pc
