Name:		pps-tools
Version:	1.0.3
Release:	%mkrel 2
Summary:	LinuxPPS user-space tools

Group:		System/Base
License:	GPLv2+
URL:		https://github.com/ago/pps-tools

Source0:	https://github.com/redlab-i/%{name}/archive/v%{version}.tar.gz

%description
This package includes the LinuxPPS user-space tools 

%package devel
Summary:	LinuxPPS PPSAPI header file
Group:		Development/Basic
BuildArch:	noarch

%description devel
This package includes the header (timepps.h)  needed to compile PPSAPI (RFC-2783)
applications (eg, chrony, ntpd, gpsd).

%prep
%setup -q 

%build
%make_build

%install
mkdir -p %{buildroot}{%{_bindir},%{_includedir}/sys}
%make_install

%files
%doc COPYING 
%{_bindir}/ppsfind
%{_bindir}/ppstest
%{_bindir}/ppsctl
%{_bindir}/ppswatch
%{_bindir}/ppsldisc

%files devel
%doc COPYING 
%{_includedir}/sys/timepps.h


