%define libname %mklibname psqlodbc

%define tar_ver	%(echo %{version}|sed -e 's/\\./\\_/g')

Summary: 	The official PostgreSQL ODBC Driver
Name: 		psqlodbc
Version: 	17.00.0003
Release: 	%mkrel 1
License: 	LGPLv2
Group: 		Databases
Url: 		https://odbc.postgresql.org/
#https://ftp.postgresql.org/pub/odbc/versions/src/%%{name}-%%{version}.tar.gz
Source0:	https://github.com/postgresql-interfaces/psqlodbc/archive/REL-%{tar_ver}/%{name}-%{version}.tar.gz
BuildRequires:	unixODBC-devel
BuildRequires:	postgresql-devel >= 17

%description
The official PostgreSQL ODBC Driver.

%package -n %libname
Group: 		Databases
Summary: 	The official PostgreSQL ODBC Driver
Provides:	psqlodbc

%description -n %libname
The official PostgreSQL ODBC Driver.

%prep
%setup -q -n %{name}-REL-%{tar_ver}

%build
./bootstrap
%configure
%make_build

%install
%make_install

%files -n %libname
%_libdir/psqlodbc*
%doc docs


