# Created by pyp2rpm-3.3.8
%global pypi_name pulsemeeter
%global pypi_version 1.2.16

%define gitdate 20221220
%define rel 3

Name:           %{pypi_name}
Version:        %{pypi_version}
Release:        %mkrel %{?gitdate:-c git%{gitdate}} %rel
Summary:        A pulseaudio audio routing application
Group:          Development/Python
License:        MIT
URL:            https://github.com/theRealCarneiro/pulsemeeter
Source0:        https://github.com/theRealCarneiro/pulsemeeter/archive/refs/heads/nightly.tar.gz#/%{name}-%{version}-git%{gitdate}.tar.gz
BuildArch:      noarch

Patch1:         105.patch

BuildRequires:  python3-devel

Requires:       pulse-vumeter
Requires:       python3dist(pulsectl)
Requires:       python3dist(pulsectl-asyncio)
Requires:       python3dist(pygobject)
Requires:       python3dist(setuptools)
Requires:       ladspa-swh

%description
Pulsemeeter A frontend to ease the use of pulseaudio's routing capabilities,
mimicking voicemeeter's workflow.

%prep
%autosetup -p1 -n %{pypi_name}-nightly

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pulsemeeter

%files -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/pmctl
%{_bindir}/pulsemeeter
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/Pulsemeeter.png
