%define oname   puppet-lint

Name:       %{oname}
Version:    0.3.2
Release:    %mkrel 10
Summary:    Ensure your Puppet manifests conform with the Puppetlabs style guide
License:    Apache License 
Group:      Development/Ruby
URL:        https://github.com/rodjek/puppet-lint/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Checks your Puppet manifests against the Puppetlabs
style guide and alerts you to any discrepancies.

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/puppet-lint
%{gem_instdir}
%{gem_spec}

%files          doc
%doc %{gem_docdir}
