%define oname purple-libnotify+

%global _legacy_common_support 1

Summary:	Provide libnotify interface to Pidgin and Finch
Name:		purple-libnotify-plus
Version:	2.99.1
Release:	%mkrel 6
Source0:	https://download.tuxfamily.org/purpleevents/%{name}/%{name}-%{version}.tar.xz
License:	GPLv3
Group:		Networking/Instant messaging
Url:		https://purple-libnotify-plus.sardemff7.net/
BuildRequires:	pkgconfig(purple)
BuildRequires:	pkgconfig(purple-events)
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libnsl)
BuildRequires:	intltool
# This doesn't seem to be actually used, except that libtool seems to want all
# potential static dependencies around before ld throws most of them away
BuildRequires:	pkgconfig(libgadu)

%description
purple-libnotify+ provides events dispatching for purple-events through libnotify.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install
%find_lang %{oname}

%files -f %{oname}.lang
%{_libdir}/purple-2/%{oname}.so
