Name:		purple-skypeweb
Version:	1.7
Release:	%mkrel 2
Summary:	SkypeWeb Plugin for Pidgin
License:	GPLv3
Group:		Networking/Instant messaging
URL:		https://github.com/EionRobb/skype4pidgin/tree/master/skypeweb#skypeweb-plugin-for-pidgin
Source0:	https://github.com/EionRobb/skype4pidgin/archive/%{version}.tar.gz

BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(purple)

Obsoletes:	skype4pidgin < 0.0-6.svn700

%description
Adds a "Skype (HTTP)" protocol to the accounts list.

%package -n pidgin-skypeweb
Summary:	Adds pixmaps, icons and smileys for Skype protocol
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}
Requires:	pidgin

%description -n pidgin-skypeweb
Adds pixmaps, icons and smileys for Skype protocol implemented by libskypeweb.

%prep
%autosetup -p1 -n skype4pidgin-%{version}

%build
%make_build -C skypeweb

%install
%make_install -C skypeweb

chmod 755 %{buildroot}%{_libdir}/purple-2/libskypeweb.so

%files
%doc skypeweb/README.md
%{_libdir}/purple-2/libskypeweb.so

%files -n pidgin-skypeweb
%dir %{_datadir}/pixmaps/pidgin
%dir %{_datadir}/pixmaps/pidgin/protocols
%dir %{_datadir}/pixmaps/pidgin/protocols/16
%{_datadir}/pixmaps/pidgin/protocols/16/skype.png
%{_datadir}/pixmaps/pidgin/protocols/16/skypeout.png
%dir %{_datadir}/pixmaps/pidgin/protocols/22
%{_datadir}/pixmaps/pidgin/protocols/22/skype.png
%{_datadir}/pixmaps/pidgin/protocols/22/skypeout.png
%dir %{_datadir}/pixmaps/pidgin/protocols/48
%{_datadir}/pixmaps/pidgin/protocols/48/skype.png
%{_datadir}/pixmaps/pidgin/protocols/48/skypeout.png
%dir %{_datadir}/pixmaps/pidgin/emotes
%dir %{_datadir}/pixmaps/pidgin/emotes/skype
%{_datadir}/pixmaps/pidgin/emotes/skype/theme
