Name:          pwgen
Version:       2.08
Release:       %mkrel 5
Summary:       Password generator
License:       GPLv2
Group:         Security
URL:           https://sourceforge.net/projects/pwgen/
Source:        https://download.sf.net/pwgen/pwgen-%{version}.tar.gz
Patch0:        pwgen-default-pwdlength.patch

BuildRequires: pkgconfig(zlib)

%description
pwgen generates random, meaningless but pronounceable and thus easy to
remember passwords.

%prep
%setup -q
%autopatch

%build
%configure
%make_build

%install
%make_install

%files
%{_mandir}/man1/pwgen.*
%{_bindir}/pwgen
