Name:           pyff
Version:        2.0.0
Release:        %mkrel 5
Summary:        SAML metadata aggregator
Group:          File tools
License:        BSD
URL:            https://github.com/IdentityPython/pyFF
Source0:        https://github.com/IdentityPython/pyFF/archive/%{version}/pyFF-%{version}.tar.gz
Patch0:         pyFF-1.0.0-fix-future-import.patch
Patch1:         pyFF-1.0.0-fix-futures-dependency.patch
BuildRequires:  python3-setuptools
BuildRequires:  python3-recommonmark
BuildRequires:  python3-devel
BuildArch:      noarch

%description
This is a SAML metadata aggregator written in python. It is based on the model
for metadata exchange by Ian Young:
http://iay.org.uk/blog/2008/10/metadata_interc.html

%prep
%setup -q -n pyFF-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyff

%files -f %{pyproject_files}
%doc NEWS.txt README.rst examples
%{_bindir}/pyff
%{_bindir}/pyffd
%{_bindir}/samldiff
%{_bindir}/mirror-mdq.sh
