# Created by pyp2rpm-3.3.5
%global pypi_name pyinstaller

Name:           %{pypi_name}
Version:        6.12.0
Release:        %mkrel 1
Summary:        PyInstaller bundles a Python application and all its dependencies into a single package
Group:          Development/Python
License:        GPLv2-or-later with a special exception which allows to use PyInstaller to build and distribute non-free programs (including commercial ones)
URL:            https://www.pyinstaller.org/
Source0:        %{pypi_source}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  pkgconfig(zlib)

%{?python_provide:%python_provide python3-%{pypi_name}}

%description
PyInstaller bundles a Python application and all its
dependencies into a single package.


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
export STRIP=%{_bindir}/true 
export LINKFLAGS="%{build_ldflags}"
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files PyInstaller


%files -f %{pyproject_files}
%license COPYING.txt
%doc PyInstaller/lib/README.rst
%{_bindir}/pyi-archive_viewer
%{_bindir}/pyi-bindepend
%{_bindir}/pyi-grab_version
%{_bindir}/pyi-makespec
%{_bindir}/pyi-set_version
%{_bindir}/pyinstaller
