%define pypi_name acme

%bcond_with check

Name:           python-%{pypi_name}
Version:        4.0.0
Release:        %mkrel 1
Summary:        ACME protocol implementation in Python
Group:          Development/Python
License:        Apache
URL:            https://pypi.python.org/pypi/acme
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
ACME protocol implementation in Python.

%package -n     python3-%{pypi_name}
Summary:        ACME protocol implementation in Python
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
ACME protocol implementation in Python.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x test}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.*
