Name:           python-aioquic-mitmproxy
Version:        0.9.21.1
Release:        %mkrel 2
Summary:        Fork of aioquic with adjustments for mitmproxy
Group:          Development/Python

License:        BSD
URL:            https://github.com/meitinger/aioquic_mitmproxy
Source:         %{pypi_source aioquic_mitmproxy}
Patch0:         0001-Relax-requirements.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros


%global _description %{expand:
aioquic_mitmproxy is a fork of aioquic, that is specifically targeted towards
mitmproxy. It is a library for the QUIC network protocol in Python. It features
a minimal TLS 1.3 implementation, a QUIC stack and an HTTP/3 stack.}


%description %_description

%package -n     python3-aioquic-mitmproxy
Summary:        %{summary}

%description -n python3-aioquic-mitmproxy %_description


%prep
%autosetup -p1 -n aioquic_mitmproxy-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files aioquic


%check
%pyproject_check_import


%files -n python3-aioquic-mitmproxy -f %{pyproject_files}
