%global pypi_name aioruuvigateway

Name:		python-%{pypi_name}
Summary:	Request data from a Ruuvi Gateway
Version:	0.1.0
Release:	%mkrel 1
License:	MIT
Group:		Development/Python
Source0:	%{pypi_source}
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3-devel
BuildArch:	noarch

%description
An asyncio-native library for requesting data from a Ruuvi Gateway.

%package -n python3-%{pypi_name}
Summary:	Request data from a Ruuvi Gateway

%description -n python3-%{pypi_name}
An asyncio-native library for requesting data from a Ruuvi Gateway.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
