%define oname  pyalsaaudio
%define module alsaaudio

Name:          python-%{module}
Version:       0.11.0
Release:       %mkrel 2
Summary:       ALSA wrapper for Python
Group:         Development/Python
License:       Python
Url:           https://larsimmisch.github.io/pyalsaaudio/
Source0:       https://pypi.io/packages/source/p/%{oname}/%{oname}-%{version}.tar.gz
# dmorgan
Patch0:        python-alsaaudio-0.11.0-fix-link.patch
BuildRequires: pyproject-rpm-macros
BuildRequires: pkgconfig(alsa)
Provides:      %{oname} = %{version}-%{release}

%description
ALSA wrapper for Python. PCM playback and capture, as well as the
Mixer API is supported.

%package -n     python3-%{module}
Summary:        ALSA wrapper for Python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
ALSA wrapper for Python. PCM playback and capture, as well as the
Mixer API is supported.
This is the Python 3 build of %{oname}.

%prep
%autosetup -p1 -n %{oname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files alsaaudio

%files -n python3-%{module} -f %{pyproject_files}
%doc TODO README.md
%license LICENSE
