# Created by pyp2rpm-3.3.3
%global pypi_name aniso8601

Name:           python-%{pypi_name}
Version:        9.0.1
Release:        %mkrel 7
Summary:        A library for parsing ISO 8601 strings
Group:          Development/Python
License:        None
URL:            https://pypi.org/project/aniso8601/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)

%description
Another ISO 8601 parser for Python.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Another ISO 8601 parser for Python3.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files aniso8601

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
