# what it's called on pypi
%global pypi_name anyio

Name:           python-%{pypi_name}
Version:        4.8.0
Release:        %mkrel 1
Summary:        Compatibility layer for multiple asynchronous event loop implementations
License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/anyio/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
AnyIO is a asynchronous compatibility API that allows applications and libraries
written against it to run unmodified on asyncio, curio and trio.

%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
AnyIO is a asynchronous compatibility API that allows applications and
libraries written against it to run unmodified on asyncio, curio and trio.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
