# Created by pyp2rpm-3.3.2
%global pypi_name anytree

Name:           python-%{pypi_name}
Version:        2.12.1
Release:        %mkrel 3
Summary:        Powerful and Lightweight Python Tree Data Structure
Group:          Development/Python
License:        Apache 2.0
URL:            https://github.com/c0fec0de/anytree
Source0:        %{pypi_source}
Patch:          0001-Add-project-name-to-pyproject.toml.patch
BuildArch:      noarch

BuildRequires:  dot
BuildRequires:  python3-devel
BuildRequires:  python3dist(check-manifest)
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six) >= 1.9.0

%description
Simple, lightweight and extensible Tree data structure.

%package -n     python3-%{pypi_name}
Summary:        Powerful and Lightweight Python Tree Data Structure
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Simple, lightweight and extensible Tree data structure.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

# handle in %%files section
rm -rf %{buildroot}%{_prefix}/LICENSE

%check
#%%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
