# Created by pyp2rpm-1.0.1
%global pypi_name aplpy

Name:           python-aplpy
Version:        2.1.0
Release:        %mkrel 2
Group:          Sciences/Astronomy
Summary:        The Astronomical Plotting Library in Python

License:        MIT
URL:            https://aplpy.github.io/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
APLpy (the Astronomical Plotting Library in Python) is a Python module aimed at
producing publication-quality plots of astronomical imaging data in FITS
format. The module uses Matplotlib, a powerful and interactive plotting
package. It is capable of creating output files in several graphical formats,
including EPS, PDF, PS, PNG, and SVG.


%package -n python3-aplpy
Summary:        Python3 implementation of APLpy
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-aplpy}

%description -n python3-aplpy
APLpy (the Astronomical Plotting Library in Python) is a Python module aimed at
producing publication-quality plots of astronomical imaging data in FITS
format. The module uses Matplotlib, a powerful and interactive plotting
package. It is capable of creating output files in several graphical formats,
including EPS, PDF, PS, PNG, and SVG.

This is the Python 3 package.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%files -n python3-aplpy -f %{pyproject_files}
%doc README.rst
%license LICENSE.md
