# Created by pyp2rpm-3.3.5
%global pypi_name asciitree

Name:           python-%{pypi_name}
Version:        0.3.3
Release:        %mkrel 4
Summary:        Draws ASCII trees
Group:          Development/Python
License:        MIT
URL:            https://github.com/mbr/asciitree
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros

%description
ASCII Trees in console

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
ASCII Trees in console


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
