%define pypi_name	astroid

%bcond_with tests

Name:		python-%{pypi_name}
Summary:	Extension of compiler.ast Python module
Version:	3.3.8
Release:	%mkrel 2
License:	GPLv2+
Group:		Development/Python
Url:		https://pypi.python.org/pypi/astroid
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This module provides a common base representation of Python source
code for Logilab projects such as pylint. It extends class defined in
the compiler.ast module with some additional methods and attributes

%package -n	python3-%{pypi_name}
Summary:	Extension of compiler.ast Python module
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n	python3-%{pypi_name}
This module provides a common base representation of Python source
code for Logilab projects such as pylint. It extends class defined in
the compiler.ast module with some additional methods and attributes

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

rm -rf %{buildroot}%{python3_sitelib}/astroid/tests

%if %{with tests}
%check
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
