# Created by pyp2rpm-3.3.5
%global pypi_name audioread

Name:           python-%{pypi_name}
Version:        3.0.1
Release:        %mkrel 3
Summary:        multi-library, cross-platform audio decoding
Group:          Development/Python
License:        MIT
URL:            https://github.com/sampsyo/audioread
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3-devel
BuildRequires:  python3dist(flit-core)

%description
Decode audio files using whichever backend is available. The library
currently supports:
- Gstreamer via PyGObject
- MAD via the pymad_ bindings.
- FFmpeg or Libav via its command-line interface. 
- The standard library wave, aifc, and sunau modules (for uncompressed audio 
formats)

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Decode audio files using whichever backend is available. The library
currently supports:
- Gstreamer via PyGObject
- MAD via the pymad_ bindings.
- FFmpeg or Libav via its command-line interface. 
- The standard library wave, aifc, and sunau modules (for uncompressed audio 
formats)

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

