%define srcname authres

Name:           python-%{srcname}
Version:        1.2.0
Release:        %mkrel 2
Summary:        Authentication Results Header Module
# Automatically converted from old format: ASL 2.0 - review is highly recommended.
License:        Apache-2.0
Group:          Development/Python
URL:            https://launchpad.net/authentication-results-python
Source0:        https://launchpad.net/authentication-results-python/1.2/%{version}/+download/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
RFC 8601 Authentication-Results Headers generation and parsing for
Python/Python3. See README for extension RFCs implemented.

%package -n python3-%{srcname}
Summary:        Authentication Results Header Module
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
RFC 8601 Authentication-Results Headers generation and parsing for
Python/Python3. See README for extension RFCs implemented.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%{python3} -m authres

%files -n python3-%{srcname} -f %{pyproject_files}
%license COPYING
%doc CHANGES README
