%define pypi_name autopep8

Name:           python-%{pypi_name}
Version:        2.3.1
Release:        %mkrel 2
Summary:        The package autopep8 formats Python code based on the output of the pep8 utility
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/autopep8/
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3dist(setuptools)

%description
autopep8 formats Python code based on the output of the pep8 utility.

%package -n python3-%{pypi_name}
Group:          Development/Python
Summary:        The package autopep8 formats Python code based on the output of the pep8 utility

%description -n python3-%{pypi_name}
autopep8 formats Python code based on the output of the pep8 utility.

%prep
%autosetup -n autopep8-%{version}

sed -i -e '1d' autopep8.py
touch test/__init__.py #test needs to be a python module otherwise test will fial

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

pushd %{buildroot}%{_bindir}
ln -s %{pypi_name} %{pypi_name}-3
ln -s %{pypi_name} %{pypi_name}-%{python3_version}
popd

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/%{pypi_name}
%{_bindir}/%{pypi_name}-3
%{_bindir}/%{pypi_name}-%{python3_version}
