%define		src_version 0.4.1-2
%define		src_name axolotl-curve25519

Name:		python-axolotl-curve25519
Version:	0.4.1.2
Release:	%mkrel 9
Summary:	curve25519 Python wrapper with Ed25519 signatures
License:	GPLv3
Group:		Development/Python
Url:		https://github.com/tgalal/python-axolotl-curve25519
Source:		https://github.com/tgalal/python-axolotl-curve25519/archive/%{src_version}.tar.gz
# From https://github.com/Psychopumpum/python-axolotl-curve25519/commit/da37e30aa288c4364e556b2d39ab856f89ccb773
Patch:      da37e30aa288c4364e556b2d39ab856f89ccb773.patch

%description
This is a Python wrapper for the curve25519 library with Ed25519 signatures.

%package -n	python3-%{src_name}
Summary:	curve25519 Python wrapper with Ed25519 signatures
Group:		Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{src_name}}

%description -n	python3-%{src_name}
This is a Python wrapper for the curve25519 library with Ed25519 signatures.

%prep
%autosetup -n python-%{src_name}-%{src_version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files axolotl_curve25519

%files -n python3-%{src_name} -f %{pyproject_files}
%license LICENSE
