# Created by pyp2rpm-3.3.5
%global pypi_name azure-identity

Name:           python-%{pypi_name}
Version:        1.17.1
Release:        %mkrel 2
Summary:        Microsoft Azure Identity Library for Python
Group:          Development/Python
License:        MIT License
URL:            https://github.com/Azure/azure-sdk-for-python/tree/master/sdk/identity/azure-identity
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Azure Identity simplifies
authentication across the Azure SDK. It supports token authentication using an
Azure Active Directory.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Azure Identity simplifies
authentication across the Azure SDK. It supports token authentication using an
Azure Active Directory.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files azure


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
