# Created by pyp2rpm-3.3.8
%global pypi_name azure-iot-device
%global srcname azure_iot_device

Name:           python-%{pypi_name}
Version:        2.14.0
Release:        %mkrel 2
Summary:        Microsoft Azure IoT Device Library
Group:          Development/Python
License:        MIT License
URL:            https://github.com/Azure/azure-iot-sdk-python/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
The Azure IoT Device SDK for Python provides functionality for communicating
with the Azure IoT Hub for both Devices and Modules.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The Azure IoT Device SDK for Python provides functionality for communicating
with the Azure IoT Hub for both Devices and Modules.

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files azure

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
