%global pypi_name babelfish

Name:           python-%{pypi_name}
Version:        0.6.1
Release:        %mkrel 2
Summary:        A module to work with countries and languages
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/babelfish/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
BabelFish is a Python library to work with countries and languages.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
BabelFish is a Python library to work with countries and languages.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files babelfish

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE README.md
