%define pypi_name batinfo

Name:           python-batinfo
Version:        0.4.2
Release:        %mkrel 9
Group:          Development/Python
Summary:        A simple Python lib to retrieve battery information

License:        LGPLv3
URL:            https://github.com/nicolargo/batinfo
Source0:        https://pypi.python.org/packages/source/b/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
A simple Python lib to retrieve battery information

%package -n     python3-%{pypi_name}
Group:          Development/Python
Summary:        A simple Python lib to retrieve battery information
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description -n python3-%{pypi_name}
A simple Python3 lib to retrieve battery information


%prep
%setup -q -n %{pypi_name}-%{version}

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}
rm %{buildroot}/usr/share/doc/batinfo/AUTHORS
rm %{buildroot}/usr/share/doc/batinfo/LICENSE
rm %{buildroot}/usr/share/doc/batinfo/README.md


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE README.md AUTHORS
