Name: python-beaker
Version: 1.12.1
Release: %mkrel 4
Summary: WSGI middleware layer to provide sessions

Group: Development/Python
License: BSD
URL: http://beaker.groovie.org/
Source0: %{pypi_source Beaker}
BuildArch: noarch
BuildRequires: python3-devel
BuildRequires: pyproject-rpm-macros

%description
Beaker is a caching library that includes Session and Cache objects built on
Myghty's Container API used in MyghtyUtils. WSGI middleware is also included to
manage Session objects and signed cookies.

%package -n python3-beaker
Group: Development/Python
Summary: WSGI middleware layer to provide sessions
%{?python_provide:%python_provide python3-beaker}

%description -n python3-beaker
Beaker is a caching library that includes Session and Cache objects built on
Myghty's Container API used in MyghtyUtils. WSGI middleware is also included to
manage Session objects and signed cookies.

%prep
%setup -q -n Beaker-%{version}

# Fix rpmlint warning
sed -i -e '/\/usr\/bin\/python/d' beaker/crypto/pbkdf2.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files beaker

%files -n python3-beaker -f %{pyproject_files}
%doc README.rst
