%global srcname billiard

Name:           python-%{srcname}
Version:        4.2.1
Release:        %mkrel 3
Summary:        A multiprocessing pool extensions
Group:          Development/Python
License:        BSD
URL:            https://github.com/celery/billiard
Source0:        %{pypi_source}
BuildArch:      noarch

%description
This package contains extensions to the multiprocessing pool.

%package -n python3-%{srcname}
Summary:        %{summary}
Group:          Development/Python

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# For tests:
BuildRequires:  python3-mock
BuildRequires:  python3-psutil
BuildRequires:  python3-pytest
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This package contains extensions to the multiprocessing pool.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%doc CHANGES.txt README.rst
%license LICENSE.txt
