%define pypi_name blinker

Name:           python-blinker
Version:        1.9.0
Release:        %mkrel 2
Summary:        Fast, simple object-to-object and broadcast signaling

Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/blinker/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
Blinker provides a fast dispatching system that allows any number of interested
parties to subscribe to events, or "signals".

%package -n python3-%{pypi_name}
Group:          Development/Python
Summary:        %{summary}

%description -n python3-%{pypi_name}
Blinker provides a fast dispatching system that allows any number of interested
parties to subscribe to events, or "signals".

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files blinker

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE*
%doc README*
