# Created by pyp2rpm-3.3.1
%global pypi_name booleanoperations

Name:           python-%{pypi_name}
Version:        0.9.0
Release:        %mkrel 9
Summary:        Boolean operations on paths
Group:          Development/Python
License:        MIT
URL:            https://github.com/typemytype/booleanOperations
Source0:        https://files.pythonhosted.org/packages/source/b/%{pypi_name}/booleanOperations-%{version}.zip
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(fonttools)
BuildRequires:  python3dist(pyclipper) >= 1.1.0.post3
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(fontpens)
BuildRequires:  python3dist(fonttools)
BuildRequires:  python3dist(defcon)
BuildRequires:  python3dist(fs)
BuildRequires:  python3dist(wheel)

%description
Boolean operations on paths based on a super fast polygon clipper library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Boolean operations on paths based on a super fast polygon clipper library.

%prep
%autosetup -n booleanOperations-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files booleanOperations

%check
#pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
