%define pypi_name	botocore

Name:		python-%{pypi_name}
Version:	1.37.24
Release:	%mkrel 1
Summary:	The low-level, core functionality of boto 3
License:	Apache License
Group:		Development/Python
URL:		https://pypi.org/project/botocore/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
A low-level interface to a growing number of Amazon Web Services. The botocore
package is the foundation for the AWS CLI as well as boto3.

%package -n	python3-%{pypi_name}
Summary:	The low-level, core functionality of boto 3
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:	bundled(python-six) = 1.16.0
Provides:	bundled(python-requests) = 2.7.0

%description -n	python3-%{pypi_name}
A low-level interface to a growing number of Amazon Web Services. The botocore
package is the foundation for the AWS CLI as well as boto3.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files botocore

%files -n python3-%{pypi_name} -f %{pyproject_files}
