%define pypi_name bottleneck

Name:           python-%{pypi_name}
Version:        1.4.2
Release:        %mkrel 1
Summary:        Fast NumPy array functions written in C
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/Bottleneck
Source0:        %{pypi_source}
Patch0:         Bottleneck-1.3.2-fix-linking.patch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-numpy-devel

%description
Bottleneck is a collection of fast NumPy array functions written in C.

%package -n     python3-%{pypi_name}
Summary:        Fast NumPy array functions written in C
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Bottleneck is a collection of fast NumPy array functions written in C.

%prep
%autosetup -n bottleneck-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files bottleneck

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst RELEASE.rst
