%global pypi_name bump2version

Name:           python-%{pypi_name}
Version:        1.0.1
Release:        %mkrel 7
Summary:        Version-bump your software with a single command!
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/bump2version/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
A small command line tool to simplify releasing software by updating all
version strings in your source code by the correct increment.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A small command line tool to simplify releasing software by updating all
version strings in your source code by the correct increment.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files bumpversion

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/bumpversion
%{_bindir}/bump2version
