# Created by pyp2rpm-3.3.2
%global pypi_name bumpversion

Name:           python-%{pypi_name}
Version:        0.6.0
Release:        %mkrel 3
Summary:        Version-bump your software with a single command!
Group:          Development/Python
License:        MIT
URL:            https://github.com/peritus/bumpversion
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
A small command line tool to simplify releasing software by updating all
version strings in your source code by the correct increment.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A small command line tool to simplify releasing software by updating all
version strings in your source code by the correct increment.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-%{pypi_name}
%license LICENSE.rst
%doc README.rst
%{python3_sitelib}/bumpversion-%{version}.dist-info/
