Name:           python-cachelib
Version:        0.13.0
Release:        %mkrel 2
Summary:        A collection of cache libraries in the same API interface

License:        BSD
URL:            https://github.com/pallets-eco/cachelib/
Source:         %{pypi_source cachelib}
Group:          Development/Python

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
A collection of cache libraries in the same API interface.
Extracted from Werkzeug.}


%description %_description

%package -n     python3-cachelib
Summary:        %{summary}

%description -n python3-cachelib %_description


%prep
%autosetup -p1 -n cachelib-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files cachelib


%check
%pyproject_check_import


%files -n python3-cachelib -f %{pyproject_files}
%doc README.rst
%license LICENSE.rst
