%define pypi_name cachetools

%bcond_with check

Name:           python-cachetools
Version:        5.5.2
Release:        %mkrel 1
Group:          Development/Python
Summary:        Extensible memoizing collections and decorators
License:        MIT
URL:            https://pypi.org/project/cachetools
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
This module provides various memoizing collections and decorators, including a
variant of the Python 3 Standard Library @lru_cache function decorator.

%package -n     python3-%{pypi_name}
Summary:        Extensible memoizing collections and decorators
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This module provides various memoizing collections and decorators, including a
variant of the Python 3 Standard Library @lru_cache function decorator.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cachetools

%if %{with check}
%check
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE
