%define srcname	cachy

Name:		python-cachy
Version:	0.3.0
Release:	%mkrel 3
Summary:	Cachy provides a simple yet effective caching library
Group:		Development/Python
License:	GPLv2+
URL:		https://pypi.org/project/cachy/
Source0:	https://pypi.python.org/packages/source/c/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:	noarch

%description
Cachy provides a simple yet effective caching library

%package -n python3-cachy
Summary:	Cachy provides a simple yet effective caching library
Group:		Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(python3)

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-cachy
Cachy provides a simple yet effective caching library

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tests cachy

%files -n python3-cachy -f %{pyproject_files}
