%global pypi_name CairoSVG
%global pkg_name  cairosvg

Name:           python-%{pkg_name}
Version:        2.7.1
Release:        %mkrel 2
Group:          Development/Python
Summary:        A Simple SVG Converter for Cairo
License:        MIT
URL:            https://pypi.org/project/CairoSVG/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
A Simple SVG Converter for Cairo.

%package -n %{pkg_name}
Summary:        A Simple SVG Converter for Cairo
Group:          Development/Python

# mga#28679
Obsoletes:      CairoSVG < 2.5.2-3
Provides:       CairoSVG = %{version}-%{release}

%description -n %{pkg_name}
A Simple SVG Converter for Cairo.

%package -n python3-%{pkg_name}
Summary:        A Simple SVG Converter for Cairo
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pkg_name}}

Requires:       %{pkg_name}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pkg_name}
A Simple SVG Converter for Cairo.

%prep
%setup -q -n %{pypi_name}-%{version}

%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cairosvg

%files -n %{pkg_name}
%{_bindir}/cairosvg

%files -n python3-%{pkg_name} -f %{pyproject_files}
