# Created by pyp2rpm-3.3.7
%global pypi_name casttube

Name:           python-%{pypi_name}
Version:        0.2.1
Release:        %mkrel 3
Summary:        YouTube chromecast api
Group:          Development/Python
License:        MIT
URL:            https://github.com/ur1katz/casttube
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
CastTube provides a way to interact with the Youtube Chromecast api.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
CastTube provides a way to interact with the Youtube Chromecast api.


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

rm -rf %{buildroot}%{_prefix}/LICENSE

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
