# Created by pyp2rpm-3.3.8
%global pypi_name cerberus
%global pypi_version 1.3.5

Name:           python-%{pypi_name}
Version:        1.3.5.0
Release:        %mkrel 4
Summary:        Lightweight, extensible schema and data validation tool for Python dictionaries
Group:          Development/Python
License:        ISC
URL:            https://docs.python-cerberus.org/
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/Cerberus-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-runner)

%description
Cerberus is a lightweight and extensible data validation library for Python.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Cerberus is a lightweight and extensible data validation library for Python.

%prep
%autosetup -n Cerberus-%{pypi_version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
