%global           pypi_name cftime

Name:             python-cftime
Version:          1.6.4.post1
Release:          %mkrel 2

Summary:          Time-handling functionality from netcdf4-python
License:          MIT
Group:            Development/Python

URL:              https://pypi.org/project/cftime/
Source0:          https://pypi.io/packages/source/c/cftime/%{pypi_name}-%{version}.tar.gz

%description
Time-handling functionality from netcdf4-python.

%package -n python3-cftime
Summary:        Python3 implementation of Cftime
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
BuildRequires:  python3-numpy-devel

%description -n python3-cftime
Time-handling functionality from netcdf4-python.

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cftime

%files -n python3-cftime -f %{pyproject_files}
%doc README.md
