# Created by pyp2rpm-0.5.1
%global pypi_name cgen

Name:           python-%{pypi_name}
Version:        2020.1
Release:        %mkrel 4
Summary:        C/C++ source generation from an AST

License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/cgen
Source0:        https://pypi.io/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
cgen offers a simple abstract syntax tree for C and related languages
(C++/CUDA/OpenCL) to allow structured code generation from Python.

%package -n python3-%{pypi_name}
Summary:        C/C++ source generation from an AST
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

Obsoletes:      python-cgen < 2012.1-12
Provides:       python-cgen = %{version}-%{release}

%description -n python3-%{pypi_name}
cgen offers a simple abstract syntax tree for C and related languages
(C++/CUDA/OpenCL) to allow structured code generation from Python.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
