# Created by pyp2rpm-3.3.2
%global pypi_name check_manifest
%global short_name check-manifest

%bcond_with check

Name:           python-%{short_name}
Version:        0.50
Release:        %mkrel 3
Summary:        Check MANIFEST.in in a Python source package for completeness
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/check-manifest/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
Are you a Python developer? Have you uploaded packages to the Python Package
Index? Have you accidentally uploaded broken packages with some files
missing? If so, check-manifest is for you.

%package -n     python3-%{short_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{short_name}}

%description -n python3-%{short_name}
Are you a Python developer? Have you uploaded packages to the Python Package
Index? Have you accidentally uploaded broken packages with some files
missing? If so, check-manifest is for you.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files check_manifest

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{short_name} -f %{pyproject_files}
%license LICENSE.rst
%doc README.rst
%{_bindir}/check-manifest
