# Created by pyp2rpm-3.3.4
%global pypi_name python-chess
%global srcname chess

Name:           python-%{srcname}
Version:        1.11.1
Release:        %mkrel 2
Summary:        Pure Python chess library
Group:          Development/Python
License:        GPLv3+
URL:            https://github.com/niklasf/python-chess
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
A pure Python chess library with move generation and validation, Polyglot
opening book probing, PGN reading and writing, Gaviota tablebase probing,
Syzygy tablebase probing and XBoard/UCI engine communication

%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
A pure Python chess library with move generation and validation, Polyglot
opening book probing, PGN reading and writing, Gaviota tablebase probing,
Syzygy tablebase probing and XBoard/UCI engine communication

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files chess


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
