%define srcname cinemagoer
%define module cinemagoer

Name:           python-cinemagoer
Version:        2023.5.1
Release:        %mkrel 3
Summary:        Retrieve and manage the data of the IMDb movie database
Group:          Development/Python
License:        GPLv2+
URL:            https://cinemagoer.github.io/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Cinemagoer is a Python package useful to retrieve and manage the data of
the IMDb movie database about movies, people, characters and companies.

%package -n     python3-%{module}
Summary:        Retrieve and manage the data of the IMDb movie database
Group:          Development/Python
BuildArch:      noarch
%{?python_provide:%python_provide python3-%{module}}
BuildRequires:  pkgconfig(python3)

# package was renamed from python3-imdbpy to python3-cinemagoer
Obsoletes:      python3-imdbpy < 6.8-7
Provides:       python3-imdbpy = %{version}-%{release}

%description -n python3-%{module}
Cinemagoer is a Python package useful to retrieve and manage the data of
the IMDb movie database about movies, people, characters and companies.

%files -n python3-%{module} -f %{pyproject_files}
%{_bindir}/imdbpy
%{_bindir}/*.py

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files imdb

