%define upstream_name clamd

Name:           python-%{upstream_name}
Version:        1.0.2
Release:        %mkrel 8
Summary:        Python interface to Clamd (Clamav daemon)
Group:          Development/Python
License:        LGPL
URL:            https://pypi.python.org/pypi/clamd
Source0:        https://pypi.python.org/packages/source/c/clamd/clamd-%{version}.tar.gz
BuildArch:      noarch

%description
clamd is a portable Python module to use the ClamAV anti-virus engine on
Windows, Linux, MacOSX and other platforms. It requires a running instance of
the clamd daemon.

%package -n     python3-%{upstream_name}
Summary:        Python interface to Clamd (Clamav daemon)
Group:          Development/Python
BuildRequires:  python3-devel

%description -n python3-%{upstream_name}
clamd is a portable Python module to use the ClamAV anti-virus engine on
Windows, Linux, MacOSX and other platforms. It requires a running instance of
the clamd daemon.

%prep
%setup -q -n %{upstream_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files clamd

%files -n python3-%{upstream_name} -f %{pyproject_files}
%doc CHANGES.rst README.rst
