# Created by pyp2rpm-3.3.4
%global pypi_name click-didyoumean

Name:           python-%{pypi_name}
Version:        0.3.1
Release:        %mkrel 2
Summary:        Enable git-like did-you-mean feature in click
Group:          Development/Python
License:        MIT
URL:            https://github.com/timofurrer/click-didyoumean
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-click
BuildRequires:  python3-pytest
BuildRequires:  python3-prompt-toolkit
BuildRequires:  python3dist(poetry-core)

%description
Enable git-like did-you-mean feature in click.

%package -n     python3-%{pypi_name}
Summary:        Enable git-like did-you-mean feature in click
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Enable git-like did-you-mean feature in click.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files click_didyoumean

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE

