%global pypi_name click-help-colors
%global name2 click_help_colors

Name:           python-%{pypi_name}
Version:        0.9.4
Release:        %mkrel 2
Summary:        Colorization of help messages in Click
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/%{pypi_name}
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Colorization of help messages in Click.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Enriched extends rich library functionality with a set of changes that were not
accepted to rich itself.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc LICENSE.txt README.rst CHANGES.rst
%{python3_sitelib}/%{name2}/
%{python3_sitelib}/%{name2}-%{version}-py%{python3_version}.egg-info/
