# Created by pyp2rpm-3.3.4
%global pypi_name click-repl

# Tests are missing from pypi sources
%bcond_with check

Name:           python-%{pypi_name}
Version:        0.3.0
Release:        %mkrel 2
Summary:        REPL plugin for Click
Group:          Development/Python
License:        MIT
URL:            https://github.com/untitaker/click-repl
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3-pytest
%endif

%description
REPL plugin for Click.

%package -n     python3-%{pypi_name}
Summary:        REPL plugin for Click
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
REPL plugin for Click.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# we are not interested in coverage
sed -e '/--cov/d' -i pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files click_repl

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
