# Created by pyp2rpm-1.0.0
%global pypi_name cliff

Name:           python-%{pypi_name}
Version:        4.9.1
Release:        %mkrel 1
Group:          Development/Python
Summary:        Command Line Interface Formulation Framework
License:        MIT
URL:            https://pypi.org/project/cliff/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)

%description
cliff is a framework for building command line programs. It uses setuptools
entry points to provide subcommands, output formatters, and other extensions.

%package -n python3-%{pypi_name}
Summary:        Command Line Interface Formulation Framework
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
cliff is a framework for building command line programs. It uses setuptools
entry points to provide subcommands, output formatters, and other extensions.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cliff

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
