# Created by pyp2rpm-1.0.0
%global pypi_name codepy

Name:           python-codepy
Version:        2019.1
Release:        %mkrel 8
Group:          Development/Python
Summary:        Generate and execute native code at run time

License:        MIT
URL:            https://mathema.tician.de/software/codepy
Source0:        https://pypi.io/packages/source/c/codepy/codepy-%{version}.tar.gz
BuildArch:      noarch

%description
CodePy is a C/C++ metaprogramming toolkit for Python. It handles two aspects of
native-code metaprogramming:

      * Generating C/C++ source code.
      * Compiling this source code and dynamically loading it into the
        Python interpreter.

Both capabilities are meant to be used together, but also work on
their own.

%package -n python3-%{pypi_name}
Summary:        Generate and execute native code at run time
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
CodePy is a C/C++ metaprogramming toolkit for Python. It handles two aspects of
native-code metaprogramming:

      * Generating C/C++ source code.
      * Compiling this source code and dynamically loading it into the
        Python interpreter.

Both capabilities are meant to be used together, but also work on
their own.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files codepy

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
