%bcond_without check

Name:           python-codespell
Version:        2.4.1
Release:        %mkrel 1
Summary:        Fix common misspellings in text files

License:        GPL-2.0-only
URL:            https://pypi.org/project/codespell/
Source:         %{pypi_source codespell}

BuildArch:      noarch
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%global _description %{expand:
This is package 'codespell' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-codespell
Summary:        %{summary}
Provides:       codespell = %{version}-%{release}

%description -n python3-codespell %_description

%pyproject_extras_subpkg -n python3-codespell hard-encoding-detection,toml,types

%prep
%autosetup -p1 -n codespell-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files codespell_lib

%if %{with check}
%check
%pyproject_check_import
rm -rf %{buildroot}%{python3_sitelib}/codespell_lib/tests
sed -i -e '/tests/d' %{pyproject_files}
%endif

%files -n python3-codespell -f %{pyproject_files}
%doc README.rst
%{_bindir}/codespell
