# Created by pyp2rpm-3.3.8
%global pypi_name cogapp

Name:           python-%{pypi_name}
Version:        3.3.0
Release:        %mkrel 3
Summary:        Cog: A content generator for executing Python snippets in source files
Group:          Development/Python
License:        MIT
URL:            https://nedbatchelder.com/code/cog
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Cog content generation tool. Small bits of computation for static files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Cog content generation tool. Small bits of computation for static files.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%{_bindir}/cog
%{_bindir}/cog.py
