# Created by pyp2rpm-3.3.2
%global pypi_name colour

Name:           python-%{pypi_name}
Version:        0.1.5
Release:        %mkrel 9
Summary:        Converts and manipulates various color representation
Group:          Development/Python
License:        BSD 3-Clause License
URL:            https://github.com/vaab/colour
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(d2to1)
BuildRequires:  python3dist(setuptools)

%description
Python color representations manipulation library (RGB, HSL, web, ...)

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Conflicts:	python3-py-colour

%description -n python3-%{pypi_name}
Python color representations manipulation library (RGB, HSL, web, ...)

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
