# Created by pyp2rpm-3.3.1
%global pypi_name compreffor

Name:           python-%{pypi_name}
Version:        0.5.6
Release:        %mkrel 3
Summary:        A CFF subroutinizer for fontTools
Group:          Development/Python
License:        Apache 2.0
URL:            https://pypi.org/project/compreffor/
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  python3-cython
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(tox-current-env)

%description
A CFF table subroutinizer for FontTools.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       compreffor = %{version}-%{release}

%description -n python3-%{pypi_name}
A CFF table subroutinizer for FontTools.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files compreffor

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/compreffor
