%define pypi_name	configobj

Name:          python-%{pypi_name}
Summary:       Simple but powerful config file reader and writer
Version:       5.0.9
Release:       %mkrel 2
License:       BSD
Group:         Development/Python
URL:           https://configobj.readthedocs.org/
Source0:       %{pypi_source}
BuildArch:     noarch
BuildRequires: pyproject-rpm-macros
BuildRequires: python3-devel

%description
ConfigObj is a simple but powerful config file reader and writer: an ini file
round tripper. Its main feature is that it is very easy to use, with a
straightforward programmer's interface and a simple syntax for config files.

%package -n python3-%{pypi_name}
Summary:       Config file reading, writing, and validation for Python 3

%description -n python3-%{pypi_name}
ConfigObj is a simple but powerful config file reader and writer: an ini file
round tripper. Its main feature is that it is very easy to use, with a
straightforward programmer's interface and a simple syntax for config files.

%prep
%autosetup -p1 -n configobj-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files configobj validate

%files -n python3-%{pypi_name} -f %{pyproject_files}
