%define module	constantly

Name:		python-%{module}
Version:	23.10.4
Release:	%mkrel 3
Summary:	Python library for symbolic constants
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/constantly/
Source0:	%{pypi_source %{module}}
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(versioneer)

%description
Python library for symbolic constants.

%package -n	python3-%{module}
Summary:	Python 3 library for symbolic constants
Group:		Development/Python
BuildArch:	noarch
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Python 3 library for symbolic constants.

%prep
%autosetup -p1 -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{module}

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst
%license LICENSE
