%global           pypi_name cppy

Name:             python-cppy
Version:          1.3.1
Release:          %mkrel 1
Summary:          A C++ header library for Python extension modules
License:          BSD
Group:            Development/Python
URL:              https://pypi.org/project/cppy/
Source0:          %{pypi_source}
BuildArch:        noarch
BuildRequires:    python3-devel

%description
A small C++ header library which makes it easier to write Python extension
modules. The primary feature is a PyObject smart pointer which automatically
handles reference counting and provides convenience methods for performing
common object operations.

%package -n python3-%{pypi_name}
Summary:        Python3 implementation of Cppy
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A small C++ header library which makes it easier to write Python extension
modules. The primary feature is a PyObject smart pointer which automatically
handles reference counting and provides convenience methods for performing
common object operations.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cppy

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
