# Created by pyp2rpm-3.3.2
%global pypi_name css-parser

Name:           python-%{pypi_name}
Version:        1.0.10
Release:        %mkrel 2
Summary:        A CSS Cascading Style Sheets library for Python
Group:          Development/Python
License:        LGPLv2
URL:            https://pypi.org/project/css-parser/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
A fork of the cssutils project based on version 1.0.2. This fork includes
general bug fixes and extensions specific to editing and working with ebooks.

The main python source code has been modified so that it will run without
further conversion on both Python >= 2.7 and Python 3.X without any further
modules required.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A fork of the cssutils project based on version 1.0.2. This fork includes
general bug fixes and extensions specific to editing and working with ebooks.

The main python source code has been modified so that it will run without
further conversion on both Python >= 2.7 and Python 3.X without any further
modules required.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files css_parser

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


