%define	module	cssselect

Summary:	Library for parsing CSS3 selectors and translating them to XPath 1.0
Name:		python-%{module}
Version:	1.2.0
Release:	%mkrel 4
License:	BSD
Group:		Development/Python
Url:		https://cssselect.readthedocs.io/
Source0:	https://github.com/scrapy/cssselect/archive/v%{version}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:  python3-devel

%description
cssselect parses CSS3 Selectors and translate them to XPath 1.0
expressions. Such expressions can be used in lxml or another XPath
engine to find the matching elements in an XML or HTML document.

%package -n python3-%{module}
Summary:	serializer for literal Python expressions
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
cssselect parses CSS3 Selectors and translate them to XPath 1.0
expressions. Such expressions can be used in lxml or another XPath
engine to find the matching elements in an XML or HTML document.

%prep
%autosetup -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cssselect

%files -n python3-%{module} -f %{pyproject_files}
%doc AUTHORS CHANGES LICENSE README.rst
