# Created by pyp2rpm-3.3.3
%global pypi_name cwiid

Name:           python-%{pypi_name}
Version:        3.0.0
Release:        %mkrel 9
Summary:        Python3 module for libcwiid
Group:          Development/Python
License:        GPLv2+
URL:            https://github.com/azzra/python3-wiimote
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch1:         0001-Fixed-segfault-on-Py_DECREF-see-https-github.com-azz.patch
Patch2:         0002-Fix-compile-error-return-without-value-7-8.patch

BuildRequires:  python3-devel
BuildRequires:  cwiid-devel

%description
Port of python-cwiid compatible with Python3.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Port of python-cwiid compatible with Python3.

%prep
%autosetup -n %{pypi_name}-%{version} -p2

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cwiid

%files -n python3-%{pypi_name} -f %{pyproject_files}
