%global pypi_name debtcollector

Name:           python-%{pypi_name}
Version:        3.0.0
Release:        %mkrel 2
Group:          Development/Python
Summary:        A collection of Python deprecation patterns and strategies
License:        ASLv2
URL:            https://pypi.org/project/debtcollector
Source0:        https://tarballs.opendev.org/openstack/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
A collection of Python deprecation patterns and strategies that help you
collect your technical debt in a non-destructive manner.

%package -n python3-%{pypi_name}
Summary:        A collection of Python deprecation patterns and strategies
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A collection of Python deprecation patterns and strategies that help you
collect your technical debt in a non-destructive manner.

This is the Python 3 package.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc *.rst
