# Created by pyp2rpm-3.3.1
%global pypi_name defcon

Name:           python-%{pypi_name}
Version:        0.10.3
Release:        %mkrel 3
Summary:        A set of flexible objects for representing UFO data
Group:          Development/Python
License:        MIT
URL:            https://github.com/typesupply/defcon
Source0:        %{pypi_source %pypi_name %version zip}
Patch0:         utf-8.patch
BuildArch:      noarch

BuildRequires:  python3-devel

%description
Defcon is a set of UFO based objects optimized for use in font editing
applications. The objects are built to be lightweight, fast and flexible.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
# Workaround umtil perl-URPM handles dependencies containing []
Requires:       python3-fonttools+ufo
Requires:       python3-fonttools+unicode

%description -n python3-%{pypi_name}
Defcon is a set of UFO based objects optimized for use in font editing
applications. The objects are built to be lightweight, fast and flexible.

%{?pyproject_extras_subpkg:%pyproject_extras_subpkg -n python3-%{pypi_name} lxml pens}

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires 

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license License.txt
%doc README.rst
