# Created by pyp2rpm-1.0.1
%global pypi_name Delorean
%global __requires_exclude humanize

Name:           python-delorean
Version:        1.0.0
Release:        %mkrel 8
Group:          Development/Python
Summary:        library for manipulating datetimes with ease and clarity

License:        MIT license
Url:            https://pypi.python.org/pypi/Delorean
Source0:        https://pypi.python.org/packages/source/D/Delorean/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)


%description
`Delorean` is a library for clearing up the inconvenient
truths that arise dealing with datetimes in Python.


%package -n     python3-delorean
Summary:        library for manipulating datetimes with ease and clarity
Group:          Development/Python
BuildArch:      noarch
%{?python_provide:%python_provide python3-delorean}

%description -n python3-delorean
`Delorean` is a library for clearing up the inconvenient truths that
arise dealing with datetimes in Python 3.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%py3_build


%install
%py3_install


%files -n python3-delorean
%doc README.rst docs/license.rst LICENSE.txt
%{python3_sitelib}/delorean
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

