%global pypi_name deprecation

Name:           python-%{pypi_name}
Version:        2.1.0
Release:        %mkrel 6
Summary:        A library to handle automated deprecations
License:        ASL 2.0
Group:          Development/Python
URL:            https://pypi.org/project/deprecation
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
The deprecation library provides a deprecated decorator and a
fail_if_not_removed decorator for your tests.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The deprecation library provides a deprecated decorator and a
fail_if_not_removed decorator for your tests.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE
%doc README.rst
