%global pypi_name pythondialog

Name:           python-dialog
Version:        3.5.3
Release:        %mkrel 5
Summary:        Python interface to the Unix dialog utility
Group:          Development/Python
License:        LGPLv2+
URL:            https://pypi.org/project/pythondialog/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
Requires:       dialog

%{?python_provide:%python_provide python-dialog}

%description
A Python interface to the Unix dialog utility, designed to provide an
easy, pythonic and as complete as possible way to use the dialog
features from Python code.

%package -n python3-dialog
Requires:       dialog
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-dialog}

%description -n python3-dialog
A Python interface to the Unix dialog utility, designed to provide an
easy, pythonic and as complete as possible way to use the dialog
features from Python code.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dialog

%files -n python3-dialog -f %{pyproject_files}
%license COPYING
%doc README.rst examples/

