%define module	dib-utils

Name:		python-%{module}
Version:	0.0.11
Release:	%mkrel 11
Summary:	Pieces of diskimage-builder that are useful standalone
License:	ASL 2.0
Group:		Development/Python
URL:		https://git.openstack.org/cgit/openstack/dib-utils
Source0:	https://tarballs.openstack.org/dib-utils/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
Pieces of diskimage-builder that are useful standalone.
This allows them to be used without pulling in all of
diskimage-builder and its dependencies.

%package -n	python3-%{module}
Summary:	Pieces of diskimage-builder that are useful standalone
Group:		Development/Python
BuildArch:	noarch
BuildRequires:  python3-devel
BuildRequires:  pkgconfig(python3)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
Pieces of diskimage-builder that are useful standalone.
This allows them to be used without pulling in all of
diskimage-builder and its dependencies.

This is the Python 3 build of %{module}.

%prep
%setup -q -n %{module}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-%{module}
%doc AUTHORS ChangeLog README.md
%{_bindir}/dib-run-parts
%{python3_sitelib}/dib_utils*
