%global pypi_name dictdiffer

%bcond_with check

Name:       python-%{pypi_name}
Version:    0.9.0
Release:    %mkrel 3
Summary:    Dictdiffer is a library that helps you to diff and patch dictionaries
Group:      Development/Python
License:    MIT
URL:        https://pypi.org/project/dictdiffer/
Source0:    %pypi_source
BuildArch:  noarch
BuildRequires:  python3-devel

%description
Dictdiffer is a helper module that helps you to diff and patch dictionaries.

%package -n python3-%{pypi_name}
Summary: %{summary}
Group:      Development/Python
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
Dictdiffer is a helper module that helps you to diff and patch dictionaries.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dictdiffer

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%doc LICENSE
