%define pypi_name dill

Name:           python-%{pypi_name}
Version:        0.3.9
Release:        %mkrel 2
Summary:        Serialize all of python
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/dill/
Source0:        %{pypi_source %pypi_name %version tar.gz}
BuildArch:      noarch

%description
dill extends python’s pickle module for serializing and de-serializing python
objects to the majority of the built-in python types. Serialization is the
process of converting an object to a byte stream, and the inverse of which is
converting a byte stream back to on python object hierarchy.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
dill extends python’s pickle module for serializing and de-serializing python
objects to the majority of the built-in python types. Serialization is the
process of converting an object to a byte stream, and the inverse of which is
converting a byte stream back to on python object hierarchy.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dill

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/get_objgraph
%{_bindir}/get_gprof
%{_bindir}/undill
