Name:		python-distutils-extra
Version:	2.39
Release:	%mkrel 13
Summary:	Enhancements to the Python build system
Group:		Development/Python
License:	GPLv2+
URL:		https://launchpad.net/python-distutils-extra
Source0:	https://launchpad.net/python-distutils-extra/trunk/%{version}/+download/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	python3dist(setuptools)

%description
python-distutils-extra allows you to easily integrate gettext, themed icons
and GNOME documentation into your build and installation process.

%package -n python3-distutils-extra
Summary:	Integrate more support into Python 3's distutils
Group:		Development/Python
%{?python_provide:%python_provide python3-distutils-extra}

%description -n python3-distutils-extra
Enables you to easily integrate gettext support, themed icons and
scrollkeeper based documentation into Python's distutils.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files DistUtilsExtra

chmod a+x %{buildroot}%{python3_sitelib}/DistUtilsExtra/command/build_extra.py

%files -n python3-distutils-extra -f %{pyproject_files}
%doc LICENSE doc/*
