%define realname django-contact-form

Name:           python-django-contact-form
Version:        2.0.1
Release:        %mkrel 3
Summary:        An extensible contact-form application for Django
Group:          Development/Python
License:        BSD
URL:            https://github.com/ubernostrum/django-contact-form/
Source0:        https://pypi.python.org/packages/source/d/%{realname}/%{realname}-%{version}.tar.gz
BuildArch:      noarch

%description
An extensible contact-form application for Django.

%package -n python3-%{realname}
Summary:	An extensible contact-form application for Django
Group:		Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:	python3-devel
BuildRequires:  python3-setuptools
Requires:	python3-django

%description -n python3-%{realname}
An extensible contact-form application for Django.

%prep
%setup -q -n %{realname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files django_contact_form

%files -n python3-%{realname} -f %{pyproject_files}
%doc README.rst docs/
%license LICENSE

