# Created by pyp2rpm-3.3.2
%global pypi_name django-csp
#global tag 17d941543e9acbf4a51cd3f2393ead458034995d
#global tagdate 20220628

%define rel 2

Name:           python-%{pypi_name}
Version:        4.0b2
Release:        %mkrel %{rel}
Summary:        Django Content Security Policy support
Group:          Development/Python
License:        BSD
URL:            https://github.com/mozilla/django-csp
# Source0:        https://files.pythonhosted.org/packages/source/d/%%{pypi_name}/django_csp-%%{version}.tar.gz
Source0:        https://github.com/mozilla/django-csp/archive/%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(asgiref)
BuildRequires:  python3dist(django)
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(setuptools)

%description
Django-CSP adds Content-Security-Policy headers to Django.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(django)

%description -n python3-%{pypi_name}
Django-CSP adds Content-Security-Policy headers to Django.

%prep
%autosetup -n django-csp-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files csp

%check
# disabled. Test with tox are provided for a platform with multiple versions of Python.
#pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
