# Created by pyp2rpm-3.3.2
%global pypi_name django-getenv

# no test subdirectory in sources from PYPI
%bcond_with check

Name:           python-%{pypi_name}
Version:        1.3.2
Release:        %mkrel 9
Summary:        Read settings from environment variables
Group:          Development/Python
License:        BSD
URL:            https://github.com/schwuk/django-getenv
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
A quick'n'easy way to use environment variables in your Django (and Python)
projects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A quick'n'easy way to use environment variables in your Django (and Python)
projects.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files getenv

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
