%define module		django-js-asset
%define pypi_name	django_js_asset

Name:		python-%{module}
Version:	3.1.2
Release:	%mkrel 1
Summary:	Script tag with additional attributes for django.forms.Media
License:	BSD
Group:		Development/Python
URL:		https://github.com/matthiask/django-js-asset/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros

%description
Script tag with additional attributes for django.forms.Media.

%package -n	python3-%{module}
Summary:	Script tag with additional attributes for django.forms.Media
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(hatchling)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Script tag with additional attributes for django.forms.Media.
This is the Python 3 build of %{module}.

#---------------------------------------------------------------------------

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files js_asset

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE
%doc README.rst
