%define module	django-picklefield

Name:		python-%{module}
Version:	3.2.0
Release:	%mkrel 2
Summary:	Implementation of a pickled object field
Group:		Development/Python
License:	MIT
URL:		https://github.com/gintas/django-picklefield
Source:		https://github.com/gintas/django-picklefield/archive/v%{version}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
django-picklefield provides an implementation of a pickled object field.
Such fields can contain any picklable objects.

The implementation is taken and adopted from Django snippet #1694 by
Taavi Taijala, which is in turn based on Django snippet #513 by
Oliver Beattie.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	Implementation of a pickled object field
Group:		Development/Python
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(django)
Requires:	python3dist(django)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
django-picklefield provides an implementation of a pickled object field.
Such fields can contain any picklable objects.

The implementation is taken and adopted from Django snippet #1694 by
Taavi Taijala, which is in turn based on Django snippet #513 by
Oliver Beattie.

#---------------------------------------------------------------------------

%prep
%autosetup -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files picklefield

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst
