%define pypi_name    django-threadedcomments

Name:		python-%{pypi_name}
Version:	2.0
Release:	%mkrel 4
Summary:        A simple yet flexible threaded commenting system
Group:          Development/Python
License:        BSD
URL:            https://github.com/HonzaKral/django-threadedcomments
Source:         https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
A simple yet flexible threaded commenting system.

%package -n python3-%{pypi_name}
Summary:        A simple yet flexible threaded commenting system
Group:          Development/Python

%description -n python3-%{pypi_name}
A simple yet flexible threaded commenting system.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files threadedcomments

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc *.rst
