%global __requires_exclude pythonegg\\(3\\)\\(ipaddress|pythonegg\\(3\\)\\(backports.ssl-match-hostname

%define pypi_name docker-pycreds

Name:           python-%{pypi_name}
Version:        0.4.0
Release:        %mkrel 10
Summary:        Python bindings for the docker credentials store API
License:        Apache Software License
Group:          Development/Python
URL:            https://www.docker.com/
Source0:        https://github.com/shin-/dockerpy-creds/archive/%{version}.tar.gz
BuildArch:      noarch

%description
A Python interface to docker credentials store API

%package -n     python3-%{pypi_name}
Summary:        An API client for docker written in Python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       docker

%description -n python3-%{pypi_name}
A Python 3 interface to docker credentials store API

%prep
%setup -q -n dockerpy-creds-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dockerpycreds

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE README.md
