%global pypi_name docker_ssh

Name:           python-docker-ssh
Version:        0.0.3
Release:        %mkrel 6
Summary:        Manage docker through SSH
Group:          Development/Python

License:        MIT
URL:            https://github.com/andreycizov/python-docker_ssh
Source0:        %{pypi_source}
BuildArch:      noarch

%description
A Python library for the Docker Engine API.

%package -n python3-docker-ssh
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-docker-ssh
A Python 3 library for the Docker Engine API.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


# Remove reundant script header to avoid rpmlint warnings
find -name \*.py -exec sed -i '/\/usr\/bin\/env python/{d;q}' {} +

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files docker_ssh

%files -n python3-docker-ssh -f %{pyproject_files}
%{_bindir}/docker-ssh
