%define pypi_name dockerpty

Name:           python-%{pypi_name}
Version:        0.4.1
Release:        %mkrel 12
Summary:        A Python library to use the pseudo-tty of a docker container
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/d11wtq/dockerpty
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Provides the functionality needed to operate the pseudo-tty (PTY) allocated to
a docker container, using the Python client.

%package -n python3-%{pypi_name}
Summary:        A Python library to use the pseudo-tty of a docker container
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Provides the functionality needed to operate the pseudo-tty (PTY) allocated to
a docker container, using the Python client.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
