%global pypi_name docopt

Name:           python-docopt
Version:        0.6.2
Release:        %mkrel 17
Summary:        Pythonic argument parser, that will make you smile
Group:          Development/Python
License:        MIT
URL:            https://github.com/docopt/docopt
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)


%description
Isn't it awesome how optparse and argparse generate help messages
based on your code?!

Hell no! You know what's awesome? It's when the option parser is
generated based on the beautiful help message that you write yourself!
This way you don't need to write this stupid repeatable parser-code,
and instead can write only the help message--*the way you want it*.

%package -n python3-docopt
Summary:        Pythonic argument parser, that will make you smile - package for Python 3
%{?python_provide:%python_provide python3-docopt}

%description -n python3-docopt
Isn't it awesome how optparse and argparse generate help messages
based on your code?!

Hell no! You know what's awesome? It's when the option parser is
generated based on the beautiful help message that you write yourself!
This way you don't need to write this stupid repeatable parser-code,
and instead can write only the help message--*the way you want it*.

%prep
%autosetup -n docopt-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files docopt

%check
#pytest

%files -n python3-docopt -f %{pyproject_files}
