%global pypi_name docstring-parser
%global srcname docstring_parser

Name:           python-%{pypi_name}
Version:        0.15
Release:        %mkrel 2
Summary:        Parse Python docstrings in reST, Google and Numpydoc format
Group:          Development/Python
License:        MIT
URL:            https://github.com/rr-/docstring_parser
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros

%description
Parse Python docstrings. Currently support ReST, Google, Numpydoc-style
and Epydoc docstrings.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Parse Python docstrings. Currently support ReST, Google, Numpydoc-style
and Epydoc docstrings.

%prep
%autosetup -n %{srcname}-%{version} -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
 
%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE.md
