Name:           python-docstring-to-markdown
Version:        0.15
Release:        %mkrel 2
Summary:        On the fly conversion of Python docstrings to markdown

License:        LGPLv2+
URL:            https://pypi.org/project/docstring-to-markdown/
Source:         %{pypi_source docstring-to-markdown}
Group:          Development/Python

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
On the fly conversion of Python docstrings to markdown. Currently can recognise
reStructuredText and convert multiple of its features to Markdown.}


%description %_description

%package -n     python3-docstring-to-markdown
Summary:        %{summary}

%description -n python3-docstring-to-markdown %_description


%prep
%autosetup -p1 -n docstring-to-markdown-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files docstring_to_markdown


%check
%pyproject_check_import


%files -n python3-docstring-to-markdown -f %{pyproject_files}
%doc README.md
%license LICENSE
