Name:           python-dparse
Version:        0.6.3
Release:        %mkrel 3
Summary:        A parser for Python dependency files
Group:          Development/Python

License:        MIT
URL:            https://github.com/pyupio/dparse
Source:         %{pypi_source dparse}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'dparse' generated automatically by pyp2spec.}


%description %_description

%package -n     python3-dparse
Summary:        %{summary}

%description -n python3-dparse %_description


%prep
%autosetup -p1 -n dparse-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files dparse


%check
%pyproject_check_import


%files -n python3-dparse -f %{pyproject_files}
%doc README.rst CONTRIBUTING.rst HISTORY.rst
%license LICENSE
