%define pypi_name	dpkt

Name:		python-%{pypi_name}
Version:	1.9.8
Release:	%mkrel 3
Summary:	Fast, simple packet creation and parsing
License:	BSD
Group:		Development/Python
URL:		https://pypi.org/project/dpkt/
Source0:	%{pypi_source}
BuildArch:      noarch

%description
Fast, simple packet creation / parsing, with definitions
for the basic TCP/IP protocols.

%package -n	python3-%{pypi_name}
Summary:	Fast, simple packet creation and parsing
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
Fast, simple packet creation / parsing, with definitions for
the basic TCP/IP protocols.
This is the Python 3 build of %{pypi_name}.

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dpkt

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS
%license LICENSE
