# Created by pyp2rpm-3.3.2
%global pypi_name dukpy

Name:           python-%{pypi_name}
Version:        0.3.0
Release:        %mkrel 4
Summary:        Simple JavaScript interpreter for Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/amol-/dukpy
Source0:        %{pypi_source}
Patch0:         linking.patch
BuildRequires:  pkgconfig(python3)

%description
DukPy is a simple javascript interpreter for Python built on top of duktape
engine without any external dependency.

%package -n     python3-%{pypi_name}
Summary:        Simple JavaScript interpreter for Python 3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(coveralls)
Requires:       python3dist(mock)
Requires:       python3dist(setuptools)
Requires:       python3dist(webassets)

%description -n python3-%{pypi_name}
DukPy is a simple javascript interpreter for Python built on top of duktape
engine without any external dependency.

%prep
%autosetup -n %{pypi_name}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dukpy

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/dukpy
%{_bindir}/dukpy-install
