# this specfile is inspired from fedoras'one.
# but I choose not to use git sources, I prefer using tarball
%define bname editor

Name:           python-%{bname}
Version:        1.0.4
Release:        %mkrel 8
Summary:        Programmatically open an editor, capture the result

Group:          Development/Python
License:        ASL
URL:            https://github.com/fmoo/python-editor
Source0:        https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
python-editor is a library that provides the editor module for programmatically
interfacing with your system’s $EDITOR.

%package -n python3-%{bname}
Summary:        Programmatically open an editor, capture the result
%{?python_provide:%python_provide python3-%{bname}}
BuildRequires:  python3-devel
Obsoletes:      python3-python-editor < 1.0.3-2

%description -n python3-%{bname}
python-editor is a library that provides the editor module for programmatically
interfacing with your system’s $EDITOR.

%prep
%setup -q


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files editor

%files -n python3-%{bname} -f %{pyproject_files}
%license LICENSE
%doc README.md
