%global pypi_name enrich

Name:           python-%{pypi_name}
Version:        1.2.7
Release:        %mkrel 5
Summary:        Enrich
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/enrich
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Enriched extends rich library functionality with a set of changes that were not
accepted to rich itself.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
Enriched extends rich library functionality with a set of changes that were not
accepted to rich itself.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
