%global pypi_name enzyme

Name:           python-%{pypi_name}
Version:        0.5.2
Release:        %mkrel 2
Summary:        Python video metadata parser
Group:          Development/Python
License:        ASL
URL:            https://pypi.org/project/enzyme/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Enzyme is a Python module to parse video metadata.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
Enzyme is a Python module to parse video metadata.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files enzyme

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license  LICENSE
