# Created by pyp2rpm-3.3.5
%global pypi_name exceptiongroup

Name:           python-%{pypi_name}
Version:        1.2.2
Release:        %mkrel 2
Summary:        A way to represent multiple things going wrong at the same time, in Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/python-trio/exceptiongroup
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros

%description
This is a backport of the BaseExceptionGroup and ExceptionGroup classes from
Python 3.11.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is a backport of the BaseExceptionGroup and ExceptionGroup classes from
Python 3.11.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

