# Created by pyp2rpm-3.3.2
%global pypi_name execnet

%bcond_with check

Name:           python-%{pypi_name}
Version:        2.1.1
Release:        %mkrel 2
Summary:        execnet: rapid multi-Python deployment
Group:          Development/Python
License:        MIT and GPLv2+
URL:            https://codespeak.net/execnet
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
execnet: distributed Python deployment and communication.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
execnet: distributed Python deployment and communication.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
