%global pypi_name expandvars

Name:           python-%{pypi_name}
Version:        0.12.0
Release:        %mkrel 5
Summary:        Expand system variables Unix style
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/expandvars
Source0:        %{pypi_source}
BuildArch:      noarch

%description
This module is inspired by GNU bash's variable expansion features. It can be
used as an alternative to Python's os.path.expandvars function.

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This module is inspired by GNU bash's variable expansion features. It can be
used as an alternative to Python's os.path.expandvars function.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE
