# Created by pyp2rpm-3.3.2
%global pypi_name fastimport

Name:           python-%{pypi_name}
Version:        0.9.14
Release:        %mkrel 5
Summary:        VCS fastimport/fastexport parser
Group:          Development/Python
License:        GPLv2+
URL:            https://github.com/jelmer/python-fastimport
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
This package provides a parser for and generator of the Git fastimport format.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This package provides a parser for and generator of the Git fastimport format.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files fastimport

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license COPYING
%doc README.md
%{_bindir}/fast-import-filter
%{_bindir}/fast-import-info
%{_bindir}/fast-import-query
