%define pypi_name feedgenerator

Name:           python-feedgenerator
Version:        2.1.0
Release:        %mkrel 3
Group:          Development/Python
Summary:        Standalone version of django.utils.feedgenerator
License:        BSD
URL:            https://pypi.org/project/feedgenerator
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Standalone version of DJango's feed generator for generating ATOM
and RSS feeds.

%package -n     python3-%{pypi_name}
Group:          Development/Python
Summary:        Standalone version of django.utils.feedgenerator

%description -n python3-%{pypi_name}
Standalone version of DJango's feed generator for generating ATOM
and RSS feeds.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files feedgenerator

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
