# Created by pyp2rpm-3.3.2
%global pypi_name ffmpeg-normalize

Name:           python-%{pypi_name}
Version:        1.29.1
Release:        %mkrel 2
Summary:        Normalize audio via ffmpeg
Group:          Development/Python
License:        MIT
URL:            https://github.com/slhck/ffmpeg-normalize
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
A utility for batch-normalizing audio using ffmpeg.

This program normalizes media files to a certain LUFS level using the EBU R128
loudness normalization procedure. It can also perform RMS-based normalization
(where the mean is lifted or attenuated), or peak normalization to a certain
target level.

Batch processing of several input files is possible, including video files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 

Obsoletes:      python2-%{pypi_name} < 1.15.2-1

%description -n python3-%{pypi_name}
A utility for batch-normalizing audio using ffmpeg.

This program normalizes media files to a certain LUFS level using the EBU R128
loudness normalization procedure. It can also perform RMS-based normalization
(where the mean is lifted or attenuated), or peak normalization to a certain
target level.

Batch processing of several input files is possible, including video files.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ffmpeg_normalize

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/ffmpeg-normalize

