# Created by pyp2rpm-3.3.2
%global pypi_name filelock

Name:           python-%{pypi_name}
Version:        3.17.0
Release:        %mkrel 1
Summary:        A platform independent file lock
Group:          Development/Python
License:        Unlicense
URL:            https://github.com/benediktschmitt/py-filelock
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
This package contains a single module, which implements a platform independent
file locking mechanism for Python.

The lock includes a lock counter and is thread safe. This means, when locking
the same lock object twice, it will not block.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This package contains a single module, which implements a platform independent
file locking mechanism for Python.

The lock includes a lock counter and is thread safe. This means, when locking
the same lock object twice, it will not block.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files filelock

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
