# Created by pyp2rpm-3.3.1
%global pypi_name flake8-docstrings
%global src_name flake8_docstrings

Name:           python-%{pypi_name}
Version:        1.7.0
Release:        %mkrel 2
Summary:        Extension for flake8 which uses pydocstyle to check docstrings
Group:          Development/Python
License:        MIT
URL:            https://github.com/PyCQA/flake8-docstrings
Source0:        %{pypi_source flake8_docstrings}
BuildArch:      noarch
 
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pydocstyle)

%description
flake8-docstrings A simple module that adds an extension for the fantastic
pydocstyle_ tool to Simply install this extension:: pip install
flake8-docstrings and run flake8.Report any issues on our bug tracker_...
_pydocstyle: .. _flake8: .. _bug tracker: History/Changelog 1.3.0 - Bump
minimum pydocstyle version to 2.1.01.2.0 - Fix EnvironError and AllError
invocations- Avoid Flake8 warning for...

%package -n     python3-%{pypi_name}
Summary:        Extension for flake8 which uses pydocstyle to check docstrings
Group:          Development/Python
BuildArch:      noarch
%{?python_provide:%python_provide python3-%{pypi_name}}


%description -n python3-%{pypi_name}
flake8-docstrings A simple module that adds an extension for the fantastic
pydocstyle_ tool to Simply install this extension:: pip install
flake8-docstrings and run flake8.Report any issues on our bug tracker_...
_pydocstyle: .. _flake8: .. _bug tracker: History/Changelog 1.3.0 - Bump
minimum pydocstyle version to 2.1.01.2.0 - Fix EnvironError and AllError
invocations- Avoid Flake8 warning for...

%prep
%autosetup -n %{src_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flake8_docstrings

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst



