%global mod_name	flask-babel
%global pypi_name	flask_babel

Name:		python-flask-babel
Version:	4.0.0
Release:	%mkrel 3
Summary:	Adds i18n/l10n support to Flask applications
Group:		Development/Python
License:	BSD
URL:		https://github.com/mitsuhiko/flask-babel/
Source0:	%{pypi_source}
BuildArch:	noarch

%description
Adds i18n/l10n support to Flask applications with the help of the Babel library.

%package -n python3-flask-babel
Summary:	Adds i18n/l10n support to Flask applications
Group:		Development/Python
BuildRequires:	pkgconfig(python3)

Obsoletes:	python3-flask-babelex < 0.9.4-7
Provides:	python3-flask-babelex = %{version}-%{release}

%description -n python3-flask-babel
Adds i18n/l10n support to Flask applications with the help of the Babel library.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-flask-babel -f %{pyproject_files}
%license LICENSE
