# Created by pyp2rpm-3.3.3
%global pypi_name flask-babelex

Name:           python-%{pypi_name}
Version:        0.9.4
Release:        %mkrel 6
Summary:        Adds i18n/l10n support to Flask applications
Group:          Development/Python
License:        BSD
URL:            https://github.com/mrjoes/flask-babelex
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/Flask-BabelEx-%{version}.tar.gz
Patch0:         flask-babelex-0.9.4-speaklater-require.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:	python3dist(flask-sphinx-themes)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
Flask-BabelEx implements i18n and l10n support for Flask.  This is fork of the
official Flask-Babel extension with additional features:

1. It is possible to use multiple language catalogs in one Flask application;
2. Localization domains: your extension can package localization file(s) and use them
   if necessary;
3. Does not reload localizations for each request.

Flask-BabelEx is API-compatible with Flask-Babel.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Flask-BabelEx implements i18n and l10n support for Flask.  This is fork of the
official Flask-Babel extension with additional features:

1. It is possible to use multiple language catalogs in one Flask application;
2. Localization domains: your extension can package localization file(s) and use them
   if necessary;
3. Does not reload localizations for each request.

Flask-BabelEx is API-compatible with Flask-Babel.

%prep
%autosetup -n Flask-BabelEx-%{version}

# Remove bundled egg-info
rm -rf Flask_BabelEx.egg-info/

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc html
%{python3_sitelib}/flask_babelex/
%{python3_sitelib}/Flask_BabelEx-%{version}-py%{python3_version}.egg-info
