# Created by pyp2rpm-3.3.5
%global pypi_name flask_compress
%global src_name flask-compress

Name:           python-%{src_name}
Version:        1.17
Release:        %mkrel 2
Summary:        Compress responses in your Flask app with gzip, deflate or brotli
Group:          Development/Python
License:        MIT
URL:            https://github.com/colour-science/flask-compress
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Flask-Compress allows you to easily
compress your Flask application's responses with gzip, deflate or brotli. It
originally started as a fork of [Flask-gzip]( preferred solution is to have a
server like Nginx automatically compress the static files for you.

%package -n     python3-%{src_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{src_name}}

%description -n python3-%{src_name}
Flask-Compress allows you to easily
compress your Flask application's responses with gzip, deflate or brotli. It
originally started as a fork of [Flask-gzip]( preferred solution is to have a
server like Nginx automatically compress the static files for you.


%prep
%autosetup -n %{pypi_name}-%{version}

# relax constraint
sed -i "s/<8//" pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flask_compress


%check
# Skip tests requiring network
%pytest -v -k 'not UrlTests'

%files -n python3-%{src_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md

