%global pkg_name flask-gravatar
%global mod_name Flask-Gravatar
%global desc Small extension for Flask to make usage of the Gravatar service.

Name:           python-%{pkg_name}
Version:        0.5.0
Release:        %mkrel 10
Summary:        Small extension for Flask to make usage of Gravatar service
License:        BSD-3-Clause
Group:          Development/Python
Url:            https://github.com/zzzsochi/Flask-Gravatar/
Source:         https://files.pythonhosted.org/packages/source/F/Flask-Gravatar/Flask-Gravatar-%{version}.tar.gz
Patch0:         fix-requirements.patch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

# End of test requirements
BuildArch:      noarch

%description
%{desc}

%package -n python%{python3_pkgversion}-%{pkg_name}
Summary:        Small extension for Flask to make usage of Gravatar service

%description -n python%{python3_pkgversion}-%{pkg_name}
%{desc}

%prep
%setup -q -n Flask-Gravatar-%{version}
%patch 0 -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flask_gravatar

%check
#export LC_CTYPE=en_US@UTF-8
#python3 setup.py test

%files -n python%{python3_pkgversion}-%{pkg_name} -f %{pyproject_files}
%doc AUTHORS CHANGES.rst README.rst
%license LICENSE
