# Created by pyp2rpm-3.3.3
%global pypi_name flask-login

Name:           python-%{pypi_name}
Version:        0.6.3
Release:        %mkrel 3
Summary:        User session management for Flask
Group:          Development/Python
License:        MIT
URL:            https://github.com/maxcountryman/flask-login
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/Flask-Login-%{version}.tar.gz
BuildArch:      noarch

BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Flask-Login provides user session management for Flask. It handles the common
tasks of logging in, logging out, and remembering your users' sessions over
extended periods of time.

Flask-Login is not bound to any particular database system or permissions
model. The only requirement is that your user objects implement a few methods,
and that you provide a callback to the extension capable of loading users from
their ID.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(flask)

%description -n python3-%{pypi_name}
Flask-Login provides user session management for Flask. It handles the common
tasks of logging in, logging out, and remembering your users' sessions over
extended periods of time.

Flask-Login is not bound to any particular database system or permissions
model. The only requirement is that your user objects implement a few methods,
and that you provide a callback to the extension capable of loading users from
their ID.

%prep
%autosetup -n Flask-Login-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flask_login

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

