%global pypi_name flask-multistatic

Name:               python-%{pypi_name}
Version:            1.0
Release:            %mkrel 15
Summary:            A simple flask plugin to allow overriding static files
Group:              Development/Python
License:            BSD
URL:                https://pagure.io/flask-multistatic/
Source0:            %{pypi_source}
BuildArch:          noarch
BuildRequires:      pyproject-rpm-macros
BuildRequires:      python3-devel

%description
Simple flask plugin allowing to override static files, making theming flask
applications really easy.

%package -n         python3-%{pypi_name}
Summary:            A simple flask plugin to allow overriding static files
Group:              Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Simple flask plugin allowing to override static files, making theming flask
applications really easy.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flask_multistatic

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE
