# Created by pyp2rpm-3.3.3
%global pypi_name flask-principal

Name:           python-%{pypi_name}
Version:        0.4.0
Release:        %mkrel 6
Summary:        Identity management for flask
Group:          Development/Python
License:        MIT
URL:            https://packages.python.org/Flask-Principal/
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/Flask-Principal-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
Flask Principal Identity management for Flask.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(blinker)
Requires:       python3dist(flask)

%description -n python3-%{pypi_name}
Flask Principal Identity management for Flask.

%prep
%autosetup -n Flask-Principal-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flask_principal

%check
%pyproject_check_import
#%%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
