%global mod_name Flask-SQLAlchemy

Name:           python-flask-sqlalchemy
Version:        3.1.1
Release:        %mkrel 2
Summary:        Adds SQLAlchemy support to Flask application
Group:          Development/Python
License:        BSD
URL:            https://github.com/mitsuhiko/flask-sqlalchemy
Source0:        https://github.com/pallets-eco/flask-sqlalchemy/archive/refs/tags/%{version}.tar.gz

BuildArch:      noarch

%description
Flask-SQLAlchemy is an extension for Flask that adds support for
SQLAlchemy to your application. It aims to simplify using SQLAlchemy with
Flask by providing useful defaults and extra helpers that make it easier
to accomplish common tasks.

%package -n python3-flask-sqlalchemy
Summary:        Adds SQLAlchemy support to Flask application
Group:          Development/Python
Provides:       python3-%{mod_name} = %{version}-%{release}
BuildRequires:  python3-devel

%description -n python3-flask-sqlalchemy
Flask-SQLAlchemy is an extension for Flask that adds support for
SQLAlchemy to your application. It aims to simplify using SQLAlchemy with
Flask by providing useful defaults and extra helpers that make it easier
to accomplish common tasks.

Python 3 version.

%prep
%setup -q -n flask-sqlalchemy-%{version}
rm -f docs/_static/.DS_Store
rm -f docs/.DS_Store
rm -f docs/_themes/.gitignore

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flask_sqlalchemy

%files -n python3-flask-sqlalchemy -f %{pyproject_files}
%doc docs/ CHANGES.rst
