Name:           python-flexcache
Version:        0.3
Release:        %mkrel 2
Summary:        Saves and loads to the cache a transformed versions of a source object
Group:          Development/Python

License:        BSD
URL:            https://github.com/hgrecco/flexcache
Source:         %{pypi_source flexcache}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)


%global _description %{expand:
An robust and extensible package to cache on disk the result of expensive
calculations.}

%description %_description

%package -n     python3-flexcache
Summary:        %{summary}

%description -n python3-flexcache %_description


%prep
%autosetup -p1 -n flexcache-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files flexcache


%check
%pyproject_check_import
%pytest


%files -n python3-flexcache -f %{pyproject_files}
%doc README.rst
%license LICENSE

