# Created by pyp2rpm-3.3.7
%global pypi_name flufl.flake8
%global pypi_version 0.10

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %mkrel 5
Summary:        A flake8 plugin for GNU Mailman import order
Group:          Development/Python
License:        ASLv2
URL:            https://gitlab.com/warsaw/flufl.flake8
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
A plugin for flake8 which checks for a particular import style.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
A plugin for flake8 which checks for a particular import style.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flufl

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/flufl.flake8-%{version}-*-nspkg.pth

