Name:           python-fonticon-fontawesome5
Version:        5.15.4
Release:        %mkrel 2
Summary:        FontAwesome 5 extension for superqt font icons
Group:          Development/Python

License:        MIT
URL:            https://github.com/tlambert03/fonticon-fontawesome5
Source:         %{pypi_source fonticon-fontawesome5}

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
FontAwesome 5 extension for superqt font icons.}

%description %_description

%package -n     python3-fonticon-fontawesome5
Summary:        %{summary}

%description -n python3-fonticon-fontawesome5 %_description


%prep
%autosetup -p1 -n fonticon-fontawesome5-%{version}


%generate_buildrequires
%pyproject_buildrequires 


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files fonticon_fa5


%check
%pyproject_check_import


%files -n python3-fonticon-fontawesome5 -f %{pyproject_files}
%doc README.md
%license LICENSE

