Name:           python-fonticon-materialdesignicons7
Version:        7.2.96
Release:        %mkrel 2
Summary:        Material Design Icons 7 extension for superqt font icons
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/fonticon-materialdesignicons7/
Source:         %{pypi_source fonticon_materialdesignicons7}

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
Material Design Icons 7 extension for superqt font icons.}

%description %_description

%package -n     python3-fonticon-materialdesignicons7
Summary:        %{summary}

%description -n python3-fonticon-materialdesignicons7 %_description


%prep
%autosetup -p1 -n fonticon_materialdesignicons7-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files fonticon_mdi7


%check
%pyproject_check_import


%files -n python3-fonticon-materialdesignicons7 -f %{pyproject_files}
%doc README.md
%license LICENSE

