# Created by pyp2rpm-3.3.1
%global pypi_name fontmake

Name:           python-%{pypi_name}
Version:        3.7.1
Release:        %mkrel 2
Summary:        Compile fonts from sources (UFO, Glyphs) to binary (OpenType, TrueType)
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/googlei18n/fontmake
Source0:        %{pypi_source %{pypi_name} %{version} zip}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(attrs)
BuildRequires:  python3dist(booleanoperations)
BuildRequires:  python3dist(cu2qu)
BuildRequires:  python3dist(fontmath)
BuildRequires:  python3dist(fonttools)
BuildRequires:  python3dist(glyphslib)
BuildRequires:  python3dist(mutatormath)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(ufo2ft)
BuildRequires:  python3dist(ufolib2)

%description
This library provides a wrapper for several other Python libraries which
together compile fonts from various sources (.glyphs, .ufo) into binaries
(.otf, .ttf).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       fontmake = %{version}-%{release}

%description -n python3-%{pypi_name}
This library provides a wrapper for several other Python libraries which
together compile fonts from various sources (.glyphs, .ufo) into binaries
(.otf, .ttf).

%{?pyproject_extras_subpkg:%pyproject_extras_subpkg -n python3-%{pypi_name} -i %{python3_sitelib}/%{pypi_name}-%{version}.dist-info lxml mutatormath}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%{_bindir}/fontmake
