# Created by pyp2rpm-3.3.1
%global pypi_name fontmath

Name:           python-%{pypi_name}
Version:        0.9.4
Release:        %mkrel 1
Summary:        A set of objects for performing math operations on font data
Group:          Development/Python
License:        MIT
URL:            https://github.com/typesupply/fontMath
Source0:        %{pypi_source %pypi_name %version zip}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(fonttools)
BuildRequires:  python3dist(pytest) >= 3.0.3
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
A set of objects for performing math operations on font data.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A set of objects for performing math operations on font data.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files fontMath

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license License.txt
