# Created by pyp2rpm-3.3.1
%global pypi_name fontpens

%bcond_with tests

Name:           python-%{pypi_name}
Version:        0.2.4
Release:        %mkrel 10
Summary:        A collection of classes implementing the pen protocol for manipulating glyphs
Group:          Development/Python
License:        OpenSource, BSD-style
URL:            https://github.com/robofab-developers/fontPens
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/fontPens-%{version}.zip
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(fonttools) >= 3.20.0
%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif
BuildRequires:  python3dist(setuptools)

%description
A collection of classes implementing the pen protocol for manipulating
glyphs.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(fonttools) >= 3.20.0

%description -n python3-%{pypi_name}
A collection of classes implementing the pen protocol for manipulating
glyphs.


%prep
%autosetup -n fontPens-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files fontPens

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
