Name:       python-formats
Version:    0.1.1
Release:    %mkrel 14
Summary:    Python 2 and 3 compatibility utilities
Group:      Development/Python
License:    MIT
URL:        https://pypi.org/project/formats/
Source0:    https://files.pythonhosted.org/packages/source/f/formats/formats-%{version}.tar.gz
BuildArch:  noarch

%description
python-formats provides support for multiple formats with ease
Python 2 and Python 3.

%package -n python3-formats
Summary:        %{summary} / Python 3 library
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  python3-devel

%description -n python3-formats
python-formats provides support for multiple formats with ease
Python 2 and Python 3.

%prep
%setup -q -n formats-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files formats

%files -n python3-formats -f %{pyproject_files}
%doc README.rst
