%define srcname FormEncode
%define module  formencode
%define rel     2

Name:           python-%{module}
Version:        2.1.0
Release:        %mkrel %{rel}
Summary:        HTML form validation, generation, and conversion package
Group:          Development/Python
License:        Python
URL:            https://formencode.org/
Source0:        https://files.pythonhosted.org/packages/source/F/%{srcname}/%{srcname}-%{version}.tar.gz
Patch1:         FormEncode-python-3.10.patch
BuildArch:      noarch

%description
FormEncode validates and converts nested structures. It allows for a
declarative form of defining the validation, and decoupled processes
for filling and generating forms.

%package -n python3-%{module}
Summary:        HTML form validation, generation, and conversion package
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
FormEncode validates and converts nested structures. It allows for a
declarative form of defining the validation, and decoupled processes
for filling and generating forms.

%files -n python3-%{module} -f %{pyproject_files}
%doc PKG-INFO docs
%license LICENSE.txt

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files formencode
