Name:           python-gammu
Version:        3.2.4
Release:        %mkrel 5
Summary:        Python bindings for Gammu
Group:          Development/Python
License:        GPLV2+
URL:            https://wammu.eu/python-gammu/
Source0:        %{pypi_source}
BuildRequires:  pkgconfig(gammu)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
Python bindings which allow you to use (most) of Gammu functionality from
Python language.

%package -n     python3-gammu
Summary:        Python 3 bindings for Gammu
%{?python_provide:%python_provide python3-gammu}

%description -n python3-gammu
Python3 bindings which allow you to use (most) of Gammu functionality from
Python language.

%prep
%autosetup

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files gammu

%files -n python3-gammu -f %{pyproject_files}
%license COPYING
%doc AUTHORS NEWS.rst README.rst
