# Created by pyp2rpm-1.0.1
%global pypi_name gevent-websocket
%define version 0.10.1

Name:           python-gevent-websocket
Version:        %{version}
Release:        %mkrel 4
Group:          Development/Python
Summary:        Websocket handler for the gevent pywsgi server, a Python network library

License:        ASL 2.0
URL:            https://bitbucket.org/noppo/gevent-websocket
Source0:        https://pypi.python.org/packages/source/g/gevent-websocket/gevent-websocket-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description
gevent-websocket is a WebSocket library for the gevent networking library.

Features include:

- Integration on both socket level or using an abstract interface.
- RPC and PubSub framework using WAMP (WebSocket Application
  Messaging Protocol).
- Easily extendible using a simple WebSocket protocol plugin API

%package -n     python3-%{pypi_name}
Summary:        Websocket handler for the gevent pywsgi server, a Python network library


%description -n python3-%{pypi_name}
gevent-websocket is a WebSocket library for the gevent networking library.

Features include:

- Integration on both socket level or using an abstract interface.
- RPC and PubSub framework using WAMP (WebSocket Application
  Messaging Protocol).
- Easily extendible using a simple WebSocket protocol plugin API


%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files geventwebsocket

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst LICENSE

