# Created by pyp2rpm-3.3.1
%global pypi_name glyphslib
%global srcname glyphsLib

%bcond_with tests

Name:           python-%{pypi_name}
Version:        6.6.0
Release:        %mkrel 3
Summary:        A bridge from Glyphs source files (.glyphs) to UFOs
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/googlei18n/glyphsLib
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(defcon)
BuildRequires:  python3dist(fonttools)
%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
This library provides a bridge from Glyphs source files (.glyphs) to UFOs via
defcon.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This library provides a bridge from Glyphs source files (.glyphs) to UFOs via
defcon.

%prep
%autosetup -n glyphsLib-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files glyphsLib

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/glyphs2ufo
%{_bindir}/ufo2glyphs
