Name:           python-gnupg
Version:        0.5.2
Release:        %mkrel 2
Summary:        Python module for GnuPG
Group:          Development/Python
License:        BSD
URL:            https://pythonhosted.org/python-gnupg/
Source0:        https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
Requires:       gnupg2

%description
GnuPG bindings for Python. This uses the gpg command.

%package -n python3-gnupg
Summary:        Python3 module for GnuPG
Group:          Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-gnupg}
Requires:       gnupg2

%description -n python3-gnupg
GnuPG bindings for Python3. This uses the gpg command.

%prep
%setup -q

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files gnupg

%files -n python3-gnupg -f %{pyproject_files}
%doc README.rst
%license LICENSE.txt


