%define pypi_name	google_api_python_client
%define src_name	google-api-python-client

Name:		python-%{src_name}
Summary:	Python libraries for accessing Google APIs
Version:	2.149.0
Release:	%mkrel 3
License:	ASL 2.0
Group:		Development/Python
URL:		https://github.com/googleapis/google-api-python-client
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	python3-setuptools

%description
Python libraries for accessing Google APIs.

%package -n python3-%{src_name}
Summary:	Python 3 libraries for accessing Google APIs
Group:		Development/Python

%description -n python3-%{src_name}
Python 3 libraries for accessing Google APIs.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# simplify requirement on google-api-core
sed -i "s/google-api-core >= 1.31.5, <3.0.0.dev0,!=2.0.*,!=2.1.*,!=2.2.*,!=2.3.0/google-api-core>=1.31.5/" setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files apiclient googleapiclient

%files -n python3-%{src_name} -f %{pyproject_files}
%license LICENSE
%doc README*
