%global pypi_name googletrans

Name:           python-%{pypi_name}
Version:        4.0.2
Release:        %mkrel 2
Summary:        Google Translate API for Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/googletrans/
Source0:        %pypi_source
#papoteur suggest this https://bugs.mageia.org/show_bug.cgi?id=34142#c4
Source1:		translate

BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Googletrans is a free and unlimited python library that implemented Google
Translate API.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Googletrans is a free and unlimited python library that implemented Google
Translate API.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}
install -Dm755 %{SOURCE1} %{buildroot}/%{_bindir}/translate

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/translate
