%define pypi_name greenlet

Name:		python-greenlet
Version:	3.1.1
Release:	%mkrel 2
Summary:	Lightweight in-process concurrent programming
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/greenlet/
Source0:	%{pypi_source}
BuildRequires:	glibc-devel
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3-devel

%description
The greenlet package is a spin-off of Stackless, a version of CPython that
supports micro-threads called "tasklets".

%package -n python3-greenlet
Summary:	%{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-greenlet
The greenlet package is a spin-off of Stackless, a version of CPython that
supports micro-threads called "tasklets".

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-greenlet -f %{pyproject_files}
%doc AUTHORS README*
%{_includedir}/python%{python3_version}/%{pypi_name}/
%exclude %{python3_sitearch}/greenlet/tests/
