# Created by pyp2rpm-3.3.8
%global pypi_name grpcio-status
%global srcname grpcio_status

Name:           python-%{pypi_name}
Version:        1.71.0
Release:        %mkrel 1
Summary:        Status proto mapping for gRPC
Group:          Development/Python
License:        Apache License 2.0
URL:            https://grpc.io
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Reference package for GRPC Python status proto mapping.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:	python3-%{srcname} < 1.64.1-3

%description -n python3-%{pypi_name}
Reference package for GRPC Python status proto mapping.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files grpc_status

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
