%global pypi_name gtts
%global srcname gTTS

Name:           python-%{pypi_name}
Version:        2.5.4
Release:        %mkrel 2
Summary:        Python library and CLI tool to interface with Google Translate text-to-speech API
Group:          Development/Python
License:        MIT
URL:            https://github.com/pndurette/gTTS
Source0:        %{pypi_source %pypi_name}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
gTTS (Google Text-to-Speech), a Python library and CLI tool to interface with
Google Translate's text-to-speech API.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       %{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}
gTTS (Google Text-to-Speech), a Python library and CLI tool to interface with
Google Translate's text-to-speech API.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/gtts-cli
