%global pypi_name guessit

Name:           python-%{pypi_name}
Version:        3.8.0
Release:        %mkrel 2
Summary:        A library for guessing information from video filenames
Group:          Development/Python
License:        GPLv3
URL:            https://pypi.org/project/guessit/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
GuessIt is a python library that extracts as much information as possible from
a video filename.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest-runner)

%description -n python3-%{pypi_name}
GuessIt is a python library that extracts as much information as possible from
a video filename.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files guessit

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS.md CHANGELOG.md CONTRIBUTING.md LICENSE README.md 
%{_bindir}/guessit
