%define pypi_name	h2

Name:		python-%{pypi_name}
Version:	4.2.0
Release:	%mkrel 2
Summary:	HTTP/2 State-Machine based protocol implementation
Group:		Development/Python
License:	MIT
URL:		https://pypi.python.org/pypi/h2
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)

%description
This module contains a pure-Python implementation of a HTTP/2 protocol stack.
It’s written from the ground up to be embeddable in whatever program
you choose to use, ensuring that you can speak HTTP/2 regardless of
your programming paradigm.

%package -n	python3-%{pypi_name}
Summary:	HTTP/2 State-Machine based protocol implementation
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n	python3-%{pypi_name}
This module contains a pure-Python implementation of a HTTP/2 protocol stack.
It’s written from the ground up to be embeddable in whatever program
you choose to use, ensuring that you can speak HTTP/2 regardless of
your programming paradigm.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE*
%doc README*
