%global pypi_name hatch-fancy-pypi-readme
%global srcname hatch_fancy_pypi_readme

Name:           python-%{pypi_name}
Version:        24.1.0
Release:        %mkrel 2
Summary:        Metadata plugin for Hatch
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/hatch-fancy-pypi-readme/
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel

%description
hatch-fancy-pypi-readme is a metadata plugin for Hatch. Its purpose is to help
you to have fancy PyPI readmes.

%package -n python3-%{pypi_name}
Summary:        Metadata plugin for Hatch
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
hatch-fancy-pypi-readme is a metadata plugin for Hatch. Its purpose is to help
you to have fancy PyPI readmes.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/hatch-fancy-pypi-readme
