Name:           python-hcoop-meetbot
Version:        0.6.15
Release:        %mkrel 1
Summary:        Plugin for Limnoria to help run IRC meetings
Group:          Networking/IRC

License:        Apache-2.0
URL:            https://pypi.org/project/hcoop-meetbot/
Source:         %{pypi_source hcoop_meetbot}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(pytest)

%description
hcoop-meetbot is a plugin for Limnoria, a bot framework for IRC. It is designed
to help run meetings on IRC.

%package -n     python3-hcoop-meetbot
Summary:        %{summary}
Provides:       meetbot = %{version}-%{release}

%description -n python3-hcoop-meetbot
hcoop-meetbot is a plugin for Limnoria, a bot framework for IRC. It is designed
to help run meetings on IRC.

%prep
%autosetup -p1 -n hcoop_meetbot-%{version}

%generate_buildrequires
%pyproject_buildrequires -x docs

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files HcoopMeetbot hcoopmeetbotlogic

%check
%pyproject_check_import
export TZ=UTC
%pytest

%files -n python3-hcoop-meetbot -f %{pyproject_files}
%doc README.md Changelog
%license LICENSE NOTICE
%{_bindir}/meetbot
