# Created by pyp2rpm-3.3.8
%global pypi_name hidapi

Name:           python-%{pypi_name}
Version:        0.14.0.post4
Release:        %mkrel 1
Summary:        A Cython interface to the hidapi
Group:          Development/Python
License:        None
URL:            https://github.com/trezor/cython-hidapi
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(hidapi-libusb)

%description
Python wrapper for the HIDAPI.

%package -n     python3-%{pypi_name}
Summary:        A Cython interface to the hidapi
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python3 wrapper for the HIDAPI.

%prep
%autosetup -n %{pypi_name}-%{version}

# Build with system hidapi
rm -rf hidapi/

%generate_buildrequires
%pyproject_buildrequires

%build
export HIDAPI_SYSTEM_HIDAPI=True
%pyproject_wheel

%install
export HIDAPI_SYSTEM_HIDAPI=True
%pyproject_install
%pyproject_save_files hid hidraw

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE-bsd.txt LICENSE-gpl3.txt LICENSE-orig.txt LICENSE.txt
%doc README.rst
