%define pypi_name hstspreload

Name:       python-%{pypi_name}
Version:    2024.11.1
Release:    %mkrel 2
Summary:    Chromium HSTS Preload list as a Python package and updated daily
Group:      Development/Python
License:    BSD
URL:        https://pypi.org/project/hstspreload
Source0:    %{pypi_source}
BuildArch:  noarch

%description
Chromium HSTS Preload list as a Python package and updated daily.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Chromium HSTS Preload list as a Python package and updated daily.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files hstspreload

%files -n python3-%{pypi_name} -f %{pyproject_files}
