%define pypi_name httpcore

Name:       python-%{pypi_name}
Version:    1.0.7
Release:    %mkrel 2
Summary:    A minimal low-level HTTP client
Group:      Development/Python
License:    BSD
URL:        https://pypi.org/project/httpcore
Source0:    %{pypi_source}
BuildArch:  noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
The HTTP Core package provides a minimal low-level HTTP client, which does one
thing only. Sending HTTP requests.

%package -n     python3-%{pypi_name}
Summary:        A minimal low-level HTTP client
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The HTTP Core package provides a minimal low-level HTTP client, which does one
thing only. Sending HTTP requests.

%pyproject_extras_subpkg -n python3-%{pypi_name} http2 socks

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files httpcore

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md CHANGELOG.md
%license LICENSE.md
