# Created by pyp2rpm-3.3.6
%global pypi_name httpx-socks
 	%global srcname httpx_socks

Name:           python-%{pypi_name}
Version:        0.10.0
Release:        %mkrel 2
Summary:        Proxy (HTTP, SOCKS) transports for httpx
Group:          Development/Python
License:        Apache 2
URL:            https://github.com/romis2012/httpx-socks
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
The httpx-socks package provides proxy transports for httpx client. SOCKS4(a),
SOCKS5, HTTP (tunneling) proxy supported. It uses python-socks for core proxy
functionality.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The httpx-socks package provides proxy transports for httpx client. SOCKS4(a),
SOCKS5, HTTP (tunneling) proxy supported. It uses python-socks for core proxy
functionality.

%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files httpx_socks

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md
