%global pypi_name humanize

# checks are failing for reason in our BS
%bcond_with check

Name:           python-humanize
Version:        4.12.1
Release:        %mkrel 1
Summary:        Turns dates in to human readable format, e.g '3 minutes ago'
Group:          Development/Python
License:        MIT
URL:            https://github.com/python-humanize/humanize
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
This modest package contains various common humanization utilities, like turning
a number into a fuzzy human readable duration ('3 minutes ago') or into a human
readable size or throughput.

%package -n python3-%{pypi_name}
Summary: Turns dates in to human readable format, e.g '3 minutes ago'
%{?python_provide:%python_provide python3-humanize}

%description -n python3-%{pypi_name}
This modest package contains various common humanization utilities, like turning
a number into a fuzzy human readable duration ('3 minutes ago') or into a human
readable size or throughput.

%prep
%autosetup -p1 -n %pypi_name-%{version}

# Remove .po files
find . -name '*.po' -delete

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x tests}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENCE
%doc README*
