%define pypi_name hupper

Name:           python-%{pypi_name}
Version:        1.12.1
Release:        %mkrel 2
Summary:        Integrated process monitor for developing and reloading daemons
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/hupper/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
hupper is an integrated process monitor that will track changes to any imported
Python files in sys.modules as well as custom paths. When files are changed the
process is restarted.

%package -n     python3-%{pypi_name}
Summary:        Integrated process monitor for developing and reloading daemons
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
hupper is an integrated process monitor that will track changes to any imported
Python files in sys.modules as well as custom paths. When files are changed the
process is restarted.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files hupper

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/hupper
