Name:		python-hwdata
Version:	2.4.1
Release:	%mkrel 3
Summary:	Python bindings to hwdata package
Group:		Development/Python
License:	GPLv2
URL:		https://github.com/xsuchy/python-hwdata
# git clone https://github.com/xsuchy/python-hwdata.git
# cd python-hwdata
# tito build --tgz
Source0:	%{name}-%{name}-%{version}-1.tar.gz
BuildArch:	noarch

%description
Provide python interface to database stored in hwdata package.
It allows you to get human readable description of USB and PCI devices.

%package -n python3-hwdata
Summary:	Python 3 bindings to hwdata package
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:  python3-devel
Requires:	hwdata
%{?python_provide:%python_provide python3-hwdata}

%description -n python3-hwdata
Provide python interface to database stored in hwdata package.
It allows you to get human readable description of USB and PCI devices.

This is the Python 3 build of the module.

%prep
%setup -q -n %{name}-%{name}-%{version}-1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files hwdata

%check
python3-pylint hwdata.py example.py || :

%files -n python3-hwdata -f %{pyproject_files}
%license LICENSE
%doc README.md example.py
%doc html

