%define module	hyperlink

Name:		python-%{module}
Version:	21.0.0
Release:	%mkrel 6
Summary:	A featureful, correct URL for Python
License:	BSD
Group:		Development/Python
Url:		https://pypi.org/project/hyperlink/
Source0:	%{pypi_source %{module}}
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	python3dist(setuptools)

%description
Hyperlink is a featureful, pure-Python implementation of the URL,
with an emphasis on correctness.

%package -n	python3-%{module}
Summary:	A featureful, correct URL for Python 3
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Hyperlink is a featureful, pure-Python 3 implementation of the URL,
with an emphasis on correctness.

%prep
%autosetup -p1 -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{module}

%files -n python3-%{module} -f %{pyproject_files}
%doc CHANGELOG.md README.md
%license LICENSE
