Name:           python-id
Version:        1.5.0
Release:        %mkrel 3
Summary:        A tool for generating OIDC identities
Group:          Development/Python
License:        Apache 2.0
URL:            https://pypi.org/project/id/
Source:         %{pypi_source id}

BuildArch:      noarch
BuildRequires:  python3-devel

%description
id is a Python tool for generating OIDC identities. It can automatically detect
and produce OIDC credentials on a number of environments, including GitHub
Actions, GitLab pipelines and Google Cloud.

%package -n     python3-id
Summary:        %{summary}
Obsoletes:      python3-id+lint < 1.5.0-3

%description -n python3-id
id is a Python tool for generating OIDC identities. It can automatically detect
and produce OIDC credentials on a number of environments, including GitHub
Actions, GitLab pipelines and Google Cloud.

%prep
%autosetup -p1 -n id-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files id

%files -n python3-id -f %{pyproject_files}
%doc README.md
