# Created by pyp2rpm-3.3.2
%global pypi_name identify

Name:           python-%{pypi_name}
Version:        2.6.8
Release:        %mkrel 1
Summary:        File identification library for Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/identify
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Given a file (or some information about a file), return a set of standardized
tags identifying what the file is.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Given a file (or some information about a file), return a set of standardized
tags identifying what the file is.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files identify

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/identify-cli
