%define srcname	imagesize

Name:		python-imagesize
Summary:	Getting image size from png/jpeg/jpeg2000/gif file
Version:	1.4.1
Release:	%mkrel 3
Group:		Development/Python
License:	MIT
URL:		https://github.com/shibukawa/imagesize_py
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  python3-devel

%description
It parses image files’ header and return image size.
    PNG
    JPEG
    JPEG2000
    GIF

%package -n python3-%{srcname}
Summary:	Getting image size from png/jpeg/jpeg2000/gif file
Group:		Development/Python
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-imagesize
It parses image files’ header and return image size.
    PNG
    JPEG
    JPEG2000
    GIF

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files imagesize

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst


