%define module	incremental

Name:		python-%{module}
Version:	24.7.2
Release:	%mkrel 2
Summary:	Library for versioning Python projects
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/incremental/
Source0:	%{pypi_source %{module}}
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3-devel

%description
Library for versioning Python projects.

%package -n	python3-%{module}
Summary:	Library for versioning Python projects
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
Library for versioning Python projects.

%prep
%autosetup -p1 -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files incremental

%files -n python3-%{module} -f %{pyproject_files}
%doc NEWS.rst README.rst
%license LICENSE
