%define pypi_name ipykernel

Name:           python-%{pypi_name}
Version:        6.29.5
Release:        %mkrel 1
Group:          Development/Python
Summary:        IPython kernel for Jupyter

License:        BSD
URL:            https://pypi.org/project/ipykernel
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This software component provides an IPython kernel, which will hook itself into
Jupyter.

%package -n python3-%{pypi_name}
Summary:        IPython kernel for Jupyter
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This software component provides an IPython kernel, which will hook itself into
Jupyter.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ipykernel ipykernel_launcher

%files -n python3-%{pypi_name} -f %{pyproject_files}
%dir %{_datadir}/jupyter/kernels
%dir %{_datadir}/jupyter/kernels/python3
%{_datadir}/jupyter/kernels/python3/kernel.json
%{_datadir}/jupyter/kernels/python3/logo*.{png,svg}
