%define pypi_name iso8601

Name:           python-%{pypi_name}
Version:        2.1.0
Release:        %mkrel 2
Summary:        Simple module to parse ISO 8601 dates

Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/iso8601/
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description
This module parses the most common forms of ISO 8601 date strings (e.g.
2007-01-14T20:34:22+00:00) into datetime objects.

%package -n python3-%{pypi_name}
Summary:        Simple module to parse ISO 8601 dates
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This module parses the most common forms of ISO 8601 date strings
(e.g. 2007-01-14T20:34:22+00:00) into datetime objects.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files iso8601

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
