# Created by pyp2rpm-3.3.5
%global pypi_name isoduration

Name:           python-%{pypi_name}
Version:        20.11.0
Release:        %mkrel 2
Summary:        Operations with ISO 8601 durations
Group:          Development/Python
License:        None
URL:            https://github.com/bolsote/isoduration
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Operations with ISO 8601 durations.ISO 8601 is most commonly known as a way to
exchange datetimes in textual format. A lesser known aspect of the standard is
the representation of durations.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Operations with ISO 8601 durations.ISO 8601 is most commonly known as a way to
exchange datetimes in textual format. A lesser known aspect of the standard is
the representation of durations.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
