# Created by pyp2rpm-3.2.2
%global pypi_name isort

Name:           python-isort
Version:        5.13.2
Release:        %mkrel 2
Group:          Development/Python
Summary:        A Python utility / library to sort Python imports
License:        MIT
URL:            https://github.com/timothycrosley/isort
Source0:	%{pypi_source}
BuildArch:      noarch

%description
isort is a Python utility / library to sort imports alphabetically, and
automatically separated into sections. It provides a command line utility,
Python library and plugins for various editors to quickly sort all your
imports.

%package -n     python3-%{pypi_name}
Summary:        A Python utility / library to sort Python imports
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{pypi_name}
isort is a Python utility / library to sort imports alphabetically, and
automatically separated into sections. It provides a command line utility,
Python library and plugins for various editors to quickly sort all your
imports.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files isort

rm -fr %{buildroot}%{python3_sitelib}/tests

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/isort
%{_bindir}/isort-identify-imports
