 %define pypi_name	jsbeautifier

Name:		python-%{pypi_name}
Version:	1.15.3
Release:	%mkrel 1
Summary:	JavaScript unobfuscator and beautifier
Group:		Development/Python
License:	MIT
URL:		https://github.com/beautify-web/js-beautify
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)

%description
Beautify, unpack or deobfuscate JavaScript.
Handles popular online obfuscators.

%package -n	python3-%{pypi_name}
Summary:	JavaScript unobfuscator and beautifier
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n	python3-%{pypi_name}
Beautify, unpack or deobfuscate JavaScript.
Handles popular online obfuscators.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{_bindir}/js-beautify
