# Created by pyp2rpm-3.3.10
%global pypi_name python-json-logger
%global srcname python_json_logger

%bcond_with check

Name:           python-json-logger
Version:        3.2.1
Release:        %mkrel 1
Summary:        A python library adding a json log formatter
Group:          Development/Python
License:        BSD
URL:            https://github.com/madzak/python-json-logger
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
This library is provided to allow standard python logging to output log data as
json objects. With JSON we can make our logs more readable by machines and we
can stop writing custom parsers for syslog type records.

%package -n     python3-json-logger
Summary:        %{summary}
%{?python_provide:%python_provide python3-json-logger}

%description -n python3-json-logger
This library is provided to allow standard python logging to output log data as
json objects. With JSON we can make our logs more readable by machines and we
can stop writing custom parsers for syslog type records.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pythonjsonlogger

%if %{with check}
%check
%pytest
%endif

%files -n python3-json-logger -f %{pyproject_files}
%license LICENSE
%doc README.md
