Name:           python-jsonpickle
Version:        4.0.2
Release:        %mkrel 1
Summary:        Serialize any Python object to JSON
Group:          Development/Python

License:        BSD
URL:            https://github.com/jsonpickle/jsonpickle
Source:         %{pypi_source jsonpickle}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
# for tests
# BuildRequires:  python3dist(numpy)
# BuildRequires:  python3dist(pandas)


%global _description %{expand:
Python library for serializing arbitrary object graphs into JSON.}

%description %_description

%package -n     python3-jsonpickle
Summary:        %{summary}

%description -n python3-jsonpickle %_description


%prep
%autosetup -p1 -n jsonpickle-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files jsonpickle

%check
# needing module atheris not imported
#pytest

%files -n python3-jsonpickle -f %{pyproject_files}
%license LICENSE
%doc README.rst
