%define pypi_name jsonpointer

Name:           python-jsonpointer
Version:        2.4
Release:        %mkrel 2
Group:          Development/Python
Summary:        Identify specific nodes in a JSON document (RFC 6901)

License:        Modified BSD License
URL:            https://pypi.org/project/jsonpointer/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Library to resolve JSON Pointers according to RFC 6901.
(http://tools.ietf.org/html/rfc6901)

%package -n     python3-%{pypi_name}
Summary:        Identify specific nodes in a JSON document (RFC 6901)
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Library to resolve JSON Pointers according to RFC 6901.
(http://tools.ietf.org/html/rfc6901)

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jsonpointer

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/jsonpointer
