%define pypi_name	jupyter-cache
%define srcname	jupyter_cache

Name:		python-jupyter-cache
Version:	1.0.0
Release:	%mkrel 2
Summary:	A defined interface for working with a cache of jupyter notebooks
Group:		Development/Python
License:	GPLv2+
URL:		https://pypi.org/project/jupyter-cache/
Source0:	%{pypi_source}
BuildArch:	noarch

%description
A defined interface for working with a cache of jupyter notebooks

%package -n python3-jupyter-cache
Summary:	A defined interface for working with a cache of jupyter notebooks
Group:		Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(python3)

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-jupyter-cache
A defined interface for working with a cache of jupyter notebooks

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jupyter_cache

%files -n python3-jupyter-cache -f %{pyproject_files}
%_bindir/jcache
