# Created by pyp2rpm-3.3.10
%global pypi_name jupyter-lsp

Name:           python-%{pypi_name}
Version:        2.2.5
Release:        %mkrel 1
Summary:        Multi-Language Server WebSocket proxy for Jupyter Notebook/Lab server
Group:          Development/Python
License:        BSD-3-Clause
URL:            https://pypi.org/project/jupyter-lsp/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Multi-Language Server WebSocket proxy for your Jupyter notebook or lab server.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Multi-Language Server WebSocket proxy for your Jupyter notebook or lab server.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jupyter_lsp

mkdir -p %{buildroot}%{_sysconfdir}/jupyter/jupyter_server_config.d/
mv %{buildroot}{%{_prefix},}%{_sysconfdir}/jupyter/jupyter_server_config.d/jupyter-lsp-jupyter-server.json


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_sysconfdir}/jupyter/jupyter_server_config.d/jupyter-lsp-jupyter-server.json
