%global pypi_name jupyter-server-terminals
%global srcname jupyter_server_terminals

Name:		python-jupyter-server-terminals
Summary:	A Jupyter Server Extension Providing Terminals
Version:	0.5.3
Release:	%mkrel 2
License:	BSD 3-Clause
Group:		Development/Python
Url:		https://pypi.org/project/jupyter-server-terminals/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3-devel

%description
Jupyter Server Terminals is a Jupyter Server Extension providing support for terminals.

%package -n python3-%{pypi_name}
Summary:	%{summary}

%description -n python3-%{pypi_name}
Jupyter Server Terminals is a Jupyter Server Extension providing support for terminals.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

install -m 0755 -p -d %{buildroot}%{_sysconfdir}/jupyter/jupyter_server_config.d
mv -v %{buildroot}{%{_prefix},}%{_sysconfdir}/jupyter/jupyter_server_config.d/jupyter_server_terminals.json

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGELOG.md README.md
%{_sysconfdir}/jupyter/jupyter_server_config.d/jupyter_server_terminals.json
