%global pypi_name kubernetes

Name:       python-%{pypi_name}
Version:    26.1.0
Release:    %mkrel 2
Summary:    Python client for the kubernetes API
Group:      Development/Python
License:    ASL 2.0
URL:        https://pypi.org/project/kubernetes
Source0:    %{pypi_source}
Patch0:     kubernetes-25.3.0-relax-version-dependencies.patch
BuildArch:  noarch

%description
Python client for the kubernetes API.

%package -n python3-%{pypi_name}
Summary:        Kubernetes Python3 Client
BuildRequires:  python3-devel
BuildRequires:  python3-rpm-macros
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
Python3 client for the kubernetes API.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
