Name:           python-libarchive-c
Version:        5.1
Release:        %mkrel 2
Summary:        Python interface to libarchive
Group:          Development/Python

License:        Creative-Commons-0
URL:            https://github.com/Changaco/python-libarchive-c
Source:         %{pypi_source libarchive-c}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
A Python interface to libarchive. It uses the standard ctypes module to
dynamically load and access the C library.}

%description %_description

%package -n     python3-libarchive-c
Summary:        %{summary}

%description -n python3-libarchive-c %_description


%prep
%autosetup -p1 -n libarchive-c-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files libarchive


%check
%pyproject_check_import


%files -n python3-libarchive-c -f %{pyproject_files}

