%define pypi_name  libusb1

Name:           python-%{pypi_name}
Version:        3.1.0
Release:        %mkrel 2
Summary:        Python ctype-based wrapper around libusb1
Group:          Development/Python
License:        LGPLv2+
URL:            https://github.com/vpelletier/python-libusb1
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Pure-python wrapper for libusb-1.0. Supports all transfer types, both in
synchronous and asynchronous mode.

%package -n     python3-%{pypi_name}
Summary:        Python3 ctype-based wrapper around libusb1
Group:          Development/Python

BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Pure-python wrapper for libusb-1.0. Supports all transfer types, both in
synchronous and asynchronous mode.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files usb1 libusb1

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license COPYING.LESSER
%doc README.rst
