# Created by pyp2rpm-3.3.1
%global pypi_name livereload

Name:           python-%{pypi_name}
Version:        2.7.1
Release:        %mkrel 1
Summary:        Livereload server in python
Group:          Development/Python
License:        BSD
URL:            https://github.com/lepture/python-livereload
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
Reload webpages on changes, without hitting refresh in your browser.

%package -n     python3-%{pypi_name}
Summary:        Livereload server in python
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Reload webpages on changes, without hitting refresh in your browser.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/livereload
