# Created by pyp2rpm-3.3.5
%global pypi_name locket

Name:           python-%{pypi_name}
Version:        1.0.0
Release:        %mkrel 3
Summary:        File-based locks for Python on Linux and Windows
Group:          Development/Python
License:        BSD-2-Clause
URL:            https://github.com/mwilliamson/locket.py
Source0:        https://files.pythonhosted.org/packages/source/l/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)

%description
Locket implements a
file-based lock that can be used by multiple processes provided they use the
same path.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Locket implements a
file-based lock that can be used by multiple processes provided they use the
same path.

%prep
%autosetup -n %{pypi_name}-%{version}

sed -i -e '/python_requires/d' setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
