# Created by pyp2rpm-1.0.1
%global pypi_name Logbook

Name:           python-logbook
Version:        1.7.0
Release:        %mkrel 3
Group:          Development/Python
Summary:        A logging replacement for Python

License:        BSD
Url:            https://pypi.org/project/Logbook/
Source0:        https://pypi.python.org/packages/source/L/Logbook/Logbook-%{version}.tar.gz
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

# to generate .c
BuildRequires:  python3-cython

%description
An awesome logging implementation that is fun to use.

%package -n     python3-logbook
Summary:        A logging replacement for Python
%{?python_provide:%python_provide python3-logbook}

%description -n python3-logbook
An awesome logging implementation that is fun to use.

%prep
%setup -q -n %{pypi_name}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files logbook

%files -n python3-logbook -f %{pyproject_files}
%license LICENSE
%doc README.md
