# Created by pyp2rpm-3.3.5
%global pypi_name python-lsp-black
%global srcname lsp-black

Name:           python-%{srcname}
Version:        2.0.0
Release:        %mkrel 2
Summary:        Black plugin for the Python LSP Server
Group:          Development/Python
License:        None
URL:            https://github.com/python-lsp/python-lsp-black
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm[toml])

BuildRequires:  python3-devel
BuildRequires:  python3dist(flake8)
BuildRequires:  python3dist(isort) >= 5
BuildRequires:  python3dist(mypy)
BuildRequires:  python3dist(pre-commit)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(types-setuptools)
BuildRequires:  python3dist(types-toml)

%description
Black plugin for the Python LSP Server.

%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

Requires:       python3dist(black) >= 22.3
Requires:       python3dist(python-lsp-server) >= 1.4
Requires:       python3dist(toml)

Obsoletes:      python3-pyls-black < 0.4.7-3
Provides:       python3-pyls-black = %{version}-%{release}

%description -n python3-%{srcname}
Black plugin for the Python LSP Server.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-%{srcname}
%doc README.md
%{python3_sitelib}/pylsp_black
%{python3_sitelib}/python_lsp_black-%{version}.dist-info

