# Created by pyp2rpm-3.3.5
%global pypi_name lsp-server
%global srcname python_lsp_server

Name:           python-%{pypi_name}
Version:        1.12.2
Release:        %mkrel 1
Summary:        Python Language Server for the Language Server Protocol
Group:          Development/Python
License:        None
URL:            https://github.com/python-lsp/python-lsp-server
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel


%description
# Python LSP Server
A Python 3.7+ implementation of the Language Server Protocol.
If the respective dependencies are found, the following optional providers will
be enabled:
    Rope for Completions and renaming
    Pyflakes linter to detect various errors
    McCabe linter for complexity checking
    pycodestyle linter for style checking
    pydocstyle linter for docstring style checking (disabled by default)
    autopep8 for code formatting
    YAPF for code formatting (preferred over autopep8)
    flake8 for error checking (disabled by default)
    pylint for code linting (disabled by default)

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Obsoletes:      python3-language-server < 0.36.2-10
Obsoletes:      python3-language-server+all < 0.36.2-10
Provides:       python3-language-server = %{version}-%{release}

%description -n python3-%{pypi_name}
# Python LSP Server
A Python 3.7+ implementation of the Language Server Protocol.
If the respective dependencies are found, the following optional providers will
be enabled:
    Rope for Completions and renaming
    Pyflakes linter to detect various errors
    McCabe linter for complexity checking
    pycodestyle linter for style checking
    pydocstyle linter for docstring style checking (disabled by default)
    autopep8 for code formatting
    YAPF for code formatting (preferred over autopep8)
    flake8 for error checking (disabled by default)
    pylint for code linting (disabled by default)

%pyproject_extras_subpkg -n python3-%{pypi_name} all autopep8 flake8 mccabe pycodestyle pydocstyle pyflakes pylint rope yapf websockets

%prep
%autosetup -n python_lsp_server-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pylsp


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/pylsp

