# Created by pyp2rpm-3.3.8
%global pypi_name meson-python
%global srcname meson_python

Name:           python-%{pypi_name}
Version:        0.17.1
Release:        %mkrel 2
Summary:        Meson Python build backend (PEP 517)
Group:          Development/Python
License:        BSD
URL:            https://github.com/FFY00/meson-python
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  meson
BuildRequires:  python3-devel
BuildRequires:  patchelf

%description
Python build backend (PEP 517) for Meson projects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?py_provides:%py_provides python3-%{srcname}}
%{?py_provides:%py_provides python3-mesonpy}
Requires:       meson >= 0.62.0
Requires:       patchelf

%description -n python3-%{pypi_name}
Python build backend (PEP 517) for Meson projects.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -w

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mesonpy

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.rst
