%define pypi_name python_mimeparse

Name:           python-mimeparse
Version:        2.0.0
Release:        %mkrel 1
Group:          Development/Python
Summary:        Python module for parsing mime-type names
License:        MIT
URL:            https://pypi.org/project/python-mimeparse
Source0:        %{pypi_source}
BuildArch:      noarch

%description
A module provides basic functions for parsing mime-type names and
matching them against a list of media-ranges.

%package -n python3-mimeparse
Summary:        Python 3 module for parsing mime-type names
Group:          Development/Python

BuildRequires:  python3-devel
Provides:       python3-python-mimeparse = %{version}-%{release}
Obsoletes:      python3-python-mimeparse < %{version}-%{release}

%description -n python3-mimeparse
A module provides basic functions for parsing mime-type names
and matching them against a list of media-ranges.

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mimeparse

%files -n python3-mimeparse -f %{pyproject_files}
%license LICENSE
%doc README.rst
