%define pypi_name mistune

Name:           python-%{pypi_name}
Version:        3.1.3
Release:        %mkrel 1
Group:          Development/Python
Summary:        Markdown parser

License:        BSD
URL:            https://github.com/lepture/mistune
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
The fastest markdown parser in pure Python.

%package -n     python3-%{pypi_name}
Summary:        Markdown parser
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The fastest markdown parser in pure Python.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mistune

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE
