%define modname moksha.common

Name:           python-moksha-common
Version:        1.2.5
Release:        %mkrel 10
Summary:        Common components for Moksha

Group:          Development/Python
License:        ASL 2.0 or MIT
URL:            https://pypi.org/project/moksha.common
Source0:        https://files.pythonhosted.org/packages/source/m/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%description
Common components for Moksha.

%package -n python3-moksha-common
Summary:        Common components for Moksha
Group:          Development/Python
%{?python_provide:%python_provide python3-%{modname}}
%{?python_provide:%python_provide python3-moksha-common}

%description -n python3-moksha-common
Common components for Moksha.

%prep
%setup -q -n %{modname}-%{version}
rm -rf *.egg*

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files moksha

%check
%tox


%files -n python3-moksha-common -f %{pyproject_files}
%doc README COPYING AUTHORS
%{_bindir}/moksha
%{python3_sitelib}/moksha.common-*-nspkg.pth
