%define pypi_name python-mpd2

Name:           python-mpd2
Version:        3.1.1
Release:        %mkrel 3
Summary:        Python bindings for MPD
Group:          Development/Python
License:        GPLv2
URL:            https://pypi.org/project/python-mpd2/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
An MPD (Music Player Daemon) client library written in pure Python.

%package -n python3-mpd2
Summary:	Python 3 bindings for MPD
Group:		Development/Python
BuildArch:	noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-setuptools
Obsoletes:      python3-mpd < 1.1.0

%description -n python3-mpd2
An MPD (Music Player Daemon) client library written in pure Python3.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mpd

%files -n python3-mpd2 -f %{pyproject_files}
%doc LICENSE.txt README.rst

