# Created by pyp2rpm-3.3.1
%global pypi_name mpris2

Name:           python-%{pypi_name}
Version:        1.0.2
Release:        %mkrel 11
Summary:        Python mpris2 definition
Group:          Development/Python
License:        GPLv2
URL:            https://github.com/hugosenari/mpris2
Source0:        https://pypi.io/packages/m/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel

%description
Python usable definition of MPRIS2 This is my lib to help developers work with
MPRIS2 and python. See Mpris2 site ( also: pympris ( is some examples, that
shows how to work with this lib. Configure dbus and mainloop >>> configure
mainloop (not required if you wont expect signals) >>> from dbus.mainloop.glib
import DBusGMainLoop >>> DBusGMainLoop(set_as_defaultTrue) Discover your player
mpris uri

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python usable definition of MPRIS2 This is my lib to help developers work with
MPRIS2 and python. See Mpris2 site ( also: pympris ( is some examples, that
shows how to work with this lib. Configure dbus and mainloop >>> configure
mainloop (not required if you wont expect signals) >>> from dbus.mainloop.glib
import DBusGMainLoop >>> DBusGMainLoop(set_as_defaultTrue) Discover your player
mpris uri

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mpris2

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst

