# Created by pyp2rpm-3.3.5
%global pypi_name msrest

Name:           python-%{pypi_name}
Version:        0.7.1
Release:        %mkrel 3
Summary:        AutoRest swagger generator Python client runtime
Group:          Development/Python
License:        MIT License
URL:            https://github.com/Azure/msrest-for-python
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.zip
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm[toml])
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(pip)

BuildRequires:  python3-devel
BuildRequires:  python3dist(aiodns)
BuildRequires:  python3dist(aiohttp) >= 3
BuildRequires:  python3dist(azure-core) >= 1.24
BuildRequires:  python3dist(certifi) >= 2017.4.17
BuildRequires:  python3dist(isodate) >= 0.6
BuildRequires:  python3dist(requests) >= 2.16
BuildRequires:  python3dist(requests-oauthlib) >= 0.5
BuildRequires:  python3dist(setuptools)

%description
AutoRest swagger generator Python client runtime.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(aiodns)
Requires:       python3dist(aiohttp) >= 3
Requires:       python3dist(azure-core) >= 1.24
Requires:       python3dist(certifi) >= 2017.4.17
Requires:       python3dist(isodate) >= 0.6
Requires:       python3dist(requests) >= 2.16
Requires:       python3dist(requests-oauthlib) >= 0.5
%description -n python3-%{pypi_name}
AutoRest swagger generator Python client runtime.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

# chack fails on : TypeError: async_poller() missing 4 required positional arguments: 'client', 'initial_response', 'deserialization_callback', and 'polling_method'
# Disabling them

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info

