%define github_owner    mwclient
%define github_name     mwclient

Name:           python-%{github_name}
Version:        0.10.1
Release:        %mkrel 7
Summary:        Mwclient is a client to the MediaWiki API
Group:          Development/Python
License:        MIT
URL:            https://github.com/%{github_owner}/%{github_name}
Source0:        https://github.com/%{github_owner}/%{github_name}/archive/v%{version}/%{github_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Mwclient is a client to the MediaWiki API <http://mediawiki.org/wiki/API>
and allows access to almost all implemented API functions.

%package -n     python3-%{github_name}
Summary:        Mwclient is a client to the MediaWiki API
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
Requires:       python3dist(simplejson)
%{?python_provide:%python_provide python3-%{github_name}}

%description -n python3-%{github_name}
Mwclient is a client to the MediaWiki API <http://mediawiki.org/wiki/API>
and allows access to almost all implemented API functions.

This is the Python 3 version of the package.

%files -n python3-%{github_name}
%doc README.md CONTRIBUTING.md
%license LICENSE.md
%{python3_sitelib}/%{github_name}*

# -------------------------------------------------------------------

%prep
%setup -q -n %{github_name}-%{version}
%autopatch -p1

%build
%py3_build

%install
%py3_install
