%global pypi_name myst-nb
%global srcname myst_nb

Name:		python-%{pypi_name}
Version:	1.2.0
Release:	%mkrel 1
Summary:	A Jupyter Notebook Sphinx reader built on top of the MyST markdown parser
Group:		Development/Python
License:	GPLv2+
URL:		https://pypi.org/project/myst-nb/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)

%description
A Jupyter Notebook Sphinx reader built on top of the MyST markdown parser

%package -n python3-%{pypi_name}
Summary:	A Jupyter Notebook Sphinx reader built on top of the MyST markdown parser
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
%{?py_provides:%py_provides python3-myst_nb}
Obsoletes:      python3-myst_nb < 1.1.1

%description -n python3-%{pypi_name}
A Jupyter Notebook Sphinx reader built on top of the MyST markdown parser

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%_bindir/mystnb-*
