%global srcname nbxmpp

Name:           python-%{srcname}
Version:        5.0.3
Release:        %mkrel 2
Summary:        Non blocking Jabber/XMPP module
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/nbxmpp/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros

%description
The goal of this python library is to provide a way for python applications
to use Jabber/XMPP networks in a non-blocking way. This library is initially
a fork of xmpppy one, but using non-blocking sockets.

%package -n     python3-%{srcname}
Summary:        Non blocking Jabber/XMPP module
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{srcname}}
Requires:       python3dist(gssapi)

%description -n python3-%{srcname}
The goal of this python library is to provide a way for python applications
to use Jabber/XMPP networks in a non-blocking way. This library is initially
a fork of xmpppy one, but using non-blocking sockets.

%prep
%setup -q -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nbxmpp

%files -n python3-%{srcname} -f %{pyproject_files}
%license COPYING
%doc ChangeLog README.md
