%define module netifaces

Name:          python-%{module}
Version:       0.11.0
Release:       %mkrel 5
Summary:       Portable network interface information
Group:         Development/Python
License:       MIT
URL:           https://alastairs-place.net/netifaces/
Source:        https://pypi.io/packages/source/n/netifaces/%{module}-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
netifaces provides a (hopefully portable-ish) way for Python programmers to
get access to a list of the network interfaces on the local machine, and to
obtain the addresses of those network interfaces.

#------------------------------------------------

%package -n     python3-%{module}
Summary:        Portable network interface information
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
netifaces provides a (hopefully portable-ish) way for Python programmers to
get access to a list of the network interfaces on the local machine, and to
obtain the addresses of those network interfaces.

This is the Python 3 version of the package.

#------------------------------------------------

%prep
%setup -q -n %{module}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files netifaces

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst
