# Created by pyp2rpm-3.3.2
%global pypi_name nose-ignore-docstring

Name:           python-%{pypi_name}
Version:        0.2
Release:        %mkrel 8
Summary:        Ignore docstring to name tests in nose
Group:          Development/Python
License:        MIT
URL:            https://github.com/schlamar/nose-ignore-docstring
Source0:        https://files.pythonhosted.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Nose ignore docstrings This is a plugin for nose. If this plugin is active,
nose doesn't use docstrings to name tests. Installation You can install or
upgrade nose-ignore-docstring with these commands:: $ pip install nose-ignore-
docstring $ pip install --upgrade nose-ignore-docstringUsage Pass the --with-
ignore- docstrings option to nosetests:: $ nosetests --with-ignore-docstrings
-v Or define...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
Nose ignore docstrings This is a plugin for nose. If this plugin is active,
nose doesn't use docstrings to name tests. Installation You can install or
upgrade nose-ignore-docstring with these commands:: $ pip install nose-ignore-
docstring $ pip install --upgrade nose-ignore-docstringUsage Pass the --with-
ignore- docstrings option to nosetests:: $ nosetests --with-ignore-docstrings
-v Or define...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/nose_ignoredoc.py
%{python3_sitelib}/nose_ignore_docstring-%{version}-py%{python3_version}.egg-info
