# Created by pyp2rpm-3.3.3
%global pypi_name nose-randomly

Name:           python-%{pypi_name}
Version:        1.2.6
Release:        %mkrel 5
Summary:        Nose plugin to randomly order tests and control random
Group:          Development/Python
License:        BSD
URL:            https://github.com/adamchainz/nose-randomly
Source0:        https://files.pythonhosted.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%description
Nose plugin to randomly order tests and control random.seed.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(nose)
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
Nose plugin to randomly order tests and control random.seed.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nose_randomly

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
