# Created by pyp2rpm-3.3.8
%global pypi_name nose2

Name:           python-%{pypi_name}
Version:        0.15.1
Release:        %mkrel 2
Summary:        unittest2 with plugins, the successor to nose
Group:          Development/Python
License:        None
URL:            https://github.com/nose-devs/nose2
Source0:        %{pypi_source}
Patch2:         0001-Downstream-only-skip-test_skip_reason_in_message.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
#docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-issues)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(sphinx)

%description
nose2 is the successor to nose. It's unittest with plugins. nose2 is a new
project and does not support all of the features of nose. nose2's purpose is to
extend unittest to make testing nicer and easier to understand.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
nose2 is the successor to nose. It's unittest with plugins. nose2 is a new
project and does not support all of the features of nose. nose2's purpose is to
extend unittest to make testing nicer and easier to understand.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%tox -e %{toxenv}-nocov

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%doc html
%{_bindir}/nose2
