# Created by pyp2rpm-3.3.1
%global pypi_name nosexcover

Name:           python-%{pypi_name}
Version:        1.0.11
Release:        %mkrel 12
Summary:        Extends nose.plugins.cover to add Cobertura-style XML reports
Group:          Development/Python
License:        BSD
URL:            https://github.com/cmheisel/nose-xcover/
Source0:        %{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%description
A companion to the built-in nose.plugins.cover, this plugin will write out an
XML coverage report to a file named coverage.xml.

It will honor all the options you pass to the Nose coverage plugin, especially
--cover-package.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}


%description -n python3-%{pypi_name}
A companion to the built-in nose.plugins.cover, this plugin will write out an
XML coverage report to a file named coverage.xml.

It will honor all the options you pass to the Nose coverage plugin, especially
--cover-package.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# nose is now provided by pynose module
sed -ie "s/'nose'/'pynose'/" setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst

