%define fname	oauth

Name:		python-%{fname}
Summary:	Python module for OAuth
Version:	1.0.1
Release:	%mkrel 21
Group:		Development/Python
License:	ASL 2.0
URL:		https://code.google.com/p/oauth/
Source0:	https://pypi.io/packages/source/o/%{fname}/%{fname}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:  python3-devel

%description
An open protocol to allow API authentication in a simple and standard
method from desktop and web applications (this is the Python module only).

%package -n	python3-%{fname}
Summary:	Python 3 module for OAuth
Group:		Development/Python
BuildArch:	noarch
%{?python_provide:%python_provide python3-%{fname}}

%description -n	python3-%{fname}
An open protocol to allow API authentication in a simple and standard
method from desktop and web applications (this is the Python 3 module only).

%prep
%autosetup -n %{fname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files oauth

%files -n python3-%{fname} -f %{pyproject_files}
%doc LICENSE.txt PKG-INFO
