Name:           python-openid-teams
Version:        1.2
Release:        %mkrel 8
Summary:        Teams extension for python-openid
Group:          Development/Python
License:        BSD
URL:            https://github.com/puiterwijk/python-openid-teams
Source:         https://github.com/puiterwijk/python-openid-teams/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-openid

%global _description\
Teams extension implementation for python-openid\


%description %_description

%package -n python3-openid-teams
Summary:        Teams extension for python3-openid
Requires:       python3-openid
%{?python_provide:%python_provide python3-openid-teams}

%description -n python3-openid-teams %_description

This package includes the python 3 version of the module.


%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files openid_teams


%files -n python3-openid-teams -f %{pyproject_files}
