%define pypi_name openpyxl

Name:       python-%{pypi_name}
Version:    3.1.2
Release:    %mkrel 3
Summary:    A Python library to read/write Excel 2010 xlsx/xlsm files
Group:      Development/Python
License:    MIT and Python
URL:        https://pypi.org/project/openpyxl/
Source0:    %{pypi_source}
BuildArch:  noarch

%description
openpyxl is a Python library to read/write Excel 2010 xlsx/xlsm/xltx/xltm
files. It was born from lack of existing library to read/write natively from
Python the Office Open XML format.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
openpyxl is a Python library to read/write Excel 2010 xlsx/xlsm/xltx/xltm
files. It was born from lack of existing library to read/write natively from
Python the Office Open XML format.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files openpyxl

%files -n python3-%{pypi_name} -f %{pyproject_files}

