# Created by pyp2rpm-3.3.8
%global pypi_name openstep-plist
%global srcname openstep_plist

Name:           python-%{pypi_name}
Version:        0.4.0
Release:        %mkrel 2
Summary:        ASCII plist parser written in Cython
Group:          Development/Python
License:        MIT
URL:            https://github.com/fonttools/openstep-plist
Source0:        %{pypi_source %{srcname} %{version}}

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
A parser for the "old style" OpenStep property list format (also known as ASCII
plist), written in Cython. Largely based on the CoreFoundation implementation.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A parser for the "old style" OpenStep property list format (also known as ASCII
plist), written in Cython. Largely based on the CoreFoundation implementation.

%prep
%autosetup -n openstep_plist-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files openstep_plist

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
