%global pypi_name orange-widget-base

Name:           python-%{pypi_name}
Version:        4.23.0
Release:        %mkrel 2
Summary:        Base Widget for Orange Canvas
Group:          Development/Python

License:        GPLv3
URL:            https://pypi.org/project/orange-widget-base/
Source0:        %{pypi_source}
BuildArch:      noarch

Patch0:         orange-widget-base-relax-deps.patch
Patch1:         0001-setup.py_Replace-use-of-imp-module.patch

%description
This project implements the base OWBaseWidget class and utilities for use in
Orange Canvas workflows.

%package -n     python3-%{pypi_name}
Summary:        Base Widget for Orange Canvas
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:    python3-devel
BuildRequires:    python3-setuptools

%description -n python3-%{pypi_name}
This project implements the base OWBaseWidget class and utilities for use in
Orange Canvas workflows.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files orangewidget

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE
%doc README.md
