%global pypi_name ordered-set

Name:           python-%{pypi_name}
Version:        4.1.0
Release:        %mkrel 5
Summary:        A Custom MutableSet that remembers its order
Group:          Development/Python
License:        MIT
URL:            https://github.com/LuminosoInsight/ordered-set
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
An OrderedSet is a custom MutableSet that remembers its order, so that every
entry has an index that can be looked up.

%package -n python3-%{pypi_name}
Summary:        A Custom MutableSet that remembers its order
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
An OrderedSet is a custom MutableSet that remembers its order, so that every
entry has an index that can be looked up.

%prep
%setup -qn %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ordered_set

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license MIT-LICENSE
%doc README.md
