%global         pypi_name      orderedmultidict

Name:           python-orderedmultidict
Version:        1.0.1
Release:        %mkrel 6
Summary:        An ordered multivalue dictionary
License:        UNLICENSE
Group:          Development/Python

URL:            https://github.com/gruns/orderedmultidict
Source0:        https://pypi.python.org/pypi/orderedmultidict/%{version}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch



%description
A multivalue dictionary is a dictionary that can store multiple values
for the same key. An ordered multivalue dictionary is a multivalue
dictionary that retains the order of insertions and deletions.



%package -n python3-orderedmultidict
Summary:        Python3 implementation of OMDict
Group:          Development/Python
BuildRequires:  python3
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description -n python3-orderedmultidict
%{summary}.


%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files orderedmultidict


%files -n python3-orderedmultidict -f %{pyproject_files}
%doc  README.md LICENSE.md API.md
