%global pypi_name oslo-serialization
%global srcname oslo_serialization

Name:           python-%{pypi_name}
Version:        5.7.0
Release:        %mkrel 1
Summary:        OpenStack OSLO Serialization

Group:          Development/Python
License:        MIT
URL:            https://github.com/openstack/oslo.serialization
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
The oslo.serialization library contain utilities for working with
serialization features.

%package -n     python3-%{pypi_name}
Summary:        OpenStack OSLO Serialization
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The oslo.serialization library contain utilities for working with
serialization features.

%prep
%autosetup -n %{srcname}-%{version} -p1


# Loosen reqs
perl -pi -e 's/!=2.1.0,//g' requirements.txt

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files oslo_serialization

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
