%global srcname oslo-sphinx

Name:           python-%{srcname}
Version:        4.18.0
Release:        %mkrel 11
Summary:        OpenStack Sphinx Extensions

Group:          Development/Python
License:        MIT
URL:            https://www.openstack.org/
Source0:        https://pypi.io/packages/source/o/oslosphinx/oslosphinx-%{version}.tar.gz
Patch1:         sphinx.patch
Patch2:         olsosphinx-relax-dependencies.patch
BuildArch:      noarch

%description
OpenStack Sphinx Extensions.

#------------------------------------------------

%package -n     python3-%{srcname}
Summary:        OpenStack Sphinx Extensions
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pbr)

%description -n python3-%{srcname}
OpenStack Sphinx Extensions.

This is the Python 3 version of the package.

#------------------------------------------------

%prep
%setup -q -n oslosphinx-%{version}
%autopatch -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files oslosphinx

cp -af oslosphinx/theme %{buildroot}%{python3_sitelib}/oslosphinx/

%files -n python3-%{srcname} -f %{pyproject_files}
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
