%global pypi_name pallets-sphinx-themes
%global srcname pallets_sphinx_themes

Name:           python-%{pypi_name}
Version:        2.3.0
Release:        %mkrel 2
Summary:        Sphinx themes for Pallets and related projects
Group:          Development/Python
License:        BSD
URL:            https://github.com/pallets/pallets-sphinx-themes/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Themes for the Pallets projects. If you're writing an extension, use the
appropriate theme to make your documentation look consistent.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-pallets_sphinx_themes}

%description -n python3-%{pypi_name}
Themes for the Pallets projects. If you're writing an extension, use the
appropriate theme to make your documentation look consistent.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pallets_sphinx_themes

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md
