%define module  pam

# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

Name: 		python-%{module}
Version: 	2.0.2
Release: 	%mkrel 3
Summary:        Python bindings for PAM
License:        GPL
Group:          Development/Python
URL:            https://github.com/FirefighterBlu3/python-pam
Source0:        https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
This module provides an authenticate function that allows the caller to
authenticate a given username / password against the PAM system on Linux.

%package -n python3-%{module}
Summary:        Python bindings for PAM
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
This module provides an authenticate function that allows the caller to
authenticate a given username / password against the PAM system on Linux.

%prep
%autosetup

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pam

%files -n python3-%{module} -f %{pyproject_files}


