%global pypi_name pandocfilters

Name:		python-pandocfilters
Version:	1.5.1
Release:	%mkrel 2
Summary:	Python module for writing pandoc filters
Group:          Development/Python
License:	BSD
URL:		https://github.com/jgm/pandocfilters
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  python3-devel

%description
This package provides a few utility functions which make it easier to write
pandoc filters in Python.

%package -n python3-pandocfilters
Group:          Development/Python
Summary:	Python3 module for writing pandoc filters
%{?python_provide:%python_provide python3-pandocfilters}

%description -n python3-pandocfilters
This package provides a few utility functions which make it easier to write
pandoc filters in Python.

%prep
%autosetup -n pandocfilters-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pandocfilters

%files -n python3-pandocfilters -f %{pyproject_files}
%license LICENSE
