# Created by pyp2rpm-3.3.8
%global pypi_name paperwork-backend
%global srcname paperwork_backend

Name:           python-%{pypi_name}
Version:        2.2.5
Release:        %mkrel 1
Summary:        Paperwork's backend
Group:          Development/Python
License:        GPLv3+
URL:            https://gitlab.gnome.org/World/OpenPaperwork/paperwork/tree/master/paperwork-backend
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
This is the backend part of Paperwork. It manages:
- The work directory / Access to the documents
- Indexing
- Searching
- Suggestions
- Import
- Export

There is no GUI here. The GUI is paperwork.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Conflicts:      paperwork < 2.1.1

%description -n python3-%{pypi_name}
This is the backend part of Paperwork. It manages:
- The work directory / Access to the documents
- Indexing
- Searching
- Suggestions
- Import
- Export

There is no GUI here. The GUI is paperwork.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files paperwork_backend

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.*
