# Created by pyp2rpm-3.3.8
%global pypi_name paperwork-shell
%global srcname paperwork_shell

Name:           python-%{pypi_name}
Version:        2.2.5
Release:        %mkrel 3
Summary:        Paperwork's shell interface
Group:          Development/Python
License:        GPLv3+
URL:            https://gitlab.gnome.org/World/OpenPaperwork/paperwork/tree/master/paperwork-shell
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Paperwork-shell provides 2 commands:

paperwork-cli: Human-friendly command line interface. For instance, it can be
useful if you want to use Paperwork through SSH.

paperwork-json: Designed to be used in scripts. Results can be parsed in shell
scripts using jq.

Both commands takes the same arguments as input. Only their outputs differ.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Paperwork-shell provides 2 commands:

paperwork-cli: Human-friendly command line interface. For instance, it can be
useful if you want to use Paperwork through SSH.

paperwork-json: Designed to be used in scripts. Results can be parsed in shell
scripts using jq.

Both commands takes the same arguments as input. Only their outputs differ.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files paperwork_shell

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.markdown
%{_bindir}/paperwork-cli
%{_bindir}/paperwork-json
