# Created by pyp2rpm-3.3.5
%global pypi_name partd

Name:           python-%{pypi_name}
Version:        1.4.2
Release:        %mkrel 3
Summary:        Concurrent appendable key-value storage
Group:          Development/Python
License:        BSD
URL:            https://github.com/dask/partd/
#Source0:        %%{pypi_source}
Source0:        https://github.com/dask/partd/archive/refs/tags/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
Key-value byte store with appendable values.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Key-value byte store with appendable values.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
