%define srcname	pastel

Name:		python-pastel
Version:	0.2.1
Release:	%mkrel 3
Summary:	Bring colors to your terminal
Group:		Development/Python
License:	GPLv2+
URL:		https://pypi.org/project/pastel/
Source0:	https://pypi.python.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:	noarch

%description
Bring colors to your terminal

%package -n python3-pastel
Summary:	Bring colors to your terminal
Group:		Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(poetry-core)

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-pastel
Bring colors to your terminal

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pastel

%files -n python3-pastel -f %{pyproject_files}
