Name:           python-pdm-backend
Version:        2.4.3
Release:        %mkrel 2
Summary:        The build backend used by PDM that supports latest packaging standards
Group:          Development/Python

License:        MIT
URL:            https://github.com/pdm-project/pdm-backend
Source:         %{pypi_source pdm_backend}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
This is the backend for PDM projects that is fully-compatible with PEP 517
spec, but you can also use it alone. It reads the metadata of PEP 621 format
and converts it to Core metadata.

%package -n     python3-pdm-backend
Summary:        %{summary}

%description -n python3-pdm-backend
This is the backend for PDM projects that is fully-compatible with PEP 517
spec, but you can also use it alone. It reads the metadata of PEP 621 format
and converts it to Core metadata.

%prep
%autosetup -p1 -n pdm_backend-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pdm

%check
%pyproject_check_import

%files -n python3-pdm-backend -f %{pyproject_files}
%license LICENSE
%doc README.md
