%define pypi_name pecan

Name:           python-%{pypi_name}
Version:        1.5.1
Release:        %mkrel 1
Summary:        A WSGI object-dispatching web framework, designed to be lean and fast, with few dependencies
License:        BSD
Group:          Development/Python
URL:            https://pypi.org/project/pecan/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
A WSGI object-dispatching web framework, designed to be lean and fast, with few
dependencies.

%package -n     python3-%{pypi_name}
Summary:        A WSGI object-dispatching web framework, designed to be lean and fast, with few dependencies
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A WSGI object-dispatching web framework, designed to be lean and fast, with few
dependencies.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pecan

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{_bindir}/gunicorn_pecan
%{_bindir}/pecan
