# Created by pyp2rpm-3.3.2
%global pypi_name pep8-naming

Name:           python-%{pypi_name}
Version:        0.14.1
Release:        %mkrel 2
Summary:        Check PEP-8 naming conventions, plugin for flake8
Group:          Development/Python
License:        MIT
URL:            https://github.com/PyCQA/pep8-naming
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
This module provides a plugin for flake8, the Python code checker.
(It replaces the plugin flint-naming for the flint checker.)

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This module provides a plugin for flake8, the Python code checker.
(It replaces the plugin flint-naming for the flint checker.)

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pep8ext_naming

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


