%global srcname phonenumbers

%global with_check 1

Name:           python-%{srcname}
Version:        8.13.55
Release:        %mkrel 2
Summary:        Python port of Google's libphonenumber
Group:          Development/Python

License:        GPLv3+
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://pypi.python.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
Python port of Google's libphonenumber.

%package -n python3-%{srcname}
Summary:        Python3 port of Google's libphonenumber
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description -n python3-%{srcname}
Python 3 port of Google's libphonenumber.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files phonenumbers

%if 0%{?with_check}
%check
%{python3} ./testwrapper.py -v
%endif

%files -n python3-%{srcname} -f %{pyproject_files}

