%define pypi_name pickleshare

Name:           python-%{pypi_name}
Version:        0.7.5
Release:        %mkrel 7
Group:          Development/Python
Summary:        Tiny 'shelve'-like database with concurrency support

License:        MIT
URL:            https://github.com/pickleshare/pickleshare
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
PickleShare - a small 'shelve' like datastore with concurrency support

Like shelve, a PickleShareDB object acts like a normal dictionary. Unlike shelve,
many processes can access the database simultaneously. Changing a value in
database is immediately visible to other processes accessing the same database.
Concurrency is possible because the values are stored in separate files.

%package -n     python3-%{pypi_name}
Group:          Development/Python
Summary:        Tiny 'shelve'-like database with concurrency support
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
PickleShare - a small 'shelve' like datastore with concurrency support

Like shelve, a PickleShareDB object acts like a normal dictionary. Unlike shelve,
many processes can access the database simultaneously. Changing a value in
database is immediately visible to other processes accessing the same database.
Concurrency is possible because the values are stored in separate files.


%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pickleshare


%files -n python3-%{pypi_name} -f %{pyproject_files}

