# Created by pyp2rpm-1.0.1
%global pypi_name pkginfo

Name:           python-pkginfo
Version:        1.12.1.2
Release:        %mkrel 2
Group:          Development/Python
Summary:        Query metadata from sdists / bdists / installed packages
Url:            https://pypi.org/project/pkginfo/
License:        Python
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

%description
This package provides an API for querying the distutils metadata written in
the PKG-INFO file inside a source distribution (an sdist) or a binary
distribution (e.g., created by running bdist_egg). It can also query the
in a "development checkout" (e.g, created by running setup.py develop).

%package -n     python3-%{pypi_name}
Summary:        Query metadata from sdists / bdists / installed packages
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This package provides an API for querying the distutils metadata written in
the PKG-INFO file inside a source distribution (an sdist) or a binary
distribution (e.g., created by running bdist_egg). It can also query the
in a "development checkout" (e.g, created by running setup.py develop).

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=$(pwd) sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files pkginfo

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc html README.txt
%{_bindir}/pkginfo

