%define srcname plaster_pastedeploy
%define pypi_name plaster-pastedeploy

Name:           python-%{pypi_name}
Version:        1.0.1
Release:        %mkrel 3
Summary:        A loader implementing the PasteDeploy syntax to be used by plaster
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/plaster-pastedeploy/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
plaster_pastedeploy is a plaster plugin that provides a plaster.Loader that can
parse ini files according to the standard set by PasteDeploy. It supports the
wsgi plaster protocol, implementing the plaster.protocols.IWSGIProtocol
interface.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
plaster_pastedeploy is a plaster plugin that provides a plaster.Loader that can
parse ini files according to the standard set by PasteDeploy. It supports the
wsgi plaster protocol, implementing the plaster.protocols.IWSGIProtocol
interface.

%prep
%setup -q -n plaster_pastedeploy-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files plaster_pastedeploy

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
