# Created by pyp2rpm-3.2.2
%global pypi_name podcastparser

Name:           python-podcastparser
Version:        0.6.10
Release:        %mkrel 3
Group:          Development/Python
Summary:        Simplified, fast RSS parser

License:        ISC License
URL:            https://gpodder.org/podcastparser/
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx)

%description
podcastparser: Simple, fast and efficient podcast parser The podcast parser
project is a library from the gPodder project to provide an easy and reliable
way of parsing RSS- and Atom-based podcast feeds in Python.* Web:


%package -n     python3-%{pypi_name}
Summary:        Simplified, fast RSS parser
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
podcastparser: Simple, fast and efficient podcast parser The podcast parser
project is a library from the gPodder project to provide an easy and reliable
way of parsing RSS- and Atom-based podcast feeds in Python.* Web:

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=$(pwd) sphinx-build doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files podcastparser

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc html README.md
