Name:           python-poetry-plugin-drop-python-upper-constraint
Version:        0.1.0
Release:        %mkrel 1
Summary:        Poetry plugin used to drop upper constraints for Python
Group:          Development/Python
License:        BSD-2-Clause
URL:            https://github.com/sbrunner/poetry-plugin-drop-python-upper-constraint
Source:         %{pypi_source poetry_plugin_drop_python_upper_constraint}
Patch:          poetry_plugin_drop_python_upper_constraint-reqs.patch

BuildArch:      noarch
BuildRequires:  python3-devel

%description
Poetry plugin used to drop upper constraints for Python.

%package -n     python3-poetry-plugin-drop-python-upper-constraint
Summary:        %{summary}

%description -n python3-poetry-plugin-drop-python-upper-constraint
Poetry plugin used to drop upper constraints for Python.

%prep
%autosetup -p1 -n poetry_plugin_drop_python_upper_constraint-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files poetry_plugin_drop_python_upper_constraint

%files -n python3-poetry-plugin-drop-python-upper-constraint -f %{pyproject_files}
%doc README.md
