%define pypi_name	poetry-plugin-export
%define srcname	poetry_plugin_export

Name:		python-poetry-plugin-export
Version:	1.9.0
Release:	%mkrel 1
Summary:	Poetry plugin to export the dependencies to various formats
Group:		Development/Python
License:	GPLv2+
URL:		https://pypi.org/project/poetry-plugin-export/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  python3-devel

%description
Poetry plugin to export the dependencies to various formats

%package -n python3-poetry-plugin-export
Summary:	Poetry plugin to export the dependencies to various formats
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-poetry-plugin-export
Poetry plugin to export the dependencies to various formats

%prep
%setup -q -n %{srcname}-%{version}

# bootstrap without poetry
sed -i -e '/^poetry\s\+=/d' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files poetry_plugin_export

%files -n python3-poetry-plugin-export -f %{pyproject_files}
