%define srcname	poetry

Name:		python-poetry
Version:	2.1.1
Release:	%mkrel 1
Summary:	Python dependency management and packaging made easy
Group:		Development/Python
License:	GPLv2+
URL:		https://pypi.org/project/poetry/
Source0:	https://pypi.python.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:  pkgconfig(python3)

%description
Python dependency management and packaging made easy

%package -n python3-poetry
Summary:	Python 3 dependency management and packaging made easy
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-poetry
Python3 dependency management and packaging made easy.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files poetry


%files -n python3-poetry -f %{pyproject_files}
%_bindir/poetry
