# Created by pyp2rpm-3.3.1
%global pypi_name port-for

Name:           python-%{pypi_name}
Version:        0.6.2
Release:        %mkrel 3
Summary:        Utility that helps with local TCP ports management
Group:          Development/Python
License:        MIT
URL:            https://github.com/kmike/port-for/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
port-for port-for is a command-line utility and a python library that helps
with local TCP ports management.It can find an unused TCP localhost port and
remember the association:: $ sudo port-for foo

%package -n     python3-%{pypi_name}
Summary:        Utility that helps with local TCP ports management
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
port-for port-for is a command-line utility and a python library that helps
with local TCP ports management.It can find an unused TCP localhost port and
remember the association:: $ sudo port-for foo


%prep
%autosetup -n %{pypi_name}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files port_for

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%{_bindir}/port-for

