# Created by pyp2rpm-3.3.2
%global pypi_name pre-commit

Name:           python-%{pypi_name}
Version:        4.1.0
Release:        %mkrel 1
Summary:        A framework for managing and maintaining multi-language pre-commit hooks
Group:          Development/Python
License:        MIT
URL:            https://github.com/pre-commit/pre-commit
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/pre_commit-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
A framework for managing and maintaining multi-language pre-commit hooks.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A framework for managing and maintaining multi-language pre-commit hooks.

%prep
%autosetup -n pre_commit-%{version}

# Fix requires
sed -i -e '/futures/d' -e '/importlib-resources/d' setup.cfg

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pre_commit

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/pre-commit
