%define srcname pretend

Name:           python-pretend
Version:        1.0.9
Release:        %mkrel 11
Summary:        A library for stubbing in Python

Group:          Development/Python
License:        BSD
URL:            https://github.com/alex/pretend
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Pretend is a library to make stubbing with Python easier.

%package -n python3-pretend
Summary:        A library for stubbing in Python
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-pretend
Pretend is a library to make stubbing with Python3 easier.

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst
%license LICENSE.rst
