# Created by pyp2rpm-3.3.2
%global pypi_name prometheus-client
%global srcname prometheus_client

%bcond_with tests

Name:           python-%{pypi_name}
Version:        0.19.0
Release:        %mkrel 3
Summary:        Python client for the Prometheus monitoring system
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/prometheus/client_python
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
The official Python client for Prometheus.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The official Python client for Prometheus.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
