# Created by pyp2rpm-3.3.7
%global pypi_name proselint
%global pypi_version 0.13.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %mkrel 2
Summary:        A linter for prose
Group:          Development/Python
License:        None
URL:            https://proselint.com
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(click) >= 8
BuildRequires:  python3dist(future) >= 0.18.2
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six) >= 1.15

%description
proselint, a linter for English prose. A linter is a computer program that,
akin to a spell checker, scans through a file and detects issues — like how a
real lint roller helps you get unwanted lint off of your shirt.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
proselint, a linter for English prose. A linter is a computer program that,
akin to a spell checker, scans through a file and detects issues — like how a
real lint roller helps you get unwanted lint off of your shirt.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files proselint

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.md
%doc README.md
%{_bindir}/proselint
