%global pypi_name psutil

Name:           python-%{pypi_name}
Version:        7.0.0
Release:        %mkrel 1
Summary:        Module providing an interface for retrieving information on all running processes
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/psutil
Source0:        %{pypi_source}
BuildRequires:  python3-devel

%description
psutil is a module providing an interface for retrieving information
on all running processes and system utilization (CPU, memory, disks,
network, users) in a portable way by using Python, implementing many
functionalities offered by command line tools.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
psutil is a module providing an interface for retrieving information
on all running processes and system utilization (CPU, memory, disks,
network, users) in a portable way by using Python, implementing many
functionalities offered by command line tools.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files psutil

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc CREDITS HISTORY.rst README.rst
