%define pypi_name ptyprocess

Name:           python-%{pypi_name}
Version:        0.7.0
Release:        %mkrel 8
Group:          Development/Python
Summary:        Run a subprocess in a pseudo terminal
License:        BSD
URL:            https://pypi.python.org/pypi/ptyprocess
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Launch a subprocess in a pseudo terminal (pty), and interact with both
the process and its pty.

%package -n     python3-%{pypi_name}
Summary:        Run a subprocess in a pseudo terminal

%description -n python3-%{pypi_name}
Launch a subprocess in a pseudo terminal (pty), and interact with both
the process and its pty.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ptyprocess

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
