# Created by pyp2rpm-3.3.8
%global pypi_name pulsectl
%global pypi_version 23.5.2

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %mkrel 2
Summary:        Python high-level interface and ctypes-based bindings for PulseAudio (libpulse)
Group:          Development/Python
License:        MIT
URL:            https://github.com/mk-fg/python-pulse-control
Source0:        https://files.pythonhosted.org/packages/8d/df/73af0b1a7d9f29b97c9a78ef871767bfb02e90b6fde673b0228495fab214/%{pypi_name}-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%description
python-pulse-control (pulsectl module) Python (3.x and 2.x) blocking high-level
interface and ctypes-based bindings for PulseAudio_ (libpulse), to use in a
simple synchronous code.Wrappers are mostly for mixer-like controls and
introspection-related operations, as opposed to e.g. submitting sound samples
to play and player-like client.For async version to use with asyncio_, see...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
python-pulse-control (pulsectl module) Python (3.x and 2.x) blocking high-level
interface and ctypes-based bindings for PulseAudio_ (libpulse), to use in a
simple synchronous code.Wrappers are mostly for mixer-like controls and
introspection-related operations, as opposed to e.g. submitting sound samples
to play and player-like client.For async version to use with asyncio_, see...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires 

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst

