# Created by pyp2rpm-1.0.1
%global pypi_name pyavm
%global srcname PyAVM

Name:           python-%{pypi_name}
Version:        0.9.6
Release:        %mkrel 2
Group:          Sciences/Astronomy
Summary:        Simple pure-python AVM meta-data handling
License:        MIT
URL:            https://astrofrog.github.io/pyavm/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
PyAVM is a module to represent, read, and write metadata following the
Astronomy Visualization Metadata (AVM) standard.

%package -n python3-%{pypi_name}
Summary:        Simple pure-python AVM meta-data handling
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
PyAVM is a module to represent, read, and write metadata following the
Astronomy Visualization Metadata (AVM) standard.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x test -x testall

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README*
