%define upstream_name pybind11_json

Name:           python-pybind11-json
Version:        0.2.15
Release:        %mkrel 1
Summary:        pybind11_json is an nlohmann::json to pybind11 bridge
License:        BSD
Group:          Development/Python
URL:            https://github.com/pybind/pybind11_json
Source0:        https://github.com/pybind/pybind11_json/archive/%{version}/pybind11_json-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pybind11-devel
BuildRequires:  json-devel

%description
pybind11_json is an nlohmann::json to pybind11 bridge, it allows you
to automatically convert nlohmann::json to py::object and the other
way around. Simply include the header, and the automatic conversion
will be enabled.

%package -n     pybind11-json-devel
License:        BSD
Summary:        pybind11_json is an nlohmann::json to pybind11 bridge
Group:          Development/C++
BuildRequires:  cmake
Requires:       pybind11-devel

%description -n pybind11-json-devel
pybind11_json is an nlohmann::json to pybind11 bridge, it allows you
to automatically convert nlohmann::json to py::object and the other
way around. Simply include the header, and the automatic conversion
will be enabled.

%prep
%autosetup -p1 -n %{upstream_name}-%{version}

%build
%cmake -DPYBIND11_INSTALL:BOOL=TRUE \
       -DUSE_PYTHON_INCLUDE_DIR:BOOL=FALSE
%cmake_build

%install
%cmake_install

%files -n pybind11-json-devel
%{_includedir}/pybind11_json/
%{_datadir}/cmake/pybind11_json/
