# Created by pyp2rpm-3.3.7
%global pypi_name PyChromecast

Name:           python-pychromecast
Version:        14.0.5
Release:        %mkrel 2
Summary:        Python module to talk to Google Chromecast
Group:          Development/Python
License:        MIT
URL:            https://github.com/balloob/pychromecast
Source0:        %{pypi_source}
Patch0:         pychromecast-relax-protobuf.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Python library to communicate with the Google Chromecast.

%package -n     python3-pychromecast
Summary:        Python3 module to talk to Google Chromecast
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-pychromecast}

%description -n python3-pychromecast
Python 3 library to communicate with the Google Chromecast.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pychromecast

%files -n python3-pychromecast -f %{pyproject_files}
%license LICENSE
%doc README.rst
