# Created by pyp2rpm-3.3.5
%global pypi_name pyclip

Name:           python-%{pypi_name}
Version:        0.7.0
Release:        %mkrel 3
Summary:        Cross-platform clipboard utilities supporting both binary and text data
Group:          Development/Python
License:        Apache
URL:            https://github.com/zhemao/pyclip
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-devel

%description
Some key features include:

* A cross-platform API (supports MacOS, Windows, Linux)
* Can handle arbitrary binary data
* On Windows, some additional clipboard formats are supported

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Some key features include:

* A cross-platform API (supports MacOS, Windows, Linux)
* Can handle arbitrary binary data
* On Windows, some additional clipboard formats are supported

%package -n pyclip
Summary:        %{summary}

%description -n pyclip
pyclip command line tool from python-pyclip

%prep
%autosetup -n %{pypi_name}-%{version}
mkdir docs
ln README.md docs/

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyclip

%files -n python3-%{pypi_name} -f %{pyproject_files}
#{python3_sitelib}/__pycache__/*

%files -n pyclip
%{_bindir}/pyclip
