# Created by pyp2rpm-3.2.1
%global pypi_name pycodestyle

Name:           python-%{pypi_name}
Group:          Development/Python
Version:        2.12.1
Release:        %mkrel 2
Summary:        Python style guide checker

License:        MIT
URL:            https://pycodestyle.readthedocs.io/
#Source0:        %%{pypi_source}
# PYPI source doesn't include sources for docs nor tests
Source0:        https://github.com/PyCQA/pycodestyle/archive/refs/tags/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(pytest)

%description
pycodestyle is a tool to check your Python code against some of the style
conventions in PEP 8.

This package used to be called pep8 but was renamed to pycodestyle to reduce
confusion.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pycodestyle is a tool to check your Python code against some of the style
conventions in PEP 8.

This package used to be called pep8 but was renamed to pycodestyle to reduce
confusion.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files pycodestyle

ln -s %{_bindir}/pycodestyle %{buildroot}/%{_bindir}/pycodestyle-3

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%doc html
%{_bindir}/pycodestyle
%{_bindir}/pycodestyle-3
