%define pypi_name pyconfig

Name:           python-%{pypi_name}
Version:        3.2.3
Release:        %mkrel 9
Summary:        Python-based singleton configuration
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pyconfig/
Source0:        https://files.pythonhosted.org/packages/50/70/8735b55844a482e65daf82827275d3d5867b77fb6413c99061c984dba226/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
This module provides python based configuration that is stored in a singleton
object to ensure consistency across your project.

%package -n     python3-%{pypi_name}
Summary:        Python-based singleton configuration
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
This module provides python based configuration that is stored in a singleton
object to ensure consistency across your project.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyconfig

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/pyconfig
