Name:           python-pyconify
Version:        0.2.1
Release:        %mkrel 1
Summary:        iconify for python. Universal icon framework
Group:          Development/Python

License:        BSD-3-Clause
URL:            https://pypi.org/project/pyconify/
Source:         %{pypi_source pyconify}

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
Iconify is a versatile icon framework that includes 100+ icon sets with more
than 100,000 icons from FontAwesome, Material Design Icons, DashIcons,
Feather Icons, EmojiOne, Noto Emoji and many other open source icon sets.}

%description %_description

%package -n     python3-pyconify
Summary:        %{summary}

%description -n python3-pyconify %_description


%prep
%autosetup -p1 -n pyconify-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pyconify


%check
%pyproject_check_import


%files -n python3-pyconify -f %{pyproject_files}
%doc README.md
%license LICENSE

