%define pypi_name pycryptodomex

#
# When updating this pkg, please, update also python-pycryptodome
#

Name:           python-%{pypi_name}
Version:        3.21.0
Release:        %mkrel 1
Summary:        Cryptographic library for Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pycryptodomex
Source0:        %{pypi_source}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
PyCryptodome is a self-contained Python package of low-level
cryptographic primitives.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
PyCryptodome is a self-contained Python package of low-level
cryptographic primitives.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files Cryptodome

%files -n python3-%{pypi_name} -f %{pyproject_files}
