# Created by pyp2rpm-3.3.1
%global pypi_name PyDispatcher
%define oname pydispatcher

Name:           python-%{oname}
Version:        2.0.7
Release:        %mkrel 4
Summary:        Multi-producer-multi-consumer signal dispatching mechanism
Group:          Development/Python
License:        BSD
URL:            https://pydispatcher.sourceforge.net/
Source0:        https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
%description
Dispatcher mechanism for creating event modelsPyDispatcher is an enhanced
version of Patrick K. O'Brien's original dispatcher.py module. It provides the
Python programmer with a robust mechanism for event routing within various
application contexts.Included in the package are the robustapply and saferef
modules, which provide the ability to selectively apply arguments to callable
objects and...

%package -n     python3-%{oname}
Summary:        %{summary}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
%{?python_provide:%python_provide python3-%{oname}}

%description -n python3-%{oname}
Dispatcher mechanism for creating event modelsPyDispatcher is an enhanced
version of Patrick K. O'Brien's original dispatcher.py module. It provides the
Python programmer with a robust mechanism for event routing within various
application contexts.Included in the package are the robustapply and saferef
modules, which provide the ability to selectively apply arguments to callable
objects and...


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pydispatch

%check
%pytest -s tests

%files -n python3-%{oname} -f %{pyproject_files}
%license license.txt

