# Created by pyp2rpm-3.3.1
%global pypi_name pydocstyle

Name:           python-%{pypi_name}
Version:        6.3.0
Release:        %mkrel 3
Summary:        Python docstring style checker
Group:          Development/Python
License:        MIT
URL:            https://github.com/PyCQA/pydocstyle/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(poetry)

%description
pydocstyle is a static analysis tool for checking compliance with Python
docstring conventions. pydocstyle supports most of PEP 257 out of the box, but
it should not be considered a reference implementation.

%package -n     python3-%{pypi_name}
Summary:        Python docstring style checker
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pydocstyle is a static analysis tool for checking compliance with Python
docstring conventions. pydocstyle supports most of PEP 257 out of the box, but
it should not be considered a reference implementation.

%prep
%autosetup -n %{pypi_name}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pydocstyle

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE-MIT
%doc README.rst
%{_bindir}/pydocstyle
