%define module  pyelftools

Name:           python-%{module}
Version:        0.32
Release:        %mkrel 1
Summary:        Pure-python library for parsing ELF and DWARF
Group:          Development/Python
License:        Public Domain
URL:            https://github.com/eliben/pyelftools
Source0:        https://github.com/eliben/pyelftools/archive/v%{version}/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
pyelftools is a pure-Python library for parsing and analyzing ELF files
and DWARF debugging information.

%package -n     python3-%{module}
Summary:        Pure-python library for parsing ELF and DWARF for Python 3
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
pyelftools is a pure-Python library for parsing and analyzing ELF files
and DWARF debugging information.

%prep
%autosetup -p1 -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files elftools

%files -n       python3-%{module} -f %{pyproject_files}
%doc CHANGES README.rst
%license LICENSE
%{_bindir}/readelf.py
