# Created by pyp2rpm-3.3.3
%global pypi_name pyfakefs

Name:           python-%{pypi_name}
Version:        5.7.4
Release:        %mkrel 2
Summary:        pyfakefs implements a fake file system that mocks the Python file system modules
Group:          Development/Python
License:        None
URL:            https://pypi.org/project/pyfakefs
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(flask-restx)

%description
pyfakefs implements a fake file system that mocks the Python file system
modules. Using pyfakefs, your tests operate on a fake file system in memory
without touching the real disk. The software under test requires no
modification to work with pyfakefs.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pyfakefs implements a fake file system that mocks the Python file system
modules. Using pyfakefs, your tests operate on a fake file system in memory
without touching the real disk. The software under test requires no
modification to work with pyfakefs.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyfakefs


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md

