%define pypi_name pykka
%define pkg_name  pykka

Name:           python-pykka
Version:        4.0.1
Release:        %mkrel 2
Group:          Development/Python
Summary:        Pykka is a Python implementation of the actor model

License:        ASL 2.0
URL:            https://pypi.org/project/Pykka/#files
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Pykka is a Python implementation of the actor model. The actor model introduces
some simple rules to control the sharing of state and cooperation between
execution units, which makes it easier to build concurrent applications.


%package -n     python3-pykka
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Obsoletes:      python3-Pykka < 1.2.1-2
Provides:       python3-Pykka = %{version}-%{release}
%{?python_provide:%python_provide python3-pykka}

%description -n python3-pykka
Pykka is a Python3 implementation of the actor model. The actor model
introduces some simple rules to control the sharing of state and cooperation
between execution units, which makes it easier to build concurrent
applications.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pykka

%files -n python3-pykka -f %{pyproject_files}
