%define rname pylibacl
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

Summary: 	Posix ACL module for Python
Name: 		python-%{rname}
Version: 	0.7.0
Release: 	%mkrel 3
License:	LGPLv2+
Group: 		Development/Python
URL: 		https://pylibacl.k1024.org/
Source0: 	https://pypi.python.org/packages/source/p/%{rname}/%{rname}-%{version}.tar.gz
BuildRequires:	acl-devel
Provides:	%{rname} = %{version}-%{release}

%description
This is an extension for Python which implements POSIX ACLs (POSIX.1e).

%package -n python3-%{rname}
Summary:	Posix ACL module for Python 3
Group:		Development/Python
BuildRequires:	python3-devel
%{?python_provide:%python_provide python3-%{rname}}

%description -n python3-%{rname}
This is an extension for Python3 which implements POSIX ACLs (POSIX.1e).

%prep
%setup -q -n %{rname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files posix1e

%files -n python3-%{rname} -f %{pyproject_files}
