# Created by pyp2rpm-3.3.2
%global pypi_name pylons-sphinx-themes

Name:           python-%{pypi_name}
Version:        1.0.13
Release:        %mkrel 6
Summary:        Sphinx themes for Pylons Project documentation
Group:          Development/Python
License:        BSD-derived (http://www.repoze.org/LICENSE.txt)
URL:            https://pylonsproject.org
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
Pylons Sphinx Themes is a Python package that contains Sphinx themes based on
Pylons Sphinx Theme < (singular), but uses a package implementation instead of
git submodules and manual steps.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Pylons Sphinx Themes is a Python package that contains Sphinx themes based on
Pylons Sphinx Theme < (singular), but uses a package implementation instead of
git submodules and manual steps.

%prep
%autosetup -n pylons-sphinx-themes-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pylons_sphinx_themes

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md README.rst
