# Created by pyp2rpm-3.3.5
%global pypi_name pyls-spyder

Name:           python-%{pypi_name}
Version:        0.4.0
Release:        %mkrel 6
Summary:        Spyder extensions for the python-language-server
Group:          Development/Python
License:        MIT
URL:            https://github.com/spyder-ide/pyls-spyder
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Spyder extensions to the python language server (pyls).

%package -n     python3-%{pypi_name}
Summary:        Spyder extensions for the python-language-server
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Spyder extensions to the python language server (pyls).

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/pyls_spyder
%{python3_sitelib}/pyls_spyder-%{version}-py%{python3_version}.egg-info
