%global pypi_name pyphen

Name:           python-%{pypi_name}
Version:        0.14.0
Release:        %mkrel 2
Group:          Development/Python
Summary:        Pure Python module to hyphenate text
License:        GPLv2+ and LGPLv2+ and MPL
URL:            https://pypi.org/project/Pyphen
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Pure Python module to hyphenate text.

%package -n python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(flit-core)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Pure Python 3 module to hyphenate text.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyphen

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license COPYING*
%doc README.rst

