# Created by pyp2rpm-3.3.5
%global pypi_name pypi-search

Name:           python-%{pypi_name}
Version:        1.2.1
Release:        %mkrel 3
Summary:        Get Information on Python Packages From PyPI
Group:          Development/Python
License:        MIT
URL:            https://github.com/asadmoosvi/pypi-search
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)


%description
pypi-search allows you to quickly query packages on PyPI.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(beautifulsoup4) >= 4.9.2
Requires:       python3dist(html2text) >= 2020.1.16
Requires:       python3dist(requests) >= 2.22
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
pypi-search allows you to quickly query packages on PyPI.


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pypi_search


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/pypisearch

