# Created by pyp2rpm-3.3.1
%global pypi_name PyPrind
%define oname pyprind

Name:           python-%{oname}
Version:        2.11.2
Release:        %mkrel 11
Summary:        Python Progress Bar and Percent Indicator Utility
Group:          Development/Python
License:        BSD
URL:            https://github.com/rasbt/pyprind
Source0:        https://files.pythonhosted.org/packages/source/p/pyprind/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(psutil)

%description
The PyPrind (Python Progress Indicator) module provides a progress bar and a
percentage indicator object that let you track the progress of a loop structure
or other iterative computation. Typical applications include the processing of
large data sets to provide an intuitive estimate at runtime about the progress
of the computation.For more details and examples please see the package...

%package -n     python3-%{oname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{oname}}

%description -n python3-%{oname}
The PyPrind (Python Progress Indicator) module provides a progress bar and a
percentage indicator object that let you track the progress of a loop structure
or other iterative computation. Typical applications include the processing of
large data sets to provide an intuitive estimate at runtime about the progress
of the computation.For more details and examples please see the package...


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyprind

%check
%pytest

%files -n python3-%{oname} -f %{pyproject_files}
%license LICENSE
%doc README.md
