Name:           python-pyproject-hooks
Version:        1.2.0
Release:        %mkrel 1
Summary:        Wrappers to call pyproject.toml-based build backend hooks
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pyproject_hooks/
Source:         %{pypi_source pyproject_hooks}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
This is a low-level library for calling build-backends in pyproject.toml-based
project. It provides the basic functionality to help write tooling that
generates distribution files from Python projects.

%package -n     python3-pyproject-hooks
Summary:        %{summary}

%description -n python3-pyproject-hooks
This is a low-level library for calling build-backends in pyproject.toml-based
project. It provides the basic functionality to help write tooling that
generates distribution files from Python projects.

%prep
%autosetup -p1 -n pyproject_hooks-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyproject_hooks

%check
%pyproject_check_import

%files -n python3-pyproject-hooks -f %{pyproject_files}
%doc README.rst
