%global pypi_name    pyproject-metadata
%global srcname      pyproject_metadata

Name:           python-pyproject-metadata
Version:        0.9.0
Release:        %mkrel 1
Summary:        PEP 621 metadata parsing
Group:          Development/Python
License:        MIT
URL:            https://github.com/FFY00/python-pyproject-metadata
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
Dataclass for PEP 621 metadata with support for core metadata generation.

This project does not implement the parsing of pyproject.toml containing
PEP 621 metadata.  Instead, given a Python data structure representing
PEP 621 metadata (already parsed), it will validate this input and
generate a PEP 643-compliant metadata file (e.g. PKG-INFO).

%package     -n python3-pyproject-metadata
Summary:        PEP 621 metadata parsing

%description -n python3-pyproject-metadata
Dataclass for PEP 621 metadata with support for core metadata generation.

This project does not implement the parsing of pyproject.toml containing
PEP 621 metadata.  Instead, given a Python data structure representing
PEP 621 metadata (already parsed), it will validate this input and
generate a PEP 643-compliant metadata file (e.g. PKG-INFO).

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-pyproject-metadata -f %{pyproject_files}
%doc README.md
