%global srcname pyquery

Name:           python-%{srcname}
Version:        1.4.3
Release:        %mkrel 6
Summary:        A jquery-like library for python

Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/pyquery
Source0:        https://pypi.io/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
pyquery allows you to make jquery queries on xml documents.
The API is as much as possible the similar to jquery.
pyquery uses lxml for fast xml and html manipulation.

%package -n     python3-%{srcname}
Summary:        A jquery-like library for python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{srcname}}

Requires:       python3dist(setuptools)

%description -n python3-%{srcname}
pyquery allows you to make jquery queries on xml documents.
The API is as much as possible the similar to jquery.
pyquery uses lxml for fast xml and html manipulation.
This is the Python 3 build of %{srcname}.

%prep
%setup -q -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyquery

%files -n python3-%{srcname} -f %{pyproject_files}
%doc CHANGES.rst README.rst
