%define pypi_name pyramid

Name:           python-%{pypi_name}
Version:        2.0.2
Release:        %mkrel 2
Summary:        The Pyramid Web Framework, a Pylons project
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/pyramid/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Pyramid is a small, fast, down-to-earth, open source Python web framework. It
makes real-world web application development and deployment more fun, more
predictable, and more productive.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python

%description -n python3-%{pypi_name}
Pyramid is a small, fast, down-to-earth, open source Python web framework. It
makes real-world web application development and deployment more fun, more
predictable, and more productive.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyramid

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/pdistreport
%{_bindir}/prequest
%{_bindir}/proutes
%{_bindir}/pserve
%{_bindir}/pshell
%{_bindir}/ptweens
%{_bindir}/pviews
