%define pypi_name pyrfc3339
%define srcname pyRFC3339

Name:           python-%{pypi_name}
Version:        1.1
Release:        %mkrel 9
Summary:        Generate and parse RFC 3339 timestamps
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pyRFC3339
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
pyRFC3339 parses and generates RFC 3339-compliant timestamps using Python
datetime.datetime objects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
pyRFC3339 parses and generates RFC 3339-compliant timestamps using Python
datetime.datetime objects.

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
