%global srcname pyrpmmd

Name:           python-%{srcname}
Version:        0.1.1
Release:        %mkrel 2
Summary:        Python module for reading rpm-md repo data
Group:          Development/Python
License:        GPLv2+
URL:            https://pagure.io/%{srcname}
Source0:        https://releases.pagure.org/%{srcname}/%{srcname}-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
pyrpmmd is an independent Python module for reading rpm-md repository metadata.
The code is derived from the repomd parsing code from Yum.

%package     -n python3-%{srcname}
Summary:        Python module for reading rpm-md repo data
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
pyrpmmd is an independent Python module for reading rpm-md repository metadata.
The code is derived from the repomd parsing code from Yum.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rpmmd

%files -n python3-%{srcname} -f %{pyproject_files}
%license COPYING
%doc README.md ChangeLog
