# Created by pyp2rpm-3.3.2
%global pypi_name pysmi

Name:           python-%{pypi_name}
Version:        1.5.9
Release:        %mkrel 3
Summary:        SNMP SMI/MIB Parser
Group:          Development/Python
License:        BSD
URL:            https://github.com/lextudio/pysmi
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pysnmp)
BuildRequires:  python3dist(ply)
BuildRequires:  python3dist(setuptools)
Obsoletes: python-%{pypi_name}-doc < 1.5.9

%description
A pure-Python implementation of SNMP/SMI MIB parsing and conversion library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(ply)
%description -n python3-%{pypi_name}
A pure-Python implementation of SNMP/SMI MIB parsing and conversion library.

%package -n python-%{pypi_name}-doc
Summary:        pysmi documentation
%description -n python-%{pypi_name}-doc
Documentation for pysmi

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
# generate html docs
# PYTHONPATH=${PWD} sphinx-build-3 docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files pysmi

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license docs/source/license.rst LICENSE.rst
%doc docs/README.txt README.md
%{_bindir}/mibcopy
%{_bindir}/mibdump
