%global srcname	PySocks

Name:		python-pysocks
Summary:	A Python SOCKS client module
Version:	1.7.1
Release:	%mkrel 9
Group:		Development/Python
License:	BSD
URL:		https://github.com/Anorov/PySocks
Source0:	%{pypi_source}
Patch0:         0001-Fix-setup.patch
BuildArch:	noarch
BuildRequires:  python3-devel

%description
A Python SOCKS client module.

%package -n python3-pysocks
Summary:	A Python3 SOCKS client module
%{?python_provide:%python_provide python3-pysocks}

%description -n python3-pysocks
A Python 3 SOCKS client module.

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sockshandler socks

%files -n python3-pysocks -f %{pyproject_files}
%license LICENSE
%doc README.md
