# Created by pyp2rpm-3.3.2
%global pypi_name pysol-cards
%global srcname pysol_cards

Name:           python-%{pypi_name}
Version:        0.18.1
Release:        %mkrel 2
Summary:        Deal PySol FC Cards
Group:          Development/Python
License:        MIT
URL:            https://fc-solve.shlomifish.org/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
The pysol-cards python modules allow the python developer to generate the
initial deals of some PySol FC games.

%package -n     python3-%{pypi_name}
Summary:        Deal PySol FC Cards
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The pysol-cards python modules allow the python developer to generate the
initial deals of some PySol FC games.

%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pysol_cards

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
