# Created by pyp2rpm-3.3.2
%global pypi_name pytest-asyncio
%global srcname pytest_asyncio

Name:           python-%{pypi_name}
Version:        0.26.0
Release:        %mkrel 1
Summary:        Pytest support for asyncio
Group:          Development/Python
License:        ASL2.0
URL:            https://github.com/pytest-dev/pytest-asyncio
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
pytest-asyncio: pytest support for asyncio :alt: Supported Python versions

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pytest-asyncio: pytest support for asyncio :alt: Supported Python versions

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_asyncio

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
