%ifnarch %{arm64} x86_64
%global debug_package %nil
%endif

%global pypi_name pytest_codspeed

Name:           python-pytest-codspeed
Version:        3.2.0
Release:        %mkrel 3
Summary:        A pytest plugin to create CodSpeed benchmarks
License:        MIT
Group:          Development/Python
URL:            https://github.com/CodSpeedHQ/pytest-codspeed
Source:         %{pypi_source}
# gh#CodSpeedHQ/pytest-codspeed#68 mcepl@suse.com add missing files
Patch0:         make_tests_work.patch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
%ifarch %{arm64} x86_64
BuildRequires:  valgrind-devel
%endif

%description
A pytest plugin to create CodSpeed benchmarks.

%package -n     python3-pytest-codspeed
Summary:        A pytest plugin to create CodSpeed benchmarks
Group:          Development/Python

%description -n python3-pytest-codspeed
A pytest plugin to create CodSpeed benchmarks.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest -v

%files -n python3-pytest-codspeed -f %{pyproject_files}
%license LICENSE
%doc README.md
