%global pypi_name pytest-cov
%global srcname pytest_cov

Name:           python-%{pypi_name}
Version:        6.1.1
Release:        %mkrel 1
Summary:        Pytest plugin for coverage reporting
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/pytest-cov
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Py.test plugin for coverage reporting with support for both centralised and
distributed testing, including subprocesse and multiprocessing.

%package -n python3-%{pypi_name}
Summary:        Pytest plugin for coverage reporting
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Py.test plugin for coverage reporting with support for both centralised and
distributed testing, including subprocesses and multiprocessing.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_cov

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGELOG.rst README.rst
%license LICENSE
%{python3_sitelib}/pytest-cov.pth
