# Created by pyp2rpm-3.3.8
%global pypi_name pytest-datadir
%global srcname pytest_datadir

Name:           python-%{pypi_name}
Version:        1.6.1
Release:        %mkrel 1
Summary:        pytest plugin for test data directories and files
Group:          Development/Python
License:        MIT
URL:            https://github.com/gabrielcnr/pytest-datadir
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
pytest plugin for manipulating test data directories and files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pytest plugin for manipulating test data directories and files.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_datadir

rm -rf %{buildroot}%{_usr}/LICENSE

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
