# Created by pyp2rpm-3.3.2
%global pypi_name pytest-expect

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        %mkrel 6
Summary:        py.test plugin to store test expectations and mark tests based on them
Group:          Development/Python
License:        MIT License
URL:            https://github.com/gsnedders/pytest-expect
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
A py.test plugin that stores test expectations by saving the set of failing
tests, allowing them to be marked as xfail when running them in future. The
tests expectations are stored such that they can be distributed alongside the
tests.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A py.test plugin that stores test expectations by saving the set of failing
tests, allowing them to be marked as xfail when running them in future. The
tests expectations are stored such that they can be distributed alongside the
tests.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_expect

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
