# Created by pyp2rpm-3.3.2
%global pypi_name pytest-flakes

Name:           python-%{pypi_name}
Version:        4.0.5
Release:        %mkrel 6
Summary:        pytest plugin to check source code with pyflakes
Group:          Development/Python
License:        MIT license
URL:            https://pypi.org/project/pytest-flakes/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pyflakes)
BuildRequires:  python3dist(setuptools)

%description
pytest-flakes py.test plugin for efficiently checking python source with
pyflakes.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pyflakes)
Requires:       python3dist(pytest) >= 2.8.0
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
pytest-flakes py.test plugin for efficiently checking python source with
pyflakes.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_flakes

%check
# pep263 collects a warning which is not expected
%pytest -k "not pep263"

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
