# Created by pyp2rpm-3.3.2
%global pypi_name pytest-forked

Name:           python-%{pypi_name}
Version:        1.6.0
Release:        %mkrel 4
Summary:        Run tests in isolated forked subprocesses
Group:          Development/Python
License:        MIT
URL:            https://github.com/pytest-dev/pytest-forked
Source0:        %{pypi_source}
# Sync expected test_xfail's xpassed summary to Pytest 8
Patch:          398f003660dda242b97217390718a2a90c3d7a88.patch
BuildArch:      noarch

BuildRequires:  python3-devel

%description
Run each test in a forked subprocess.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Run each test in a forked subprocess.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# loosen reqs
sed -i -e '/^requires/s/~=/>=/g' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_forked

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
