%global module	pytest-helpers-namespace
%global srcname	pytest_helpers_namespace

Name:		python-%{module}
Version:	2021.12.29
Release:	%mkrel 5
Summary:	PyTest Helpers Namespace
Group:		Development/Python
License:	ASL 2.0
URL:		https://github.com/saltstack/pytest-helpers-namespace
Source0:	https://pypi.io/packages/source/p/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(setuptools-declarative-requirements)
BuildRequires:	python3-setuptools-scm+toml

%description
Provides a helpers pytest namespace which can be used to register helper
functions without requiring you to import them on your actual tests to use
them.


%package -n	python3-%{module}
Summary:	PyTest Helpers Namespace for python 3
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
Provides a helpers pytest namespace which can be used to register helper
functions without requiring you to import them on your actual tests to use
them.


%prep
%autosetup -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc README.rst
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info
