%global pypi_name pytest-mypy

Name:           python-%{pypi_name}
Version:        0.10.3
Release:        %mkrel 2
Summary:        Mypy static type checker plugin for Pytest
Group:          Development/Python
License:        MIT license
URL:            https://github.com/dbader/pytest-mypy/
Source0:        %{pypi_source}
Patch0:         indirect-test-new-mypy.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(attrs)
BuildRequires:  python3dist(filelock)
BuildRequires:  python3dist(mypy)
BuildRequires:  python3dist(pexpect)

%description
Mypy static type checker plugin for pytest.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Mypy static type checker plugin for pytest.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_mypy

%check
#pytest -s

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE
%doc changelog.md CONTRIBUTING.rst README.rst
