# Created by pyp2rpm-3.3.8
%global pypi_name pytest-shard

Name:           python-%{pypi_name}
Version:        0.1.2
Release:        %mkrel 3
Summary:        Shard tests to support parallelism across multiple machines
Group:          Development/Python
License:        MIT
URL:            https://github.com/AdamGleave/pytest-shard
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Shards tests based on a hash of their test name enabling easy parallelism
across machines, suitable for a wide variety of continuous integration
services. Tests are split at the finest level of granularity, individual test
cases, enabling parallelism even if all of your tests are in a single file (or
even single parameterized test method).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Shards tests based on a hash of their test name enabling easy parallelism
across machines, suitable for a wide variety of continuous integration
services. Tests are split at the finest level of granularity, individual test
cases, enabling parallelism even if all of your tests are in a single file (or
even single parameterized test method).

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_shard

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
