%define pypi_name pytool

Name:           python-%{pypi_name}
Version:        5.0.1
Release:        %mkrel 2
Summary:        A Collection of Python Tools
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/pytool/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
pytool is a collection of often used helper methods and classes that make life
easier or fill in gaps in the Python Standard Library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
pytool is a collection of often used helper methods and classes that make life
easier or fill in gaps in the Python Standard Library.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytool

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
