Name:           python-pyvis
Version:        0.3.2
Release:        %mkrel 2
Summary:        Pyvis - a Python library for visualizing networks
Group:          Development/Python
License:        MIT
URL:            https://github.com/WestHealth/pyvis
Source0:        pyvis.tar.xz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
Pyvis - a Python library for visualizing networks.

%package -n     python3-pyvis
Summary:        %{summary}
%{?python_provide:%python_provide python3-pyvis}

%description -n python3-pyvis
Pyvis - a Python library for visualizing networks.


%prep
%autosetup -n pyvis

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyvis


%files -n python3-pyvis -f %{pyproject_files}
%license LICENSE_BSD.txt
%doc README.md

