# Created by pyp2rpm-3.3.2
%global pypi_name queuelib

Name:           python-%{pypi_name}
Version:        1.6.2
Release:        %mkrel 5
Summary:        Collection of persistent (disk-based) queues
Group:          Development/Python
License:        BSD
URL:            https://github.com/scrapy/queuelib
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
Queuelib is a collection of persistent (disk-based) queues for Python.
Queuelib goals are speed and simplicity. It was originally part of the
Scrapy framework and stripped out on its own library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Queuelib is a collection of persistent (disk-based) queues for Python.
Queuelib goals are speed and simplicity. It was originally part of the
Scrapy framework and stripped out on its own library.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files queuelib

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
