%define pypi_name	random2

Name:		python-random2
Summary:	Python 2’s random module for Python 3
Version:	1.0.2
Release:	%mkrel 2
Source0:	%{pypi_source}
URL:		https://pypi.python.org/pypi/random2
Group:		Development/Python
License:	BSD
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)

%description
This package provides a Python 3 ported version of Python 2.7’s
random module. It has also been back-ported to work in Python 2.6.

%package -n python3-random2
Summary:	Python 2’s random module for Python 3

%description -n python3-random2
This package provides a Python 3 ported version of Python 2.7’s
random module. It has also been back-ported to work in Python 2.6.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-random2 -f %{pyproject_files}
%doc README*
