# Created by pyp2rpm-3.3.8
%global pypi_name rapidfuzz-capi

Name:           python-%{pypi_name}
Version:        1.0.5
Release:        %mkrel 3
Summary:        C-API of RapidFuzz, which can be used to extend RapidFuzz from separate packages
Group:          Development/Python
License:        MIT
URL:            https://github.com/rapidfuzz/rapidfuzz_capi
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/rapidfuzz_capi-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This package provides the C-API of RapidFuzz. It can be used inside the
pyproject.toml to compile and extension module extending RapidFuzz.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-rapidfuzz_capi}

%description -n python3-%{pypi_name}
This package provides the C-API of RapidFuzz. It can be used inside the
pyproject.toml to compile and extension module extending RapidFuzz.

%prep
%autosetup -n rapidfuzz_capi-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rapidfuzz_capi

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
