# Created by pyp2rpm-3.3.2
%global pypi_name readme-renderer
%global srcname   readme_renderer

# missing icdiff pytest-icdiff, pprintpp
%bcond_with check

Name:           python-%{pypi_name}
Version:        44.0
Release:        %mkrel 1
Summary:        readme_renderer is a library for rendering "readme" descriptions for Warehouse
Group:          Development/Python
License:        Apache License, Version 2.0
URL:            https://pypi.org/project/readme-renderer
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Readme Renderer is a library that will safely render arbitrary README files
into HTML. It is designed to be used in Warehouse to render the
long_description for packages. It can handle Markdown, reStructuredText (.rst),
and plain text.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Readme Renderer is a library that will safely render arbitrary README files
into HTML. It is designed to be used in Warehouse to render the
long_description for packages. It can handle Markdown, reStructuredText (.rst),
and plain text.

%prep
%autosetup -n readme_renderer-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files readme_renderer

%if %{with check}
%check
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
