# Created by pyp2rpm-1.0.1
%global pypi_name reconfigure
%global with_python3 1
%define version 0.1.82

Name:           python-reconfigure
Version:        %{version}
Release:        %mkrel 4
Group:          Development/Python
Summary:        An ORM for config files

License:        LGPLv3
URL:            https://pypi.org/project/reconfigure/
Source0:        https://pypi.python.org/packages/source/r/reconfigure/reconfigure-%{version}.tar.gz
BuildArch:      noarch

%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # if with_python3

%description
UNKNOWN

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        An ORM for config files

Requires:       python3-chardet

%description -n python3-%{pypi_name}
UNKNOWN
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%if 0%{?with_python3}
find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3


%generate_buildrequires
%pyproject_buildrequires

%build
%if 0%{?with_python3}
%py3_build
%endif # with_python3


%install
%if 0%{?with_python3}
%{__python3} setup.py install --skip-build --root %{buildroot}
%endif # with_python3


%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%endif # with_python3

