%define pypi_name redis-collections

Name:           python-%{pypi_name}
Version:        0.11.0
Release:        %mkrel 4
Summary:        Set of basic Python collections backed by Redis
Group:          Development/Python
License:        ISCL
URL:            https://pypi.org/project/redis-collections/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
redis-collections is a Python library that provides a high-level interface to
Redis, the excellent key-value store.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
redis-collections is a Python library that provides a high-level interface to
Redis, the excellent key-value store.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files redis_collections

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
