%global pypi_name regex

Name:           python-%{pypi_name}
Version:        2024.11.6
Release:        %mkrel 1
Summary:        Alternative regular expression module, to replace re
Group:          Development/Python
# see also https://code.google.com/p/mrab-regex-hg/issues/detail?id=124
License:        Python and CNRI
URL:            https://pypi.org/project/regex/
Source0:        %{pypi_source}
BuildRequires:  pyproject-rpm-macros
BuildRequires:	python3-devel

%description
This new regex implementation is intended eventually to replace
Python's current re module implementation.

For testing and comparison with the current 're' module the new
implementation is in the form of a module called 'regex'.

%package -n python3-%{pypi_name}
Summary:        Alternative regular expression module, to replace re
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This new regex implementation is intended eventually to replace
Python's current re module implementation.

For testing and comparison with the current 're' module the new
implementation is in the form of a module called 'regex'.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files regex

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE*
%doc README*
