%define pypi_name requests-file

Name:           python-%{pypi_name}
Version:        2.0.0
Release:        %mkrel 2
Summary:        File transport adapter for Requests
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/requests-file/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Requests-File is a transport adapter for use with the Requests Python library
to allow local filesystem access via file:// URLs.

%package -n     python3-%{pypi_name}
Summary:        File transport adapter for Requests
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
Requests-File is a transport adapter for use with the Requests Python library
to allow local filesystem access via file:// URLs.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files requests_file

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
