# Created by pyp2rpm-1.0.0
%global pypi_name requests-gssapi

Name:           python-requests-gssapi
Version:        1.3.0
Release:        %mkrel 1
Group:          Development/Python
Summary:        A GSSAPI authentication handler for python-requests
License:        BSD
URL:            https://pypi.python.org/pypi/requests-gssapi
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
Requests is an HTTP library, written in Python, for human beings. This library
adds optional GSSAPI authentication support and supports mutual authentication.

%package -n python3-%{pypi_name}
Group:          Development/Python
Summary:        A GSSAPI authentication handler for python-requests
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-requests_gssapi}

%description -n python3-%{pypi_name}
Requests is an HTTP library, written in Python, for human beings. This library
adds optional GSSAPI authentication support and supports mutual authentication.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files requests_gssapi

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc AUTHORS README.rst HISTORY.rst
