%define pypi_name requests-oauthlib

Name:           python-requests-oauthlib
Version:        1.3.1
Release:        %mkrel 4
Group:          Development/Python
Summary:        OAuthlib authentication support for Requests

License:        ISC
URL:            https://pypi.org/project/requests-oauthlib
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description
This project provides first-class OAuth library support for Requests.


%package -n     python3-%{pypi_name}
Summary:        OAuthlib authentication support for Requests
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This project provides first-class OAuth library support for Requests.


%prep
%setup -q -n %{pypi_name}-%{version}

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files requests_oauthlib


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
