%global pypi_name requests-toolbelt

Name:           python-%{pypi_name}
Version:        1.0.0
Release:        %mkrel 2
Summary:        A utility belt for advanced users of python-requests
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/requests-toolbelt/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This is just a collection of utilities for python-requests, but don’t really
belong in requests proper.

%package -n python3-%{pypi_name}
Summary:        A utility belt for advanced users of python-requests
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is just a collection of utilities for python-requests, but don’t really
belong in requests proper.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files requests_toolbelt

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
