%define pypi_name retry-decorator
%define srcname retry_decorator

Name:		python-%{pypi_name}
Summary:	Decorator for retrying when exceptions occur
Version:	1.1.1
Release:	%mkrel 2
Group:		Development/Python
License:	MIT
Url:		https://pypi.org/project/retry-decorator/
Source:		%{pypi_source}
BuildArch:	noarch

%description
Decorator for retrying when exceptions occur.

%package -n python3-%{pypi_name}
Summary:	Decorator for retrying when exceptions occur
Group:		Development/Python
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:	python3-%{srcname} < 1.1.1

%description -n python3-%{pypi_name}
Decorator for retrying when exceptions occur.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGES.txt README.rst LICENSE.txt
