# Created by pyp2rpm-3.3.5
%global pypi_name rfc3339-validator

Name:           python-%{pypi_name}
Version:        0.1.4
Release:        %mkrel 3
Summary:        A pure python RFC3339 validator
Group:          Development/Python
License:        MIT license
URL:            https://github.com/naimetti/rfc3339-validator
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/rfc3339_validator-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
# Only for test, but we don't have it: disabling tests
# BuildRequires:  python3dist(strict-rfc3339)

%description
A pure python RFC3339 validator

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A pure python RFC3339 validator

%prep
%autosetup -n rfc3339_validator-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rfc3339_validator

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
