# Created by pyp2rpm-3.3.5
%global pypi_name rfc3986-validator
%define srcname rfc3986_validator

Name:           python-%{pypi_name}
Version:        0.1.1
Release:        %mkrel 3
Summary:        Pure python rfc3986 validator
Group:          Development/Python
License:        MIT license
URL:            https://github.com/naimetti/rfc3986-validator
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
# For tests
BuildRequires:  python3dist(rfc3987)
BuildRequires:  python3dist(hypothesis)

%description
A pure python RFC3986 validator.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A pure python RFC3986 validator.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
