# Created by pyp2rpm-3.3.5
%global pypi_name rfc3987

Name:           python-%{pypi_name}
Version:        1.3.8
Release:        %mkrel 3
Summary:        Parsing and validation of URIs (RFC 3986) and IRIs (RFC 3987)
Group:          Development/Python
License:        GPLv3+
URL:            https://pypi.python.org/pypi/rfc3987
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This module provides regular expressions according to RFC 3986 "Uniform
Resource Identifier (URI): Generic Syntax", RFC 3987 "Internationalized
Resource Identifiers (IRIs)" and utilities for composition and relative
resolution of references.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This module provides regular expressions according to RFC 3986 "Uniform
Resource Identifier (URI): Generic Syntax", RFC 3987 "Internationalized
Resource Identifiers (IRIs)" and utilities for composition and relative
resolution of references.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license COPYING.txt
%doc README.txt
