%define pypi_name rope

Name:           python-%{pypi_name}
Version:        1.13.0
Release:        %mkrel 2
Summary:        Python refactoring library
License:        GPLv2
Group:          Development/Python
Url:            https://pypi.org/project/rope/#files
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Rope is a Python refactoring library. You can use rope as a library in other
IDEs.

%package -n python3-%{pypi_name}
Summary:        Python 3 refactoring library
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Rope is a Python refactoring library. You can use rope as a library in other
IDEs.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rope

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license COPYING
%doc README.rst docs/*
