# Created by pyp2rpm-1.0.1
%global pypi_name rpy2

Name:           python-rpy2
Version:        3.5.17
Release:        %mkrel 2
Summary:        Python interface to the R language (embedded R)
Group:          Development/Python
License:        GPLv2+
URL:            https://github.com/rpy2/rpy2
Source0:        https://pypi.io/packages/source/r/rpy2/rpy2-%{version}.tar.gz
Source1:        rpy2.conf

BuildRequires:  R-base
BuildRequires:  openblas-devel
BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(libtirpc)
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(tre)

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(cffi)

%description
This is the source tree or distribution for the rpy2 package.

%package -n     python3-%{pypi_name}
Summary:        Python interface to the R language (embedded R)
Group:          Development/Python
Requires:       R-base
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is the source tree or distribution for the rpy2 package.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d
cp %{SOURCE1} %{buildroot}%{_sysconfdir}/ld.so.conf.d/python3-rpy2.conf

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{python3_sitearch}/_rinterface*
%{python3_sitearch}/__pycache__/_rinterface*
%{_sysconfdir}/ld.so.conf.d/python3-rpy2.conf
