%define module scripttest
Name:           python-%{module}
Version:        1.3
Release:        %mkrel 22
Summary:        Helper to test command-line scripts

Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/ScriptTest/
Source0:        https://pypi.python.org/packages/source/s/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
scripttest is a library to help you test your interactive
command-line applications.

With it you can easily run the command (in a subprocess) and see
the output (stdout, stderr) and any file modifications.

%package -n python3-%{module}
Summary:        Helper to test command-line scripts
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
scripttest is a library to help you test your interactive
command-line applications.

With it you can easily run the command (in a subprocess) and see
the output (stdout, stderr) and any file modifications.

%prep
%autosetup -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{module}

%files -n python3-%{module} -f %{pyproject_files}
%doc README*
