# Created by pyp2rpm-3.3.2
%global pypi_name scripttester

Name:           python-%{pypi_name}
Version:        0.1
Release:        %mkrel 11
Summary:        Utility for testing command line scripts
Group:          Development/Python
License:        BSD license
URL:            https://github.com/matthew-brett/scripttester
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Update versioneer to fix FTBFS with python 3.11
# https://github.com/matthew-brett/scripttester/issues/1
Patch0:         python-scripttester-versioneer.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)

%description
Provides class to be instantiated in tests that check that scripts can be run
and give correct output. Usually works something like this in a test module.

%package -n     python3-%{pypi_name}
Summary:        Utility for testing command line scripts
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pytest)

%description -n python3-%{pypi_name}
Provides class to be instantiated in tests that check that scripts can be run
and give correct output. Usually works something like this in a test module.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
