%define module_name sensors
%define tar_name PySensors

Name:           python-%{module_name}
Version:        0.0.2
Release:        %mkrel 1.hg0cf96f4e2cfe.13
Group:          Development/Python
Summary:        Python bindings for libsensors.so

License:        LGPLv3
URL:            https://bitbucket.org/gleb_zhulik/py3sensors
# Not on Pypi, we need snapshots.  Instructions below:
# wget https://bitbucket.org/gleb_zhulik/py3sensors/get/tip.tar.gz
# cd gleb_zhulik-py3sensors-0cf96f4e2cfe/
# python setup.py sdist
# The tarball is in dist/PySensors-VERSION.tar.gz
Source0:        %{tar_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  lm_sensors-devel

%description
Python bindings for libsensors.so from the lm-sensors project via ctypes.
Supported only 4 API version.

%package -n     python3-%{module_name}
Group:          Development/Python
Summary:        Python3 bindings for libsensors.so
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description -n python3-%{module_name}
Python bindings for libsensors.so from the lm-sensors project via ctypes.
Supported only 4 API version.


%prep
%setup -q -n %{tar_name}-%{version}

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%py3_build

%install
%{__python3} setup.py install --skip-build --root %{buildroot}

%files -n python3-%{module_name}
%doc README.rst
%{python3_sitelib}/%{module_name}/
%{python3_sitelib}/%{tar_name}-%{version}-py%{python3_version}.egg-info
