%define pypi_name	sentry_sdk

Name:		python-sentry-sdk
Version:	2.21.0
Release:	%mkrel 2
Summary:	Python client for Sentry (https://sentry.io)
License:	MIT
Group:		Development/Python
URL:		https://pypi.org/project/sentry-sdk/
Source0:	https://files.pythonhosted.org/packages/source/s/sentry-sdk/%{pypi_name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(pip)

%description
Python client for Sentry (https://sentry.io).

%package -n	python3-sentry-sdk
Summary:	Python3 client for Sentry (https://sentry.io)
Group:		Development/Python

%description -n	python3-sentry-sdk
Python 3 client for Sentry (https://sentry.io).


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-sentry-sdk -f %{pyproject_files}
%doc README.md
%license LICENSE
