%define pypi_name serverfiles

Name:           python-%{pypi_name}
Version:        0.3.1
Release:        %mkrel 5
Summary:        An utility that accesses files on a HTTP server and stores them locally for reuse
Group:          Development/Python
License:        GPLv3
URL:            https://github.com/biolab/serverfiles
Source0:        %{pypi_source}
BuildArch:      noarch

%description
An utility that accesses files on a HTTP server and stores them locally for reuse.

%package -n     python3-%{pypi_name}
Summary:        An utility that accesses files on a HTTP server and stores them locally for reuse
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
An utility that accesses files on a HTTP server and stores them locally for reuse.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files serverfiles

%files -n python3-%{pypi_name} -f %{pyproject_files}
