%define pypi_name	setproctitle

Name:		python-%{pypi_name}
Version:	1.3.5
Release:	%mkrel 1
Summary:	A library allowing a process to change its title
License:	BSD
Group:		System/Libraries
Url:		https://github.com/dvarrazzo/py-setproctitle/
Source0:	%{pypi_source}

%description
The library allows a process to change its title (as displayed by system tools
such as ps and top).

Changing the title is mostly useful in multi-process systems, for example when
a master process is forked: changing the children's title allows to identify
the task each process is busy with.

%package -n	python3-%{pypi_name}
Summary:	A library allowing a process to change its title
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n	python3-%{pypi_name}
The library allows a process to change its title (as displayed by system tools
such as ps and top).

Changing the title is mostly useful in multi-process systems, for example when
a master process is forked: changing the children's title allows to identify
the task each process is busy with.


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc HISTORY.rst README.rst
