# Created by pyp2rpm-3.3.8
%global pypi_name setuptools-gettext
%global srcname setuptools_gettext

Name:           python-%{pypi_name}
Version:        0.1.14
Release:        %mkrel 2
Summary:        Setuptools gettext extension plugin
Group:          Development/Python
License:        GPLv2 or later
URL:            https://github.com/breezy-team/setuptools-gettext
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Setuptools plugin for gettext. Compile .po files into .mo files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Setuptools plugin for gettext. Compile .po files into .mo files.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files setuptools_gettext

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
