%global srcname setuptools-git

Name:           python-%{srcname}
Version:        1.2
Release:        %mkrel 9
Summary:        Setuptools revision control system plugin for Git

Group:          Development/Python
License:        MIT
URL:            https://github.com/wichert/setuptools-git
Source0:        https://pypi.io/packages/source/s/setuptools-git/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
This is a plugin for setuptools that enables git integration.

%package -n python3-%{srcname}
Summary:        Setuptools revision control system plugin for Git
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{srcname}
This is a plugin for setuptools that enables git integration.
This is the Python 3 build of %{srcname}.

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files setuptools_git

%files -n python3-%{srcname} -f %{pyproject_files}
