# Created by pyp2rpm-3.3.1
%global pypi_name setuptools-scm-git-archive
%global srcname setuptools_scm_git_archive

Name:           python-%{pypi_name}
Version:        1.4.1
Release:        %mkrel 1
Summary:        setuptools_scm plugin for git archives
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/setuptools-scm-git-archive
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
This is a setuptools_scm plugin that adds support for git archives (for
example the ones GitHub automatically generates). Note that it only works for
archives of tagged commits (because git currently lacks a format option
equivalent to git describe --tags).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
This is a setuptools_scm plugin that adds support for git archives (for
example the ones GitHub automatically generates). Note that it only works for
archives of tagged commits (because git currently lacks a format option
equivalent to git describe --tags).

%prep
%autosetup -n setuptools_scm_git_archive-%{version}

sed -i 's|setuptools-scm<8|setuptools-scm<9|' setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
