# Created by pyp2rpm-3.3.1
%global pypi_name sh

Name:           python-%{pypi_name}
Version:        2.2.2
Release:        %mkrel 2
Summary:        Python subprocess replacement
Group:          Development/Python
License:        MIT
URL:            https://github.com/amoffat/sh
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description
sh is a full-fledged subprocess replacement that allows you to call any program
as if it were a function:

  from sh import ifconfig
  print ifconfig("eth0")

sh is not a collection of system commands implemented in Python.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
sh is a full-fledged subprocess replacement that allows you to call any program
as if it were a function:

  from sh import ifconfig
  print ifconfig("eth0")

sh is not a collection of system commands implemented in Python.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sh

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
