%global srcname simplegeneric

Name:           python-%{srcname}
Version:        0.8.1
Release:        %mkrel 21
Summary:        Simple generic functions (similar to Python's own len(), pickle.dump(), etc.)

Group:          Development/Python
License:        ZPL
URL:            https://pypi.org/project/simplegeneric/
Source0:        https://files.pythonhosted.org/packages/source/s/%{srcname}/%{srcname}-%{version}.zip

BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description
Simple generic functions (similar to Python's own len(), pickle.dump(), etc.)

%package -n python3-%{srcname}
Summary:        Simple generic functions (similar to Python's own len(), pickle.dump(), etc.)
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Simple generic functions (similar to Python's own len(), pickle.dump(), etc.)

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files simplegeneric

%files -n python3-%{srcname} -f %{pyproject_files}
