# Created by pyp2rpm-3.3.2
%global pypi_name python-slugify
%global srcname slugify

Name:           python-%{srcname}
Version:        8.0.2
Release:        %mkrel 2
Summary:        A Python Slugify application that handles Unicode
Group:          Development/Python
License:        MIT
URL:            https://github.com/un33k/python-slugify
Source0:        https://github.com/un33k/python-slugify/archive/v%{version}.tar.gz#/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
A Python Slugify application that handles Unicode.

%package -n     python3-%{srcname}
Summary:        A Python 3 Slugify application that handles Unicode
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
Requires:       python3dist(setuptools)
Requires:       python3dist(unidecode) >= 0.04.16

Conflicts:	python2-slugify < 3.0.4-1

%description -n python3-%{srcname}
A Python 3 Slugify application that handles Unicode.


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files slugify

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/slugify
