Name:           python-smbpasswd
Version:        1.0.2
Release:        %mkrel 7
Summary:        Python SMB Password Hash Generator Module
Group:          Development/Python
License:        GPLv2
URL:            https://barryp.org/software/py-smbpasswd
#               https://github.com/barryp/py-smbpasswd
# Source0:      https://barryp.org/software/py-smbpasswd/files/py-smbpasswd-%%{version}.tar.gz
Source0:        https://github.com/barryp/py-smbpasswd/archive/%{version}.tar.gz#/py-smbpasswd-%{version}.tar.gz
Patch1:         python-smbpasswd-1.0.1-py3.patch
BuildRequires:  pkgconfig(python3)

%description
This package contains a python module, which is able to generate LANMAN and
NT password hashes suitable to us with Samba.

%package -n python3-smbpasswd
Summary:        Python 3 SMB Password Hash Generator Module
Group:          Development/Python
%{?python_provide:%python_provide python3-smbpasswd}

%description -n python3-smbpasswd
This package contains a python module, which is able to generate LANMAN and
NT password hashes suitable to us with Samba.

This is a ported release for python 3.

%files -n python3-smbpasswd -f %{pyproject_files}
%license COPYING.txt
%doc README.txt

#--------------------------------------------------------------------

%prep
%setup -q -n py-smbpasswd-%{version}
%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files smbpasswd

