%define pypi_name sniffio

Name:       python-%{pypi_name}
Version:    1.3.1
Release:    %mkrel 2
Summary:    Sniff out which async library your code is running under
Group:      Development/Python
License:    MIT or ASL
URL:        https://pypi.org/project/sniffio
Source0:    %{pypi_source}
BuildArch:  noarch
BuildRequires:  python3-devel

%description
You’re writing a library. You’ve decided to be ambitious, and support multiple
async I/O packages, like Trio, and asyncio, and … You’ve written a bunch of
clever code to handle all the differences. But… how do you know which piece of
clever code to run?

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
You’re writing a library. You’ve decided to be ambitious, and support multiple
async I/O packages, like Trio, and asyncio, and … You’ve written a bunch of
clever code to handle all the differences. But… how do you know which piece of
clever code to run?

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sniffio

%files -n python3-%{pypi_name} -f %{pyproject_files}
