%define mod_name	SocksiPy-branch
%define lc_name		socksipy-branch

Name:		python-%{lc_name}
Summary:	A Python SOCKS module
Version:	1.02
Release:	%mkrel 19
Source0:	https://socksipy-branch.googlecode.com/files/%{mod_name}-%{version}.tar.gz
URL:		https://code.google.com/p/socksipy-branch/
Group:		Development/Python
License:	BSD
BuildArch:	noarch

%description
It provides a socket-like interface that supports connections to any TCP
service through the use of a SOCKS4, SOCKS5 or HTTP proxy.

%package -n python3-%{lc_name}
Summary:	A Python SOCKS module
BuildRequires:	python3-setuptools
%{?python_provide:%python_provide python3-%{lc_name}}
# both provides %%{python3_sitelib}/socks.py
Conflicts:	python3-pysocks

%description -n python3-%{lc_name}
It provides a socket-like interface that supports connections to any TCP
service through the use of a SOCKS4, SOCKS5 or HTTP proxy.

%prep
%setup -q -n %{mod_name}-%{version}
%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files socks

%files -n python3-%{lc_name} -f %{pyproject_files}
%license LICENSE
%doc BUGS README
