%global pypi_name speg
%global srcname %{pypi_name}
%global commit 877acddfd5ac5ae8b4a4592d045e74e108477643
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-%{srcname}
Version:        0.3
Release:        %mkrel 4
Summary:        A PEG-based parser interpreter with memoization (in time)
Group:          Development/Python
License:        MIT
URL:            https://github.com/avakar/speg
Source0:        https://github.com/avakar/speg/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
A PEG-based parser interpreter with memoization.

%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
A PEG-based parser interpreter with memoization.

%prep
%autosetup -n %{srcname}-%{commit}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

