# Created by pyp2rpm-3.3.6
%global pypi_name sphinx-autoapi
%global srcname_ sphinx_autoapi

# Needs Internet
%bcond_with check

Name:           python-%{pypi_name}
Version:        3.6.0
Release:        %mkrel 1
Summary:        Sphinx API documentation generator
Group:          Development/Python
License:        MIT
URL:            https://github.com/readthedocs/sphinx-autoapi
Source0:        %pypi_source %{srcname_}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
# for tests
%if %{with check}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(beautifulsoup4)
%endif

%description
Sphinx AutoAPI provides "autodoc" style documentation for multiple programming
languages without needing to load, run, or import the project being documented.

In contrast to the traditional Sphinx autodoc, which is Python-only and uses
code imports, AutoAPI finds and generates documentation by parsing source code.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Sphinx AutoAPI provides "autodoc" style documentation for multiple programming
languages without needing to load, run, or import the project being documented.

In contrast to the traditional Sphinx autodoc, which is Python-only and uses
code imports, AutoAPI finds and generates documentation by parsing source code.

%prep
%autosetup -n %{srcname_}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files autoapi

%if %{with check}
%check
%pytest -m 'not network'
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.rst
%doc README.rst
