# Created by pyp2rpm-3.3.1
%global pypi_name sphinx-autodoc-typehints
%global srcname sphinx_autodoc_typehints

Name:           python-%{pypi_name}
Version:        2.5.0
Release:        %mkrel 1
Summary:        Type hints (PEP 484) support for the Sphinx autodoc extension
Group:          Development/Python
License:        MIT
URL:            https://github.com/GaretJax/sphinx-autodoc-typehints
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(pytest)

%description
Type hints (PEP 484) support for the Sphinx autodoc extension.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Type hints (PEP 484) support for the Sphinx autodoc extension.

%prep
%autosetup -p1 -n %{srcname}-%{version}


# Requires sphinx>=8.0.2, sphinx in Fedora lacks 6 months behind at the moment
sed -i -e "s/sphinx>=[0-9.]*/sphinx/g" pyproject.toml

%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_buildrequires

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_wheel

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_install
%pyproject_save_files sphinx_autodoc_typehints

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README*

