# Created by pyp2rpm-3.3.2
%global pypi_name sphinx-bootstrap-theme

Name:           python-%{pypi_name}
Version:        0.8.1
Release:        %mkrel 3
Summary:        Sphinx Bootstrap Theme
Group:          Development/Python
License:        None
URL:            http://ryan-roemer.github.com/sphinx-bootstrap-theme/README.html
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%description
This Sphinx theme integrates the Bootstrap CSS / JavaScript framework with
various layout options, hierarchical menu navigation, and mobile-friendly
responsive design. It is configurable, extensible, and can use any number of
different Bootswatch CSS themes.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This Sphinx theme integrates the Bootstrap CSS / JavaScript framework with
various layout options, hierarchical menu navigation, and mobile-friendly
responsive design. It is configurable, extensible, and can use any number of
different Bootswatch CSS themes.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinx_bootstrap_theme

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
