# Created by pyp2rpm-3.3.1
%global pypi_name sphinx-celery
%global srcname sphinx_celery

%bcond_with test

Name:           python-%{pypi_name}
Version:        2.1.3
Release:        %mkrel 1
Summary:        Sphinx Celery Theme
Group:          Development/Python
License:        BSD
URL:            https://github.com/celery/sphinx_celery
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%if %{with test}
BuildRequires:  python3dist(pytest)
%endif

%description
This project provides the Celery sphinx theme and common Sphinx utilities.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
%{?py_provides:%py_provides python3-%{srcname}}
Requires:       python3dist(sphinx) >= 2.0.0
Obsoletes:      python3-sphinx_celery < 2.0.0-7

%description -n python3-%{pypi_name}
This project provides the Celery sphinx theme and common Sphinx utilities.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%if %{with test}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
