%global srcname sphinx-copybutton

Name:           python-%{srcname}
Version:        0.5.2
Release:        %mkrel 3
Summary:        Add a copy button to code cells in Sphinx docs
Group:          Development/Python
License:        MIT
URL:            https://sphinx-copybutton.readthedocs.io/en/latest/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
A small sphinx extension to add a "copy" button to code blocks.

%package -n     python3-%{srcname}
Summary:        Add a copy button to code cells in Sphinx docs
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
A small sphinx extension to add a "copy" button to code blocks.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinx_copybutton

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md
%license LICENSE
