# Created by pyp2rpm-3.3.2
%global pypi_name sphinx-epytext

Name:           python-%{pypi_name}
Version:        0.0.4
Release:        %mkrel 9
Summary:        Sphinx "epytext" extension
Group:          Development/Python
License:        MIT
URL:            https://github.com/jayvdb/sphinx-epytext
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
sphinx-epytext provides basic support for epytext docstrings in Sphinx
autodoc.

It connects to the 'autodoc-process-docstring' hook of Sphinx, to perform the following:
- Replaces '@' with ':' for epydoc fields.
- Replaces L{..} and C{..} with :py:obj:'..'
- Removes U{..} from around links

%package -n     python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(sphinx) >= 0.4

%description -n python3-%{pypi_name}
sphinx-epytext provides basic support for epytext docstrings in Sphinx
autodoc.

It connects to the 'autodoc-process-docstring' hook of Sphinx, to perform the following:
- Replaces '@' with ':' for epydoc fields.
- Replaces L{..} and C{..} with :py:obj:'..'
- Removes U{..} from around links

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/sphinx_epytext
%{python3_sitelib}/sphinx_epytext-%{version}-py%{python3_version}.egg-info
