# Created by pyp2rpm-3.3.2
%global pypi_name sphinx-gallery
%global srcname sphinx_gallery

%bcond_with tests

Name:           python-%{pypi_name}
Version:        0.19.0
Release:        %mkrel 1
Summary:        Sphinx extension to automatically generate an examples gallery
Group:          Development/Python
License:        3-clause BSD
URL:            https://pypi.org/project/sphinx-gallery
Source0:        %{pypi_source %{srcname}}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
Sphinx extension that builds an HTML gallery of examples from any set of
Python scripts.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-sphinx_gallery}
Provides:       python3-sphinx_gallery = %{version}-%{release}

%description -n python3-%{pypi_name}
Sphinx extension that builds an HTML gallery of examples from any set of
Python scripts.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinx_gallery

# No need for copy_sphinxgallery.sh
rm -r %{buildroot}%{_bindir}

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
