# Created by pyp2rpm-3.3.2
%global pypi_name sphinx-issues

Name:           python-%{pypi_name}
Version:        5.0.0
Release:        %mkrel 2
Summary:        A Sphinx extension for linking to your project's issue tracker
Group:          Development/Python
License:        MIT
URL:            https://github.com/sloria/sphinx-issues
Source0:        %{pypi_source sphinx_issues}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
A Sphinx extension for linking to your project’s issue tracker. Includes roles
for linking to issues, pull requests, user profiles, with built-in support for
GitHub (though this works with other services).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Sphinx extension for linking to your project’s issue tracker. Includes roles
for linking to issues, pull requests, user profiles, with built-in support for
GitHub (though this works with other services).

%prep
%autosetup -n sphinx_issues-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinx_issues

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
