# Created by pyp2rpm-3.3.8
%global pypi_name sphinx-lint
%global srcname sphinx_lint

Name:           python-%{pypi_name}
Version:        0.9.1
Release:        %mkrel 2
Summary:        Sphinx lint
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/sphinx-lint/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Check for stylistic and formal issues in .rst and .py files included in the
documentation.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       sphinx-lint = %{version}-%{release}

%description -n python3-%{pypi_name}
Check for stylistic and formal issues in .rst and .py files included in the
documentation.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinxlint

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE*
%doc README*
%{_bindir}/sphinx-lint
