# Created by pyp2rpm-3.3.5
%global pypi_name sphinx-markdown-tables

Name:           python-%{pypi_name}
Version:        0.0.17
Release:        %mkrel 3
Summary:        A Sphinx extension for rendering tables written in markdown
Group:          Development/Python
License:        None
URL:            https://github.com/ryanfox/sphinx-markdown-tables
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Sphinx supports markdown via Recommonmark, which does not support tables. This
extension provides them.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(markdown) >= 3.0.1

%description -n python3-%{pypi_name}
Sphinx supports markdown via Recommonmark, which does not support tables. This
extension provides them.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinx_markdown_tables

rm -rf %{buildroot}%{_prefix}/LICENSE

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

