# Created by pyp2rpm-3.3.6
%global pypi_name sphinx-notfound-page
%global srcname sphinx_notfound_page

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        %mkrel 2
Summary:        Sphinx extension to build a 404 page with absolute URLs
Group:          Development/Python
License:        MIT
URL:            https://github.com/readthedocs/sphinx-notfound-page
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Create a custom 404 page with absolute URLs hardcoded.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python3-sphinx_notfound_page < 1.0.0-2

%description -n python3-%{pypi_name}
Create a custom 404 page with absolute URLs hardcoded.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x doc

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files notfound

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
