# Created by pyp2rpm-3.3.2
%global pypi_name sphinx-paramlinks

Name:           python-%{pypi_name}
Version:        0.6.0
Release:        %mkrel 2
Summary:        Allows param links in Sphinx function/method descriptions to be linkable
Group:          Development/Python
License:        MIT
URL:            https://github.com/sqlalchemyorg/sphinx-paramlinks
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%description
A Sphinx extension which allows :param: directives within Python documentation
to be linkable. This is an experimental, possibly -not- useful extension that's
used by the SQLAlchemy project and related projects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Sphinx extension which allows :param: directives within Python documentation
to be linkable. This is an experimental, possibly -not- useful extension that's
used by the SQLAlchemy project and related projects.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinx_paramlinks

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
