%global pypi_name sphinx-tabs

Name:           python-%{pypi_name}
Version:        3.4.7
Release:        %mkrel 1
Summary:        Tabbed views for Sphinx
License:        ASL 2.0
Group:          Development/Python
URL:            https://pypi.org/projects/sphinx-tabs
Source0:        %{pypi_source}
BuildRequires:  python3-devel
BuildArch:      noarch

%description
Create tabbed content in Sphinx documentation when building HTML.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python

%description -n python3-%{pypi_name}
Create tabbed content in Sphinx documentation when building HTML.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinx_tabs

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md CHANGELOG.md

