# Created by pyp2rpm-3.3.2
%global pypi_name sphinx-testing

Name:           python-%{pypi_name}
Version:        1.0.1
Release:        %mkrel 9
Summary:        testing utility classes and functions for Sphinx extensions
Group:          Development/Python
License:        None
URL:            https://github.com/sphinx-doc/sphinx-testing
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(sphinx)

%description
testing utility classes and functions for Sphinx extensions

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(six)
Requires:       python3dist(sphinx)

%description -n python3-%{pypi_name}
testing utility classes and functions for Sphinx extensions

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinx_testing

%check
#pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
