# Created by pyp2rpm-3.3.7
%global pypi_name sphinx-theme-builder
%global pypi_version 0.2.0b2

Name:           python-%{pypi_name}
Version:        0.2.0~b2
Release:        %mkrel 2
Summary:        A tool for authoring Sphinx themes with a simple (opinionated) workflow
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/sphinx-theme-builder/
Source0:        %{pypi_source}
Patch:          sphinx-theme-builder-no-populate.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Streamline the Sphinx theme development workflow, by building upon existing
standardised tools.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-sphinx_theme_builder}

%description -n python3-%{pypi_name}
Streamline the Sphinx theme development workflow, by building upon existing
standardised tools.

%{?pyproject_extras_subpkg:%pyproject_extras_subpkg -n python3-%{pypi_name} cli}

%prep
%autosetup -n %{pypi_name}-%{pypi_version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinx_theme_builder

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%{_bindir}/stb
