%define srcname	sphinx-togglebutton

Name:		python-sphinx-togglebutton
Version:	0.3.2
Release:	%mkrel 3
Summary:	Toggle page content and collapse admonitions in Sphinx
Group:		Development/Python
License:	GPLv2+
URL:		https://pypi.org/project/sphinx-togglebutton/
Source0:	https://pypi.python.org/packages/source/s/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:	noarch

%description
Toggle page content and collapse admonitions in Sphinx

%package -n python3-sphinx-togglebutton
Summary:	Toggle page content and collapse admonitions in Sphinx
Group:		Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(python3)

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-sphinx-togglebutton
Toggle page content and collapse admonitions in Sphinx

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinx_togglebutton

%files -n python3-sphinx-togglebutton -f %{pyproject_files}
