# Created by pyp2rpm-3.3.2
%global pypi_name sphinxcontrib-apidoc

%bcond_with tests

Name:           python-%{pypi_name}
Version:        0.5.0
Release:        %mkrel 2
Summary:        A Sphinx extension for running 'sphinx-apidoc' on each build
Group:          Development/Python
License:        None
URL:            https://github.com/sphinx-contrib/apidoc
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pbr)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
sphinx-apidoc is a tool for automatic generation of Sphinx
sources that, using the autodoc extension, documents a whole
package in the style of other automatic API documentation tools.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
sphinx-apidoc is a tool for automatic generation of Sphinx
sources that, using the autodoc extension, documents a whole
package in the style of other automatic API documentation tools.

%prep
%autosetup -n %{pypi_name}-%{version}


# relax deps
perl -pi -e 's/pytest.*/pytest/' test-requirements.txt

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinxcontrib

# we don't want these
find %{buildroot} -name "*.pth" -delete

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
