# Created by pyp2rpm-3.3.7
%global pypi_name sphinxcontrib-asciinema
%global srcname sphinxcontrib.asciinema

Name:           python-%{pypi_name}
Version:        0.4.2
Release:        %mkrel 1
Summary:        Embed asciinema casts in your Sphinx docs
Group:          Development/Python
License:        MIT
URL:            https://github.com/divi255/sphinxcontrib.asciinema
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Easily embed asciinema videos into Sphinx rst docs.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Easily embed asciinema videos into Sphinx rst docs.

%prep
%autosetup -n sphinxcontrib.asciinema-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinxcontrib

# drop .pth
rm -rf %{buildroot}%{python3_sitelib}/sphinxcontrib*-nspkg.pth

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
