# Created by pyp2rpm-3.3.6
%global pypi_name sphinxcontrib-dotnetdomain

Name:           python-%{pypi_name}
Version:        0.4
Release:        %mkrel 8
Summary:        Sphinx "dotnetdomain" extension
Group:          Development/Python
License:        MIT
URL:            https://github.com/rtfd/sphinxcontrib-dotnetdomain
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx) >= 0.6

%description
Sphinx .NET domainDomain to support .NET languages.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(sphinx) >= 0.6
%description -n python3-%{pypi_name}
Sphinx .NET domainDomain to support .NET languages.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinxcontrib

#we don't need this
rm -rf %{buildroot}%{python3_sitelib}/sphinxcontrib_dotnetdomain-%{version}-py%{python3_version}-nspkg.pth

%check
#%%{python3} setup.py test

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
