%global pypi_name sphinxcontrib-httpdomain

Name:           python-%{pypi_name}
Version:        1.8.1
Release:        %mkrel 2
Group:          Development/Python
Summary:        Sphinx domain for HTTP APIs
License:        MIT
URL:            https://pypi.org/project/sphinxcontrib-httpdomain/
Source0:        https://pypi.io/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Sphinx domain for HTTP APIs.

%package -n python3-%{pypi_name}
Summary:        Sphinx domain for HTTP APIs
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{pypi_name}
Sphinx domain for HTTP APIs.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinxcontrib

#we don't need this
rm -rf %{buildroot}%{python3_sitelib}/sphinxcontrib_httpdomain-%{version}-py%{python3_version}-nspkg.pth

%files -n python3-%{pypi_name} -f %{pyproject_files}
