# Created by pyp2rpm-1.0.1
%global pypi_name sphinxcontrib-programoutput

%bcond_with docs

Name:           python-sphinxcontrib-programoutput
Version:        0.17
Release:        %mkrel 4
Group:          Development/Python
Summary:        Sphinx extension to include program output
License:        BSD
URL:            https://pypi.org/project/sphinxcontrib-programoutput/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
A Sphinx_ extension to literally insert the output of arbitrary commands into
documents.

%package -n python3-sphinxcontrib-programoutput
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx)
Requires:       python3dist(sphinx)

%description -n python3-sphinxcontrib-programoutput
A Sphinx_ extension to literally insert the output of arbitrary commands into
documents.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%if %{with docs}
# generate html docs
PYTHONPATH=$(pwd)/build/lib sphinx-build doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install

%files -n python3-sphinxcontrib-programoutput
%license LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif
%{python3_sitelib}/sphinxcontrib
%{python3_sitelib}/sphinxcontrib_programoutput-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/sphinxcontrib_programoutput-%{version}-*.pth
