# Created by pyp2rpm-3.3.2
%global pypi_name sphinxtesters

Name:           python-%{pypi_name}
Version:        0.2.3
Release:        %mkrel 8
Summary:        Utilities for testing Sphinx extensions
Group:          Development/Python
License:        BSD license
URL:            https://github.com/matthew-brett/sphinxtesters
Source0:        https://github.com/matthew-brett/sphinxtesters/archive/%{version}/sphinxtesters-%{version}.tar.gz
# Work around a changing sphinx interface
Patch0:         %{name}-config-error.patch
# Update versioneer to fix a FTBFS with python 3.12
# https://github.com/matthew-brett/sphinxtesters/pull/4
Patch1:         %{name}-versioneer.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(docutils)

%description
Utilities for testing Sphinx extensions.

%package -n     python3-%{pypi_name}
Summary:        Utilities for testing Sphinx extensions
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Utilities for testing Sphinx extensions.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -x test test-requirements.txt

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
