# Created by pyp2rpm-3.3.3
%global pypi_name sqlcipher3

Name:           python-%{pypi_name}
Version:        0.5.4
Release:        %mkrel 1
Summary:        DB-API 2.0 interface for SQLCipher 3.x
Group:          Development/Python
License:        zlib/libpng
URL:            https://github.com/coleifer/sqlcipher3
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
BuildRequires:  pkgconfig(sqlcipher)

%description
This library takes pysqlite3 and makes some small modifications so it is
suitable for use with sqlcipher (sqlite with encryption).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This library takes pysqlite3 and makes some small modifications so it is
suitable for use with sqlcipher (sqlite with encryption).

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sqlcipher3

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
