# Created by pyp2rpm-3.3.5
# imported for ipython
%global pypi_name stack-data
%global srcname stack_data

Name:           python-%{pypi_name}
Version:        0.6.3
Release:        %mkrel 4
Summary:        Extract data from python stack frames and tracebacks for informative displays
Group:          Development/Python
License:        MIT
URL:            https://github.com/alexmojaki/stack_data
Source0:        %{pypi_source}
# don't run type checks, see
Patch1:         no-typeguard.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This is a library that extracts data from stack frames and tracebacks,
particularly to display more useful tracebacks than the default. It powers the
tracebacks in IPython and futurecoder.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-stack-data
This is a library that extracts data from stack frames and tracebacks,
particularly to display more useful tracebacks than the default. It powers the
tracebacks in IPython and futurecoder.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
#tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md

