Name:           python-starlette
Version:        0.46.0
Release:        %mkrel 2
Summary:        The little ASGI library that shines
Group:          Development/Python
License:        BSD-3-Clause
URL:            https://github.com/encode/starlette
Source:         %{pypi_source starlette}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Starlette is a lightweight ASGI framework/toolkit, which is ideal for building
async web services in Python.

%package -n     python3-starlette
Summary:        %{summary}

%description -n python3-starlette
Starlette is a lightweight ASGI framework/toolkit, which is ideal for building
async web services in Python.

%dnl %pyproject_extras_subpkg -n python3-starlette full

%prep
%autosetup -p1 -n starlette-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files starlette

%files -n python3-starlette -f %{pyproject_files}
%doc README.md
