# Created by pyp2rpm-3.3.3
%global pypi_name statmake

Name:           python-%{pypi_name}
Version:        0.6.0
Release:        %mkrel 3
Summary:        Applies STAT information from a Stylespace to a variable font
Group:          Development/Python
License:        None
URL:            https://github.com/daltonmaag/statmake
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(poetry)
BuildRequires:  python3dist(setuptools)

%description
statmake takes a user-written Stylespace that defines OpenType STAT information
for an entire font family and then potentially subsets and applies it to a
specific variable font. This spares users from having to deal with raw TTX
dumps and juggling with nameIDs.

%package -n     python3-%{pypi_name}
Summary:        Applies STAT information from a Stylespace to a variable font
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:	%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}
statmake takes a user-written Stylespace that defines OpenType STAT information
for an entire font family and then potentially subsets and applies it to a
specific variable font. This spares users from having to deal with raw TTX
dumps and juggling with nameIDs.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files statmake

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/statmake
