Name:           python-stomper
Version:        0.4.3
Release:        %mkrel 8
Summary:        A python client implementation of the STOMP protocol
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/oisinmulvihill/stomper
Source0:        https://pypi.python.org/packages/source/s/stomper/stomper-%{version}.tar.gz
# fix tests
Patch0:         4f58251fadcf367cc391b68b1614d950f869bc0f.patch
BuildArch:      noarch
BuildRequires:	locales
BuildRequires:	python3-devel
BuildRequires:  python3dist(pynose)

%description
This is a python client implementation of the STOMP protocol. The client is
attempting to be transport layer neutral. This module provides functions to
create and parse STOMP messages in a programatic fashion.

%package -n python3-stomper
Summary:	A python client implementation of the STOMP protocol
Group:		Development/Python

%description -n python3-stomper
This is a python client implementation of the STOMP protocol. The client is
attempting to be transport layer neutral. This module provides functions to
create and parse STOMP messages in a programatic fashion.

%prep
%autosetup -p1 -n stomper-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files stomper

%check
LANG=C.UTF-8 PYTHONPATH=$(pwd) pynose -v

%files -n python3-stomper -f %{pyproject_files}
%doc lib/stomper/examples lib/stomper/tests

