%define srcname python-subunit
%define module  subunit

Name:           python-%{module}
Version:        1.4.4
Release:        %mkrel 2
Summary:        Python implementation of subunit test streaming protocol
Group:          Development/Python
License:        ASL2.0 or BSD
URL:            https://launchpad.net/subunit
Source0:        https://pypi.io/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
Subunit is a streaming protocol for test results.

%package -n     python3-%{module}
Summary:        Python 3 implementation of subunit test streaming protocol
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Subunit is a streaming protocol for test results.

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{module}

%files -n python3-%{module} -f %{pyproject_files}
%{_bindir}/%{module}*
%{_bindir}/tap2%{module}
