%global pypi_name      suds

Name:           python-suds
Version:        1.2.0
Release:        %mkrel 2
Summary:        Lightweight SOAP client (community fork)
License:        LGPLv3+
Group:          Development/Python
URL:            https://github.com/suds-community/suds
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Suds is a lightweight SOAP python client for consuming Web Services.

%package -n python3-%{pypi_name}
Summary:        Lightweight SOAP client (community fork)
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Suds is a lightweight SOAP python client for consuming Web Services.

%prep
%setup -qn suds-%{version}

%generate_buildrequires
export SUDS_PACKAGE=suds
%pyproject_buildrequires

%build
export SUDS_PACKAGE=suds
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files suds

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE.txt
