# Created by pyp2rpm-3.3.3
%global pypi_name sybil

Name:           python-%{pypi_name}
Version:        6.1.1
Release:        %mkrel 2
Summary:        Automated testing for the examples in your documentation
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/sybil/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
This library provides a way to test examples in your documentation by parsing them from the
documentation source and evaluating the parsed examples as part of your normal test run.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This library provides a way to test examples in your documentation by parsing them from the
documentation source and evaluating the parsed examples as part of your normal test run.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files sybil

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
