%define tarname	Tempita

Summary:	A very small text templating language
Name:		python-tempita
Version:	0.5.2
Release:	%mkrel 16
Source0:	https://pypi.python.org/packages/source/T/%{tarname}/%{tarname}-%{version}.tar.gz
License:	MIT
Group:		Development/Python
URL:		https://pypi.org/project/Tempita/
BuildArch:	noarch
Patch0: 0001-Fix-SyntaxError-multiple-exception-types-must-be-par.patch

%description
Tempita is a small templating language for text substitution.

This isn't meant to be the Next Big Thing in templating; it's just a
handy little templating language for when your project outgrows
string.Template or % substitution. It's small, it embeds Python in
strings, and it doesn't do much else.

%package -n python3-tempita
Summary:	A very small text templating language
Group: 		Development/Python
BuildRequires:	python3-setuptools

%description -n python3-tempita
Tempita is a small templating language for text substitution.

This isn't meant to be the Next Big Thing in templating; it's just a
handy little templating language for when your project outgrows
string.Template or % substitution. It's small, it embeds Python in
strings, and it doesn't do much else.
This package contains the Tempita module built for use with python3.

%prep
%autosetup -n %{tarname}-%{version} -p1
sed -i '/use_2to3/d' setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tempita

%files -n python3-tempita -f %{pyproject_files}


