# Created by pyp2rpm-3.3.2
%global pypi_name termstyle

Name:           python-%{pypi_name}
Version:        0.1.11
Release:        %mkrel 9
Summary:        console colouring for python
Group:          Development/Python
License:        BSD
URL:            https://github.com/gfxmonk/termstyle
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-devel

%description
termstyle is a simple python library for adding coloured output to terminal
(console) programs. The definitions come from ECMA-048, the "Control Functions
for Coded Character Sets" standard.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
termstyle is a simple python library for adding coloured output to terminal
(console) programs. The definitions come from ECMA-048, the "Control Functions
for Coded Character Sets" standard.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files termstyle

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
