# Created by pyp2rpm-3.3.2
%global pypi_name text-unidecode

Name:           python-%{pypi_name}
Version:        1.3
Release:        %mkrel 7
Summary:        The most basic Text::Unidecode port
Group:          Development/Python
License:        Artistic License
URL:            https://github.com/kmike/text-unidecode/
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-devel

%description
Text-Unidecode is the most basic port of the Text::Unidecode Perl library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Text-Unidecode is the most basic port of the Text::Unidecode Perl library.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files text_unidecode

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
