%define shortname textile

Name:           python-%{shortname}
Version:        4.0.3
Release:        %mkrel 2
Summary:        A Humane Web Text Generator
Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/%{shortname}/
Source0:        https://pypi.io/packages/source/t/%{shortname}/%{shortname}-%{version}.tar.gz
BuildArch:      noarch

%description
Textile is a XHTML generator using a simple markup developed by Dean Allen.
This is a Python port with support for code validation, itex to MathML
translation, Python code coloring and much more.

%package -n     python3-%{shortname}
Summary:        A Humane Web Text Generator
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(html5lib)
%{?python_provide:%python_provide python3-%{shortname}}

%description -n python3-%{shortname}
Textile is a XHTML generator using a simple markup developed by Dean Allen.
This is a Python port with support for code validation, itex to MathML
translation, Python code coloring and much more.

This is a version for Python 3.

%prep
%setup -q -n %{shortname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{shortname}

%files -n python3-%{shortname} -f %{pyproject_files}
%{_bindir}/pytextile
