%global pypi_name textual

Name:		python-%{pypi_name}
Summary:	Modern Text User Interface framework
Version:	0.62.0
Release:	%mkrel 2
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/textual/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	python3-devel

%description
Textual is a Rapid Application Development framework for Python.

Build sophisticated user interfaces with a simple Python API. Run your apps in
the terminal and a web browser!

%package -n python3-%{pypi_name}
Summary:	Modern Text User Interface framework
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Textual is a Rapid Application Development framework for Python.

Build sophisticated user interfaces with a simple Python API. Run your apps in
the terminal and a web browser!

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
