# Created by pyp2rpm-3.3.5
%global pypi_name tinyaes

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        %mkrel 3
Summary:        tiny-AES-c wrapper in Cython
Group:          Development/Python
License:        MIT
URL:            https://github.com/naufraghi/tinyaes-py
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)

BuildRequires:  python3-devel

%description
This is a few lines Cython wrapper for
the tiny-AES-c library, a Small portable AES128/192/256 in C. The library
offers a few modes, CTR mode is the only one currently wrapped.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is a few lines Cython wrapper for
the tiny-AES-c library, a Small portable AES128/192/256 in C.The library
offers a few modes, CTR mode is the only one currently wrapped. 


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md

