%global pypi_name tinycss

Name:           python-%{pypi_name}
Version:        0.4
Release:        %mkrel 9
Group:          Development/Python
Summary:        tinycss is a complete yet simple CSS parser for Python

License:        MIT
URL:            https://pypi.org/project/tinycss/
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch: noarch

%description
tinycss is a complete yet simple CSS parser for Python.

%package -n python3-%{pypi_name}
Summary:        tinycss is a complete yet simple CSS parser for Python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
tinycss is a complete yet simple CSS parser for Python 3.

%prep
%setup -qn %{pypi_name}-%{version}
%autopatch -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tinycss

%files -n python3-%{pypi_name} -f %{pyproject_files}
