# Created by pyp2rpm-3.3.2
%global pypi_name tinycss2

Name:           python-%{pypi_name}
Version:        1.4.0
Release:        %mkrel 2
Summary:        Low-level CSS parser for Python
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/tinycss2/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
tinycss2 is a low-level CSS parser and generator: it can parse strings, return
Python objects representing tokens and blocks, and generate CSS strings
corresponding to these objects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
tinycss2 is a low-level CSS parser and generator: it can parse strings, return
Python objects representing tokens and blocks, and generate CSS strings
corresponding to these objects.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tinycss2

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
