%define oname tinysegmenter

Name:           python-%{oname}
Version:        0.4
Release:        %mkrel 8
Summary:        Python module implementing a Japanese tokenizer
Group:          Development/Python
License:        BSD
URL:            https://tinysegmenter.tuxfamily.org/
Source0:        https://pypi.io/packages/source/t/tinysegmenter/%{oname}-%{version}.tar.gz
BuildArch:      noarch

%description
An extremely compact native Python module (contained into a single file)
providing a Japanese Tokenization feature.

%package -n python3-%{oname}
Summary:        Python module implementing a Japanese tokenizer
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{oname}}

%description -n python3-%{oname}
An extremely compact native Python module (contained into a single file)
providing a Japanese Tokenization feature.

%prep
%setup -q -n tinysegmenter-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tinysegmenter
rm -rf %{buildroot}%{_prefix}/man

%files -n python3-%{oname} -f %{pyproject_files}
%doc README.rst COPYING AUTHORS
