# Created by pyp2rpm-3.3.2
%global pypi_name tldr

Name:           python-%{pypi_name}
Version:        3.3.0
Release:        %mkrel 2
Summary:        Command line client for tldr
Group:          Development/Python
License:        MIT
URL:            https://github.com/tldr-pages/tldr-python-client
Source0:        https://github.com/tldr-pages/tldr-python-client/archive/refs/tags/%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%description
A Python command line client for tldr.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Python command line client for tldr.

%prep
%autosetup -n tldr-python-client-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tldr

# tests need network, disabling

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.md
%doc README.md 
%{_datadir}/man/man1/tldr.1.xz
%{_bindir}/tldr
