# Created by pyp2rpm-3.3.8
%global pypi_name toshiba-ac

Name:           python-%{pypi_name}
Version:        0.3.10
Release:        %mkrel 2
Summary:        Toshiba AC controller - allows to control Toshiba HVAC systems with WiFi
Group:          Development/Python
License:        Apache License 2.0
URL:            https://github.com/KaSroka/Toshiba-AC-control
Source0:        %{pypi_source}
Source1:	https://raw.githubusercontent.com/KaSroka/Toshiba-AC-control/v%{version}/samples/toshiba_ac_gui.py

BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This software allows to control Toshiba AC.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This software allows to control Toshiba AC.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

install -Dpm644 %{SOURCE1} samples/toshiba_ac_gui.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files toshiba_ac

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md samples/
