%define pypi_name translationstring

Name:           python-%{pypi_name}
Version:        1.4
Release:        %mkrel 6
Summary:        Utility library for i18n relied on by various Repoze and Pyramid packages
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/translationstring/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
A library used by various Pylons Project packages for internationalization
(i18n) duties related to translation.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
A library used by various Pylons Project packages for internationalization
(i18n) duties related to translation.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
