Name:           python-trollius
Version:        2.1
Release:        %mkrel 10
Summary:        A port of the Tulip asyncio module to Python
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/haypo/trollius
Source0:        https://github.com/haypo/trollius/archive/trollius-%{version}.tar.gz
# async is a keyword in python 3.7, thus cannot be a function name
Patch0:         python-trollius-async.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Trollius provides infrastructure for writing single-threaded
concurrent code using coroutines, multiplexing I/O access over sockets
and other resources, running network clients and servers, and other
related primitives.

Trollius is a portage of the asyncio project (PEP 3156) on Python.

%package -n python3-trollius
Summary:	A port of the Tulip asyncio module to Python
Group:          Development/Python

%description -n python3-trollius
Trollius provides infrastructure for writing single-threaded
concurrent code using coroutines, multiplexing I/O access over sockets
and other resources, running network clients and servers, and other
related primitives.

Trollius is a portage of the asyncio project (PEP 3156) on Python.

%prep
%setup -qn trollius-trollius-%{version}
%autopatch -p0

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%files -n python3-trollius
%doc README.rst
%{python3_sitelib}/trollius/
%{python3_sitelib}/trollius-%{version}-py%{python3_version}.egg-info
