%define modname txZMQ

%define enable_tests 0

Name:             python-txzmq
Version:          1.0.0
Release:          %mkrel 4
Summary:          Twisted bindings for ZeroMQ
Group:            Development/Python
License:          GPLv2
URL:              https://pypi.org/project/txZMQ
Source0:          https://files.pythonhosted.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:        noarch

BuildRequires:    python3-devel
BuildRequires:    python3dist(setuptools)

%if %enable_tests
BuildRequires:    python3dist(nose)
%endif

%description
txZMQ allows to integrate easily ZeroMQ sockets into Twisted event loop
(reactor).

%package -n python3-txzmq
Summary:          Twisted bindings for ZeroMQ
Group:            Development/Python
Requires:         python3-pyzmq >= 13.0.0
Requires:         python3-twisted
%{?python_provide:%python_provide python3-txzmq}

%description -n python3-txzmq
txZMQ allows to integrate easily ZeroMQ sockets into Twisted event loop
(reactor).

%prep
%setup -q -n %{modname}-%{version}
%autopatch -p1

%build
%py3_build

%check
%if %enable_tests
PYTHONPATH=$(pwd) nosetests-%{python3_version} -v
%endif

%install
%py3_install

%files -n python3-txzmq
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/txzmq/
%{python3_sitelib}/txZMQ-%{version}*.egg-info
