%global pypi_name tzdata

Name:           python-%{pypi_name}
Version:        2025.1
Release:        %mkrel 2
Group:          Development/Python
License:        MIT
Summary:        Timezone database for Python
URL:            https://github.com/python/tzdata
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
Provider of IANA time zone data.

%package -n python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python

%description -n python3-%{pypi_name}
Provider of IANA time zone data.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
