# Created by pyp2rpm-3.3.8
%global pypi_name py-ubjson

Name:           python-ubjson
Version:        0.16.1
Release:        %mkrel 3
Summary:        Universal Binary JSON encoder/decoder
Group:          Development/Python
License:        Apache License 2.0
URL:            https://github.com/Iotic-Labs/py-ubjson
Source0:        %{pypi_source}

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
This is a Python Universal Binary JSON encoder/decoder based on the draft-12.

%package -n     python3-ubjson
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-ubjson}

%description -n python3-ubjson
This is a Python Universal Binary JSON encoder/decoder based on the draft-12.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ubjson _ubjson

%files -n python3-ubjson -f %{pyproject_files}
%license LICENSE
%doc README.md
