%global pypi_name uc-micro-py

Name:		python-%{pypi_name}
Summary:	Micro subset of unicode data files for linkify-it-py projects
Version:	1.0.3
Release:	%mkrel 2
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/uc-micro-py/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	python3-devel

%description
This is a Python port of uc.micro.

Micro subset of unicode data files for linkify-it-py projects.

%package -n python3-%{pypi_name}
Summary:	Micro subset of unicode data files for linkify-it-py projects
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is a Python port of uc.micro.

Micro subset of unicode data files for linkify-it-py projects.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files uc_micro

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
