# Created by pyp2rpm-3.3.1
%global pypi_name ufonormalizer

Name:           python-%{pypi_name}
Version:        0.6.2
Release:        %mkrel 3
Summary:        Script to normalize the XML and other data inside of a UFO
Group:          Development/Python
License:        OpenSource, BSD-style
URL:            https://github.com/unified-font-object/ufoNormalizer
Source0:        https://files.pythonhosted.org/packages/source/u/%{pypi_name}/%{pypi_name}-%{version}.zip
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-devel

%description
Script to normalize the XML and other data inside of a UFO.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
Script to normalize the XML and other data inside of a UFO.


%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ufonormalizer

%check
#pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md
%{_bindir}/ufonormalizer
