# Created by pyp2rpm-3.3.3
%global pypi_name ufoprocessor

%global __requires_exclude (lxml|\\[ufo\\])

Name:           python-%{pypi_name}
Version:        1.9.0
Release:        %mkrel 7
Summary:        Read, write and generate UFOs with designspace data
Group:          Development/Python
License:        MIT
URL:            https://github.com/LettError/ufoProcessor
Source0:        https://files.pythonhosted.org/packages/source/u/%{pypi_name}/ufoProcessor-%{version}.zip
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
Python package based on the designSpaceDocument from fontTools.designspaceLib
specifically to process and generate instances for UFO files, glyphs and
other data.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python package based on the designSpaceDocument from fontTools.designspaceLib
specifically to process and generate instances for UFO files, glyphs and
other data.

%prep
%autosetup -n ufoProcessor-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ufoProcessor

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
