# Created by pyp2rpm-3.3.2
%global pypi_name ujson

Name:           python-%{pypi_name}
Version:        5.10.0
Release:        %mkrel 1
Summary:        Ultra fast JSON encoder and decoder for Python
Group:          Development/Python
License:        BSD License
URL:            https://pypi.org/project/ujson
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  double-conversion-devel

%description
UltraJSON UltraJSON is an ultra fast JSON encoder and decoder written in pure C
with bindings for Python.

%package -n     python3-%{pypi_name}
Summary:        Ultra fast JSON encoder and decoder for Python3
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
UltraJSON UltraJSON is an ultra fast JSON encoder and decoder written in pure C
with bindings for Python.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# drop bundled libs
rm -rf deps/

%generate_buildrequires
%pyproject_buildrequires

%build
export UJSON_BUILD_NO_STRIP=1
export UJSON_BUILD_DC_INCLUDES='%{_includedir}/double-conversion'
export UJSON_BUILD_DC_LIBS='-ldouble-conversion'
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE*
%doc README*
