# Created by pyp2rpm-3.3.3
%global pypi_name ukpostcodeparser

Name:           python-%{pypi_name}
Version:        1.1.2
Release:        %mkrel 6
Summary:        UK Postcode parser
Group:          Development/Python
License:        MIT
URL:            https://github.com/hamstah/ukpostcodeparser
Source0:        https://files.pythonhosted.org/packages/source/u/%{pypi_name}/UkPostcodeParser-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-devel

%description
UK Postcode parser.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
UK Postcode parser.

%prep
%autosetup -n UkPostcodeParser-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ukpostcodeparser

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
