# Created by pyp2rpm-3.3.2
%global pypi_name unicodedata2

%bcond_without tests

Name:           python-%{pypi_name}
Version:        15.1.0
Release:        %mkrel 2
Summary:        Unicodedata backport for python 2/3 updated to the latest unicode version
Group:          Development/Python
License:        Apache License 2.0
URL:            https://github.com/mikekap/unicodedata2
Source0:        https://files.pythonhosted.org/packages/source/u/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  python3-devel

%description
The versions of this package match unicode versions, so unicodedata2==%{version}
is data from unicode %{version}.

%package -n     python3-%{pypi_name}
Summary:        Unicodedata backport for python 2/3 updated to the latest unicode version
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The versions of this package match unicode versions, so unicodedata2==%{version}
is data from unicode %{version}.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with tests}
%check
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
