# Created by pyp2rpm-3.3.5
%global pypi_name uri-template

Name:           python-%{pypi_name}
Version:        1.3.0
Release:        %mkrel 2
Summary:        RFC 6570 URI Template Processor
Group:          Development/Python
License:        None
URL:            https://github.com/plinss/uri_template/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
An implementation of RFC 6570 URI Templates. This packages implements URI
Template expansion in strict adherence to RFC 6570, but adds a few extensions.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
An implementation of RFC 6570 URI Templates. This packages implements URI
Template expansion in strict adherence to RFC 6570, but adds a few extensions.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files uri_template

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
