%define srcname uritemplate
%define module %{srcname}

Name:           python-%{srcname}
Version:        4.1.1
Release:        %mkrel 4
Summary:        Python implementation of RFC6570, URI Template
License:        ASL 2.0
Group:          Networking/Other
Url:            https://pypi.org/project/uritemplate/
Source:		https://pypi.io/packages/source/u/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
Conflicts:	python-google-api-python-client < 1.4

%description
This is a Python implementation of RFC6570, URI Template, and can expand
templates up to and including Level 4 in that specification.

%package -n python3-%{srcname}
Summary:        Python 3 implementation of RFC6570, URI Template
Group:          Networking/Other
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This is a Python 3 implementation of RFC6570, URI Template, and can expand
templates up to and including Level 4 in that specification.

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files uritemplate

%files -n python3-%{srcname} -f %{pyproject_files}
