%define pypi_name venusian

Name:           python-%{pypi_name}
Version:        3.1.0
Release:        %mkrel 2
Summary:        A library for deferring decorator actions
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/venusian/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Venusian is a library which allows framework authors to defer decorator
actions. Instead of taking actions when a function (or class) decorator is
executed at import time, you can defer the action usually taken by the
decorator until a separate “scan” phase.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Venusian is a library which allows framework authors to defer decorator
actions. Instead of taking actions when a function (or class) decorator is
executed at import time, you can defer the action usually taken by the
decorator until a separate “scan” phase.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files venusian

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
