# Created by pyp2rpm-3.3.2
%global pypi_name versioneer

Name:           python-%{pypi_name}
Version:        0.29
Release:        %mkrel 3
Summary:        Easy VCS-based management of project version strings
Group:          Development/Python
License:        Public Domain
URL:            https://github.com/warner/python-versioneer
Source0:        https://files.pythonhosted.org/packages/source/v/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Versioneer is a tool to automatically update version strings (in setup.py and
the conventional 'from PROJECT import _version' pattern) by asking your
version-control system about the current tree.

%package -n     python3-%{pypi_name}
Summary:        Easy VCS-based management of project version strings
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
Versioneer is a tool to automatically update version strings (in setup.py and
the conventional 'from PROJECT import _version' pattern) by asking your
version-control system about the current tree.

%pyproject_extras_subpkg -n python3-versioneer toml

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires

%pyproject_buildrequires -x toml

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files versioneer

%check
%{python3} setup.py make_versioneer
%{python3} -m unittest discover test

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/versioneer
