# Created by pyp2rpm-3.3.1
%global pypi_name vine

Name:           python-%{pypi_name}
Version:        5.1.0
Release:        %mkrel 2
Summary:        Promises, promises, promises
Group:          Development/Python
License:        BSD
URL:            https://github.com/celery/vine
Source0:        https://pypi.python.org/packages/source/v/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-celery)

%description
Python Promises.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python Promises.

%package -n python-%{pypi_name}-doc
Summary:        vine documentation

%description -n python-%{pypi_name}-doc
Documentation for vine

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files vine

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc docs/templates/readme.txt README.rst

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE
