%define oname  vobject

Name:          python-%{oname}
Version:       0.9.8
Release:       %mkrel 2
Summary:       A python library for manipulating vCard and vCalendar files
Group:         Development/Python
License:       ASL 2.0
Url:           https://eventable.github.io/vobject/
Source0:       https://pypi.io/packages/source/v/%{oname}/%{oname}-%{version}.tar.gz
BuildArch:     noarch

%description
VObject is intended to be a full featured python library for parsing and
generating vCard and vCalendar files.

%package -n    python3-%{oname}
Summary:       A python 3 library for manipulating vCard and vCalendar files
Group:         Development/Python
BuildRequires: pkgconfig(python3)
Requires:      python3dist(setuptools)
%{?python_provide:%python_provide python3-%{oname}}
Obsoletes:     python2-vobject < 0.9.6.1-5

%description -n python3-%{oname}
VObject is intended to be a full featured python 3 library for parsing and
generating vCard and vCalendar files.

%prep
%setup -q -n %{oname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files vobject

%files -n python3-%{oname} -f %{pyproject_files}
%doc README.md
%{_bindir}/change_tz
%{_bindir}/ics_diff
