%global pypi_name voluptuous

Name:       python-%{pypi_name}
Version:    0.15.2
Release:    %mkrel 1
Summary:    A Python data validation library
Group:      Development/Python
License:    BSD
URL:        https://pypi.org/project/voluptuous/
Source0:    %{pypi_source}

BuildArch: noarch
BuildRequires: pyproject-rpm-macros
BuildRequires: python3-devel

%description
Voluptuous, despite the name, is a Python data validation library. It is 
primarily intended for validating data coming into Python as JSON, YAML, etc.


%package -n python3-%{pypi_name}
Summary: %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Voluptuous, despite the name, is a Python data validation library. It is 
primarily intended for validating data coming into Python as JSON, YAML, etc.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files voluptuous

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license COPYING


