# Created by pyp2rpm-3.3.4
%global pypi_name vttlib

Name:           python-%{pypi_name}
Version:        0.12.0
Release:        %mkrel 2
Summary:        Compile Visual TrueType assembly with FontTools
Group:          Development/Python
License:        MIT
URL:            https://github.com/daltonmaag/vttLib
Source0:        %{pypi_source vttLib}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(fonttools) >= 3.44
BuildRequires:  python3dist(pyparsing) >= 2.1.5
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(ufo2ft)
BuildRequires:  python3dist(ufolib2)
BuildRequires:  python3dist(wheel)

%description
Dump, merge and compile Visual TrueType data in UFO3 with FontTools.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Dump, merge and compile Visual TrueType data in UFO3 with FontTools.

%prep
%autosetup -n vttLib-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files vttLib

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
