%define module wakeonlan

Name:          python-%module
Version:       2.1.0
Release:       %mkrel 4
Summary:       A small python module for wake on lan
Group:         Development/Python
License:       WTFPL
URL:           https://pypi.org/project/wakeonlan/
Source0:       https://pypi.io/packages/source/w/wakeonlan/%{module}-%{version}.tar.gz
BuildArch:     noarch

%description
A small python module for wake on lan.

%package -n python3-%module
Summary:       A small python 3 module for wake on lan
Group:         Development/Python
BuildRequires: pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%module
A small python 3 module for wake on lan.

%prep
%setup -qn %{module}-%{version}


sed -i 's|~= 1.15.7|>= 1.15.7|' setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files wakeonlan

%files -n python3-%module -f %{pyproject_files}
%doc README.rst
%{_bindir}/%{module}
