Name:		python-warlock
Version:	2.0.1
Release:	%mkrel 3
Summary:	Python object model built on top of JSON schema
Group:		Development/Python
License:	ASL 2.0
URL:		https://pypi.org/project/warlock/
Source0:	https://pypi.io/packages/source/w/warlock/warlock-%{version}.tar.gz
BuildArch:	noarch

%description
Build self-validating python objects using JSON schemas.

%package -n     python3-warlock
Summary:	Python 3 object model built on top of JSON schema
Group:		Development/Python
%{?python_provide:%python_provide python3-warlock}
BuildRequires:	pkgconfig(python3)

%description -n python3-warlock
Build self-validating python objects using JSON schemas.

%prep
%setup -q -n warlock-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files warlock

%check
# no tests provided

%files -n python3-warlock -f %{pyproject_files}
%doc README.md
