%define module wcwidth

Name:           python-%{module}
Version:        0.2.13
Release:        %mkrel 2
Summary:        Measures number of terminal column cells of wide-character codes
Group:          Development/Python
License:        MIT
URL:            https://github.com/jquast/wcwidth
Source0:        %{pypi_source %{module}}
BuildArch:      noarch

%description
This library is mainly for those implementing a terminal emulator,
or programs that carefully produce output to be interpreted by one.

%package -n     python3-%{module}
Summary:        Measures number of terminal column cells of wide-character codes
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
This library is mainly for those implementing a terminal emulator,
or programs that carefully produce output to be interpreted by one.

%prep
%setup -q -n %{module}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files wcwidth

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE
%doc README.rst
