%global pypi_name websockify

Name:           python-%{pypi_name}
Version:        0.12.0
Release:        %mkrel 2
Group:          Development/Python
Summary:        WebSockets support for any application/server

License:        MIT
URL:            https://pypi.org/project/websockify/
Source0:        https://pypi.io/packages/source/w/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
WebSockets support for any application/server.

%package -n python3-%{pypi_name}
Summary:        WebSockets support for any application/server
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{pypi_name}
WebSockets support for any application/server.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGES.txt README.md
%{_bindir}/websockify
