# Created by pyp2rpm-3.3.2
%global pypi_name whelk

Name:           python-%{pypi_name}
Version:        3.0
Release:        %mkrel 5
Summary:        Easy access to shell commands from python
Group:          Development/Python
License:        None
URL:            https://github.com/seveas/whelk
Source0:        https://files.pythonhosted.org/packages/source/w/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

# for docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(cloud-sptheme)

%description
We all like python for scripting, because it's so much more powerful than
a shell. But sometimes we really need to call a shell command because it's
so much easier than writing yet another library in python or adding a
dependency.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
We all like python for scripting, because it's so much more powerful than
a shell. But sometimes we really need to call a shell command because it's
so much easier than writing yet another library in python or adding a
dependency.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files whelk

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%doc html
