%define git 20131006

%global __python /usr/bin/python2
Name:         python-whiteboard
# no version specified, I'm choosing the yearmonthday format
# base version according to debian/changelog 
Version:       1.0.4
Release:       %mkrel -c %{git} 9
License:       GPLv2
# downloaded from https://github.com/pnegre/python-whiteboard/downloads
Source0:       %{name}-master.tar.bz2
Url:           https://github.com/pnegre/python-whiteboard
Summary:       Linux whiteboard in python
Group:         Education

BuildArch:     noarch
BuildRequires: qt4-devel
BuildRequires: desktop-file-utils
Requires:      python-pybluez
Requires:      python-xlib
Requires:      python-cwiid

%description
This program allows you to build and operate an electronic whiteboard using
Gnu/Linux, a Wiimote and an IR pen.

%prep
%setup -q -n %{name}-master
sed -i 's!bin/python!bin/python2!' python-whiteboard-test stuff/wiimote.py python-whiteboard stuff/pywhiteboard.py

%build
%make_build 

%install
%make_install

desktop-file-install --vendor="" \
                     --dir %{buildroot}%{_datadir}/applications \
                     --remove-category="Application" \
                     %buildroot%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/pywb_pixmap.xpm
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.ui
%{_datadir}/%{name}/*.py
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.xpm
%dir %{_datadir}/qt4/translations
%{_datadir}/qt4/translations/*.qm
