%global srcname wsme
%global osrcname WSME

Name:           python-%{srcname}
Version:        0.12.1
Release:        %mkrel 2
Summary:        Simplify the writing of REST APIs, and extend them with additional protocols

Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/WSME/
Source0:        https://pypi.io/packages/source/w/%{srcname}/%{osrcname}-%{version}.tar.gz

BuildArch:      noarch

%description
Simplify the writing of REST APIs, and extend them with additional protocols.

%package -n python3-%{srcname}
Summary:        Simplify the writing of REST APIs, and extend them with additional protocols
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{srcname}
Simplify the writing of REST APIs, and extend them with additional protocols.
This is the Python 3 build of %{srcname}.

%prep
%setup -q -n %{osrcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files wsme wsmeext

%files -n python3-%{srcname} -f %{pyproject_files}
%{python3_sitelib}/WSME-*-nspkg.pth
