# Created by pyp2rpm-3.3.0
%global pypi_name wsproto

Name:           python-%{pypi_name}
Version:        1.2.0
Release:        %mkrel 3
Summary:        WebSockets state-machine based protocol implementation
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/wsproto/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(sphinx)

%description
WebSockets state-machine based protocol implementation

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(h11)

%description -n python3-%{pypi_name}
WebSockets state-machine based protocol implementation

%package -n python-%{pypi_name}-doc
Summary:        wsproto documentation

%description -n python-%{pypi_name}-doc
Documentation for wsproto

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files wsproto

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE
