# Created by pyp2rpm-3.3.3
%global pypi_name wtf-peewee

Name:           python-%{pypi_name}
Version:        3.0.6
Release:        %mkrel 2
Summary:        WTForms integration for peewee models
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/wtf-peewee
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(peewee) >= 3.0.0
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(wtforms)

%description
This project, based on the code found in wtforms.ext, provides a bridge between
peewee models and wtforms, mapping model fields to form fields.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(peewee) >= 3.0.0
Requires:       python3dist(wtforms)

%description -n python3-%{pypi_name}
This project, based on the code found in wtforms.ext, provides a bridge between
peewee models and wtforms, mapping model fields to form fields.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files wtfpeewee

%check
%python3 runtests.py

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
