%global pypi_name xlsxwriter
%global srcname XlsxWriter

Name:       python-%{pypi_name}
Version:    3.2.0
Release:    %mkrel 2
Summary:    Python module for writing files in the Excel 2007+ XLSX file format
Group:      Development/Python
License:    BSD
URL:        https://github.com/jmcnamara/XlsxWriter
Source:     %{pypi_source}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description
XlsxWriter is a Python module for writing files in the Excel 2007+ XLSX file format.

XlsxWriter can be used to write text, numbers, formulas and hyperlinks
to multiple worksheets and it supports features such as formatting and
many more.

%package -n python3-%{pypi_name}
Summary:    Python3 module for writing files in the Excel 2007+ XLSX file format
Group:      Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
XlsxWriter is a Python module for writing files in the Excel 2007+ XLSX file format.

XlsxWriter can be used to write text, numbers, formulas and hyperlinks
to multiple worksheets and it supports features such as formatting and
many more.

%prep
%setup -q -n XlsxWriter-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files xlsxwriter

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst LICENSE.txt

%{_bindir}/vba_extract.py
