%define pypi_name yaswfp

Name:       python-%{pypi_name}
Version:    0.9.3
Release:    %mkrel 8
Summary:    Yet Another SWF Parser
Group:      Development/Python
License:    GPLv3
URL:        https://pypi.org/project/yaswfp
Source0:    %{pypi_source}
BuildArch:  noarch

%description
Yet Another SWF Parser.
You can pronounce whatever you like :)

%package -n     python3-%{pypi_name}
Summary:        Yet Another SWF Parser
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Yet Another SWF Parser.
You can pronounce whatever you like :)

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files yaswfp

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{_bindir}/swfparser
