%define pypi_name	yq

Name:			python-%{pypi_name}
Version:		2.12.2
Release:		%mkrel 5
Summary:		jq wrapper for YAML, XML, TOML documents
Group:			Development/Python
Url:			https://pypi.org/project/yq/
Source0:		%{pypi_source %pypi_name %version tar.gz}
License:		AGPL
BuildArch:		noarch

%description
Command-line YAML/XML processor - jq wrapper for YAML/XML documents

%package -n     python3-%{pypi_name}
Summary:        Command-line YAML/XML processor - jq wrapper for YAML/XML documents
Group:          Development/Python
Provides:	yq = %version-%release
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
Requires:	jq

%description -n python3-%{pypi_name}
Command-line YAML/XML processor - jq wrapper for YAML/XML documents

%prep
%setup -q -n %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf *.egg-info/

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{_bindir}/*
%{python3_sitelib}/yq
%{python3_sitelib}/yq-%{version}-*.egg-info
