# Created by pyp2rpm-3.3.3
%global pypi_name zopfli
%global __pypi_default_extension zip

Name:           python-%{pypi_name}
Version:        0.2.3
Release:        %mkrel 2
Summary:        Zopfli module for python
Group:          Development/Python
License:        ASL
URL:            https://github.com/obp/py-zopfli
Source0:        %{pypi_source}
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(pytest)

%description
pyzopfli is a straight forward wrapper around zopfli's ZlibCompress method.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pyzopfli is a straight forward wrapper around zopfli's ZlibCompress method.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files zopfli

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
