# Created by pyp2rpm-3.3.2
%global pypi_name zzzeeksphinx

Name:           python-%{pypi_name}
Version:        1.5.0
Release:        %mkrel 2
Summary:        Zzzeek's Sphinx Layout and Utilities
Group:          Development/Python
License:        MIT
URL:            https://github.com/sqlalchemyorg/zzzeeksphinx
Source0:        https://files.pythonhosted.org/packages/source/z/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%description
This is zzzeek's own Sphinx layout, used by SQLAlchemy. This layout is first
and foremost pulled in for the SQLAlchemy documentation builds (and possibly
other related projects), but is also usable as a standalone theme / utility set
for any project.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is zzzeek's own Sphinx layout, used by SQLAlchemy. This layout is first
and foremost pulled in for the SQLAlchemy documentation builds (and possibly
other related projects), but is also usable as a standalone theme / utility set
for any project.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
