# Turn off the brp-python-bytecompile script
%define __brp_python_bytecompile %{nil}

Name:           qarte
Version:        5.9.0
Release:        %mkrel 1
Summary:        A browser for the arte.tv website
License:        GPLv3
Group:          Video/Utilities
Url:            https://launchpad.net/qarte
Source0:        https://oqapy.eu/releases/%{name}-%{version}.tar.gz
Patch0:         qarte-5.5.0-fix-m3u8-2.0.0-support.patch

Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-multimedia
Requires:       python3-qt5-multimediawidgets
Requires:       python3-qt5-svg
Requires:       python3-qt5-widgets
Requires:       python3dist(m3u8)
Requires:       rtmpdump

BuildArch:      noarch

%description
Qarte lets you browse the archives of arte+7 & arteLiveWeb sites, and record
your favourite programs.

%prep
%autosetup -p1

%build

%install
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}

install -d %{buildroot}%{_datadir}/%{name}
cp -a *.py* medias gui \
      %{buildroot}%{_datadir}/%{name}

install -D -m 644 q_arte.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m 644 %{name}.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

install -D -m 644 locale/de/LC_MESSAGES/%{name}.mo %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo
install -D -m 644 locale/fr/LC_MESSAGES/%{name}.mo %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/%{name}.mo
install -D -m 644 locale/pt/LC_MESSAGES/%{name}.mo %{buildroot}%{_datadir}/locale/pt/LC_MESSAGES/%{name}.mo

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_mandir}/man1/%{name}.1*
