Name:           qterminal
Version:        2.1.0
Release:        %mkrel 1
Summary:        QT-based multitab terminal emulator
License:        GPLv2
Group:          Terminals
URL:            https://lxqt-project.org/
Source0:        https://github.com/lxqt/qterminal/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(qtermwidget6)
BuildRequires:  cmake(lxqt2-build-tools)
BuildRequires:  cmake(LayerShellQt)

%description
QT-based multitab terminal emulator.
Based on QTermWidget

%files
%doc AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-drop.desktop
%{_iconsdir}/hicolor/*/*/%{name}.png
%{_datadir}/%{name}/
%{_datadir}/metainfo/qterminal.metainfo.xml

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt6

%cmake_build

%install
%cmake_install

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}-drop.desktop
