%define snapshot 20240121

Name:           qtlocation-plugin-googlemaps
Summary:        QtLocation plugin for Google maps tile API
Version:        1.0
Release:        %mkrel 0.%{snapshot}.1
License:        MIT
Group:          Sciences/Other
URL:            https://github.com/vladest/googlemaps
Source0:        googlemaps-%{snapshot}.tar.gz
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Location)

%description
GoogleMaps plugin for QtLocation module.

%prep
%setup -q -n googlemaps-master

%build
%qmake_qt6
%make_build

%install
%make_build install INSTALL_ROOT=%{buildroot}

%files
%doc README.md
%license LICENSE.txt
%{_qt6_plugindir}/geoservices/libqtgeoservices_googlemaps.so
