Name:		ratpoison
Version:	1.4.9
Release:	%mkrel 3
Summary:	A simple tiling Window Manager that does not require the mouse
Group:		Graphical desktop/Other
License:	GPLv2
URL:		https://savannah.nongnu.org/projects/ratpoison
Source0:	https://download.savannah.gnu.org/releases/ratpoison/%{name}-%{version}.tar.xz
BuildRequires:	texinfo
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xrandr)

%description
ratpoison is a Window Manager, that does not require the mouse.
It is a tiling window manager and has no dependencies.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%doc README NEWS COPYING AUTHORS ChangeLog
%{_bindir}/ratpoison
%{_bindir}/rpws
%{_datadir}/emacs/site-lisp/ratpoison.el
%dir %{_datadir}/ratpoison
%{_datadir}/ratpoison/allwindows.sh
%{_datadir}/ratpoison/clickframe.pl
%{_datadir}/ratpoison/genrpbindings
%{_datadir}/ratpoison/ratdate.sh
%{_datadir}/ratpoison/rpshowall.sh
%{_datadir}/ratpoison/rpws
%{_datadir}/ratpoison/sloppy.c
%{_datadir}/ratpoison/split.sh
%{_datadir}/ratpoison/unrat.c
%{_mandir}/man1/ratpoison.1*
%{_infodir}/ratpoison.info*
