Name:		redis-py
Version:	2.10.6
Release:	%mkrel 5
Summary:	The Python interface to the Redis key-value store
License:	MIT
Group:		Databases
Url:		https://github.com/andymccurdy/redis-py
Source0:	https://github.com/andymccurdy/redis-py/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
Requires:	redis >= 4.0.7

%description
The Python 2 and Python 3 interface to the Redis key-value store.

%package -n python2-%{name}
Summary:	The Python 2 interface to the Redis key-value store
Group:		Databases
Conflicts:	python2-%{name} < 2.10.6-3
Conflicts:	%{name} < 2.10.6-3

%description -n python2-%{name}
The Python 2 interface to the Redis key-value store.

%package -n	python3-%{name}
Summary:	The Python 3 interface to the Redis key-value store
Group:		Databases

%description -n python3-%{name}
The Python 3 interface to the Redis key-value store

%prep
%setup -q -n %{name}-%{version}
cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
%py2_install
pushd %{py3dir}
%py3_install
popd

%files -n python2-%{name}
%{python2_sitelib}/redis-*
%{python2_sitelib}/redis

%files -n python3-%{name}
%{python3_sitelib}/redis-*
%{python3_sitelib}/redis
