%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define gdate	20170430

%define rel	4

Name:		regexxer
Summary:	Interactive search and replace tool
Version:	0.11
Release:	%mkrel %{?gdate:0.git%gdate}.%{rel}
Group:		Text tools
License:	GPLv2+
Url:		https://www.gnome.org/
%if 0%{?gdate:1}
Source0:	%{name}-%{gdate}.tar.xz
%else
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
%endif
#Mageia patches
Patch201:	0201-Remove-AM_GLIB_GNU_GETTEXT.patch
Patch202:	0202-Add-disable-icon-update-configure-option.patch
Patch203:	0203-Fix-disable-schemas-compile-configure-option.patch
BuildRequires:	intltool
BuildRequires:	gnome-common
BuildRequires:	pkgconfig(gtkmm-3.0)
BuildRequires:	pkgconfig(glibmm-2.4)
BuildRequires:	pkgconfig(gtksourceviewmm-3.0)

%description
regexxer is a nifty search/replace tool for the desktop user.

%prep
%autosetup -p1 -n %{name}-%{?gdate}%{!?gdate:%version}

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure \
	--disable-icon-update \
	--disable-schemas-compile
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc README NEWS AUTHORS
%{_bindir}/regexxer
%{_datadir}/regexxer/
%{_datadir}/applications/regexxer.desktop
%{_datadir}/glib-2.0/schemas/org.regexxer.gschema.xml
%{_datadir}/icons/hicolor/*/apps/regexxer.*
