Name:       rftg
Version:    0.9.4
Release:    %mkrel 5

Summary:    Race for the Galaxy
License:    GPLv2+
Group:      Games/Strategy
Url:        https://keldon.net/rftg/
Source0:    https://keldon.net/rftg/%{name}-%{version}.tar.bz2

BuildRequires:	libgtk+2.0-devel

%description
This is a project to create artificial intelligence opponent(s) for the
card game Race for the Galaxy. Currently, the base game and all three
expansions are supported.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure \
    --bindir=%{_gamesbindir} \
    --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

%files
%doc AUTHORS NEWS README ChangeLog COPYING
%{_gamesbindir}/*
%{_gamesdatadir}/*
