Name: rgb
Version: 1.1.0
Release: %mkrel 1
Summary: Uncompile an rgb color
Group: Development/X11
Source: https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
License: MIT

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
The showrgb program reads an rgb color-name database compiled for use with
the dbm database routines and converts it back to source form.

%prep
%setup -q

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make_build

%install
%make_install

%files
%{_bindir}/showrgb
%{_datadir}/X11/rgb.txt
%{_mandir}/man1/showrgb.*
