Summary:	A picture viewer for the Xfce desktop environment
Name:		ristretto
Version:	0.13.4
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphics/Viewers
URL:		https://docs.xfce.org/apps/ristretto/start
Source0:	https://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(exo-2)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfconf-0)
Requires:	hicolor-icon-theme
Requires:	xfconf
Requires:	tumbler

%description
Ristretto is a fast and lightweight picture-viewer for the
Xfce desktop environment.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README*
%{_bindir}/ristretto
%{_datadir}/applications/org.xfce.ristretto.desktop
%{_metainfodir}/org.xfce.ristretto.appdata.xml
%{_iconsdir}/hicolor/*/apps/org.xfce.ristretto.{png,svg}
