%define __python %{__python3}

Name:           rlwrap
Epoch:          0
Version:        0.46.1
Release:        %mkrel 1
Summary:        Readline wrapper
Group:          Text tools
License:        GPLv2+
URL:            https://github.com/hanslub42/rlwrap
Source0:        https://github.com/hanslub42/rlwrap/releases/download/%{version}/rlwrap-%{version}.tar.gz
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  readline-devel

%description
rlwrap is a 'readline wrapper' that uses the GNU readline library to
allow the editing of keyboard input for any other command. Input
history is remembered across invocations, separately for each command;
history completion and search work as in bash and completion word
lists can be specified on the command line.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%check
%make_build check

%files
%doc AUTHORS BUGS COPYING ChangeLog NEWS README.md
%attr(0755,root,root) %{_bindir}/rlwrap
%{_mandir}/man1/rlwrap.1*
%{_mandir}/man3/RlwrapFilter.3pm*
%dir %{_datadir}/rlwrap
%{_datadir}/rlwrap/*
