Name:           rman
Version:        3.2
Release:        %mkrel 17
Summary:        PolyglotMan - manual page translator to HTML, ASCII, TkMan, DocBook
Group:          Development/X11
License:        GPLv2
URL:            https://polyglotman.sourceforge.net/
Source:         https://downloads.sourceforge.net/polyglotman/%{name}-%{version}.tar.gz
Patch0:         rman-3.2-cflags.patch
Patch1:         rman-3.2-format.patch
Patch2:         rman-3.2-incompatible-pointer-types.patch

BuildRequires:  pkgconfig(x11) >= 1.0.0
BuildRequires:  pkgconfig(xmu) >= 1.0.0
BuildRequires:  x11-util-macros >= 1.0.1

%description
PolyglotMan takes man pages from most of the popular flavors of UNIX and
transforms them into any of a number of text source formats.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build

%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_mandir}/man1
%make_install BINDIR=%buildroot%_bindir MANDIR=%buildroot%_mandir/man1


%files
%doc rman.html
%_bindir/rman
%_mandir/*/*
