%global _legacy_common_support 1

Name:		rmanage
Summary:	A network discovery and management tool
Version:	0.1.8
Release:	%mkrel 16
License:	GPLv2
Group:		Networking/Other
Url:		https://code.google.com/archive/p/rmanage/
Source0:	http://rmanage.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:	rmanage.policy
Patch0:		rmanage-desktop.patch
Patch1:		rmanage-de-po.patch
Patch2:		rmanage-configure-in.patch
Patch3:		rmanage-interface.patch
Patch4:		rmanage-0.1.8-automake-1.13.patch
Patch5:		rmanage-fix-build-with-gcc14.patch
BuildRequires:	desktop-file-utils
BuildRequires:	gtk2-devel
BuildRequires:	gettext

Requires:	xterm

%description
Rmanage is a small linux+GTK based LAN monitoring and management application

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure
%make_build
%make_build -C po

%install
%make_install

# pkexec policy file
install -Dpm644 %{SOURCE1} %{buildroot}%{_datadir}/polkit-1/actions/org.mageia.rmanage.policy

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/polkit-1/actions/org.mageia.rmanage.policy
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.cnf
