%global rocm_major 5
%global rocm_minor 7
%global rocm_patch 1

%global rocm_magic 98

Name:           rocm-core
Version:        %{rocm_major}.%{rocm_minor}.%{rocm_patch}
Release:        %mkrel 2
Summary:        AMD ROCm version files
Group:          Development/Other
Url:            https://docs.amd.com/
License:        None

#Only the following architectures are useful for ROCm packages:
ExclusiveArch:  x86_64 aarch64

%description
AMD ROCm version files required by PyTorch.


%prep

%build

%install
echo "%{version}-%{rocm_magic}" > version-rocm
install -Dm644 version-rocm %{buildroot}%{_libdir}/rocm/.info/version
install -Dm644 version-rocm %{buildroot}%{_libdir}/rocm/.info/version-dev

echo "#pragma once" > rocm_version.h
echo "#define ROCM_VERSION_MAJOR %{rocm_major}" >> rocm_version.h
echo "#define ROCM_VERSION_MINOR %{rocm_minor}" >> rocm_version.h
echo "#define ROCM_VERSION_PATCH %{rocm_patch}" >> rocm_version.h
install -Dm644 rocm_version.h %{buildroot}%{_includedir}/rocm_version.h
install -Dm644 rocm_version.h %{buildroot}%{_includedir}/rocm-core/rocm_version.h

%files
%{_libdir}/rocm/.info{.,*}
%dir %{_includedir}/rocm-core
%{_includedir}/rocm_version.h
%{_includedir}/rocm-core/rocm_version.h



