Name:           rodovid
Version:        0.3.18
Release:        %mkrel 4
Summary:        Genealogy visual editor
Group:          Office/Utilities
License:        GPLv2
URL:            https://rodovid.sourceforge.net/
Source0:        https://sourceforge.net/projects/%{name}/files/%{version}/linux/%{name}-%{version}.tar.bz2
Requires:       perl(Archive::Tar)
Requires:       graphviz
Requires:       perl(Tk)
Requires:       perl(Image::Magick)
Requires:       perl(Gedcomlite)
BuildArch:      noarch

%description
The Rodovid (Family Tree) is a free software for visual creation
of family trees and HTML sites with family trees with photo galleries.

%prep
%setup -q

%build
#nothing

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/%{name}/graphics
mkdir -p %{buildroot}%{_datadir}/%{name}/locales
cp -r ./graphics/* %{buildroot}%{_datadir}/%{name}/graphics/
cp -r ./locales/* %{buildroot}%{_datadir}/%{name}/locales/
mkdir -p %{buildroot}%{_datadir}/%{name}/projects
cp -r ./projects/* %{buildroot}%{_datadir}/%{name}/projects/
cp ./version %{buildroot}%{_datadir}/%{name}/
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -Dm 0644 %{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
install -m 0644 ./graphics/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
mkdir -p %{buildroot}%{_bindir}
install -m 755 ./%{name} %{buildroot}%{_bindir}/
mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 ./%{name}.desktop %{buildroot}%{_datadir}/applications/

%files
%doc README* about readme
%{_bindir}/*
%{_datadir}/applications/*
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/*
%{_datadir}/%{name}
