%define major		0
%define libname		%mklibname %name %major
%define develname	%mklibname %name -d

Summary: A library to bind RPM constant values
Name: rpmconstant
Version: 0.1.5
Release: %mkrel 3
Source0: http://rpm4.zarb.org/download/%{name}-%{version}.tar.gz
License: LGPLv2.1
Group: Development/C
Url: http://rpm4.zarb.org/
BuildRequires: pkgconfig(popt) 
BuildRequires: rpm-devel

%description
This library provides basic functions to map internal RPM constant values
with their name. This is useful for perl/python or other language which has
binding over rpmlib.

%package -n %libname
Summary: A library to bind rpm constant
Group: Development/C
Provides: lib%{name} = %version-%release

%description -n %libname
This library provides basics functions to map internal rpm constant value
with their name. This is useful for perl/python or other language which has
binding over rpmlib.

%package -n %develname
Summary: Development files from librpmconstant
Group: Development/C
Provides: %name-devel = %version-%release
Provides: lib%{name}-devel = %version-%release
Requires: %libname = %version-%release
Obsoletes: %mklibname rpmconstant 0 -d

%description -n %develname
This library provides basics functions to map internal rpm constant value
with their name. This is useful for perl/python or other language which has
binding over rpmlib.

You need this package to build applications using librpmconstant.

%prep
%autosetup -p1

%build
mv rpmconstanttbl.c rpmconstanttbl.c.old # Ensure this file is regenated
%configure --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%files
%doc AUTHORS ChangeLog README
%_bindir/%name

%files -n %libname
%_libdir/lib%name.so.%{major}
%_libdir/lib%name.so.%{major}.*

%files -n %develname
%doc constant.c AUTHORS ChangeLog README
%_includedir/%name/%name.h
%_libdir/lib%name.so
