Name:           rpmrebuild
Version:        2.17
Release:        %mkrel 1
Summary:        A tool to build rpm file from rpm database

Group:          Development/Tools
License:        GPLv2+
URL:            https://rpmrebuild.sourceforge.net/

Source0:        https://downloads.sourceforge.net/rpmrebuild/%{name}-%{version}.tar.gz

BuildArch:      noarch
Requires:       rpm >= 4.0, rpm-build, coreutils, util-linux

%description
A tool to build an RPM file from a package that has already been installed.

%prep
%setup -q -c 

%build
%make_build

%install
%make_install

%find_lang %{name} --with-man --all-name

%files -f %{name}.lang
%doc AUTHORS COPYING COPYRIGHT Changelog LISEZ.MOI News README Todo rpmrebuild.lsm Version
%dir %{_prefix}/lib/rpmrebuild/
%dir %{_prefix}/lib/rpmrebuild/plugins/
%dir %{_prefix}/lib/rpmrebuild/locale/
%dir %{_prefix}/lib/rpmrebuild/locale/fr_FR.UTF-8
%dir %{_prefix}/lib/rpmrebuild/locale/en
%dir %{_prefix}/lib/rpmrebuild/locale/fr_FR
%{_bindir}/rpmrebuild
%{_prefix}/lib/rpmrebuild/optional_tags.cfg
%{_prefix}/lib/rpmrebuild/plugins/nodoc.sh
%{_prefix}/lib/rpmrebuild/rpmrebuild_parser.src
%{_prefix}/lib/rpmrebuild/processing_func.src
%{_prefix}/lib/rpmrebuild/rpmrebuild_rpmqf.src
%{_prefix}/lib/rpmrebuild/rpmrebuild_buildroot.sh
%{_prefix}/lib/rpmrebuild/spec_func.src
%{_prefix}/lib/rpmrebuild/rpmrebuild_lib.src
%{_prefix}/lib/rpmrebuild/rpmrebuild.sh
%{_prefix}/lib/rpmrebuild/plugins/uniq.sh
%{_prefix}/lib/rpmrebuild/plugins/demo.sh
%{_prefix}/lib/rpmrebuild/plugins/set_tag.sh
%{_prefix}/lib/rpmrebuild/plugins/file2pacDep.sh
%{_prefix}/lib/rpmrebuild/plugins/demofiles.sh
%{_prefix}/lib/rpmrebuild/rpmrebuild_ghost.sh
%{_prefix}/lib/rpmrebuild/rpmrebuild_files.sh
%{_prefix}/lib/rpmrebuild/plugins/compat_digest.sh
%{_prefix}/lib/rpmrebuild/plugins/exclude_file.sh
%{_prefix}/lib/rpmrebuild/Version
%{_prefix}/lib/rpmrebuild/plugins/set_tag.plug
%{_prefix}/lib/rpmrebuild/plugins/compat_digest.plug
%{_prefix}/lib/rpmrebuild/plugins/nodoc.plug
%{_prefix}/lib/rpmrebuild/plugins/demo.plug
%{_prefix}/lib/rpmrebuild/plugins/file2pacDep.plug
%{_prefix}/lib/rpmrebuild/plugins/uniq.plug
%{_prefix}/lib/rpmrebuild/plugins/demofiles.plug
%{_prefix}/lib/rpmrebuild/locale/en/rpmrebuild.lang
%{_prefix}/lib/rpmrebuild/locale/fr_FR.UTF-8/rpmrebuild.lang
%{_prefix}/lib/rpmrebuild/locale/fr_FR/rpmrebuild.lang
%{_prefix}/lib/rpmrebuild/plugins/un_prelink.plug
%{_prefix}/lib/rpmrebuild/plugins/un_prelink.sh
%{_prefix}/lib/rpmrebuild/plugins/unset_tag.plug
%{_prefix}/lib/rpmrebuild/plugins/unset_tag.sh
 %{_prefix}/lib/rpmrebuild/plugins/exclude_file.plug
%{_prefix}/lib/rpmrebuild/rpmrebuild_extract_tags.sh
%{_mandir}/man1/un_prelink.plug.1rrp*
%{_mandir}/man1/unset_tag.plug.1rrp*
%{_mandir}/man1/demo.plug.1rrp*
%{_mandir}/man1/file2pacDep.plug.1rrp*
%{_mandir}/man1/nodoc.plug.1rrp*
%{_mandir}/man1/rpmrebuild.1*
%{_mandir}/man1/rpmrebuild_plugins.1*
%{_mandir}/man1/uniq.plug.1rrp*
%{_mandir}/man1/compat_digest.plug.1rrp*
%{_mandir}/man1/demofiles.plug.1rrp*
%{_mandir}/man1/set_tag.plug.1rrp*
%{_mandir}/man1/exclude_file.plug.1rrp*
