Summary:	Script to rsync update an RPM repository mirror
Name:		rpmsync
Version:	1.7
Release:	%mkrel 15
License:	LGPLv2+
Group:		Networking/File transfer
Source0:	%{name}.pl
Source1:	README
Source2:	exclude.lst
Requires:	rsync
BuildArch:	noarch

%description
- Script to rsync update an RPM repository mirror; most useful for
  frequently updated distributions, like Mageia Cauldron, Mandriva Cooker
  or security updates for a specific version of an RPM-based distribution
- Moves RPMs so you can rsync between package versions
- Supports mirroring directories and individual files

%prep

%setup -T -c
cp -f %{SOURCE0} %{SOURCE1} %{SOURCE2} .

%install
install -d %{buildroot}%{_bindir}
install -m0755 %{name}.pl %{buildroot}%{_bindir}/%{name}

%files
%doc README exclude.lst
%attr(0755,root,root) %{_bindir}/%{name}

