%define	libtorrentver	0.15.1

Name:		rtorrent
Epoch:		1
Version:	0.15.1
Release:	%mkrel 1
Summary:	Curses based BitTorrent client
License:	GPLv2+
Group:		Networking/File transfer
URL:		https://rakshasa.github.io/rtorrent/
Source0:	https://github.com/rakshasa/rtorrent/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(libtorrent) >= %{libtorrentver}
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(xmlrpc)
BuildRequires:	pkgconfig(cppunit)
Requires:	libtorrent >= %{libtorrentver}

%description
This is a text mode BitTorrent client with a curses interface based on
libtorrent.

%prep
%autosetup -p1

%build
%configure \
	--enable-ipv6 \
	--with-xmlrpc-c
%make_build

%install
%make_install

%files
%doc README AUTHORS doc/rtorrent.rc
%license COPYING
%{_bindir}/rtorrent
