Name: rubinius
Version: 2.0.0rc1
Release: 12.1
License: BSD
Group: Development/Languages/Ruby
URL: https://rubini.us
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Buildrequires: rubygems rubygem-rake
BuildRequires: gcc-c++ zlib-devel openssl-devel readline-devel
BuildRequires: ruby-devel
%if 0%{fedora} >  18
BuildRequires: rubypick
%endif
BuildRequires: llvm-devel
BuildRequires: libyaml-devel
Source0: %{name}-%{version}.tar.gz 
Summary: A virtual machine for running Ruby programs and a Ruby core library

%description
Rubinius is a virtual machine and compiler for Ruby created by Evan Phoenix.
Based loosely on the SmallTalk-80 Blue Book design, Rubinius seeks to provide
a rich, high-performance environment for running Ruby code.

%prep
%setup -q
sed -i '/mspec ci --background --agent/d' Rakefile

%build
./configure --prefix %{_libdir} --enable-llvm
rake build

%clean
%{__rm} -fr %{buildroot}

%install
rake install DESTDIR=%{buildroot}

%files
%defattr(-, root, root,-)
%doc README LICENSE AUTHORS THANKS
%{_libdir}/rubinius

