%define oname   Ascii85

Name:       ruby-%{oname}
Version:    2.0.1
Release:    %mkrel 1
Summary:    Provides methods for encoding/decoding Adobe's binary-to-text encoding
Group:      Development/Ruby
License:    MIT
URL:        http://ascii85.rubyforge.org
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: locales
BuildArch:  noarch

%description
Ascii85 is a simple gem that provides methods for encoding/decoding Adobe's
binary-to-text encoding of the same name.
See https://www.adobe.com/products/postscript/pdfs/PLRM.pdf page 131 and
https://en.wikipedia.org/wiki/Ascii85 for more information about the format.

%files
%{_bindir}/ascii85
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
