%define oname   RedCloth

Name:       ruby-%{oname}
Version:    4.3.4
Release:    %mkrel 2
Summary:    Textile parser for Ruby
License:    BSD
Group:      Development/Ruby
URL:        http://redcloth.org
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)

%description
Textile parser for Ruby.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{gem_extdir_mri}/ext
rm -f %{buildroot}%{gem_instdir}/{COPYING,CHANGELOG,README.rdoc}
rm -f %{buildroot}%{gem_instdir}/lib/*.jar
rm -f %{buildroot}%{gem_instdir}/.require_paths

%files
%{_bindir}/redcloth
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}
%doc COPYING

%files doc
%doc %{gem_docdir}
%doc CHANGELOG doc/textile_reference.html
