%define oname   RubyInline

Name:       ruby-%{oname}
Epoch:      1
Version:    3.14.2
Release:    %mkrel 1
Summary:    Inline allows you to write foreign code within your ruby code
Group:      Development/Ruby
License:    MIT
URL:        http://rubyforge.org/projects/rubyinline/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Inline allows you to write foreign code within your ruby code. It
automatically determines if the code in question has changed and
builds it only when necessary. The extensions are then automatically
loaded into the class/module that defines it.
You can even write extra builders that will allow you to write inlined
code in any language. Use Inline::C as a template and look at
Module#inline for the required API.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{epoch}:%{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

# Fix shebang
sed -i '/^#!/d' %{buildroot}%{gem_instdir}/lib/inline.rb

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc History.txt Manifest.txt README.txt
