%define real_name rubysdl
%define name ruby-SDL
%define version 2.2.0
%define release %mkrel 0.20160105.15

Summary: Wrapper around the cross platform Simple DirectMedia Layer game library
Name: %{name}
Version: %{version}
Release: %{release}
License: LGPLv2+
Source: https://github.com/ohai/rubysdl/archive/master.zip
Source1: rubysdl_ref_2.en.html.bz2
Group: Development/Ruby
URL: https://ohai.github.io/rubysdl/
BuildRequires: SDL-devel SDL_image-devel SDL_mixer-devel SDL_ttf-devel smpeg-devel ruby-devel ruby(rubygems)
Provides: %{real_name} = %{version}

%description
Ruby-SDL is a wrapper around the cross platform Simple Direct Layer game
library. Essentially it allows you to write cross platform games in Ruby,
using 2d (SDL), or 3d (OpenGL), or a combination of both if you wish.

%prep
%setup -q -n %{real_name}-master
bzcat %{SOURCE1} > reference_manual.html

%build
ruby extconf.rb --enable-opengl --vendor
%make_build
sed -i 's|/usr/local/bin/ruby|/usr/bin/ruby|' sample/*.rb
chmod 0755 sample/kanji.rb

%install
%make_install

%files
%doc README.* sample reference_manual.html
%{ruby_vendorlibdir}/*.rb
%{ruby_vendorarchdir}/*.so
