%define oname   activesupport

Name:       ruby-%{oname}
Version:    8.0.2
Release:    %mkrel 1
Summary:    A toolkit of support libraries and Ruby core extensions extracted from the Rails framework
License:    MIT
Group:      Development/Ruby
URL:        https://rubyonrails.org
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A toolkit of support libraries and Ruby core extensions extracted from the
Rails framework. Rich support for multibyte strings, internationalization,
time zones, and testing.

%files
%dir %{gem_instdir}
%license  %{gem_instdir}/MIT-LICENSE
%doc  %{gem_instdir}/CHANGELOG.md
%doc  %{gem_instdir}/README.rdoc
%{gem_instdir}/lib
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
