%define oname   addressable

Name:       ruby-%{oname}
Version:    2.8.7
Release:    %mkrel 2
Summary:    A replacement for the URI implementation of Ruby's standard library
Group:      Development/Ruby
License:    MIT
URL:        http://addressable.rubyforge.org/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildRequires: rubygem(rspec) >= 2.0.0
BuildArch:  noarch

%description
Addressable is a replacement for the URI implementation that is part of
Ruby's standard library. It more closely conforms to the relevant RFCs and
adds support for IRIs and URI templates.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc CHANGELOG.md README.md
