%define oname   afm

Name:       ruby-%{oname}
Version:    0.2.2
Release:    %mkrel 4
Summary:    reading Adobe Font Metrics (afm) files
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/halfbyte/afm
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
a simple library to read afm files and use the data conveniently.

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}
%{gem_spec}

%files          doc
%{gem_docdir}
%doc LICENSE
%doc README.rdoc
