%define oname   asciidoctor

Name:       ruby-%{oname}
Version:    2.0.23
Release:    %mkrel 1
Summary:    A fast, open source AsciiDoc implementation in Ruby
License:    MIT
Group:      Development/Ruby
URL:        https://asciidoctor.org/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildArch:  noarch
BuildRequires: rubygems
Provides:   %{oname} = %{version}-%{release}

%description
A fast, open source text processor and publishing toolchain, written in Ruby,
for transforming AsciiDoc markup into HTML 5, DocBook 4.5, DocBook 5.0 and
custom output formats. The transformation from AsciiDoc to custom output
formats is performed by running the nodes in the parsed document tree through a
collection of templates written in a template language supported by Tilt.

%files
%{_bindir}/%{oname}*
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
