%define oname   atk
%global	header_dir	%{ruby_vendorarchdir}

Name:       ruby-%{oname}
Version:    4.2.9
Release:    %mkrel 1
Summary:    Ruby/ATK is a Ruby binding of ATK-1.0.x
License:    LGPLv2.1
Group:      Development/Ruby
URL:        http://ruby-gnome2.sourceforge.jp/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(atk)
BuildRequires: rubygem(pkg-config)
BuildRequires: ruby-glib2
BuildRequires: ruby-rake
Requires:   rubygem(gobject-introspection)
BuildArch:  noarch
Obsoletes:  ruby-atk-devel < 3.1.8-1

%description
Ruby/ATK is a Ruby binding of ATK-1.0.x.

%files
%{gem_spec}
%{gem_instdir}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup
sed -i -e '\@s\.extensions@d' ../%{gem_name}-%{version}.gemspec

%build
%gem_build

%install
%gem_install
