%define oname   aws-s3

Name:       ruby-%{oname}
Version:    0.6.3
Release:    %mkrel 16
Summary:    Client library for Amazon's Simple Storage Service's REST API
License:    MIT
Group:      Development/Ruby
URL:        http://amazon.rubyforge.org
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Client library for Amazon's Simple Storage Service's REST API

%files
%{_bindir}/s3sh
%dir %{gem_instdir}/
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc README
%doc COPYING
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
