%define oname   bcrypt_pbkdf

Name:       ruby-%{oname}
Version:    1.1.1
Release:    %mkrel 2
Summary:    Ruby gem implementing bcrypt_pbkdf from OpenBSD
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/net-ssh/bcrypt_pbkdf-ruby
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: gcc

%description
bcrypt_pbkdf is a ruby gem implementing bcrypt_pbkdf from OpenBSD. 
This is currently used by net-ssh to read password encrypted Ed25519 keys.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
sed -i /s.signing_key/d %{oname}.gemspec

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}
%{gem_archdir}/ruby/%{oname}-%{version}/*

%files          doc
%doc %{gem_docdir}
%doc README.md
