%define oname   bigdecimal

Name:       ruby-%{oname}
Version:    2.0.0
Release:    %mkrel 1
Summary:    Arbitrary-precision decimal floating-point number library
License:    MIT
Group:      Development/Ruby
URL:        https://www.ruby-lang.org/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)

%description
This library provides arbitrary-precision decimal floating-point number class.

%files
%{gem_instdir}/
%{gem_extdir_mri}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
