%define oname   builder

Name:       ruby-%{oname}
Epoch:      1
Version:    3.3.0
Release:    %mkrel 1
Summary:    Builders for MarkUp
Group:      Development/Ruby
License:    MIT
URL:        https://onestepback.org/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildArch:  noarch

%description
Builder provides a number of builder objects that make creating structured
data simple to do.  Currently the following builder objects are supported:

  * XML Markup
  * XML Events


#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{epoch}:%{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%exclude %{gem_instdir}/doc
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc %{gem_instdir}/doc
