%define oname   cancan

Name:       ruby-%{oname}
Version:    1.6.10
Release:    %mkrel 4
Summary:    Simple authorization solution for Rails
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/ryanb/cancan
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Simple authorization solution for Rails which is completely decoupled from
the user's roles. All permissions are stored in a single location for
convenience.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
