%define oname   chronic

Name:       ruby-%{oname}
Epoch:      1
Version:    0.10.2
Release:    %mkrel 7
Summary:    Natural language date/time parsing
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/mojombo/chronic
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Chronic is a natural language date/time parser written in pure Ruby.

#-------------------------------------------------------------------------------

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{epoch}:%{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc README.md HISTORY.md LICENSE
