%define oname   chunky_png

Name:       ruby-%{oname}
Version:    1.4.0
Release:    %mkrel 1
Summary:    CSS Generator
License:    GPLv2+
Group:      Development/Ruby
URL:        http://haml-lang.com/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Sass makes CSS fun again. Sass is an extension of CSS3, adding nested rules,
variables, mixins, selector inheritance, and more. It's translated to
well-formatted, standard CSS using the command line tool or a web-framework
plugin.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
