%define oname   ci_reporter

Name:       ruby-%{oname}
Version:    2.1.0
Release:    %mkrel 1
Summary:    Allows you to generate reams of XML for use with continuous integration systems
License:    MIT
Group:      Development/Ruby
URL:        http://caldersphere.rubyforge.org/ci_reporter
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
CI::Reporter is an add-on to Test::Unit, RSpec and Cucumber that allows you
to generate XML reports of your test, spec and/or feature runs. The
resulting files can be read by a continuous integration system that
understands Ant's JUnit report XML format, thus allowing your CI system to
track test/spec successes and failures.

%files
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
