%define oname   coderay

Name:       ruby-%{oname}
Version:    1.1.3
Release:    %mkrel 1
Summary:    Fast syntax highlighting for selected languages
License:    LGPLv2
Group:      Development/Ruby
URL:        http://coderay.rubychan.de
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Fast and easy syntax highlighting for selected languages, written in Ruby.
Comes with RedCloth integration and LOC counter.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/coderay
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc README_INDEX.rdoc
