%define oname   coffee-script-source

Name:       ruby-%{oname}
Version:    1.12.2
Release:    %mkrel 4
Summary:    The CoffeeScript Compiler
License:    MIT
Group:      Development/Ruby
URL:        http://jashkenas.github.com/coffee-script/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
CoffeeScript is a little language that compiles into JavaScript.
Underneath all of those embarrassing braces and semicolons,
JavaScript has always had a gorgeous object model at its heart.
CoffeeScript is an attempt to expose the good parts of JavaScript
in a simple way.

#-------------------------------------------------------------------------------

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib
%{gem_spec}

%files          doc
%doc %{gem_docdir}
