%define oname   coffee-script

Name:       ruby-%{oname}
Version:    2.4.1
Release:    %mkrel 4
Summary:    Ruby CoffeeScript Compiler
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/josh/ruby-coffee-script
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Ruby CoffeeScript is a bridge to the JS CoffeeScript compiler.


#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib
%doc %{gem_instdir}/{LICENSE,README.md}

%{gem_spec}

%files          doc
%doc %{gem_docdir}
