%define oname   concurrent-ruby

Name:       ruby-%{oname}
Version:    1.3.5
Release:    %mkrel 1
Summary:    Modern concurrency tools for Ruby. Inspired by Erlang, Clojure, Scala, Haskell, F#, C#, Java, and classic concurrency patterns
License:    MIT
Group:      Development/Ruby
URL:        http://www.concurrent-ruby.com
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems

BuildArch:  noarch


%description
Modern concurrency tools including agents, futures, promises, thread pools,
actors, supervisors, and more.
Inspired by Erlang, Clojure, Go, JavaScript, actors, and classic concurrency
patterns.


%files
%{gem_instdir}
%doc README.md
%doc LICENSE.txt
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc CHANGELOG.md


#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
