%define oname   contest

Name:       ruby-%{oname}
Version:    0.1.3
Release:    %mkrel 14
Summary:    Write more readable tests in Test::Unit with this tiny script
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/citrusbyte/contest
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Write declarative tests using nested contexts without performance penalties.
Contest is less than 100 lines of code and gets the job done.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
