%define oname   culerity

Name:       ruby-%{oname}
Version:    0.2.15
Release:    %mkrel 18
Summary:    Integrates Cucumber and Celerity in order to test your application's full stack
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/langalex/culerity
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Culerity integrates Cucumber and Celerity in order to test your
application's full stack.

%files
%{_bindir}/run_celerity_server.rb
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc README.md
#-------------------------------------------------------------------------------

%prep
%gem_setup
sed -i s/jruby/ruby/ bin/run_celerity_server.rb

%build
%gem_build

%install
%gem_install

chmod 644 %{buildroot}%{gem_instdir}/lib/start_celerity.rb
