%define oname  dalli

# Depends on Rails and it's needed by Rails
%global enable_test 0

Name:               ruby-%{oname}
Version:            3.2.8
Release:            %mkrel 1
Summary:            High performance memcached client for Ruby
Group:              Development/Ruby
License:            MIT
URL:                https://github.com/mperham/dalli
Source0:            https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires:      pkgconfig(ruby)
%if 0%{enable_test} > 0
BuildRequires:       memcached
BuildRequires:       rubygem(minitest)
BuildRequires:       rubygem(mocha)
BuildRequires:       rubygem(rails)
%endif
BuildRequires:       rubygems
BuildArch:           noarch
Provides:            rubygem(oname}) = %{version}

%description
High performance memcached client for Ruby

%files
%dir %{gem_instdir}
%{gem_instdir}/*



%{gem_spec}
#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
 
%description    doc
Documents, Rdoc & RI documentation for %{name}.
 
%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------
 
%prep
%gem_setup
 
%build
%gem_build
 
%install
%gem_install

%check
%if 0%{enable_test} > 0
pushd .%{gem_instdir}
# connection_pool is not yet in Fedora
sed -i -e '3d' test/test_active_support.rb
sed -i -e '491,506d' test/test_active_support.rb

ruby -Ilib:test -e "Dir.glob('./test/test_*.rb').sort.each{ |x| require x }"
popd
%endif



