%define oname   date
%define debug_package %{nil}

Name:       ruby-%{oname}
Version:    3.4.1
Release:    %mkrel 2
Summary:    A subclass of Object that includes the Comparable module and easily handles date
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/ruby/%{oname}
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: gcc

%description
A subclass of Object that includes the Comparable module and easily handles date.

%files
%{gem_instdir}/
%{gem_spec}
%{gem_archdir}/ruby/%{oname}-%{version}/*

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

