%define oname   debugger-ruby_core_source

Name:       ruby-%{oname}
Version:    1.3.8
Release:    %mkrel 4
Summary:    Provides Ruby core source files for C extensions that need them
Group:      Development/Ruby
License:    MIT
URL:        https://nokogiri.org/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildArch:  noarch

%description
Fork of ruby_core_source that uses included Ruby headers (*.h and *.inc)
instead of downloading them. Used by debugger.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc README.md
