%define oname   domain_name

Name:       ruby-%{oname}
Version:    0.6.20240107
Release:    %mkrel 1
Summary:    Domain Name manipulation library for Ruby
License:    BSD and (MPL1.1 or GPL2 or LGPL 2.1)
Group:      Development/Ruby
URL:        https://github.com/knu/ruby-domain_name
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Buildarch: noarch

%description
This is a Domain Name manipulation library for Ruby.

It can also be used for cookie domain validation based on the Public
Suffix List.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc LICENSE.txt
%doc README.md
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
