%define oname   ed25519
%define debug_package %{nil}

Name:       ruby-%{oname}
Version:    1.3.0
Release:    %mkrel 3
Summary:    An efficient digital signature library providing the Ed25519 algorithm
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/crypto-rb/ed25519
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: gcc

%description
A Ruby binding to the Ed25519 elliptic curve public-key signature system
described in RFC 8032.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}
%{gem_archdir}/ruby/%{oname}-%{version}/*

%files          doc
%doc %{gem_docdir}
%doc README.md
