%define oname   em-http-request

Name:       ruby-%{oname}
Version:    1.1.7
Release:    %mkrel 2
Summary:    EventMachine based, async HTTP Request client
Group:      Development/Ruby
License:    Ruby License
URL:        https://github.com/igrigorik/em-http-request
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
# Remove 0.3.1 restriction on cookiejar, 0.3.x haven't changed the API
Patch0:     em-http-request-1.1.5-verreq.patch
BuildRequires:	rubygems
BuildArch:	noarch

%description
EventMachine based, async HTTP Request client

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

%prep
%gem_setup
%autopatch -p1

sed -i 's|!= 0.3.1|>= 0.3.1|' %{_builddir}/em-http-request-%{version}.gemspec

%build
%gem_build

%install
%gem_install
