%define oname   escape_utils

Name:       ruby-%{oname}
Version:    1.3.0
Release:    %mkrel 3
Summary:    Faster string escaping routines for your web apps
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/brianmario/escape_utils
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)

%description
Faster string escaping routines for your web apps

%files
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
