%define oname   execjs

Name:       ruby-%{oname}
Version:    2.10.0
Release:    %mkrel 1
Summary:    Run JavaScript code from Ruby
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/sstephenson/execjs
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
# This is the only backend we have in the distro
Requires:   nodejs
BuildArch:  noarch

%description
ExecJS lets you run JavaScript code from Ruby.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}
%{gem_spec}

%files          doc
%doc %{gem_docdir}

