%define oname   fastthread

Name:       ruby-%{oname}
Version:    1.0.7
Release:    %mkrel 8
Summary:    Optimized replacement for thread.rb primitives
Group:      Development/Ruby
License:    GPLv2+ or Ruby License
URL:        http://%{oname}.rubyforge.org/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     fastthread-1.0.7-add-licenses.patch
BuildRequires: rubygems
BuildRequires: ruby-devel
Provides:   rubygem-%oname = %version-%release

%description
Optimized replacement for thread.rb primitives.

%files
%{ruby_sitearchdir}/%{oname}.so

#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
ruby -C ext/fastthread extconf.rb
touch lib/fastthread.rb

%install
ruby setup.rb install --prefix=%{buildroot}
