%define oname   fcgi

Name:       ruby-%{oname}
Version:    0.9.2.1
Release:    %mkrel 15
Summary:    FastCGI library for Ruby
Group:      Development/Ruby
License:    Ruby License
URL:        https://github.com/alphallc/ruby-fcgi-ng
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     12decb527b011d739380f03f8f8c7c12a8cda516.patch
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: libfcgi-devel

%description
FastCGI is a language independent, scalable, open extension to CGI that
provides high performance without the limitations of server specific
APIs. For more information, see http://www.fastcgi.com/. This is the fork
of fcgi implementation for ruby but with ruby1.9 - ruby1.9.1 compatibility

%files
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}
%doc %{gem_docdir}

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install
