%define oname   ffi
 
Name:       ruby-%{oname}
Epoch:      1
Version:    1.17.1
Release:    %mkrel 1
Summary:    A ruby extension for programmatically loading dynamic libraries
License:    BSD
Group:      Development/Ruby
URL:        http://wiki.github.com/ffi/ffi
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: pkgconfig(libffi)

%description
Ruby-FFI is a ruby extension for programmatically loading dynamic
libraries, binding functions within them, and calling those functions
from Ruby code. Moreover, a Ruby-FFI extension works without changes
on Ruby and JRuby. Discover why should you write your next extension
using Ruby-FFI here[http://wiki.github.com/ffi/ffi/why-use-ffi].

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{epoch}:%{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build  -- --with-ldflags="-pthread -ldl"

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}
%{gem_dir}/build_info/*.info

%files          doc
%doc %{gem_docdir}
%doc README.md
