%define oname   fog-core

Name:       ruby-%{oname}
Version:    2.6.0
Release:    %mkrel 2
Summary:    Shared classes and tests for fog providers and services
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/fog/%{oname}
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Shared classes and tests for fog providers and services.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

