%define oname   fssm

Name:       ruby-%{oname}
Version:    0.2.10
Release:    %mkrel 7
Summary:    File System State Monitor
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/ttilley/fssm
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
The File System State Monitor keeps track of the state of any number of paths
and will fire events when said state changes (create/update/delete). FSSM
supports using FSEvents on MacOS, Inotify on GNU/Linux, and polling anywhere
else.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}
%doc example.rb LICENSE README.markdown

%files          doc
%doc %{gem_docdir}
