%define oname   gdk4
%global _disable_ld_no_undefined 1

Name:       ruby-%{oname}
Version:    4.0.3
Release:    %mkrel 1
Summary:    Ruby/GDK4 is a Ruby binding of GDK+-4.x
License:    LGPLv2.1
Group:      Development/Ruby
URL:        http://ruby-gnome2.sourceforge.jp/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: rubygem(cairo-gobject) = %version
BuildRequires: rubygem(gdk_pixbuf2) = %version
BuildRequires: rubygem(pango) = %version
BuildRequires: pkgconfig(gtk4)
BuildRequires: ruby-rake
BuildArch:  noarch

%description
Ruby/GDK4 is a Ruby binding of GDK+-4.x.

%files
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}
%doc %{gem_docdir}

%prep
%gem_setup
# Do not try to install missing dependencies
sed -i '/native-package-installer/d' dependency-check/Rakefile

%build
%gem_build

%install
%gem_install
