%define oname   gdk_pixbuf2
%global	header_dir	%{ruby_vendorarchdir}

Name:       ruby-%{oname}
Version:    4.2.9
Release:    %mkrel 1
Summary:    Ruby/GdkPixbuf2 is a Ruby binding of GdkPixbuf-2.x
License:    LGPLv2.1
Group:      Development/Ruby
URL:        http://ruby-gnome2.sourceforge.jp/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: rubygem(pkg-config)
BuildRequires: ruby-glib2-devel
Provides:   ruby-gdkpixbuf2 = %{version}-%{release}
Obsoletes:  %name-devel < 3.0.7-4
BuildArch:  noarch

%description
Ruby/GdkPixbuf2 is a Ruby binding of GdkPixbuf-2.x.

%files
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------
%prep
%gem_setup
sed -i /s.extensions/d ../%{gem_name}-%{version}.gemspec

%build
%gem_build

%install
%gem_install
rm -f %{buildroot}%{gem_extdir_mri}/gem.build_complete
