%define oname   gem2rpm

Name:       ruby-%{oname}
Version:    1.0.2
Release:    %mkrel 3
Summary:    Generate rpm specfiles from gems
License:    GPLv2+
Group:      Development/Ruby
URL:        http://rubyforge.org/projects/gem2rpm/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
Source101:  mageia.erb
Patch0:     gem2rpm-0.11.2-use-vendor-template.patch
BuildRequires: rubygems
BuildArch:  noarch

%description
Generate source rpms and rpm spec files from a Ruby Gem.  The spec file
tries to follow the gem as closely as possible

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%files
%{_bindir}/gem2rpm
%dir %{gem_instdir}/
%{gem_instdir}/bin
%{gem_instdir}/lib
%{gem_instdir}/templates
%{gem_spec}


%files doc
%doc %{gem_docdir}
%doc LICENSE README.md AUTHORS



#-------------------------------------------------------------------------------

%prep
%gem_setup
%patch -P 0 -p1

%build
%gem_build

%install
%gem_install

install -D -m644 %{SOURCE101} %{buildroot}%{gem_instdir}/templates/%{_real_vendor}.spec.erb

rm -f %{buildroot}%{gem_instdir}/{AUTHORS,README.md,LICENSE}
