%define oname   gemcutter

Name:       ruby-%{oname}
Version:    0.7.1
Release:    %mkrel 16
Summary:    Commands to interact with RubyGems.org
Group:      Development/Ruby
License:    MIT
URL:        https://rubygems.org/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Adds several commands to RubyGems for managing gems and more on
RubyGems.org.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}
%{_datadir}/gems/plugins/gemcutter_plugin.rb

%files          doc
%doc %{gem_docdir}
