%define oname   geoip

Name:       ruby-%{oname}
Version:    1.6.4
Release:    %mkrel 4
Summary:    Searches a GeoIP database for a given host or IP address
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/cjheath/geoip
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
GeoIP searches a GeoIP database for a given host or IP address, and
returns information about the country where the IP address is allocated,
and the city, ISP and other information, if you have that database version.

%files
%{_bindir}/geoip
%{gem_instdir}/
%doc README.rdoc
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
# This does not support python 3 so we fail to bytecompiple it, but anyway
# it is only used to update some test data by the maintainer.
rm -f  %buildroot/usr/share/gems/gems/geoip-1.6.4/test/csvORG2dat.py
