%define oname   gettext

Name:       ruby-%{oname}
Version:    3.5.1
Release:    %mkrel 1
Summary:    A library and tools to localize messages
Group:      Development/Ruby
License:    GPLv2
URL:        http://gettext.rubyforge.org/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Ruby-GetText-Package is a GNU GetText-like program for Ruby.
The catalog file(po-file) is same format with GNU GetText.
So you can use GNU GetText tools for maintaining.

%files
%{_bindir}/rmsgcat
%{_bindir}/rmsgmerge
%{_bindir}/rmsgfmt
%{_bindir}/rmsginit
%{_bindir}/rxgettext
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

#fix shebang
find %{buildroot}%{gem_instdir}/lib -name "*.rb" \
  -exec sed -i '/^#!/d' {} \;
