%define oname   ginger

Name:       ruby-%{oname}
Version:    1.2.1
Release:    %mkrel 16
Summary:    Run rake tasks multiple times with different gem versions
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/freelancing_god/ginger/tree
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     ginger-1.2.1-rspec2.patch
BuildRequires: rubygems
BuildArch:  noarch

%description
Run rake tasks multiple times with different gem versions.

%files
%{_bindir}/ginger
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc README.textile
#-------------------------------------------------------------------------------

%prep
%gem_setup
%patch -P 0 -p0

%build
%gem_build

%install
%gem_install

rm -rf %{buildroot}%{gem_instdir}/.yardoc
