%define oname   git

Name:       ruby-%{oname}
Version:    3.0.0
Release:    %mkrel 1
Summary:    Ruby/Git is a Ruby library that wraps system calls to the git binary
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/schacon/ruby-git
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   git-core
BuildArch:  noarch

%description
Ruby/Git is a Ruby library that can be used to create, read and manipulate
Git repositories by wrapping system calls to the git binary

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install
