%define oname   glib2
%global	header_dir	%{ruby_vendorarchdir}

Name:       ruby-%{oname}
Version:    4.2.9
Release:    %mkrel 1
Summary:    Ruby/GLib2 is a Ruby binding of GLib-2.x
License:    GPLv2
Group:      Development/Ruby
URL:        https://ruby-gnome.github.io/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
# Drop -Wl,--no-undefined from DLDFLAGS rather than LDFLAGS.
# This is where it is set.
Patch0:     no-undefined.patch
# Do not install missing packages
Patch1:     native-package-installer.patch
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: glib2-devel
BuildRequires: rubygem(pkg-config)
BuildRequires: rubygem(test-unit)

%description
Ruby/GLib2 is a Ruby binding of GLib-2.x.

%files
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------
%package        devel
Summary:    Development files for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    devel
Development headers for %{name}.

%files          devel
%{header_dir}/*.h

#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1
%gemspec_remove_dep -g native-package-installer

%build
%gem_build

%install
%gem_install -d
