%define oname   gobject-introspection

Name:       ruby-%{oname}
Version:    4.2.9
Release:    %mkrel 1
Summary:    Ruby/GObjectIntrospection is a Ruby binding of GObjectIntrospection
License:    LGPLv2.1
Group:      Development/Ruby
URL:        http://ruby-gnome2.sourceforge.jp/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: ruby-glib2
BuildRequires: ruby-glib2-devel
BuildRequires: pkgconfig(gobject-introspection-1.0)
Requires: ruby-glib2-devel

%description
Ruby/GObjectIntrospection is a Ruby binding of GObjectIntrospection.

%files
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}
%{ruby_vendorarchdir}/*.h



#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

%prep
%gem_setup

%build

%global _disable_ld_no_undefined 1
export CONFIGURE_ARGS="--with-cflags='%{optflags}' --with-dldflags='%{build_ldflags}'"
export CONFIGURE_ARGS="$CONFIGURE_ARGS --with-pkg-config-dir=$(pwd)%{_libdir}/pkgconfig"
%gem_build

%install
%gem_install -d
