%define oname   google-protobuf

Name:       ruby-%{oname}
Version:    4.30.1
Release:    %mkrel 1
Summary:    Protocol Buffers
License:    BSD
Group:      Development/Ruby
URL:        https://developers.google.com/protocol-buffers
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: rubygem(rake)
Provides:   rubygem(%{oname}) = %{version}

%description
Protocol Buffers are Google's data interchange format.


%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}
%{gem_extdir_mri}
%{gem_spec}

%files          doc
%doc %{gem_docdir}


