%define oname   googleauth

Name:       ruby-%{oname}
Version:    1.14.0
Release:    %mkrel 1
Summary:    Google Auth Library for Ruby
License:    Apache-2.0
Group:      Development/Ruby
URL:        https://github.com/google/google-auth-library-ruby
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Allows simple authorization for accessing Google APIs.
Provide support for Application Default Credentials, as described at
https://developers.google.com/accounts/docs/application-default-credentials.


%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup
# Release the strict version requirements
%gemspec_remove_dep -g jwt
%gemspec_add_dep -g jwt
%gemspec_remove_dep -g os
%gemspec_add_dep -g os

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}
%{gem_spec}

%files          doc
%doc %{gem_docdir}


