%define oname   haml

Name:       ruby-%{oname}
Version:    6.3.0
Release:    %mkrel 1
Summary:    An elegant, structured XHTML/XML template engine
License:    GPLv2+
Group:      Development/Ruby
URL:        http://haml-lang.com/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Haml (HTML Abstraction Markup Language) is a layer on top of XHTML or XML
that's designed to express the structure of XHTML or XML documents
in a non-repetitive, elegant, easy way, using indentation rather than
closing tags and allowing Ruby to be embedded with ease. It was originally
envisioned as a plugin for Ruby on Rails, but it can function as a
stand-alone template engine.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

rm -rf %{buildroot}%{gem_instdir}/.yardoc

%files
%{_bindir}/haml
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
