%define oname   hashie

Name:       ruby-%{oname}
Version:    5.0.0
Release:    %mkrel 1
Summary:    Your friendly neighborhood hash toolkit
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/intridea/hashie
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Hashie is a small collection of tools that make hashes more powerful.
Currently includes Mash (Mocking Hash) and Dash (Discrete Hash).

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
# do not enforce strict version on json
rm -f Gemfile.lock

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
