%define oname   hiera

Name:       ruby-%{oname}
Version:    3.12.0
Release:    %mkrel 1
Summary:    Light weight hierarchical data store
License:    Apache License 
Group:      Development/Ruby
URL:        https://github.com/puppetlabs/hiera/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A pluggable data store for hierarchical data

%files
%{_bindir}/hiera
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
