%define oname   hike

Name:       ruby-%{oname}
Version:    2.1.3
Release:    %mkrel 7
Summary:    A Ruby library for finding files in a set of paths
License:    MIT
Group:      Development/Ruby
URL:        https://getsprockets.org/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A Ruby library for finding files in a set of paths.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
