%define oname   hoe

Name:       ruby-%{oname}
Version:    4.2.2
Release:    %mkrel 2
Summary:    A rake/rubygems helper for project Rakefiles
Group:      Development/Ruby
License:    MIT
URL:        https://rubygems.org/gems/hoe
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygem(rake)
BuildRequires: rubygems
BuildArch:  noarch

%description
Hoe is a rake/rubygems helper for project Rakefiles. It helps you
manage and maintain, and release your project and includes a dynamic
plug-in system allowing for easy extensibility. Hoe ships with
plug-ins for all your usual project tasks including rdoc generation,
testing, packaging, and deployment.

See class rdoc for help. Hint: `ri Hoe` or any of the plugins listed
below.

For extra goodness, see: http://seattlerb.rubyforge.org/hoe/Hoe.pdf

%files
%{_bindir}/sow
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc History.rdoc Manifest.txt README.rdoc Hoe.pdf
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
