%define oname   hurley

Name:       ruby-%{oname}
Version:    0.2
Release:    %mkrel 4
Summary:    HTTP client wrapper
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/lostisland/hurley
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Hurley provides a common interface for working with different HTTP adapters.


%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files

%{gem_instdir}
%{gem_spec}

%files          doc
%doc %{gem_docdir}


