%define oname   i18n

Name:       ruby-%{oname}
Version:    1.14.7
Release:    %mkrel 1
Summary:    New wave Internationalization support for Ruby
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/svenfuchs/i18n
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
New wave Internationalization support for Ruby.

%files
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
chmod 644 %{buildroot}%{gem_instdir}/lib/%{oname}.rb

