%define oname   indentation

Name:       ruby-%{oname}
Version:    0.1.1
Release:    %mkrel 4
Summary:    A library of extensions to Ruby's Array and String classes
Group:      Development/Ruby
License:    MIT
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch: noarch

%description
A library of extensions to Ruby's Array and String classes that allow
indentation manipulation of Strings and Arrays of Strings.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
