%define oname   jeweler

Name:       ruby-%{oname}
Version:    1.8.8
Release:    %mkrel 6
Summary:    Opinionated tool for creating and managing RubyGem projects
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/technicalpickles/jeweler
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     jeweler-1.8.8-deps.patch
BuildRequires: rubygems
BuildArch:  noarch

%description
Simple and opinionated helper for creating Rubygem projects on GitHub.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/jeweler
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc ChangeLog.markdown LICENSE.txt README.markdown
