%define oname   json_pure

Name:       ruby-%{oname}
Version:    2.8.1
Release:    %mkrel 1
Summary:    JSON Implementation for Ruby
Group:      Development/Ruby
License:    GPLv2
URL:        http://flori.github.com/json
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildRequires: pkgconfig(ruby)
BuildArch:  noarch

%description
This is a JSON implementation in pure Ruby.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc README.md
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
rm -f %{buildroot}%{gem_instdir}/json-java.gemspec
