%define oname   kramdown-parser-gfm

Name:       ruby-%{oname}
Version:    1.1.0
Release:    %mkrel 1
Summary:    kramdown-parser-gfm provides a kramdown parser for the GFM dialect of Markdown
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/kramdown/parser-gfm
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems

BuildArch:  noarch


%description
kramdown-parser-gfm provides a kramdown parser for the GFM dialect of
Markdown.


%files
%license %{gem_instdir}/COPYING

%dir %{gem_instdir}

%{gem_instdir}/lib

%{gem_spec}

%exclude %{gem_instdir}/VERSION

%exclude %{gem_cache}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc

%doc %{gem_docdir}

%doc %{gem_instdir}/CONTRIBUTERS

%{gem_instdir}/test

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
