%define oname	ruby-libvirt
%global gem_name ruby-libvirt

Name:           ruby-libvirt
Version:        0.8.4
Release:        %mkrel 1
Summary:        Ruby bindings for libvirt
License:        LGPLv2+
Group:          Development/Ruby
URL:            https://libvirt.org/ruby/
Source0:        https://rubygems.org/downloads/%{name}-%{version}.gem

BuildRequires:  rubygems
BuildRequires:  pkgconfig(ruby)
BuildRequires:  pkgconfig(libvirt) >= 0.4.0
BuildRequires:  libvirt-utils
BuildRequires:  qemu

%description
Ruby bindings for libvirt.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}/%{gem_extdir_mri}/ext

%files
%doc NEWS.rst README.rst
%license COPYING
%doc %{gem_docdir}
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}
