%define oname   libwebsocket

Name:       ruby-%{oname}
Version:    0.1.8
Release:    %mkrel 4
Summary:    A universal Ruby library to handle the WebSocket protocol
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/imanel/libwebsocket
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A universal Ruby library to handle the WebSocket protocol.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install
