%define oname   listen

Name:       ruby-%{oname}
Version:    3.9.0
Release:    %mkrel 1
Summary:    Ruby module to listen to file modifications
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/guard/listen
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
The Listen gem listens to file modifications and notifies you about 
the changes. Works everywhere!

%files
%_bindir/%oname
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%_bindir/%oname
%{gem_instdir}/
%{gem_spec}

%files doc
%doc %{gem_docdir}

