%define oname   logging

Name:       ruby-%{oname}
Version:    2.4.0
Release:    %mkrel 2
Summary:    A flexible and extendable logging library for Ruby
License:    MIT
Group:      Development/Ruby
URL:        https://rubygems.org/gems/logging
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Logging is a flexible logging library for use in Ruby programs based on the
design of Java's log4j library. It features a hierarchical logging system,
custom level names, multiple output destinations per log event, custom
formatting, and more.


%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup
sed -i 's|"test/appenders/test_periodic_flushing.rb",||' %{oname}.gemspec

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc History.txt

