%define oname   macaddr

Name:       ruby-%{oname}
Version:    1.7.2
Release:    %mkrel 2
Summary:    Cross platform mac address determination for ruby
Group:      Development/Ruby
License:    Ruby
URL:        https://github.com/ahoward/macaddr
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(hoe) >= 3.1
BuildArch:  noarch

%description
Cross platform mac address determination for ruby.


#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
