%define oname   mail

Name:       ruby-%{oname}
Version:    2.8.1
Release:    %mkrel 1
Summary:    Mail provides a nice Ruby DSL for making, sending and reading emails
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/mikel/mail
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A really Ruby Mail handler.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc README.md

#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install
