%define oname   maruku

Name:       ruby-%{oname}
Version:    0.7.3
Release:    %mkrel 4
Summary:    Maruku is a Markdown-superset interpreter written in Ruby
Group:      Development/Ruby
License:    GPLv2+ or Ruby License
URL:        http://maruku.rubyforge.org
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     maruku-0.6.0-remove-obsolete-method.patch
BuildRequires: rubygems
BuildArch:  noarch

%description
Maruku is a Markdown interpreter in Ruby. It features native export to HTML
and PDF (via Latex). The output is really beautiful!

%files
%{_bindir}/maruku
%{_bindir}/marutex
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
