%define oname   mechanize

Name:       ruby-%{oname}
Version:    2.14.0
Release:    %mkrel 1
Summary:    The Mechanize library is used for automating interaction with websites
License:    GPLv2+
Group:      Development/Ruby
URL:        http://mechanize.rubyforge.org
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem

BuildRequires: rubygems
Buildarch: noarch

%description
The Mechanize library is used for automating interaction with websites. 
Mechanize automatically stores and sends cookies, follows redirects,
can follow links, and submit forms.  Form fields can be populated and
submitted.  Mechanize also keeps track of the sites that you have visited as
a history.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc CHANGELOG.md EXAMPLES.rdoc GUIDE.rdoc LICENSE.txt README.md

#-------------------------------------------------------------------------------

%prep
%gem_setup

%autopatch -p1

%build
%gem_build

%install
%gem_install
