%define oname   memcache-client

Name:       ruby-%{oname}
Version:    1.8.5
Release:    %mkrel 17
Summary:    A Ruby library for accessing memcached
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/mperham/memcache-client
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A Ruby library for accessing memcached.

%files
%{_bindir}/memcached_top
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc LICENSE.txt README.rdoc
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
