%define oname   method_source

Name:       ruby-%{oname}
Epoch:      1
Version:    1.1.0
Release:    %mkrel 1
Summary:    Retrieve the source code for a method
License:    Ruby License and MIT
Group:      Development/Ruby
URL:        http://rubyforge.org/projects/text-format/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Ruby gem for retrieving the source code for a method.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{epoch}:%{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
