%define oname   mime-types-data

Name:       ruby-%{oname}
Version:    3.2025.0318
Release:    %mkrel 1
Summary:    MIME Content-Type database
Group:      Development/Ruby
License:    GPLv2+ or Ruby License or Artistic
URL:        http://mime-types.rubyforge.org/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-psych
BuildArch:  noarch

%description
Mime-types-data provides a registry for information about MIME media 
type definitions. It can be used with the Ruby mime-types library or 
other software to determine defined filename extensions for MIME types, 
or to use filename extensions to look up the likely MIME type definitions.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}
%doc %{gem_docdir}
%doc Manifest.txt 
