%define oname   mime-types

Name:       ruby-%{oname}
Version:    3.6.0
Release:    %mkrel 2
Summary:    MIME Content-Type database
Group:      Development/Ruby
License:    GPLv2+ or Ruby License or Artistic
URL:        http://mime-types.rubyforge.org/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
This library allows for the identification of a file's likely MIME content
type.The identification of MIME content type is based on a file's filename
extensions.

MIME::Types for Ruby originally based on and synchronized with MIME::Types for
Perl by Mark Overmeer, copyright 2001 - 2009. As of version 1.15, the data
format for the MIME::Type list has changed and the synchronization will no
longer happen.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}
%doc %{gem_docdir}
%doc History* Manifest.txt Licence.* README.*
