%define oname   mini_portile

Name:       ruby-%{oname}
Version:    0.6.2
Release:    %mkrel 6
Summary:    Simplistic port-like solution for developers
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/luislavena/mini_portile
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Simplistic port-like solution for developers. It provides a standard and
simplified way to compile against dependency libraries without messing
up your system.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc README.rdoc
%doc History.txt
%doc LICENSE.txt
