%define oname   minitest-autotest

Name:       ruby-%{oname}
Version:    1.1.1
Release:    %mkrel 2
Summary:    autotest is a continuous testing facility meant to be used during development
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/seattlerb/minitest-autotest
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch


%description
autotest is a continuous testing facility meant to be used during
development. As soon as you save a file, autotest will run the
corresponding dependent tests.
minitest-autotest is the latest incarnation of the venerable and wise
autotest. This time, it talks to minitest via minitest-server. As a
result, there is no output parsing. There are no regexps to tweak.
There's no cruft or overhead.


%files
%{_bindir}/autotest
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc History.rdoc
%doc Manifest.txt
%doc README.rdoc

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
