%define oname   mustermann

Name:       ruby-%{oname}
Version:    3.0.3
Release:    %mkrel 2
Summary:    Your personal string matching expert
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/sinatra/mustermann
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A library implementing patterns that behave like regular expressions.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}
%{gem_spec}
%doc %{gem_docdir}
