%define oname   mutter

Name:       ruby-%{oname}
Version:    0.5.3
Release:    %mkrel 17
Summary:    The tiny CLI library
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/cloudhead/mutter
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     mutter-0.5.3-rspec2.patch
BuildRequires: rubygems
BuildArch: noarch

%description
the tiny command-line interface library with lots of style

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc LICENSE README.md
#-------------------------------------------------------------------------------

%prep
%gem_setup
%patch -P 0 -p0

%build
%gem_build

%install
%gem_install
