%define oname  mysql2

Name:       ruby-%{oname}
Version:    0.5.6
Release:    %mkrel 3
Summary:    A simple, fast Mysql library for Ruby, binding to libmysql
Group:      Development/Ruby
License:    MIT
URL:        https://rubygems.org/gems/%{oname}
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-eventmachine
BuildRequires: pkgconfig(ruby)
BuildRequires: ruby-rake-compiler
BuildRequires: ruby-rspec
BuildRequires: mariadb-devel

%description
This gem provides jQuery and the jQuery-ujs driver for your Rails
application

%files
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Documentation
Requires:   %{name} = %{version}-%{release}
BuildArch:  noarch

%description    doc
Documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup 

%build
%gem_build

%install
%gem_install


