%define oname   ncursesw

Name:       ruby-%{oname}
Version:    1.4.11
Release:    %mkrel 2
Summary:    Provides access to the functions of the ncurses library
License:    LGPLv2+
Group:      Development/Ruby
URL:        http://ncurses-ruby.berlios.de/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: pkgconfig(ncursesw)
BuildRequires: pkgconfig(ncurses)

%description
Hacked up version of ncurses gem that supports wide characters and
ruby1.9.2. Original ncurses gem by t-peters@users.berlios.de.

%files
%doc README.md THANKS TODO Changes
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
BuildArch:  noarch

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build
chmod -x examples/*

%install
%gem_install
rm -f %{buildroot}%{gem_instdir}/*.so
