%define oname   net-http-digest_auth

Name:       ruby-%{oname}
Version:    1.4.1
Release:    %mkrel 4
Summary:    An implementation of RFC 2617 - Digest Access Authentication
License:    MIT
Group:      Development/Ruby
URL:        https://docs.seattlerb.org/net-http-digest_auth
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Buildarch: noarch

%description
An implementation of RFC 2617 - Digest Access Authentication.  At this time
the gem does not drop in to Net::HTTP and can be used for with other HTTP
clients.

In order to use net-http-digest_auth you'll need to perform some request
wrangling on your own.  See the class documentation at Net::HTTP::DigestAuth
for an example.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc %{gem_instdir}/sample
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
