%define oname   net-scp

Name:       ruby-%{oname}
Version:    4.1.0
Release:    %mkrel 1
Summary:    A pure Ruby implementation of the SCP client protocol
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/net-ssh/net-scp
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(net-ssh)
BuildRequires: rubygem(mocha)
BuildRequires: rubygem(test-unit)
BuildArch:  noarch

%description
A pure Ruby implementation of the SCP client protocol.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup
perl -pi -e 's|s.signing_key = "/mnt/gem/gem-private_key.pem"||' net-scp.gemspec

%build
%gem_build

%install
%gem_install

