%define oname   netrc

Name:       ruby-%{oname}
Version:    0.11.0
Release:    %mkrel 4
Summary:    Library to read and update netrc files
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/geemus/netrc
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
This library can read and update netrc files, preserving formatting 
including comments and whitespace.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files doc
%doc %{gem_docdir}

