%define oname   oauth2

Name:       ruby-%{oname}
Version:    2.0.9
Release:    %mkrel 1
Summary:    A Ruby wrapper for the OAuth 2.0 protocol
License:    MIT
Group:      Development/Ruby
URL:        https://gitlab.com/oauth-xx/oauth2
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A Ruby wrapper for the OAuth 2.0 protocol built with a similar style to the original OAuth spec

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
