%define oname   ox

Name:       ruby-%{oname}
Version:    2.14.22
Release:    %mkrel 1
Summary:    A fast XML parser and object serializer
License:    MIT
Group:      Development/Ruby
URL:        https://www.ohler.com/ox
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)

%description
A fast XML parser and object serializer that uses only standard C lib.
Optimized XML (Ox), as the name implies was written to provide speed optimized
XML handling. It was designed to be an alternative to Nokogiri and other Ruby
XML parsers for generic XML parsing and as an alternative to Marshal for
Object serialization. 

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
mkdir -p %{buildroot}/%{gem_extdir_mri}/ox
mv %{buildroot}/%{gem_extdir_mri}/ox.so %{buildroot}/%{gem_extdir_mri}/ox/

%files
%{gem_instdir}
%{gem_extdir_mri}
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc README.md
