%define oname   pango
%global	header_dir	%{ruby_vendorarchdir}

%define _disable_ld_no_undefined 1

Name:       ruby-%{oname}
Version:    4.2.9
Release:    %mkrel 1
Summary:    Ruby/Pango is a Ruby binding of pango-1.x
License:    LGPLv2.1
Group:      Development/Ruby
URL:        http://ruby-gnome2.sourceforge.jp/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: pkgconfig(pango)
BuildRequires: rubygem(pkg-config)
BuildRequires: rubygem(test-unit)
BuildRequires: rubygem(gobject-introspection)
BuildRequires: gobject-introspection-devel
BuildRequires: ruby-glib2-devel
BuildRequires: ruby-cairo-devel >= 1.14.0
BuildRequires: locales-en

%description
Ruby/Pango is a Ruby binding of pango-1.x.

%files
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------
%package        devel
Summary:    Development files for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    devel
Development headers for %{name}

%files          devel
%{header_dir}/*.h

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install -d
