%define oname   parallel_tests

Name:       ruby-%{oname}
Version:    5.1.0
Release:    %mkrel 1
Summary:    Behaviour Driven Development for Ruby
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/grosser/parallel_tests
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Run tests in parallel.

%files
%{_bindir}/parallel_cucumber
%{_bindir}/parallel_spinach
%{_bindir}/parallel_test
%{_bindir}/parallel_rspec
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install
