%define oname   pcap_tools

Name:       ruby-%{oname}
Version:    0.0.9
Release:    %mkrel 6
Summary:    Tools for extracting data from pcap files
License:    BSD
Group:      Development/Ruby
URL:        https://github.com/bpaquet/pcap_tools
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-rake
BuildArch:  noarch

%description
Ruby library to help tcpdump file processing.

%files
%{_bindir}/pcap_tools
%{gem_instdir}/
%{gem_spec}

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

%prep
%gem_setup
%autopatch -p1
# Drop the exact version from the dependency by readding it
%gemspec_remove_dep -g ox
%gemspec_add_dep -g ox

%build
%gem_build

%install
%gem_install
