%define oname   pcaprub

Name:       ruby-%{oname}
Version:    0.13.3
Release:    %mkrel 2
Summary:    libpcap bindings for ruby
License:    LGPLv2.1
Group:      Development/Ruby
URL:        https://github.com/shadowbq/pcaprub
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: pcap-devel

%description
libpcap bindings for ruby compat with JRUBY Ruby1.8 Ruby1.9

%files
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc FAQ.rdoc LICENSE README.rdoc USAGE.rdoc

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{gem_extdir_mri}/ext
