%define oname   pdf-reader

Name:       ruby-%{oname}
Version:    2.14.1
Release:    %mkrel 1
Summary:    A library for accessing the content of PDF files
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/yob/pdf-reader
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
The PDF::Reader library implements a PDF parser conforming as much as
possible to the PDF specification from Adobe

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/pdf_object
%{_bindir}/pdf_text
%{_bindir}/pdf_callbacks
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc %{gem_instdir}/examples
