%define gemname   posix-spawn

Name:       ruby-%{gemname}
Version:    0.3.15
Release:    %mkrel 2
Summary:    posix-spawn uses posix_spawnp(2) for faster process spawning
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/rtomayko/posix-spawn
Source0:    https://rubygems.org/gems/%{gemname}-%{version}.gem
Patch0:	    posix-spawn-0.3.15-incompatible-pointer-types.patch
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: ruby-rdoc

%description
posix-spawn uses posix_spawnp(2) for faster process spawning

#-------------------------------------------------------------------------------

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install


%files
%{_bindir}/*
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}

%files          doc
%doc %{gem_docdir}
