%define oname   prawn-core

Name:       ruby-%{oname}
Version:    0.8.4
Release:    %mkrel 16
Summary:    A fast and nimble PDF generator for Ruby
Group:      Development/Ruby
License:    GPLv2 or Ruby License
URL:        http://prawn.majesticseacreature.com
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Prawn is a fast, tiny, and nimble PDF generator for Ruby

%files
%{gem_instdir}/
%exclude %{gem_instdir}/examples
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc HACKING README LICENSE COPYING
%doc %{gem_instdir}/examples
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
