%define oname psych

Name:		ruby-psych
Version:	2.0.17
Release:	%mkrel 1
Summary:	A libyaml wrapper for Ruby
Group:		Development/Ruby
License:	MIT
Conflicts:	ruby < 2.0.0
BuildRequires:  rubygems
BuildRequires:  ruby-devel
URL:		https://github.com/tenderlove/psych
Source:		https://rubygems.org/downloads/%{oname}-%{version}.gem

%description
Psych is a YAML parser and emitter. Psych leverages
libyaml[http://pyyaml.org/wiki/LibYAML] for its YAML parsing and emitting
capabilities. In addition to wrapping libyaml, Psych also knows how to
serialize and de-serialize most Ruby objects to and from the YAML format.

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install

%files
%doc %{gem_docdir}
%{gem_extdir_mri}
%{gem_instdir}
%{gem_spec}
