%define oname   pyu-ruby-sasl

Name:       ruby-%{oname}
Version:    0.0.3.3
Release:    %mkrel 11
Summary:    SASL client library
License:    Ruby or GPLv2
Group:      Development/Ruby
URL:        https://github.com/pyu10055/ruby-sasl/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Simple Authentication and Security Layer (RFC 4422)

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib
%{gem_instdir}/spec
%doc %{gem_instdir}/README.markdown
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
