%define oname   rack-test

Name:       ruby-%{oname}
Version:    2.2.0
Release:    %mkrel 1
Summary:    Simple testing API built on Rack
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/brynary/rack-test
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Rack::Test is a small, simple testing API for Rack apps. It can be used on
its own or as a reusable starting point for Web frameworks and testing
libraries to build on. Most of its initial functionality is an extraction
of Merb 1.0's request helpers feature.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc README.*
%doc MIT-LICENSE.txt
