%define oname   radius

Name:       ruby-%{oname}
Version:    0.8.0
Release:    %mkrel 1
Summary:    Powerful tag-based template system
License:    MIT
Group:      Development/Ruby
URL:        http://radius.rubyforge.org
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Radius is a powerful tag-based template language for Ruby inspired by the
template languages used in MovableType[http://www.movabletype.org] and
TextPattern[http://www.textpattern.com]. It uses tags similar to XML, but
can be used to generate any form of plain text (HTML, e-mail, etc...).

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}
%{gem_spec}

%files          doc
%doc %{gem_docdir}
