%define oname   raindrops

Name:       ruby-%{oname}
Version:    0.20.1
Release:    %mkrel 3
Summary:    Real-time stats for preforking Rack servers
Group:      Development/Ruby
License:    MIT
URL:        http://raindrops.bogomips.org/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(olddoc)
BuildRequires: rubygem(tidy_ffi)
BuildRequires: pkgconfig(ruby)

%description
Raindrops is a real-time stats toolkit to show statistics for Rack HTTP
servers.  It is designed for preforking servers such as Rainbows! and
Unicorn, but should support any Rack HTTP server under Ruby 1.9, 1.8 and
Rubinius on platforms supporting POSIX shared memory.  It may also be
used as a generic scoreboard for sharing atomic counters across multiple
processes.

%files
%{gem_instdir}
%{gem_extdir_mri}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc README LICENSE NEWS
%doc %{gem_instdir}/examples
%doc %{gem_instdir}/test
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
export VERSION=%{version}
%gem_build

%install
export VERSION=%{version}
%gem_install
