%define rname   rake

Summary:    Simple ruby build program with capabilities similar to make
Name:       ruby-%{rname}
Version:    13.0.1
Release:    %mkrel 1
License:    MIT
Group:      Development/Ruby
URL:        http://rake.rubyforge.org/
Source0:    https://rubygems.org/downloads/%{rname}-%{version}.gem
BuildArch:  noarch
BuildRequires: rubygems
BuildRequires: ruby-json

%description
This package contains Rake, a simple ruby build program with capabilities
similar to make.


%prep
%gem_setup

%build
%gem_build

%install
%gem_install

# Install manpage
mkdir -p %{buildroot}%{_mandir}/man1/
install doc/%{rname}.1 %{buildroot}%{_mandir}/man1/rake.1

%files
%{_bindir}/rake
%{_mandir}/man1/%{rname}.1*
%{gem_instdir}/
%doc %{gem_docdir}
%doc README.rdoc MIT-LICENSE
%doc %{gem_instdir}/doc/
%{gem_spec}
