%define oname   rb-inotify

Name:       ruby-%{oname}
Version:    0.11.1
Release:    %mkrel 2
Summary:    A Ruby wrapper for Linux's inotify, using FFI
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/nex3/rb-inotify
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A Ruby wrapper for Linux's inotify, using FFI

%files
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc README.md
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
