%define oname   rbx-require-relative

Name:       ruby-%{oname}
Version:    0.0.9
Release:    %mkrel 12
Summary:    Fast Ruby debugger - core component
Group:      Development/Ruby
License:    MIT
URL:        http://rubyforge.org/projects/ruby-debug/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildArch: noarch
BuildRequires: rubygems

%description
Ruby 1.9's require_relative for Rubinius and MRI 1.8. We also add 
abs_path which is like __FILE__ but __FILE__ can be fooled by a sneaky 
"chdir" while abs_path can't. If you are running on Ruby 1.9 or greater, 
require_relative is the pre-defined version. The benefit we provide in 
this situation by this package is the ability to write the same 
require_relative sequence in Rubinius 1.8 and Ruby 1.9. 

%files
%{gem_spec}
%dir %{gem_instdir}
%{gem_instdir}/lib
%{gem_instdir}/test
%{gem_instdir}/ChangeLog
%{gem_instdir}/LICENSE
%{gem_instdir}/NEWS
%{gem_instdir}/README.textile
%{gem_instdir}/Rakefile

#-------------------------------------------------------------------------------

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

