%define oname   rchardet

Name:       ruby-%{oname}
Version:    1.9.0
Release:    %mkrel 1
Summary:    Character encoding auto-detection in Ruby
Group:      Development/Ruby
License:    LGPLv2.1
URL:        https://github.com/jmhodges/rchardet/tree/master
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Character encoding auto-detection in Ruby. As smart as your browser. Open
source.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

chmod -x %{buildroot}%{gem_instdir}/lib/rchardet/*.rb
