%define oname   rdoc
%define bootstrap 0

Name:       ruby-%{oname}
Version:    6.2.1
Release:    %mkrel 1
Summary:    RDoc produces HTML and command-line documentation for Ruby projects
Group:      Development/Ruby
License:    Ruby License
URL:        http://rdoc.rubyforge.org
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-json
# Temporary to fix current package missing it
BuildRequires: ruby-io-console
Requires: ruby-irb
Requires: ruby-io-console
BuildArch:  noarch
Conflicts:  ruby < 1.9.3

%description
RDoc produces HTML and command-line documentation for Ruby projects.  RDoc
includes the +rdoc+ and +ri+ tools for generating and displaying online
documentation. See RDoc for a description of RDoc's markup and basic use.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%if !%bootstrap
%gem_install
%else
%{_bindir}/gem install %{__ruby_module_name}-%{version}.gem --local \
	--env-shebang --no-rdoc --no-ri --force --ignore-dependencies \
	--install-dir %{buildroot}%{gem_dir} \
	--bindir %{buildroot}%{_bindir}
rm -fr %{buildroot}%{gem_dir}/{cache,gems/%{__ruby_module_name}-%{version}/ext,gems/%{__ruby_module_name}-%{version}/%{__ruby_module_name}.gemspec}
find %{buildroot}%{gem_instdir} -maxdepth 1 -type f -delete
%endif

%files
%{_bindir}/*
%{gem_instdir}/
%{gem_spec}

%files          doc
%if !%bootstrap
%doc %{gem_docdir}
%endif
%doc *.rdoc
%doc Rakefile
