%define oname   red-colors

Name:       ruby-%{oname}
Version:    0.4.0
Release:    %mkrel 1
Summary:    Red Colors provides a wide array of features for dealing with colors. This includes conversion between colorspaces, desaturation, and parsing colors
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/red-data-tools/red-colors
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Red Colors provides a wide array of features for dealing with colors. This
includes conversion between colorspaces, desaturation, and parsing colors.

%files
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}



#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
