%define oname   rest-client

Name:       ruby-%{oname}
Version:    2.1.0
Release:    %mkrel 5
Summary:    A simple HTTP and REST client for Ruby
Group:      Development/Ruby
License:    MIT
URL:        https://yehudakatz.com/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A simple HTTP and REST client for Ruby, inspired by the Sinatra 
microframework style of specifying actions: get, put, post, delete

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
A simple HTTP and REST client for Ruby

#-------------------------------------------------------------------------------

%prep
%gem_setup

%gemspec_remove_dep -g http-accept
%gemspec_add_dep -g http-accept '< 3.0'

%build
%gem_build

%install
%gem_install

%files
%_bindir/restclient
%{gem_instdir}/
%{gem_spec}

%files doc
%doc %{gem_docdir}

