%define oname   retriable

Name:       ruby-%{oname}
Version:    3.1.2
Release:    %mkrel 4
Summary:    Retriable is an simple DSL to retry failed code blocks with randomized exponential backoff
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/kamui/retriable
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Retriable is an simple DSL to retry failed code blocks with randomized
exponential backoff. This is especially useful when interacting external
api/services or file system calls.


%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}
%{gem_spec}

%files          doc
%doc %{gem_docdir}


