%define oname   ritex

Name:       ruby-%{oname}
Version:    1.0.1
Release:    %mkrel 15
Summary:    WebTeX to MathML conversion library
License:    GPLv2
Group:      Development/Ruby
URL:        http://masanjin.net/ritex/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Ritex converts expressions from WebTeX into MathML. WebTeX is an adaptation
of 
TeX math syntax for web display. 
Ritex makes inserting math into HTML pages easy. It supports most TeX
math syntax as well as macros.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc README ReleaseNotes
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
