%define oname   ronn-ng

Name:       ruby-%{oname}
Version:    0.10.1
Release:    %mkrel 3
Summary:    Ronn-NG: An updated fork of ronn
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/apjanke/ronn-ng
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildArch:  noarch
Obsoletes:  ruby-ronn < 0.7.3-14
Provides:   ruby-ronn = 0.7.3-14
Provides:   ronn = %{version}-%{release}
Provides:   %{oname} = %{version}-%{release}
Requires:   groff

%description
Ronn-NG is a new, currently-maintained fork of the defunct original Ronn
project.

Ronn builds manuals. It converts simple, human readable textfiles to roff for
terminal display, and also to HTML for the web.

#-------------------------------------------------------------------------------

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
Obsoletes:  ruby-ronn-doc < 0.7.3-14

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/ronn
%{gem_instdir}/
%{gem_spec}

%files doc
%doc %{gem_docdir}
