%define oname   rpam-ruby19

Name:       ruby-%{oname}
Version:    1.2.1
Release:    %mkrel 11
Summary:    PAM integration with ruby
License:    GPLv2
Group:      Development/Ruby
URL:        https://github.com/canweriotnow/rpam-ruby19
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: pam-devel

%description
This extension provides PAM  - Pluggable Authentication
Modules - integration.

%package doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup
sed -i /CFLAGS/d ext/Rpam/extconf.rb

%build
%gem_build

%install
%gem_install

%files
%doc README.rdoc
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}

%files doc
%{gem_docdir}

