%define oname   rspec-mocks

Name:       ruby-%{oname}
Version:    3.13.2
Release:    %mkrel 2
Summary:    Behavior Driven Development for Ruby
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/rspec/rspec-mocks
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
RSpec's 'test double' framework, with support for stubbing and mocking

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
