%define oname   rspec-support

Name:       ruby-%{oname}
Version:    3.13.2
Release:    %mkrel 1
Summary:    Support utilities for RSpec gems
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/rspec/rspec-support
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Support utilities for RSpec gems

%files
%{gem_instdir}
%{gem_spec}

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
