%define oname   ruby-dbus

Name:       ruby-%{oname}
Version:    0.24.0
Release:    %mkrel 1
Summary:    Ruby bindings for D-BUS
License:    LGPLv2.1+
Group:      Development/Ruby
URL:        https://github.com/mvidner/ruby-dbus
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildArch:  noarch
BuildRequires: rubygems
BuildRequires: pkgconfig(dbus-glib-1)
# To avoid a file dependency
BuildRequires: ruby-rspec-core


%description
Pure Ruby module for interaction with D-Bus IPC system


%files
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc

%doc %{gem_docdir}



#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
