%define oname   ruby-openid

Name:       ruby-%{oname}
Version:    2.9.2
Release:    %mkrel 2
Summary:    A library for consuming and serving OpenID identities
License:    Apache Software License and Ruby License
Group:      Development/Ruby
URL:        https://github.com/openid/ruby-openid
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A library for consuming and serving OpenID identities.

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib
%doc %{gem_instdir}/*.md
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/NOTICE
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc README.md INSTALL.md LICENSE UPGRADE.md
%doc %{gem_instdir}/examples
%doc %{gem_instdir}/test
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
