%define oname   ruby-yadis

Name:       ruby-%{oname}
Version:    0.3.4
Release:    %mkrel 16
Summary:    A library for performing Yadis service discovery
License:    Apache License
Group:      Development/Ruby
URL:        http://www.openidenabled.com/yadis/libraries/ruby
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Obsoletes:  %{oname} < %{version}-%{release}
BuildArch:  noarch

%description
A library for performing Yadis service discovery

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib
%{gem_instdir}/test
%{gem_instdir}/COPYING
%{gem_instdir}/INSTALL
%{gem_instdir}/README
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
Obsoletes:  %{oname}-doc < %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%{gem_instdir}/examples
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
