%define oname   ruby_core_source

Name:       ruby-%{oname}
Version:    0.1.5
Release:    %mkrel 14
Summary:    Retrieve Ruby core source files
Group:      Development/Ruby
License:    MIT
URL:        http://rubyforge.org/projects/ruby-debug19/
Source0:    http://rubyforge.org/frs/download.php/74596/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:	noarch

%description
Retrieve Ruby core source files.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
sed -i 's/archive-tar-minitar.*/minitar>)/' ../%{oname}-%{version}.gemspec

%build
%gem_build

%install
%gem_install

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib
%doc %{gem_instdir}/{LICENSE,README}
%{gem_spec}

%files          doc
%doc README
%doc %{gem_docdir}
