%define oname   sdoc

Name:       ruby-%{oname}
Version:    2.6.1
Release:    %mkrel 1
Summary:    rdoc html with javascript search index
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/voloko/sdoc
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
rdoc generator html with javascript search index.

%files
%{_bindir}/sdoc
%{_bindir}/sdoc-merge
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc README.md

#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install
