%define oname   signet

Name:       ruby-%{oname}
Version:    0.19.0
Release:    %mkrel 1
Summary:    Signet is an OAuth 1.0 / OAuth 2.0 implementation
License:    Apache-2.0
Group:      Development/Ruby
URL:        https://github.com/google/signet/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Signet is an OAuth 1.0 / OAuth 2.0 implementation.


%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files

%{gem_instdir}
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc README.md

