%define oname   simplecov_json_formatter

Name:       ruby-%{oname}
Version:    0.1.4
Release:    %mkrel 1
Summary:    JSON formatter for SimpleCov
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/codeclimate-community/simplecov_json_formatter
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Generates a formatted JSON report of your SimpleCov ruby code coverage results.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
