%define oname   sinatra-contrib

Name:       ruby-%{oname}
Version:    4.1.1
Release:    %mkrel 2
Summary:    Collection of useful Sinatra extensions
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/sinatra/sinatra-contrib
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Collection of useful Sinatra extensions.

%package    doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}

%description doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup
sed -i 's/\(mustermann.*\)2\.0/\13.0/' ../%{gem_name}-%{version}.gemspec

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}
%{gem_spec}

%files doc
%{gem_docdir}

