%define oname   sinatra

Name:       ruby-%{oname}
Version:    4.1.1
Release:    %mkrel 2
Summary:    Classy web-development dressed in a DSL
License:    MIT
Group:      Development/Ruby
URL:        http://sinatra.rubyforge.org
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch
# sinatra-sugar is not compatible with current sinatra and had no commit for 8 years
Obsoletes:  ruby-sinatra-sugar < 0.5.1-4

%description
Classy web-development dressed in a DSL

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
sed -i 's/\(mustermann.*\)2\.0/\13.0/' ../%{gem_name}-%{version}.gemspec

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}
%{gem_spec}
%doc %{gem_docdir}
