%define oname   stomp

Name:       ruby-%{oname}
Version:    1.4.10
Release:    %mkrel 1
Summary:    Ruby client for the Stomp messaging protocol
License:    Apache License
Group:      Development/Ruby
URL:        http://stomp.codehaus.org/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Ruby client for the Stomp messaging protocol

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/catstomp
%{_bindir}/stompcat
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc LICENSE README.* CHANGELOG.*
