%define oname   systemu

Name:       ruby-%{oname}
Version:    2.6.5
Release:    %mkrel 4
Summary:    Universal capture of stdout and stderr and handling of child process pid
Group:      Development/Ruby
License:    Ruby
URL:        https://github.com/ahoward/systemu
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(hoe) >= 3.1
BuildArch:  noarch

%description
Universal capture of stdout and stderr and handling of child process pid


#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%exclude %{gem_instdir}/samples
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc %{gem_instdir}/samples
