%define oname   test-spec

Name:       ruby-%{oname}
Version:    0.10.0
Release:    %mkrel 16
Summary:    A Behaviour Driven Development interface for Test::Unit
Group:      Development/Ruby
License:    GPLv2+ or Ruby License
URL:        http://test-spec.rubyforge.org
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:	noarch

%description
test/spec layers an RSpec-inspired interface on top of Test::Unit, so you can
mix TDD and BDD (Behavior-Driven Development).  test/spec is a clean-room
implementation that maps most kinds of Test::Unit assertions to a
`should'-like syntax.

%files
%{_bindir}/specrb
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Documentation
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc README SPECS ROADMAP
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
