%define oname   text-format

Name:       ruby-%{oname}
Version:    1.0.0
Release:    %mkrel 17
Summary:    Formats fixed-width text nicely
License:    Ruby License and Artistic
Group:      Development/Ruby
URL:        http://rubyforge.org/projects/text-format
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Text::Format is provides the ability to nicely format fixed-width text with
knowledge of the writeable space (number of columns), margins, and
indentation settings. Text::Format can work with either TeX::Hyphen or
Text::Hyphen to hyphenate words when formatting.

%files
%{gem_spec}
%{gem_instdir}/

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc README Changelog Install
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup
%gemspec_remove_dep -g text-hyphen
%gemspec_add_dep -g text-hyphen

%build
%gem_build

%install
%gem_install
