%define oname   text

Name:       ruby-%{oname}
Version:    1.3.1
Release:    %mkrel 4
Summary:    A collection of text algorithms
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/threedaymonk/text
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A collection of text algorithms: Levenshtein, Soundex, Metaphone, Double
Metaphone, Porter Stemming.

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}
%{gem_spec}
%doc README.rdoc
%doc COPYING.txt

%files          doc
%doc %{gem_docdir}
