%define oname   thor

Name:       ruby-%{oname}
Version:    1.3.2
Release:    %mkrel 1
Summary:    A scripting framework that replaces rake, sake and rubigen
Group:      Development/Ruby
License:    MIT
URL:        https://yehudakatz.com/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A scripting framework that replaces rake, sake and rubigen

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%doc LICENSE.md README.md
%{_bindir}/thor
%{gem_instdir}/
%{gem_spec}
