%define oname   tilt

Name:       ruby-%{oname}
Version:    2.6.0
Release:    %mkrel 1
Summary:    Generic interface to multiple Ruby template engines
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/rtomayko/tilt/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Generic interface to multiple Ruby template engines

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%doc COPYING
%{_bindir}/tilt
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
