%define oname   time

Name:       ruby-%{oname}
Version:    0.4.1
Release:    %mkrel 1
Summary:    Ruby methods for parsing and converting Times
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/ruby/%{oname}
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
When 'time' is required, Time is extended with additional methods for parsing and converting Times.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

