%define oname   timeout

Name:       ruby-%{oname}
Version:    0.4.3
Release:    %mkrel 1
Summary:    Timeout provides a way to auto-terminate a potentially long-running operation
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/ruby/%{oname}
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Timeout provides a way to auto-terminate a potentially long-running operation if it hasn't finished in a fixed amount of time.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

