%define oname   trailblazer-option

Name:       ruby-%{oname}
Version:    0.1.2
Release:    %mkrel 1
Summary:    Callable patterns for options in Trailblazer
License:    MIT
Group:      Development/Ruby
URL:        https://trailblazer.to/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Wrap an option at compile-time and `call` it at runtime, which allows to have
the common `-> ()`, `:method` or `Callable` pattern used for most options.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}
%{gem_spec}
%doc %{gem_docdir}

