%define oname   typhoeus

Name:       ruby-%{oname}
Version:    1.4.1
Release:    %mkrel 1
Summary:    A library for interacting with web services at blinding speed
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/dbalatero/typhoeus
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch: noarch

%description
Like a modern code version of the mythical beast with 100 serpent heads,
Typhoeus runs HTTP requests in parallel while cleanly encapsulating handling
logic.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

rm -f %{buildroot}%{gem_instdir}/lib/%{oname}/.gitignore

