%define oname   tzinfo

Name:       ruby-%{oname}
Version:    2.0.6
Release:    %mkrel 1
Summary:    Daylight-savings aware timezone library
Group:      Development/Ruby
License:    MIT
URL:        http://tzinfo.rubyforge.org/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
TZInfo is a Ruby library that uses the standard tz (Olson) database to
provide daylight savings aware transformations between times in different
time zones.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
