%define oname   webmock

Name:       ruby-%{oname}
Version:    3.25.1
Release:    %mkrel 1
Summary:    Library for stubbing HTTP requests in Ruby
Group:      Development/Ruby
License:    GPLv2
URL:        https://github.com/bblimke/webmock
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
# To avoid generating a dependency on /usr/bin/rake
BuildRequires: ruby-rake
BuildArch:  noarch

%description
WebMock allows stubbing HTTP requests and setting expectations on HTTP
requests.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%doc LICENSE CHANGELOG.md
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
