%define oname webrobots

Name:       ruby-%{oname}
Version:    0.1.2
Release:    %mkrel 4
Summary:    A Ruby library to help write robots.txt compliant web robots
License:    2-clause BSDL
Group:      Development/Ruby
URL:        http://www.mindflowsolutions.net/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch: noarch

%description
This library helps write robots.txt compliant web robots in Ruby.

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib
%{gem_instdir}/test
%{gem_instdir}/Gemfile
%{gem_instdir}/LICENSE.txt
%{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_spec}
%exclude %{gem_instdir}/.document
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
