Name:		samurai
Version:	1.2
Release:	%mkrel 1
Summary:	ninja-compatible build tool written in C
Group:		Development/Tools
License:	ASL 2.0
URL:		https://github.com/michaelforney/samurai
Source:		https://github.com/michaelforney/samurai/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	make
BuildRequires:	gcc

%description
samurai is a ninja-compatible build tool written in C99
with a focus on simplicity, speed, and portability.

%prep
%autosetup

%build
%set_build_flags
%make_build

%install
%make_install PREFIX=%{_prefix} MANDIR=%{_mandir}

%files
%license LICENSE
%doc README.md
%{_bindir}/samu
%{_mandir}/man1/samu.1*
