%define aname sansimera_qt

Name:           sansimera-qt
Version:        1.1.0
Release:        %mkrel 4
Group:          Networking/News
Summary:        Greek namedays and events of the day back in the history
License:        GPLv3
URL:            https://github.com/dglent/sansimera-qt
Source0:        https://github.com/dglent/sansimera-qt/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:         0001-Switch-to-https.patch
Patch2:         0002-Use-Resampling.LANCZOS-instead.patch
Patch3:         0003-Use-Resampling.LANCZOS-instead.patch
BuildArch:      noarch

BuildRequires:  python3-qt5-devel
BuildRequires:  imagemagick

Requires:       python3-qt5
Requires:       python3-pillow
Requires:       python3-beautifulsoup4
Requires:       python3-urllib3
Requires:       python3-requests
Requires:       wget


%description
A Qt system tray application which shows the events back in the history
from the website www.sansimera.gr and the namedays from www.saint.gr
in Greek language.

%prep
%autosetup -p1

%build
%py3_build

%install
%py3_install

%__mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32}/apps
convert -scale 16x16 sansimera_qt/images/sansimera-qt.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/sansimera-qt.png
convert -scale 32x32 sansimera_qt/images/sansimera-qt.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/sansimera-qt.png

%files
%doc README.md LICENSE.md
%{_datadir}/%{aname}/images/
%{_bindir}/%{name}
%{_iconsdir}/%{name}.png
%{python3_sitelib}/*egg-info
%{python3_sitelib}/%{aname}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/sansimera-qt.png
