Name:		scim-hangul
Version:	0.4.0
Release:	%mkrel 9
Summary:        Hangul Input Method Engine for SCIM
Group:          System/Internationalization
License:	GPLv3
URL:		https://www.scim-im.org/
Source0:	https://downloads.sourceforge.net/scim/%{name}-%{version}.tar.gz
Patch0:		scim-hangul-0.4.0.gcc47.patch
BuildRequires:  scim-devel
BuildRequires:  libhangul-devel
BuildRequires:	gettext-devel

%description
Scim-hangul is a SCIM IMEngine module for Korean (Hangul) input support.

%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_libdir}/scim-1.0/*/IMEngine/hangul.so
%{_libdir}/scim-1.0/*/SetupUI/hangul-imengine-setup.so
%{_datadir}/scim/icons/scim-hangul*.png
%{_datadir}/scim/hangul/
