%define scim_version       1.4.14
%define libthai_version  0.1.18

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		scim-thai
Summary:	Thai IMEngine for SCIM
Version:	0.1.4
Release:	%mkrel 4
Group:		System/Internationalization
License:	GPL
URL:		https://linux.thai.net/projects/scim-thai
Source0:	ftp://linux.thai.net/pub/ThaiLinux/software/libthai/%{name}-%{version}.tar.xz
Requires:		scim-client = %{scim_api}
BuildRequires:		pkgconfig(scim) >= %{scim_version}
BuildRequires:		pkgconfig(libthai) >= %{libthai_version}
BuildRequires:		gettext-devel
BuildRequires:		automake
Obsoletes:	%libname

%description
scim-thai is a Thai IMEngine for SCIM.

%prep
%setup -q

%build
[[ ! -x configure ]] && ./bootstrap
%configure --disable-static --disable-rpath
%make_build

%install
%make_install

%find_lang %{name}

rm -f %buildroot%{_libdir}/scim-1.0/*/*/*.la

%files -f %{name}.lang
%doc AUTHORS COPYING
%{_datadir}/scim/icons/*
%{_libdir}/scim-1.0/*/IMEngine/*.so
%{_libdir}/scim-1.0/*/SetupUI/*.so


