%define name sdlvexed
%define version 0.6
%define release %mkrel 9

%define vexed_name vexed22

Summary:	Colorful puzzle
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Source1:	https://downloads.sourceforge.net/vexed/%vexed_name.zip
Source2:	sdlvexed
Source3:	sdlvexed.desktop
Source4:	font1.png
Source5:	font2.png
Patch0:		%{name}-0.6-mga-new-perl-sdl.patch
License:	GPLv2+
Group:		Games/Puzzles
Url:		http://sdlvexed.segfault.pl/
BuildRequires:	imagemagick
BuildArch:	noarch
Requires:	perl(Alien::SDL)

%description
SDL Vexed is a puzzle game written in Perl-SDL.  It is a clone of the
classic PalmOS game Vexed.  Some graphics and the level packs come from
the original game.

%prep
%setup -q
%autopatch -p1
%setup -q -T -D -a 1

%build

%install
mkdir -p %buildroot%_gamesdatadir/%name
cp -r gfx/ vexed %buildroot%_gamesdatadir/%name
rm %buildroot%_gamesdatadir/%name/gfx/font1.png
cp %SOURCE4 %buildroot%_gamesdatadir/%name/gfx/
rm %buildroot%_gamesdatadir/%name/gfx/font2.png
cp %SOURCE5 %buildroot%_gamesdatadir/%name/gfx/
cp -r %vexed_name/levels/ %buildroot%_gamesdatadir/%name/levelpacks

mkdir -p %buildroot%_gamesbindir
cp %SOURCE2 %buildroot%_gamesbindir

mkdir -p %buildroot%{_datadir}/applications
cp %SOURCE3 %buildroot%{_datadir}/applications

mkdir -p %buildroot{%_liconsdir,%_miconsdir}
convert -scale 48x48 gfx/block1.png %buildroot%_liconsdir/%name.png
convert -scale 32x32 gfx/block1.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 gfx/block1.png %buildroot%_miconsdir/%name.png

%files
%doc CHANGELOG README
%_gamesbindir/%name
%_gamesdatadir/%name
%_datadir/applications/%name.desktop
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png


