Summary:	Sethdlc utility for 2.4/2.6 kernels
Name:		sethdlc
Version:	1.18
Release:	%mkrel 11
License:	GPL
Group:          System/Kernel and hardware
URL:		http://hq.pm.waw.pl/hdlc/
Source0:	https://www.kernel.org/pub/linux/utils/net/hdlc/%{name}-%{version}.tar.gz
Source1:	https://www.kernel.org/pub/linux/utils/net/hdlc/%{name}-%{version}.tar.gz.sign

%description
Sethdlc utility for 2.4/2.6 kernels. The sethdlc utility is used to configure
certain HDLC cards. General HDLC layer for Linux is an interface between
low-level hardware drivers for synchronous serial (HDLC) cards and the rest of
kernel networking.

%prep

%setup -q

%build
# tarball contains prebuilt x86-32 binary
%__make clean

%make_build CFLAGS="%{optflags}"

%install
install -d %{buildroot}%{_bindir}
install -m0755 sethdlc %{buildroot}%{_bindir}/

%files
%{_bindir}/sethdlc


