Summary:	A utility for configuring serial ports
Name:		setserial
Version:	2.17
Release:	%mkrel 27
License:	GPL-1.0-or-later
Group:		System/Configuration
URL:		https://setserial.sourceforge.net/
Source0: 	ftp://tsx-11.mit.edu/pub/linux/sources/sbin/%{name}-%{version}.tar.bz2
Patch0:		setserial-2.17-LDFLAGS.diff
Patch1:		setserial-hayesesp.patch
Patch6:		setserial-configure-c99.patch
Patch7:		setserial-c99.patch
BuildRequires:	groff-for-man

%description
Setserial is a basic system utility for displaying or setting serial port
information. Setserial can reveal and allow you to alter the I/O port and IRQ
that a particular serial device is using, and more.

You should install setserial because you may find it useful for detecting
and/or altering device information.

%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p1 -b .hayesesp
%patch -P 6 -p1
%patch -P 7 -p1

%build
rm -f config.cache

%configure

%ifarch %{ix86}
%make_build
%else
%make_build DEFS="-DHAVE_ASM_IOCTLS_H=1"
%endif

%install
install -m755 %{name} -D %{buildroot}%{_bindir}/%{name}
install -m644 %{name}.8 -D %{buildroot}%{_mandir}/man8/%{name}.8

%files
%doc README rc.serial *.lsm *.conf Documentation
%{_mandir}/man8/%{name}.8*
%defattr(755,root,root,755)
%{_bindir}/%{name}
