Name:           setxkbmap
Version:        1.3.4
Release:        %mkrel 1
Summary:        Set the keyboard using the X Keyboard Extension
Group:          Development/X11
License:        MIT
Source:         https://www.x.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  x11-util-macros

%description
The setxkbmap command maps the keyboard to use the layout determined by the
options specified on the command line.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
