Name:		sfk
Version:	2.0.0
Release:	%mkrel 2
Summary:	Swiss File Knife
License:	BSD
Group:		File tools
URL:		http://stahlworks.com/dev/swiss-file-knife.html
Source0:	https://downloads.sourceforge.net/swissfileknife/%{name}-%{version}.tar.gz

%description
sfk ("Swiss File Knife") combines many command line tools in a single
portable executable (for e.g. search and convert text files, find
duplicate files, compare folders, treesize, run own commands on all
files of a folder).

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog README
%license COPYING
%{_bindir}/%{name}
