Name:		shc
Version:	4.0.3
Release:	%mkrel 3
Summary:	Generic shell script compiler
License:	GPLv2
Group:		Development/Other
Url:		https://neurobin.github.io/shc/
Source0:	https://github.com/neurobin/shc/archive/%{version}/%{name}-%{version}.tar.gz

%description
A generic shell script compiler. Shc takes a script, which is
specified on the command line and produces C source code. The
generated source code is then compiled and linked to produce a
stripped binary executable. Use with care.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
