Name:		shelldap
Version:	1.5.1
Release:	%mkrel 1
Summary:	LDAP shell
License:	BSD
Group:		Networking/Other
URL:		https://github.com/mahlonsmith/shelldap
Source0:	https://github.com/mahlonsmith/shelldap/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
# (cg) This one is not auto extraced for some reason:
Requires:	perl(Term::ReadLine::Gnu)

%description
A handy shell-like interface for browsing LDAP servers and editing their
content. It keeps command history, has sane autocompletes, credential caching,
site-wide and individual configs, and it's fun to say. Shelldap! Shelldap!
Shelldap!

%prep
%setup -q

%build
pod2man shelldap shelldap.1

%install
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_mandir}/man1
install -m 755 shelldap %{buildroot}%{_bindir}
install -m 644 shelldap.1 %{buildroot}%{_mandir}/man1

%files
%doc USAGE
%{_bindir}/shelldap
%{_mandir}/man1/shelldap.1*

