%define	url_ver	%(echo %version|sed -e 's/\\./-/g')
%define	majver	124
%define	pak	pak64

Name:		simutrans-%{pak}
Version:	124.3
Release:	%mkrel 1
Summary:	A complete Simutrans game data package with 64x64 tiles
License:	Artistic
Group:		Games/Strategy
URL:		https://www.simutrans.com/
Source0:	https://downloads.sourceforge.net/simutrans/simupak64-%{url_ver}.zip
BuildArch:	noarch
Provides:	simutrans-pak = %{majver}
Requires:	simutrans >= %{majver}

%description
This is a complete data package for Simutrans transport game
with 64x64 tiles. Internal version is %{majver}.

%prep
%autosetup -n simutrans

%install
mkdir -p %{buildroot}%{_gamesdatadir}/simutrans
cp -pr pak %{buildroot}%{_gamesdatadir}/simutrans/

%files
%{_gamesdatadir}/simutrans/pak/
