Summary:	SIP swiss army knife
Name:		sipsak
Version:	0.9.8.1
Release:	%mkrel 3
License:	GPLv2+
Group:		Networking/Other
URL:		https://github.com/nils-ohlmeier/sipsak
Source0:	https://github.com/nils-ohlmeier/sipsak/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(libcrypto)

%description
sipsak is a small command line tool for developers and
administrators of Session Initiation Protocol (SIP) applications.
It can be used for some simple tests on SIP applications and
devices.

%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure \
    --enable-timeout=500
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog NEWS TODO
%{_bindir}/*
%{_mandir}/man1/*
