Name:		sir
Version:	3.2.2
Release:	%mkrel 1
Summary:	A simple application for re-sizing images
License:	GPLv2+
Group:		Graphics/Editors and Converters
URL:		https://marek629.github.io/SIR/
Source:		https://github.com/marek629/SIR/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		sir-3.1-fix-desktop-file.patch
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	cmake

Recommends:	dcraw

%description
sir (Simple Image Resizer) is a simple application for re-sizing images,
inspired by GTPY - ImageResizer. It uses C++/QT5 and QImage class to
convert the images.

%prep
%setup -q -n SIR-%{version}
%autopatch -p1

%build
%cmake_qt5

%cmake_build

%install
%cmake_install

%files
%doc CHANGELOG.md README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/sir/
