Name:		smem
Version:	1.5
Release:	%mkrel 5
Summary:	Memory reporting tool
Group:		Monitoring
License:	GPLv2+
URL:		https://www.selenic.com/%{name}/
# version 1.5 created from tag 1.5 at
# https://selenic.com/repo/smem/rev/1.5
Source0:	https://www.selenic.com/%{name}/download/%{name}-%{version}.tar.xz
Patch0:		smem-1.5-python3path.patch
Requires:	python3
Requires:	python3dist(matplotlib)
BuildArch:	noarch

%description
smem is a tool that can give numerous reports on memory usage on Linux systems.
Unlike existing tools, smem can report proportional set size (PSS), which is a
more meaningful representation of the amount of memory used by libraries and
applications in a virtual memory system.

%prep
%setup -q
%autopatch -p1

%build

%install
install -D %{name} %{buildroot}%{_bindir}/%{name}
install -D %{name}.8 -m 0644 %{buildroot}%{_mandir}/man8/%{name}.8

%files
%doc COPYING
%{_bindir}/%{name}
%{_mandir}/man?/%{name}.?.*
