%define major	0
%define libname %mklibname kinoextensions %major

Name: 	 	smilutils
Summary: 	Command line tools for Kino's SMIL video format
Version: 	0.3.2
Release: 	%mkrel 20070731.17
Source:		%{name}-20070731.tar.bz2
Patch0:		smilutils-gcc4.3.patch
Patch1:		smilutils-gnome-stubs.patch
Patch2:		smilutils-module-link.patch
Patch3:		smilutils-0.3.2-automake-1.13.patch
Patch4:         smilutils-gcc10.patch
URL:		https://sf.net/projects/kino
License:	GPL
Group:		Video/Utilities
BuildRequires:	autoconf
BuildRequires:	pkgconfig(libdv) 
BuildRequires:	quicktime-devel 
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(sdl) 
BuildRequires:	libgdk_pixbuf2.0-devel 

%description
SMIL is the file format kino uses to save projects. Here are a collection of
command line tools for SMIL manipulation.

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries
Obsoletes:	%{libname}-devel

%description -n %{libname}
Dynamic libraries from %name.

%prep
%setup -q -n %name
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p0
%patch -P 3 -p1 -b .automake-1_13
%patch -P 4 -p1

sed -i -e 's,AM_LDFLAGS =,LIBS = ../../extensions/libkinoextensions.la,' apps/*/Makefile.am

sed -i -e 's,$(prefix)/lib,%{_libdir},' libkino/Makefile.am extensions/Makefile.am

%build
./autogen.sh
%configure --disable-static
%make_build

%install
%make_install

find %buildroot -name *.la |xargs rm

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%doc README COPYING
%{_bindir}/*
%{_mandir}/man1/*

%files -n %libname
%{_libdir}/kino/*
