Name:           smproxy
Version:        1.0.7
Release:        %mkrel 1
Summary:        Session Manager Proxy
Group:          Development/X11
License:        MIT
Url:            https://xorg.freedesktop.org
Source:         https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xt)
BuildRequires:  x11-util-macros >= 1.0.1

%description
Smproxy allows X applications that do not support X11R6 session management
to participate in an X11R6 session.

%prep
%setup -q

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make_build

%install
%make_install

%files
%doc ChangeLog README.md
%{_bindir}/smproxy
%{_mandir}/man1/smproxy.*
