Summary:	freedesktop.org default sound theme
Name:		sound-theme-freedesktop
Version:	0.8
Release:	%mkrel 9
Group:		System/X11
# For details on the licenses used, see README
License:	GPLv2+ and LGPLv2+ and CC-BY-SA and CC-BY
Url:		https://www.freedesktop.org/wiki/Specifications/sound-theme-spec
Source0:	https://people.freedesktop.org/~mccann/dist/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	gettext-devel 
BuildRequires:	glib-gettextize
BuildRequires:	perl(XML::Parser)
BuildArch:	noarch
Provides:	fdo-sound-theme
Requires(post):  coreutils

%description
The default freedesktop.org sound theme following the XDG theming
specification.  (https://0pointer.de/public/sound-theme-spec.html).

%prep
%setup -q

%build
%configure

%make_build

%install
%make_install

# (cg) libcanberra will purge it's cache and reload it's themes
# when the %{_datadir}/sounds folder is touched.
# While it's technically not needed to touch the folder itself,
# the RH rpm still does this so we will too. It may be needed in the
# future :)
%post
touch --no-create %{_datadir}/sounds %{_datadir}/sounds/freedesktop

%postun
touch --no-create %{_datadir}/sounds %{_datadir}/sounds/freedesktop

%files
%doc README NEWS
%dir %{_datadir}/sounds/freedesktop
%dir %{_datadir}/sounds/freedesktop/stereo
%{_datadir}/sounds/freedesktop/index.theme
%{_datadir}/sounds/freedesktop/stereo/*.oga
