%define svnid	1916528

Summary:	Rules for SpamAssassin
Name:		spamassassin-rules
Version:	4.0.1
Release:	%mkrel 1
License:	Apache License
Group:		Networking/Mail
URL:		https://spamassassin.org/
Source:		https://www.apache.org/dist//spamassassin/source/Mail-SpamAssassin-rules-%{version}.r%{svnid}.tgz
Conflicts:	spamassassin < 3.3.0
BuildArch:	noarch

%description
This package contains the default rules for SpamAssassin.

WARNING: These rules may be old at install time. You should
immediately update your rules set as explained in the official
SpamAssassin documentation.

%prep
%setup -q -c -n %{name}-%{version}

%build

%install
%__install -d %{buildroot}%{_datadir}/spamassassin
%__install -m0644 *.cf %{buildroot}%{_datadir}/spamassassin

%files
%attr(0644,root,root) %{_datadir}/spamassassin/*.cf
