%define oname   speed-dreams
%define major   2
%define datname %{oname}-%{major}
%define rev     8786

Name:           %{oname}-data-more-hq
Version:        2.3.0
Release:        %mkrel 1
Summary:        More HQ data for Speed Dreams
Group:          Games/Simulation
License:        GPLv2
URL:            http://www.speed-dreams.org
Source0:        https://downloads.sf.net/speed-dreams/%{oname}-src-more-hq-cars-and-tracks-%{version}-r%{rev}.tar.xz

BuildArch:      noarch
Requires:       %{oname}-data-base = %{version}
Requires:       %{oname}-data-hq = %{version}
Provides:       %{oname}-data = %{version}

%description
More HQ data for Speed Dreams
- new tracks: aalborg, migrant, ruudskogen, garguree, inuksuk,
  lombaro, longday, ole-oroad-1, peters, pinabashi, prenzlau, salty,
  alamo, longpond, milky-five, newton
- new cars: MPA1 and TRB1 series
- new robots: simplix_mpa1, usr_mpa1, simplix_trb1, usr_trb1

%prep
%autosetup -c

%build

%install
mkdir -p %{buildroot}%{_gamesdatadir}/%{datname}
cp -a data/* %{buildroot}/%{_gamesdatadir}/%{datname}/

find %{buildroot} -name "CMakeLists.txt" -delete

# These files are provided by %%{oname}-data-hq
rm -rf %{buildroot}%{_gamesdatadir}/%{datname}/config/raceman/championship.xml
rm -rf %{buildroot}%{_gamesdatadir}/%{datname}/config/raceman/championship-mpa11.xml
rm -rf %{buildroot}%{_gamesdatadir}/%{datname}/config/raceman/championship-supercars.xml

%files
%{_gamesdatadir}/%{datname}/cars/models/mpa1*/
%{_gamesdatadir}/%{datname}/cars/models/trb1*/
%{_gamesdatadir}/%{datname}/cars/models/mp1-*/
%{_gamesdatadir}/%{datname}/config/raceman/championship-mpa1.xml
%{_gamesdatadir}/%{datname}/config/raceman/singleevent-mpa1.xml
%{_gamesdatadir}/%{datname}/config/raceman/championship-trb1.xml
%{_gamesdatadir}/%{datname}/config/raceman/championship-mp1.xml
%{_gamesdatadir}/%{datname}/drivers/*_mpa11/
%{_gamesdatadir}/%{datname}/drivers/*_mpa12/
%{_gamesdatadir}/%{datname}/drivers/*_mpa1/
%{_gamesdatadir}/%{datname}/drivers/*_mp1/
%{_gamesdatadir}/%{datname}/drivers/*_trb1/
%{_gamesdatadir}/%{datname}/tracks/circuit/aalborg/
%{_gamesdatadir}/%{datname}/tracks/circuit/migrants/
%{_gamesdatadir}/%{datname}/tracks/circuit/ruudskogen/
%{_gamesdatadir}/%{datname}/tracks/circuit/sao-paulo/
%{_gamesdatadir}/%{datname}/tracks/dirt/garguree/
%{_gamesdatadir}/%{datname}/tracks/road/inuksuk/
%{_gamesdatadir}/%{datname}/tracks/road/lombaro/
%{_gamesdatadir}/%{datname}/tracks/road/longday/
%{_gamesdatadir}/%{datname}/tracks/road/ole-road-1/
%{_gamesdatadir}/%{datname}/tracks/road/peters/
%{_gamesdatadir}/%{datname}/tracks/road/pinabashi/
%{_gamesdatadir}/%{datname}/tracks/road/prenzlau/
%{_gamesdatadir}/%{datname}/tracks/road/salty/
%{_gamesdatadir}/%{datname}/tracks/road/torino/
%{_gamesdatadir}/%{datname}/tracks/speedway/alamo/
%{_gamesdatadir}/%{datname}/tracks/speedway/longpond/
%{_gamesdatadir}/%{datname}/tracks/speedway/milky-five/
%{_gamesdatadir}/%{datname}/tracks/speedway/newton/
