%define oname   speed-dreams
%define major   2
%define datname %{oname}-%{major}
%define rev     8786

Name:           %{oname}-data-wip
Version:        2.3.0
Release:        %mkrel 1
Summary:        Work-in-progress data for Speed Dreams
Group:          Games/Simulation
License:        GPLv2
URL:            http://www.speed-dreams.org
Source0:        https://downloads.sf.net/speed-dreams/%{oname}-src-wip-cars-and-tracks-%{version}-r%{rev}.tar.xz

BuildArch:      noarch
Requires:       %{oname}-data-base = %{version}
Provides:       %{oname}-data = %{version}

%description
Work-in-progress cars and tracks for Speed Dreams.

%prep
%autosetup -c

%build

%install
mkdir -p %{buildroot}%{_gamesdatadir}/%{datname}
cp -a data/* %{buildroot}%{_gamesdatadir}/%{datname}/

find %{buildroot} -name "CMakeLists.txt" -delete

%files
%{_gamesdatadir}/%{datname}/cars/models/67gp-cavallo-123/
%{_gamesdatadir}/%{datname}/cars/models/67gp-guthrie-eagle/
%{_gamesdatadir}/%{datname}/cars/models/67gp-kuiper-t81/
%{_gamesdatadir}/%{datname}/cars/models/67gp-mango-ms7/
%{_gamesdatadir}/%{datname}/cars/models/67gp-murasama-37a/
%{_gamesdatadir}/%{datname}/cars/models/67gp-upping-ut19/
%{_gamesdatadir}/%{datname}/cars/models/ls2-bavaria-g3gtr/
%{_gamesdatadir}/%{datname}/cars/models/ls2-boxer-96rsr/
%{_gamesdatadir}/%{datname}/cars/models/ls2-cavallo-360r/
%{_gamesdatadir}/%{datname}/cars/models/ls2-condor-c400r/
%{_gamesdatadir}/%{datname}/cars/models/ls2-lynx-xkr/
%{_gamesdatadir}/%{datname}/cars/models/ls2-morley-r900/
%{_gamesdatadir}/%{datname}/cars/models/ls2-sprite-gts/
%{_gamesdatadir}/%{datname}/cars/models/ls2-vortex-gt/
%{_gamesdatadir}/%{datname}/cars/models/mp5-fmc/
%{_gamesdatadir}/%{datname}/cars/models/mp5-fmc-drift/
%{_gamesdatadir}/%{datname}/cars/models/mp5-fmc-speedy/
%{_gamesdatadir}/%{datname}/cars/models/rs1-citrus-cs4/
%{_gamesdatadir}/%{datname}/cars/models/rs1-fmc-centre/
%{_gamesdatadir}/%{datname}/cars/models/rs1-kenji-08/
%{_gamesdatadir}/%{datname}/cars/models/rs2-fai-dot/
%{_gamesdatadir}/%{datname}/cars/models/rs2-lion-2m/
%{_gamesdatadir}/%{datname}/cars/models/srw-boxer-ts/
%{_gamesdatadir}/%{datname}/cars/models/srw-kanagawa-gtr/
%{_gamesdatadir}/%{datname}/cars/models/srw-kongei-kk8s/
%{_gamesdatadir}/%{datname}/cars/models/srw-sector-p4/
%{_gamesdatadir}/%{datname}/config/raceman/
%{_gamesdatadir}/%{datname}/drivers/dandroid_67GP/
%{_gamesdatadir}/%{datname}/drivers/dandroid_ls1/
%{_gamesdatadir}/%{datname}/drivers/dandroid_ls2/
%{_gamesdatadir}/%{datname}/drivers/dandroid_mpa1/
%{_gamesdatadir}/%{datname}/drivers/dandroid_rs/
%{_gamesdatadir}/%{datname}/drivers/dandroid_srw/
%{_gamesdatadir}/%{datname}/drivers/dandroid_trb1/
%{_gamesdatadir}/%{datname}/drivers/shadow_67GP/
%{_gamesdatadir}/%{datname}/drivers/shadow_ls2/
%{_gamesdatadir}/%{datname}/drivers/simplix_67GP/
%{_gamesdatadir}/%{datname}/drivers/simplix_ls2/
%{_gamesdatadir}/%{datname}/drivers/simplix_mp5/
%{_gamesdatadir}/%{datname}/drivers/simplix_srw/
%{_gamesdatadir}/%{datname}/drivers/usr_67GP/
%{_gamesdatadir}/%{datname}/drivers/usr_ls2/
%{_gamesdatadir}/%{datname}/drivers/usr_rs/
%{_gamesdatadir}/%{datname}/tracks/circuit/braga/
%{_gamesdatadir}/%{datname}/tracks/circuit/dijon/
%{_gamesdatadir}/%{datname}/tracks/circuit/goldstone-sand/
%{_gamesdatadir}/%{datname}/tracks/circuit/tuna/
%{_gamesdatadir}/%{datname}/tracks/dirt/
%{_gamesdatadir}/%{datname}/tracks/road/e-track-4/
%{_gamesdatadir}/%{datname}/tracks/road/nordschleife/
%{_gamesdatadir}/%{datname}/tracks/road/spring/
%{_gamesdatadir}/%{datname}/tracks/road/street-1/
%{_gamesdatadir}/%{datname}/tracks/speedway/a-speedway/
%{_gamesdatadir}/%{datname}/tracks/speedway/b-speedway/
%{_gamesdatadir}/%{datname}/tracks/speedway/caddo/
%{_gamesdatadir}/%{datname}/tracks/speedway/corn/
%{_gamesdatadir}/%{datname}/tracks/speedway/c-speedway/
%{_gamesdatadir}/%{datname}/tracks/speedway/d-speedway/
%{_gamesdatadir}/%{datname}/tracks/speedway/e-speedway/
%{_gamesdatadir}/%{datname}/tracks/speedway/e-track-5/
%{_gamesdatadir}/%{datname}/tracks/speedway/f-speedway/
%{_gamesdatadir}/%{datname}/tracks/speedway/sunshine/
%{_gamesdatadir}/%{datname}/tracks/speedway/tennessee/

