%define tarname firmware-extractor

Summary:        Speedtouch firmware extractor
Name:           speedtouch-firmware-extractor
Version:        0.1
Release:        %mkrel 20
License:        GPLv2+
Group:          System/Kernel and hardware
Url:            http://www.linux-usb.org/SpeedTouch/firmware/index.html
Source0:        %{tarname}.tar.bz2

%description
This is a small application to prepare and install the firmware for a
SpeedTouch USB modem so that a 2.6.10 kernel (or later) can load the
firmware without the assistance of modem_run.

The firmware extractor splits the firmware file (old mgmt.o) in
smaller firmware files (stage1 and stage2) that are meant to be used
with hotplug firmware loading.

%prep
%setup -q -n %{tarname}

%build
gcc %{optflags} -o %{tarname} firmware.c

%install
install -D -m755 %{tarname} %{buildroot}%{_sbindir}/%{tarname}

%files
%doc README
%{_sbindir}/%{tarname}
