Summary:    Non-interactive SSH authentication utility
Name:       sshpass
Version:    1.10
Release:    %mkrel 1
License:    GPLv2
Group:      Networking/Remote access
Url:        https://sshpass.sourceforge.net/
Source0:    https://downloads.sourceforge.net/sshpass/sshpass-%{version}.tar.gz

%description
Tool for non-interactively performing password authentication with so called
"interactive keyboard password authentication" of SSH. Most users should use
more secure public key authentication of SSH instead.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

%files
%{_bindir}/sshpass
%{_datadir}/man/man1/sshpass.1.*
%doc AUTHORS ChangeLog NEWS
