Name:		sshtrix
Version:	0.0.2
Release:	%mkrel 11
Summary:	A very fast multithreaded SSH login cracker
Group:		Networking/Other
License:	GPLv3+
Url:		https://nullsecurity.net/cracker.html
Source0:	https://nullsecurity.net/tools/cracker/%{name}-%{version}.tar.gz
Patch0:		sshtrix-0.0.2-cflags.patch

BuildRequires:	pkgconfig(libssh)

%description
sshtrix is a very fast multithreaded SSH login cracker. It supports
SSHv1 and SSHv2. sshtrix was designed to automate rapid brute force
attacks against SSH authentication screens. Unlike other public
tools, the aim is to keep it simple, stable, fast and modular. With
its clean code design, it is easy to extend the code to a framework
or to fork it against protocols of your choice.

%prep
%autosetup -p1

# Fix build with libssh >= 0.8
sed -e 's/ -lssh_threads//' -i Makefile

%build
%set_build_flags
%make_build %{name}

%install
mkdir -p %{buildroot}%{_bindir}
install -D -m 0755 %{name} %{buildroot}%{_bindir}/

#install man page
install -d %{buildroot}%{_mandir}/man1/
install -m 644 doc/%{name}.1 %{buildroot}%{_mandir}/man1/


%files
%doc doc/AUTHORS doc/CHANGELOG doc/README doc/TESTED doc/THANKS doc/TODO
%{_bindir}/%{name}
%{_mandir}/man*/*
