%define dict_format_version	2.4.2

Summary:	StarDict 1.3 dictionary (English -> Simplified Chinese) converted to StarDict 2
Name:		stardict-stardict1.3-en-zh_CN
Version:	2.4.2
Release:	%mkrel 17
License:	GPL
Group:		Office/Dictionary
URL:		https://stardict.sourceforge.net/
BuildArch:	noarch

Source0:	ftp://osdn.dl.sourceforge.net/pub/sourceforge/s/st/stardict/stardict-stardict1.3-%{version}.tar.bz2

Provides:	stardict-dictionary = %{dict_format_version}
Requires:	stardict >= %{dict_format_version}

%description
This package contains StarDict 1.3 dictionary (English -> Simplified Chinese)
database converted into StarDict 2 format.

%prep
%setup -q -n stardict-stardict1.3-%{version}

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/stardict/dic
install -m 0644 * $RPM_BUILD_ROOT%{_datadir}/stardict/dic

%files
%{_datadir}/stardict/dic/*




