%define api_version	1
%define lib_major	0
%define lib_name	%mklibname %{name} %{api_version} %{lib_major}
%define develname	%mklibname %{name} -d

Summary:	Library used to monitor application startup
Name:		startup-notification
Version:	0.12
Release:	%mkrel 13
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.freedesktop.org/
Source0:	https://www.freedesktop.org/software/%{name}/releases/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(xcb-util)
BuildRequires:	pkgconfig(x11)

%description
Startup-notification is a library used to monitor application startup.

%package -n %{lib_name}
Summary:	Library used to monitor application startup
Group:		System/Libraries
Provides:	lib%{name}-%{api_version} = %{version}-%{release}
Obsoletes:	%{_lib}startup-notification-1_0 < 0.12-5

%description -n %{lib_name}
Startup-notification is a library used to monitor application startup.

%package -n %{develname}
Summary:	Development files and headers for %{name}
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Obsoletes:	%{_lib}startup-notification-1-devel < 0.12-5

%description -n %{develname}
This package contains the development files and headers for %{name}.

%prep
%setup -q

%build
# to recognize aarch64
autoreconf -vfi

%configure \
	--disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{lib_name}
%doc ChangeLog
%{_libdir}/lib%{name}-%{api_version}.so.%{lib_major}
%{_libdir}/lib%{name}-%{api_version}.so.%{lib_major}.*

%files -n %develname
%{_libdir}/lib%{name}-%{api_version}.so
%{_libdir}/pkgconfig/lib%{name}-1.0.pc
%{_includedir}/startup-notification-1.0/
