%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             staxmapper
Version:          1.2.0
Release:          %mkrel 5
Group:            Development/Java
Summary:          StAX Mapper
License:          LGPLv2+
URL:              https://github.com/jbossas/staxmapper
Source0:          https://github.com/jbossas/staxmapper/archive/%{namedversion}.tar.gz
BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)

%description
This package contains the StAX Mapper.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
%mvn_build

%install
%mvn_install

# Not available license file reported @ https://issues.jboss.org/browse/STXM-14
%files -f .mfiles
%files javadoc -f .mfiles-javadoc


