Name:           steam-udevrules
Version:        1.0.0.82
Release:        %mkrel 1
Summary:        udev rules for Steam hardware: Steam Controller and HTC Vive
Group:          System/Kernel and hardware
License:        MIT
URL:            https://www.steampowered.com/
# Extracted from https://repo.steampowered.com/steam/pool/steam/s/steam/steam_%%{version}.tar.gz
Source0:        steam-devices-%{version}.tar.xz
BuildArch:      noarch
Conflicts:      steam < 1.0.0.52-1

%description
This package contains udev rules for Steam hardware: Steam Controller
and HTC Vive.

They are packaged independently of the main steam nonfree package
to be available for the libre steamcontroller driver without having
to install Steam itself.

%prep
%autosetup -n steam-devices

%build

%install
install -d %{buildroot}%{_udevrulesdir}
install -m644 60-steam-input.rules %{buildroot}%{_udevrulesdir}
install -m644 60-steam-vr.rules %{buildroot}%{_udevrulesdir}

%files
%license LICENSE
%{_udevrulesdir}/60-steam-input.rules
%{_udevrulesdir}/60-steam-vr.rules
