Name:    stiff
Version: 2.4.0
Release: %mkrel 11
Summary: Automated image compositing and conversion

Group:   Sciences/Astronomy
License: GPLv3
URL:     https://www.astromatic.net/software/%{name}
Source0: https://www.astromatic.net/download/%{name}/%{name}-%{version}.tar.gz

Patch0:  stiff-security.patch

BuildRequires: tiff-devel

%description
STIFF is a program that converts scientific FITS images to the more
popular TIFF format for illustration purposes.

%prep
%setup -q
%autopatch -p1

%build
CFLAGS="%{optflags} -fcommon"
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%files
%{_bindir}/%{name}
%{_mandir}/man?/%{name}.*
%{_datadir}/%{name}/stiff.xsl
