%define       _stikked_install %_datadir/%name

Summary:      Open-Source PHP Pastebin
Name:         stikked
Version:      0.5.4
Release:      %mkrel 11
Source0:      http://%name.googlecode.com/files/%name-%version.zip
License:      GPLv3
Group:        Monitoring
Url:          https://code.google.com/p/stikked/
BuildRequires: apache
Requires:     php >= 4.1
Requires:     apache
Requires:     php-webinterface
Requires:     php-zip
Requires:     php-mbstring
Recommends:     php-pear-MDB2_Driver_sqlite
BuildArch:    noarch

%description
Stikked is an Open-Source PHP Pastebin, with the aim of keeping a 
simple and easy to use user interface as well as providing an 
example application for the CodeIgniter framework which stikked is 
based upon. (Stikked also uses the jQuery Javascript Library.)


%files
%attr(-,apache,apache) %_stikked_install
%config(noreplace) %_sysconfdir/httpd/conf/webapps.d/%{name}.conf

#--------------------------------------------------------------------


%prep
%setup -q -n %name-%version 

%install
mkdir -p %buildroot/%_stikked_install
(
mkdir temp 
pushd temp
unzip %{SOURCE0}
mv %name-%version/* %buildroot%_stikked_install
popd
)


mkdir -p %buildroot%_sysconfdir/httpd/conf/webapps.d
cat > %buildroot%_sysconfdir/httpd/conf/webapps.d/%{name}.conf <<EOF
# %{name} configuration
Alias /%name %_stikked_install
<Directory %_stikked_install>
    Order allow,deny
    Allow from all
</Directory>

EOF

