Name: sugar-datastore
Version: 0.121
Release: %mkrel 2
Summary: Datastore service for Sugar
License: GPL
Group: Graphical desktop/Other
Url: https://sugarlabs.org/
Source: https://download.sugarlabs.org/sources/sucrose/glucose/sugar-datastore/sugar-datastore-%version.tar.xz
BuildRequires: automake >= 1.16.5-3
BuildRequires: python3-devel
Requires: python3-dbus
Requires: python3-xapian-bindings

%description
This package contains a simple log like datastore able to connect with multiple
backends. The datastore supports connecting and disconnecting from backends
on the fly to help the support the limit space/memory characteristics and
the fact that network services may become unavailable at times.

%prep
%setup -q

%build
# for python3.10 support
autoreconf -fi

%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc AUTHORS NEWS
%{_bindir}/*
%{_datadir}/dbus-1/services/*.service
%{python3_sitelib}/*
