Name: sugar-imageviewer-activity
Version: 65
Release: %mkrel 4
Summary: Image viewer activity for Sugar
License: GPL
Group: Graphical desktop/Other
Url: https://sugarlabs.org/
Source: https://download.sugarlabs.org/sources/sucrose/fructose/ImageViewer/ImageViewer-%{version}.tar.bz2
BuildArch: noarch
BuildRequires: gettext
BuildRequires: sugar-toolkit-gtk3
Requires: python3-gobject3
Requires: sugar-toolkit-gtk3

%description
Image viewer activity for Sugar.

%prep
%setup -q -n ImageViewer-%{version}

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --prefix=%{buildroot}/%{_prefix}

# fix .desktop file
sed -i -e 's!%{buildroot}!!g' %{buildroot}%{_datadir}/applications/*.desktop

# drop unneeded files
rm -rf %{buildroot}%{_datadir}/sugar/activities/*/setup.py
find %{buildroot} -name '*.py.orig' -delete

%find_lang org.laptop.ImageViewerActivity

%files -f org.laptop.ImageViewerActivity.lang
%doc AUTHORS NEWS
%license COPYING
%{_datadir}/applications/org.laptop.ImageViewerActivity.activity.desktop
%{_datadir}/sugar/activities/*
