Name:           sugar-jukebox-activity
Version:        36
Release:        %mkrel 3
Summary:        Audio and video player for Sugar
License:        GPLv2
Group:          Graphical desktop/Other
Url:            https://sugarlabs.org/
Source:         https://download.sugarlabs.org/sources/sucrose/fructose/Jukebox/Jukebox-%{version}.tar.bz2
BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  sugar-toolkit-gtk3
Requires:       sugar-toolkit-gtk3
Requires:       python3-gobject3

%description
Audio and video player for Sugar.

%prep
%setup -q -n Jukebox-%{version}

%build
%__python3 setup.py build

%install
%__python3 setup.py install --prefix=%{buildroot}%{_prefix}

# fix .desktop file
sed -i -e 's!%{buildroot}!!g' %{buildroot}%{_datadir}/applications/*.desktop

# drop unneeded files
rm -rf %{buildroot}%{_datadir}/sugar/activities/*/setup.py
find %{buildroot} -name '*.py.orig' -delete

%find_lang org.laptop.sugar.Jukebox

%files -f org.laptop.sugar.Jukebox.lang
%doc AUTHORS NEWS TODO
%license COPYING
%{_datadir}/applications/org.laptop.sugar.Jukebox.activity.desktop
%{_datadir}/sugar/activities/*
