Name: sugar-log-activity
Version: 42
Release: %mkrel 1
Summary: Log activity for Sugar
License: GPL
Group: Graphical desktop/Other
Url: https://wiki.laptop.org/go/Log
Source: https://download.sugarlabs.org/sources/sucrose/fructose/Log/Log-%{version}.tar.bz2
BuildArch: noarch
BuildRequires: gettext
BuildRequires: sugar-toolkit-gtk3
Requires: python3-gobject3
Requires: sugar-toolkit-gtk3

%description
Log is an activity for developers to examine the log files that are generated
by system software and other activities. Logs can also be uploaded to servers
to allow support staff to assist with troubleshooting.

%prep
%setup -q -n Log-%{version}

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --prefix=%{buildroot}/%{_prefix}

# fix .desktop file
sed -i -e 's!%{buildroot}!!g' %{buildroot}%{_datadir}/applications/*.desktop

# drop unneeded files
rm -rf %{buildroot}%{_datadir}/sugar/activities/*/setup.py
find %{buildroot} -name '*.py.orig' -delete

%find_lang org.laptop.Log

%files -f org.laptop.Log.lang
%doc NEWS
%license COPYING
%{_datadir}/applications/org.laptop.Log.activity.desktop
%{_datadir}/sugar/activities/Log.activity/
