Name: sugar-read-activity
Version: 124
Release: %mkrel 2
Summary: Read activity for Sugar
License: GPL
Group: Graphical desktop/Other
Url: https://sugarlabs.org/
Source: https://download.sugarlabs.org/sources/sucrose/fructose/Read/Read-%{version}.tar.bz2
BuildArch: noarch
BuildRequires: gettext
BuildRequires: evince-devel
BuildRequires: sugar-toolkit-gtk3
# for command replace
BuildRequires: mariadb-common
Requires: python3-beautifulsoup4
Requires: evince
Requires: python3-lxml
Requires: sugar-toolkit-gtk3
Requires: python3-gobject3

%description
Read activity for Sugar

%prep
%setup -q -n Read-%{version}

replace "'WebKit2', '4.0'" "'WebKit2', '4.1'" -- epubview/epubview.py epubview/jobs.py epubview/widgets.py


%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --prefix=%{buildroot}/%{_prefix}

# fix .desktop file
sed -i -e 's!%{buildroot}!!g' %{buildroot}%{_datadir}/applications/*.desktop

# drop unneeded files
rm -rf %{buildroot}%{_datadir}/sugar/activities/*/setup.py
find %{buildroot} -name '*.py.orig' -delete

rm -rf %{buildroot}/%{_datadir}/sugar/activities/*/epubview/modules

%find_lang org.laptop.sugar.ReadActivity

%files -f org.laptop.sugar.ReadActivity.lang
%doc AUTHORS
%license COPYING
%{_datadir}/applications/org.laptop.sugar.ReadActivity.activity.desktop
%{_datadir}/sugar/activities/*
