Name: sugar-terminal-activity
Version: 47
Release: %mkrel 5
Summary: Terminal for Sugar
License: GPLv2+
Group: Graphical desktop/Other
Url: https://github.com/sugarlabs/terminal-activity
Source: https://github.com/sugarlabs/terminal-activity/archive/v%{version}.tar.gz
Patch0: sugar-terminal-v47-use-vte-291.patch
BuildArch: noarch
BuildRequires: gettext
BuildRequires: python3-devel
BuildRequires: sugar-toolkit-gtk3
Requires: python-simplejson
Requires: sugar-toolkit-gtk3

%description
The terminal activity provides a vte-based terminal for the Sugar interface.

%prep
%autosetup -n terminal-activity-%{version}
%py3_shebang_fix setup.py

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --prefix=%{buildroot}%{_prefix}

find %{buildroot} -name '*.py.orig' -delete

# drop %%{buildroot}
sed -i -e 's,%{buildroot},,g' %{buildroot}%{_datadir}/applications/org.laptop.Terminal.activity.desktop

%find_lang org.laptop.Terminal

%files -f org.laptop.Terminal.lang
%doc MAINTAINERS NEWS
%license COPYING
%{_datadir}/applications/org.laptop.Terminal.activity.desktop
%{_datadir}/sugar/activities/*
