Name:    swarp
Version: 2.41.5
Release: %mkrel 3
Summary: Tool that resamples and co-adds together FITS images

Group:   Sciences/Astronomy
License: GPLv3
URL:     https://www.astromatic.net/software/%{name}

Source0: https://github.com/astromatic/swarp/archive/%{name}-%{version}.tar.gz
Patch0: swarp-security.patch

BuildRequires: pkgconfig(cfitsio)

%description
SWarp is a program that resamples and co-adds together FITS images
using any arbitrary astrometric projection defined in the WCS standard.

%prep
%setup -q


%build
# fix build on aarch64
autoreconf -vfi
CFLAGS="%{optflags} -fcommon"
%configure --enable-threads
%make_build

%install
%make_install

%files
%doc AUTHORS BUGS COPYRIGHT HISTORY README.md THANKS TODO ChangeLog
%{_bindir}/swarp
%{_mandir}/man?/swarp.*
%{_datadir}/%{name}/swarp.xsl


