# Workaround gcc10 build issue
%global _legacy_common_support 1

Name:		swftools
Version:	0.9.2
Release:	%mkrel 17
Summary:	A collection of utilities for working with Adobe Flash files
License:	GPLv2
Group:          Graphics/Editors and Converters
Url:		http://www.swftools.org
Source:		http://www.swftools.org/%{name}-%{version}.tar.gz
Patch0:		swftools-0.9.2_general.patch
Patch1:		swftools-0.9.2-newer-gif.patch
Patch2:		swftools-0.9.2-giflib5.patch
Patch3:		0001-Fix-an-integer-overflow-issue-in-png.c.patch
Patch4:		0001-Fix-an-off-by-one-error-in-png.c.patch
Patch5:		swftools-0.9.2-CVE-2017-7698.patch
Patch6:		swftools-0.9.2-destdir.patch
Patch7:		swftools-0.9.2-mga-ptr-compare.patch
Patch8:		swftools-fix-build-with-gcc14.patch
BuildRequires:	libtool
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(zziplib)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(ruby)
BuildRequires:	giflib-devel
BuildRequires:	lame-devel

%description
The tool collection includes programs for reading SWF files,
combining them, and creating them from other content (like images,
sound files, videos or source code).
SWFTools is released under the GPL.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%{_bindir}/as3compile
%{_bindir}/font2swf
%{_bindir}/gif2swf
%{_bindir}/jpeg2swf
%{_bindir}/pdf2swf
%{_bindir}/png2swf
%{_bindir}/swfbbox
%{_bindir}/swfc
%{_bindir}/swfcombine
%{_bindir}/swfdump
%{_bindir}/swfextract
%{_bindir}/swfrender
%{_bindir}/swfstrings
%{_bindir}/wav2swf
%{_mandir}/man1/*
%{_datadir}/%{name}/
