Name:		symlinks
Version:	1.7
Release:	%mkrel 3

Summary:	A utility which maintains a system's symbolic links
Group:		File tools
License:	BSD-style
URL:		https://ibiblio.org/pub/Linux/utils/file/
Source0:	https://ibiblio.org/pub/Linux/utils/file/%{name}-%{version}.tar.gz
Patch0:		symlinks-1.4-noroot.patch
Patch2:		symlinks-1.4-short.patch

%description
The symlinks utility performs maintenance on symbolic links.  Symlinks
checks for symlink problems, including dangling symlinks which point to
nonexistent files.  Symlinks can also automatically convert absolute
symlinks to relative symlinks.

Install the symlinks package if you need a program for maintaining
symlinks on your system.


%prep
%setup -q
%autopatch -p1

%build
%make_build CFLAGS="%{optflags} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 %{ldflags}"

%install
%__install -D %{name} %{buildroot}%{_bindir}/%{name}
%__install -D %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


