Name:		sympaadmin
Version:	2.0
Release:	%mkrel 3
Summary:	Command-line tool for Sympa administrators
License:	GPLv3+
Group:		Networking/Other
Url:		https://sourceforge.net/projects/listadmin/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

Requires: perl(Crypt::SSLeay)
Requires: perl(Data::Dumper)
Requires: perl(Getopt::Long)
Requires: perl(HTTP::Cookies)
Requires: perl(LWP::Protocol::https)
Requires: perl(MIME::Tools)
Requires: perl(Pod::Usage)
Requires: perl(SOAP::Lite)
Requires: perl(Term::ReadKey)
Requires: perl(Term::ReadLine)
Requires: perl(Term::ReadLine::Gnu)
Requires: perl(Text::Abbrev)

BuildArch: noarch

%description
A command-line alternative to Sympa's web interface for administering 
mailing lists. It allows you to inspect messages or subscription
requests, approve or discard them manually,
or discard messages automatically when certain conditions are true.


%prep
%setup -q

%build

%install
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_mandir}/man1
%makeinstall

%files
%doc ChangeLog
%{_bindir}/*
%{_mandir}/man1/*
%license COPYING

