%global debug_package %nil

Name:		t-lasku
Version:	1.28.0
Release:	%mkrel 1
Summary:	Finnish invoicing software
Group:		Office/Finance
License:	BSD
URL:		https://helineva.net/t-lasku/
Source0:	https://helineva.net/%{name}/%{name}-%{version}-i386.tar.gz
Source1:	https://helineva.net/%{name}/%{name}-%{version}-amd64.tar.gz
Patch0:		t-lasku-build-flags.patch
ExclusiveArch:	%ix86 x86_64
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5XmlPatterns)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5PrintSupport)
Requires:	qtbase5-database-plugin-sqlite

%description
T-lasku is a Finnish invoicing software for Linux.

%prep
%ifarch x86_64
%autosetup -T -b1 -p1
%else
%autosetup -T -b0 -p1
%endif

%build
%set_build_flags
%make_build

%install
%make_install

%files
%license COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
