Name:           tabulate
Version:        1.5
Release:        %mkrel 3
Summary:        Table creation for c++
Group:          System/Libraries
License:        BSD
URL:            https://github.com/p-ranav/tabulate
Source0:        https://github.com/p-ranav/tabulate/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         tabulate-ARCH_INDEPENDENT.patch
# Header-only package
BuildArch:      noarch
BuildRequires:  cmake

%description
tabulate is a header-only library. Just add include/ to your include_directories and you should be good to go. A single header file version is also available in single_include/.

%package devel
Summary:        Table creation for c++
Group:          Development/C++

%description devel
Development files for %{name} library.

%package doc
Summary:        Documentation for %{name}
Group:          Documentation

%description doc
Documentation files for %{name} library.

%prep
%autosetup -p1

%build
%cmake -DBUILD_TESTS=ON \
       -DCMAKE_INSTALL_LIBDIR=%{_datadir}
%cmake_build

%install
%cmake_install

%check

%files devel
%doc README.md
%license LICENSE
%{_includedir}/tabulate/
%{_datadir}/cmake/tabulate/

%files doc
%doc samples
%doc img
