%define	major		0
%define	libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		tap
Version:	1.14.0
Release:	%mkrel 6
Summary:	Write tests that implement the Test Anything Protocol
License:	BSD
Group:		System/Libraries
URL:		https://www.shlomifish.org/open-source/projects/libtap/
Source:		https://web-cpan.shlomifish.org/downloads/libtap-%{version}.tar.xz
BuildRequires:	cmake

%description
The tap library provides functions for writing test scripts that produce output
consistent with the Test Anything Protocol.  A test harness that parses this
protocol can run these tests and produce useful reports indicating their
success or failure.

%package -n	%{libname}
Summary:	Write tests that implement the Test Anything Protocol
Group:		System/Libraries

%description -n	%{libname}
The tap library provides functions for writing test scripts that produce output
consistent with the Test Anything Protocol.  A test harness that parses this
protocol can run these tests and produce useful reports indicating their
success or failure.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}.

%prep
%setup -q -n libtap-%{version}

%build
%cmake -DCMAKE_SKIP_RPATH:BOOL=ON
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc COPYING NEWS README
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{develname}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*
