%define nemo_version 5.4

Name: task-cinnamon
Epoch:   1
Version: 5.8
Release: %mkrel 1
Summary: Metapackage for Cinnamon desktop environment
Group: Graphical desktop/Cinnamon
License: GPLv2+
BuildArch: noarch
Requires: %{name}-minimal >= %{version}
Recommends: nemo-pastebin >= %{version}
Recommends: nemo-fileroller >= %{version}
Recommends: nemo-preview >= %{version}
Recommends: python3-nemo >= %{nemo_version}
Recommends: nemo-terminal >= %{version}
Recommends: task-xapps
Recommends: cinnamon-screensaver-unsupported
Recommends: nemo-compare
Recommends: nemo-emblems
Recommends: nemo-image-converter
Recommends: nemo-audio-tab
Recommends: nemo-seahorse
Recommends: nemo-share
Recommends: nitroshare-nemo
Recommends: drakconf
Recommends: muffin

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running Cinnamon.

%package devel
Summary: Development package needed for Cinnamon desktop 
Requires: task-cinnamon >= %{version}
Requires: pkgconfig(nemo-python) >= %{nemo_version}
Requires: cinnamon-control-center-devel >= %{version}
Requires: cinnamon-settings-daemon-devel >= %{version}
Requires: pkgconfig(cinnamon-desktop) >= %{version}
Requires: pkgconfig(libnemo-extension) >= %{nemo_version}
Requires: muffin-devel >= %{version}

%package minimal
Summary: Minimal dependencies needed for Cinnamon desktop 
Group: Graphical desktop/Cinnamon
Requires: cinnamon >= %{version}
Requires: cinnamon-desktop >= %{version}
Requires: cinnamon-session >= %{version}
Requires: cinnamon-control-center >= %{version}
Requires: cinnamon-screensaver >= %{version}
Requires: cinnamon-settings-daemon >= %{version}
Requires: cinnamon-translations >= %{version}
Requires: nemo >= %{nemo_version}
Recommends: lxdm
Recommends: pulseaudio-module-x11
Recommends: mageiawelcome
Recommends: drakconf
Recommends: cinnamon-applet-blueberry
Recommends: gnome-console
Recommends: mageia-theme-Default
Recommends: adwaita-gtk2-theme
Recommends: fonts-ttf-dejavu
Recommends: cinnamon-theme
# see mga#31857
Recommends: bluez
Recommends: blueman

# Note that cinnamon also requires mate-polkit but this is included
# as a requires in cinnamon since cinnamon functionality breaks without
# an authenticator

# like task-kde4, but suggests instead of requires
Recommends: task-x11 >= 1-2

%description devel
This package is a meta-package, meaning that its purpose is to contain
development dependencies for running a minimal Cinnamon desktop environment.

%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal Cinnamon desktop environment.

%files
%files minimal
%files devel

