Name: task-lamp
Version: 3
Release: %mkrel 11
Epoch:   1
Summary: Metapackage for the Linux, Apache, MySQL, PHP and Perl server
Group: System/Servers
License: GPLv2+
Requires: task-lamp-php
Requires: task-lamp-perl
# Requires: task-lamp-python
Requires: mariadb
Recommends: task-lamp-extras

BuildArch: noarch

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running LAMP-server, allowing easy installation of a
comprehensive LAMP testing/development setup. For a production server,
you may prefer to install a subset of the dependencies.

%package php
Summary: Metapackage for the Linux, Apache, MySQL, PHP server
Group: System/Servers
License: GPLv2+
Requires: apache
Recommends: apache-mpm-prefork
Requires: mariadb
Requires: php-gd
Requires: php-gettext
Requires: php-mysqli
Requires: php-openssl
Requires: php-webinterface
Requires: php-xml
Recommends: php-calendar
Recommends: php-dom
Recommends: php-latest
Recommends: php-mbstring
Recommends: php-pear
Recommends: php-session
Recommends: phpmyadmin

%description php
This package is a meta-package, meaning that its purpose is to contain
dependencies for running LAMP (PHP) server

%package perl
Summary: Metapackage for the Linux, Apache, MySQL, Perl server
Group: System/Servers
License: GPLv2+
Requires: apache
Requires: apache-mod_perl
Requires: perl-DBD-mysql
#Requires: perl-DBD-SQLite2 ??
Recommends: mariadb

%description perl
This package is a meta-package, meaning that its purpose is to contain
dependencies for running LAMP (Perl) server

# %package python
# Summary: Metapackage for the Linux, Apache, MySQL, Python server
# Group: System/Servers
# License: GPLv2+
# Requires: apache-base
# Requires: apache-mod_python
# Requires: python-mysql
# Requires: python-sqlite
# Suggests: mysql

# %description python
# This package is a meta-package, meaning that its purpose is to contain
# dependencies for running LAMP (Python) server

%package extras
Summary: Metapackage for the Linux, Apache, MySQL, PHP/Perl/Python extras
Group: System/Servers
License: GPLv2+
Requires: apache-mod_userdir
Requires: apache-mod_dav
Recommends: proftpd
Recommends: mariadb-extra

%description extras
This package is a meta-package, meaning that its purpose is to add additional
packages for a LAMP setup that are not strictly required, but are often provided
in other similar bundles. These extra packages are usually a convenience, and not
recommended for use on production servers without securing them.

%files

%files php

%files perl

# %files python

%files extras


