Name: task-lxde
Epoch: 1
Version: 10
Release: %mkrel 1
Summary: Metapackage for lxde
Group: Graphical desktop/Other
License: GPL
URL: https://lxde.org/
Requires: %{name}-minimal
# Requires components listed on lxde wiki,
# see: https://wiki.lxde.org/en/Status_of_LXDE_Components
Requires: gpicview
Requires: lxtask
Requires: lxinput
Requires: lxsession-edit
Requires: lxrandr
Requires: lxdm
Requires: lxhotkey
Requires: lxmusic
# Requires other app independent of lxde
Requires: xscreensaver
Requires: xarchiver
Requires: clipit
Requires: evince
Requires: l3afpad
Requires: xmessage
# lxpanel volume plugin does not support pipewire
Requires: task-pulseaudio
Conflicts: task-pipewire
Requires: mageiawelcome
Requires: srain
Requires: lxappearance-obconf

BuildArch: noarch

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running the Lightweight X11 Desktop Environment.

%package minimal
Summary: Minimal dependencies needed for LXDE
Group: Graphical desktop/Other
Requires: desktop-common-data
Requires: lxde-common
Requires: lxappearance
Requires: lxpolkit
Requires: lxterminal
Requires: task-x11
Requires: drakconf
Requires: obconf
Requires: dbus-x11
Requires: gnome-themes-standard
Requires: adwaita-gtk2-theme

%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal Lightweight X11 desktop
environment.

%prep
# nothing

%build
# nothing

%install
# nothing

%files

%files minimal

