#                           !!!!! READ THIS FIRST !!!!!
# Packages that are replaced by another package should be obsoleted by the replacing package.
# Subpackages that are dropped should be obsoleted by another package in the same SRPM.
#
#    Packages put in task-obsolete simply just to drop them from the
#    repository should be removed from task-obsolete thereafter (or
#    use null package instead).
#
# Things should only stay in here if we definitely want those packages to be removed from users' machines when they upgrade.
# Please keep this notice in place.

Name:		task-obsolete-nonfree
Version:	9
Release:	%mkrel 3
Summary:	Meta package obsoleting old packages
License:	GPLv2+
Group:		System/Base
BuildArch: 	noarch

# This package won't be installed, but will obsolete other packages
# Reference: https://github.com/openSUSE/libsolv/commit/25356d16b4520d716e64c8f9506ef4d00b343c63
Provides:	libsolv-self-destruct-pkg()

# *** Mageia 9 ***
# 2023-03-29 (kekepower)
# Has been part of the Linux kernel since version 2.4.6
# See http://www.bluez.org/download/
Obsoletes: bluez-firmware < 1.2-17

# *** Mageia 8 ***

# (wally) 2020-05-08
# python2 pkg and too many missing deps from repo to update to latest version
Obsoletes: gns3 < 0.8.3.1-10
# python2
Obsoletes: dynagen < 0.11.0-9

Obsoletes: flash-player-plugin > 1.0.0


# *** Mageia 8 ***


%description
This package is used to obsolete packages that are no longer supported.

%files
