#                           !!!!! READ THIS FIRST !!!!!
# Packages that are replaced by another package should be obsoleted by the replacing package.
# Subpackages that are dropped should be obsoleted by another package in the same SRPM.
#
#    Packages put in task-obsolete simply just to drop them from the
#    repository should be removed from task-obsolete thereafter (or
#    use null package instead).
#
# Things should only stay in here if we definitely want those packages to be removed from users' machines when they upgrade.
# Please keep this notice in place.

Name:		task-obsolete-tainted
Version:	9
Release:	%mkrel 6
Summary:	Meta package obsoleting old packages
License:	GPLv2+
Group:		System/Base
BuildArch: 	noarch

# This package won't be installed, but will obsolete other packages
# Reference: https://github.com/openSUSE/libsolv/commit/25356d16b4520d716e64c8f9506ef4d00b343c63
Provides:	libsolv-self-destruct-pkg()

# *** Mageia 9 ***

# 2023-01-02 (daviddavid) old, dead and does not build anymore
Obsoletes: wxcam < 1.1-13

# 2022-09-19 (wally) old, and dead (upstream disappeared)
Obsoletes: gtkpod < 2.1.5-12
Obsoletes: lib64gtkpod-devel < 2.1.5-12
Obsoletes: lib64gtkpod1 < 2.1.5-12
Obsoletes: lib64atomicparsley0 < 2.1.5-12
Obsoletes: libgtkpod-devel < 2.1.5-12
Obsoletes: libgtkpod1 < 2.1.5-12
Obsoletes: libatomicparsley0 < 2.1.5-12

Obsoletes: transcode < 1.1.7-32
Obsoletes: subtitleripper < 1:0.6.14-0.20051106.11
Obsoletes: dvdrip < 0.98.11-13

# *** Mageia 8 ***

# (wally) 2020-05-08
# python2 pkg
Obsoletes: devidify < 1.14-12
# unused since ekiga was dropped
Obsoletes: lib64opal3-devel < 3.18.5-2
Obsoletes: libopal3-devel < 3.18.5-2
Obsoletes: lib64opal-devel < 3.18.5-2
Obsoletes: libopal-devel < 3.18.5-2
Obsoletes: lib64opal3.16.2 < 3.16.2-8
Obsoletes: libopal3.16.2 < 3.16.2-8
Obsoletes: lib64opal3.16.2-plugins < 3.16.2-8
Obsoletes: libopal3.16.2-plugins < 3.16.2-8
Obsoletes: lib64opal3.18.5 < 3.18.5-2
Obsoletes: libopal3.18.5 < 3.18.5-2
Obsoletes: lib64opal3.18.5-plugins < 3.18.5-2
Obsoletes: libopal3.18.5-plugins < 3.18.5-2

%description
This package is used to obsolete packages that are no longer supported.

%files
