%define release 16

Summary:	Metapackage for Python SciPy Stack packages
Name:		task-python-scipy-stack
Version:	1
Release:	%mkrel %release
License:	GPLv3
Group:		Development/Python
BuildArch:	noarch

%description
This metapackage will install the core packages of SciPy Stack to scientific
computing in Python. The packages are:

* Python: a general purpose programming language;
* NumPy: the fundamental package for numerical computation;
* SciPy: a collection of numerical algorithms and domain-specific toolboxes;
* Matplotlib: a mature and popular plotting package;
* pandas: providing high-performance, easy to use data structures;
* SymPy: for symbolic mathematics and computer algebra;
* IPython: a rich interactive interface, letting you quickly process data.

#------------------------------------------------------------------------------
%define py3package task-python3-scipy-stack

%package -n %py3package
Summary:	Metapackage for Python 3 SciPy Stack packages
Group:          Development/Python

Requires:       python3

Requires:       python3-numpy

Requires:       python3-scipy

Requires:       python3-matplotlib

Requires:       ipython

Requires:       python3-sympy

Requires:       python3-pandas

%description -n %py3package
This metapackage will install the core packages of SciPy Stack to scientific
computing in Python 3. The packages are:

* Python 3: a general purpose programming language;
* NumPy: the fundamental package for numerical computation;
* SciPy: a collection of numerical algorithms and domain-specific toolboxes;
* Matplotlib: a mature and popular plotting package;
* pandas: providing high-performance, easy to use data structures;
* SymPy: for symbolic mathematics and computer algebra;
* IPython: a rich interactive interface, letting you quickly process data.

%files -n %py3package

