Summary:	Analyses TCP dump files
Name:		tcptrace
Version:	6.6.7
Release:	%mkrel 11
License:	GPLv2
Group:		Networking/File transfer
# These URLs are no longer valid
URL:		http://www.tcptrace.org/
Source0:	http://www.tcptrace.org/download/%{name}-%{version}.tar.gz
Patch0:		tcptrace-6.6.7-pcap-ftbfs.patch
BuildRequires:	libpcap-devel

%description
tcptrace is a tool for analysis of TCP dump files. It can take as input the
files produced by several popular packet-capture programs, including tcpdump,
snoop, etherpeek, HP Net Metrix, and WinDump. tcptrace can produce several
different types of output containing information on each connection seen,
such as elapsed time, bytes and segments sent and received, retransmissions,
round trip times, window advertisements, throughput, and more. It can also
produce a number of graphs for further analysis.

%prep
%setup -q
%autopatch -p1

%build
%configure
perl -pi -e 's/-o bin -g bin//' Makefile
%make_build

%install
mkdir -p %{buildroot}%{_sbindir} %{buildroot}%{_mandir}/man1
%make_install BINDIR=%{buildroot}%{_sbindir} MANDIR=%{buildroot}%{_mandir}

%files
%doc README* CHANGES
%{_sbindir}/tcptrace
%{_mandir}/man1/*
