Name:		tcptunnel
Version:	0.7
Release:	%mkrel 11
Summary:	Tcptunnel is a simple TCP port forwarder
License:	GPLv2
Group:		Networking/Other
URL:		https://www.vakuumverpackt.de/tcptunnel/
Source:		https://www.vakuumverpackt.de/tcptunnel//%{name}-%{version}.tar.gz
Patch0:		tcptunnel-paths.diff
Patch1:		tcptunnel-0.7-cflags.patch

%description
Tcptunnel is a simple TCP port forwarder. This tool listens to a local TCP port
and all the received data is sent to a remote host. It can be used to redirect
TCP based protocols like HTTP, IRC, NNTP, SSH or SMTP.

Tcptunnel was successfully compiled and tested under GNU/Linux, FreeBSD, HP-UX,
OpenBSD, Solaris, Windows 7, Windows Server 2008 and Windows XP. The current
version was tested under GNU/Linux and Windows 7. If you have compiled and run
it on another system or in another universe please let me know it.

%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p1 -b .cflags

sed -i 's#/@LDFLAGS@/$LDFLAGS/#|@LDFLAGS@|$LDFLAGS|#' configure

%build
%configure
%make_build

%install
%make_install STRIP=/bin/true

%files
%doc README.md ChangeLog
%license COPYING
%{_bindir}/%{name}




