Name:		tecnoballz
Summary:	A Brick Busting game
Version:	0.93.1
Release:	%mkrel 6
License:	GPLv3+
Group:		Games/Arcade
URL:		https://linux.tlk.fr/games/TecnoballZ/
Source0:	https://linux.tlk.fr/games/TecnoballZ/download/%{name}-%{version}.tgz
Source1:	%{name}.xpm
Patch0:		tecnoballz-0.93.1-cxxflags.patch
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	autoconf
BuildRequires:	pkgconfig(libmikmod)
BuildRequires:	pkgconfig(tinyxml)

%description
A exciting Brick Breaker with 50 levels of game and 11 special levels,
distributed on the 2 modes of game to give the player a sophisticated
system of attack weapons with an enormous power of fire that can be
build by gaining bonuses. Numerous decors, musics and sounds
complete this great game. This game was ported from the Commodore Amiga.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=TecnoballZ
Comment=A Brick Busting game
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
install -p -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.xpm

%files
%doc AUTHORS CHANGES COPYING README
%attr(-, root, games) %{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_mandir}/man6/%{name}.6*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.xpm
%attr(664, root, games) %config(noreplace) %{_localstatedir}/games/%{name}/%{name}.hi
