Name:           telepathy-haze
Version:        0.8.1
Release:        %mkrel 1
Summary:        A multiprotocol connection manager based on pidgin

Group:          Networking/Instant messaging
License:        GPLv2+
URL:            https://telepathy.freedesktop.org/wiki/
Source0:        https://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(telepathy-glib) >= 0.9.2
BuildRequires:  pkgconfig(purple) >= 2.10.12
BuildRequires:  python3
BuildRequires:  xsltproc
Requires:       telepathy-filesystem
Requires:       pidgin-plugins

%description
This connection manager allows you to use libpurple, pidgin backend, with
telepathy, allowing you to access to numerous instant messaging network with
telepathy enabled software, such as empathy.

%prep
%setup -q
2to3 --write --nobackups --no-diffs tools
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS NEWS
%{_libexecdir}/%{name}
%{_datadir}/dbus-1/services/*.service
%{_mandir}/man*/*.*
