Summary:	A tellico to HTML processor
Name:		tellico2html
Version:	0.9.8
Release:	%mkrel 3
License:	GPLv2+
Group:		Databases
URL:		https://github.com/bcornec/tellico2html
Source:		https://github.com/bcornec/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

Recommends:	tellico
Requires:	perl(strict)
Requires:	perl(warnings)
Requires:	perl(XML::Simple)
Requires:	perl(Template)
Requires:	perl(Data::Dumper)
Requires:	perl(YAML)
BuildArch:	noarch

%{?perl_default_filter}

%description
Tellico2html helps the generation of a Web site from Tellico data using
Perl scripts and Template Toolkit.

%prep
%setup -q

%build

%install
DESTDIR=${RPM_BUILD_ROOT} PREFIX=%{_exec_prefix} ./install.sh

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*
