%define oname	terminatorX

Name:		terminatorx
Summary:	Realtime audio synthesizer
Version:	4.2.0
Release:	%mkrel 2
Group:		Sound/Utilities
License:	GPLv2
Url:		https://terminatorx.org/
Source0:	https://terminatorx.org/dist/terminatorX-%{version}.tar.gz
BuildRequires:	ladspa-devel
BuildRequires:	itstool
BuildRequires:	mpg123
BuildRequires:	sox
BuildRequires:	vorbis-tools
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(audiofile)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libcap)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(lrdf)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(vorbisfile)
BuildRequires:	pkgconfig(xxf86dga)
Requires:	mpg123
Requires:	sox
Requires:	vorbis-tools
Recommends:	ladspa

%description
terminatorX allows “scratching” on digitally sampled audio data (*.wav, *.au,
*.ogg, *.mp3, etc.) the way hip-hop-DJs scratch on vinyl records. It features
multiple turntables, realtime effects (built-in as well as LADSPA plugin
effects), a sequencer and MIDI interface – all accessible through an
easy-to-use gtk+ GUI.

%prep
%setup -qn %{oname}-%{version}

%build
%configure

%make_build

%install
%make_install

%files
%doc ChangeLog NEWS README*
%{_bindir}/terminatorX
%{_datadir}/applications/terminatorX.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_mandir}/man1/terminatorX.1.*
%{_datadir}/mime-info/terminatorX.*
%{_datadir}/help/C/%{oname}-manual/
%{_datadir}/appdata/terminatorX.appdata.xml
%{_datadir}/pixmaps/terminatorX.xpm
