Name:           tetzle
Version:        3.0.3
Release:        %mkrel 1
Summary:        Jigsaw puzzle with tetromino pieces
Group:          Games/Puzzles
License:        GPLv3+
URL:            https://gottcode.org/tetzle/
Source0:        https://gottcode.org/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  cmake

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Linguist)
BuildRequires:  cmake(Qt6OpenGL)
BuildRequires:  cmake(Qt6OpenGLWidgets)
BuildRequires:  cmake(Qt6Widgets)

%description
A jigsaw puzzle game that uses tetrominoes for the pieces.
Any image can be imported and used to create puzzles with
a wide range of sizes. Games are saved automatically, and
you can select between currently in progress games.

%prep
%setup -q

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man6/%{name}.6*
