
Name:		texmakerx
Summary:	A fork of the LaTeX IDE TexMaker
License:	GPLv2+
Version:	2.0
Release:	%mkrel 1
Source0:	https://downloads.sourceforge.net/project/texmakerx/%{name}-%{version}.tar.gz
URL:		https://texmakerx.sourceforge.net/
Group:		Publishing
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(poppler-qt4)
Requires:	desktop-file-utils 
Obsoletes:  TexMakerX < 1.9.9-3
Provides:   TexMakerX = %version-%release

%description
TexMakerX is a fork of the LaTeX IDE TexMaker and gives you an environment where
you can easily create and manage LaTeX documents.  It provides modern writing
support, like interactive spell checking, code folding and syntax highlighting.
Also it serves as a starting point from where you can easily run all necessary
LaTeX tools.

%prep
%setup -q -n %{name}-%version	

%build
%qmake_qt4 PREFIX=%{_prefix} texmakerx.pro 
%make 

%install
%__rm -rf %{buildroot}
make install INSTALL_ROOT=%buildroot

%files
%{_datadir}/%{name}/
%{_datadir}/applications/texmakerx.desktop
%{_bindir}/texmakerx
