%global __provides_exclude_from %{_libdir}/thunarx-3/.*\\.so

Name:		thunar-dropbox
Summary:	Dropbox plugin for Thunar
Version:	0.3.1
Release:	%mkrel 3
License:	GPLv3
Group:		Graphical desktop/Xfce
Url:		https://github.com/Jeinzi/thunar-dropbox
Source0:	https://github.com/Jeinzi/thunar-dropbox/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	git-core
BuildRequires:	pkgconfig(thunarx-3)
Requires:	hicolor-icon-theme
Requires:	thunar
Requires:	dropbox

%description
Thunar Dropbox is a plugin for thunar that adds context-menu items from
dropbox.

%prep
%autosetup -p1 -Sgit_am

# fix libdir
sed -i -e 's,lib/,%{_lib}/,g' CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%{_libdir}/thunarx-3/thunar-dropbox.so
%{_iconsdir}/hicolor/*/apps/thunar-dropbox.png
