Name:		tilitin
Version:	1.5.0
Release:	%mkrel 11
Summary:	Free Finnish bookkeeping software
Group:		Office/Finance
License:	GPLv3+
URL:		https://helineva.net/tilitin/
Source:		https://helineva.net/tilitin/%{name}-%{version}-src.zip
Source1:	%{name}
Source2:	%{name}.desktop
Patch0:		tilitin-1.5.0-fix-build-java17.patch
BuildRequires:	locales
BuildRequires:	ant
BuildRequires:	java-devel
Requires:	java >= 1.6.0
Requires:	javasqlite
BuildArch:	noarch

%description
Tilitin is a free Finnish bookkeeping software for Windows and Linux.

%prep
%autosetup -p1

%build
LC_ALL=UTF-8 %ant

%install
mkdir -p %{buildroot}%{_datadir}/%{name}/tilikarttamallit
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/applications
install -D -m 755 %{SOURCE1} %{buildroot}%{_bindir}/%{name}
install -D -m 644 %{SOURCE2} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m 644 dist/tilitin.jar %{buildroot}%{_datadir}/%{name}/
install -D -m 644 lib/* %{buildroot}%{_datadir}/%{name}/
install -D -m 644 tilikarttamallit/* %{buildroot}%{_datadir}/%{name}/tilikarttamallit/

# Install hicolor icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{24x24,32x32,48x48}/apps
install -D -m 644 src/kirjanpito/ui/resources/tilitin-24x24.png %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
install -D -m 644 src/kirjanpito/ui/resources/tilitin-32x32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -D -m 644 src/kirjanpito/ui/resources/tilitin-48x48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
