Summary:	Decodes MS-TNEF attachments
Name:		tnef
Version:	1.4.18
Release:	%mkrel 4
License:	GPLv2+
Group:		Networking/Mail
URL:		https://github.com/verdammelt/tnef
Source0:	https://github.com/verdammelt/tnef/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	mawk
BuildRequires:	gettext-devel
BuildRequires:	autoconf
BuildRequires:	libtool

%description
TNEF is a program for unpacking MIME attachments of type "application/ms-tnef".
This is a Microsoft only attachment. Due to the proliferation of Microsoft
Outlook and Exchange mail servers, more and more mail is encapsulated into
this format. The TNEF program allows one to unpack the attachments which were
encapsulated into the TNEF attachment. Thus alleviating the need to use
Microsoft Outlook to view the attachment.

%prep
%autosetup

%build
autoreconf -vfi
%serverbuild
%configure
%make_build

%check
make check

%install
%make_install

%files
%doc NEWS README.md THANKS
%license COPYING
%{_bindir}/tnef
%{_mandir}/man1/tnef.1*
