%define		apiver 5.1
%define 	soname tolua++%{apiver}
%define 	libname %mklibname %{name} %{apiver}
%define 	develname %mklibname %{name} -d

Name:		tolua++
Version:	1.0.93
Release:	%mkrel 22
Summary:        A tool to integrate C/C++ code with Lua
License:	MIT
Group:          Development/Other
URL:		http://www.codenix.com/~tolua/
Source0:	http://www.codenix.com/~tolua/%{name}-%{version}.tar.bz2
Source1:	custom.py
Patch0:		tolua++-1.0.93-scons-3.0.3.patch
Patch1:		tolua++-1.0.93-soname.patch
BuildRequires:	scons
BuildRequires:	lua5.1-devel


%description
tolua++ is an extended version of tolua, a tool to
integrate C/C++ code with Lua. tolua++ includes new
features oriented to c++.

%package -n %{libname}
Summary:	Shared library for tolua++
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
Shared library for tolua++.

%package -n %{develname}
Summary:        Development files for tolua++
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Requires:       lua5.1-devel >= 5.1
Provides:	tolua++-devel = %{version}-%{release}
Obsoletes:	%{mklibname %{name} 5.1}-devel < 1.0.92-5
Provides:	%{mklibname %{name} 5.1}-devel

%description -n %{develname}
Development files for tolua++.

%prep
%autosetup -p1

cp %{SOURCE1} custom.py

%build
%scons -Q CCFLAGS="%{optflags} -fPIC -I%{_includedir}/lua-5.1" LINKFLAGS="%{ldflags}" SHLINKFLAGS="%{ldflags} -shared -Wl,-soname,lib%{soname}.so"

%install
mkdir -p %{buildroot}%{_bindir}
mkdir %{buildroot}%{_libdir}
mkdir %{buildroot}%{_includedir}
install -m0755 bin/%{name}  %{buildroot}%{_bindir}
install -m0755 lib/lib%{soname}.so* %{buildroot}%{_libdir}
install -m0644 include/%{name}.h %{buildroot}%{_includedir}
ln -s lib%{soname}.so %{buildroot}%{_libdir}/libtolua++.so

%files
%{_bindir}/%{name}

%files -n %{libname}
%{_libdir}/lib%{soname}.so

%files -n %{develname}
%doc README doc/*
%{_libdir}/libtolua++.so
%{_includedir}/%{name}.h
