%define	pname	torcs
%define	opname	TORCS

Name:		%{pname}-data-nonfree
Version:	1.3.4
Release:	%mkrel 9
Summary:	Data files for torcs which are not free to reuse
License:	Freeware
Group:		Games/Arcade
Url:            http://torcs.org/
Source0:	https://sourceforge.net/projects/%{pname}/files/non-free/%{version}/%{opname}-%{version}-data-cars-Patwo-Design.tgz
Source1:	https://sourceforge.net/projects/%{pname}/files/non-free/%{version}/%{opname}-%{version}-data-cars-kcendra-gt.tgz
Source2:	https://sourceforge.net/projects/%{pname}/files/non-free/%{version}/%{opname}-%{version}-data-cars-kcendra-roadsters.tgz
Source3:	https://sourceforge.net/projects/%{pname}/files/non-free/%{version}/%{opname}-%{version}-data-cars-kcendra-sport.tgz
BuildArch:	noarch
Requires:	%{pname}

%description
This package adds more cars for TORCS, which one cannot reuse to create new models :
- kcendra-gt (GT cars from the 60's)
- kcendra-roadsters (roadsters from the 60's)
- kcendra-sport (sport cars from the 60's)
- Patwo-Design (rally cars)

%prep

%build

%install
%{__install} -d %buildroot%{_gamesdatadir}/%{pname}
%{__tar} -xf %{SOURCE0} -C %buildroot%{_gamesdatadir}/%{pname}
%{__tar} -xf %{SOURCE1} -C %buildroot%{_gamesdatadir}/%{pname}
%{__tar} -xf %{SOURCE2} -C %buildroot%{_gamesdatadir}/%{pname}
%{__tar} -xf %{SOURCE3} -C %buildroot%{_gamesdatadir}/%{pname}

%files
%defattr(-,root,root,755)
%{_gamesdatadir}/torcs/cars/pw-206wrc/*
%{_gamesdatadir}/torcs/cars/pw-306wrc/*
%{_gamesdatadir}/torcs/cars/pw-corollawrc/*
%{_gamesdatadir}/torcs/cars/pw-evoviwrc/*
%{_gamesdatadir}/torcs/cars/pw-focuswrc/*
%{_gamesdatadir}/torcs/cars/pw-imprezawrc/*
%{_gamesdatadir}/torcs/cars/kc-2000gt/*
%{_gamesdatadir}/torcs/cars/kc-5300gt/*
%{_gamesdatadir}/torcs/cars/kc-corvette-ttop/*
%{_gamesdatadir}/torcs/cars/kc-daytona/*
%{_gamesdatadir}/torcs/cars/kc-db4z/*
%{_gamesdatadir}/torcs/cars/kc-dbs/*
%{_gamesdatadir}/torcs/cars/kc-dino/*
%{_gamesdatadir}/torcs/cars/kc-ghibli/*
%{_gamesdatadir}/torcs/cars/kc-grifo/*
%{_gamesdatadir}/torcs/cars/kc-bigh/*
%{_gamesdatadir}/torcs/cars/kc-a110/*
%{_gamesdatadir}/torcs/cars/kc-alfatz2/*
%{_gamesdatadir}/torcs/cars/kc-coda/*
%{_gamesdatadir}/torcs/cars/kc-conrero/*
%{_gamesdatadir}/torcs/cars/kc-gt40/*
%{_gamesdatadir}/torcs/cars/kc-gto/*
%{_gamesdatadir}/torcs/cars/kc-p4/*
