Name:		torrent-file-editor
Version:	1.0.0
Release:	%mkrel 1
Summary:	Qt based GUI tool designed to create and edit .torrent files
Group:		File tools
License:	GPLv3+
URL:		https://torrent-file-editor.github.io
Source0:	https://github.com/%{name}/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Widgets)

%description
Qt based GUI tool designed to create and edit .torrent files.

Features
 - create .torrent file from scratch
 - edit .torrent file in a user-friendly way
 - edit .torrent file in tree format
 - edit .torrent file in JSON format
 - add, remove and interchange files in .torrent file
 - support for codings

%prep
%setup -q

%build
%cmake_qt6 \
	-DQT6_BUILD=ON \
	-DDISABLE_DONATION=ON \
	-DENABLE_PCH=OFF

%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml
