Name:		touchegg-gui
Version:	0.3
Release:	%mkrel 10
Summary:	Touchegg configuration gui
License:	GPLv3
Group:		System/Configuration
Url:		https://code.google.com/p/touchegg
Source0:	https://touchegg.googlecode.com/files/%name-%version.tar.gz
Patch0:		%{name}-0.3-desktopfile.patch

BuildRequires:	qt4-devel
BuildRequires:	desktop-file-utils

Requires:	touchegg

%description
Graphical user interface that helps configuring touchegg.

%prep
%setup -q -n %{name}
%autopatch -p1

%build
%qmake_qt4
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/%{name}.png

