%define svn	rev3450

Name:		tovid
Summary:	Video disc authoring tools
Version:	0.35
Release:	%mkrel 1 -c %svn

Source:		http://tovid.googlecode.com/files/%{name}-%{svn}.tar.gz
URL:		https://tovid.sourceforge.net/
License:	GPLv2+
Group:		Video

BuildRequires:	imagemagick
BuildRequires:	python-setuptools
BuildRequires:	txt2tags

Requires:	wxPythonGTK
Requires:	mplayer
Requires:	mencoder
Requires:	mjpegtools
Requires:	imagemagick
Requires:	bc
Requires:	ffmpeg
Requires:	dvdauthor
Requires:	vcdimager
Requires:	dvd+rw-tools
Requires:	cdrdao
Requires:	tix
# for todiscgui, bug #31895
Requires:	tkinter


%description
Tovid is a collection of video disc authoring tools; it can help you create
your own DVDs, VCDs, and SVCDs for playback on your home DVD player.

Note: Some features will be unavailable unless you also install the
      trans code package, available elsewhere.

%prep
%setup -q -n %{name}

%build
./setup.py build
./setup.py build_docs
./setup.py build_tovid_init

%install
./setup.py install --prefix=%{_prefix} --root=%{buildroot}

rm -f %{buildroot}%{_libdir}/%{name}/.install.log

%clean

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{python_sitearch}/libtovid
%{python_sitearch}/*-py*.egg-info
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/titleset-wizard.png