Name:		tradietrakka
Version:	0.5
Release:	%mkrel 15
Group:		Office/Finance
License:	GPLv3
Summary:	Simple business tool for Tradesmen to keep track of invoices, tax etc
URL:		http://tradietrakka.googlecode.com/
Source0:	http://tradietrakka.googlecode.com/files/tradietrakka-0.5.tar.xz
# https://github.com/BackupGGCode/tradietrakka/commit/e3739e3cf6f0841a7769cb0779af988fa6dbb17d
Patch0:		tradietrakka-0.5-upstream-Qt5-port.patch
Patch1:		tradietrakka-0.5-fix-build-against-qt-5.11.0.patch
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
TradieTrakka is a very simple, easy to use program,
aimed at Tradesmen running a small business.
It makes life easy by making it trivial to Quote, Invoice
and Generate BAS (Australian GST reporting).


%prep
%setup -q -n %{name}
%autopatch -p1

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
