Name:           transset-df
Version:        6
Release:        %mkrel 11
Summary:        Sets translucency properties
License:        MIT
Group:          System/X11

URL:            https://forchheimer.se/transset-df/
Source0:        https://forchheimer.se/transset-df/%{name}-%{version}.tar.gz
Patch0:         transset-df-6-cflags.patch

BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xdamage)

%description
This is a modified version of xorg's original transset. It allows
setting and unsetting window's transparency by pressing a key without
bringing up the crosshairs.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build

%install
install -D -p -m 755 %{name} %{buildroot}%{_bindir}/%{name}

%files
%doc README ChangeLog
%{_bindir}/%{name}

