Name:		tremulous-data
Version:	1.2.0
Release:	%mkrel 0.beta1.10
Summary:	Data files for tremulous the FPS game
Group:		Games/Arcade
License:	CC-BY-SA
URL:		https://tremulous.net/
# To get the source tarball:
# wget https://downloads.sourceforge.net/tremulous/tremulous-1.1.0.zip
# unzip tremulous-1.1.0.zip
# wget https://prdownloads.sourceforge.net/tremulous/tremulous-gpp1.zip
# unzip tremulous-gpp1.zip
# cp tremulous/gpp/* tremulous/base/
# mkdir tremulous-data-1.2.0
# cp tremulous/base tremulous-data-1.2.0/
# cp tremulous/C* tremulous-data-1.2.0/
# cp tremulous/manual.pdf tremulous-data-1.2.0/
# tar -czf tremulous-data-1.2.0.tar.gz tremulous-data-1.2.0
Source0:	%{name}-%{version}.tar.gz
BuildArch:	noarch
Obsoletes:	tremulous-maps <= 1.2.0

%description
Data files for tremulous the Quake 3 based FPS game.


%prep
%setup -q

%build
# nothing to build data only

%install
install -d %{buildroot}%{_gamesdatadir}/tremulous/base
install -p -m 0644 base/*.pk3 %{buildroot}%{_gamesdatadir}/tremulous/base/
install -p -m 0644 base/*.cfg %{buildroot}%{_gamesdatadir}/tremulous/base/


%files
%doc CC COPYING manual.pdf
%{_gamesdatadir}/tremulous/

