%define commit 5502421d91c633332ec656a80bf82311632be240
%define rel 8

%if "%{commit}" != "0"
%define tarball %{commit}.zip
%define distname Tiny-Tiny-RSS-Contrib-%{commit}
%define release %mkrel 0.%{commit}.%{rel}
%else
%define tarball %{version}.tar.gz
%define distname Tiny-Tiny-RSS-Contrib-%{version}
%define release %mkrel %{rel}
%endif

%global __requires_exclude pear\\(

Summary:	Tiny Tiny RSS contributed plugins
Name:		tt-rss-contrib
Version:	1.12
Release:	%{release}
Source0:	https://github.com/gothfox/Tiny-Tiny-RSS-Contrib/archive/%{tarball}
License:	GPLv2
Group:		System/Servers
Url:		https://tt-rss.org/
BuildArch:	noarch
Requires:	tt-rss

%description
This packages contains user contributed plugins for the Tiny Tiny RSS
news feed (RSS/Atom) reader.
It includes notably including Twitter, Google+, ownCloud and Identi.ca plugins.

%prep
%setup -q -n %{distname}
%autopatch -p1
find -name '*.00*' | xargs -r rm

%build

%install
mkdir -p %{buildroot}%{_datadir}/tt-rss/plugins
cp -a plugins/* %{buildroot}%{_datadir}/tt-rss/plugins

%files
%{_datadir}/tt-rss/plugins/*
