%define _fontdir %{_fontbasedir}/TTF

Name:		ttfonts
Version:	1.4
Release:	%mkrel 10
License:	Freeware
Summary:	TrueType fonts
Group:		System/Fonts/True type 
Source:		ttfonts-%{version}.tar.xz
Source1:	fonts-ttf-west_european-fonts.dir.bz2
Source2:	fonts-ttf-decoratives-fonts.dir.bz2
BuildArch:	noarch

%description
This package is a collection of free TrueType fonts.

%package -n fonts-ttf-west_european
Summary:	TrueType fonts (West European charset)
Group:		System/Fonts/True type
Obsoletes:	ttfonts

%description -n fonts-ttf-west_european
This package is a collection of free TrueType fonts.

%package -n fonts-ttf-decoratives
Summary:	True Type Fonts (decoratives)
Group:		System/Fonts/True type

%description -n fonts-ttf-decoratives
This package is a collection of free TrueType fonts.

%prep
%setup -q -n ttfonts

%build

%install
# iso8858-{1,15} and ascii-0 fonts
mkdir -p %{buildroot}%{_fontdir}/western
# decorative fonts, quite improper for normal use
mkdir -p %{buildroot}%{_fontdir}/decoratives

mkdir western
for i in Adventure Bluehigb Bluehigc Bluehigh a_d_mono babelfish \
	dirtydoz fudd larabief
do
  install -m444 $i.ttf %{buildroot}%{_fontdir}/western
  cp $i.txt western || :
done 
bzcat %{SOURCE1} > %{buildroot}%{_fontdir}/western/fonts.dir
bzcat %{SOURCE1} > %{buildroot}%{_fontdir}/western/fonts.scale

mkdir decoratives
for i in CaptainPodd actionis bazaroni betadance betsy binary \
	brandnew creature davis demon densmore dienasty \
	distortia edgewater electroh eli5.0- embargo2 fadgod failed \
	fakerece flubber fontrstc goldengi hydrogen ikarrg ikart \
	ikarv independ indigo
do
  install -m444 $i.ttf %{buildroot}%{_fontdir}/decoratives
  cp $i.txt decoratives || :
done
bzcat %{SOURCE2} > %{buildroot}%{_fontdir}/decoratives/fonts.dir
bzcat %{SOURCE2} > %{buildroot}%{_fontdir}/decoratives/fonts.scale

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%{_fontdir}/western \
	%{buildroot}%_sysconfdir/X11/fontpath.d/ttf-west_european:pri=50
ln -s ../../..%{_fontdir}/decoratives \
	%{buildroot}%_sysconfdir/X11/fontpath.d/ttf-decoratives:pri=50

cp bluehigh.txt contourgenerator.txt western/
cp betsy.readme.txt decoratives/

%files -n fonts-ttf-west_european
%doc western/*
%dir %{_fontdir}/western
%{_fontdir}/western/*.ttf
%config(noreplace) %{_fontdir}/western/fonts.scale
%config(noreplace) %{_fontdir}/western/fonts.dir
%_sysconfdir/X11/fontpath.d/ttf-west_european:pri=50

%files -n fonts-ttf-decoratives
%doc decoratives/*
%dir %{_fontdir}/decoratives
%{_fontdir}/decoratives/*.ttf
%config(noreplace) %{_fontdir}/decoratives/fonts.dir
%config(noreplace) %{_fontdir}/decoratives/fonts.scale
%_sysconfdir/X11/fontpath.d/ttf-decoratives:pri=50
