Summary: Utility to create fonts.scale files for truetype fonts
Name: ttmkfdir
Version: 3.0.9
Release: %mkrel 43
URL:	http://freecode.com/projects/ttmkfdir
Source0: %{name}-%{version}.tar.bz2
Patch0: ttmkfdir-3.0.9-cpp.patch
Patch1: ttmkfdir-3.0.9-zlib.patch
Patch2: ttmkfdir-3.0.9-fix-freetype217.patch
Patch3: ttmkfdir-3.0.9-namespace.patch
Patch4: ttmkfdir-3.0.9-fix-crash.patch
Patch5: ttmkfdir-3.0.9-warnings.patch
Patch6: ttmkfdir-3.0.9-segfaults.patch
Patch7: ttmkfdir-3.0.9-encoding-dir.patch
Patch8: ttmkfdir-3.0.9-font-scale.patch
Patch9: ttmkfdir-3.0.9-bug434301.patch
Patch10: ttmkfdir-3.0.9-no-libtool.patch
# Only licensing attribution is in README, no version.
License: LGPLv2+
Group: System/Fonts/True type
BuildRequires: freetype2-devel
BuildRequires: zlib-devel 
BuildRequires: flex
BuildRequires: libtool
Provides:       freetype-tools = %{version}-%{release}
Obsoletes:      freetype-tools

%description
ttmkfdir is a utility used to create fonts.scale files in
TrueType font directories in order to prepare them for use
by the font server.

%prep
%setup -q
%autopatch -p1

%build
%make_build

%install
%make_install

%files
%doc README
%{_bindir}/ttmkfdir

