Name:           tunctl
Version:        1.5
Release:        %mkrel 9
Summary:        Create and remove virtual network interfaces

Group:          Networking/Other
License:        GPLv2
URL:            https://tunctl.sourceforge.net/
Source0:        https://downloads.sourceforge.net/tunctl/tunctl-%{version}.tar.gz

BuildRequires:  docbook-utils

%description
tunctl is a tool to set up and maintain persistent TUN/TAP network
interfaces, enabling user applications access to the wire side of a
virtual nework interface. Such interfaces is useful for connecting VPN
software, virtualization, emulation and a number of other similar
applications to the network stack.

tunctl originates from the User Mode Linux project.

%files
%{_mandir}/man8/tunctl.8*
%{_sbindir}/tunctl
%doc ChangeLog

#--------------------------------------------------------------------

%prep
%setup -q

%build
%make_build

%install
%make_install

