Name:		tux_aqfh
Version:	1.0.14
Release:	%mkrel 26
License:	GPLv2
URL:		https://sourceforge.net/projects/tuxaqfh/
Group:		Games/Arcade
Source0:	https://tuxaqfh.sourceforge.net/dist/%{name}-%{version}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		%{name}-1.0.14-fix-building-with-gcc14.patch
Summary:	Tuxedo T. Penguin: A Quest For Herring
BuildRequires:	plib-devel
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(x11)

%description
Tuxedo The Penguin: A Quest for Herring

A 3D search/explore game staring Tux the Linux Penguin and his girlfriend Gown
as they solve problems and search a number of 3D levels for Golden Herring.

Note: A gamepad is needed to play this game, mouse support is not working
anymore on recent Linux distributions.

%prep
%autosetup -p1

%build
%configure --bindir=%{_gamesbindir} --x-libraries="-L%{_libdir} -lplibjs" --with-x
%make_build

%install
%make_install bindir=%{_gamesbindir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Tuxedo The Penguin
GenericName=3D exploration game
Comment=Tuxedo The Penguin: A Quest for Herring
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

#Move website to HTML so we can include it as a %%doc instead of clutterng up %%_datadir
mv %{buildroot}%{_datadir}/%{name} HTML

%files
%doc README HTML/
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop
