Summary:	Tuxedo T. Penguin stars in TuxKart
Name:		tuxkart
Version:	0.4.0
Release:	%mkrel 19
License:	GPLv2
Group:		Games/Arcade
Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}-mdkimgs.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		%{name}-remove-O6.patch
Patch1:		%{name}-gownsbow-drv.patch
Patch2:		tuxkart-0.4.0-link.patch
URL:		https://tuxkart.sourceforge.net/
BuildRequires:	libx11-devel
BuildRequires:	mesaglu-devel
BuildRequires:	plib-devel

%description
TuxKart is an open source Go-Kart racing game starring Tux T. Penguin,
the Linux mascot, and his friends.

TuxKart is no longer under development. For an actively maintained and
more recent cartoony karting experience, try SuperTuxKart.

%prep
%setup -q -D -a 1
%autopatch -p1

%build
autoreconf -fi
%configure --bindir=%{_gamesbindir}
%make

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=TuxKart
GenericName=Karting game
Comment=Karting with Tux T. Penguin
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

# This directory only contains the HTML documentation
mv %{buildroot}%{_datadir}/%{name} HTML

%files
%doc README CHANGES ChangeLog NEWS HTML/*
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop
