Summary:	Clone of ShufflePuck Cafe historical game
Name:		tuxpuck
Version:	0.8.2
Release:	%mkrel 24
Source0:	%{name}-%{version}.tar.bz2
Patch0:		tuxpuck-0.8.2-png15.patch
URL:		http://altruistic.lbl.gov/mirrors/ubuntu/pool/universe/t/tuxpuck/
License:	GPLv2+
Group:		Games/Arcade
BuildRequires:	pkgconfig(sdl) 
BuildRequires:	pkgconfig(libpng) 
BuildRequires:	oggvorbis-devel 
BuildRequires:	pkgconfig(zlib) 
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	freetype2-devel

%description
Anyone remember "Shufflepuck Cafe" for the Amiga/AtariST ?

%prep
%setup -q
%autopatch -p0

%build
perl -pi -e 's/-Werror//' Makefile utils/Makefile
perl -pi -e 's/`sdl-config --cflags`/`sdl-config --cflags` `freetype-config --cflags`/' utils/Makefile
CFLAGS="%optflags %ldflags" CXXFLAGS="%optflags" make

%install
install -m755 %{name} -D %{buildroot}%{_gamesbindir}/%{name}

install -m 755 -d %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Tuxpuck
Comment=Clone of ShufflePuck Cafee
Exec=%{_gamesbindir}/%name
Icon=arcade_section
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

%files
%doc COPYING 
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
