Name:		tyrs
Version:	0.5.0
Release:	%mkrel 1
Source0:	https://files.pythonhosted.org/packages/source/t/tyrs/tyrs-%{version}.tar.gz
Summary:	ncurses microblogging client
URL:		https://tyrs.nicosphere.net/
License:	GPLv3
Group:		Networking/Other
BuildRequires:	python-setuptools python-distutils-extra
BuildArch:	noarch

%description
Tyrs is a ncurses microblogging client. A list of some of the key
features:
- Supports Identi.ca and Twitter services
- OAuth authentication.
- UTF-8 support.
- Tweets, Retweets, Follow, Unfollow.
- Mentions, Replies
- Threaded view of replies
- Search
- Direct messages
- Transparency and colors.
- Based on ncurses.
- Customization of keys binding.
- Customization of colors.
- Easily configurable, readable configuration.
- Opens URL with just single key.
- ur1.ca and bit.ly support for url shorter.

%prep
%setup -q

%build
%__python setup.py build

%install
rm -Rf %{buildroot}
%__python setup.py install --skip-build --root %{buildroot}

%clean
rm -Rf %{buildroot}

%files
%defattr(-,root,root)
%doc PKG-INFO README.md doc
%{_bindir}/%{name}
%{python_sitelib}/src
%{python_sitelib}/%{name}*.egg-info
