Name:           u3-tool
Summary:        U3 Smart Drive USB Flash Disk Control Tool
Version:        0.3
Release:        %mkrel 9
Source0:        https://downloads.sourceforge.net/project/u3-tool/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch0:         u3-tool-0.3-fix-libusb-linkage.patch
Patch1:         u3-tool-0.3-libusb-fixes.patch
Patch2:         u3-tool-0.3-print-size.patch
Patch3:         u3-tool-0.3-usb-ids.patch
URL:            https://u3-tool.sourceforge.net/
Group:          System/Configuration
License:        GPLv2+

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  glibc-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool


%description
Tool for controlling USB flash devices that confirm to the U3
specifications. This program can control the following features:

* Replacing of CD image
* Changing of virtual CD allocated size and completely removing it
* Enabling and disabling Security
* Unlocking and changing password of secured U3 device
* Obtaining various device information


%prep
%setup -q
%autopatch -p0


%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%files
%doc README NEWS AUTHORS COPYING
%{_sbindir}/u3-tool
%{_mandir}/man1/u3-tool.1*
