%global fontname ucs-miscfixed
%global fontconf 66-%{fontname}.conf

Name: %{fontname}-fonts
Version: 0.3
Release: %mkrel 16
License: Public Domain
URL: https://www.cl.cam.ac.uk/~mgk25/ucs-fonts.html
Source0: bitmap-fonts-%{version}.tar.bz2
Source1: fixfont-3.5.tar.bz2
Source2: 66-ucs-miscfixed.conf
BuildArch: noarch
Group:   System/Fonts/True type
Summary: Selected set of bitmap fonts
BuildRequires: fontpackages-devel
BuildRequires: bdftopcf
Patch1: readme_cleanup.patch

%description
The usc-fixed-fonts package provides bitmap fonts for
locations such as terminals.

%prep
%setup -q -n bitmap-fonts-%{version} -a1
%autopatch -p1

%build

%install
make install DESTDIR=$RPM_BUILD_ROOT

cd fixfont-3.5

make install DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT/usr/share/fonts/bitmap-fonts %{buildroot}%{_fontdir}

rm %{buildroot}%{_fontdir}/lut*.pcf %{buildroot}%{_fontdir}/fang*.pcf %{buildroot}%{_fontdir}/cons*.pcf
gzip %{buildroot}%{_fontdir}/*.pcf

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE2} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%_font_pkg -f %{fontconf} [0-9]*

%doc README
