Name:           ulcc
Version:        1.0.2
Release:        %mkrel 1
Summary:        Teaching children by pictures
Group:          Education
License:        GPLv3+
Url:            https://bitbucket.org/admsasha/ulcc
Source0:        https://bitbucket.org/admsasha/ulcc/downloads/%{name}-%{version}.tar.gz

BuildRequires:  qttools5
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Multimedia)

%description
Teaching children by pictures is admirable facilities
to imparting knowledges.

%prep
%setup -q

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README* CONTRIBUTORS
%license COPYING
%{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/ulcc.png
