%define major	4
%define libname	%mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:		unibilium
Summary:	Terminfo parsing library
Version:	2.1.2
Release:	%mkrel 1
License:	LGPLv3+
Group:		System/Libraries
Url:		https://github.com/neovim/unibilium
Source0:	https://github.com/neovim/unibilium/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	libtool

%description
Unibilium is a very basic terminfo library. It doesn't depend on curses or any
other library. It also doesn't use global variables, so it should be
thread-safe.

%package -n %{libname}
Summary:	Terminfo parsing library
Group:		System/Libraries

%description -n %{libname}
Unibilium is a very basic terminfo library. It doesn't depend on curses or any
other library. It also doesn't use global variables, so it should be
thread-safe.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%prep
%setup -q

%build
autoreconf -vfi
%configure --disable-static
%make_build

%install
%make_install

%check
make test

%files -n %{libname}
%doc README.md
%license LICENSE LGPLv3 GPLv3
%{_libdir}/libunibilium.so.%{major}{,.*}

%files -n %{devname}
%doc Changes
%{_includedir}/unibilium.h
%{_libdir}/libunibilium.so
%{_libdir}/pkgconfig/unibilium.pc
%{_mandir}/man3/unibi*.3*
