Name: unnethack
Version: 5.1.0
Release: %mkrel 1
Summary: An enhancement to the dungeon exploration game NetHack
Source: %name-%version.tar.gz
Group: Games/Adventure
URL: https://sourceforge.net/apps/trac/unnethack/
License: NethackGPL
BuildRequires: flex 
BuildRequires: groff 
BuildRequires: gsl-devel 
BuildRequires: ncurses-devel

%description
UnNetHack is a variant of NetHack.

It features more randomness, more levels, more challenges and more fun
than vanilla NetHack.

%prep
%setup -q
sed -i 's/[$](LFLAGS) \(.*\)[$](LIBS)/\1 $(LFLAGS) $(LIBS)/' sys/autoconf/Makefile.src 

%build
LIBS=-lgsl %configure --enable-curses-graphics
%make

%install
make install DESTDIR=%buildroot CHOWN=echo CHGRP=echo CHMOD=echo
mv %buildroot%_datadir/unnethack/recover %buildroot%_bindir/recover.bin && ln -s %_bindir/recover.bin %buildroot%_datadir/unnethack/recover
mv %buildroot%_datadir/unnethack/unnethack %buildroot%_bindir/unnethack.bin && ln -s %_bindir/unnethack.bin %buildroot%_datadir/unnethack/unnethack

%files
%doc doc README
%_bindir/*.bin
%_bindir/*[^n]
%_datadir/%name
%_defaultdocdir/%name
%_localstatedir/%name
