# this is the upstream version, used for the tarball
%define fversion	7.1.4

Name:		unrar
# this is the version which is returned by unrar binary, used as real version
Version:	7.10
Release:	%mkrel 1
Summary:	Decompressor for .rar format archives
License:	Freeware
Group:		Archiving/Compression
Url:		https://www.rarlab.com/rar_add.htm
Source0:	https://www.rarlab.com/rar/%{name}src-%fversion.tar.gz
Patch13:	0013-Avoid-internal-compiler-error-on-i386.patch

%description
The unrar program is used to uncompress .rar format archives, which were
somewhat popular on DOS based machines.

%prep
%autosetup -p1 -n %{name}

%build
make CXXFLAGS="%{optflags}" LDFLAGS="%{ldflags} -pthread" STRIP=true

%install
install -d -m 0755 %{buildroot}%{_bindir}
install -m 0755 %{name} %{buildroot}%{_bindir}

# safety check against submission with a wrong version, fails if the version
# returned by unrar binary is not the same as %%version
./unrar | grep -q "UNRAR %{version}"

%files
%doc readme.txt
%license license.txt
%{_bindir}/%{name}
