Name:		unrtf
Version:	0.21.10
Release:	%mkrel 3
Summary:	RTF to other formats converter
License:	GPLv3
Group:		Text tools
URL:		https://www.gnu.org/software/unrtf/unrtf.html
Source0:	https://ftp.gnu.org/gnu/unrtf/unrtf-%{version}.tar.gz
Source1:	https://ftp.gnu.org/gnu/unrtf/unrtf-%{version}.tar.gz.sig

%description
UnRTF is a moderately complicated converter from RTF to other
formats, including HTML, LaTeX, text, and PostScript. Converting
to HTML, it supports tables, fonts, colors, embedded images,
hyperlinks, paragraph alignment among other things. All other
conversions are "alpha"--just begun.

%prep
%setup -q
%autopatch -p1

sed -i -e 's#/usr/local/lib/unrtf/#%{_datadir}/unrtf/#' src/main.h
sed -i -e 's#/usr/local/lib/unrtf/#%{_datadir}/unrtf/#' src/path.h
sed -i -e 's#/usr/local/lib/unrtf/#%{_datadir}/unrtf/#' src/my_iconv.h

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS README ChangeLog
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
