%define oname    UrbanTerror
%define sversion 434
%define oversion 43

Name:           urbanterror-data
Version:        4.3.4
Release:        %mkrel 1
Summary:        Urban Terror game files
# https://www.urbanterror.info/support/202-quake-3-sdk/
License:        Freeware
Group:          Games/Shooter
Source0:        https://cdn.urbanterror.info/urt/%{oversion}/releases/zips/%{oname}%{sversion}_full.zip
ExclusiveArch:  %{ix86} x86_64
BuildArch:      noarch
BuildRequires:  unzip

%description
Data files used to play Urban Terror.

Warning! Read the license for data files carefully.

"Urban Terror is distributed free over the Internet and is covered by the
Quake 3 SDK licence agreement. The mod files may not be sold [in any form]
or distributed on physical media unless with permission from iD Software."

%prep
%autosetup -p1 -n %{oname}%{oversion}

#remove binaries
rm -rf Quake3-UrT*

%build
# NOTHING TO BUILD!!

%install
mkdir -p %{buildroot}%{_gamesdatadir}/urbanterror/q3ut4
cp -r q3ut4/* %{buildroot}%{_gamesdatadir}/urbanterror/q3ut4

cat > README.urpmi <<_EOF
Older versions of urbanterror downloaded the data with an autodownloader and
downloaded this in the ~/.q3ut4/q3ut4/ directory. You may want to copy
settings and/or remove this directory.
_EOF

%files
%doc README.urpmi q3ut4/*.doc q3ut4/*.txt
%dir %{_gamesdatadir}/urbanterror
%{_gamesdatadir}/urbanterror/q3ut4/
