Name:    urlview
Version: 0.9
Release: %mkrel 26

Summary: A URL extractor/viewer for use with Mutt
License: GPLv2+
Group:   Networking/Mail
Url:     ftp://ftp.mutt.org/mutt/contrib/
Source0: ftp://ftp.mutt.org/mutt/contrib/%{name}-%{version}.tar.bz2
Patch0 : urlview-comma.patch2
Patch1:  urlview-0.9-use_firefox.patch
# fix #54424: fix segfault when opening an url
Patch2:  urlview-0.9-fix_segfault.patch
Patch3:  urlview-fix-build-with-gcc14.patch

BuildRequires: slang
BuildRequires: pkgconfig(slang)

Requires: slang >= 0.99.38
Requires: webclient

%description
urlview extracts URLs from a given text file, and presents a menu
of URLs to view using a user specified command.

%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1 -b .firefox
%patch -P 2 -b .segfault
%patch -P 3 -p1 -b .gcc14

%build
touch NEWS
autoreconf -fis
%configure --with-slang
%make_build

%install
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
%make_install mandir=%{buildroot}%{_mandir}
install -m755 url_handler.sh $RPM_BUILD_ROOT%{_bindir}/url_handler.sh

%files
%doc AUTHORS ChangeLog COPYING
%doc INSTALL README sample.urlview 
%doc urlview.sgml
%{_bindir}/urlview
%{_bindir}/url_handler.sh
%{_mandir}/man1/urlview.1*
