Summary:	Universal Text Recognizer and Converter
Name:		utrac
Version:	0.3.0
Release:	%mkrel 15
License:	GPL
Group:		File tools
URL:		https://utrac.sourceforge.net/
Source0:	https://utrac.sourceforge.net/download/utrac-%{version}.tar.bz2
Patch0:		utrac-fix-long-64bit.diff

%description
UTRAC stands for Universal Text Recognizer and Converter. It is a command line
tool and a library that recognize the encoding of an input file (ex: UTF-8,
ISO-8859-1, CP437...) and its end-of-line type (CR, LF, CRLF). 

%prep

%setup -q
%patch -P 0 -p1

perl -pi -e "s|/usr/local|%{_prefix}|g" Makefile
perl -pi -e "s|/lib|/%{_lib}|g" Makefile
perl -pi -e "s|/man/man1|/share/man/man1|g" Makefile

%build

%make_build CFLAGS="%{optflags}"

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/utrac
install -d %{buildroot}%{_mandir}/man1

install -m0755 utrac %{buildroot}%{_bindir}/
install -m0644 charsets.dat %{buildroot}%{_datadir}/utrac/
install -m0644 utrac.1 %{buildroot}%{_mandir}/man1/

%files
%doc CHANGES CREDITS README TODO doc/*.xml
%dir %{_datadir}/utrac
%attr(0755,root,root) %{_bindir}/utrac
%attr(0644,root,root) %{_datadir}/utrac/charsets.dat
%attr(0644,root,root) %{_mandir}/man1/*


