Summary:	VDPAU acceleration information utility
Name:		vdpauinfo
Version:	1.5
Release:	%mkrel 1
License:	MIT
Group:		Development/X11
URL:		https://gitlab.freedesktop.org/vdpau/vdpauinfo
Source0:	https://gitlab.freedesktop.org/vdpau/vdpauinfo/-/archive/%{version}/vdpauinfo-%{version}.tar.gz
BuildRequires:	pkgconfig(vdpau)
BuildRequires:	pkgconfig(x11)
Obsoletes:	vdpinfo < 0.0.6

%description
Simple utility that queries and displays the VDPAU capabilities of
your X display and prints them in tabular format.

%prep
%setup -q

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%files
%{_bindir}/%{name}
