%define plugin	dvdswitch

Summary:	VDR plugin: allows to play DVD-Images
Name:		vdr-plugin-%plugin
Version:	0.2.3
Release:	%mkrel 3
Group:		Video/Utilities
License:	GPLv2
URL:		http://projects.vdr-developer.org/projects/plg-dvdswitch
Source:		vdr-%plugin-%version.tgz
BuildRequires:	pkgconfig(vdr) >= 1.6.0
Requires:	vdr-abi = %vdr_abi

%description
The dvdswitch plugin functions as a kind of a DVD changer. It makes it possible
to select images and play them with the DVD plugin.

%prep
%setup -q -n %plugin-%version
%vdr_plugin_prep
chmod 0644 README HISTORY

%vdr_plugin_params_begin %plugin
# scriptname with path for reading DVD as a ISO Image File
var=READ_SCRIPT
param=--readscript=READ_SCRIPT
# scriptname with path for writing selected DVD Image
var=WRITE_SCRIPT
param=--writescript=WRITE_SCRIPT
# path to DVD Images. This option can be set in setup-menu.
var=IMAGE_PATH
param=--imagedir=IMAGE_PATH
%vdr_plugin_params_end

%build
%vdr_plugin_build

%install
%vdr_plugin_install

%files -f %plugin.vdr
%doc README HISTORY
