%define plugin	games
%define rel	34

Summary:	VDR plugin: OSD Games Collection
Name:		vdr-plugin-%plugin
Version:	0.6.3
Release:	%mkrel %rel
Group:		Video/Utilities
License:	GPL+
URL:		http://1541.org/
Source:		http://1541.org/public/vdr-%plugin-%version.tar.bz2
Patch0:		vdr-games-0.6.2-finnish.diff
Patch1:		games-02_Makefile-nosilent.dpatch
Patch2:		games-0.6.3-i18n-1.6.patch
# drop now unrecognized --whole-archive instead of turning it into
# -Wl,--whole-archive - it should not be needed here anyway -Anssi
Patch3:		games-no-whole-archive.patch
Patch4:		games-0.6.3-mga-noinstall.patch
BuildRequires:	vdr-devel >= 1.6.0-7
BuildRequires:	SDL1.2-devel
Requires:	vdr-abi = %vdr_abi

%description
This is the new vdr OSD games collection, formerly known as the tetris plugin.
The collection currently contains versions of Tetris, Tron, TicTacToe, Snake
and Minesweeper.

%prep
%setup -q -n %plugin-%version
%autopatch -p1
%vdr_plugin_prep

%build
VDR_PLUGIN_EXTRA_FLAGS="-I%{_includedir}/vdr"
%vdr_plugin_build libvdr-games.so -j1

%install
%vdr_plugin_install

%files -f %plugin.vdr
%doc README TODO HISTORY
