%define plugin	ttxtsubs
%define rel	12

Summary:	VDR plugin: Teletext subtitles
Name:		vdr-plugin-%plugin
Epoch:		1
Version:	0.3.0
Release:	%mkrel %rel
Group:		Video/Utilities
License:	GPLv2+
URL:		http://projects.vdr-developer.org/projects/plg-ttxtsubs
Source:		vdr-%plugin-%version.tar.gz
BuildRequires:	pkgconfig(vdr) >= 1.7.6
Requires:	vdr-abi = %vdr_abi

%description
This plugin implements displaying, recording and replaying teletext
based subtitles using the on screen display.

%prep
%setup -q -n %plugin-%version
%vdr_plugin_prep

%build
export CPPFLAGS="-Wno-narrowing"
%vdr_plugin_build

%install
%vdr_plugin_install

%files -f %plugin.vdr
%doc README TROUBLESHOOTING HISTORY
