%define svn 12
%define rel 7

%define major 0
%define libname %mklibname vbe %major
%define libnamedev %mklibname -d vbe

Summary: Vesa BIOS extension tools
Name: vesautils
Version: 0.1
Release: %mkrel -c %{svn} %{rel}
License: GPLv2
Group: System/Configuration
Url: https://mplayerhq.hu/vesautils/index.html
Source0: %{name}-%{svn}.tar.xz
Patch0: vesautils-10-makefile.patch
Patch1: vesautils-10-get-edid-path.patch
BuildRequires: liblrmi-devel
ExclusiveArch: %ix86

%description
This is a collection of utilities and a library for handling the VESA
BIOS Extension (aka VBE) with the help of LRMI under Linux and BSD.

%package -n %{libname}
Group:System/Libraries
Summary: Vesa BIOS extension tools

%description -n %{libname}
This is a collection of utilities and a library for handling the VESA
BIOS Extension (aka VBE) with the help of LRMI under Linux and BSD.

%package -n %{libnamedev}
Group:Development/C
Summary: Vesa BIOS extension tools
Requires: %{libname} = %{version}
Provides: libvbe-devel = %{version}-%{release}
Obsoletes: %mklibname -d vbe 0

%description -n %{libnamedev}
This is a collection of utilities and a library for handling the VESA
BIOS Extension (aka VBE) with the help of LRMI under Linux and BSD.


%prep
%setup -q -n %{name}
%patch -P 0 -p0
%patch -P 1 -p1

%build
make
cd libvbe
make

%install
install -d %{buildroot}%{_bindir}
install -m 755 dosint get-edid vbemodeinfo %{buildroot}%{_bindir}
cd libvbe
mkdir -p %{buildroot}%{_libdir} %{buildroot}%{_includedir}
%makeinstall LIBDIR=%{buildroot}%{_libdir} INCDIR=%{buildroot}%{_includedir}

%files
%doc README
%{_bindir}/*

%files -n %{libname}
%{_libdir}/libvbe.so.%{major}{,.*}

%files -n %{libnamedev}
%{_libdir}/libvbe.so
%attr(644,root,root) %{_includedir}/vbe.h
