Name:		videosnarf
Version:	0.63
Release:	%mkrel 13
Summary:	Output detected media sessions
License:	GPL
Group:		Security
URL:		https://ucsniff.sourceforge.net/videosnarf.html
Source:		https://sourceforge.net/projects/ucsniff/files/videosnarf/videosnarf-%{version}.tar.gz
Patch0:		videosnarf-0.63-fix-linking.patch
# Do not use i386 static libs on arm. Should we on i586? Where are the sources?
Patch1:		videosnarf-0.63-arm.patch
Patch2:		videosnarf-0.63-aarch64.patch
BuildRequires:	libnet1-devel
BuildRequires:	pcap-devel

%description
VideoSnarf is a new security assessment tool that takes an offline
pcap as input, and outputs any detected media streams (RTP sessions),
including common audio codecs as well as H264 Video support.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%files
%doc COPYING
%{_bindir}/%{name}
