%define	name	virt-mem
%define	version	0.3.1
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    Virtual Machine Viewer
License:    GPL
Group:      Graphical desktop/GNOME
URL:        https://people.redhat.com/~rjones/virt-mem/
Source:     https://people.redhat.com/~rjones/virt-mem/files/%{name}-%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  camlp4
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-extlib-devel
BuildRequires:  ocaml-libvirt-devel
BuildRequires:  ocaml-xml-light-devel
BuildRequires:  ocaml-bitstring-devel
BuildRequires:  ocaml-gettext-devel
BuildRequires:  ocaml-pcre-devel
BuildRequires:  perl-doc
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}

%description
These are a collection of monitoring and management tools for virtual machines. 

%prep
%setup -q

%build
%configure
%make

%install
rm -rf %{buildroot}
%make_install \
    OCAML_GETTEXT_EXTRACT_OPTIONS="--extract-default-option '-I +camlp4 pa_o.cmo -I %{ocaml_sitelib}/bitstring bitstring.cma bitstring_persistent.cma pa_bitstring.cmo'" \
    PODIR=%{buildroot}%{_datadir}/locale

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog README HACKING
%{_bindir}/*
%{_mandir}/man1/*
