Name:		virtualmoon-data
Summary:	Additional data files for the Virtual Moon Atlas
Version:	8.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Sciences/Astronomy
URL:		https://ap-i.net/avl/en/download 
Source0:        https://sourceforge.net/projects/virtualmoon/files/1-%20virtualmoon/Version%208.0/virtualmoon-%{version}-data.tar.gz
Source1:	https://sourceforge.net/projects/virtualmoon/files/1-%20virtualmoon/Version%208.0/virtualmoon-%{version}-highres.tar.gz
Source2:        https://sourceforge.net/projects/virtualmoon/files/1-%20virtualmoon/Version%208.0/virtualmoon-%{version}-dem128.tar.gz

BuildArch: noarch

%description
Data files for the Virtual Moon Atlas allowing you to zoom into
moderate resolution, down to 120 meters. You can download higher (and
much larger) resolution files from the Virtual Moon Atlas website.

%prep
%setup -q -c
%setup -q -T -D -c -a 1
%setup -q -T -D -c -a 2

%build

%install
%{__install} -d -m755 %{buildroot}/%{_datadir}
%__mv virtualmoon %{buildroot}/%{_datadir}

%files
%{_datadir}/virtualmoon/*
