Name:       vncterm
Version:    0.9.10
Release:    %mkrel 6
Summary:    Export virtual console sessions to any VNC client
Group:      System/Libraries
License:    GPL
URL:        https://github.com/LibVNC/vncterm
Source:     https://github.com/LibVNC/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(libvncserver)
BuildRequires:  gettext-devel


%description
Export virtual console sessions to any VNC client.

%package -n	linuxvnc
Summary: 	VNC server to monitor a text session
Group:		Networking/Remote access

%description -n	linuxvnc
With linuxvnc you can export your currently running text sessions to any VNC
client. So it can be useful, if you want to move to another computer without
having to log out and if you've forgotten to attach a 'screen' session to it,
or to help a distant colleague to solve a problem.

Based on the ideas of x0rfbserver and on LibVNCServer, it has evolved
into a versatile and performant while still easy to use program.

%prep
%setup -q


%build
autoreconf -fiv
%configure
%make_build

%install
%make_install

%files -n linuxvnc
%doc COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/linuxvnc
