Name:           vobcopy
Version:        1.2.1
Release:        %mkrel 1
Summary:        Copy DVD videos to the hard disk
License:        GPLv2+
Group:          Video/Utilities
URL:            https://github.com/barak/vobcopy
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(dvdread)
%if "%{?distro_section}" == "tainted"
Requires:       libdvdcss
%endif

%description
Vobcopy copies DVD .vob files to hard disk (thanks to libdvdread),
decrypting them on the way (if libdvdcss is installed) and merges them into
2 GB files (or larger) with the name extracted from the DVD. It checks for
enough free space on the destination drive and compares the copied size to
the size on DVD (in case something went wrong during the copying). It can
also mirror a whole DVD video part and copy single files.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

# Remove the docs we include ourselves as %%doc
rm -r %{buildroot}%{_docdir}/

%files
%doc Changelog README Release-Notes TODO
%doc alternative_programs.txt
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%lang(de) %{_mandir}/de/man1/%{name}.1*
