Summary:        Channel scan tool for DVB-T and DVB-C
Name:           w_scan2
Version:        1.0.9
Release:        %mkrel 2
License:        GPLv2+
Group:          Video/Television
Url:            https://github.com/stefantalpalaru/w_scan2
Source0:        https://github.com/stefantalpalaru/w_scan2/archive/%{version}/%{name}-%{version}.tar.gz
Obsoletes:      w_scan < 1.0.3
Provides:       w_scan = %{version}-%{release}

%description
w_scan fork (channel scan tool which generates ATSC, DVB-C, DVB-S/S2 and
DVB-T channels.conf files).

%prep
%autosetup -p1

%build
./autogen.sh
%configure
%make_build

%install
%make_install

#compat symlinks
ln -s w_scan2 %{buildroot}%{_bindir}/w_scan
ln -s w_scan2.1%{?_extension} %{buildroot}%{_mandir}/man1/w_scan.1%{?_extension}

%files
%license COPYING
%doc ChangeLog README*
%{_bindir}/w_scan
%{_bindir}/w_scan2
%{_mandir}/man1/w_scan.1*
%{_mandir}/man1/w_scan2.1*
