%define snapshot 26c3

Name:		wafp
Version:	0.01
Release:	%mkrel 0.%{snapshot}.13
Summary:	Web Application Finger Printer
License:	GPL
Group:		Monitoring
URL:		https://www.mytty.org/wafp/
Source:     https://www.mytty.org/wafp/%{name}-%{version}-%{snapshot}.tar.bz2
Patch0:     wafp-0.01-26c3-fhs.patch
Requires:   ruby-sqlite3
BuildArch:	noarch

%description
WAFP is a Web Application Finger Printer written in ruby using a SQLite3 DB.

%prep
%setup -q -n %{name}-%{version}-%{snapshot}
%patch -P 0 -p 1

%build

%install
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_datadir}/wafp
install -d -m 755 %{buildroot}%{_datadir}/wafp/lib
install -d -m 755 %{buildroot}%{_datadir}/wafp/utils

install -m 755 wafp.rb %{buildroot}%{_bindir}
install -m 644 *.db %{buildroot}%{_datadir}/wafp
install -m 644 lib/* %{buildroot}%{_datadir}/wafp/lib
install -m 755 utils/*.sh %{buildroot}%{_datadir}/wafp/utils

%files
%doc LICENSE README CREDITS HOWTO
%{_bindir}/wafp.rb
%{_datadir}/wafp


