Name:		weather-widget-2
Version:	3.0.4
Release:	%mkrel 1
Summary:	Plasma applet for displaying weather information
Group:		Graphical desktop/KDE
License:	GPLv2+
Url:		https://github.com/blackadderkate/weather-widget-2/
Source0:	https://github.com/blackadderkate/%{name}/archive/V%{version}/%{name}-%{version}.tar.gz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Quick)

BuildRequires:	cmake(Plasma)
BuildRequires:	cmake(Plasma5Support)

BuildRequires:	gettext-devel

Requires:	plasma-workspace

Provides:	plasma-applet-weather-widget-2 = %{version}-%{release}

%description
Plasma applet for displaying weather information from met.no
and Open Weather Map.

%prep
%autosetup

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc README.md
%license LICENSE
%{_kf6_qmldir}/org/kde/private/weatherWidget-3/
%{_kf6_metainfodir}/org.kde.weatherWidget-3.appdata.xml
%{_kf6_datadir}/plasma/plasmoids/org.kde.weatherWidget-3/
