Name:    weightwatcher
Version: 1.12
Release: %mkrel 8
Summary: Weight-map/flag-map multiplexer and rasteriser

Group:   Sciences/Astronomy
License: GPLv3
URL:     https://www.astromatic.net/software/%{name}
Source0: https://www.astromatic.net/download/%{name}/%{name}-%{version}.tar.gz

#fix missing format argument
Patch0:  weightwatcher-1.12-sprintf.patch

%description
WeightWatcher is a program that combines weight-maps, flag-maps and
polygon data in order to produce control maps which can directly be
used in astronomical image-processing packages like Drizzle, Swarp or
SExtractor.

%prep
%setup -q
%autopatch -p1

%build
CFLAGS="%{optflags} -fcommon"
%configure
%make_build 

%install
%make_install

%files
%{_bindir}/ww
%{_datadir}/%{name}/ww.xsl
%{_mandir}/man1/ww.1*
%{_mandir}/manx/ww.x*
