%define         srcname       wmCalClock
%define         srcdirname    Src

Name:           wmcalclock
Version:        1.25
Release:        %mkrel 12
Summary:        A dock application giving the current date and time
License:        GPLv2
Group:          Graphical desktop/Other

URL:            https://en.wikipedia.org/wiki/Wmcalclock
Source0:        https://www.cs.mun.ca/~gstarkes/wmaker/dockapps/files/%{srcname}-%{version}.tar.gz

BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(x11) 
BuildRequires:  pkgconfig(xext)

# Older windowmaker packages contain built-in wmcalclock
Conflicts:      windowmaker < 0.95.0-2

%description
wmCalClock is another dockapp for WindowMaker, or any window manager and
desktop environment that handles dock applications. It displays the current
date and time, but can be set to give the Greenwich and local sidereal times at
any location.


%prep
%setup -q -n %{srcname}-%{version}

%build
%make_build -C %{srcdirname} CFLAGS="%{optflags} -fcommon" LDFLAGS="%{ldflags}"

%install
install -D -m 755 %{srcdirname}/%{srcname} %{buildroot}%{_bindir}/%{name}
install -D -m 644 %{srcdirname}/%{srcname}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc BUGS CHANGES COPYING HINTS README TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
