Name:           wmcoincoin
Version:        2.6.3
Release:        %mkrel 5
Summary:        Yet another funny dockapp for reading news feed
License:        GPLv2
Group:          Networking/Instant messaging

URL:            http://hules.free.fr/wmcoincoin
Source0:        http://hules.free.fr/wmcoincoin/download/%{name}-%{version}.tar.gz
Patch0:         replace-imlib2-config-with-pkg-config.patch

BuildRequires:  libtool-base
BuildRequires:  gettext-devel
BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(imlib2)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xmu)

%description
Wmcoincoin is yet another dockapp for WindowMaker, or any
windowmanager/desktop environment that handles dock applications. It
is a small and efficient news feed reader allowing browsing and
posting on sites based on DaCode (such as the linuxfr.org
tribune). While being an advanced chatting client, it also exhibits
special features such as shooting small yellow ducks flying over your
desktop, or transforming itself into a standard clock on a single
click (the so-called boss mode!).



%prep
%autosetup -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS
%license COPYING
%{_bindir}/wmccc
%{_bindir}/wmcoincoin
%{_bindir}/wmpanpan
%{_bindir}/wmcoincoin-search-cookies
%{_bindir}/wmcoincoin-totoz-get
%{_bindir}/wmcoincoin_player
%{_datadir}/%{name}/
%exclude %{_datadir}/%{name}/wmcoincoin.spec
