Name:           wmcpuload
Version:        1.1.1
Release:        %mkrel 4
Summary:        Another dock application to monitor CPU usage
License:        GPLv2
Group:          Monitoring

URL:            https://www.dockapps.net/wmcpuload
Source0:        https://www.dockapps.net/download/%{name}-%{version}.tar.gz


BuildRequires:  grep
BuildRequires:  gawk
BuildRequires:  libtool-base
BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xdmcp)


%description
Wmcpuload is a WindowMaker dock application to monitor CPU
usage. The current usage is displayed as a percentile and a chart, and
has an LCD look-alike user interface. The back-light may be turned
on/off by clicking the mouse button over the application. If the CPU
usage hits a certain threshold, an alarm-mode will alert you by
turning back-light on.



%prep
%setup -q


%build
%configure
%make_build


%install
%make_install

%files
%doc AUTHORS README NEWS COPYING ChangeLog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


