Name:           wmdocker
Summary:        Standalone system tray
Version:        1.5
Release:        %mkrel 15

Source:         https://icculus.org/openbox/2/docker/docker-%{version}.tar.gz
URL:            https://icculus.org/openbox/2/docker/
License:        GPLv2+
Group:          Graphical desktop/Other
BuildRequires:  pkgconfig(x11) 
BuildRequires:  glib2-devel
Obsoletes:      docker < 0:1.5-11.mga5

%description
Docker is a docking application (WindowMaker dock app) which acts as a system
tray for KDE3 and GNOME2. It can be used to replace the panel in either
environment, allowing you to have a system tray without running the KDE/GNOME
panel or environment. Originally written and designed to work with Openbox 2,
it should work fine in any window manager that supports WindowMaker dock apps.


%prep
%setup -q -n docker-%{version}

%build
%make_build CFLAGS="$RPM_OPT_FLAGS" XLIBPATH=%{_libdir}

%install
install -D docker %{buildroot}%{_bindir}/%{name}

%files
%doc README
%{_bindir}/%name
