Name:           wmfishtime
Version:        1.24
Release:        %mkrel 11
Summary:        A very fancy clock with yellow fishes
License:        GPLv2
Group:          Graphical desktop/WindowMaker

URL:            https://www.ne.jp/asahi/linux/timecop
Source0:        https://www.ne.jp/asahi/linux/timecop/software/%{name}-%{version}.tar.gz
#compile against gtk2, LDFLAGS and makeinstall support
Patch0:         wmfishtime-1.24-Makefile.patch

BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(gtk+-2.0)


%description
Wmfishtime is the last clock you will ever need for WindowMaker or any
environment that handles dock applications. That fancy clock features
sexy gradient background, anti-aliased clock hands, alpha-blended
bubbles, and cool fishes swimming behind the clock. It nevertheless
displays current time with up-to-the-second accuracy, today's date
and day of the week. But wait, there is more! Move your mouse inside
the screen, and the fish will get scared and run away! Oh yeah, and it
checks your mail, too!


%prep
%setup -q
%autopatch -p0


%build
%make_build EXTRA="%{optflags} -lX11 -lm" LDFLAGS="%{ldflags}"


%install
%make_install INSTALL="-D"


%files
%doc AUTHORS README ChangeLog CODING ALL_I_GET_IS_A_GRAY_BOX
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
