%define         srcname       wmGrabImage
%global _legacy_common_support 1

Name:           wmgrabimage
Version:        0.72
Release:        %mkrel 13
Summary:        A dockapp that maintains a thumbnail copy of any remote image
License:        GPLv2
Group:          Monitoring

URL:            http://dockapps.windowmaker.org/file.php/id/12
Source0:        http://dockapps.windowmaker.org/download.php/id/19/%{srcname}-%{version}.tgz

#fix old style call to convert with -geom instead of expected -geometry
Patch0:          %{srcname}-0.72-convert.patch
Patch1:          %{srcname}-0.72-ctime.patch
Patch2:          wmgrabimage-0.72-cflags.patch


BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)

Requires: perl
Requires: imagemagick
Requires: wget
Requires: sed



%description
Wmgrabimage is another dockapp for WindowMaker, or any window manager
and desktop environment that handles dock applications. It displays a
small copy of any remote image you want to monitor via the "-url"
command line argument. The default update interval is 5 minutes but
can be overridden through the "-delay" option.



%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1


%build
cd %{srcname}
%set_build_flags
%make_build clean
%make_build


%install
cd %{srcname}
install -D -m 755 GrabImage %{buildroot}%{_bindir}/GrabImage
install -D -m 755 %{srcname} %{buildroot}%{_bindir}/%{name}
install -D -m 644 %{srcname}.1 %{buildroot}%{_mandir}/man1/%{name}.1


%files
%doc BUGS CHANGES COPYING HINTS TODO
%{_bindir}/GrabImage
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
