%define         libgkplugins_dir       %{_libdir}/gkrellm2/plugins
%define         gkplugname             gkrellm-plugins-%{name}

Name:           wmhdplop
Version:        0.9.12
Release:        %mkrel 1
Summary:        Yet another dockapp to monitor your hard drive
License:        GPLv2
Group:          Monitoring

# http://hules.free.fr/wmhdplop/
URL:            https://www.dockapps.net/wmhdplop
Source0:        https://www.dockapps.net/download/%{name}-%{version}.tar.gz

Patch0:         wmhdplop-0.9.10-makefile_am.patch
Patch1:         wmhdplop-0.9.12-configure_ac.patch

BuildRequires:  pkgconfig(gtk+-2.0) >= 2.0.0
BuildRequires:  pkgconfig(imlib2)
BuildRequires:  pkgconfig(libgtop-2.0) >= 2.0.0
BuildRequires:  pkgconfig(gkrellm)

Requires:       fonts-ttf-freefont
Recommends:     hddtemp

%description
Wmhdplop is yet another dockapp for WindowMaker, or any
windowmanager/desktop environment that handles dock applications (KDE
has a dock bar extension, and gnome swallows). It monitors your
hard-drives by sending visual stimuli to your cortex each time your
/dev/hdx (or /dev/sdx) writes or reads anything. Try to launch
open-office and enjoy the wmhdplop show! (loading these kitties in
Mozilla also works).

%package -n %gkplugname
Summary:        Gkrellm port of the WindowMaker dock application wmhdplop
Group:          Monitoring
Requires:       gkrellm
Provides:       %{name}-gkrellm-plugins = %{version}-%{release}

%description -n %gkplugname
Gkrellm port of the WindowMaker dock application wmhdplop.

%prep
%setup -q
%autopatch -p1


%build
autoreconf -vfi
%configure
%make_build

%install
%make_install
install -d -m 755 %{buildroot}%{libgkplugins_dir}
install -m 644 .libs/gkhdplop.so %{buildroot}%{libgkplugins_dir}

%files
%doc README AUTHORS ChangeLog
%license COPYING
%{_bindir}/wmhdplop
%{_datadir}/applications/*.desktop
%{_mandir}/man1/wmhdplop.1*

%files -n %gkplugname
%doc README AUTHORS ChangeLog
%license COPYING
%{libgkplugins_dir}/gkhdplop.so
