%define         srcname          wmMoonClock
%define         srcdirname       src


Name:           wmmoonclock
Version:        1.30
Release:        %mkrel 2
Summary:        A dock application showing the phase of the moon and much more
License:        GPLv2
Group:          Sciences/Astronomy

URL:            https://www.dockapps.net/wmmoonclock
Source0:        https://www.dockapps.net/download/wmmoonclock-%{version}.tar.gz

BuildRequires:  glibc-devel
BuildRequires:  libxpm-devel
BuildRequires:  libx11-devel 
BuildRequires:  libxext-devel



%description
Wmmoonclock is another dockapp for WindowMaker, or any window manager
and desktop environment that handles dock applications. It displays
the phase of the moon with a very aesthetic picture which can be
clicked on to get the rise and set times, illuminated fraction,
visibility and astronomical coordinates.



%prep
%setup -q

%build
autoreconf -fi
%configure
%make_build



%install
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
pushd %{srcdirname}
install -D -m 644 %{srcname}.1 %{buildroot}%{_mandir}/man1/%{name}.1
popd
install -D -m 644 %{name}.desktop  %{buildroot}%{_datadir}/applications/%{name}.desktop


%files
%doc COPYING BUGS
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{name}.desktop

