%define         srcname      wmSMPmon
%define         srcdir       %srcname
%define         engdocfiles  COPYING Changelog

%global _legacy_common_support 1

Name:           wmsmpmon
Version:        3.2
Release:        %mkrel 4
Summary:        Another dock application to monitor multi-core systems
License:        GPLv2
Group:          Monitoring

URL:            https://lancre.ribbrock.org/en/binabit_en/wmsmpmon_en.html
Source0:        https://repo.or.cz/dockapps.git/%{srcname}-%{version}.tar.gz


BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xdmcp)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(dockapp)

%description
Wmsmpmon is yet another docked monitor for WindowMaker, or any desktop
environment that handles docking. It displays some system information
as CPU utilization, memory and swap usage.


%prep
%setup -q -n %srcname-%{version}


%build
cd %srcdir
%make_build CFLAGS="%{optflags}" \
      LIB="%{ldflags} -lX11 -lXext -lXpm -lm -ldockapp"


%install
chmod 644 %engdocfiles
install -D -m 755 %srcdir/%{srcname} %{buildroot}%{_bindir}/%{name}
install -D -m 644 %srcdir/%{srcname}.1 %{buildroot}%{_mandir}/man1/%{name}.1


%files
%doc %engdocfiles
%{_bindir}/%{name}
%{_mandir}/man1/*.1*


