%define         srcdir      src
%global         _legacy_common_support  1

Name:           wmsysmon
Version:        0.8.1
Release:        %mkrel 1
Summary:        Another dock application to monitor your computer
License:        GPLv2
Group:          Monitoring

URL:            https://www.dockapps.net/wmsysmon
Source0:        https://github.com/voyageur/wmsysmon/archive/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(dockapp)


%description
Wmsysmon is yet another dock application for WindowMaker, or any
desktop environment that handles docking. It shows system information
on interrupt activity, memory use, swap use, and Input/Output.


%prep
%setup -q
%autopatch -p1


%build
cd %srcdir
%make_build CFLAGS="%optflags -DHI_INTS" \
      LDFLAGS="%ldflags -lX11 -lXext -lXpm -lm"


%install
install -D -m 755 %srcdir/%{name} %{buildroot}%{_bindir}/%{name}

%files
%doc COPYING README ChangeLog
%{_bindir}/%{name}



