Name:           wmsystemtray
Version:        1.4
Release:        %mkrel 7
Summary:        System tray (freedesktop.org systray protocol) as a Window Maker dock app
Group:          Graphical desktop/WindowMaker
License:        GPLv2+
URL:            https://sourceforge.net/projects/wmsystemtray/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xfixes)
Requires:       x11-font-misc


%description
wmsystemtray is a system tray using the freedesktop.org system tray protocol
designed as a Window Maker dock app. It has the ability to display more than
one dock window to make room for more tray icons, and the ability to scroll
through the icons if more are present than will fit.


%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%doc ChangeLog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
