%define         docfiles       BUGS COPYING README TODO

Name:           wmtop
Version:        0.85
Release:        %mkrel 4
Summary:        A dock application that is a mini graphical CPU monitoring utility
License:        GPLv2
Group:          Monitoring

URL:            https://repo.or.cz/dockapps.git/shortlog/refs/tags/wmtop-0.85
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(x11) 
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(dockapp)


%description
Wmtop is another dockapp for WindowMaker, or any window manager and
desktop environment that handles dock applications. It maintains a
view of the 3 top CPU (or memory) consuming processes displaying the
amount of CPU used as a horizontal bar.



%prep
%setup -q 

%build
autoreconf -fis
%configure
%make_build


%install
%makeinstall


%files
%doc %{docfiles}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

