Name:           wmudmount
Version:        3.0
Release:        %mkrel 3
Summary:        A dockapp with a filesystem mounter that uses udisk
License:        GPLv2+
Group:          Graphical desktop/WindowMaker
URL:            https://sourceforge.net/projects/wmudmount/
Source0:        https://sourceforge.net/projects/wmudmount/files/wmudmount/%{name}-%{version}.tar.gz
Patch1:         wmudmount-2.2-perl-5.26.patch

BuildRequires:  librsvg
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gcr-3)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  imagemagick
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(udisks2)

Requires:       udisks2

%description
A file system mounter that uses udisks to handle notification of new
file systems and mounting of the filesystems as a non-root user. It
also includes a mode to display the mounted filesystems with the least
free space percentage (similar to wmfsm).


%prep
%autosetup -p1


%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%files
%{_bindir}/*
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/*
