%define         srcdirname       src
%global         _legacy_common_support  1


Name:           wmweather
Version:        2.4.8
Release:        %mkrel 1
Summary:        A dock application which displays your current local weather conditions
License:        GPLv2
Group:          Sciences/Geosciences

URL:            https://people.debian.org/~godisch/wmweather/
Source0:        https://ftp.debian.org/debian/pool/main/w/wmweather/%{name}-%{version}.tar.gz

BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(x11) 
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  xmessage

%description
Wmweather is another dockapp for WindowMaker, or any window manager
and desktop environment that handles dock applications. It displays
your current local weather conditions. After supplying a 4-character
METAR station identifier code (most major airports have one), it shows
station ID, time of the last update, temperature, dew point, pressure,
humidity, and wind speed. The various entries can be forced to display
in a variety of different units.



%prep
%setup -q 
%autopatch -p1

%build
cd %{srcdirname}
%configure
%make_build


%install
cd %{srcdirname}
%makeinstall


%files
%doc COPYING README
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/wmWeather
%{_bindir}/%{name}
%{_mandir}/man1/wmWeather.1*
%{_mandir}/man1/%{name}.1*

