Name:           wol
Version:        0.7.1
Release:        %mkrel 19
Summary:        Wake On Lan client

Group:          System/Base
License:        GPLv2+
URL:            https://sourceforge.net/projects/wake-on-lan/
Source0:        https://downloads.sourceforge.net/wake-on-lan/%{name}-%{version}.tar.gz
Patch0:         wol-0.7.1-Fix-config.h-test-consumption.patch
Patch1:         wol-0.7.1-Fix-malloc-detection.patch
Patch2:         wol-0.7.1-linux-headers.patch

BuildRequires:  gettext



%description
wol implements Wake On LAN functionality in a small program. It wakes up
hardware that is Magic Packet compliant. SecureON is supported by wol too.

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README TODO
%{_infodir}/%{name}.info.*
%{_mandir}/man?/%{name}.*
%{_bindir}/%{name}*

#--------------------------------------------------------------------

%prep
%autosetup -p1

# fix charset
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv
touch -c -r ChangeLog ChangeLog.conv
mv ChangeLog.conv ChangeLog

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

%find_lang %{name}
