# do not provide plugin .so
%global __provides_exclude_from ^%{_libdir}/wxformbuilder/.*\.so

Name:		wxformbuilder
Summary:	GUI builder for wxWidgets
Version:	4.2.1
Release:	%mkrel 1
License:	GPLv2
Group:		Development/Other
Url:		https://github.com/wxFormBuilder/wxFormBuilder
Source0:	https://github.com/wxFormBuilder/wxFormBuilder/releases/download/v%{version}/wxFormBuilder-%{version}-source-full.tar.gz
BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	wxgtk-devel

Obsoletes:	%{_lib}ticpp-devel < 0-0.git20190109.3
Obsoletes:	%{_lib}ticpp0 < 0-0.git20190109.3

%description
RAD tool for wxWidgets GUI design.

%prep
%autosetup -n wxFormBuilder-%{version} -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc CHANGELOG.md README*
%{_bindir}/wxformbuilder
%{_libdir}/wxformbuilder/
%{_datadir}/wxformbuilder/
%{_datadir}/mime/packages/*.xml
%{_datadir}/applications/org.wxformbuilder.wxFormBuilder.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/mimetypes/*.png
%{_metainfodir}/org.wxformbuilder.wxFormBuilder.metainfo.xml
