%define oname	wxGlade

# comment out if not pre rel
%define prel	b1

# rel for bumping
%define rel	3

Name:		wxglade
Version:	1.1.0
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	A wxWidgets/wxPython/wxPerl GUI designer
License:	MIT
Group:		Development/Python
URL:		https://wxglade.sourceforge.net/
Source0:	https://downloads.sourceforge.net/project/wxglade/wxglade/%{version}/%{oname}-%{version}%{?prel:%prel}.zip
Source1:	wxglade.desktop
Patch0:		wxglade-mga-fix-manual-installdir.patch
BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)

%description
wxGlade is a GUI designer written in Python with the popular GUI
toolkit wxPython, that helps you create wxWidgets/wxPython user
interfaces. At the moment it can generate Python, C++, Perl and XRC
(wxWidgets' XML resources) code.

%prep
%autosetup -p1 -n %{oname}-%{version}%{?prel:%prel}

%build
%pyproject_wheel

%install
%pyproject_install

# Install desktop related entries
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{S:1}

%files
%{_docdir}/%{name}/
%{_bindir}/%{name}*
%{_iconsdir}/hicolor/*x*/apps/*.png
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}%{?prel:%prel}.dist-info
