Name:		wxmp3gain
Summary:	Free front-end for the MP3gain
Version:	4.2
Release:	%mkrel 1
Group:		Sound/Utilities
License:	GPLv3
Url:		https://sourceforge.net/projects/wxmp3gain
Source0:	https://sourceforge.net/projects/wxmp3gain/files/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	wxgtk-devel
Requires:	mp3gain

%description
wxMP3gain is a free front-end for the MP3gain.

%prep
%autosetup -p1

# Remove deprecated entry
sed -e "/^Encoding=/d" -i debian/menu/app.desktop.in

# Enable debug info files generation
sed -e "s/-ansi -s/-ansi/g" -i CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_docdir}/%{name}/COPYING

%files
%license doc/COPYING
%doc doc/AUTHORS.md doc/CHANGELOG.md doc/README.md
%doc doc/TODO.md doc/screenshot.png
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/wxmp3gain.png
%{_datadir}/%{name}/
%{_datadir}/applications/wxmp3gain.desktop
