Name: x11-driver-input-joystick
Version: 1.6.4
Release: %mkrel 1
Summary: X.org input driver for joysticks
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-input-joystick-%{version}.tar.xz
License: MIT

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

Conflicts: xorg-x11-server < 7.0

%description
Joystick is an X.org input driver for joysticks.

%prep
%autosetup -p1 -n xf86-input-joystick-%{version}

%build
%configure --prefix=/usr
%make_build

%install
%make_install

#(eandry) remove devel file, create a devel package if needed
rm -rf %{buildroot}%{_includedir}/xorg/*.h
rm -rf %{buildroot}%{_libdir}/pkgconfig/*.pc

%files
%{_libdir}/xorg/modules/input/joystick_drv.so
%_mandir/man4/*


