Name:		x11-driver-video-ark
Version:	0.7.6
Release:	%mkrel 2
Summary:	X.org driver for ARK Logic graphics chipsets
Group:		System/X11
URL:		https://xorg.freedesktop.org
Source:		https://xorg.freedesktop.org/releases/individual/driver/xf86-video-ark-%{version}.tar.xz
License:	MIT
BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	pkgconfig(xorg-server) >= 1.0.1
BuildRequires:	x11-util-macros >= 1.0.1

Requires:	x11-server-common %(xserver-sdk-abi-requires videodrv)

ExclusiveArch:	x86_64 %{ix86}

%description
x11-driver-video-ark is the X.org driver for ARK Logic graphics chipsets.

%prep
%setup -q -n xf86-video-ark-%{version}
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc COPYING
%{_libdir}/xorg/modules/drivers/ark_drv.so
