Name: x11-driver-video-siliconmotion
Version: 1.7.9
Release: %mkrel 9
Summary: X.org driver for Silicon Motion Cards
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-siliconmotion-%{version}.tar.bz2
License: MIT
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

ExclusiveArch: %ix86 x86_64

%description
x11-driver-video-siliconmotion is the X.org driver for Silicon Motion Cards.

%prep
%setup -q -n xf86-video-siliconmotion-%{version}
%autopatch -p1

%build
autoreconf -vfi

%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc COPYING
%{_libdir}/xorg/modules/drivers/siliconmotion_drv.so
%{_mandir}/man4/siliconmotion.*


