Name: x11-driver-video-v4l
Version: 0.3.0
Release: %mkrel 6
Summary: Xvideo extension port for video overlay
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-v4l-%{version}.tar.bz2
License: MIT
BuildRequires: x11-proto-devel >= 1.19.0
BuildRequires: pkgconfig(xorg-server) >= 1.17
BuildRequires: x11-util-macros >= 1.0.1
# (tv): v4l need the extmod module
Requires: x11-server-common
Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
v4l is an Xorg driver for video4linux cards. It provides a Xvideo
extension port for video overlay.

%prep
%setup -q -n xf86-video-v4l-%{version}
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc COPYING
%{_libdir}/xorg/modules/drivers/v4l_drv.so
%{_mandir}/man4/v4l.*


