Name: x11-driver-video-xgixp
Version: 1.8.1
Release: %mkrel 30
Summary: X.org driver for XGIxp Cards
Group: System/X11
URL: https://xorg.freedesktop.org
Source0: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-xgixp-%{version}.tar.bz2
Patch0: 0001-Remove-mibstore.h.patch
Patch2: 0002-Remove-symbol-lists-as-they-are-not-used-any-more.patch
Patch3: 0003-shadow-shadowInit-shadowAdd-Remove.patch
Patch4: 0004-Stop-using-deprecated-xf86PciInfo.h.patch
Patch5: 0005-Update-for-new-damage-API.patch
Patch6: 0006-Adapt-Block-WakeupHandler-signature-for-ABI-23.patch
Patch7: 0007-Revert-Adapt-Block-WakeupHandler-signature-for-ABI-2.patch
Patch8: 0008-Adapt-Block-WakeupHandler-signature-for-ABI-23.patch
Patch9: https://gitlab.freedesktop.org/xorg/driver/xf86-video-xgixp/-/commit/3eca91e150f9fbf4d24e7c96bd33c02fded2c149.patch
Patch10: x11-driver-video-xgixp-fix-build-with-gcc14.patch
License: MIT
ExclusiveArch: %ix86 x86_64
BuildRequires: x11-util-macros		>= 1.1.5
BuildRequires: pkgconfig(libdrm)		>= 2.3.0
BuildRequires: pkgconfig(pixman-1)	>= 0.9.6
BuildRequires: x11-proto-devel		>= 7.3
BuildRequires: libmesagl-devel		>= 7.0.2
BuildRequires: pkgconfig(xorg-server)		>= 1.4

%description
x11-driver-video-xgixp is the X.org driver for Generic XGIxp Cards.

%prep
%setup -q -n xf86-video-xgixp-%{version}
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%{_libdir}/xorg/modules/drivers/xgixp_drv.so
%{_mandir}/man4/xgixp.*


