#
# Needs more fixes, maybe remove all drivers for non agp/pci cards
# sunsparc arch may need more drivers removed, or even better, only
# install sun hardware drivers
#

Name:		x11-driver-video
Version:	7.7
Release:	%mkrel 25
Summary:	X11 video drivers
Group:		System/X11
License:	MIT

Requires:	x11-driver-video-amdgpu
Requires:	x11-driver-video-ati
%ifarch %{ix86} x86_64
# useful for qemu
Requires:	x11-driver-video-cirrus
%endif
Requires:	x11-driver-video-fbdev
%ifarch %{ix86} x86_64
#Requires:	x11-driver-video-glint
%endif
%ifarch %{ix86}
Requires:	x11-driver-video-geode
%endif
%ifarch %{ix86} x86_64
Requires:	x11-driver-video-intel
#Requires:	x11-driver-video-mach64
Requires:	x11-driver-video-mga
Requires:	x11-driver-video-neomagic
%endif
%ifarch %{ix86} x86_64 aarch64
Requires:	x11-driver-video-nouveau
%endif
%ifarch %{ix86} x86_64
Requires:	x11-driver-video-openchrome
%endif
Requires:	x11-driver-video-qxl
%ifarch %{ix86} x86_64
Requires:	x11-driver-video-r128
#Requires:	x11-driver-video-s3
Requires:	x11-driver-video-s3virge
Requires:	x11-driver-video-savage
%endif
%ifarch %{ix86} x86_64
Requires:	x11-driver-video-sis
Requires:	x11-driver-video-sisimedia
#Requires:	x11-driver-video-sisusb
Requires:	x11-driver-video-tdfx
#Requires:	x11-driver-video-trident
%endif
Requires:	x11-driver-video-v4l
%ifarch %{ix86} x86_64
Requires:	x11-driver-video-vesa
%endif
%ifnarch aarch64 %arm
Requires:	x11-driver-video-vmware
%endif

%description
X11 video drivers metapackage. This package contains no files, but
depends on most common free X.org video drivers.

%files
%package uncommon
Summary:	Uncommon X11 video drivers
Group:		System/X11
License:	MIT
%ifarch %{ix86} x86_64
Requires:	x11-driver-video-apm
Requires:	x11-driver-video-ark
%endif

# Probably only required for development/experiments
Requires:	x11-driver-video-dummy

Requires:	x11-driver-video-i128
%ifnarch aarch64 %arm
Requires:	x11-driver-video-i740

# SGI newport - too uncommon to be installed by default
#Requires:	x11-driver-video-newport

Requires:	x11-driver-video-rendition
Requires:	x11-driver-video-siliconmotion
%endif

# Too old hardware - should not be installed by default
Requires:	x11-driver-video-voodoo

# Stuff in contrib or recent drivers that nobody might be using:
%ifarch %{ix86} x86_64
Requires:	x11-driver-video-xgi
Requires:	x11-driver-video-xgixp
%endif

%description uncommon
X11 video drivers metapackage. This package contains no files, but
depends on uncommon free X.org video drivers.

%files uncommon
