Name: x11-font-adobe-utopia-type1
Version: 1.0.5
Release: %mkrel 1
Summary: Xorg X11 font adobe-utopia-type1
Group: Development/X11
# License doesn't say we can modify the software
License: Adobe Utopia
URL: https://xorg.freedesktop.org
Source0: https://xorg.freedesktop.org/releases/individual/font/font-adobe-utopia-type1-%{version}.tar.xz
Source1: config.guess
BuildArch: noarch
BuildRequires: fontconfig
BuildRequires: x11-font-util >= 1.2
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11 <= 6.9.0
Requires(post): mkfontdir
Requires(postun): mkfontdir
Requires(post): mkfontscale
Requires(postun): mkfontscale

%description
Xorg X11 font adobe-utopia-type1.

%prep
%setup -q -n font-adobe-utopia-type1-%{version}
cp %{SOURCE1} .

%build
./configure --prefix=/usr --x-includes=%{_includedir}\
	    --x-libraries=%{_libdir} --with-fontdir=%_datadir/fonts/Type1

%make_build

%install
%make_install
rm -f %{buildroot}%_datadir/fonts/Type1/fonts.dir
rm -f %{buildroot}%_datadir/fonts/Type1/fonts.scale

%post
mkfontscale %_datadir/fonts/Type1
mkfontdir %_datadir/fonts/Type1

%postun
mkfontscale %_datadir/fonts/Type1
mkfontdir %_datadir/fonts/Type1

%files
%doc COPYING
%_datadir/fonts/Type1/UT*
