Name: x11-font-arabic-misc
Version: 1.0.4
Release: %mkrel 1
Summary: Xorg X11 font arabic-misc
Group: Development/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/font/font-arabic-misc-%{version}.tar.xz
License: MIT
BuildArch: noarch
BuildRequires: x11-font-util >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
Requires(post): mkfontdir
Requires(postun): mkfontdir
Requires(post): mkfontscale
Requires(postun): mkfontscale
Conflicts: xorg-x11 <= 6.9.0

%description
Xorg X11 font arabic-misc

%prep
%setup -q -n font-arabic-misc-%{version}

%build
# fix build on aarch64
autoreconf -vfi

%configure --with-fontdir=%_datadir/fonts/misc
%make_build

%install
%make_install

rm -f %{buildroot}%_datadir/fonts/misc/fonts.dir
rm -f %{buildroot}%_datadir/fonts/misc/fonts.scale

%post
mkfontscale %_datadir/fonts/misc
mkfontdir %_datadir/fonts/misc

%postun
mkfontscale %_datadir/fonts/misc
mkfontdir %_datadir/fonts/misc

%files
%license COPYING
%_datadir/fonts/misc/arabic24.pcf.gz
