Name: x11-font-daewoo-misc
Version: 1.0.4
Release: %mkrel 1
Summary: Xorg X11 font daewoo-misc
Group: Development/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/font/font-daewoo-misc-%{version}.tar.xz
# See #38627 for licensing
License: MIT
BuildArch: noarch
BuildRequires: x11-font-util >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
Requires(post): mkfontdir
Requires(postun): mkfontdir
Requires(post): mkfontscale
Requires(postun): mkfontscale

%description
Xorg X11 font daewoo-misc

%prep
%setup -q -n font-daewoo-misc-%{version}

%build
# to recognize aarch64
autoreconf -vfi

./configure --prefix=/usr --x-includes=%{_includedir}\
	    --x-libraries=%{_libdir} --with-fontdir=%_datadir/fonts/misc

%make_build

%install
%make_install
rm -f %{buildroot}%_datadir/fonts/misc/fonts.scale
rm -f %{buildroot}%_datadir/fonts/misc/fonts.dir

%post
mkfontscale %_datadir/fonts/misc
mkfontdir %_datadir/fonts/misc

%postun
mkfontscale %_datadir/fonts/misc
mkfontdir %_datadir/fonts/misc

%files
%doc COPYING
%_datadir/fonts/misc/hangl*.pcf.gz


