Name: x11-scripts
Version: 1.0.1
Release: %mkrel 19
Summary: Scripts for X
Group: Development/X11
BuildArch: noarch
Source: https://xorg.freedesktop.org/releases/individual/app/scripts-%{version}.tar.bz2
Patch0: xauth_switch_to_sun-des_bash.patch
License: MIT
BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
This package mainly provides xon which starts an X program on a remote machine
using rsh, remsh, or rcmd.

%prep
%setup -q -n scripts-%{version}
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%files
%license COPYING
%{_bindir}/xon
%{_bindir}/fontprop.sh
%{_bindir}/xauth_switch_to_sun-des-1
%{_bindir}/fontname.sh
%{_mandir}/man1/xon.1*
