Name: x11-util-cf-files
Version: 1.0.7
Release: %mkrel 2
Summary: Templates for imake
Group: Development/X11
BuildArch: noarch
Source: https://xorg.freedesktop.org/releases/individual/util/xorg-cf-files-%{version}.tar.bz2
Patch0: 0001-Add-mdvconfig.patch
License: MIT
Obsoletes: xorg-cf-files < 1.0.2
BuildRequires:	x11-font-util
BuildRequires:	x11-util-macros

%description
Templates for imake

%prep
%setup -q -n xorg-cf-files-%{version}
%autopatch -p1

%build
%configure --build=%{_build} --with-config-dir=%{_datadir}/X11/config
%make_build

%install
%make_install

%files
%dir %_datadir/X11/config
%_datadir/X11/config/*



