Name:           xauth
Epoch:          1
Version:        1.1.3
Release:        %mkrel 1
Summary:        X authority file utility
Group:          Development/X11
License:        MIT
Url:            https://xorg.freedesktop.org/
Source:         https://www.x.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  x11-util-macros

%description
The xauth program is used to edit and display the authorization information
used in connecting to the X server. This program is usually used to extract
authorization records from one machine and merge them in on another (as is the
case when using remote logins or granting access to other users).

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%doc README.md
%license COPYING
%{_bindir}/*
%{_mandir}/man1/xauth.1*
