Summary:	Link keyboard and mouse input events with shell commands
Name:		xbindkeys
Version:	1.8.7
Release:	%mkrel 3
License:	GPLv2+
Group:		System/X11
URL:		https://www.nongnu.org/xbindkeys/xbindkeys.html
Source:		https://www.nongnu.org/xbindkeys/%{name}-%{version}.tar.gz
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(guile-2.0)
BuildRequires:	pkgconfig(x11)
# (for xbindkey_show)
Requires:	tk

%description
%{name} is a program that allows you to launch shell commands with
your keyboard or your mouse under X Window. It links commands to keys
or mouse buttons, using a configuration file. It's independent of the
window manager and can capture all keyboard keys (e.g. Power, Wake...).

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS BUGS ChangeLog README
%{_bindir}/*
%{_mandir}/man?/*
