Name:           xcalc
Version:        1.1.2
Release:        %mkrel 1
Summary:        Scientific calculator for X
Group:          Development/X11
License:        MIT
URL:            https://xorg.freedesktop.org/
Source0:        https://www.x.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(xt) >= 1.0.0
BuildRequires:  pkgconfig(xaw7) >= 1.0.1
BuildRequires:  x11-util-macros >= 1.0.1

%description
Xcalc is a scientific calculator desktop accessory that can emulate a TI-30
or an HP-10C.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%{_bindir}/xcalc
%{_datadir}/X11/app-defaults/XCalc
%{_datadir}/X11/app-defaults/XCalc-color
%{_mandir}/man1/xcalc.1*
