%define major		0
%define libname		%mklibname %{name} %major
%define develname	%mklibname %{name} -d

Summary:	xcb-util's xcb-cursor
Name:		xcb-util-cursor
Version:	0.1.5
Release:	%mkrel 1
License:	MIT
Group:		System/X11
Url:		https://xcb.freedesktop.org/
Source0:	https://xcb.freedesktop.org/dist/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-image)
BuildRequires:	pkgconfig(xcb-render)
BuildRequires:	pkgconfig(xcb-renderutil)
BuildRequires:	pkgconfig(xorg-macros)

%description
This is the libXcursor port to XCB.

%package -n %{libname}
Summary:	xcb-util-cursor library package
Group:		System/X11

%description -n %{libname}
This is the libXcursor port to XCB.

%package -n %{develname}
Summary:	xcb-util-cursor development files
Group:		Development/C
Provides:	libxcb-util-cursor-devel = %{version}-%{release}
Provides:	xcb-util-cursor-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
This package includes the development files required to build
software against %{name}.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

%files -n %{libname}
%{_libdir}/libxcb-cursor.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog NEWS README.md
%{_includedir}/xcb/*.h
%{_libdir}/libxcb-cursor.so
%{_libdir}/pkgconfig/xcb-cursor.pc
