Name: xcursorgen
Version: 1.0.8
Release: %mkrel 1
Summary: Create an X cursor file from a collection of PNG images
Group: Development/X11
Source: https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
License: MIT
BuildRequires: pkgconfig(libpng) >= 1.2.8
BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xcursor) >= 1.1.5.2
BuildRequires: x11-util-macros >= 1.0.1

%description
Xcursorgen creates an X cursor file from a collection of PNG images.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%{_bindir}/xcursorgen
%{_mandir}/man1/xcursorgen.*
