%define rel 1

Name:          xdg-desktop-portal-lxqt
Version:       1.1.0
Release:       %mkrel %rel
Summary:       A backend implementation for xdg-desktop-portal
License:       LGPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/xdg-desktop-portal-lxqt/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: cmake(fm-qt6)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(KF6WindowSystem)

%description
A backend implementation for xdg-desktop-portal that is using
Qt/KDE Frameworks/libfm-qt.

%prep
%autosetup

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%{_libexecdir}/xdg-desktop-portal-lxqt
%{_datadir}/applications/org.freedesktop.impl.portal.desktop.lxqt.desktop
%{_datadir}/dbus-1/services/org.freedesktop.impl.portal.desktop.lxqt.service
%{_datadir}/xdg-desktop-portal/portals/lxqt.portal
%{_datadir}/xdg-desktop-portal/lxqt-portals.conf
