Name:		xdpyinfo
Version:	1.3.4
Release:	%mkrel 2
Summary:	Display information utility for X
License:	MIT
Group:		Development/X11
URL:		https://www.x.org
Source0:	https://www.x.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xext) >= 1.0.0
BuildRequires: pkgconfig(xtst) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: pkgconfig(xxf86vm)
BuildRequires: pkgconfig(xxf86dga)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xcomposite)
BuildRequires: pkgconfig(xinerama)

%description
Xdpyinfo is a utility for displaying information about an X server. It is used
to examine the capabilities of a server, the predefined values for various
parameters used in communicating between clients and the server, and the
different types of screens and visuals that are available.

%prep
%autosetup

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make_build

%install
%make_install

%files
%doc ChangeLog README.md
%{_bindir}/xdpyinfo
%{_mandir}/man1/xdpyinfo.*
