Name:           xdriinfo
Version:        1.0.7
Release:        %mkrel 1
Summary:        Query configuration information of DRI drivers
Group:          Development/X11
Source:         https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
License:        MIT

BuildRequires:  pkgconfig(x11) >= 1.0.0
BuildRequires:  x11-proto-devel >= 1.0.0
BuildRequires:  x11-util-macros >= 1.0.1
BuildRequires:  GL-devel

%description
Driinfo can be used to query configuration information of direct rendering
drivers (DRI).


%prep
%setup -q

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make_build

%install
%make_install

%files
%{_bindir}/xdriinfo
%{_mandir}/man1/xdriinfo.*
