Summary: Graphically display output of du command 
Name: xdu
Version: 3.0
Release: %mkrel 14
Source: ftp://ftp.arl.mil/pub/%{name}-%{version}.tar.bz2
License: BSD
Group: File tools
Url: https://sd.wareonearth.com/~phil/xdu/
BuildRequires: libx11-devel
BuildRequires: libxt-devel
BuildRequires: libxaw-devel
BuildRequires: imake
BuildRequires: gccmakedep

%description
Accepts output of du command on standard input and graphically
displays results in a window.

%prep
%setup -c 

%build
xmkmf -a
%make CXXOPTIONS="%optflags" EXTRA_LDOPTIONS="%ldflags"

%install
mkdir -p  $RPM_BUILD_ROOT%{_mandir}/man1/
cp %{name}.man $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1
%make_install CONFDIR=%_datadir/X11

rm -fr %buildroot%_prefix/lib/X11

%files
%_bindir/xdu
%_datadir/X11/app-defaults/XDu
%{_mandir}/man1/*
%doc README



