%global pypi_name xeus_python_shell
Name:           xeus-python-shell
Version:        0.6.3
Release:        %mkrel 2
Summary:        xeus-python is a Jupyter kernel for Python
BuildArch:      noarch
Group:          Development/Python

License:        BSD
URL:            https://github.com/jupyter-xeus/xeus-python-shell.git
Source0:        https://github.com/jupyter-xeus/xeus-python-shell/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  python3-devel

%description
Core Python library for xeus-python https://github.com/jupyter-xeus/xeus-python

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files xeus_python_shell

%files -f %{pyproject_files}
%doc README.md
%license LICENSE
