#exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	Clipboard history plugin for the Xfce panel
Name:		xfce4-clipman-plugin
Version:	1.6.7
Release:	%mkrel 1
License:	BSD
Group:		Graphical desktop/Xfce
URL:		https://goodies.xfce.org/projects/panel-plugins/xfce4-clipman-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-clipman-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
Patch0:		xfce4-clipman-plugin-1.6,7-Bug-actions.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(libqrencode)
Requires:	xfce4-panel

%description
Clipboard history panel plugin for the Xfce Desktop Environment.

%prep
%autosetup -p1

%build
%configure \
	--disable-static \
	--enable-libqrencode
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc README* COPYING AUTHORS
%{_sysconfdir}/xdg/autostart/xfce4-clipman-plugin-autostart.desktop
%{_sysconfdir}/xdg/xfce4/panel/xfce4-clipman-actions.xml
%{_bindir}/xfce4-*
%{_libdir}/xfce4/panel/plugins/libclipman.so
%{_datadir}/xfce4/panel/plugins/%{name}.desktop
%{_datadir}/applications/xfce4-clipman.desktop
%{_datadir}/applications/xfce4-clipman-settings.desktop
%{_metainfodir}/xfce4-clipman.appdata.xml
%{_datadir}/icons/hicolor/*/apps/*
