Name:		xfce4-equake-plugin
Version:	1.3.8.1
Release:	%mkrel 3
Summary:	Plugin for the XFCE panel which monitors earthquakes
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		http://freecode.com/projects/equake-xfce
Source0:	https://download.sourceforge.net/equake/%{name}-%{version}.tar.gz
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	pkgconfig(libxfce4panel-1.0)
Requires:	xfce4-panel

%description
A panel plugin for the XFCE panel which monitors earthquakes and displays an
update each time a new earthquake occurs.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/xfce4/panel-plugins/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}-icon.png
%{_datadir}/xfce4/panel-plugins/%{name}.desktop
