#exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Name:		xfce4-hamster-plugin
Summary:	Time tracking application panel plugin for Xfce
Version:	1.7
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		https://github.com/projecthamster/xfce4-hamster-plugin
Source0:	https://github.com/projecthamster/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	pkgconfig(libxfce4panel-1.0)
Requires:	xfce4-panel
Requires:	hamster-time-tracker

%description
A recreation of the gnome-shell 'hamster project extension' for the
Xfce panel.

%prep
%setup -q
%autopatch -p1

#for autoreconf
mkdir -p m4

%build
autoreconf -vfi
%configure \
	--with-icon_name=hamster-time-tracker
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc README
%{_bindir}/xfce4-popup-hamstermenu
%{_libdir}/xfce4/panel/plugins/libhamster.so
%{_datadir}/xfce4/panel/plugins/hamster.desktop
