# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Name:		xfce4-pulseaudio-plugin
Summary:	A panel plugin for controlling PulseAudio mixer
Version:	0.5.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		https://goodies.xfce.org/projects/panel-plugins/xfce4-pulseaudio-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	git-core
BuildRequires:	meson
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(keybinder-3.0)
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libpulse-mainloop-glib)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.21.0
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4windowing-0) >= 4.19.6
BuildRequires:	pkgconfig(libxfconf-0)
Requires:	xfce4-panel >= 4.11.0
Requires:	pavucontrol
# Replaces xfce4-mixer
Obsoletes:	xfce4-mixer < 4.11.0-5

%description
Xfce4-pulseaudio-plugin is a panel plugin for controlling an audio
output volume of the PulseAudio mixer.

%prep
%autosetup -p1 -Sgit_am

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc NEWS README*
%{_libdir}/xfce4/panel/plugins/libpulseaudio-plugin.so
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/xfce4/panel/plugins/pulseaudio.desktop
