%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	A MPD client focusing on low footprint for Xfce
Name:		xfmpc
Version:	0.3.2
Release:	%mkrel 1
License:	BSD-like
Group:		Graphical desktop/Xfce
Url:		https://goodies.xfce.org/projects/applications/%{name}
Source0:	https://archive.xfce.org/src/apps/xfmpc/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libmpd)
Requires:	mpd

%description
A MPD client focusing on low footprint for Xfce desktop environment.

%prep
%autosetup -p1

%build
%xdt_autogen
%configure \
  --disable-static
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS IDEAS NEWS README* THANKS ChangeLog
%license COPYING
%{_bindir}/xfmpc
%{_datadir}/applications/*.desktop
%{_mandir}/man1/%{name}*
