Name:		xinvaders3d
Version:	1.5.0
Release:	%mkrel 1
Summary:	3D space-invaders clone on X Window System
License:	GPLv2+
Group:		Games/Arcade
Url:		https://github.com/JoesCat/xinvaders3d/
Source0:	https://github.com/JoesCat/xinvaders3d/releases/download/%{version}/%{name}-dist-%{version}.tar.gz
Patch0:		xinvaders-1.5.0-no-appdata-and-no-xpm.patch
BuildRequires:	pkgconfig(x11)

Provides:	xinv3d = %{version}-%{release}

%description
XInvaders 3D is a 3D vector-based space-invaders clone for the X
Window System.
You are a lone star fighter facing endless waves of space aliens.
Your sole objective is to shoot down as many aliens as you can.
All objects are represented with 3D vector graphics, allowing the
aliens to grow in size as they move closer to you.

%prep
%autosetup -p1

%build
%configure --bindir=%{_gamesbindir}
%make_build

%install
%make_install bindir=%{_gamesbindir}

%files
%doc AUTHORS Changelog README.md
%license COPYING
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_metainfodir}/%{name}.metainfo.xml
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man6/%{name}.6*
