Name:		xkbutils
Version:	1.0.6
Release:	%mkrel 1
Summary:	X.Org X11 XKB utilities
Group:		Development/X11
License:	MIT
URL:		https://xorg.freedesktop.org
Source:		https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(x11) >= 1.0.0
BuildRequires:	pkgconfig(xkbfile) >= 1.0.1
BuildRequires:	pkgconfig(xaw7) >= 1.0.1
BuildRequires:	x11-util-macros >= 1.0.1

%description
This package provides several XKB utilities for X.org.

%prep
%setup -q

%build
%configure	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir}

%make_build

%install
%make_install

%files
%doc README.md
%license COPYING
%{_bindir}/xkbbell
%{_bindir}/xkbvleds
%{_bindir}/xkbwatch
%{_mandir}/man1/*.1.*

