Name:		xload
Version:	1.2.0
Release:	%mkrel 1
Summary:	System load average display for X
Group:		Development/X11
License:	MIT
URL:		https://xorg.freedesktop.org
Source:		https://www.x.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(xt) >= 1.0.0
BuildRequires:	pkgconfig(xaw7) >= 1.0.1
BuildRequires:	x11-util-macros >= 1.0.1

%description
The xload program displays a periodically updating histogram of the system
load average.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%doc README.md
%license COPYING
%{_bindir}/xload
%{_datadir}/X11/app-defaults/XLoad
%{_mandir}/man1/xload.1*
