Name:		xlogo
Version:	1.0.7
Release:	%mkrel 1
Summary:	X Window System logo
Group:		System/X11
License:	MIT
Url:		https://xorg.freedesktop.org/
Source:		https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(xext) >= 1.0.0
BuildRequires:	pkgconfig(xt) >= 1.0.0
BuildRequires:	pkgconfig(xaw7) >= 1.0.1
BuildRequires:	pkgconfig(xrender) >= 0.9.0.2
BuildRequires:	x11-util-macros >= 1.0.1
BuildRequires:	pkgconfig(xft) >= 2.1.8.2

%description
The xlogo program displays the X Window System logo.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

%files
%{_bindir}/xlogo
%{_datadir}/X11/app-defaults/XLogo-color
%{_datadir}/X11/app-defaults/XLogo
%{_mandir}/man1/xlogo.1*
