Name:		xmbdfed
Summary:	Bitmap Font Editor
Version:	4.7
Release:	%mkrel 13
License:	MIT
Group:		Publishing
URL:		http://crl.nmsu.edu/~mleisher/%{name}.html

Source0:	http://crl.nmsu.edu/~mleisher/%{name}-%{version}.tar.bz2
Source1:	http://crl.nmsu.edu/~mleisher/%{name}.png
Source2:	%{name}.desktop

Patch0:		http://crl.nmsu.edu/~mleisher/%{name}-4.7-patch1
Patch1:		xmbdfed-4.7-linux.patch
Patch2:		xmbdfed-4.7-staticfix.patch
Patch3:		xmbdfed-4.7-getline.patch
Patch4:		xmbdfed-4.7-mga-format-security_bdf.c.patch
Patch5:		xmbdfed-build-flags.patch
Patch6:		xmbdfed-4.7-gcc10.patch
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	motif-devel
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(ice)
BuildRequires:	desktop-file-utils
Requires:	x11-font-misc-misc

%description
The XmBDFEditor lets you interactively create new bitmap font files or
modify existing ones. It allows editing multiple fonts and multiple
glyphs, it allows cut and paste operations between fonts and glyphs and
editing font properties. The editor works natively with BDF fonts.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
install -p -m0755 %{name} %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
install -p -m0644 %{name}.man %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -p -m0644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps
desktop-file-install					\
	--dir %{buildroot}%{_datadir}/applications/ %{SOURCE2}

%files
%doc README %{name}rc CHANGES
%license COPYRIGHTS
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*.desktop
%{_mandir}/man1/%{name}*
