Name:           xmlpull
Version:        1.2.0
Release:        %mkrel 3
Group:		Development/Java
Summary:        XML Pull Parsing API

License:        Public Domain
URL:            https://github.com/xmlpull-xpp3/%{name}-xpp3
Source0:        %{url}/archive/%{name}-xpp3-parent-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  java-11-devel
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(junit:junit)

%description
XmlPull v1 API is a simple to use XML pull parsing API that was
designed for simplicity and very good performance both in constrained
environment such as defined by J2ME and on server side when used in
J2EE application servers.

%javadoc_package

%prep
%autosetup -n %{name}-xpp3-%{name}-xpp3-parent-%{version}

find \( -name \*.jar -o -name \*.class \) -delete

%pom_disable_module xpp3_min

%mvn_package :%{name}-xpp3-parent __noinstall

%build
%if 0%{?rhel}
export JAVA_HOME=/usr/lib/jvm/java-11	
%endif
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%license %{name}/LICENSE.txt
%doc %{name}/README.adoc

