Name: xmodmap
Version: 1.0.11
Release: %mkrel 1
Summary: Utility for modifying keymaps and pointer button mappings in X
Group: Development/X11
Source: https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
License: MIT

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
The xmodmap program is used to edit and display the keyboard modifier map and
keymap table that are used by client applications to convert event keycodes
into keysyms.

It has been obsoleted by XKB.

%prep
%setup -q

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make_build

%install
%make_install

%files
%{_bindir}/xmodmap
%{_mandir}/man1/xmodmap.1*
