Name:          xmpcore
Version:       5.1.2
Release:       %mkrel 13
Group:         Development/Java
Summary:       Java XMP Library
License:       BSD
URL:           https://www.adobe.com/devnet/xmp.html
Source0:       https://repo1.maven.org/maven2/com/adobe/xmp/%{name}/%{version}/%{name}-%{version}-sources.jar
# from https://repo1.maven.org/maven2/com/adobe/xmp/xmpcore/5.1.2/xmpcore-5.1.2.pom
# customized:
# fix compiler,javadoc-plugin configuration
# fix manifest entries
Source1:       %{name}-%{version}.pom
# from https://download.macromedia.com/pub/developer/xmp/sdk/XMP-Toolkit-SDK-5.1.2.zip
Source2:       %{name}-BSD-License.txt
BuildRequires: buildnumber-maven-plugin
BuildRequires: maven-local
BuildArch:     noarch

%description
The XMP Library for Java is based on the
C++ XMPCore library and the API is similar.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -c

mkdir java
mv com java/
rm -r META-INF

cp -p %{SOURCE1} pom.xml
cp -p %{SOURCE2} BSD-License.txt
sed -i 's/\r//' BSD-License.txt

%mvn_file : %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license BSD-License.txt

%files javadoc -f .mfiles-javadoc
%license BSD-License.txt

