%define game    xonotic

Name:           %{game}-data
Version:        0.8.6
Release:        %mkrel 1
Summary:        Xonotic data files (graphics, music, maps, etc.)
Group:          Games/Shooter
License:        GPLv2+
Url:            https://www.xonotic.org/
# Repacked from https://dl.xonotic.org/%%{name}-%%{version}.zip
# cf. prepare-source.sh script in "xonotic" package
Source0:        %{name}-%{version}.zip
BuildArch:      noarch

%description
Arch-independent data files used to play Xonotic.

%prep
%autosetup

%build

%install
install -d %{buildroot}%{_gamesdatadir}/%{game}
cp -a data %{buildroot}%{_gamesdatadir}/%{game}/

%files
%{_gamesdatadir}/%{game}/
