%define libxorg %mklibname xorg-x11

Name: xorg-x11
Version: 7.7
Release: %mkrel 13
Summary: X11 metapackage
Group: Development/X11
License: MIT

Requires: x11-data-bitmaps
Requires: x11-server-xorg
Requires: x11-apps
Requires: x11-tools
Requires: x11-docs
Requires: fonts-ttf-dejavu
Requires: fonts-ttf-liberation
Requires: x11-font-type1
Requires: x11-font-misc 
Requires: libx11
Requires: x11-data-cursor-themes

Obsoletes: X11R6-contrib

%description
X11 metapackage

%files

#------------------------------------------------------------------------------
%package -n %{libxorg}
Summary: X11 libraries
Group: Development/X11
License: MIT

Requires: libdrm
Requires: libfontenc
Requires: libfs
Requires: libice
Requires: libsm
Requires: libwindowswm
Requires: libx11
Requires: libxau
Requires: libxaw7
Requires: libxcomposite
Requires: libxcursor
Requires: libxdamage
Requires: libxdmcp
Requires: libxext
Requires: libxfixes
Requires: libxft
Requires: libxi
Requires: libxinerama
Requires: libxkbfile
Requires: libxmu
Requires: libxpm
Requires: libxrandr
Requires: libxrender
Requires: libxres
Requires: libxscrnsaver
Requires: libxt
Requires: libxtst
Requires: libxv
Requires: libxvmc
Requires: libxxf86dga
Requires: libxxf86vm

%description -n %{libxorg}
X11 libraries

%files -n %{libxorg}

#------------------------------------------------------------------------------

%package 75dpi-fonts
Summary: A set of 75 dpi resolution fonts for the X Window System
Group: System/Fonts/X11 bitmap
Obsoletes: XFree86-75dpi-fonts
Provides: XFree86-75dpi-fonts = %{version}-%{release}
Provides: X11-75dpi-fonts
Provides: xorg-x11-fonts

Requires: x11-font-adobe-75dpi
Requires: x11-font-alias
Requires: x11-font-bh-75dpi
Requires: x11-font-bh-lucidatypewriter-75dpi
Requires: x11-font-bitstream-75dpi

%description 75dpi-fonts
X11-75dpi-fonts contains the 75 dpi fonts used
on most X Window Systems. If you're going to use the
X Window System, you should install this package, unless
you have a monitor which can support 100 dpi resolution.
In that case, you may prefer the 100dpi fonts available in
the X11-100dpi-fonts package.

%files 75dpi-fonts

#------------------------------------------------------------------------------

%package 100dpi-fonts
Summary: X Window System 100dpi fonts
Group: System/Fonts/X11 bitmap
Obsoletes: XFree86-ISO8859-2-100dpi-fonts, XFree86-ISO8859-9-100dpi-fonts
Provides: XFree86-ISO8859-2-100dpi-fonts, XFree86-ISO8859-9-100dpi-fonts
Obsoletes: XFree86-100dpi-fonts
Provides: XFree86-100dpi-fonts = %{version}-%{release}
Provides: X11-100dpi-fonts
Provides: xorg-x11-fonts

Requires: x11-font-adobe-100dpi
Requires: x11-font-alias
Requires: x11-font-bh-100dpi
Requires: x11-font-bh-lucidatypewriter-100dpi
Requires: x11-font-bitstream-100dpi

%description 100dpi-fonts
If you're going to use the X Window System and you have a
high resolution monitor capable of 100 dpi, you should install
X11-100dpi-fonts. This package contains a set of
100 dpi fonts used on most Linux systems.

%files 100dpi-fonts

#------------------------------------------------------------------------------


