Summary:	Cute little penguins that walk along the tops of your windows
Name:		xpenguins
Version:	3.2.3
Release:	%mkrel 1
License:	GPLv2
Group:		Toys
URL:		https://www.ratrabbit.nl/ratrabbit/software/xpenguins/index.html
Source0:	https://www.ratrabbit.nl/downloads/xpenguins/%{name}-%{version}.tar.gz
Source1:	%{name}-32x32.png
Source2:	%{name}-16x16.png
Source3:	%{name}-48x48.png

BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(xt)

%description
XPenguins animates a friendly family of penguins in your root window.
They drop in from the top of the screen, walk along the tops of your
windows, up the side of your windows, levitate, skateboard, and do
other similarly exciting things. XPenguins is now themeable so if
you're bored of penguins, try something else. The themes that come
with this package are "Penguins", "Classic Penguins" and "Turtles".

%prep
%autosetup -p1

# Add it to "Toys" menu
sed -e "s/Categories.*/Categories=Amusement;Game;/" -i src/%{name}.desktop

%build
%configure
%make_build

%install
%make_install

mkdir -p  %{buildroot}{%{_datadir}/applications,%{_iconsdir},%{_miconsdir},%{_liconsdir}}
install -Dpm644 %{SOURCE1} %{buildroot}%{_iconsdir}/%{name}.png
install -Dpm644 %{SOURCE2} %{buildroot}%{_miconsdir}/%{name}.png
install -Dpm644 %{SOURCE3} %{buildroot}%{_liconsdir}/%{name}.png

%files
%license COPYING
%doc README* AUTHORS ChangeLog lay-out-frames.scm
%{_bindir}/%{name}
%{_mandir}/man1/*
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/themes
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
