Name:           xrdb
Version:        1.2.2
Release:        %mkrel 1
Summary:        X server resource database utility
Group:          Development/X11
License:        MIT
URL:            https://xorg.freedesktop.org/
Source:         https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(x11) >= 1.0.0
BuildRequires:  pkgconfig(xmu) >= 1.0.0
BuildRequires:  x11-util-macros >= 1.0.1

Requires:       mcpp

%description
Xrdb is used to get or set the contents of the RESOURCE_MANAGER property on the
root window of screen 0, or the SCREEN_RESOURCES property on the root window of
any or all screens, or everything combined.

%prep
%autosetup

%build
%configure --with-cpp=%{_bindir}/mcpp

%make_build

%install
%make_install

%files
%{_bindir}/xrdb
%{_mandir}/man1/xrdb.*
