Summary:	X Resource Monitor
Name:		xrestop
Version:	0.6
Release:	%mkrel 1
License:	GPLv2
Group:		Monitoring
URL:		https://www.freedesktop.org/Software/xrestop
Source:		https://xorg.freedesktop.org/archive/individual/app/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xres)
BuildRequires:	pkgconfig(ncurses)

%description
A utility to monitor the usage of resources within the X Server, and
display them in a manner similar to top.

%prep
%autosetup

%build
%configure
%make_build SUBDIRS=

%install
%make_install SUBDIRS=
%make_install -C doc SUBDIRS=

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%doc README.md AUTHORS NEWS
