Name:           xsel
Version:        1.2.1
Release:        %mkrel 1
Summary:        Command line clipboard and X selection tool
Group:          System/X11
License:        MIT
URL:            https://www.vergenet.net/~conrad/software/xsel/
# https://www.vergenet.net/~conrad/software/xsel/download/xsel-%%{version}.tar.gz
Source0:        https://github.com/kfish/xsel/archive/refs/tags/%{version}/xsel-%{version}.tar.gz
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(xext)

%description
XSel is a command line or script utility, similar to xclip, that can copy the
primary and secondary X selection, or any highlighted text, to or from a file,
stdin or stdout. It can also append to and delete the clipboard or buffer that
you would paste with the middle mouse button.

%prep
%autosetup -p1

%build
sh autogen.sh
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog README
%license COPYING
%{_mandir}/man1/xsel.1*
%{_bindir}/xsel
