Name:		xsnow
Version:	3.8.4
Release:	%mkrel 1
Summary:	Let it snow on your desktop
Group:		System/X11
License:	GPLv3+
URL:		https://ratrabbit.nl/ratrabbit/xsnow/
Source0:	https://ratrabbit.nl/downloads/xsnow/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(gtk+-3.0)

%description
Xsnow is a X Window application that will snow on the desktop background.
Santa and his reindeer will complete your festive-season feeling.
Xsnow runs in GNOME, KDE, FVWM and desktops that are derived from those.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

# Fix icon path
install -d %{buildroot}%{_iconsdir}/hicolor/scalable/apps/
mv %{buildroot}%{_datadir}/pixmaps/%{name}.svg \
  %{buildroot}%{_iconsdir}/hicolor/scalable/apps/

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README.md
%license COPYING
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_metainfodir}/%{name}.appdata.xml
%{_mandir}/man6/%{name}.6*
