%global sum	Shooting game on X Window System

Summary:	%{sum}
Name:		xsoldier
Version:	1.8
Release:	%mkrel 10
License:	GPLv2
Group:		Games/Arcade
URL:		http://www.interq.or.jp/libra/oohara/xsoldier/
Source:		http://www.interq.or.jp/libra/oohara/xsoldier/%{name}-%{version}.tar.gz
Source3:	%{name}-icons.tar.bz2
Patch0:		%{name}-1.5-mdv-fix-str-fmt.patch
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(xpm)

%description
Great little shoot 'em up game in the style of galaga. Very neat graphics, but
there's no sound support yet.

%prep

%setup -q
%autopatch -p1

%build

%configure --bindir=%{_gamesbindir} --localstatedir=%{_localstatedir}/lib  --with-sdl

%make_build

%install
%make_install bindir=%{_gamesbindir} datadir=%{_datadir} localstatedir=%{_localstatedir}/lib mandir=%{_mandir}

install -m 755 -d %{buildroot}/%{_menudir}
install -m 755 -d %{buildroot}/%{_iconsdir}

(cd  %{buildroot}%{_iconsdir} ; bunzip2 -c %{SOURCE3} | tar xvf - ) 

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{sum}
Exec=%{_gamesbindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

chmod 777 %{buildroot}%{_localstatedir}/lib/games/xsoldier
cp scorefile.txt %{buildroot}%{_localstatedir}/lib/games/xsoldier/xsoldier.scores

%files
%doc ChangeLog README LICENSE INSTALL
%attr(0755, root, games) %{_gamesbindir}/*
%{_gamesdatadir}/*
%{_datadir}/applications/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_mandir}/man6/*
%attr(664, games, games) %{_localstatedir}/lib/games/xsoldier/xsoldier.scores
