Name:           xssstate
Summary:        Utility to get the state of the X screensaver extension
Version:        1.1
Release:        %mkrel 8
Source0:        https://git.suckless.org/xssstate/snapshot/xssstate-%{version}.tar.bz2
BuildRequires:  pkgconfig(xscrnsaver)
License:        MIT
Group:          Graphical desktop/Other

%description
This is a simple utility to get the state of the X screensaver extension.
These states include the idle time, the screensaver state and the
time how long to wait until the screensaver should be active.

%prep
%setup -q

%build
%__make 'LIBS=-L%{_libdir} -lc -lX11 -lXss'

%install
%__make PREFIX=%{buildroot}%{_prefix} install

%files
%_bindir/%name
%_mandir/man1/%{name}.1*
