Summary:	A utility which aims to decrease X session startup time
Name:		xtoolwait
Version:	1.3
Release:	%mkrel 22
License:	GPL
Group:		System/Configuration
BuildRequires:	imake
BuildRequires:	pkgconfig(x11)
Buildrequires:	pkgconfig(xext)
Url:		https://www.hacom.nl/~richard/software/xtoolwait.html
Source:		ftp://ftp.x.org/contrib/utilities/%{name}-%{version}.tar.bz2
Patch0:		xtoolwait-imake.patch

%description
Xtoolwait is a utility which starts an X client in the background, waits
for a window to be mapped on the root window, and then exits.  Xtoolwait
can improve performance for users who start a bunch of X clients
automatically (for example, xterm, xlock, xconsole, whatever) when the
X session starts.

Install xtoolwait if you'd like to try to speed up the startup time for
X sessions.

%prep
%setup -q
%autopatch -p1

%build
xmkmf
%make_build CDEBUGFLAGS="%optflags" EXTRA_LDOPTIONS="%ldflags"

%install
%make_install install.man

%files
%{_bindir}/xtoolwait
%{_mandir}/man1/xtoolwait.1*
