Name:		xtux
Version:	20030306
Release:	%mkrel 26
Summary:	Multiplayer arcade game featuring open-source mascots
Group:		Games/Arcade
License:	GPL+ and LGPLv2+
URL:		https://xtux.sourceforge.net/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-src-%{version}.tar.bz2
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
Patch0:		xtux-fix-format-strings.patch
BuildRequires:	pkgconfig(xpm)

%description
2005: Microsoft finally releases Windows2000. The few remaining in line
from midnight December 31, 1999 expecting Microsoft to deliver "on time"
were slightly annoyed, but otherwise the response was extremely
enthusiastic.

You must Battle through hoards of Evil Microsoft lusers, Certified Peons
and Bugs while collecting computer processors. Using these, construct a
massive Beowulf machine capable of cracking the security on Microsofts
secret database. Upload yourself into the internet, liberate friendly
Linux sites, then battle your way into microsoft.com destroying all you
can find. Only then can you turn your wrath towards your nemesis, the
evil lord Gates.


%prep
%setup -q -n %{name}
%patch -P 0 -p2
perl -pi -e 's|./tux_serv|%{_gamesbindir}/tux_serv|;' src/client/menu.c

%build
make CC="%{__cc} %{optflags}" DATADIR="%{_gamesdatadir}/%{name}" X11LIB="-lX11"

%install
mkdir -p %{buildroot}%{_gamesbindir}
install -m 755 %{name} %{buildroot}%{_gamesbindir}
mkdir -p %{buildroot}%{_sbindir}
install -m 755 tux_serv %{buildroot}%{_gamesbindir}

mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
cp -a data/* %{buildroot}%{_gamesdatadir}/%{name}

install -D -m 644 %{SOURCE1} %{buildroot}%{_liconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE3} %{buildroot}%{_miconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=X-Tux
Comment=X-Tux
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

find %{buildroot}%{_gamesdatadir}/%{name}/images -type d -name ".xvpics" | xargs -t rm -r

%files
%doc AUTHORS CHANGELOG README README.GGZ doc/*
%license COPYING
%attr(0755,root,root) %{_gamesbindir}/%{name}
%attr(0755,root,root) %{_gamesbindir}/tux_serv
%{_gamesdatadir}/%{name}/
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop
