Name: xvattr
Version: 1.3
Release: %mkrel 19
Summary: Attribute editor for Xv extensions
License: GPL
Group: Video/Editors and Converters
Source:	http://www.dtek.chalmers.se/~dvd/dist/%{name}-%{version}.tar.bz2
# (gentoo) use gtk+2.0:
Patch0: xvattr-1.3-gtk.patch
Patch1: xvattr-1.3-pod-charset.patch
Patch3: xvattr-1.3-autoconf.patch
Patch4: xvattr-1.3-fix-building-with-gcc14.patch
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(xv)
URL: http://www.dtek.chalmers.se/groups/dvd/

%description
Xvattr lets you list the available attributes associated with the Xv
extension to Xorg. It also allows you to change the values of the
attributes. This can be used to change brightness and so on for
programs that use Xv overlays.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README xvattr.html
%{_bindir}/%name
%{_bindir}/gxvattr
%{_mandir}/man1/%name.1*
