%define oversion 0.74-404001

%define devname	%mklibname xvba -d

Summary:	AMD Embedded Solutions XvBA SDK
Name:		xvba-sdk
Version:	%(echo %oversion | tr - _)
Release:	%mkrel 7
License:	BSD-like
Group:		System/Libraries
URL:		https://developer.amd.com/ZONES/OPENSOURCE/Pages/default.aspx
Source:		https://developer.amd.com/downloads/xvba-sdk-%{oversion}.tar.gz
# depends on binary part, see below
ExclusiveArch:	%ix86 x86_64

%description
This package contains the AMD Embedded Solutions X-Video Bitstream
Acceleration software development kit for Linux.

%package -n %devname
Summary:	Headers for XvBA development
Group:		Development/C
# argh.. well I don't care until libXvBAW is free like libvdpau -Anssi
Requires:	x11-driver-video-amdgpu
Provides:	xvba-devel = %version-%release

%description -n %devname
This package contains the AMD Embedded Solutions X-Video Bitstream
Acceleration software development kit for Linux.

%prep
%setup -q -c

%install
rm -rf %{buildroot}
install -d -m755 %{buildroot}%{_includedir}
install -m644 include/amdxvba.h %{buildroot}%{_includedir}

install -d -m755 %{buildroot}%{_libdir}
ln -s %{_libdir}/fglrx/libXvBAW.so.1 %{buildroot}%{_libdir}/libXvBAW.so

%files -n %devname
%doc README LICENSE doc/*.pdf
%{_includedir}/amdxvba.h
%{_libdir}/*.so
