%define oname		xvidcore

%define major		4
%define libname		%mklibname %{oname} %{major}
%define develname	%mklibname %{oname} -d

Name:		xvid
Epoch:		2
Version:	1.3.7
Release:	%mkrel 2
Summary:	Video codec compatible with divx4
License:	GPLv2+
Group:		System/Libraries
URL:		https://www.xvid.com
Source0:	https://downloads.xvid.com/downloads/%{oname}-%{version}.tar.gz
BuildRequires:	gcc
%ifarch %{ix86} x86_64
BuildRequires:	nasm
%endif

%description
This is a video codec based on the original OpenDivX codec. It's
compatible with DivX and MPEG 4.

This package is in Tainted repository for patent issues.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Video codec compatible with divx4
Provides:	lib%{name} = %{epoch}:%{version}-%{release}
Provides:	%{name} = %{epoch}:%{version}-%{release}

%description -n	%{libname}
This is a video codec based on the original OpenDivX codec. It's
compatible with DivX and MPEG 4.

It's in tainted repository for patent issues.

%package -n	%{develname}
Group:		Development/C
Summary:	Video codec compatible with divx4, devel files
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	xvid4-devel = %{epoch}:%{version}-%{release}

%description -n	%{develname}
This is a video codec based on the original OpenDivX codec. It's
compatible with DivX and MPEG 4.

It's in tainted repository for patent issues.

This package contains the header files and static libraries needed to
build programs with the xvid codec using it's native API.

%prep
%autosetup -n xvidcore -p1

%build
pushd build/generic
	%configure
	%make_build
popd

%install
%make_install -C build/generic

# ensure .so modules are executable for proper -debuginfo extraction
chmod a+rx %{buildroot}%{_libdir}/*.so

%files -n %{libname}
%doc LICENSE README
%{_libdir}/libxvidcore.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog CodingStyle TODO AUTHORS
%{_libdir}/libxvidcore.so
%{_libdir}/libxvidcore.a
%{_includedir}/xvid.h
