Name:           xwininfo
Version:        1.1.6
Release:        %mkrel 1
Summary:        Window information utility for X
Group:          Development/X11
License:        MIT
URL:            https://xorg.freedesktop.org/
Source0:        https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xext) >= 1.0.0
BuildRequires: pkgconfig(xmu) >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
xwininfo is a command-line utility to print information about windows
on an X server.  Various information is displayed depending on which
options are selected.

%prep
%autosetup

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make_build

%install
%make_install

%files
%{_bindir}/xwininfo
%{_mandir}/man1/xwininfo.*
