Summary:	Small BASIC interpreter with printing and graphics
Name:		yabasic
Epoch:		1
Version:	2.90.5
Release:	%mkrel 1
License:	MIT
Group:		Development/Basic
URL:		https://www.yabasic.de/
Source0:	https://2484.de/%{name}/download/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libffi)

%description
Yabasic implements the most common and simple elements of the BASIC
language; It comes with for-loops and goto with while-loops and
procedures. Yabasic does monochrome line graphics, printing comes with
no extra effort. Yabasic runs under Unix and Windows; it is small
(less than 200KB) and free.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure
%make_build

%check
make check-TESTS

%install

%make_install

%files
%doc AUTHORS NEWS README *.htm ChangeLog
%{_bindir}/*
%{_mandir}/man1/yabasic.*
