Summary:	Downloader for YLE Areena, YleX Areena, and Elävä arkisto
Name:		yle-dl
Version:	20250316
Release:	%mkrel 1
License:	GPLv2
Group:		Video/Utilities
URL:		https://aajanki.github.io/yle-dl/
Source0:	https://pypi.io/packages/source/y/yle-dl/yle_dl-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
Requires:	ffmpeg

%description
yle-dl (previously known as RTMPDump-YLE) is a command-line program for
downloading media files from the video streaming services of the
Finnish national broadcasting company YLE: YLE Areena, YleX Areena,
and Elävä arkisto.

yle-dl can also handle live radio and TV broadcasts.

You can download files from these services for private use only.
Redistributing programs from these services without permission is
forbidden.

%prep
%autosetup -p1 -n yle_dl-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files yledl

%files -f %{pyproject_files}
%doc README.md
%{_bindir}/yle-dl
