%define basen ylva
%global gittag v1.5

Name: %{basen}
Version: 1.5
Release: %mkrel 1
License: MIT
Group: Security
Source0:  https://github.com/nrosvall/ylva/archive/%{gittag}/%{name}-%{version}.tar.gz
URL: https://www.ylvapasswordmanager.com/
Summary: Command-Line Password Manager

BuildRequires: gcc
BuildRequires: make
BuildRequires: openssl-devel
BuildRequires: sqlite3-devel

%description
A command-line Password manager for Unix-like systems.

%files
%{_bindir}/ylva
%{_mandir}/*/%{name}.*

%prep
%setup -q

%build
%make_build

%install
mkdir -p %{buildroot}/%{_bindir}
%make_install
