Name: zaf
Summary: South Africa hyphenation rules
%define upstreamid 20080714
Version: 0
Release: %mkrel 0.4.%{upstreamid}svn.9
Source: zaf-0-0.1.%{upstreamid}svn.tar.bz2
Group: Text tools 
URL: https://zaf.sourceforge.net/
License: LGPLv2+
BuildArch: noarch

%description
South Africa hyphenation rules.

%package -n hyphen-af
Summary: Afrikaans hyphenation rules
Group: Text tools 
Requires: hyphen

%description -n hyphen-af
Afrikaans hyphenation rules.

%package -n hyphen-zu
Summary: Zulu hyphenation rules
Group:   Text tools 
Requires: hyphen

%description -n hyphen-zu
Zulu hyphenation rules.

%prep
%setup -q -n zaf

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hyphen
cp -p ./af/hyph/hyph_af_ZA.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen
cp -p ./zu/hyph/hyph_zu_ZA.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen

pushd $RPM_BUILD_ROOT/%{_datadir}/hyphen/
af_ZA_aliases="af_NA"
for lang in $af_ZA_aliases; do
        ln -s hyph_af_ZA.dic hyph_$lang.dic
done
popd

%files -n hyphen-af
%doc af/CREDITS af/COPYING af/README
%{_datadir}/hyphen/hyph_af*

%files -n hyphen-zu
%doc zu/CREDITS zu/COPYING zu/README
%{_datadir}/hyphen/hyph_zu*

