#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           zanshin
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Getting Things Done application
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/KDE
URL:            https://apps.kde.org/zanshin/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# FIXME missing 32bit support for akonadi-calendar
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Runner)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KF6Parts)

BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KPim6AkonadiCalendar) >= 5.240
BuildRequires:  cmake(KPim6KontactInterface) >= 5.240

BuildRequires:  gettext

Requires:       akonadi-kde


%description
A Getting Things Done application which aims at getting your
mind like water.

%files -f %{name}.lang
%doc AUTHORS HACKING TODO
%{_kf6_bindir}/%{name}
%{_kf6_bindir}/%{name}-migrator
%{_qt6_plugindir}/pim6/kontact/kontact_zanshinplugin.so
%{_kf6_plugindir}/krunner/org.kde.zanshin.so
%{_qt6_plugindir}/zanshin_part.so
%{_kf6_metainfodir}/org.kde.zanshin.metainfo.xml
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_iconsdir}/hicolor/*/apps/%{name}.*

#---------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}
