%global           __python %{__python3}
%define           app_name ZVVOnlineTV

Name:             zvvonlinetv
Version:          3.2
Release:          %mkrel 4
Summary:          IPTV player and watch online TV streams
License:          GPLv3
Group:            Video/Television
Url:              http://zvvubuntu.blogspot.com/2016/06/zvvonlinetv.html
Source0:          %{name}-%{version}.tar.gz
BuildArch:        noarch
BuildRequires:    hicolor-icon-theme
Requires:         python3-qt5-widgets
Requires:         python3-qt5-gui
Requires:         python3-qt5-multimedia
Requires:         python3-qt5-multimediawidgets
Requires:         mpv
Requires:         ffmpeg
Requires:         youtube-dl

%description
ZVVOnlineTV - a program for convenient work with IPTV and viewing
online TV, which has a simple and easy interface, not overloaded.

%prep
%setup -q
#fix Categories
sed -i "s|Categories=.*|Categories=AudioVideo;Player;|g" usr/share/applications/%{app_name}.desktop
#remove shebang
sed -i '1{\@^#!/usr/bin/env python@d}' usr/share/%{app_name}/%{app_name}.py
#fix permissions
find usr/share -type f -exec chmod -x {} \;
chmod -x docs/*


%build
#nothing

%install
cp -af usr %{buildroot}

%files
%doc docs/*.txt
%license docs/COPYING
%{_bindir}/%{name}
%{_bindir}/%{app_name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{app_name}.desktop
%{_datadir}/%{app_name}
