%define thegame    PySolFC
%define arcname    %{thegame}-Cardsets
%define arcwithver %{arcname}-%{version}
%define extra      0.2.0
%define instdir    %{_datadir}/%{thegame}

Name:		%{thegame}-cardsets
Version:	3.0
Release:	%mkrel 1
Summary:	A collection of free cardsets adapted for use with PySolFC
License:	GPL
Group:		Games/Cards
URL:		https://pysolfc.sourceforge.io/
Source0:	https://github.com/shlomif/PySolFC-Cardsets/archive/%{version}/PySolFC-Cardsets-%{version}.tar.gz
Source1:	https://github.com/shlomif/PySol-Extra-Mahjongg-Cardsets/archive/%{extra}/PySol-Extra-Mahjongg-Cardsets-%{extra}.tar.gz
BuildArch:	noarch
Requires:	PySolFC

%description
A collection of 153 free cardsets adapted for use with PySolFC and Aisleriot.

%prep
%setup -q -n %{arcwithver} -a1

%build

%install
mkdir -p %buildroot%{instdir}
cp -r cardset* %buildroot%{instdir}
cp -r PySol-Extra-Mahjongg-Cardsets-%{extra}/Lost-Mahjongg-Cardsets/cardset-* %{buildroot}%{instdir}
cd %buildroot%{instdir}
# Remove some cardsets/directories that conflict with the main PySolFC
# package. DO NOT REMOVE this line.
# These cardsets are no longer included.
# rm -rf cardset-2000 cardset-crystal-mahjongg cardset-dashavatara-ganjifa cardset-dondorf cardset-mughal-ganjifa cardset-gnome-mahjongg-1 cardset-hexadeck cardset-kintengu cardset-matrix cardset-oxymoron cardset-standard cardset-tuxedo cardset-vienna-2k

%files
%{instdir}/*
