Name:          TGAImagePlugin
Version:       0
Release:       %mkrel 11
Summary:       ImageIO TGA plugin
Group:         Development/Java
License:       MIT
Url:           https://sourceforge.net/projects/jpspj/
# svn co https://jpspj.svn.sourceforge.net/svnroot/jpspj/TGAImagePlugin
# tar czf TGAImagePlugin-20111030-src-svn.tar.gz TGAImagePlugin
Source0:       TGAImagePlugin-20111030-src-svn.tar.gz
Patch0:	       java-source-target.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel >= 0:1.6.0

BuildRequires: ant

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java >= 0:1.6.0
BuildArch:     noarch

%description
ImageIO plugin to read/write tga files.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n TGAImagePlugin
%patch -P 0 -p1

for j in $(find . -name "*.jar"); do
	mv $j $j.no
done

for s in $(find . -name "*.svn"); do
	rm -rf $s
done

%build

ant jar javadoc

%install
mkdir -p %{buildroot}%{_javadir}
install -m 644 dist/%{name}.jar \
	%{buildroot}%{_javadir}/tgaimageplugin.jar

(
	cd %{buildroot}%{_javadir}
	ln -sf tgaimageplugin.jar %{buildroot}%{_javadir}/%{name}.jar
)

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr dist/javadoc/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/tgaimageplugin.jar
%{_javadir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}
