Name:           Xdialog
Version:        2.3.1
Release:        %mkrel 14
Summary:        A replacement for the cdialog program for X
License:        GPL
Group:          Development/Other
URL:            http://xdialog.dyns.net/
Source0:        %{name}-%{version}.tar.bz2
Patch0:         Xdialog-2.2.1-fix-str-fmt.patch
Patch1:		Xdialog-2.3.1-po.patch
Patch2:         Xdialog-2.3.1-autoreconf.patch
Patch3:		Xdialog-autoconf.patch
BuildRequires:  bison
BuildRequires:  gtk+2-devel
BuildRequires:  glib2-devel
BuildRequires:  autoconf2.5
Provides:	xmsg-dialog

%description
Xdialog is designed to be a drop in replacement for the cdialog program.
It converts any terminal based program into a program with an X-windows
interface. The dialogs are easier to see and use and the treeview adds an
extra dimension to the way menus can be displayed.

%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1

%build
autoreconf -fi
automake --add-missing --copy
%configure --with-gtk2

# don't strip (retarded crap!)
find -type f -name "Makefile" | xargs perl -pi -e "s|^INSTALL_STRIP_PROGRAM.*|INSTALL_STRIP_PROGRAM = \"\\\${SHELL} \\\$\(install_sh\) -c\"|g"
find -type f -name "Makefile" | xargs perl -pi -e "s|INSTALL_STRIP_FLAG=-s|INSTALL_STRIP_FLAG=|g" 
find -type f -name "Makefile" | xargs perl -pi -e "s|-Wall -s|-Wall|g" 

%make_build

%install
%makeinstall docdir=%{buildroot}%{_docdir}/%{name}

%find_lang xdialog

%files -f xdialog.lang
%doc ChangeLog COPYING samples
%doc %{_docdir}/%{name}/
%{_mandir}/man1/*
%{_bindir}/*
