Summary:	Tool for processing ABC music notation files
Name:		abcmidi
Version:	2024.04.30
Release:	%mkrel 1
Source0:	https://ifdo.ca/~seymour/runabc/abcMIDI-%{version}.zip
Group:		Sound/Midi
License:	GPLv2
URL:		https://ifdo.ca/~seymour/runabc/top.html

%description
The abcMIDI package contains four programs: abc2midi to convert ABC music
notation to midi, midi2abc to convert midi files to (a first approximation
of) the corresponding ABC, abc2abc to reformat and/or transpose ABC files,
and yaps to typeset ABC files as PostScript.

For a description of the ABC syntax, please see the ABC user guide
which is a part of the abc2mtex package written by Chris Walshaw.

%prep
%setup -q -n %{name}

%build
%configure
%make_build

%install
%make_install

%files
%doc %{_defaultdocdir}/*
%{_mandir}/man1/*
%{_bindir}/*
