Name:           acme-tiny
Version:        5.0.1
Release:        %mkrel 3
Summary:        A tiny script to issue and renew TLS certs from Let's Encrypt
Group:          Development/Python
License:        MIT
URL:            https://github.com/diafygi/acme-tiny
Source0:        https://github.com/diafygi/acme-tiny/archive/acme-tiny-%{version}.tar.gz
BuildRequires:  python-devel
Requires:       python3
Requires:       openssl
BuildArch:      noarch

%description
This is a tiny, auditable script that you can throw on your server to issue and
renew Let's Encrypt certificates. Since it has to be run on your server and
have access to your private Let's Encrypt account key, I tried to make it as
tiny as possible (currently less than 200 lines). The only prerequisites are
python and openssl.

%prep
%setup -q

%build

%install
install -D -m 755 acme_tiny.py %{buildroot}%{_bindir}/acme_tiny.py
%py3_shebang_fix %{buildroot}%{_bindir}

%files
%doc LICENSE README.md
%{_bindir}/acme_tiny.py
