Summary:	Displays information on ACPI devices
Name:		acpi
Version:	1.7
Release:	%mkrel 7
License:	GPLv2+
Group:		System/Servers
Url:		https://sourceforge.net/projects/acpiclient/
Source0:	https://downloads.sourceforge.net/project/acpiclient/acpiclient/%{version}/%{name}-%{version}.tar.gz
Requires:	dmidecode

%description
Attempts to replicate the functionality of the 'old' apm command on
ACPI systems, including battery and thermal information.

%prep
%setup -q

%build
%configure
%make_build CFLAGS="%{optflags}"

%install
%makeinstall

%triggerpostun -- acpi < 0.09-4
rm -f /etc/rc.d/*/{K,S}*acpi

%files
%doc AUTHORS ChangeLog README
%{_bindir}/*
%{_mandir}/man1/%{name}*
