Name:		acsccid
Summary:	PC/SC driver for Linux/Mac OS X that supports ACS CCID smart card readers
Version:	1.1.11
Release:	%mkrel 1
License:	LGPLv2
Group:		System/Kernel and hardware
URL:		https://acsccid.sourceforge.net/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		acsccid-1.1.11-libtool-fixes.patch

BuildRequires:	pkgconfig(libpcsclite)
BuildRequires:	pkgconfig(libusb)
BuildRequires:	flex

Requires:	pcsc-lite

%description
acsccid is a PC/SC driver for Linux/Mac OS X and it supports ACS CCID smart
card readers. This library provides a PC/SC IFD handler implementation and
communicates with the readers through the PC/SC Lite resource manager (pcscd).


%prep
%setup -q
%autopatch -p1


%build
%configure \
	--enable-usbdropdir=%{_libdir}/pcsc/drivers \
	--disable-static --enable-embedded

%make_build


%install
%make_install


%files
%doc AUTHORS README ChangeLog
%{_libdir}/pcsc/drivers/*
