# $Id$

%define version2 10-008

Summary: Adaptable Exo-skeleton for Practical HTML Extension and Abstraction
Name:    aephea
Version: 10_008
Release: %mkrel 10
License: GPLv2
Group:   System/Configuration
URL:     https://micans.org/%{name}/
Source0:  https://micans.org/%{name}/src/%{name}-%{version2}.tar.gz
BuildArch:	noarch

%description
Aephea is pronounced ay - 'fee - ah, or 'ee - fee - ah, or any amalgam of
the two, and stands somewhat grandiosely for Adaptable Exo-skeleton for
Practical HTML Extension and Abstraction. It is a thin, expressive, and
programmable framework for creating HTML documents, aimed at people who
are familiar with HTML and Cascading Style Sheets, or intending to become
so. Three micro-formats are currently shipped with it. 

%prep
%setup -q -n %{name}-%{version2}

%build
%configure
%make_build

%install
%make_install
%{__mkdir_p} $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}
mv $RPM_BUILD_ROOT/%{_datadir}/%{name}/examples $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/examples
mv $RPM_BUILD_ROOT/%{_datadir}/%{name}/doc $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/doc

%files
%doc %{_defaultdocdir}/%{name}/doc/*
%doc %{_defaultdocdir}/%{name}/examples/*
%{_datadir}/%{name}
%{_mandir}/man7/*
