#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1
%define kdepim_version 5.240

Summary:        Akonadi Calendar Tools
Name:           akonadi-calendar-tools
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# FIXME missing 32bit support for akonadi-calendar
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)

BuildRequires:  cmake(KPim6Akonadi) >= %kdepim_version
BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KPim6AkonadiCalendar) >= %kdepim_version
BuildRequires:  cmake(KPim6CalendarSupport) >= %kdepim_version

Recommends:     %name-handbook


%description
Akonadi Calendar Tools.

%files -f %name.lang
%_kf6_categoriesdir/console.categories
%_kf6_categoriesdir/console.renamecategories
%_kf6_bindir/calendarjanitor
%_kf6_bindir/konsolekalendar
%_kf6_applicationsdir/konsolekalendar.desktop
%_kf6_iconsdir/*/*/*/konsolekalendar.*

#--------------------------------------------------------------------

%package -n %name-handbook
Summary:        %name handbook
Group:          Documentation
BuildArch:      noarch

%description -n %name-handbook
This package provides %name handbook.

%files -n %name-handbook
%_kf6_docdir/HTML/*/konsolekalendar

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
