Name:           akuma
Version:        1.10
Release:        %mkrel 4
Group:          Development/Java
Summary:        Embeddable daemonization library for Java

# License is specified in pom file
License:        MIT
URL:            https://akuma.kohsuke.org/
Source0:        https://github.com/kohsuke/%{name}/archive/%{name}-%{version}.tar.gz
Source1:        https://raw.github.com/kohsuke/youdebug/youdebug-1.5/LICENSE.txt
Patch0:         akuma-1.10-patch.diff

BuildRequires:  maven-local
BuildRequires:  maven-assembly-plugin
BuildRequires:  mvn(net.java.dev.jna:jna)
BuildRequires:  mvn(org.kohsuke:pom:pom:)

BuildArch:      noarch

%description
This is a Java library you can use in your application
to support Unix daemonization. By taking advantages of POSIX API,
this library lets you fork your process into background
with proper daemonization steps.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package provides the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
%patch -P 0 -p0

cp %{SOURCE1} LICENSE

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%files javadoc -f .mfiles-javadoc
%license LICENSE

