Name:		algobox
Version:	1.1.1
Release:	%mkrel 4
Summary:	Algorithmic software
License:	GPLv2
Group:		Education
Url:		https://www.xm1math.net/algobox/
Source:		https://www.xm1math.net/algobox/%{name}-%{version}.tar.bz2
Patch0:		algobox-1.1.1-mga-fix-desktop-and-svg-install.patch
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:	aarch64 x86_64

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6WebEngineWidgets)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)

%description
Algobox is an initiation software to algorithmic to high school level.


%prep
%autosetup -p1

%build
%qmake_qt6 %{name}.pro
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc utilities/{AUTHORS,CHANGELOG.txt}
%license utilities/COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/mime/packages/x-%{name}.xml
%{_metainfodir}/%{name}.metainfo.xml
