%define major 3
%define libname %mklibname amrwb %major
%define develname %mklibname -d amrwb
%define distsuffix plf

Summary: AMR WideBand speech codec
Name: amrwb
Version: 7.0.0.3
Release: %mkrel 2
License: Distributable
Group: System/Libraries
URL: http://www.penguin.cz/~utx/amr
Source: http://ftp.penguin.cz/pub/users/utx/amr/amrwb-%{version}.tar.bz2
Source1: https://www.3gpp.org/ftp/Specs/archive/26_series/26.204/26204-700.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
AMR-WB is a wideband speech codec used in mobile phones.

This package is in PLF as it might violate some patents.

%package -n %libname
Summary: AMR WideBand speech codec development files
Group: System/Libraries

%description -n %libname
AMR-NB is a wideband speech codec used in mobile phones development files.


%package -n %develname
Summary: AMR WideBand speech codec development files
Group: Development/C
Requires: %{libname} = %{version}
Provides: lib%name-devel = %{version}-%{release}
Conflicts: %mklibname -d amrwb 0
Obsoletes: %mklibname -d amrwb 2

%description -n %develname
AMR-NB is a wideband speech codec used in mobile phones development files.

%prep
%setup -q
cp %SOURCE1 .

%build
%configure --enable-static
%make


%install
%{__rm} -rf %{buildroot}
%makeinstall


%clean
%{__rm} -rf %{buildroot}


%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc README AUTHORS TODO COPYING
%_bindir/*

%files -n %libname
%defattr(-,root,root,0755)
%{_libdir}/libamrwb.so.%{major}*

%files -n %develname
%defattr(-,root,root,0755)
%{_includedir}/amrwb/
%{_libdir}/libamrwb.a
%{_libdir}/libamrwb.la
%{_libdir}/libamrwb.so


