Name:           ansible-lint
Version:        6.22.2
Release:        %mkrel 2
Summary:        Best practices checker for Ansible
Group:          Development/Tools
License:        GPLv3
URL:            https://github.com/willthames/ansible-lint
Source0:        https://github.com/willthames/ansible-lint/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         ansible-lint-fix-version.patch
BuildArch:      noarch
BuildRequires:  ansible
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

Requires:       python3dist(ansible-compat)

%description
ansible-lint checks playbooks for practices and behaviour that
could potentially be improved.

%prep
%autosetup -p1 -n %{name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

ln -sr %{buildroot}%{_bindir}/%{name}{,-3}
mkdir -p %{buildroot}%{python3_sitelib}/ansiblelint
cp -a src/ansiblelint/{data,schemas} %{buildroot}%{python3_sitelib}//ansiblelint

%files
%doc examples
%license COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}-3
%{python3_sitelib}/ansiblelint/
%{python3_sitelib}/ansible_lint-%{version}.dist-info/
