%define mod_name mod_authnz_external

Name:		apache-%{mod_name}
Version:	3.3.2
Release:	%mkrel 4
Summary:	An apache authentication DSO using external programs
Group:		System/Servers
License:	Apache License
URL:		https://github.com/phokz/mod-auth-external/tree/master/mod_authnz_external
Source0:	http://mod-auth-external.googlecode.com/files/%{mod_name}-%{version}.tar.gz
Source1:	mod_authnz_external.conf
Source2:	authnz_external.conf
BuildRequires:  apache-devel
Requires:	pwauth
Requires:	apache

%description
An apache external authentication module - uses PAM.

%prep
%setup -q -n %{mod_name}-%{version}

chmod 644 AUTHENTICATORS CHANGES INSTALL* README TODO

%build
%{_httpd_apxs} -c -I . %{mod_name}.c

%install
install -d %{buildroot}%{_httpd_moddir}
%{_httpd_apxs} -i -S LIBEXECDIR=%{buildroot}%{_httpd_moddir} \
    -n %{mod_name} %{mod_name}.la

install -D -m 644 %{SOURCE1} %{buildroot}%{_httpd_modconfdir}/10_mod_authnz_external.conf
install -D -m 644 %{SOURCE2} %{buildroot}%{_httpd_extconfdir}/authnz_external.conf

%files
%doc AUTHENTICATORS CHANGES INSTALL* README TODO UPGRADE
%config(noreplace) %{_httpd_modconfdir}/10_mod_authnz_external.conf
%config(noreplace) %{_httpd_extconfdir}/authnz_external.conf
%{_httpd_moddir}/%{mod_name}.so
