Summary:	Core Rules for mod_security
Name:		apache-mod_security-crs
Version:	3.3.5
Release:	%mkrel 1
License:	ASL 2.0
Group:		System/Servers
URL:		https://www.modsecurity.org/
Source0:	https://github.com/coreruleset/coreruleset/archive/refs/tags/v3.3.5.tar.gz
Requires:	apache-mod_security >= 2.9.6
BuildArch:	noarch
Obsoletes:	apache-mod_security-crs-extra < 2.3

%description
This package provides the rules for mod_security.

%prep

%setup -q -n coreruleset-%version

%build

%install
install -d %{buildroot}%{_sysconfdir}/httpd/conf/modsecurity.d

install -d %{buildroot}%{_prefix}/lib/modsecurity.d/rules

install -m 644 crs-setup.conf.example \
    %{buildroot}%{_sysconfdir}/httpd/conf/modsecurity.d/
install -m 644 rules/* %{buildroot}%{_prefix}/lib/modsecurity.d/rules/

# activate rules
for f in `ls %{buildroot}/%{_prefix}/lib/modsecurity.d/rules/` ; do 
    ln -s %{_prefix}/lib/modsecurity.d/rules/$f \
        %{buildroot}%{_sysconfdir}/httpd/conf/modsecurity.d/$f; 
done

%files
%doc CHANGES.md CONTRIBUTING.md CONTRIBUTORS.md INSTALL KNOWN_BUGS LICENSE README.md SECURITY.md SPONSORS.md
%config(noreplace) %{_sysconfdir}/httpd/conf/modsecurity.d/*
%{_prefix}/lib/modsecurity.d/rules
