Summary:	Automated Password Generator (apg)
Name:		apg
Version:	2.2.3
Release:	%mkrel 17
License:	BSD
Group:		Security
Source0:	https://github.com/jabenninghoff/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
URL:		https://github.com/jabenninghoff/apg

%description
Apg generates several random passwords. It uses several password
generation algorithms (currently two) and a built-in pseudo random
number generator.


%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	FLAGS="%{optflags}"

%install
install -d %{buildroot}/{%{_bindir},%{_mandir}/man1}

install apg apgbfm %{buildroot}/%{_bindir}
install doc/man/{apgbfm,apg}.1 %{buildroot}/%{_mandir}/man1

%files
%doc README CHANGES THANKS TODO doc/APG_TIPS
%{_bindir}/apg
%{_bindir}/apgbfm
%{_mandir}/man1/*
%license COPYING
