Name:           asc-music
Version:        1.0
Release:        %mkrel 7
Summary:        Optional music files for Advanced Strategic Command
Group:          Games/Strategy
License:        GPLv2+
URL:            https://www.asc-hq.org/
Source0:        %{name}-%{version}.tar.xz
Source1:        generate-tarball.sh
BuildArch:      noarch

%description
This package contains optional music files that are not included by default
in the Advanced Strategic Command source tarball, but are provided for
download by upstream.

The upstream music files were converted from MP3 to OGG format.

%prep
%setup -q

%build

%install
install -d %{buildroot}%{_gamesdatadir}/asc/music
for file in *.ogg; do
  install -m644 $file %{buildroot}%{_gamesdatadir}/asc/music
done

%files
%{_gamesdatadir}/asc/music/
