Name:           ascii
Version:        3.30
Release:        %mkrel 1
Summary:        Interactive ASCII name and synonym chart
License:        BSD
Group:          Text tools
URL:            http://www.catb.org/~esr/ascii
Source0:        http://www.catb.org/~esr/ascii/%{name}-%{version}.tar.gz

%description
The ascii utility provides easy conversion between various byte representations
and the American Standard Code for Information Interchange (ASCII) character
table.  It knows about a wide variety of hex, binary, octal, Teletype mnemonic,
ISO/ECMA code point, slang names, XML entity names, and other representations.
Given any one on the command line, it will try to display all others.  Called
with no arguments it displays a handy small ASCII chart.


%prep
%setup -q

%build
%make_build CC="gcc %optflags %ldflags" %{name} %{name}.1

%install
install -m755 %{name} -D %{buildroot}%{_bindir}/%{name}
install -m644 %{name}.1 -D %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc README
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man?/*
