Summary:	AfterStep Clock Applet
Name:		asclock
Version:	2.0.12
Release:	%mkrel 12
License:	GPLv2
Group:		Graphical desktop/Other
URL:		https://tigr.net/afterstep/view.php?applet=asclock/data
Source0:	https://tigr.net/afterstep/download/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}.xpm.path.patch
Patch1:		%{name}-%{version}.config.patch
Patch2:		%{name}-C99.diff
BuildRequires:	imake
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xpm)

%description
The classic AfterStep clock applet for showing date and time in your Wharf

%prep
%setup -q
%autopatch -p0

%build
%configure
%make_build CC="gcc -fcommon -g"

%install
%__make BINDIR=$RPM_BUILD_ROOT%{_bindir} \
    MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
    DOCDIR=$RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version} \
    install install.man

install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

cp -a themes/* $RPM_BUILD_ROOT%{_datadir}/%{name}

rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/Freeamp/Makefile
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/Freeamp/Makefile.am
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/Freeamp/Makefile.in
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/classic/*.old
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/*/classic

%files
%doc COPYING INSTALL README README.THEMES TODO
%{_bindir}/asclock
%{_mandir}/man1/asclock.*
%{_datadir}/%{name}/Freeamp/beats.xpm
%{_datadir}/%{name}/Freeamp/clock.xpm
%{_datadir}/%{name}/Freeamp/config
%{_datadir}/%{name}/Freeamp/date.xpm
%{_datadir}/%{name}/Freeamp/hour.xpm
%{_datadir}/%{name}/Freeamp/led.xpm
%{_datadir}/%{name}/Freeamp/minute.xpm
%{_datadir}/%{name}/Freeamp/month.xpm
%{_datadir}/%{name}/Freeamp/old.clock.xpm
%{_datadir}/%{name}/Freeamp/second.xpm
%{_datadir}/%{name}/Freeamp/weekday.xpm
%{_datadir}/%{name}/Newstone/beats.xpm
%{_datadir}/%{name}/Newstone/clock.xpm
%{_datadir}/%{name}/Newstone/config
%{_datadir}/%{name}/Newstone/date.xpm
%{_datadir}/%{name}/Newstone/hour.xpm
%{_datadir}/%{name}/Newstone/led.xpm
%{_datadir}/%{name}/Newstone/minute.xpm
%{_datadir}/%{name}/Newstone/month.xpm
%{_datadir}/%{name}/Newstone/second.xpm
%{_datadir}/%{name}/Newstone/weekday.xpm
%{_datadir}/%{name}/Orb/beats.xpm
%{_datadir}/%{name}/Orb/clock.xpm
%{_datadir}/%{name}/Orb/config
%{_datadir}/%{name}/Orb/date.xpm
%{_datadir}/%{name}/Orb/hour.xpm
%{_datadir}/%{name}/Orb/led.xpm
%{_datadir}/%{name}/Orb/minute.xpm
%{_datadir}/%{name}/Orb/month.xpm
%{_datadir}/%{name}/Orb/second.xpm
%{_datadir}/%{name}/Orb/weekday.xpm
%{_datadir}/%{name}/Stone/beats.xpm
%{_datadir}/%{name}/Stone/clock.xpm
%{_datadir}/%{name}/Stone/config
%{_datadir}/%{name}/Stone/date.xpm
%{_datadir}/%{name}/Stone/hour.xpm
%{_datadir}/%{name}/Stone/led.xpm
%{_datadir}/%{name}/Stone/minute.xpm
%{_datadir}/%{name}/Stone/month.xpm
%{_datadir}/%{name}/Stone/second.xpm
%{_datadir}/%{name}/Stone/weekday.xpm
%{_datadir}/%{name}/beats/beats.xpm
%{_datadir}/%{name}/beats/clock.xpm
%{_datadir}/%{name}/beats/config
%{_datadir}/%{name}/beats/date.xpm
%{_datadir}/%{name}/beats/hour.xpm
%{_datadir}/%{name}/beats/led.xpm
%{_datadir}/%{name}/beats/minute.xpm
%{_datadir}/%{name}/beats/month.xpm
%{_datadir}/%{name}/beats/second.xpm
%{_datadir}/%{name}/beats/weekday.xpm
%{_datadir}/%{name}/classic/beats.xpm
%{_datadir}/%{name}/classic/clock.xpm
%{_datadir}/%{name}/classic/config
%{_datadir}/%{name}/classic/date.xpm
%{_datadir}/%{name}/classic/hour.xpm
%{_datadir}/%{name}/classic/led.xpm
%{_datadir}/%{name}/classic/minute.xpm
%{_datadir}/%{name}/classic/month.xpm
%{_datadir}/%{name}/classic/second.xpm
%{_datadir}/%{name}/classic/weekday.xpm
%{_datadir}/%{name}/penguin/clock.xpm
%{_datadir}/%{name}/penguin/config
%{_datadir}/%{name}/penguin/date.xpm
%{_datadir}/%{name}/penguin/led.xpm
%{_datadir}/%{name}/penguin/month.xpm
%{_datadir}/%{name}/shaped/beats.xpm
%{_datadir}/%{name}/shaped/clock.xpm
%{_datadir}/%{name}/shaped/config
%{_datadir}/%{name}/shaped/date.xpm
%{_datadir}/%{name}/shaped/hour.xpm
%{_datadir}/%{name}/shaped/led.xpm
%{_datadir}/%{name}/shaped/minute.xpm
%{_datadir}/%{name}/shaped/month.xpm
%{_datadir}/%{name}/shaped/second.xpm
%{_datadir}/%{name}/shaped/weekday.xpm
