# asio only ships headers, so no debuginfo package is needed
%define debug_package %{nil}

Name:		asio
Version:	1.31.0
Release:	%mkrel 1
Summary:	Cross-platform C++ library for network programming
Group:		Development/C++
License:	Boost
URL:		https://asio.sourceforge.net/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	boost-devel >= 1.33
BuildRequires:	pkgconfig(openssl)
Provides:	%{name}-devel = %{version}-%{release}

%description
asio is a cross-platform C++ library for network programming that provides
developers with a consistent asynchronous I/O model using a modern C++
approach.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

%check
make check

%files
%license LICENSE* COPYING
%doc README
%doc doc/*
%{_includedir}/*.hpp
%{_includedir}/asio/
%{_libdir}/pkgconfig/asio.pc
