%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define src_ver 0.01

%define languageenglazy Belarussian
%define languagecode be
%define lc_ctype be_BY

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       0.50.0
Release:       %mkrel 21
Group:         System/Internationalization
License:       GPLv2
URL:           http://aspell.net/
Source:        https://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/aspell5-%{languagecode}-%{src_ver}.tar.bz2

Provides: spell-%{languagecode}


BuildRequires: aspell >= 0.50
BuildRequires: make
Requires:      aspell >= 0.50

# Mageia Stuff
Requires:      locales-%{languagecode}
# aspell = 1, myspell = 2, lang-specific = 3
Provides:      aspell-dictionary
Provides:      aspell-%{lc_ctype}

AutoReqProv:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n aspell5-be-%{src_ver}

%build

# don't use configure macro
./configure

%make_build

%install
%make_install

mv -f README README.%{languagecode}
chmod 644 Copyright README.%{languagecode} #doc/*

%files
%doc README.%{languagecode} Copyright 
%{_libdir}/aspell-*/*
