%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define src_ver 7.1-0
%define fname aspell6-%{languagecode}
%define aspell_ver 0.60
%define languagelocal english
%define languageeng english
%define languageenglazy American
%define languagecode en
%define lc_ctype en_US

Summary:	English files for aspell
Name:		aspell-%{languagecode}
Version:	7.1.0
Release:	%mkrel 10
Group:		System/Internationalization
Source:		https://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/%fname-%{src_ver}.tar.bz2
URL:		https://aspell.sourceforge.net/
# Fedora
License:	MIT and BSD

BuildRequires:	make
BuildRequires:	aspell >= %{aspell_ver}
Requires:	aspell >= %{aspell_ver}
# Mageia Stuff
Requires:	locales-%{languagecode}
# aspell = 1, myspell = 2, lang-specific = 3
Provides:	aspell-dictionary
Provides:	spell-%{languagecode}
Obsoletes:	aspell-en_CA aspell-en_GB
Provides:	aspell-en_CA aspell-en_GB

AutoReqProv:   no

%description
A English dictionary for use with aspell, a spelling checker.


%prep
%setup -q -n %{fname}-%{src_ver}

%build
# don't use %%configure macro
./configure

%make_build

%install
%make_install

chmod 644 README Copyright

%files
%doc README Copyright
%{_libdir}/aspell-%{aspell_ver}/*
