%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define src_ver 0.5a-2

%define languageenglazy Galician
%define languagecode gl
%define lc_ctype gl_ES

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Epoch:         1
Version:       0.5a.2
Release:       %mkrel 14
Group:         System/Internationalization
Source:        https://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/aspell6-%{languagecode}-%{src_ver}.tar.bz2
URL:           http://aspell.net/
License:	   GPL
Provides: spell-%{languagecode}

BuildRequires: aspell >= 0.60
BuildRequires: make
Requires:      aspell >= 0.60

# Mageia Stuff
Requires:      locales-%{languagecode}
Provides:      aspell-dictionary
Provides:	   aspell-%{lc_ctype}

Autoreqprov:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n aspell6-gl-%{src_ver}

%build

# don't use configure macro
./configure

%make_build

%install
%make_install

mv -f README README.%{languagecode}
chmod 644 Copyright README.%{languagecode} doc/*

%files
%doc README.%{languagecode} Copyright 
%doc doc/*
%{_libdir}/aspell-*/*


