%define src_ver 0.50.1-0
%define languageenglazy Norwegian Bokmaal
%define languagecode nb
%define _enable_debug_packages %{nil}
%define debug_package %{nil}

Summary:	%{languageenglazy} files for aspell
Name:		aspell-%{languagecode}
Version:	0.50.1
Release:	%mkrel 13
Group:		System/Internationalization
Source0:	https://ftp.gnu.org/gnu/aspell/aspell-%{languagecode}-%{src_ver}.tar.bz2
Patch: aspell-nb-0.50.1-0.utf-filename.patch
URL:		https://aspell.sourceforge.net/
License:	GPL
Provides:	spell-no
Provides:	spell-nb

BuildRequires:	aspell >= 0.50
Requires:	aspell >= 0.50

# Mageia Stuff
Requires:	locales-%{languagecode}
Provides:	aspell-dictionary
Provides:	aspell-no = 0.50.2-13
Obsoletes:	aspell-no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n %{name}-%{src_ver}
%autopatch -p1
cp bokmal.alias bokmål.alias

%build

# don't use configure macro
./configure

%make_build

%install
%make_install

%files
%doc README Copyright
%{_libdir}/aspell-*/*
