%define _enable_debug_packages %{nil}
%define debug_package          %{nil}
%define src_ver         0.01-0
%define fname           aspell6-%{languagecode}
%define aspell_ver      0.60
%define languageenglazy Low-Saxon
%define languagecode    nds
%define lc_ctype        nds_DE

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       0.01.0
Release:       %mkrel 20
Group:         System/Internationalization
License:       GPLv2
URL:           http://aspell.net/
Source0:       https://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/%{fname}-%{src_ver}.tar.bz2
BuildRequires: aspell >= %{aspell_ver}
BuildRequires: make

Requires:      aspell >= %{aspell_ver}
# Mageia Stuff
Requires:      locales-%{languagecode}
Provides:      aspell-dictionary
Provides:      aspell-%{lc_ctype}
Provides:      spell-%{languagecode}

AutoReqProv:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n %{fname}-%{src_ver}

%build
# don't use configure macro
./configure

%make_build

%install
%make_install

# remove file conflicting with the same from aspell
rm -f %{buildroot}%{_libdir}/aspell-%{aspell_ver}/iso-8859-15.cmap

chmod 644 Copyright README* 

# if there is isn't a qwertz.kbd provided by aspell, create it
if [ ! -r %{buildroot}%{_libdir}/aspell-%{aspell_ver}/qwertz.kbd \
	-a ! -r /%{_libdir}/aspell-%{aspell_ver}/qwertz.kbd ]
then
	cat /%{_libdir}/aspell-%{aspell_ver}/standard.kbd | \
	perl -p -e 's/ty/tz/; s/yu/zu/; s/zx/yx/' \
	> %{buildroot}%{_libdir}/aspell-%{aspell_ver}/qwertz.kbd
fi

%files
%doc Copyright README*
%{_libdir}/aspell-%{aspell_ver}/*
