%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define languageenglazy Brazilian Portuguese
%define languagecode pt_BR
%define lc_ctype pt_BR


Name:		aspell-%{languagecode}
Summary:	%{languageenglazy} files for aspell
Version:	0.60.0
Release:	%mkrel 12
Group:		System/Internationalization
License:	GPLv2
URL:		https://aspell.sourceforge.net/
# https://ftp.gnu.org/gnu/aspell/dict/%%{languagecode}/aspell-%%{languagecode}-%%{src_ver}.tar.bz2
Source:		https://ftp.gnu.org/gnu/aspell/dict/pt_BR/aspell6-%{languagecode}-20090702-0.tar.bz2
BuildRequires:	aspell >= 0.60
BuildRequires:	make
Requires:	aspell >= 0.60
# Mandriva Stuff
Requires:      locales-%{languagecode}
Provides:	aspell-dictionary
Provides:	aspell-%{lc_ctype}

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.


%prep
%setup -qn aspell6-pt_BR-20090702-0

%build
# don't use configure macro
./configure
%make_build

%install
%make_install

%files
%doc README Copyright COPYING doc/NEWS doc/LEIAME_ooo.txt doc/README_ooo.txt doc/README_aspell.txt
%{_libdir}/aspell-0.60
