%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define src_ver 2.01-2
%define languagelocal slovak
%define languageeng slovak
%define languageenglazy Slovak
%define languagecode sk
%define lc_ctype sk_SK

Summary:       Slovak files for aspell
Name:          aspell-%{languagecode}
Version:       2.01.2
Release:       %mkrel 13
Group:         System/Internationalization
Source:        https://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/aspell6-%{languagecode}-%{src_ver}.tar.bz2
URL:           http://aspell.net/
License:	   GPL
Provides: spell-%{languagecode}


BuildRequires: aspell >= 0.50
BuildRequires: make
Requires:      aspell >= 0.50

# Mageia Stuff
Requires:      locales-%{languagecode}
Provides:      aspell-dictionary
Provides:	   aspell-%{lc_ctype}

Autoreqprov:   no

%description
A Slovak dictionary for use with aspell, a spelling checker.


%prep
%setup -q -n aspell6-sk-%{src_ver}

%build

# don't use configure macro
./configure

%make_build

%install
%make_install

#cp doc/README README.sk
chmod 644 README* Copyright doc/*

%files
%doc README* Copyright doc/*
%{_libdir}/aspell-*/*
