%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define src_ver 0.60
%define languageenglazy Slovenian
%define languagecode sl
%define lc_ctype sl_SI

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       0.60
Release:       %mkrel 3
Group:         System/Internationalization
#Source:	       https://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/aspell-%{languagecode}-%{src_ver}.tar.bz2
Source:	       https://deb.debian.org/debian/pool/main/a/aspell-sl/aspell-sl_%{version}.orig.tar.gz
URL:		   http://aspell.net/
License:	   GPL
Provides:	   spell-%{languagecode}

BuildRequires: aspell >= 0.50
BuildRequires: make
Requires:      aspell >= 0.50

# Mageia Stuff
Requires:      locales-%{languagecode}
Provides:      aspell-dictionary
Provides:	   aspell-%{lc_ctype}

Autoreqprov:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n %{name}-%{version}.orig

%build
# don't use configure macro
./configure

%make_build

%install
%make_install

%files
%doc COPYRIGHT
%{_libdir}/aspell-*/*
