%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define src_ver 0.51-0
%define languagelocal svenska
%define languageeng swedish
%define languageenglazy Swedish
%define languagecode sv

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       0.51.0
Release:       %mkrel 19
Group:         System/Internationalization
Source:        https://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/aspell-%{languagecode}-%{src_ver}.tar.bz2
URL:           http://aspell.net/
License:       LGPL
Provides: spell-%{languagecode}

BuildRequires: aspell >= 0.50
Requires:      aspell >= 0.50

# Mageia Stuff
Requires:      locales-%{languagecode}
Provides:      aspell-dictionary

Autoreqprov:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n %{name}-%{src_ver}

%build

# don't use configure macro
./configure

%make_build

%install
%make_install

mv README README.%{languagecode}
chmod 644 README* Copyright doc/*

%files
%doc README* Copyright doc/*
%{_libdir}/aspell-*/*
