Name:		audacious-skins
Summary:	Additional skins for Audacious
Version:	1.0.0
Release:	%mkrel 19
License:	GPLv1
URL:		https://www.xmms.org/
Source:		audacious-skins.tar.bz2
Group:		Sound/Players
Requires:	audacious
Requires:	unzip

BuildArch:	noarch
Provides:	beep-media-player-skins
Obsoletes:	beep-media-player-skins

%description
Skins for Audacious. When you install this package the skins
will instantly become available from inside Audacious.
Browse them in the appearance category in the Audacious
preferences.

Note:
To find the additional skins you need to select
first "Winamp Classic interface"
in Settings -> Appearance -> Interface plugin

%prep

%build
# Nothing to build #

%install
mkdir -p %{buildroot}%{_datadir}/audacious

bzip2 -cd %{SOURCE0} | tar xf - -C %{buildroot}%{_datadir}/audacious

cat > README << EOF
This package is a collection of skins for audacious.
Most of them come from https://www.xmms.org/
If you would like even more of them you can visit sites like:
  https://www.skinz.org/
  http://www.customize.org/
EOF

%files
%doc README
%{_datadir}/audacious/Skins/*
