#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           aura-browser
Summary:        Browser for a fully immersed Big Screen experience
Version: 6.1.90
Release:        %mkrel %{rel}
Group:          System/Configuration
License:        GPLv2
URL:            https://plasma-bigscreen.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

Patch0:         aura-browser-5.27.0-fix-desktopfile.patch

BuildRequires:  kf5-rpm-macros


BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5WebEngine)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5Multimedia)

BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5I18n)

%description
Browser for a fully immersed Big Screen experience allowing
you to navigate the world wide web using just your remote control.

%files -f %name.lang
%_kf5_bindir/aura-browser
%_kf5_applicationsdir/org.kde.aura-browser.desktop
%_kf5_iconsdir/hicolor/*/apps/aura-browser.png
%_kf5_metainfodir/org.kde.invent.aura_browser.metainfo.xml

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
