%define oname shifty
%define commitdate 20130110
%define changeset 87c1f27

Name:       awesome-plugin-%{oname}
Version:    3.5
Release:    %mkrel 0.%{commitdate}.%{changeset}.9
Summary:    Dynamic tagging library for awesome
License:    GPLv2
Group:      Graphical desktop/Other
URL:        https://github.com/cdump/awesome-shifty
# http://git.mercenariesguild.net/?p=awesome.git;a=shortlog;h=shifty-master
Source0:    awesome-%{oname}-master.tar.gz
Requires:   awesome >= 3.5
BuildArch:  noarch

%description
Shifty is an Awesome 3 extension that implements dynamic tagging. It also
implements fine client matching configuration allowing YOU to be the master
of YOUR desktop only by setting two simple config variables and some
keybindings! Here are a few ways of how shifty makes awesome awesomer:

- on-the-fly tag creation and disposal
- advanced client matching
- easy moving of clients between tags
- tag add/rename prompt in taglist (with completion, now configurable NEW )
- reordering tags and configurable positioning
- tag name guessing, automagic no-config client grouping
- customizable keybindings per client and tag -- NEW
- simple yet powerful configuration

%prep
%setup -q -n awesome-%{oname}-master

%install
install -d %{buildroot}%{_datadir}/awesome/lib/shifty
install -D -m644 init.lua %{buildroot}%{_datadir}/awesome/lib/shifty

%files
%doc example.rc.lua
%{_datadir}/awesome/lib/%{oname}/init.lua
