%define oname vicious

Name:       awesome-plugin-%{oname}
Version:    2.1.0
Release:    %mkrel 10
Summary:    A modular widget library for the "awesome" window manager
License:    GPLv2
Group:      Graphical desktop/Other
URL:        https://awesome.naquadah.org/wiki/Vicious

Source0:    https://git.sysphere.org/vicious/snapshot/%{oname}-%{version}.tar.xz
Patch0:     %{oname}-2.0.0-Makefile.patch

Requires:   awesome

BuildArch:  noarch

%description
Vicious is a modular widget library for the "awesome" window manager,
derived from the 'Wicked' widget library. It has some of the old
Wicked widget types, a few of them rewritten, and a good number of
new ones.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
#nothing to do

%install
export datadir=%{_datadir}

make libdir=%{_datadir}/awesome/lib/ DESTDIR=%{buildroot} install

%files
%doc README CHANGES LICENSE TODO
%{_datadir}/awesome/lib/%{oname}/*.lua
%{_datadir}/awesome/lib/%{oname}/widgets/*
