Name:		axel
Summary:	A lightweight download accelerator by using multiple connections
Version:	2.17.14
Release:	%mkrel 1
Group:		Networking/WWW
License:	GPLv2+
URL:		https://github.com/axel-download-accelerator/axel
Source0:	https://github.com/axel-download-accelerator/axel/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:	gettext
BuildRequires:	pkgconfig(openssl)

Obsoletes:	axel-kapt < 0.3-13

%description
Axel tries to accelerate HTTP/FTP downloading process by using multiple
connections for one file. It can use multiple mirrors for a download. Axel has
no dependencies and is lightweight, so it might be useful as a wget clone on
byte-critical systems.

%prep
%setup -q

%build
%configure --disable-silent-rules
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_sysconfdir}
install -m 644 -p -T doc/axelrc.example %{buildroot}%{_sysconfdir}/axelrc

%find_lang %{name} --with-man

%files -f %{name}.lang
%doc ChangeLog CONTRIBUTING.md README.md
%license COPYING
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_mandir}/man1/%{name}.1.*
