Name:           b43-firmware-install
Summary:        Package that installs proprietary firmware for Broadcom 43xx chips
Version:        0.1
Release:        %mkrel 6
Source:         %{name}-%{version}.tar.bz2
License:        GPLv3+
Group:          System/Configuration
URL:            https://github.com/mikhirev/b43-firmware-install
BuildArch:      noarch
Requires:       b43-fwcutter >= 015

%description
This package contains script, that automatically downloads precompiled
proprietary broadcom-wl driver and extracts firmware from it using
b43-fwcutter.

There are no any proprietary components in package itself. Driver will be
downloaded after installation, so you need working Internet connection. You
can also install firmware later by running b43-firmware-install as root.

%prep
%setup -q

%build
# nothing

%install
install -D -m 755 %{name} %{buildroot}%{_sbindir}/%{name}

%post
rm -rf /lib/firmware/b43 > /dev/null 2>&1
%{name}

%preun
if [ $1 -eq 0 ]; then
  rm -rf /lib/firmware/b43 > /dev/null 2>&1
fi

%files
%doc README
%{_sbindir}/%{name}
