Name:		b43-openfwwf
Version:	5.2
Release:	%mkrel 15
Summary:	Open firmware for some Broadcom 43xx series WLAN chips
Group:		System/Kernel and hardware
License:	GPLv2
Url:		http://www.ing.unibs.it/openfwwf/
Source0:	http://www.ing.unibs.it/openfwwf/firmware/openfwwf-%{version}.tar.gz
Source1:	README.openfwwf
Source2:	openfwwf.conf
BuildArch:	noarch
BuildRequires:	b43-tools

%description
Open firmware for some Broadcom 43xx series WLAN chips.
Currently supported models are 4306, 4311(rev1), 4318 and 4320.
Hardware accelerated crypto is not available, so CPU usage is a
little higher than closed source vendor firmware.


%prep
%setup -q -n openfwwf-%{version}
sed -i s/"-o 0 -g 0"// Makefile
install -p -m 0644 %{SOURCE1} .
install -p -m 0644 %{SOURCE2} .

%build
%make_build


%install
make install PREFIX=%{buildroot}/lib/firmware/b43
install -p -D -m 0644 openfwwf.conf %{buildroot}%{_sysconfdir}/modprobe.d/openfwwf.conf


%files
%doc COPYING LICENSE README.openfwwf
%dir /lib/firmware/b43
/lib/firmware/b43/b0g0bsinitvals5.fw
/lib/firmware/b43/b0g0initvals5.fw
/lib/firmware/b43/ucode5.fw
%{_sysconfdir}/modprobe.d/openfwwf.conf


