Summary:	MySQL backup hook for Bacula
Name:		bacula-backup-mysql
Version:	0.8
Release:	%mkrel 4
License:	GPL v2
Group:		Archiving/Backup
URL:		https://github.com/glensc/bacula-backup-mysql/
Source0:	https://github.com/glensc/bacula-backup-mysql/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		bacula-backup-mysql-conf.patch
BuildRequires:	perl(Pod::Man)
Requires:	mysql-common
Requires:	bacula-common
Requires:	bacula-fd
Requires:	perl-DBD-mysql
Requires:	mysql-core
Requires:	perl-Config-General
BuildArch:	noarch

%define		_sysconfdir	/etc/bacula

%description
Bacula - It comes by night and sucks the vital essence from your
computers.

This package contains MySQL backup hook.

%prep
%autosetup -p1

%build
pod2man README.pod -o bacula-backup-mysql.1

%install
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_sysconfdir},%{_mandir}/man1}
cp -a %{name}.pl $RPM_BUILD_ROOT%{_sbindir}/%{name}
cp -p backup-mysql.conf $RPM_BUILD_ROOT%{_sysconfdir}/
cp -p bacula-backup-mysql.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -d $RPM_BUILD_ROOT/var/spool/bacula-mysql
install -d $RPM_BUILD_ROOT/var/spool/bacula-mysql/out
install -d $RPM_BUILD_ROOT/var/spool/bacula-mysql/tmp


%files
%defattr(644,root,root,755)
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/backup-mysql.conf
%attr(755,root,root) %{_sbindir}/bacula-backup-mysql
%{_mandir}/man1/bacula-backup-mysql.1*
%attr(770,mysql,mysql) /var/spool/bacula-mysql
%attr(770,mysql,mysql) /var/spool/bacula-mysql/out
%attr(770,mysql,mysql) /var/spool/bacula-mysql/tmp
