Name:           ballz
Version:        1.0.4
Release:        %mkrel 5
Summary:        B.A.L.L.Z. - platform/puzzle game where you control a rolling ball
Group:          Games/Arcade
License:        BSD
URL:            https://gitlab.com/groups/ballz
# Downloaded and repacked from https://gitlab.com/ballz/ballz/tags for a good filename
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  intltool
BuildRequires:  allegro4-devel
BuildRequires:  dumb-devel
BuildRequires:  pkgconfig(guichan-0.8)

%description
B.A.L.L.Z. is a platformer with some puzzle elements. You take control of a ball
which is genetically modified by the British secret service. Your mission is
to rescue captured British soldiers from a prison in Iran.

The game was written in 72 hours for the TINS competition, a competition
similar to Speedhack.

%prep
%autosetup -p1

%build
autoreconf -vfi
export CPPFLAGS="-D_FILE_OFFSET_BITS=64"
%configure \
    --bindir=%{_gamesbindir} \
    --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README BSD-license ChangeLog
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/256x256/apps/*
%{_mandir}/man6/%{name}.6*
