%define major 0
%define libname	  %mklibname barcode %{major}
%define develname %mklibname barcode -d

Summary:	GNU barcode
Name:		barcode
Version:	0.99
Release:	%mkrel 9
License:	GPLv3+
Group:		Publishing
Source:		https://ftp.gnu.org/gnu/barcode/%name-%{version}.tar.xz
Patch0:		barcode-0.98-fix-str-fmt.patch
URL:		https://www.gnu.org/software/barcode/

%description
GNU barcode is meant to solve most needs in barcode creation with a
conventional printer. It can create printouts for the conventional
product tagging standards: UPC-A, UPC-E, EAN-13, EAN-8, ISBN, as well
as a few other formats. Output is generated as either Postscript or
Encapsulated Postscript (other back-ends may be added if needed).

%prep
%setup -q
%autopatch -p1

%build
# short-term fix for FTBFS with GCC10
%define _legacy_common_support 1
%configure
%make_build

%install
%make_install
rm -f $RPM_BUILD_ROOT/usr/bin/sample

%files
%doc ChangeLog README TODO
%{_bindir}/barcode
%{_infodir}/*
