Name:		bcd
Version:	3.7
Release:	%mkrel 12
Summary:	Iso builder for Mageia
Source0:	%{name}-%{version}.tar.bz2
License:	GPLv2+
Group:		System/Packaging
Url:		https://gitweb.mageia.org/software/build-system/bcd/
Patch0:		0001-Compress-man-pages-with-xz-mga-21822.patch
Requires:	perl-File-Copy-Recursive sudo urpmi perl-Parallel-ForkManager
Requires:	cdrkit-genisoimage cdrkit-isotools syslinux
Requires:	gfxboot mageia-gfxboot-theme drakxtools-backend rpmcheck rpmtools
BuildRequires:	perl(LaTeX::Driver)
BuildRequires:	perl(Class::Accessor)
BuildRequires:	texlive-fontsextra
BuildRequires:	perl(Pod::LaTeX)
BuildArch:	noarch


%description
Create Mageia DVD and CD ISO usinf drakx installer
- configuration file is now in XML format
- use of genhdlist2 with file-deps
- support the add of isolinux entry
- change the theme on all.rdz files
- just need an input and an exclude file per media
- write media.cfg
- use input or exclude list for each media
- use custom rpmsrate of compssusers.pl
- all sub-media supported (updates, testing...)
- iso HEADER
- suggests option per media
- md5 in a file
- create a product.id file
- create a VERSION file
- support rpmsrate CAT


%prep
%setup -q
%autopatch -p1

%build
%make_build
%make_build pdf

%install
%make_install PREFIX=%{buildroot}

%files
%doc README *.xml lists create_dvd.sh create_dual.sh doc/*.pdf
%{_bindir}/bcd
%{_bindir}/*.pl
%{perl_vendorlib}/BCD
%{perl_vendorlib}/%{name}.pod
%{_mandir}/man1/*
