%define major     0
%define libname   %mklibname %{name}_ %{major}
%define develname %mklibname %{name} -d

Summary:	C Library to Deal with Matroska Files
Name:		bcmatroska2
Version:	5.3.5
Release:	%mkrel 2
License:	BSD and Zlib and GPLv2+
Group:		System/Libraries
URL:		https://linphone.org/
Source0:	https://gitlab.linphone.org/BC/public/bcmatroska2/-/archive/%{version}/bcmatroska2-%{version}.tar.gz
Patch2:		0001-Fix-linking.patch
Patch3:		0001-Fix-compilation-warning-treated-as-error.patch
Patch4:		0001-Fix-INTERFACE_INCLUDE_DIRECTORIES-in-CMake-target-im.patch
# (daviddavid) install cmake config files in proper location
Patch10:	bcmatroska2-5.3.5_fix-cmake-dir.patch
BuildRequires:	cmake
BuildRequires:	cmake(bctoolbox) >= %{version}

%description
Bcmatroska2 is a C library to parse Matroska files (.mkv and .mka).

%package -n	%{libname}
Summary:	C Library to Deal with Matroska Files
Group:		System/Libraries

%description -n	%{libname}
Bcmatroska2 is a C library to parse Matroska files (.mkv and .mka).

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}

%prep
%autosetup -p1 -n %{name}-%{?gitdate}%{!?gitdate:%version}

%build
%cmake \
  -DCMAKE_SKIP_RPATH:BOOL=YES \
  -DENABLE_STATIC:BOOL=NO \
  -DENABLE_STRICT:BOOL=NO \
  -DCMAKE_INSTALL_INCLUDEDIR:PATH=include/bcmatroska2 \
  -DCONFIG_PACKAGE_LOCATION:PATH=%{_libdir}/cmake/%{name}
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/BCMatroska2/
