Name:           bdftopcf
Version:        1.1.2
Release:        %mkrel 2
Summary:        Font compiler for the X server and font server
Group:          Development/X11
License:        MIT
URL:            https://www.x.org
Source:         https://xorg.freedesktop.org/releases/individual/util/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(xproto)
BuildRequires:  pkgconfig(fontsproto)
BuildRequires:  x11-util-macros >= 1.0.1

%description
bdftopcf is a font compiler for the X server and font server. Fonts
in Portable Compiled Format can be read by any architecture, although
the file is structured to allow one particular architecture to read
them directly without reformatting.  This allows fast reading on the
appropriate machine, but the files are still portable (but read more
slowly) on other machines.

%prep
%autosetup

%build
%configure	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir}

%make_build

%install
%make_install

%files
%license COPYING
%{_bindir}/bdftopcf
%{_mandir}/man1/bdftopcf.1*
