%define game    berusky2

Name:           %{game}-data
Version:        0.12
Release:        %mkrel 3
Summary:        Data files for Berusky 2
License:        GPLv2+
Group:          Games/Puzzles
URL:            https://www.anakreon.cz/berusky2.html
Source0:        https://www.anakreon.cz/download/%{name}-%{version}.tar.xz
BuildArch:      noarch

%description
This package contains the game data for Berusky 2, i.e. files with graphics,
levels, game rules, music and sounds.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_gamesdatadir}/%{game}

cp -a bitmap \
      data \
      game \
      game_data \
      items \
      materials \
      music \
      out \
      sound \
      textures \
      %{buildroot}%{_gamesdatadir}/%{game}

%files
%{_gamesdatadir}/%{game}/*
