# Debuginfo is not useful for OCaml programs since gdb doesn't know about OCaml
%define debug_package %{nil}

Summary:        Collection of tools for translating from BibTeX to HTML
Name:           bibtex2html
Version:        1.99
Release:        %mkrel 4
License:        GPLv2
Group:          Publishing
Url:            https://www.lri.fr/~filliatr/bibtex2html/
Source0:        https://www.lri.fr/~filliatr/ftp/bibtex2html/%{name}-%{version}.tar.gz

BuildRequires:  ocaml-compiler
BuildRequires:  perl
BuildRequires:  latex
BuildRequires:  hevea
BuildRequires:  texlive-collection-basic
BuildRequires:  texlive-dist


%description
bibtex2html is a collection of tools for translating from BibTeX to HTML.
They allow to produce, from a set of bibliography files in BibTeX format,
a bibliography in HTML format.

%prep
%setup -q
%autopatch -p1
# Removing unused lib from makefile
sed -i 's/-cclib -lstr//' Makefile.in


%build
%configure
%make_build


%install
%make_install BINDIR=%{buildroot}%{_bindir} MANDIR=%{buildroot}%{_mandir}


%files
%doc CHANGES README GPL COPYING manual.pdf manual.html
%{_mandir}/man1/*
%{_bindir}/*
