Name:           bigsh0t
Version:        2.7
Release:        %mkrel 1
Summary:        A collection of frei0r plugins for VR video, with support for Shotcut
Group:          System/Libraries
License:        GPLv2+
URL:            https://bitbucket.org/leo_sutic/bigsh0t
Source0:        https://bitbucket.org/leo_sutic/bigsh0t/downloads/%{name}-%{version}-src.tar.gz
BuildRequires:  cmake

Requires:       frei0r-plugins
Provides:       bigsh0t-plugins = %{version}-%{release}

%description
A collection of frei0r plugins for VR video, with support for
Shotcut, like frei0r.

 * IMPORTANT NOTE:*

These plugins do not work with "Parallel processing" when exporting video.
If you see tearing when using keyframes, disable parallel processing
when exporting.

%package shotcut
Summary:        A collection of shotcut plugins for VR video
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}
Requires:       shotcut

%description shotcut
A collection of shotcut plugins for VR video.

%prep
%autosetup -p1

sed -i 's/i686|x86|x86_64|AMD64/x86|x86_64|AMD64/' CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

# frei0r plugins
mkdir -p %{buildroot}%{_libdir}/frei0r-1
install -m755 %{_vpath_builddir}/bigsh0t*.so %{buildroot}%{_libdir}/frei0r-1/

# shotcut plugins (which are not included in shotcut source)
mkdir -p %{buildroot}%{_datadir}/shotcut/qml/filters/
cp -a %{_vpath_builddir}/shotcut/bigsh0t_{eq_cap,eq_wrap,zenith_correction} %{buildroot}%{_datadir}/shotcut/qml/filters/

%files
%doc README.md
%{_libdir}/frei0r-1/*.so

%files shotcut
%doc README.md
%{_datadir}/shotcut/qml/filters/bigsh0t*/
