%define _legacy_common_support 1

Name:		bk-terak-emu
Version:	2005.08.26
Release:	%mkrel 12
Summary:	BK0010, BK0011M and Terak Emulator
License:	BSD
Group:		Emulators
URL:		https://www.mailcom.com/bk0010/
Source0:	https://www.mailcom.com/bk0010/%{name}.%{version}.tar.gz
Source1:	%{name}-1.desktop
Source2:	%{name}-3.desktop
Source3:	User_ru.txt
Source4:	%{name}
Source5:	System_ru.txt
Patch0:		bk-terak-emu.2005.08.26-linuxsound.diff
Patch1:		bk-terak-emu.2005.08.26-str-fmt.patch
Patch2:		bk-terak-emu.2005.08.26-mga-traceflag.patch
BuildRequires:	pkgconfig(sdl)
BuildRequires:	gcc

%description
Emulator of Soviet-era home/educational computer BK0010,
its successor BK0011M and Terak.
BK0010, BK0011M and Terak Emulator by Leonid Broukhis.

%prep
%setup -q -n %{name}.%{version}
%autopatch -p1

cp -f %{SOURCE3} ./
cp -f %{SOURCE5} ./
mv -f README.html README_ru.html

sed -i \
  -e "s|/usr/lib/libSDL.so|\$\(LDFLAGS\) -lSDL|g" \
  -e "s|\(^CFLAGS =\).*|\1 %{optflags} -DSHIFTS_ALLOWED -DEIS_ALLOWED\nLDFLAGS = %{ldflags}|" \
  ./Makefile

%build
%make_build

%install
install -dm 0755 %{buildroot}%{_bindir}
install -m 0755 %{SOURCE4} %{buildroot}%{_bindir}/
install -m755 -D maketape %{buildroot}%{_bindir}/maketape
install -m755 -D readtape %{buildroot}%{_bindir}/readtape
install -dm 0755 %{buildroot}%{_datadir}/%{name}
install -Dm 0755 bk %{buildroot}%{_datadir}/%{name}
install -dm 0755 %{buildroot}%{_datadir}/pixmaps
install -dm 0755 %{buildroot}%{_datadir}/applications
install -m 0644 bk.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
cp -af ./Rom %{buildroot}%{_datadir}/%{name}/
install -m644 -D po/messages.mo %{buildroot}%{_datadir}/locale/ru/LC_MESSAGES/bk.mo
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/applications/
install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/applications/

%find_lang bk

%files -f bk.lang
%doc *.txt README_ru.html
%{_bindir}/*
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*.desktop
