%define major 1
%define minor 38
%define gamesdir /usr/games

Name: blackvoxel
Summary: A voxel adventure game in a science fiction universe
Version: %major.%minor
Release: %mkrel 1
License: GPLv3
Group: Games/Other
Source0: https://%{name}.com/%{name}_source_%{major}_%{minor}.tar.bz2

URL: https://%{name}.com/
BuildRequires: pkgconfig(sdl)
BuildRequires: pkgconfig(glew)
BuildRequires: dos2unix

%description
blackvoxel is an adventure game with block construction sandbox
and total freedom.
The story takes place in the future. 
Tired of civilization, you decided to retire to a distant
world. You bought a new discovered planet in your local planet
selling agency. The dealer made a good price on a paradisical
planet with beautiful landscape with islands, sandy beaches,
palm forest, a beautiful blue sky and populated of peaceful animals.
You took your new ship and after a year of boring travel
you reached the orbit and started the landing
procedure. Unfortunately, you hit an asteroid and finally
you crashed on your planet. As soon as you looked around you,
your realized that the planet wasn't what the dealer promised
to you. What a strange and desolated world with a black sky
and strange luminous blocks!!!! All what you see is uncommon
and you know nothing about it. As you look on your personal
digital assistant, you noticed you received an important
email that arrived using powerful long distance intergalactic
emitters: The agency said that they may have made a mistake
because someone confused some planet data files. They said that in
the eventuality you remain alive, the sales contract did not
mention the details of the surface of the planet, and unfortunately,
they can't made any exchange and refund. But before you can do
something, you have no choice: you have no intergalactic ship
to escape and no suitable communication equipment to request some
help.

%prep
%setup -q -n blackvoxel_source_%{major}_%{minor}

%build
%make blackvoxeldatadir=%{_datadir}/%{name}/ bindir=%{gamesdir}
dos2unix Licence_3rdParty_libs.txt

%install
%make_install specialinstall=true blackvoxeldatadir=/usr/share/blackvoxel/ bindir=%{gamesdir}/ icondir=%{_datadir}/pixmaps/ icondir2=%{_datadir}/icons/ desktopdir=%{_datadir}/applications/
rm -f %{buildroot}%{_datadir}/%{name}/*.txt

%files
%doc Copyright.txt Licence.txt Licence_3rdParty_libs.txt
%{_datadir}/%{name}/gui
%{_datadir}/%{name}/Misc
%{_datadir}/%{name}/Sound
%{_datadir}/%{name}/VoxelTypes
%{_datadir}/%{name}/randomnum.dat
%{gamesdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/128x128/apps/%{name}_128x128.png
%{_datadir}/pixmaps/%{name}-16x16.xpm
%{_datadir}/pixmaps/%{name}-32x32.xpm
