%define distname blobby2-linux-%{version}

Summary:	Blobby Volley 2 arcade game
Name:		blobby
Epoch:		1
Version:	1.1.1
Release:	%mkrel 2
License:	GPLv2+
Group:		Games/Sports
Url:		https://sourceforge.net/projects/blobby/
Source0:	https://prdownloads.sourceforge.net/%{name}/%{distname}.tar.gz
Patch0:		blobby2-1.1.1-mga-games-install-dirs.patch
# From debian
Patch102:	02_use_system_lua.patch
Patch104:	04_use_system_tinyxml.patch

BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	icoutils
BuildRequires:	pkgconfig(physfs)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(tinyxml2)
BuildRequires:	pkgconfig(lua)
BuildRequires:	zip

%description
Blobby Volley 2 is an arcade game with a simple gameplay and funny
characters design.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-server
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/%{name}.appdata.xml
