%define game    blockout

Name:           %{game}-data
Version:        2.5
Release:        %mkrel 6
Summary:        Data files for BlockOut II
Group:          Games/Arcade
License:        GPLv2+
Url:            https://www.blockout.net/blockout2
# Extracted and repacked from binary tarball
Source0:        %{name}-%{version}.tar.xz
BuildArch:      noarch

%description
This package contains arch-independent data files for the BlockOut II
game (the binary for the game is provided by the "%{game}" package).

%prep
%setup -q

%build

%install
install -d %{buildroot}%{_gamesdatadir}/%{game}
cp -a images sounds %{buildroot}%{_gamesdatadir}/%{game}/

%files
%{_gamesdatadir}/%{game}/
