Name:       boolstuff
Summary:    Disjunctive Normal Form Boolean expression library and example
Version:    0.1.17
Release:    %mkrel 1
License:    GPLv2+
Group:      Development/C++
URL:        http://sarrazip.com/dev/boolstuff.html
Source:     http://perso.b2b2c.ca/~sarrazip/dev/%{name}-%{version}.tar.gz

%description
This library contains an algorithm that converts a Boolean expression
binary tree into the Disjunctive Normal Form. The NOT operator
is supported.
A command that calls this library is also provided.

%files
%{_bindir}/*
%{_mandir}/man1/booldnf*

#--------------------------------------------------------------------------#

%define soname 0
%define api 0.1
%define libname %mklibname boolstuff%{api}_ %soname

%package -n %{libname}
Summary:  Disjunctive Normal Form Boolean expression library
Group:    Development/C++

%description -n %{libname}
This library contains an algorithm that converts a Boolean expression
binary tree into the Disjunctive Normal Form. The NOT operator
is supported.

%files -n %{libname}
%{_libdir}/libboolstuff-%{api}.so.%{soname}{,.*}
%{_mandir}/man3/boolstuff*
# do we need to redistribute the GPLv2 license? (INSTALL file)
%doc %{_defaultdocdir}/*

#--------------------------------------------------------------------------#

%define develname %mklibname boolstuff -d

%package -n %{develname}
Summary:  C++ header files for the boolstuff library
Group:    Development/C++
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Provides: libboolstuff-devel = %{version}-%{release}

%description -n %{develname}
C++ header files for the Disjunctive Normal Form Boolean expression library.

%files -n %{develname}
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

#--------------------------------------------------------------------------#
%prep
%setup -q

%build
# autoargh listao
./autogen.sh \
    --prefix %_prefix \
    --libdir=%_libdir

%make_build

%install
%make_install
