Summary: Scripts to handle a Linux distribution theming
Name: bootsplash
Version: 3.3.11
Release: %mkrel 9
# From Mageia SVN
Source0: %{name}-%{version}.tar.xz
License: GPL
Group: System/Kernel and hardware
Url:       https://svnweb.mageia.org/soft/bootsplash/
Requires: perl-base
# Do not require mkinitrd anymore to be able to be prerequed by mkinitrd (mkinitrd is in basesystem anyway)
# Requires: mkinitrd
#there is no way to say a special kernel requires.
Requires: kernel initscripts > 7.04-15
Requires: plymouth-scripts
# for drakx-update-background
Conflicts: drakx-kbd-mouse-x11 < 0.109
BuildArch: noarch

%description
This package contains scripts that can be used to install and change the theme 
used by a Linux distribution (at boot time and in desktop sessions).

%prep
%setup -q

%build
make LIB=%{_lib}

%install
make install prefix=%{buildroot}

%triggerpostun -- bootsplash < 3.3.10
# (cg) Fix world writable initrds (similar to CVE-2012-4453 (mga#7806))
chmod go-r /boot/initrd-3*.img ||:

%files
%doc README ChangeLog
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/scripts

