Summary:	Bouml and Douml reference manual
Name:		bouml-doc
Version:	7.3
Release:	%mkrel 4
License:	GPLv2+
Group:		Development/Other
URL:		https://www.bouml.fr/
Source0:	https://www.bouml.fr/doc%{version}.tar.gz
Source1:	https://www.bouml.fr/doc%{version}_A4.pdf
BuildArch:	noarch

%description
BOUML is a free Unified Modeling Language (UML 2) tool box allowing you
to specify and generate code in C++, Java, Idl, Php and Python.
You can use it to create nearly all of UML diagrams.
BOUML can generate code from those diagrams in
C++, Java, IDL, PHP and Python, and can also reverse existing code.
DoUML is using manual from BOUML.

Contains reference manual.

%prep
%setup -q -c %{name}-%{version}
cp %{SOURCE1} .

%build
#nothing

%install
%__install -d -m 755 %{buildroot}%{_datadir}/%{name}/pdf
mv doc %{buildroot}%{_datadir}/%{name}/html
mv *.pdf %{buildroot}%{_datadir}/%{name}/pdf

%files
%{_datadir}/%{name}
