#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           breeze-plymouth
Version: 6.3.4
Release:        %mkrel %{rel}
Summary:        Breeze theme for Plymouth
License:        GPLv3
Group:          System/Boot and Init
URL:            https://invent.kde.org/plasma/breeze-plymouth
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
# Upstream patches

BuildRequires:  kf6-rpm-macros
BuildRequires:  pkgconfig(ply-boot-client)
BuildRequires:  pkgconfig(ply-splash-core)

Requires:       plymouth
Requires:       plymouth-plugin-script

Provides:       plymouth-theme-breeze = %{version}-%{release}

%description
Breeze theme for Plymouth.

%files
%doc README.md
%license LICENSES/*
%_kf6_libdir/plymouth/
%_kf6_datadir/plymouth/themes/breeze-text/
%_kf6_datadir/plymouth/themes/breeze/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
