Name:           btop
Version:        1.4.0
Release:        %mkrel 2
Summary:        A monitor of resources
Group:          Monitoring
License:        Apache License 2.0
URL:            https://github.com/aristocratos/btop
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake

Provides:       bashtop = %{version}
Provides:       bpytop = %{version}
Obsoletes:      bpytop < 1.0.67-3

%description
Resource monitor that shows usage and stats for processor,
memory, disks, network and processes.
C++ version and continuation of bashtop and bpytop.

%prep
%autosetup -p1

%build
%cmake -DBTOP_FORTIFY:BOOL=OFF
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}*
