%global sum	Kill bugs with mouse

Summary:	%{sum}
Name:		bugsquish
Version:	0.0.6
Release:	%mkrel 26
Source0:	ftp://ftp.tuxpaint.org/unix/x/bugsquish/src/%{name}-%{version}.tar.bz2
Source5:	%{name}-16.png
Source6:	%{name}-32.png
Source7:	%{name}-48.png
Patch0:		bugsquish-0.0.2-fix-CFLAGS.patch
License:	GPLv2
Url:		http://newbreedsoftware.com/bugsquish/
Group:		Games/Arcade
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_mixer)

%description
Bugs are trying to suck blood out of your arm! Squish them with with your fly
swatter before you run out of blood.

%prep
%setup -q
%autopatch -p1
chmod a+r -R .
rm -rf `find -name .xvpics`

%build
%make_build CFLAGS="%{optflags} %ldflags" DATA_PREFIX=%{_gamesdatadir}/%{name}/

%install
install -D %{name} $RPM_BUILD_ROOT%{_gamesbindir}/%{name}
install -d $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
cp -a data/* $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Bugsquish
Comment=%{sum}
Exec=%_gamesbindir/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

install -D -m644 %SOURCE6 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m644 %SOURCE5 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m644 %SOURCE7 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%files
%doc AUTHORS.txt CHANGES.txt README.txt
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
