Summary:	A Burgertime(TM) clone
Name: 		burgerspace
Version: 	1.10.0
Release: 	%mkrel 1
License:	GPLv2+
Group:		Games/Arcade
URL:		http://perso.b2b2c.ca/~sarrazip/dev/burgerspace.html
Source:		http://perso.b2b2c.ca/~sarrazip/dev/%{name}-%{version}.tar.gz
Source1:	%{name}-16x16.png.bz2
Source2:	%{name}-32x32.png.bz2
Source3:	%{name}-48x48.png.bz2
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_gfx)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(flatzebra-0.2) >= 0.2.0

%description
Clone of the Burgertime video game.  You are a chef that must walk
over hamburger ingredients in a maze while avoiding enemies.

Use the arrow keys to move, the left Ctrl key to throw pepper, and
P to pause the game and resume it. The Escape key quits the game.

%prep
%setup -q

%build
%configure --bindir=%{_gamesbindir}
%make_build

%install
%make_install

#icon
for png in 16x16 32x32 48x48; do
mkdir -p %{buildroot}%{_iconsdir}/hicolor/$png/apps
done
bzcat %{SOURCE1} > %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
bzcat %{SOURCE2} > %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
bzcat %{SOURCE3} > %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

rm -fr %buildroot%_defaultdocdir/%name-*


%files
%doc AUTHORS NEWS README THANKS
%license COPYING
%{_gamesbindir}/burgerspace*
%{_datadir}/%{name}/
%{_mandir}/man6/burgerspace*.6*
%{_iconsdir}/hicolor/*/apps/%{name}.png
%_datadir/applications/*.desktop
%_datadir/pixmaps/%{name}/
%_datadir/pixmaps/*.png
