%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:        Dropbox extension for Caja
Name:           caja-dropbox
Version:        1.28.0
Release:        %mkrel 2
License:        GPLv3+ and CC-BY-ND
URL:            https://mate-desktop.org/
Group:          Graphical desktop/MATE
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
# Drop dropbox script and related files, dropbox package provides these already
Patch0:         caja-dropbox-mga_remove_dropbox_script.patch
BuildRequires:  pkgconfig(libcaja-extension) >= %{url_ver}
BuildRequires:  mate-common >= %{url_ver}
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  python3dist(docutils)

Requires:       caja >= %{url_ver}
Requires:       dropbox
Requires:       python3-gobject3

%description
Dropbox extension for Caja.

%prep
%autosetup -p1

%build
#Patch0 needs this
NOCONFIGURE=1 ./autogen.sh
%configure --disable-static
%make_build

%install
%make_install

%files
%doc README AUTHORS
%license COPYING
%{_datadir}/caja/extensions/libcaja-dropbox.caja-extension
%{_libdir}/caja/extensions-2.0/lib%{name}.so
