Name:		calcurse
Version:	4.8.1
Release:	%mkrel 2
Summary:	A text-based calendar and scheduling application
License:	GPLv2+ and BSD
Group:		Office/Organizer
URL:		https://calcurse.org/
Source0:	https://calcurse.org/files/%{name}-%{version}.tar.gz

BuildRequires:	gettext
BuildRequires:	pkgconfig(ncurses)

Requires:	python3-httplib2
Recommends:	%{name}-doc


%description
Calcurse helps keep track of events, appointments and everyday tasks.
A configurable notification system reminds user of upcoming deadlines,
and the curses based interface can be customized to suit user needs.

%package doc
Summary:	calcurse online built in manual

%description doc
Calcurse helps keep track of events, appointments and everyday tasks.
A configurable notification system reminds user of upcoming deadlines,
and the curses based interface can be customized to suit user needs.

This package contains the online built in manual


%prep
%setup -q

%build
%configure
%make_build

%install
%make_install
install -m644 doc/%{name}.1 -D %{buildroot}%{_mandir}/man1/%{name}.1

%find_lang %name

%files -f %name.lang
%doc AUTHORS doc/submitting-patches* doc/manual*
%{_bindir}/%{name}
%{_bindir}/%{name}-vdir
%{_bindir}/%{name}-caldav
%{_bindir}/%{name}-upgrade
%{_mandir}/man1/%{name}.1*
%license COPYING

%files doc
%{_datadir}/doc/%{name}/*txt
%{_datadir}/doc/%{name}/*/*txt
%exclude %{_datadir}/doc/%{name}/manual.txt
%exclude %{_datadir}/doc/%{name}/submitting-patches.txt
