Name:           canto-curses
Version:        0.9.9
Release:        %mkrel 9
Summary:        The next generation Canto RSS client
Group:          Networking/News
License:        GPLv2+
URL:            https://codezen.org/canto-curses
Source0:        https://github.com/themoken/canto-curses/archive/v%{version}/canto-curses-%{version}.tar.gz
Patch:          fix-build-gcc14.patch
# Remove pipes import
Patch4:		https://github.com/themoken/canto-curses/commit/ca1cb8f4a96a6b9029e60109df252537c0ac75b6.patch
BuildRequires:  python3-devel
BuildRequires:  ncursesw-devel
BuildRequires:  readline-devel
Requires:       canto >= 0.9.7

%description
Canto is an Atom/RSS feed reader for the console that is meant to be quick,
concise, and colorful. It’s meant to provide a minimal, yet information packed
interface. No navigating menus. No dense blocks of unreadable white text. An
interface with almost infinite customization and extensibility using the
excellent Python programming language.

This is the curses (text) client for canto.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files canto_curses

%files -f %{pyproject_files}
%license COPYING
%doc README*
%{_bindir}/canto-curses
%{_prefix}/lib/canto/plugins/*
%{_mandir}/man1/canto-curses.1*
