Name:           canto
Version:        0.9.8
Release:        %mkrel 6
Summary:        The next generation Canto RSS daemon
Group:          Networking/News
License:        GPLv2+
URL:            https://codezen.org/canto-ng
Source0:	https://github.com/themoken/canto-next/archive/v%{version}/canto-next-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
Requires:       python3-feedparser
Provides:       canto-next = %{version}-%{release}

%description
Canto is an Atom/RSS feed reader for the console that is meant to be quick,
concise, and colorful. It’s meant to provide a minimal, yet information packed
interface. No navigating menus. No dense blocks of unreadable white text. An
interface with almost infinite customization and extensibility using the
excellent Python programming language.

This is the RSS backend for Canto clients. Canto-curses is the default client.

%prep
%setup -qn canto-next-%{version}

%build
%py3_build

%install
%py3_install

%files
%license COPYING
%doc README*
%{_bindir}/canto-daemon
%{_bindir}/canto-remote
%{_prefix}/lib/canto/
%{python3_sitelib}/Canto-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/canto_next/
%{_userunitdir}/canto-daemon.service
%{_mandir}/man1/canto-daemon.1*
%{_mandir}/man1/canto-remote.1*
