Name: catdoc
Version: 0.95
Release: %mkrel 5
Summary: A program which converts Microsoft office files to plain text        

Group: Text tools 
License: GPL+       
URL: https://www.wagner.pp.ru/~vitus/software/catdoc/           
Source0: http://ftp.wagner.pp.ru/pub/catdoc/%{name}-%{version}.tar.gz
Patch0: catdoc-0.95-CVE-2017-11110.patch

BuildRequires: tk
Requires: tk

%files
%{_bindir}/catdoc
%{_bindir}/catppt
%{_bindir}/wordview
%{_bindir}/xls2csv
%{_mandir}/man1/catdoc.1.*
%{_mandir}/man1/catppt.1.*
%{_mandir}/man1/wordview.1.*
%{_mandir}/man1/xls2csv.1.*
%{_datadir}/catdoc
%doc COPYING README NEWS

#--------------------------------------------------------------------

%description
catdoc is program which reads one or more Microsoft Word files
and outputs text contained inside them to standard output.
Therefore it does the same work for.doc files, as the unix cat
command does for plain ASCII files.
It is now accompanied by xls2csv - a program which converts
Excel spreadsheet into comma-separated value file,
and catppt - a utility to extract textual information
from Powerpoint files

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build


%install
make installroot=%{buildroot} install
mkdir -p %{buildroot}%{_datadir}/man
mkdir -p %{buildroot}%{_mandir}/man1
mv doc/*.1 %{buildroot}%{_mandir}/man1/
