Name:           cboard
Version:        0.7.5
Release:        %mkrel 4
Summary:        Console frontend of gnuchess
License:        GPLv2
Group:          Games/Boards
URL:            https://benkibbey.wordpress.com/cboard/
Source0:        https://downloads.sourceforge.net/c-board/%{name}-%{version}.tar.bz2
Source1:        https://downloads.sourceforge.net/c-board/%{name}-%{version}.tar.bz2.sig
Patch0:         cboard-0.7.5-git-curses-format.patch

BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(ncursesw)

Requires:       gnuchess

%description
CBoard is a console frontend to GNU Chess, using the ncurses library for
the interface. It can edit PGN tags, annotate moves with NAG, and more.


%prep
%autosetup -p1

%build
CFLAGS="%{optflags} -fcommon"
autoreconf -vfi

%configure \
    --bindir=%{_gamesbindir} \
    --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_mandir}/man?/*
