Name:           ccrypt
Version:        1.11
Release:        %mkrel 1
Group:          File tools
Summary:        Secure encryption and decryption of files and streams

License:        GPLv2+
URL:            https://ccrypt.sourceforge.net/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  make

%description
ccrypt is a utility for encrypting and decrypting files and streams.
It was designed as a replacement for the standard unix crypt utility,
which is notorious for using a very weak encryption algorithm.

%prep
%autosetup -p 1

%build
%configure --disable-static --disable-libcrypt
%make_build

%install
%make_install
%find_lang %{name}

%check
%make_build check

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README doc/cypfaq01.txt
%license COPYING
%{_mandir}/man*/*.*
%{_bindir}/cc*
