%define fname	dialog

%define date	20221229
%define rel	1

Summary:	A utility for creating TTY dialog boxes
Name:		cdialog
Version:	1.3
Release:	%mkrel %{?date:%date.}%{rel}
License:	LGPLv2+
URL:		https://invisible-island.net/dialog/
Group:		Development/Other
BuildRequires:	pkgconfig(ncursesw)
Source:		https://invisible-mirror.net/archives/dialog/%{fname}-%{version}%{?date:-%date}.tgz
Provides:	dialog = %{version}-%{release}

%description
Dialog is a utility that allows you to show dialog boxes (containing questions
or messages) in TTY (text mode) interfaces.  Dialog is called from within a
shell script.  The following dialog boxes are implemented: yes/no, menu, input,
message, text, info, checklist, radiolist, and gauge.

Install dialog if you would like to create TTY dialog boxes.

%prep
%setup -q -n %{fname}-%{version}%{?date:-%date}

%build
%configure \
	--enable-nls \
	--with-ncursesw
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.a

%find_lang %{fname}

%files -f %{fname}.lang
%doc README
%{_bindir}/%{fname}
%{_mandir}/man1/%{fname}.*
