%define _legacy_common_support 1
Name:           cellwriter
Summary:        Character-based handwriting input panel
Version:        1.3.6
Release:        %mkrel 5
Group:          Accessibility
License:        GPLv2
URL:            https://github.com/risujin/cellwriter
Source0:        https://github.com/risujin/cellwriter/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(gtk+-2.0)

%description
CellWriter is a grid-entry natural handwriting input panel. As you write
characters into the cells, your writing is instantly recognized at the
character level. When you press Enter on the panel, the input you entered is
sent to the currently focused application as if typed on the keyboard.

%prep
%setup -q

# make autoreconf happy
sed -i -e 's,\(^AM_INIT_AUTOMAKE\)\((\[\(.*\)\])\|(\(.*\))\|.*\),\1([subdir-objects \3\4]),' configure.ac

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%files
%doc README NEWS AUTHORS
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_iconsdir}/hicolor/scalable/apps/cellwriter.svg
%{_datadir}/applications/*
