Name:           chemical-mime-data
Version:        0.1.94
Release:        %mkrel 16
Summary:        Support for chemical/* MIME types
Group:          System/Libraries
License:        LGPL
URL:            https://sourceforge.net/projects/chemical-mime/
Source0:        https://downloads.sourceforge.net/chemical-mime/%{name}-%{version}.tar.bz2
BuildArch:      noarch
BuildRequires:  pkgconfig(shared-mime-info) >= 0.12
BuildRequires:	librsvg
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	libxml2-utils
BuildRequires:	xsltproc

%description
A collection of data files which tries to give support for various chemical
MIME types (chemical/*) on Linux/UNIX desktops. Chemical MIME's have been
proposed in 1995, though it seems they have never been registered with IANA.


%prep
%setup -q

%build
%configure --disable-update-database \
           --without-gnome-mime \
	   --without-kde-mime \
           --without-pixmaps
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING HACKING NEWS README THANKS TODO
%{_docdir}/%{name}/*.{html,css}
%{_datadir}/icons/*/*/*/*
%{_datadir}/mime/packages/chemical-mime-data.xml
%{_datadir}/pkgconfig/chemical-mime-data.pc
