Name:		chewing-editor
Summary:	Cross platform chewing user phrase editor 
Version:	0.1.1
Release:	%mkrel 7
Group:		System/Internationalization
License:	GPLv2
URL:		https://chewing.im/
Source0:	https://github.com/chewing/chewing-editor/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch0:		chewing-editor-0.1.1-fix-build-against-qt-5.11.0.patch
BuildRequires:	cmake
BuildRequires:	help2man
BuildRequires:	pkgconfig(chewing)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qttools5

Requires:	libchewing

%description
chewing-editor is a cross platform chewing user phrase editor. 
It provides a easy way to manage user phrase. With it, user can 
customize their user phrase to increase input performance.

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

%files 
%doc COPYING README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/256/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*
