Name: 		chrpath
Version: 	0.18
Release: 	%mkrel 1
Summary: 	Command line tool to adjust the RPATH or RUNPATH of ELF binaries
Group: 		Development/Tools
License: 	GPLv2
Url:		https://codeberg.org/pere/chrpath
Source0:	https://codeberg.org/pere/chrpath/archive/release_%{version}.tar.gz#/%{name}-%{version}.tar.gz


%description
chrpath allows you to change the rpath (where the application looks for
libraries) in an application. It does not (yet) allow you to add an
rpath if there isn't one already.

%prep
%autosetup -n chrpath

%build
./bootstrap
%configure
%make_build

%install
%make_install

#docs in wrong location
rm -rf %{buildroot}%{_prefix}/doc

%files
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/chrpath
%{_mandir}/man1/chrpath.1*
