
#global _internal_version  320b425
#global	 debug_package     %{nil}
%global  _trans_version    2025.01.06
#global  date              20250106

Name:           cinnamon-translations
Version:        6.4.2
Release:        %mkrel 1
Summary:        Translations for Cinnamon and Nemo

License:        GPLv2+
URL:            http://cinnamon.linuxmint.com
Source0: https://github.com/linuxmint/cinnamon-translations/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        http://packages.linuxmint.com/pool/main/m/mint-translations/mint-translations_%{_trans_version}.tar.xz

BuildArch:      noarch

# This is required to avoid conflict with cinnamon-settings-daemon
# bug 23857
Requires: cinnamon-settings-daemon >= 4.0
Group:   Graphical desktop/Cinnamon

%description
Translations for Cinnamon and Nemo

%prep
%setup -q -a 1

%build
make
make -C mint-translations

%install
# install mint translations for mintlocale
find mint-translations/ -not -name 'mintlocale.mo' -type f -exec rm -f {} ';'
cp -r mint-translations/%{_datadir}/linuxmint/locale/* usr/share/locale/

install -m 0755 -d $RPM_BUILD_ROOT%{_datadir}/locale/
cp -Rp usr/share/locale/* $RPM_BUILD_ROOT%{_datadir}/locale/

%find_lang cinnamon
%find_lang mintlocale
%find_lang nemo
%find_lang cinnamon-control-center
%find_lang cinnamon-screensaver
%find_lang cinnamon-session
%find_lang cinnamon-settings-daemon
%find_lang nemo-extensions


%files -f cinnamon.lang -f nemo.lang -f cinnamon-control-center.lang -f cinnamon-screensaver.lang -f mintlocale.lang -f cinnamon-session.lang -f cinnamon-settings-daemon.lang -f nemo-extensions.lang
%doc COPYING


