Summary:	Cjet PCL emulation for Canon CaPSL printers
Name:		cjet
Version:	0.8.9
Release:	%mkrel 19
License:	GPL
Group:		System/Printing
URL:		https://ibiblio.org/pub/Linux/system/printing/
Source:		https://ibiblio.org/pub/Linux/system/printing/cjet089.tar.bz2
Patch0:		cjet089-fix-building-with-gcc14.patch
Conflicts:	printer-utils = 2007
Conflicts:	printer-filters = 2007

%description
CJET filters printer data from stdin to stdout, converting HP PCL (Printer
Command Language) commands to their CaPSL equivalents.
CaPSL is short for `Canon Printing Systems Language'.
Whereas PCL is a de-facto world-wide standard as a laser and inkjet printer
control language, CaPSL is limited to Canon laser printers.

%prep

%autosetup -p1 -n %{name}089

%build
make OPT="%{optflags}" LDFLAGS="%{ldflags}"

%install
install -d  %{buildroot}%{_bindir}
install -m0755 cjet %{buildroot}%{_bindir}

%files
%defattr(0644,root,root,0755)
%doc README INSTALL COPYING TODO ChangeLog samples/ 
%attr(0755,root,root) %{_bindir}/cjet


