Name:		clawsker
Version:	1.4.1
Release:	%mkrel 1
Summary:	Dialog to edit Claws Mail's hidden preferences
Group:		Networking/Mail
License:	GPLv3+
URL:		https://www.claws-mail.org/clawsker.php
Source0:	https://www.claws-mail.org/tools/%{name}-%{version}.tar.xz
BuildArch:	noarch
Requires:	claws-mail

%description
Clawsker is a Perl-GTK applet to edit hidden preferences for Claws Mail, and to
do it in a safe and user friendly way, preventing users from raw editing of
configuration files.

%prep
%autosetup -p1

%build
#nothing as install runs make again

%install
%make_install \
	LIBDIR=%{_libdir} \
	PREFIX=%{_prefix}

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
