%define oname	clearlooks-phenix

Name:		clearlooks-phenix-theme
Summary:	GTK3 port of Clearlooks theme
Version:	7.0.1
Release:	%mkrel 5
License:	GPLv3+
Group:		Graphical desktop/GNOME
Url:		http://www.jpfleury.net/en/software/clearlooks-phenix.php
Source0:	https://github.com/jpfleury/clearlooks-phenix/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-Added-link_color-for-links-in-Gtk-Widgets.-Fixes-10.patch
Patch2:		0001-Removed-errors-for-GTK-3.20.patch
BuildArch:	noarch
Requires:	libgtk+3.0 >= 3.14.0
# GTK2 theme engine
Requires:	gtk2-clearlooks-engine
Provides:	%{oname} = %{version}-%{release}

%description
The Clearlooks-Phenix project (formerly known as Clearwaita) aims at creating
a GTK3 port of Clearlooks, the default theme for Gnome 2. Style is also
included for GTK2, Unity and for Metacity, Openbox and Xfwm4 window managers.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
#nothing

%install
mkdir -p %{buildroot}%{_datadir}/themes/Clearlooks-Phenix
cp -a gtk-2.0 \
	gtk-3.0 \
	index.theme \
	metacity-1 \
	openbox-3 \
	wallpapers \
	xfwm4 \
	%{buildroot}%{_datadir}/themes/Clearlooks-Phenix

# remove patch backup files
find %{buildroot} -name "*.[0-9][0-9][0-9][0-9]" -delete

%files
%doc *.md
%{_datadir}/themes/Clearlooks-Phenix/
