Name:           clicfs
BuildRequires:  cmake
BuildRequires:  e2fsprogs-devel
BuildRequires:  pkgconfig(fuse)
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(liblzma)
Requires:       fuse
Summary:        Compressed Loop Image Container
Version:        1.4.6
Release:        %mkrel 11
License:        GPLv2
Url:            http://gitorious.org/opensuse/clicfs
Group:          System/Base
Source:         clicfs.tar.bz2

%description
Clic FS is a FUSE file system to mount a Compressed Loop Image
Container. It has several features that make it a good choice for live
systems. It will compress a Loop Image and export it as read write,
creating a copy on write behaviour.


%prep
%setup -q -c %{name}

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$CFLAGS"
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} \
      -DLIB=%{_lib} \
      -DCMAKE_VERBOSE_MAKEFILE=TRUE \
      -DCMAKE_BUILD_TYPE=Release \
      -DCMAKE_SKIP_RPATH=1 .

%install
%make_install


%files
%doc LICENCE
%{_bindir}/*clicfs*
%_mandir/man1/*



