Summary:	Opensource Clone System (ocs), clonezilla
Name:		clonezilla
Version:	3.35.2
Release:	%mkrel 3
License:	GPLv2+
Group:		Archiving/Backup
URL:		https://www.clonezilla.org/
Source0:	https://free.nchc.org.tw/drbl-core/src/stable/%{name}-%{version}.tar.xz
Patch0:		ambiguous-python-shebang.patch
BuildArch:	noarch
Requires:	drbl >= 2.30.5
Requires:	partimage >= 0.6.7
Requires:	psmisc
Requires:	udpcast
Requires:	partclone >= 0.2.91
Requires:	ntfsprogs
Requires:	cdialog

%description
Clonezilla, based on DRBL, Partition Image, ntfsclone, partclone, and udpcast,
allows you to do bare metal backup and recovery. Two types of Clonezilla
are available, Clonezilla live and Clonezilla SE (Server Edition). Clonezilla
live is suitable for single machine backup and restore. While Clonezilla SE
is for massive deployment, it can clone many (40 plus!) computers simultaneously.
For more info, check http://clonezilla.org, http://clonezilla.nchc.org.tw.

%prep
%setup -q
%patch -P 0 -p1

%build
%make_build

%install
%make_install

%files
%doc doc/*
%{_sbindir}/*
%{_bindir}/*
%{_datadir}/drbl/*
%{_datadir}/%{name}/
%{_sysconfdir}/drbl/*
