Summary: A utility to collect various linux performance data
Name: collectl-utils
Version: 4.8.2
Release: %mkrel 6
License: GPL+ or Artistic
Group: Monitoring
Source0: https://prdownloads.sourceforge.net/%name/%{name}-%{version}.src.tar.gz
Patch0: install.patch
Url: https://collectl.sourceforge.net/
BuildArch: noarch
BuildRequires: apache
Requires: webserver

%description
Tools around collectl, a utility to collect linux performance data

%prep
%setup -q
%autopatch -p0

%build

%install
export PREFIX=$RPM_BUILD_ROOT
mkdir -p $PREFIX/%{_bindir} $PREFIX/%{_mandir}/man1 $PREFIX/%{_webappconfdir} $PREFIX/%{_sysconfdir}
./INSTALL

%files
%doc RELEASE-%{name} README GPL ARTISTIC INSTALL-colplot
%attr(0644,apache,root) %{_datadir}/doc/%{name}/*.html
%attr(0755,apache,root) %{_bindir}/*
%{_mandir}/man1/*
%dir %{_datadir}/collectl
%{_datadir}/collectl/*
%attr(0644,apache,root) %{_webappconfdir}/*
%{_sysconfdir}/*.conf
%attr(0755,apache,root) %dir %{_var}/www/html/colplot
%{_var}/www/html/colplot/*
