%define game    colobot

Name:           %{game}-data
Version:        0.2.2
Release:        %mkrel 1
Summary:        Data files for Colobot
Group:          Games/Strategy
License:        GPLv3+
Url:            https://colobot.info/
Source0:        https://github.com/colobot/colobot-data/archive/%{game}-gold-%{version}-alpha.tar.gz

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  po4a
BuildArch:      noarch
Recommends:     %{game}-music >= 0.1.6

%description
This package contains data files for the Colobot game.

%prep
%autosetup -n %{name}-%{game}-gold-%{version}-alpha

%build
# Do not attempt to download music, installed in a separate package
%cmake -GNinja -DMUSIC=OFF
%cmake_build

%install
%cmake_install

%files
%doc LICENSE.txt README.i18n.md README.md
%{_gamesdatadir}/%{game}/
