Name:		colorize
Version:	0.3.5
Release:	%mkrel 2
Summary:	Colorized output from tail
License:	GPLv2+
Group:		Text tools
URL:		https://github.com/solbu/colorize/
Source0:	https://github.com/solbu/colorize/archive/refs/tags/v0.3.5.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:	noarch
Requires:	perl

%description
This is a Perl script, made by Istvan Karaszi, to colorize your logs.
You can use your own colors by modifying your configuration file
in your home directory, or system-wide using /etc/colorizerc.

%prep
%setup -q
gunzip %{name}.1.gz

%build

%install
install -m644 %{name}.1 -D %{buildroot}%{_mandir}/man1/%{name}.1
install -m755 %{name} -D %{buildroot}%{_bindir}/%{name}
install -m644 %{name}rc -D %{buildroot}%{_sysconfdir}/%{name}rc

%files
%doc README.md THANKS TIPS TODO examples changelog.gz
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
