%define oname	simple-ccsm

Name:		compiz-simple-ccsm
Summary:	Simple settings manager for Compiz
Version:	0.8.18
Release:	%mkrel 8
License:	GPLv2+
Group:		System/X11
Url:		https://github.com/compiz-reloaded/simple-ccsm
Source0:	https://github.com/compiz-reloaded/simple-ccsm/archive/v%{version}/%{oname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	intltool
BuildRequires:	python3-devel
Requires:	ccsm >= 1:0.8.18
Requires:	compizconfig-python
Requires:	compiz-plugins-main >= 0.8.18
Requires:       python3-gobject3
Provides:	simple-ccsm = %{EVRD}

%description
Compiz settings manager focused on simplicity for an end-user.

%prep
%setup -qn %{oname}-%{version}

%build
%py3_build -- --prefix=%{_prefix} --enableDesktopEffects

%install
%py3_install -- --prefix=%{_prefix}

%find_lang %{oname}

%files -f %{oname}.lang
%doc AUTHORS NEWS README.md
%license COPYING LICENSE
%{_bindir}/simple-ccsm
%{python3_sitelib}/simple_ccsm-%{version}-py%{python3_version}.egg-info
%{_datadir}/applications/simple-ccsm.desktop
%{_iconsdir}/hicolor/*/apps/simple-ccsm.{png,svg}
%{_datadir}/metainfo/simple-ccsm.appdata.xml
%{_datadir}/simple-ccsm/

