%define oname	clit
%define version	1.8
%define tarver	18
%define rel	3

Name: 	 	convlit
Summary: 	Converts Microsoft Reader format eBooks into open format
Version: 	%{version}
Release: 	%mkrel %{rel}
Source:		%{oname}%{tarver}src.zip
Source1:	ltm-0.33.tar.bz2
Patch0:		convlit-format-string.patch
URL:		http://www.convertlit.com/
License:	GPLv2+ and LGPLv2+ and Public Domain
Group:		Publishing
Provides:	clit
Obsoletes:	clit

%description
This program which allows you to convert Microsoft Reader format eBooks into
open format for use with software or devices which are not directly compatible
with Microsoft's Reader.

This package is in the "Tainted" section because it may not be legal in
countries where circumvention of copyright protection is illegal, even if fair
use is intended.

%prep
%setup -q -a1 -c %oname-%version
%autopatch -p1

perl -p -i -e 's!(-O2|-O3)!%{optflags}!g' libtommath-0.33/makefile lib/Makefile clit%{tarver}/Makefile
perl -p -i -e 's|libtommath-0.30|libtommath-0.33||g' clit%{tarver}/Makefile

%build
cd libtommath-0.33
make
cp *.h ../clit%{tarver}
cd ../lib
%make
cd ../clit%{tarver}
%make
										
%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%_bindir
cp clit%{tarver}/clit %{buildroot}/%_bindir

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%oname
