Name:                 convmv
Version:              2.06
Release:              %mkrel 1
Summary:              Converts filenames from one encoding to another
Group:                File tools
License:              GPLv2+
Url:                  https://j3e.de/linux/convmv/
BuildArch:            noarch
Source0:              https://www.j3e.de/linux/convmv/%{name}-%{version}.tar.gz
Source1:              testsuite2.tar.bz2
Patch0:               convmv-2.0-grep-2.23.patch

%description
This is a script for renaming files from one file name encoding to another,
e.g. from ISO-LATIN-1 to UTF-8.

%prep
%autosetup -p1 -a 1

%build
make

%install
%make_install PREFIX=%_prefix

%check
make test

%files
%doc Changes CREDITS TODO
%_bindir/%name
%_mandir/man1/%name.1*
