Name:          corejava-format
Version:       1.22
Release:       %mkrel 10
Summary:       A class for formatting numbers that follows printf conventions
Group:         Development/Java
License:       LGPL
Url:           https://www.horstmann.com/corejava.html
Source0:       https://www.horstmann.com/articles/format.jar
Source1:       corejava-format-%{version}.build.xml
Patch0:        corejava-format-%{version}-Format.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: java-javadoc

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
A class for formatting numbers that follows printf conventions.

%package javadoc
Summary:       Javadoc for %{name}
Group:         Development/Java

%description javadoc
Javadoc for %{name}.

%prep
%setup -T -q -c

mkdir -p src && unzip -q %{SOURCE0} -d src
mv src/com/horstmann/format/license.txt .
rm -rf src/com/horstmann/format/*.class

%patch -P 0 -p0
cp %{SOURCE1} build.xml

%build

ant \
  -Dversion=%{version} \
  -Dj2se.apiurl=%{_javadocdir}/java \
  jar javadoc

%install
mkdir -p %{buildroot}%{_javadir}
install -pm 644 %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr docs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%doc license.txt

%files javadoc
%{_javadocdir}/%{name}
