%define patchSet0 20060404

Name:		corkscrew
Summary:	Tool for tunneling SSH through HTTP proxies
Version:	2.0
Release:	%mkrel 19
License:	GPLv2
Url:		https://www.agroman.net/%{name}
Group:		Networking/Other
Source0:	https://www.agroman.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}.%{patchSet0}-manpage.patch
Patch1:		%{name}-%{version}.%{patchSet0}-firstpacket.patch
Patch2:		corkscrew-2.0-automake.patch

%description
Corkscrew is a tool for tunneling SSH through HTTP proxies.

%prep
%setup
%patch -P 0 -p1 -b .manpage
%patch -P 1 -p1 -b .firstpacket
%patch -P 2 -p1 -b .automake

# Fix some bad references in the man pages
perl -pi -e 's|/usr/local/bin|%{_bindir}|g;' corkscrew.1 README

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

# man page
install -Dpm 644 corkscrew.1 %{buildroot}%{_mandir}/man1/corkscrew.1

%files
%doc README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
