Name:		countrycodes
Version:	1.0.6
Release:	%mkrel 5
Summary:	Country code finder
URL:		https://sourceforge.net/projects/countrycodes/
Source0:	https://prdownloads.sourceforge.net/%{name}//%{name}-%{version}.tar.gz
License:	GPLv2+
Group:		Networking/Other

%description
Country codes is an ISO 3166 country code finder. It is mainly used to
determine to what country a domain name belongs. It also allows
searching by 2 or 3 letter codes, country number, and country name.

%prep
%setup -q

%build
%make_build CCOPTS="%{optflags}"

%install
%makeinstall

%files
%doc AUTHORS Changelog README
%{_bindir}/iso3166
%{_mandir}/man1/iso3166.1*
