Name:       cpan-upload
Version:    2.2
Release:    %mkrel 14
Summary:    Upload one or more files to CPAN, using PAUSE
License:    GPL or Artistic
Group:      Development/Perl
URL:        https://cpan.metacpan.org/authors/id/N/NE/NEILB/scripts
Source:     https://cpan.metacpan.org/authors/id/N/NE/NEILB/scripts/%{name}-%{version}.tar.gz
BuildRequires: perl(AppConfig::Std) >= 1.05
BuildRequires: perl(Pod::Usage) >= 1.14
BuildRequires: perl(Net::FTP) >= 2.28
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(File::Basename) >= 2.28
BuildRequires: perl(Term::ReadKey)
BuildArch:      noarch
Conflicts:    perl-CPAN-Uploader

%description
cpan-upload is a script which automates the process of uploading a file to
CPAN using PAUSE, the Perl Authors Upload Server.

%prep
%setup -q

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc README ChangeLog
%{_mandir}/*/*
%{_bindir}/%name

