Name:           create_ap
Version:        0.4.6
Release:        %mkrel 4
Group:          System/Servers
Summary:        Creates a NATed or Bridged WiFi Access Point
License:        BSD
# Project is now archived and read only
URL:            https://github.com/oblique/create_ap
Source0:        https://github.com/oblique/create_ap/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:      noarch
Requires:       hostapd

%description
This script creates a NATed or Bridged WiFi Access Point.

%prep
%setup -q

%build

%install
%make_install

%files
%doc LICENSE README.md
%config(noreplace) %{_sysconfdir}/create_ap.conf
%{_bindir}/create_ap
%{_unitdir}/create_ap.service
%{_datadir}/bash-completion/completions/create_ap
