Summary: OCI runtime written in C
Name: crun
Version: 1.14.4
Release: %mkrel 1
Source0: https://github.com/containers/crun/releases/download/%{version}/%{name}-%{version}.tar.gz
License: GPLv2+
Group: System/Configuration
URL: https://github.com/containers/crun

# We always run autogen.sh
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc
BuildRequires: python3
BuildRequires: git-core
BuildRequires: pkgconfig(libcap)
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(yajl)
BuildRequires: pkgconfig(libseccomp)
BuildRequires: python3-libmount
BuildRequires: libtool
BuildRequires: go-md2man
BuildRequires: glibc-static-devel
Provides: oci-runtime = %{version}

%description
crun is a runtime for running OCI containers.

%prep
%autosetup -n %{name}-%{version}

%build
./autogen.sh
%configure
%make_build

%install
%make_install
rm -rf %{buildroot}/usr/lib*

%files
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/*
