Name:		cscope
Version:	15.9
Release:	%mkrel 3
Summary:	C source file browser
License:	BSD
Group:		Development/Other
URL:		https://cscope.sourceforge.net/
Source:		https://sourceforge.net/projects/cscope/files/cscope/v%{version}/%{name}-%{version}.tar.gz
Patch0:		cscope_prog_info.patch
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	bison
BuildRequires:	flex

%description
cscope is an interactive, screen-oriented tool that allows the user to browse
through C source files for specified elements of code.

%prep
%setup -q
%autopatch -p0

%build
%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/emacs/site-lisp
install contrib/xcscope/xcscope.el %{buildroot}%{_datadir}/emacs/site-lisp/

%files
%doc TODO COPYING ChangeLog AUTHORS README NEWS
%{_bindir}/cscope
%{_bindir}/ocs
%{_mandir}/man1/cscope.1*
%{_datadir}/emacs/site-lisp/xcscope.el
