Name:		cuetools
Version:	1.4.1
Release:	%mkrel 5
Summary:	Utilities to works with cue and TOC files
License:	GPLv2
Group:		Archiving/Cd burning
Url:		https://github.com/svend/cuetools
Source0:	https://github.com/svend/cuetools/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:		0003-cuetag.sh-Correct-typo-in-error-output.patch
BuildRequires:	bison
BuildRequires:	byacc
BuildRequires:	flex
BuildRequires:	gawk

Recommends:	flac
Recommends:	vorbis-tools

%description
Cuetools is a set of utilities for working with cue files and TOC files.
It includes programs for conversion between the formats, file renaming based
on cue/TOC information, and track breakpoint printing.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS NEWS README.md TODO
%{_bindir}/*
%{_mandir}/man1/*.1.*
