Name:		cuneiform-qt
Version:	0.1.4
Release:	%mkrel 1
Summary:	GUI frontend for Cuneiform OCR
License:	GPLv3+
Group:		Office/Utilities
URL:		https://github.com/sibskull/cuneiform-qt
Source0:	https://github.com/sibskull/cuneiform-qt/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		%{name}-0.1.2-mga-html-uft8.patch
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	cuneiform-linux
Requires:	qttranslations5

%description
This application is a GUI frontend for Cuneiform (OCR system originally
developed and open sourced by Cognitive Technologies). It allows opening
a scanned image, view in a preview pane, recognize text via Cuneiform
and save the result in an HTML file.

%prep
%setup -q
%autopatch -p1

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc AUTHORS README.md TODO.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/apps/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
