Name: cups2freefax
Summary: Virtual fax printer for French ISP "Free"
Version: 201205092342
Release: %mkrel 13
License: GPLv2+
Group: Communications/Fax
Source0: http://www.sputnick-area.net/scripts/cups2freefax/cups2freefax_%{version}.tar.gz
Source1: README.install.urpmi
Url: http://redmine.sputnick-area.net/wiki/cups2freefax
Requires: cups
Requires: zenity
Requires: perl-HTML-Tree
Requires: perl-WWW-Mechanize
Requires: perl-LWP-Protocol-https


%description
This project allows French ISP "Free" users to send faxes directly via:
 - a virtual printer CUPS.
 - The context menu of KDE or Gnome
 - in pure CLI (command line) via the sub-project fax4free

%prep
%setup -q -c -n %{name}_%{version}

%build
gcc %{optflags} -o cups2freefax cups2freefax.c

%install
install -D -m 644 ./version %{buildroot}%{_var}/lib/cups2freefax/maj
install -D -m 644 ./cron.pl %{buildroot}%{_var}/lib/cups2freefax/
install -D -m 644 ./fax4free.desktop %{buildroot}%{_datadir}/kde4/services/ServiceMenus/fax4free.desktop
install -D -m 755 ./fax4free_nautilus %{buildroot}%{_datadir}/nautilus-scripts/fax4free_nautilus
install -m 644 ./cups2freefaxrc %{buildroot}%{_var}/lib/cups2freefax/cups2freefaxrc
install -D -m 700 ./cups2freefax %{buildroot}%{_libdir}/cups/backend/cups2freefax
install -m 755 ./cups2freefax.bash %{buildroot}%{_var}/lib/cups2freefax/cups2freefax.bash
install -D -m 644 ./cups2freefax.conf %{buildroot}%{_sysconfdir}/cups/cups2freefax.conf
install -D -m 755 ./fax4free.pl %{buildroot}%{_bindir}/fax4free
install -D -m 644 ./etc_cups2freefaxrc %{buildroot}%{_sysconfdir}/cups2freefax/cups2freefaxrc
install -d -m 777 %{buildroot}/var/spool/cups2freefax
install -m 644 %{SOURCE1} README.install.urpmi
install -D -m755 ./cron.pl %{buildroot}%{_sysconfdir}/cron.daily/cups2freefax.pl &>/dev/null

%files
%doc README.install.urpmi
%{_bindir}/fax4free
%{_var}/lib/cups2freefax/cups2freefax.bash
%{_var}/lib/cups2freefax/cups2freefaxrc
%{_var}/lib/cups2freefax/maj
%{_var}/lib/cups2freefax/cron.pl
%{_sysconfdir}/cron.daily/cups2freefax.pl
%{_libdir}/cups/backend/cups2freefax
%config(noreplace)%{_sysconfdir}/cups/cups2freefax.conf
%{_datadir}/kde4/services/ServiceMenus/fax4free.desktop
%{_datadir}/nautilus-scripts/fax4free_nautilus
%{_var}/spool/cups2freefax
%config(noreplace)%{_sysconfdir}/cups2freefax/cups2freefaxrc
