Name:		curlftpfs
Version:	0.9.2
Release:	%mkrel 14
Url:		https://curlftpfs.sourceforge.net/
Summary:	Filesystem for accessing FTP hosts based on FUSE and libcurl
License:	GPL+
Group:		Networking/Other
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(fuse)
BuildRequires:	glib2-devel
Requires:	fuse
Source:		https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		curlftpfs-0.9.2-automake-1.13.patch
Patch1:		curlftpfs-0.9.2-ftpfs.patch

%description
CurlFtpFS is a filesystem for accessing FTP hosts based on FUSE and libcurl.

CurlFtpFS differentiates itself from other FTP filesystems because it
features:

    * SSLv3 and TLSv1 support
    * connecting through tunneling HTTP proxies
    * automatically reconnection if the server times out
    * transform absolute symlinks to point back into the ftp file system

%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p0

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%files
%doc COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
