Name:          cxf-build-utils
Version:       3.2.0
Release:       %mkrel 6
Group:         Development/Java
Summary:       Apache CXF Build Utils
License:       ASL 2.0
URL:           https://cxf.apache.org/build-utils.html
Source0:       https://github.com/apache/cxf-build-utils/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.sun.xml.fastinfoset:FastInfoset)
BuildRequires: mvn(jdom:jdom)
BuildRequires: mvn(junit:junit)
# BuildRequires: mvn(net.sourceforge.pmd:pmd-java)
BuildRequires: mvn(org.apache:apache:pom:)
BuildRequires: mvn(org.apache.maven:maven-artifact)
BuildRequires: mvn(org.apache.maven:maven-model)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(org.apache.maven:maven-project)
BuildRequires: mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-shade-plugin)
BuildRequires: mvn(org.codehaus.plexus:plexus-utils)
BuildRequires: mvn(org.sonatype.plexus:plexus-build-api)

BuildArch:     noarch

%description
The Apache CXF Build Utils contains common utilities and configuration files
that are used by multiple versions of the CXF builds.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
# Was retired
%pom_remove_dep net.sourceforge.pmd:pmd-java buildtools
rm -r buildtools/src/main/java/org/apache/cxf/pmd

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%files javadoc -f .mfiles-javadoc

