%define uname		dbus-sharp
%define pkgname		%{uname}-1.0

Name:			dbus-sharp1.0
Summary:		Managed D-Bus implementation
Version:		0.7.0
Release:		%mkrel 6
Group:			System/Libraries
License:		MIT
Url:			http://mono.github.com/dbus-sharp/
Source0:		https://github.com/downloads/mono/%{uname}/%{uname}-%{version}.tar.gz
BuildRequires:		pkgconfig(mono)
BuildArch:		noarch

%description
dbus-sharp is a C# implementation of D-Bus. It's often referred to as
"managed D-Bus" to avoid confusion with existing bindings (which wrap
libdbus).

D-Bus is an inter-process communication framework that lets
applications interface with the system event bus as well as allowing
them to talk to one another in a peer-to-peer configuration.

%package devel
Summary:		Development files for %{name}
Group:			Development/Other
Requires:		%{name} = %{version}-%{release}

%description devel
dbus-sharp is a C# implementation of D-Bus. It's often referred to as
"managed D-Bus" to avoid confusion with existing bindings (which wrap
libdbus).

D-Bus is an inter-process communication framework that lets
applications interface with the system event bus as well as allowing
them to talk to one another in a peer-to-peer configuration.

%prep
%setup -q -n %{uname}-%{version}

sed -i "s#gmcs#mcs#g" configure
sed -i "s#gmcs#mcs#g" configure.ac

%build
./configure --prefix=%_prefix
%make_build

%install
%make_install pkgconfigdir=%_datadir/pkgconfig

%files
%doc README COPYING
%{_prefix}/lib/mono/%{pkgname}
%{_prefix}/lib/mono/gac/%{uname}

%files devel
%doc examples
%{_datadir}/pkgconfig/%{pkgname}.pc
