Name:           ddcui
Version:        0.6.0
Release:        %mkrel 1
Summary:        Graphical interface for controlling monitor settings
License:        GPL-2.0
Group:          Monitoring
URL:            https://ddcutil.com/
Source0:        https://github.com/rockowitz/ddcui/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  pkgconfig(ddcutil)
BuildRequires:  pkgconfig(glib-2.0)

%description
Graphical interface for controlling monitor settings.

%prep
%autosetup -p1

%build
%cmake -DUSE_QT6:BOOL=ON
%cmake_build

%install
%cmake_install

%files
%doc %{_docdir}/ddcui
%{_bindir}/ddcui
%{_modulesloaddir}/ddcui.conf
%{_datadir}/applications/ddcui.desktop
%{_iconsdir}/hicolor/*/apps/ddcui.*
%{_metainfodir}/ddcui.appdata.xml
%{_mandir}/man1/ddcui.1*
