Name:           debootstrap
Version:        1.0.140
Release:        %mkrel 1
Summary:        Bootstrap a basic Debian or Debian derivative system
License:        MIT
Group:          System/Packaging
Url:            https://anonscm.debian.org/gitweb/?p=d-i/debootstrap.git
Source0:        https://ftp.debian.org/debian/pool/main/d/debootstrap/%{name}_%{version}.tar.gz
BuildArch:      noarch

%description
debootstrap is used to create a Debian or Debian derivative base system from
scratch, without requiring the availability of dpkg or apt. It does this by
downloading .deb files from a mirror site, and carefully unpacking them into a
directory which can eventually be chrooted into.

%prep
%setup -q -n %{name}
perl -pi -e 's/ -o root -g root//' Makefile
perl -pi -e 's/^(\s+)(chown.*)$/$1#$2/g' Makefile
perl -pi -e 's/^(all:.*?)(\S+.tar.gz)$/$1/g' Makefile
perl -pi -e 's,qw(%{_prefix}/lib /lib),qw(%{_libdir} /%{_lib}),' functions

%build
%make_build

%install
%make_install
install -D -m 644 %{name}.8 %{buildroot}%{_mandir}/man8/%{name}.8

%files
%doc TODO
%{_sbindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man8/%{name}.8*
