Name:		detox
Version:	2.0.0
Release:	%mkrel 1
Summary:	Utility to replace problematic characters in file names
Group:		File tools
License:	BSD
# http://detox.sourceforge.net/
URL:		https://github.com/dharple/detox
Source0:	https://github.com/dharple/detox/releases/download/v%{version}/%{name}-%{version}.tar.bz2

BuildRequires:	bison
BuildRequires:	flex

%description
Detox is a utility designed to clean up file names. It replaces difficult to
work with characters, such as spaces, with standard equivalents. It will also
clean up file names with UTF-8 or Latin-1 (or CP-1252) characters in them.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

rm -rf %{buildroot}%{_sysconfdir}/detoxrc.sample
rm -rf %{buildroot}%{_docdir}/detox/{BUILD.md,LICENSE}

%files
%doc CHANGELOG.md README.md THANKS.md
%license LICENSE
%{_bindir}/%{name}
%{_bindir}/inline-%{name}
%{_datadir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_mandir}/man5/detox*
%{_mandir}/man1/detox*
%{_mandir}/man1/inline-%{name}.1.*
