Summary: A window matching tool
Name: devilspie
Version: 0.23
Release: %mkrel 4
License: GPLv2+ and LGPLv2
Group: Graphical desktop/GNOME
URL: https://www.burtonini.com/
Source0: https://www.burtonini.com/computing/%{name}-%{version}.tar.xz
BuildRequires: pkgconfig(libwnck-3.0)
BuildRequires: glib2-devel >= 2.10
BuildRequires: intltool
BuildRequires: gnome-common

%description
A window-matching utility, inspired by Sawfish's "Matched Windows" option and
the lack of the functionality in Metacity. Metacity lacking window matching is
not a bad thing -- Metacity is a lean window manager, and window matching does
not have to be a window manager task.

Devil's Pie can be configured to detect windows as they are created, and match
the window to a set of rules. If the window matches the rules, it can perform a
series of actions on that window. For example, I make all windows created by
X-Chat appear on all workspaces, and the main Gkrellm1 window does not appear
in the pager or task list.

%prep
%setup -q

%build

%configure

%make_build LIBS=-lX11
%check
make check LIBS=-lX11

%install
rm -rf $RPM_BUILD_ROOT %name.lang

%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README* TODO
%{_bindir}/*
%{_mandir}/*/*




