Summary:    Display file system space usage using graph and colors
Name:       dfc
Version:    3.1.1
Release:    %mkrel 4
License:    BSD-like
Group:      System/Base
URL:        http://projects.gw-computing.net/projects/dfc
Source0:    http://projects.gw-computing.net/attachments/download/39/dfc-%{version}.tar.gz
BuildRequires:	cmake

%description
Display file system space usage using graph and colors.

%prep
%setup -q

%build
%cmake -DSYSCONFDIR=%{_sysconfdir}
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-man

%files -f %{name}.lang
%doc AUTHORS.md HACKING.md LICENSE README.md CHANGELOG.md TRANSLATORS.md
%{_bindir}/dfc
%{_mandir}/man1/dfc.1*
%config(noreplace) %{_sysconfdir}/xdg/dfc/dfcrc
%config(noreplace) %{_sysconfdir}/xdg/dfc/fr/dfcrc
%config(noreplace) %{_sysconfdir}/xdg/dfc/nl/dfcrc
