%define gegl_ver_major	0.4

Name:		dibuja
Version:	0.24.0
Release:	%mkrel 1
Summary:	Gtk based basic paint program
License:	GPLv3
Group:		Graphics/Utilities
Url:		https://launchpad.net/dibuja
Source0:	https://launchpad.net/dibuja/trunk/%{version}/+download/%{name}-%{version}.tar.gz

BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(gegl-0.4) >= %{gegl_ver_major}
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gexiv2)

%description
Dibuja is a program for quick small editing and drawing.

%prep
%autosetup -p1

%build
%configure --with-gtk3
%make_build

%install
%make_install

%find_lang %{name}

find %{buildroot} -name '*.la' -delete

%files -f %{name}.lang
%doc %{_docdir}/%{name}/
%license COPYING
%{_bindir}/%{name}
%{_libdir}/gegl-%{gegl_ver_major}/*.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.*
