Name:		diff-pdf
Version:	0.5.2
Release:	%mkrel 1
Summary:	A simple tool for visually comparing two PDF files
Group:		File tools
License:	GPLv2+ and LGPLv2+
URL:		https://vslavik.github.io/diff-pdf/
Source0:	https://github.com/vslavik/diff-pdf/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	automake
BuildRequires:	wxgtk-devel
BuildRequires:	pkgconfig(poppler)
BuildRequires:	pkgconfig(poppler-glib)

%description
A simple tool for visually comparing two PDF files.

%prep
%autosetup -p1

%build
./bootstrap
%configure
%make_build

%install
%make_install

%files
%license COPYING COPYING.icons
%doc AUTHORS README.md
%{_bindir}/%{name}
