# Release versions are part of the git tag
%global origrel 1

Name:		distribution-gpg-keys
Version:	1.106
Release:	%mkrel 1
Summary:	GPG keys of various Linux distributions
Group:		System/Packaging
License:	CC0-1.0
URL:		https://github.com/xsuchy/distribution-gpg-keys
Source0:	https://github.com/xsuchy/distribution-gpg-keys/archive/%{name}-%{version}-%{origrel}.tar.gz
Source1:	RPM-GPG-KEY-Mageia
BuildArch:	noarch

%description
GPG keys used by various Linux distributions to sign packages.


%prep
%autosetup -p1 -n %{name}-%{name}-%{version}-%{origrel}

# force updated Mageia key
cp -af %{SOURCE1} keys/mageia/

%build
#nothing to do here


%install
mkdir -p %{buildroot}%{_datadir}/%{name}/
cp -a keys/* %{buildroot}%{_datadir}/%{name}/

# We don't want to package COPR GPG keys
rm -rf %{buildroot}%{_datadir}/%{name}/copr

%files
%license LICENSE
%doc README.md SOURCES.md
%{_datadir}/%{name}/
