%define debug_package %{nil}

Name:           dlang-tools
Version:        2.094.1
Release:        %mkrel 2
Summary:        D Programming Language Tools
License:        BSL-1.0, PD
Group:          Development/Other
Url:            https://github.com/D-Programming-Language/tools
Source:         https://github.com/D-Programming-Language/tools/archive/v%{version}.tar.gz
BuildRequires:  curl-devel
BuildRequires:  dmd >= 2.069.0
BuildRequires:  phobos-devel >= 2.069.0
BuildRequires:  phobos-static-devel >= 2.069.0
ExclusiveArch:  %{ix86} x86_64

%description
Tools for the D programming language.

%prep
%setup -q -n tools-%{version}

%build
mkdir -p ../dmd/src
touch ../dmd/src/osmodel.mak
make -f posix.mak \
	DMD=dmd \
	%{?_smp_mflags}

%install
make -f posix.mak install \
	DMD=dmd \
	INSTALL_DIR=%{buildroot}%{_prefix} %{?_smp_mflags}
for i in catdoc changed checkwhitespace chmodzip contributors detab dget rdmd_test tolf ; do
	rm -f "%{buildroot}%{_bindir}/$i"
done

%files
%{_bindir}/ddemangle
%{_bindir}/dustmite
%{_bindir}/rdmd
%{_bindir}/updatecopyright
