Name:       dmg2img
Version:    1.6.7
Release:    %mkrel 11
Summary:    Converts dmg archives to HFS+ images
Group:      Archiving/Compression
License:    GPLv2
URL:        http://vu1tur.eu.org/tools/
Source:     http://vu1tur.eu.org/tools/%{name}-%{version}.tar.gz
Patch0:     dmg2img-1.6.2-nostrip.patch
Patch1:     f16f247d30f868e84f31e24792b4464488f1c009.patch
BuildRequires: pkgconfig(openssl)
BuildRequires: libbzip2-devel

%description
DMG2IMG is a tool which allows converting Apple compressed dmg
archives to standard (hfsplus) image disk files.  This tool handles
z-lib compressed dmg images.

%prep
%autosetup

%build
%make_build CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
install -m755 %{name} %{buildroot}%{_bindir}/
install -m755 vfdecrypt %{buildroot}%{_bindir}/
install -m644 vfdecrypt.1 %{buildroot}%{_mandir}/man1/

%files
%{_bindir}/%{name}
%{_bindir}/vfdecrypt
%{_mandir}/man1/vfdecrypt.1*
%doc COPYING README
