%define oname  docbook2X

Name: 		docbook2x
Version: 	0.8.8
Release:	%mkrel 17
Summary:	A docbook to GNU Texinfo format converter
License:	MIT
Group:		Publishing
Url:		https://docbook2x.sourceforge.net/
Source0:	https://sourceforge.net/projects/docbook2x/files/docbook2x/%{version}/docbook2X-%{version}.tar.bz2
BuildRequires:	libxslt-proc
BuildRequires:	perl(XML::SAX)
Requires:	    libxslt-proc

%description
Converts DocBook documents into the traditional Unix man page format
and the GNU Texinfo format.

%prep
%setup -q -n %{oname}-%{version}

%build
# to avoid clashing with docbook2* from docbook-utils
%configure --program-transform-name='s/^docbook2/docbook2x-/'
%make_build

%install
%make_install

mv %{buildroot}%{_docdir}/docbook2X %{buildroot}%{_docdir}/docbook2x
rm -rf %{buildroot}%{_datadir}/doc/%{name}

%files
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO doc/*.html
%{_bindir}/db2x_manxml
%{_bindir}/db2x_texixml
%{_bindir}/db2x_xsltproc
%{_bindir}/docbook2x-man
%{_bindir}/docbook2x-texi
%{_bindir}/sgml2xml-isoent
%{_bindir}/utf8trans
%{_datadir}/docbook2X
%{_mandir}/man1/*
%{_infodir}/*
