Summary:	DokuWiki auth Plugins
Name:		dokuwiki-plugin-auth
Version:	20201204
Release:	%mkrel 3
License:	GPL v2
Group:		Networking/WWW
Source0:    https://github.com/pief/authhttp/zipball/7d3fbc0#/dokuwiki-plugin-authhttp.zip
Source4:    https://github.com/pief/authsplit/zipball/3ab425e#/dokuwiki-plugin-authsplit.zip
Source5:    https://github.com/cosmocode/dokuwiki-plugin-oauth/zipball/8c4b678#/dokuwiki-plugin-oauth.zip
Source6:    https://github.com/rztuc/dokuwiki-plugin-authchained/zipball/c598558#/dokuwiki-plugin-authchained.zip
Source7:	https://github.com/danpopp/dokuwiki-google-authenticator-twofactor/zipball/0396253#/dokuwiki-plugin-google-authenticator-twofactor.zip
Source9: https://github.com/Eole-dev/authphpbb3/zipball/d6c40d6#/dokuwiki-plugin-authphpbb3.zip
Source10:   https://github.com/esn-org/authplaincas/zipball/023e1cc#/dokuwiki-plugin-authplaincas.zip
Source13:   https://github.com/pitbulk/dokuwiki-saml/zipball/6161c73#/dokuwiki-plugin-saml.zip

URL:		https://www.dokuwiki.org/plugins?plugintype=128
BuildRequires:	unzip
Requires:	dokuwiki
BuildArch:	noarch
AutoReqProv:    no


%define		dokuconf	/etc/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins
%define		find_lang 	%{_usrlibrpm}/dokuwiki-find-lang.sh %{buildroot}

%description
This installs the dokuwiki authentication plugins

%prep
%setup -qc
%setup -q -T -D -a4 
%setup -q -T -D -a5 
%setup -q -T -D -a6 
%setup -q -T -D -a7 
%setup -q -T -D -a9 
%setup -q -T -D -a10 
%setup -q -T -D -a13 

%install
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a cosmocode-dokuwiki-plugin-oauth-*/ $RPM_BUILD_ROOT%{plugindir}/oauth
cp -a rztuc-dokuwiki-plugin-authchained-*/ $RPM_BUILD_ROOT%{plugindir}/authchained 
cp -a esn-org-authplaincas-*/ $RPM_BUILD_ROOT/%{plugindir}/authplaincas
cp -a pief-authhttp-*/ $RPM_BUILD_ROOT/%{plugindir}/authhttp
cp -a pief-authsplit-*/ $RPM_BUILD_ROOT/%{plugindir}/authsplit
cp -a pitbulk-dokuwiki-saml-*/ $RPM_BUILD_ROOT/%{plugindir}/saml
cp -a Eole-dev-authphpbb3-*/ $RPM_BUILD_ROOT/%{plugindir}/authphpbb3


rm -f $RPM_BUILD_ROOT%{plugindir}/*/{ChangeLog,.gitignore}

#%find_lang %{name}.lang

%post
# force css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%files
%dir %{plugindir}
%{plugindir}/*
