#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           dolphin-plugins
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Plugins for dolphin
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2 and GFDL
Url:            https://apps.kde.org/dolphin/
Source:         https://download.kde.org/stable/release-service/%version/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Concurrent)

BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6TextEditor)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Solid)

BuildRequires:  cmake(DolphinVcs)

Requires:       dolphin

%description
This package contains some scripts plugins for dolphin.

%files -f %name.lang
%_kf6_categoriesdir/dolphingit.*categories
%_qt6_plugindir/dolphin/vcs/
%_kf6_plugindir/kfileitemaction/makefileactions.so
%_kf6_plugindir/kfileitemaction/mountisoaction.so
%_kf6_datadir/config.kcfg/*.kcfg
%_kf6_metainfodir/org.kde.dolphin-plugins.metainfo.xml

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name --all-name
