Summary:	A versatile resource statistics tool
Name:		dool
Version:	1.3.1
Release: 	%mkrel 1
License: 	GPL-3.0
Group: 		System/Kernel and hardware
URL: 		https://github.com/scottchiefbaker/dool
Source: 	https://github.com/scottchiefbaker/dool/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch: 	noarch

Obsoletes:	dstat < 0.7.4-4
Provides:	dstat = %{version}-%{release}

%description
Dool is a command line tool to monitor many aspects of your system:
CPU, Memory, Network, Load Average, etc.
It also includes a robust plug-in architecture to allow monitoring
other system metrics.

Dool is a Python3 compatible fork of Dstat (https://github.com/dstat-real/dstat).

%prep
%autosetup

%build
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*
