Summary:	Utilities to create and check MS-DOS FAT filesystems
Name:		dosfstools
Version:        4.2
Release:        %mkrel 2
License:	GPLv3+
Group:		File tools
URL:		https://github.com/dosfstools/dosfstools
Source0:	https://github.com/%{name}/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
Provides:	mkdosfs-ygg = %{version}

%description
Inside of this package there are two utilities to create and to
check MS-DOS FAT filesystems on either harddisks or floppies under
Linux.  This version uses the enhanced boot sector/superblock
format of DOS 3.3+ as well as provides a default dummy boot sector
code.

%prep
%setup -q

%build
%configure --enable-compat-symlinks
%make_build PREFIX=%{_prefix} CFLAGS="%{optflags} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"

%install
%make_install PREFIX=%{_prefix} SBINDIR=%{_sbindir}
rm -rf %{buildroot}%{_docdir}/%{name}

%files
%doc ChangeLog* doc/*
%{_sbindir}/mkdosfs
%{_sbindir}/mkfs.fat
%{_sbindir}/mkfs.msdos
%{_sbindir}/mkfs.vfat
%{_sbindir}/fatlabel
%{_sbindir}/fsck.fat
%{_sbindir}/fsck.msdos
%{_sbindir}/fsck.vfat
%{_sbindir}/dosfsck
%{_sbindir}/dosfslabel
%{_mandir}/man8/*
