%define version 2.25.5
%define		    name drakfirsttime

Summary:	    The Mageia Linux First Time Wizard
Name:		    %{name}
Version:	    %{version}
Release:        %mkrel 2
# https://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/ftw/
Source0:	    %{name}-%{version}.tar.lzma
URL:		    http://qa.mageia.com/
License:	    GPL
Group:		    System/Configuration/Other
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	    drakxtools >= 12.77.1, perl-MDK-Common >= 1.1.17-3mdk, perl-libwww-perl >= 5.800-1mdk
# for connection test:
Requires:	    libdrakx-net
Requires:		xinitrc >= 2.4.9-1mdk
Recommends:		hcl
Requires:      xrandr mozilla-firefox
Requires:	drakx-installer-matchbox
BuildRequires:  gettext perl-devel perl-MDK-Common-devel
BuildRequires:  firefox-ext-r-kiosk
BuildArch:		noarch

%description
The First Time Wizard is a config tool to help a Mageia Linux user to
set up some basic things, like registration at Mageia the first time 
the system boots.

%prep
rm -rf %{buildroot}

%setup -q

%build

%install
rm -rf %{buildroot}
%make_install PREFIX=%buildroot%_prefix
# (tv) install r-kiosk extension:
mkdir -p %buildroot%_datadir/%name/firefox/drakfirsttime/extensions
cp -a %_libdir/firefox-*/extensions/* %buildroot%_datadir/%name/firefox/drakfirsttime/extensions

mkdir -p %buildroot%_prefix/bin/

#install lang
%{find_lang} drakfirstboot

%clean
rm -rf %{buildroot}

%files -f drakfirstboot.lang
%defattr(-,root,root)
%doc README COPYING NEWS
%{_sysconfdir}/X11/xsetup.d/??firstboot.xsetup
%_bindir/*
%config(noreplace) %{_sysconfdir}/sysconfig/firstboot
%{_datadir}/drakfirsttime



