%global debug_package %nil

Summary:	Live systems generation and copying tool
Name:		draklive
Version:	2.6
Release:	%mkrel 6
Source0:	%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		System/Configuration
Url:		https://wiki.mandriva.com/en/draklive
%ifnarch %arm aarch64
Requires:	syslinux grub
%endif
Requires:	xorriso mgatools
Requires:	curl rsync dosfstools mtools patch squashfs-tools urpmi
Recommends:	draklive-config
Recommends:	drakx-installer-images drakx-installer-rescue
Recommends:	x11-server-xnest mkisofs

%description
This tool lets you generate %{_vendor} live systems.

%prep
%setup -q

%install
install -D -m 0755 %{name} %{buildroot}%{_sbindir}/%{name}
mkdir -p %{buildroot}%{perl_vendorlib}/MDV/Draklive/
install -D -m 0644 lib/MDV/Draklive/*.pm %{buildroot}%{perl_vendorlib}/MDV/Draklive/

%files
%doc NEWS
%{_sbindir}/%{name}
%{perl_vendorlib}/MDV/Draklive/*
