Name:		draksnapshot
Summary:	Snapshot utility
Group:		Archiving/Backup
Version:	0.20.5
Release:	%mkrel 1
License:	GPL
URL:	   	https://www.mandrivalinux.com/
Source0:	%{name}-%{version}.tar.xz
BuildRequires:	gettext 
BuildRequires:	perl_checker
BuildRequires:	intltool
BuildArch: 	noarch
Requires:	rsnapshot
Requires:	drakxtools >= 10.59

%description
This is a backup program that uses rsync to take backup snapshots of
filesystems.  It uses hard links to save space on disk.

%prep
%setup -q

%build
%make_build
perl -pi -e 's!my \$ver = 1;!my \$ver = '"'%version-%release'"';!' draksnapshot-applet

%install
%make_install PREFIX=%buildroot

# so that we remove cron entry on removal:
mkdir %{buildroot}%_sysconfdir/cron.d
touch %{buildroot}%_sysconfdir/cron.d/rsnapshot

%{find_lang} %{name}

%files -f %name.lang
%ghost %_sysconfdir/cron.d/rsnapshot
%_bindir/*
%_datadir/%{name}
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png
%_sbindir/*
%_sysconfdir/xdg/autostart/autostart-draksnapshot.desktop
/usr/libexec/draksnapshot-config
/usr/share/polkit-1/actions/org.mageia.draksnapshot-config.policy
%perl_vendorlib/MDV
