%define debug_package %{nil}

Summary: DrakX binaries
Name: drakx-installer-binaries
Version: 2.62
Release: %mkrel 3
Source0: %{name}-%{version}.tar.xz
# NO PATCH ALLOWED
Patch0:	kmod-log.diff
# FIXME/TODO: TO KILL ONCE Cauldron/mga9 reopen:
Patch2:	udevadm-settle.diff
License: GPL
Group: Development/Other
Url: https://wiki.mageia.org/en/Stage_One_install
BuildRequires: kernel-desktop-latest
BuildRequires: ldetect-devel >= 0.12.8
BuildRequires: ldetect-lst >= 0.1.324
BuildRequires: ldetect-lst-devel
BuildRequires: pkgconfig(libkmod) >= 3-3
BuildRequires: pkgconfig(libpci) >= 3.1.7-2
BuildRequires: sysfsutils-devel
BuildRequires: pkgconfig(slang)
BuildRequires: pkgconfig(libnewt)
BuildRequires: pkgconfig(zlib)
BuildRequires: flex 
BuildRequires: byacc 
BuildRequires: pkgconfig(libpci)
BuildRequires: mageia-release-common >= 10-0.1

#- not requiring the same version otherwise releasing drakx-installer-images takes a day
#- (restore this when the build system can build a pack of packages)
Requires: ldetect-lst

%description
binaries needed to build %{_vendor} installer (DrakX)

%package probe
Summary: DrakX probe-modules tool
Group: Development/Other

%description probe
probe-modules tool needed to build %{_vendor} live

%prep
%setup -q
%autopatch -p1

%build
# fixme
sed -i 's/-Wall/-Wno-error=address/g' mdk-stage1/Makefile*
%make_build -C mdk-stage1

%install
cd mdk-stage1
dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
install init stage1 rescue-gui dhcp-client probe-modules $dest
if [ -e pcmcia/pcmcia_probe.o ]; then
  install -m 644 pcmcia/pcmcia_probe.o $dest
fi


%files
%exclude %{_libdir}/%name/probe-modules
%{_libdir}/%name

%files probe
%{_libdir}/%name/probe-modules
