Summary:	DRBL (Diskless Remote Boot in Linux) package
Name:		drbl
Version:	5.3.10
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/Other
URL:		https://drbl.org/
Source0:	https://free.nchc.org.tw/drbl-core/pool/drbl/unstable/drbl/drbl_%{version}.orig.tar.xz
BuildArch:	noarch

%description
DRBL (Diskless Remote Boot in Linux).
Description:
DRBL provides a diskless or systemless environment for client machines.
It works on Debian, Ubuntu, Mageia, Red Hat, Fedora, CentOS and OpenSuSE.
DRBL uses distributed hardware resources and makes it possible for
clients to fully access local hardware.
It also includes Clonezilla, a partition and disk cloning utility similar
to Symantec Ghost(TM) or True Image(TM).

For more details, check
1. https://drbl.org or https://drbl.sourceforge.net (English)
2. https://drbl.nchc.org.tw (Traditional Chinese - Taiwan) 

%prep
%setup -q

%build
%make_build all

%install
%make_install

%files
%doc doc/*
%{_sbindir}/*
%{_bindir}/*
%{_datadir}/%{name}
%{_sysconfdir}/%{name}
%{_datadir}/gdm/themes/drbl-gdm
