Name:           driftnet
Version:        1.5.0
Release:        %mkrel 2
Group:          Security
Summary:        picks out and displays images from network traffic
License:        BSD
URL:            https://github.com/deiv/driftnet
Source0:        https://github.com/deiv/driftnet/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         driftnet-default_cflags.patch
BuildRequires:  pkgconfig(cmocka)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpcap)
BuildRequires:  pkgconfig(libwebsockets)
BuildRequires:  giflib-devel

%description
Driftnet watches network traffic, and picks out and displays JPEG and GIF
images for display. It is a horrific invasion of privacy and shouldn't be used
by anyone anywhere. It can also extract MPEG audio data from the network and
play it. If you live in a house with thick walls, this may be a useful way to
find out about your neighbours' musical taste.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%files
%doc Changelog CREDITS README.md TODO
%license COPYING
%{_bindir}/driftnet
%{_datadir}/driftnet/
%{_mandir}/man1/driftnet.1*
