%define debug_package %{nil}

Name:           dust
Version:        0.5.1
Release:        %mkrel 2
Summary:        A more intuitive version of du in rust
Group:          Text tools
License:        ASL
URL:            https://github.com/bootandy/dust
Source0:        https://github.com/bootandy/dust/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        dust-cargo-vendor-%{version}.tar.xz
Source2:        cargo.config

# Use this script to get the vendor files after you've updated the version
# It will automatically download the source package and create the vendor
# file necessary to compile offline
# (kekepower) 2020-02-27
Source100:      pack-cargo-vendor.sh

BuildRequires:  cargo >= 1.34.0

%description
du + rust = dust. Like du but more intuitive.

%prep
%autosetup

%__mkdir_p .cargo
cp %{S:2} .cargo/config
tar xf %{S:1}

%build
cargo build --release

%install
%__mkdir_p %{buildroot}%{_bindir}
cp target/release/dust %{buildroot}%{_bindir}/

%files
%doc LICENSE README.md
%{_bindir}/dust
