Summary: DV grabber through the FireWire interface
Name: dvgrab
Version: 3.5
Release: %mkrel 14
License: GPLv2+
URl: https://www.kinodv.org/
Group: Video/Editors and Converters
Source0: https://prdownloads.sourceforge.net/kino/%{name}-%{version}.tar.gz
# https://github.com/ddennedy/dvgrab/commit/8dd729f2cf4cc5b99ad2e3961419cf71d2dfb843.patch
Patch1:  dvgrab-gcc6.patch
BuildRequires: pkgconfig(libavc1394)
BuildRequires: pkgconfig(libiec61883)
BuildRequires: pkgconfig(libraw1394)
BuildRequires: pkgconfig(libdv)
BuildRequires: libquicktime-devel
BuildRequires: pkgconfig(libjpeg)

%description
Dvgrab is a small utility that grabs AVI-2 video from a DV camera using the
IEEE-1394 bus (aka FireWire).

%prep
%autosetup -p1
perl -p -i -e 's/quicktime\/quicktime.h/lqt\/quicktime.h/g' filehandler.h

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog README TODO
%_bindir/*
%_mandir/man1/*
