%define _enable_debug_packages %{nil}
%define debug_package %{nil}

Name:		easymp3gain
Version:	0.5.0
Release:	%mkrel 15
License:	GPLv2
Summary:	Graphical user interface for MP3Gain, AACGain and VorbisGain (GTK2)
Group:		Sound/Utilities
URL:		https://easymp3gain.sourceforge.net/
Source0:	https://download.sourceforge.net/%{name}/%{name}-%{version}.src.tar.gz
Patch1:		easymp3gain-0.5.0-desktop.patch
Patch3:		fix_missing_LazarusDir.diff
Patch4:		fix_missing_overload_on_AddTask.diff
BuildRequires:	fpc
BuildRequires:	lazarus
BuildRequires:	glib2-devel
BuildRequires:	gtk2-devel
Requires:	mp3gain
Requires:	vorbisgain

%description
easyMP3Gain is a graphical user interface for MP3Gain, AACGain and VorbisGain.

%prep
%setup -q

%ifarch %{ix86}
sed -i s/x86_64/i386/ easymp3gain.lpi
%endif
%ifarch %{arm}
sed -i s/x86_64/arm/ easymp3gain.lpi
%endif
%ifarch aarch64
sed -i s/x86_64/aarch64/ easymp3gain.lpi
%endif

%patch -P 1 -p0
%patch -P 3 -p1
%patch -P 4 -p1

%build
%__make all

%install
./install.sh DESTDIR=%{buildroot}

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
