%define fname	libeatmydata

Summary:	A small wrapper to disable fsync and related functions
Name:		eatmydata
Version:	105
Release:	%mkrel 5
Group:		File tools
License:	GPLv3
URL:		https://launchpad.net/%{fname}
Source0:	https://launchpad.net/%{fname}/trunk/release-%{version}/+download/%{fname}-%{version}.tar.gz
Patch0:		fix-it.patch
Provides:	%{fname}

%description
libeatmydata is a small LD_PRELOAD library designed to (transparently) disable
fsync (and friends, like open(O_SYNC)). This has two side-effects: making
software that writes data safely to disk a lot quicker and making this software
no longer crash safe.

DO NOT use libeatmydata on software where you care about what it stores. It's
called libEAT-MY-DATA for a reason.

%prep
%setup -q -n %{fname}-%version
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc README COPYING
%{_bindir}/*
%{_libdir}/*
%{_libexecdir}/eatmydata.sh

