Summary:	Simple ecap samples
Name:		ecap-samples
Version:	1.0.0
Release:	%mkrel 5
License:	BSD
Group:		Networking/Other
URL:		http://www.ecap.org
Source0:	https://www.measurement-factory.com/tmp/ecap/ecap_adapter_sample-%{version}.tar.gz
Patch0:		ecap_adapter_sample-1.0.0-fix_build.patch
BuildRequires:	pkgconfig(libecap)
BuildRequires:	ecap

%description
The sample contains three basic adapters. Please see the README file in the tarball
for information about each adapter. The change log for the sample is also available.

%prep
%setup -qn ecap_adapter_sample-%{version}
%autopatch -p1

# make autoreconf happy
sed -i -e 's,\(^AM_INIT_AUTOMAKE(\[\),\1foreign ,' configure.in

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%files
%{_libdir}/ecap_adapter_*
