%define rel	20

Summary:	User interface for the connman network connection manager
Name:		econnman
Version:	1.1
Release:	%mkrel %rel
License:	LGPLv2+
Group:		Graphical desktop/Enlightenment
URL:		https://www.enlightenment.org/
Source:		%{name}-%{version}.tar.gz
Patch1:		econnman-1.1-fix-desktop.patch
Patch2:		econnman-1.1-python3.patch
BuildArch:	noarch
BuildRequires:	efl
BuildRequires:	pkgconfig(eina)
BuildRequires:	pkgconfig(python3)

Requires:	connman
Requires:	python3-efl

%description
Econnman is a user interface for the connman network
connection manager.

%prep
%setup -q
%autopatch -p1

%build
export PYTHON=%{__python3}
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS COPYING README
%{_bindir}/%{name}-bin
%{_datadir}/applications/econnman-agent.desktop
%{_datadir}/applications/econnman.desktop
%{_datadir}/%{name}/theme/default.edj
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/theme
