Name:    ecrire
Version: 0.2.0
Release: %mkrel 2
Summary: A text editor based on the Enlightenment Foundation Library
License: BSD

Group:   Graphical desktop/Enlightenment
Source:  https://download.enlightenment.org/rel/apps/ecrire/%{name}-%{version}.tar.xz
URL:     https://www.enlightenment.org/

BuildRequires: pkgconfig(pkg-config)
BuildRequires: pkgconfig(efl)
BuildRequires: efl
BuildRequires: meson
BuildRequires: ninja

Requires: efl

%description
Ecrire is a basic text editor written in EFL for the Enlightenment
desktop environment and long term also Tizen.


%prep
%setup -q

%build
%meson
%meson_build


%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_bindir}/ecrire
%{_datadir}/ecrire/
%{_datadir}/applications/ecrire.desktop
%{_iconsdir}/ecrire.*
%{_iconsdir}/hicolor/*/apps/ecrire.{png,svg}
