%define git	20230215
%define rel	1

Name:		edid-decode
Version:	0
Release:	%mkrel 0.%{git}.%{rel}
# git clone git://linuxtv.org/edid-decode.git
# git archive --prefix=edid-decode-%%{git}/ HEAD | xz > ../edid-decode-%%{git}.tar.xz
Source:		edid-decode-%{git}.tar.xz
Url:		https://git.linuxtv.org/edid-decode.git/
Group:		Video/Utilities
Summary:	EDID parse tool
License:	MIT

%description
The edid-decode tool parses a given EDID from a file or stdin and
shows the contents on stdout. It handles both the regular video info
and the audio info often provided by HDMI displays.

%prep
%setup -q -n %{name}-%{git}
%autopatch -p1

%build
%make_build CFLAGS="%{optflags}"

%install
%makeinstall

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
