Name:		editres
Version:	1.0.9
Release:	%mkrel 1
Summary:	A dynamic resource editor for X Toolkit applications 
Group:		Development/X11
License:	MIT
URL:		https://xorg.freedesktop.org
Source:		https://www.x.org/releases/individual/app/%{name}-%{version}.tar.xz
Patch0:		editres-1.0.7-fix-str-fmt.patch

BuildRequires:	pkgconfig(x11) >= 1.0.0
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(xmu) >= 1.0.0
BuildRequires:	pkgconfig(xt) >= 1.0.0
BuildRequires:	pkgconfig(xaw7) >= 1.0.1
BuildRequires:	x11-util-macros >= 1.0.1

%description
Editres is a dynamic resource editor for X Toolkit applications.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files

%license COPYING
%{_bindir}/editres
%{_datadir}/X11/app-defaults/Editres
%{_datadir}/X11/app-defaults/Editres-color
%{_mandir}/man1/editres.1*
