Name:           eglexternalplatform
Version:        1.2.1
Release:        %mkrel 1
Summary:        EGL External Platform Interface headers
Group:          System/Libraries

License:        MIT
URL:            https://github.com/NVIDIA
Source0:        %url/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
# Header only pkg
BuildArch:      noarch
BuildRequires:  meson

%description
EGL External Platform Interface headers.

%package        devel
Summary:        Development files for %{name}
Group:          Development/C++

%description    devel
The %{name}-devel package contains the header files for
developing applications that use %{name}.


%prep
%autosetup

%build
%meson

%install
%meson_install

%files devel
%doc README.md samples
%license COPYING
%{_includedir}/*
%{_datadir}/pkgconfig/eglexternalplatform.pc
