Name:		elograf
Summary:	Tool for control of nerd-dictation
Version:	0.6.0
Release:	%mkrel 2
Source0:	https://github.com/papoteur-mga/elograf/archive/%{version}.tar.gz
URL:		https://github.com/papoteur-mga/elograf
Group:		Accessibility
License:	GPLv3
BuildArch:	noarch
BuildRequires: python3-devel
BuildRequires: pyproject-rpm-macros
BuildRequires: python3-qt6-devel
BuildRequires: qttools6
Requires:	python3-qt6-core
Requires:	python3-qt6-gui
Requires:	python3-qt6-widgets
Requires:	python3dist(ujson)
Requires:	python3dist(urllib3)
Requires:	nerd-dictation

%description
Elograf provides commands in systray and a configuration dialog for choosing
the model for nerd-dictation.
nerd-dictation is an offline Speech to Text for Desktop, using Vosk-api. 

%prep
%autosetup -n %{name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files eloGraf

%files -f %{pyproject_files}
%doc /usr/share/doc/elograf/README
%license /usr/share/doc/elograf/LICENSE
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/scalable/apps/*
%{_datadir}/applications/elograf.desktop
