Name:           emerald-themes
Version:        0.8.18
Release:        %mkrel 2
Summary:        Themes for Emerald, a window decorator for Compiz
Group:          System/X11
License:        GPLv2+
URL:            https://github.com/compiz-reloaded/emerald-themes
Source0:        https://github.com/compiz-reloaded/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  libtool
Requires:       compiz >= 1:0.8.18
Requires:       emerald >= 0.8.12.1

%description
Theme for Emerald, themeable window decorator for the Compiz window manager/compositor.

%prep
%autosetup

%build
NOCONFIGURE=1 ./autogen.sh
%configure
%make_build

%install
%make_install

%files
%doc NEWS
%license COPYING
%{_datadir}/emerald/themes/*
