%define	name	envision
%define version 0.1.0.0
%define svn     r65482
%define rel     1
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

Summary: 	Pdf reader
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Group: 		canard
URL: 		https://www.enlightenment.org/
%if %svn
Source:     %name-%svn.tar.xz
%else
Source: 	%name-%version.tar.bz2
%endif
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: elementary-devel
BuildRequires: eina-devel
BuildRequires: ecore-devel
BuildRequires: evas-devel
BuildRequires: edje-devel
BuildRequires: epdf


%description
%name is an ewl app that is used for reading PDF.
This package is part of the Enlightenment DR17 desktop shell.

%prep
%if %svn
%setup -qn %name
%else
%setup -q
%endif

%build
%if %svn
NOCONFIGURE=1 ./autogen.sh
%endif
%configure  --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%make_install

find %buildroot -name *.la | xargs rm

%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/%{name}
%{_bindir}/%{name}_ql
%{_libdir}/%{name}_ql.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/default.edj
%{_datadir}/icons/%{name}.png
