%define	name	epdf
%define version 0.0.1
%define svn     r65482
%define rel     1
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

Summary: 	Pdf reader
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPLv2
Group: 		Office
URL: 		https://www.enlightenment.org/
%if %svn
Source:     %name-%svn.tar.xz
%else
Source: 	%name-%version.tar.bz2
%endif
Patch0:     epdf-fix-missing-lib.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: eina-devel
BuildRequires: jpeg-devel

%description
%{name} is an enlightment app that is used for reading PDF.
This package is part of the Enlightenment DR17 desktop shell.

%prep
%if %svn
%setup -qn %name
%else
%setup -q
%endif
%patch -P 0 -p1

%build
%if %svn
NOCONFIGURE=1 ./autogen.sh
%endif
%configure  --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%make_install

find %buildroot -name *.la | xargs rm

%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS COPYING COPYING.LESSER LICENCE README
%{_bindir}/%{name}_evas_test
%{_includedir}/%{name}
%{_libdir}/lib%{name}.*
%{_libdir}/pkgconfig/%{name}.pc
