%global realname basho_stats
%global upstream basho


Name:		erlang-%{realname}
Version:	1.1.0
Release:	%mkrel 2
BuildArch:	noarch
Summary:	Basic Erlang statistics library
Group:          Development/Tools
License:	ASL 2.0
URL:		https://github.com/%{upstream}/%{realname}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
Patch1:		erlang-basho_stats-0001-We-still-do-not-use-eqc-for-checking.patch
BuildRequires:	erlang-rebar

%description
Basic Erlang statistics library.


%prep
%autosetup -p1 -n %{realname}-%{version}


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%{erlang_appdir}/
