%global realname bear
%global upstream folsom-project


Name:		erlang-%{realname}
Version:	0.9.0
Release:	%mkrel 1
BuildArch:	noarch
Summary:	A set of statistics functions for erlang
License:	ASL 2.0
URL:		https://github.com/%{upstream}/%{realname}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
Patch1:		erlang-bear-0001-Compile-w-o-export_all.patch
BuildRequires:	erlang-rebar
Group:          Development/Tools

%description
A set of statistics functions for Erlang. Currently bear is focused on use
inside the Folsom Erlang metrics library but all of these functions are generic
and useful in other situations.


%prep
%autosetup -p1 -n %{realname}-%{version}


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%license LICENSE
%doc README.md
%{erlang_appdir}/
