%global realname cf
%global upstream project-fifo

Name:     erlang-%{realname}
Version:  0.3.1
Release:  %mkrel 5
BuildArch: noarch
Summary:  Terminal color helper
Group:    Development/Other
License:  BSD
URL:      https://github.com/%{upstream}/%{realname}
Source0:  https://github.com/%{upstream}/%{realname}/archive/v%{version}.tar.gz#/%{realname}-%{version}.tar.gz
BuildRequires:  erlang-rebar
Requires:       erlang-rebar

%description
%{summary}.

%prep
%autosetup -n %{realname}-%{version}

%build
%{erlang_compile}

%install
%{erlang_install}

%check
%{erlang_test}

%files
%license LICENSE
%doc README.md
%{erlang_appdir}/

