%global realname cth_readable


Name:     erlang-%{realname}
Version:  1.5.1
Release:  %mkrel 1
BuildArch: noarch
Summary:  Common test hooks for more readable erlang logs
Group:    Development/Erlang
License:  BSD
URL:      https://github.com/ferd/cth_readable
Source0:  https://github.com/ferd/cth_readable/archive/v%{version}/%{realname}-v%{version}.tar.gz
BuildRequires:  erlang-rebar3
BuildRequires:  erlang-lager
# for tests
BuildRequires:	erlang-cf
BuildRequires:	erlang-proper

%description
%{summary}.

%prep
%autosetup -n %{realname}-%{version}

#drop bundled raber3
rm -rf rebar3

%build
#%%{erlang_compile}
%{_bindir}/rebar3 bare compile --paths ""

%install
%{erlang_install}

%if 0
%check
%{erlang_test}
%endif

%files
%license LICENSE
%doc README.md
%{erlang_appdir}/

