%global _disable_ld_no_undefined 1
%global realname erlsyslog
%global upstream lemenkov


Name:		erlang-%{realname}
Version:	0.8.0
Release:	%mkrel 3
Summary:	Syslog facility for Erlang
Group:		Development/Erlang
License:	MIT
URL:		https://github.com/%{upstream}/%{realname}
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
BuildRequires:	erlang-rebar
BuildRequires:	gcc


%description
Syslog facility for Erlang.


%prep
%setup -q -n %{realname}-%{version}


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%doc example
%{erlang_appdir}/
