%global realname eunit_formatters
%global upstream seancribbs


Name:     erlang-%{realname}
Version:  0.5.0
Release:  %mkrel 4
BuildArch: noarch
Summary:  Better output format for eunit test suites
Group:    Development/Erlang
License:  ASL 2.0
URL:      https://github.com/%{upstream}/%{realname}
Source0:  https://github.com/%{upstream}/%{realname}/archive/v%{version}/%{realname}-v%{version}.tar.gz
BuildRequires:  erlang-rebar

%description
%{summary}.

%prep
%autosetup -n %{realname}-%{version}

%build
%{erlang_compile}

%install
%{erlang_install}

%check
%{erlang_test}

%files
%license LICENSE
%doc README.md
%{erlang_appdir}/

