%global upstream hexpm
%global realname hex_core


Name:     erlang-%{realname}
Version:  0.7.1
Release:  %mkrel 2
Summary:  Reference implementation of Hex specifications
Group:    Development/Other
License:  ASL 2.0
URL:      https://github.com/%{upstream}/%{realname}
Source0:  https://github.com/%{upstream}/%{realname}/archive/v%{version}/%{realname}-%{version}.tar.gz
Patch1:   erlang-hex_core-0001-Disable-few-tests-until-rebar3.patch
BuildArch:     noarch
BuildRequires: erlang-rebar
BuildRequires: erlang-proper

%description
%{summary}.

%prep
%autosetup -p1 -n %{realname}-%{version}

%build
%{erlang_compile}

%install
%{erlang_install}

%check
%{erlang_test}

%files
%license LICENSE
%doc README.md
%{erlang_appdir}/
