%global srcname idna

Name:       erlang-%{srcname}
Version:    6.1.1
Release:    %mkrel 1
Group:      Development/Erlang
BuildArch:  noarch

License:    MIT
Summary:    Erlang IDNA lib
URL:        https://github.com/benoitc/erlang-idna
Source0:    %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: erlang-rebar
BuildRequires: erlang-unicode_util_compat

Requires: erlang-unicode_util_compat


%description
A pure Erlang IDNA implementation that follows RFC5891.


%prep
%setup -q -n %{name}-%{version}


%build
%{rebar_compile}


%install
%{erlang_install}


%check
%{rebar_eunit}


%files
%license LICENSE
%doc CHANGELOG
%doc README.md
%{erlang_appdir}

