%global realname neotoma
%global upstream seancribbs

Name:		erlang-%{realname}
Version:	1.7.4
Release:	%mkrel 6
BuildArch:	noarch
Summary:	Erlang library and packrat parser-generator for parsing expression grammars
Group:		Development/Erlang
License:	MIT
URL:		https://github.com/%{upstream}/%{realname}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
BuildRequires:	erlang-rebar


%description
Erlang library and packrat parser-generator for parsing expression grammars.


%prep
%setup -q -n %{realname}-%{version}


%build
%{erlang_compile}


%install
%{erlang_install}
mkdir -p %{buildroot}%{erlang_appdir}/priv
install -p -m 0644 priv/neotoma_parse.peg priv/peg_includes.hrl %{buildroot}%{erlang_appdir}/priv/


%check
%{rebar_eunit}


%files
%license LICENSE
%doc extra/ README.textile
%{erlang_appdir}

