%global realname p1_pgsql
%global upstream processone
# Technically, we're noarch; but erlang whose directories we install into is not.
%global debug_package %{nil}

Name:       erlang-%{realname}
Version:    1.1.18
Release:    %mkrel 1

License:    ERPL
Summary:    Pure Erlang PostgreSQL driver
Group:      Development/Erlang
URL:        https://github.com/%{upstream}/%{realname}
Source0:    https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz

Provides:   erlang-pgsql = %{version}-%{release}
Obsoletes:  erlang-pgsql < 0-16

BuildRequires: erlang-rebar
BuildRequires: erlang-eunit

BuildArch:  noarch

%description
Pure Erlang PostgreSQL driver.

%prep
%autosetup -n %{realname}-%{version} -p1

%build
%{erlang_compile}

%check
%{rebar_eunit}

%install
%{erlang_install}

%files
%doc README.md
%license EPLICENSE
%{erlang_appdir}/
