%global realname parse_trans
%global upstream uwiger


Name:		erlang-%{realname}
Version:	3.4.1
Release:	%mkrel 1
BuildArch:	noarch
Summary:	Parse transform utilities for Erlang
Group:		Development/Erlang
License:	EPL 1.1 and ASL 2.0
URL:		https://github.com/%{upstream}/%{realname}
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
BuildRequires:	erlang-edown
BuildRequires:	erlang-rebar


%description
Parse transform utilities for Erlang.


%prep
%autosetup -p 1 -n %{realname}-%{version}


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%license LICENSE
%doc doc/ examples/ README.md
%{erlang_appdir}/


