%global realname ssl_verify_fun
%global upstream deadtrickster
%global upstream_reponame %{realname}.erl

Name:     erlang-%{realname}
Version:  1.1.6
Release:  %mkrel 2
Summary:  Collection of ssl verification functions for Erlang
Group:    Development/Erlang
License:  MIT
URL:      https://github.com/%{upstream}/%{upstream_reponame}
Source0:  https://github.com/%{upstream}/%{upstream_reponame}/archive/%{version}/%{upstream_reponame}-%{version}.tar.gz
# Fix the path used in `load_cert/1` during tests
Patch0:   erlang-ssl_verify_fun-fix-tests-load_cert.patch
BuildArch:	noarch
BuildRequires:  erlang-rebar

%description
%{summary}.

%prep
%autosetup -p0 -n %{upstream_reponame}-%{version}

%build
%{erlang_compile}

%install
%{erlang_install}

%check
%{erlang_test}

%files
%license LICENSE
%doc README.md
%{erlang_appdir}/

