%global realname stdlib2
%global upstream kivra
%global git_tag de7a4475ffe56ca3ac976a1ea79c1689e49d43a1
%global short_tag %(c=%{git_tag}; echo ${c:0:7})


Name:		erlang-%{realname}
Version:	1.4.4
Release:	%mkrel 1
BuildArch:	noarch
Summary:	Erlang stdlib extensions
License:	BSD
URL:		https://github.com/%{upstream}/%{realname}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
#Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{git_tag}/%{realname}-%{version}.tar.gz
BuildRequires:	erlang-folsom
BuildRequires:	erlang-rebar
Group:          Development/Tools

%description
Erlang stdlib extensions.


%prep
%autosetup -p1 -n %{realname}-%{git_tag}


%build
%{erlang_compile}


%install
%{erlang_install}


%check
#{erlang_test}


%files
%doc README.md
%{erlang_appdir}/
