%global srcname unicode_util_compat

Name:       erlang-%{srcname}
Version:    0.7.0
Release:    %mkrel 1
BuildArch:  noarch
Group:      Development/Erlang

License:    ASL 2.0
Summary:    A unicode_util compatibility library for Erlang < 20
URL:        https://github.com/benoitc/unicode_util_compat
Source0:    %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: erlang-rebar


%description
This allows the usage of unicode_util and string from Erlang R21 in
older erlang >= R18.


%prep
%setup -q -n %{srcname}-%{version}


%build
%{rebar_compile}


%install
%{erlang_install}


%check
%{rebar_eunit}


%files
%license LICENSE
%doc README.md
%{erlang_appdir}

