Name:		etc-update
Version:	20020731
Release:	%mkrel 22
Summary:	Handle configuration file updates
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.1
Patch0:		etc-update-mdv-foo.patch
URL:		https://www.xs4all.nl/~hanb/software
License:	GPLv2+
Group:		System/Packaging
BuildArch:	noarch

%description
etc-update is a program used to update configuration files after 
package installations create .rpmnew files in the /etc directory.

After an update with urpmi, rpm makes .rpmnew copies of all files it
knows it should not overwrite. Of course you have to look at all those
files and merge any changes. A tedious and much forgotten job.


%prep
%setup -q
%patch -P 0 -p1 -b .foo

%install
install -m 755 %{name} -D %{buildroot}%{_bindir}/%{name}
install -m 644 %{name}rc -D %{buildroot}%{_sysconfdir}/%{name}rc
install -m 644 %{SOURCE1} -D %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc CHANGES
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
