# there's no binary
%define debug_package %{nil}

%define oname   ETL
%define devname %mklibname %{name} -d

Name:           etl
Version:        1.5.3
Release:        %mkrel 1
Summary:        Template library for synfig
Group:          Development/C++
License:        GPLv2+
URL:            https://www.synfig.org/
Source0:        https://sourceforge.net/projects/synfig/files/ETL-%{version}.tar.gz
BuildRequires:	pkgconfig(glibmm-2.4)

%description
Voria ETL is a multi-platform class and template library designed to
add new datatypes and functions which combine well with the existing
types and functions from the C++ Standard Template Library (STL).

%package -n %{devname}
Summary:        Template library for synfig
Group:          Development/C++
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name} = %{version}-%{release}

%description -n %{devname}
Voria ETL is a multi-platform class and template library designed to
add new datatypes and functions which combine well with the existing
types and functions from the C++ Standard Template Library (STL).

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%files -n %{devname}
%doc AUTHORS README NEWS
%{_bindir}/%{oname}-config
%{_includedir}/%{oname}/
%{_libdir}/pkgconfig/%{oname}.pc
