Name: etoys
Version: 5.0.2408
Release: %mkrel 9
Summary: An educational tool for teaching children powerful ideas in compelling ways
License: MIT/Apache
Group: Graphical desktop/Other
Url: http://squeakland.org/
Source: https://download.sugarlabs.org/sources/sucrose/glucose/%{name}/%{name}-%{version}.tar.gz

Patch: etoys-4.0.2340-sugar-etoys-desktop.patch

Requires: squeak-vm >= 3.10.3

BuildRequires: autoconf  
BuildRequires: automake  
BuildRequires: gettext  
BuildRequires: libtool  

BuildArch: noarch

%description
Squeak Etoys was inspired by LOGO, PARC-Smalltalk, Hypercard, starLOGO
and AgentSheets. It is a media-rich authoring environment with a simple,
powerful scripted object model for many kinds of objects created by end-users
that runs on many platforms, and it is free and open source. It includes 2D and
3D graphics, images, text, particles, presentations, web-pages, videos, sound
and MIDI, etc. It includes the ability to share desktops with other Etoy users
in real-time, so many forms of immersive mentoring and play can be done over
the Internet.

%prep
%setup -q 
%autopatch -p1

%build
autoreconf
%define __libtoolize true
%configure --exec_prefix=%{_prefix}/bin --datarootdir=%{_prefix}/share --datadir=%{_prefix}/share --bindir=%{_prefix}/bin
make

%install
make ROOT=%{buildroot} datadir=%{buildroot}/%{_prefix}/share bindir=%{buildroot}/%{_prefix}/bin install-etoys

%files 
%{_bindir}/*
%{_datadir}/etoys
%{_datadir}/mime/packages/*
%{_datadir}/doc/*
%{_datadir}/applications/*



