%define name    evas_generic_loaders
%define version 1.17.0
%define rel 	5
%define namevers %name-%version

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Evas generic loaders
Name: 		evas_generic_loaders
Version: 	%version
Release: 	%mkrel %rel
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		https://www.enlightenment.org/
Source: 	https://download.enlightenment.org/rel/libs/%{name}/%{name}-%{version}.tar.xz
Patch1:		evas_generic_loaders-0001-fix-libraw.patch
BuildRequires:	pkgconfig(cairo) >= 1.0.0
BuildRequires:	pkgconfig(eina) >= 1.6.99
BuildRequires:	pkgconfig(gstreamer-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= 1.0
BuildRequires:	pkgconfig(libraw)
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.14.0
BuildRequires:	pkgconfig(libspectre)
BuildRequires:	pkgconfig(poppler)

%description
Evas_generic_loaders is an evas generic loader

This package is part of the Enlightenment DR17 desktop shell.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make

%install
%make_install

%files
%doc AUTHORS COPYING README
%{_libdir}/evas/utils
