%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname -d %{name}

Name:		eventlog
Version:	0.2.13
Release:	%mkrel 10
Summary:	Syslog-ng v2 support library
License:	BSD
Group:		System/Libraries
URL:		https://www.balabit.com/products/syslog_ng/
Source:     https://www.balabit.com/downloads/files/eventlog/0.2/%{name}_%{version}.tar.gz

%description
The EventLog library aims to be a replacement of the simple syslog() API
provided on UNIX systems. The major difference between EventLog and syslog
is that EventLog tries to add structure to messages.

EventLog provides an interface to build, format and output an event record.
The exact format and output method can be customized by the administrator
via a configuration file.

This package is the runtime part of the library.

%package -n	%{libname}
Group:		Development/Other
License:	GPL
Summary:	Replacement for syslog API

%description -n	%{libname}
The EventLog library aims to be a replacement of the simple syslog() API
provided on UNIX systems. The major difference between EventLog and syslog
is that EventLog tries to add structure to messages.

EventLog provides an interface to build, format and output an event record.
The exact format and output method can be customized by the administrator
via a configuration file.

This package is the runtime part of the library.

%package -n	%{devname}
Group:		Development/Other
License:	GPL
Summary:	Replacement for syslog API
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %{name} 0

%description -n	%{devname}
The EventLog library aims to be a replacement of the simple syslog() API
provided on UNIX systems. The major difference between EventLog and syslog
is that EventLog tries to add structure to messages.

EventLog provides an interface to build, format and output an event record.
The exact format and output method can be customized by the administrator
via a configuration file.

This package contains the development files.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING CREDITS NEWS PORTS README VERSION
%{_libdir}/libevtlog*so.*

%files -n %{devname}
%{_includedir}/eventlog
%{_libdir}/libevtlog.a
%{_libdir}/libevtlog.so
%{_libdir}/pkgconfig/eventlog.pc

