Name:    evisum
Version: 0.6.2
Release: %mkrel 1
Summary: A process and system monitor
License: GPLv2

Group:   Graphical desktop/Enlightenment
Source:  https://download.enlightenment.org/rel/apps/evisum/%{name}-%{version}.tar.xz
URL:     https://www.enlightenment.org/

BuildRequires: pkgconfig(pkg-config)
BuildRequires: pkgconfig(efl)
BuildRequires: efl
BuildRequires: meson
BuildRequires: ninja

Requires: efl

%description
A process and system monitor designed to be integrated within Enlightenment.


%prep
%setup -q

%build
%meson
%meson_build


%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS CREDITS README.md NEWS
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/256x256/apps/*.png
