%define major_version 2.4
%define libsoup_version_required 2.3.0
%define eds_version_required 1.4.0

Name:		evolution-webcal
Summary:	Webcal integration for Evolution
Version: 	2.32.0
Release:	%mkrel 4
License: 	GPLv2
Group:		Networking/Mail
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0:		evolution-webcal-2.32.0-gtk3.patch

URL: 		http://www.ximian.com/products/ximian_evolution/
BuildRequires: pkgconfig(glib-2.0) >= 2.8
BuildRequires: pkgconfig(gtk+-3.0) >= 3.0
BuildRequires: pkgconfig(libecal-1.2) >= 1.10.0
BuildRequires: pkgconfig(libsoup-2.4) >= 2.3.0
BuildRequires: intltool
#gw: only for autogen:
BuildRequires: gnome-common
BuildRequires: gettext-devel
BuildRequires: pkgconfig(gconf-2.0)
Requires: evolution

%description
This package registers "webcal:" URI type to use Evolution.

%prep
%setup -q
%patch -P 0 -p1

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure 
%make

%install
%make_install

%{find_lang} %{name}

%define schemas evolution-webcal

%preun
%preun_uninstall_gconf_schemas %{schemas}

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog 
%{_sysconfdir}/gconf/schemas/*
%{_libexecdir}/evolution-webcal
