%define svn r81625
%define rel 14
%if 0%{?svn:1}
#define release %%mkrel -c %%svn %%rel
%define release %mkrel 1.%svn.%rel
%else
%define release %mkrel %rel
%endif

%define major 0
%define libname %mklibname eweather %major
%define libnamedev %mklibname eweather -d

Summary:	Enlightenment weather/forecasts module
Name:		eweather
Version:	0.2.0
Release:	%release
License:	LGPLv2+
Group:		Graphical desktop/Enlightenment
URL:		https://www.enlightenment.org/
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/trunk/%%name %%name
# tar cJf %%name-%%svn.tar.xz %%name
%if 0%{?svn:1}
Source:		%name-%svn.tar.xz
%else
Source:		%name-%version.tar.bz2
%endif
Patch0:		eweather-automake-1.13.patch

BuildRequires:	pkgconfig(efl)
BuildRequires:	efl
BuildRequires:	gettext-devel

%description
Enlightenment weather/forecasts module.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries
Requires: %name = %{version}-%{release}

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries

%prep
%if 0%{?svn:1}
%setup -qn %name
%else
%setup -qn %name-version
%endif
%patch -P 0 -p1 -b .automake113

%build
%if 0%{?svn:1}
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure --disable-static
%make_build

%install
%make_install

rm -rf %buildroot/%{_datadir}/simple
rm -rf %buildroot/%{_datadir}/default

find %buildroot -name *.la | xargs rm


%files
%{_bindir}/eweather_test
%{_libdir}/eweather
%{_datadir}/eweather

%files -n %libname
%{_libdir}/*.so.0
%{_libdir}/*.so.0.*

%files -n %libnamedev
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
