%define exfatmaj 0
%define exfatlib %mklibname exfat %{exfatmaj}
%define exfatdev %mklibname exfat -d

Name:		exfatprogs
Summary:	Utilities for exFAT file system
Epoch:		1
Version:	1.2.6
Release:	%mkrel 1
License:	GPLv2
Group:		File tools
URL:		https://github.com/exfatprogs/exfatprogs
Source0:	https://github.com/exfatprogs/exfatprogs/releases/download/%{version}/%{name}-%{version}.tar.xz
%rename		exfat-utils

%description
A set of utilities for creating, checking and labeling exFAT file system.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc NEWS
%license COPYING
%{_sbindir}/dump.exfat
%{_sbindir}/exfatlabel
%{_sbindir}/exfat2img
%{_sbindir}/fsck.exfat
%{_sbindir}/mkfs.exfat
%{_sbindir}/tune.exfat
%{_mandir}/man8/dump.exfat.8.*
%{_mandir}/man8/exfatlabel.8.*
%{_mandir}/man8/exfat2img.8.*
%{_mandir}/man8/fsck.exfat.8.*
%{_mandir}/man8/mkfs.exfat.8.*
%{_mandir}/man8/tune.exfat.8.*
