Name:		ext4magic
Version:	0.3.2
Release:	%mkrel 3
Summary:	A tool to recover accidentally deleted files on ext3/ext4 filesystems
License:	GPLv2
Group:		Security
URL:		https://sourceforge.net/projects/ext4magic
Source0:	https://sourceforge.net/projects/ext4magic/files/%{name}-%{version}.tar.gz
Patch0:		ext4magic-0.3.2-rename-i_dir_acl.patch
Patch1:		fix-undefined-reference-to-makedev.patch
Patch2:		ext4magic-0.3.2-fix-long-unsigned.patch
BuildRequires:	magic-devel >= 5.04
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(e2p)
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(zlib)

%description
ext4magic is an admin tool that can help to recover deleted or
overwritten files on ext3 and ext4 filesystems.

%prep
%autosetup -p1

%build
autoreconf -fvi
%configure \
	--enable-expert-mode \
	--enable-file-attr
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog NEWS README TODO
%license COPYING
%{_sbindir}/ext4magic
%{_mandir}/man8/ext4magic.*

