#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version}|cut -d. -f1,2)

%define rel 1

Name:           extra-cmake-modules
Version: 6.13.0
Release:        %mkrel %{rel}
Summary:        Extra modules and scripts for CMake

Group:          Development/KDE and Qt
License:        MIT
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%name-%version.tar.xz

BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  python3dist(reuse)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  cmake(Qt5Help)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  qttools5-assistant
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  qttools6-assistant
BuildRequires:  locales-en

Requires:       python3dist(reuse)

%description
Extra modules and scripts for CMake.

%files
%_datadir/ECM
%doc %_docdir/ECM
%_mandir/man?/*.*

%prep
%autosetup -p1

%build
%cmake -DBUILD_QTHELP_DOCS=ON \
       -DSphinx_BUILD_EXECUTABLE:PATH=%{_bindir}/sphinx-build-3
%cmake_build

%install
%cmake_install
