Name:		extundelete
Version:	0.2.4
Release:	%mkrel 9
Summary:	Investigation and recovery tool for ext3/4 filesystem
Group:		Security
License:	GPLv2+
URL:		https://extundelete.sourceforge.net/
Source0:	https://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.bz2
# From Debian
Patch0:		02_fix_ftbfs.patch
BuildRequires:	pkgconfig(ext2fs)

%description
extundelete is a utility that can recover deleted files from an ext3 or ext4
partition. extundelete uses the information stored in the partition's journal
to attempt to recover a file that has been deleted from the partition. There is
no guarantee that any particular file will be able to be undeleted, so always
try to have a good backup system in place, or at least put one in place after
recovering your files!

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc LICENSE README
%{_bindir}/%{name}
