Name: eye
Version:1.4.1
Release: %mkrel 11
Summary: Small image feature detector using machine learning

Group: Sciences/Astronomy
License: CeCILL
URL: https://www.astromatic.net/software/eye
Source0: https://www.astromatic.net/download/%{name}/%{name}-%{version}.tar.gz

%description
In EyE (Enhance Your Extraction) an artificial neural network
connected to pixels of a moving window (retina) is trained to
associate these input stimuli to the corresponding response in one or
several output image(s). The resulting filter can be loaded in
SExtractor to operate complex, wildly non-linear filters on
astronomical images. Typical applications of EyE include adaptive
filtering, feature detection and cosmetic corrections.

%prep
%setup -q

%build
%configure
%make_build CFLAGS="%{optflags} -fcommon  -Wno-error=format-security"

%install
%make_install

%files
%{_bindir}/eye
%{_mandir}/man?/eye.*

