Name:	 	faketime
Version:	0.9.8
Release:	%mkrel 2
Summary:	Report faked system time to programs
License:	GPLv2
Group:	 	Development/Tools
URL:	 	https://github.com/wolfcw/libfaketime
Source0:	https://github.com/wolfcw/libfaketime/archive/v%{version}/libfaketime-%{version}.tar.gz


%description
libfaketime intercepts various system calls which programs use to
retrieve the current date and time. It can then report faked dates and
times (as specified by you, the user) to these programs. This means you
can modify the system time a program sees without having to change the
time system-wide.

%prep
%setup -q -n libfaketime-%{version}

sed -i 's|-Wall -Wextra -Werror|-Wall -Wextra|' src/Makefile

%build
export CFLAGS="%{optflags} -Wno-error=nonnull-compare"
%make_build PREFIX=%{_prefix} LIBDIRNAME=/%{_lib}

%install
%make_install PREFIX=%{_prefix} LIBDIRNAME=/%{_lib}

%files
%doc README NEWS
%{_bindir}/faketime
%{_libdir}/libfaketime*.so.1
%{_mandir}/man1/faketime.1*
