Name:		fastjar
Version:	0.98
Release:	%mkrel 14
Epoch:		0
Summary:	Archive tool for Java archives
License:	GPLv2+
Group:		Development/Java
URL:		https://savannah.nongnu.org/projects/fastjar
Source0:	https://download.savannah.nongnu.org/releases/fastjar/fastjar-%{version}.tar.gz
Source1:	https://download.savannah.nongnu.org/releases/fastjar/fastjar-%{version}.tar.gz.sig

# 
# Security Patches
# P100 -> ...
#
Patch0:		fastjar-0.98-CVE-2010-0831,2322.diff
BuildRequires:	pkgconfig(zlib)

%description
fastjar is an implementation of Sun's jar utility that comes with
the JDK, written entirely in C, and runs in a fraction of the time
while being feature compatible.

Also included in this package is the grepjar program which can be
used to search files in a jar file for a pattern.

%prep
%setup -q
%autopatch -p0

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%files
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%attr(0755,root,root) %{_bindir}/fastjar
%attr(0755,root,root) %{_bindir}/grepjar
%{_infodir}/fastjar.info*
%{_mandir}/man1/fastjar.1*
%{_mandir}/man1/grepjar.1*


