%global         gituser         ya-mouse
%global         gitname         fatresize
%global         commit          161a2d6a0bf3f45c3f5223d41504c96a83228035
%global         shortcommit     %(c=%{commit}; echo ${c:0:7})


Name:           fatresize
Version:        1.0.3
Release:        %mkrel 1.git20161118
License:        GPLv3+
Group:          System/Kernel and hardware
Summary:        FAT16/FAT32 resizer
URL:            https://sourceforge.net/projects/%name/
Source0:        https://github.com/%{gituser}/%{gitname}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz


BuildRequires:  gcc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  parted-devel
BuildRequires:  e2fsprogs-devel
BuildRequires:  docbook-utils
BuildRequires:  w3m

%description
The FAT16/FAT32 non-destructive resizer.

%prep
%setup -q -n %{name}-%{commit}
#docbook-to-man not available in Fedora
sed -i -e 's|docbook-to-man|docbook2man|;' Makefile.am

%build
autoreconf -vfi
%configure
%make_build
mv FATRESIZE.1 fatresize.1

%install
%make_install

%files
%doc AUTHORS ChangeLog README
%license COPYING
%{_sbindir}/*
%{_mandir}/man1/*
