# Not really useful in a clean build environment as it needs sudo
%bcond_with  tests

Name:           fatsort
Version:        1.6.5.640
Release:        %mkrel 1
Summary:        FAT sorter for FAT16 and FAT32 filesystems
Group:          System/Kernel and hardware
License:        GPLv2+
URL:            https://fatsort.sourceforge.net/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
BuildRequires:  help2man
%{?with_tests:
BuildRequires:  dosfstools
BuildRequires:  valgrind }

%description
Fatsort is a utility written in C to sort FAT16 and FAT32 filesystems. It is
needed to sort files on cheap mp3 players that display files not sorted by
their name but by the order they appear in the file allocation table (FAT).

%prep
%autosetup -p1

%build
%make_build CFLAGS+="%{optflags}" LDFLAGS+="%{ldflags}"

%install
%make_install SBINDIR=%{_sbindir} MANDIR=%{_mandir}/man1

%check
%{?with_tests:
# skip the test where sed has issues with ISO/non-ascii font.
sed -i -e "/tc_check_consistent_version/d" tests/ts_amd64
%__make tests || : }

%files
%doc CHANGES.md README
%license LICENSE.txt
%{_mandir}/man1/%{name}.1*
%{_sbindir}/%{name}
