Name:		fcitx-chewing
Summary:	Chewing Wrapper for Fcitx
Version:	0.2.3
Release:	%mkrel 4
Group:		System/Internationalization
License:	GPLv2+
URL:		https://fcitx-im.org/wiki/Chewing
Source0:	https://download.fcitx-im.org/fcitx-chewing/%{name}-%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	pkgconfig(fcitx)
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	pkgconfig(chewing)
Requires:	fcitx

%description
Fcitx-chewing is a Chewing Wrapper for Fcitx.
Chewing is a set of free intelligent Chinese
Phonetic IME.

%prep
%setup -q

%build
%cmake
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README COPYING
%{_libdir}/fcitx/%{name}.so
%{_datadir}/fcitx/*
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
