Name:		fcitx-configtool
Version:	0.4.10
Release:	%mkrel 5
Summary:	Gtk configuretool for Fcitx
Group:		System/Internationalization
License:	GPLv2+
URL:		https://fcitx-im.org/wiki/Fcitx
Source0:	https://download.fcitx-im.org/fcitx-configtool/%{name}-%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	pkgconfig(fcitx)
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	iso-codes
BuildRequires:	libtool
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(dbus-glib-1)
Requires:	fcitx

%description
Fcitx-config Gtk based configure tool for fcitx.

%prep
%setup -q

%build
%cmake -DENABLE_GTK3=ON -DENABLE_GTK2=ON
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%doc README
%{_bindir}/*
