Summary:	A Java wrapper around ffmpeg, using JNA
Name:		ffmpeg-java
Version:	20071012
Release:	%mkrel 0.0.20
License:	LGPLv1
Group:		Development/Java
URL:		https://fmj.sourceforge.net/
Source0:	%{name}.tar.bz2
Patch0:		java-source-version.patch
BuildArch:	noarch

BuildRequires:	ant
BuildRequires:	java-devel
#BuildRequires:	libffmpeg0-devel
BuildRequires:	update-alternatives
BuildRequires:	xml-commons-apis
Requires:	java >= 1.5
Requires:	libffmpeg

%description
ffmpeg-java is a Java wrapper around ffmpeg, using JNA.

%package javadoc
Summary:	Javadoc for ffmpeg-java
Group:		Documentation

%description javadoc
Javadoc for ffmpeg-java.

%prep
%setup -q -n %{name}
%patch -P 0 -p1

%build
%__rm src/*.html
%ant javac jar javadoc

#%%ant \
#	-Dffmpeg.home="%%{_includedir}/ffmpeg" \
#	compile-test-linux

%install
# jar
%__install -dm 755 %{buildroot}%{_javadir}/fmj
%__install -pm 644 build/jars/%{name}.jar \
	%{buildroot}%{_javadir}/fmj/%{name}-%{version}.jar
%__install -pm 644 build/jars/%{name}-gpl.jar \
	%{buildroot}%{_javadir}/fmj/%{name}-gpl-%{version}.jar
pushd %{buildroot}%{_javadir}/fmj
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
	done
popd

# javadoc
%__install -dm 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr build/doc/* \
	%{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name} 

%files
%doc *.txt LICENSE README
%dir %{_javadir}/fmj
%{_javadir}/fmj/*.jar

%files javadoc
%defattr(0644,root,root)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}


