%global fontname fira-code
%global fontconf 61-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        6.2
Release:        %mkrel 2
Summary:        Monospaced font with programming ligatures
Group:          System/Fonts/Type1
License:        OFL
URL:            https://github.com/tonsky/FiraCode
Source0:        https://github.com/tonsky/FiraCode/releases/download/%{version}/Fira_Code_v%{version}.zip
Source1:        %{name}-fontconfig.conf
Source2:        https://raw.githubusercontent.com/tonsky/FiraCode/master/LICENSE

BuildArch:      noarch

BuildRequires:  fontpackages-devel
# (tv) in order to pull %{_lib}appstream-glib8, but in an arch agnostic way:;
BuildRequires:  typelib(AppStreamGlib) 
Requires:       fontpackages-filesystem

Obsoletes:      %{name} < 5

%description
Monospaced font with programming ligatures

%prep
%autosetup -c
cp %{SOURCE2} %{_builddir}/%{name}-%{version}

%build
# Nothing to do here

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 ttf/*.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

%check
%_font_pkg -f %{fontconf} *.ttf

%license LICENSE

