Name:       firefox-ext-adblock-plus
Version:    2.6.4
Release:    %mkrel 1
Summary:    Adblocking extension for firefox
License:    MPL
Group:	    Networking/WWW
#URL:        https://adblockplus.org/en/firefox
URL:        https://addons.mozilla.org/en-US/firefox/addon/1865
# Source0:    https://addons.mozilla.org/firefox/downloads/file/268214/adblock_plus-2.6.4-fx+an+sm+tb.xpi?src=external-abp.o-en
Source0:    https://releases.mozilla.org/pub/mozilla.org/addons/1865/adblock_plus-%{version}.xpi
BuildRequires: firefox-devel
Buildarch: noarch
Requires: firefox >= %{firefox_epoch}:%{firefox_version}

%description
Ever been annoyed by all those ads and banners on the internet that often take
longer to download than everything else on the page? Install Adblock Plus now
and get rid of them. 

%prep
%setup -q -c -n %{name}-%{version}

%install
mkdir -p %{buildroot}%{firefox_extdir}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{firefox_extdir}/"
mkdir -p "%{buildroot}$extdir"
cp -af %SOURCE0 "%{buildroot}$extdir/$hash.xpi"

%files
%defattr(0644,root,root,0755)
%{firefox_extdir}
