%define jpeg_version 1.5.1
%define png_version 1.2
%define cfitsio_version 2.420
%define wcslib_version 3.5.0

Summary: A tool for making cutouts and color images from FITS files
Name: fitscut
Version: 1.4.4
Release: %mkrel 17
License: GPLv2
Group: Sciences/Astronomy
URL: http://acs.pha.jhu.edu/general/software/fitscut/
Source: http://acs.pha.jhu.edu/general/software/fitscut/download/%{name}-%{version}.tar.gz
Patch0: Add-includes-resp.-function-prototypes.patch
Patch1: fix_asinh.patch
BuildRequires: pkgconfig(libjpeg) >= %{jpeg_version}
BuildRequires: pkgconfig(libpng) >= %{png_version}
BuildRequires: pkgconfig(cfitsio) >= %{cfitsio_version}
BuildRequires: wcstools-devel >= %{wcslib_version}

%description
Fitscut is a tool for making cutouts and color images from FITS files.

%prep
%autosetup -p1

%build
%global optflags %(echo "%{optflags} -DSTDC_HEADERS=1")

%configure
%make_build

%install
%make_install

%files
%doc AUTHORS NEWS
%{_bindir}/%{name}
