Name:		flac123
Version:	2.1.1
Release:	%mkrel 1
Summary:	Command line program for playing FLAC audio files
License:	GPL-2.0-or-later
Group:		Sound/Editors and Converters
URL:		https://github.com/flac123/flac123
Source0:	https://github.com/flac123/flac123/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(ao)
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(ogg)

%description
%{name} is a command-line program for playing FLAC audio files.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS BUGS ChangeLog NEWS README*
%license COPYING
%{_bindir}/flac123
%{_mandir}/man1/flac123.1*
