%define oname   flare

Name:           flare-game
Version:        1.14
Release:        %mkrel 1
Summary:        Dark fantasy single-player 2D action RPG using the FLARE engine
License:        CC-BY-SA
Group:          Games/Adventure
URL:            https://flarerpg.org/
Source0:        https://github.com/flareteam/flare-game/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  cmake

Requires:       %{oname}-engine = %{version}
Provides:       %{oname} = %{version}-%{release}

%description
Flare is a single-player 2D action RPG with fast-paced action and a dark
fantasy style.

It is built on the FLARE engine (Free/Libre Action Roleplaying Engine),
provided by the 'flare-engine' package.

%prep
%autosetup -p1

%build
%cmake
# Nothing to build a priori, but run just in case
%cmake_build

%install
%cmake_install

%files
%doc CREDITS.txt README
%{_metainfodir}/org.flarerpg.Flare.appdata.xml
%{_gamesdatadir}/%{oname}/mods/centered_statbars/
%{_gamesdatadir}/%{oname}/mods/empyrean_campaign/
%{_gamesdatadir}/%{oname}/mods/fantasycore/
