%define major     2
%define api       0.2
%define libname   %mklibname %name %api %major
%define develname %mklibname %name -d

Name:		flatzebra
Version:	0.2.0
Release:	%mkrel 1
Summary:	A Generic Game Engine library for 2D double-buffering animation
Group:		System/Libraries
License:	GPLv2
URL:		http://perso.b2b2c.ca/~sarrazip/dev/burgerspace.html
Source:		http://perso.b2b2c.ca/~sarrazip/dev/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_gfx)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(zlib)

%description
Generic Game Engine library suitable for BurgerSpace, Afternoon Stalker
and Cosmosmash.

%package -n %{libname}
Summary:	A Generic Game Engine library for 2D double-buffering animation
Group:		System/Libraries


%description -n %{libname}
Generic Game Engine library suitable for BurgerSpace, Afternoon Stalker
and Cosmosmash.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	flatzebra-devel = %{version}-%{release}


%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

rm -rf %{buildroot}%{_docdir}/%{name}-%{version}
rm -rf %{buildroot}%{_datadir}/pixmaps

%files -n %{libname}
%doc AUTHORS README NEWS
%license COPYING
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}-%{api}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
