Name:          flaw
Version:       1.3.2a
Release:       %mkrel 17
Summary:       F.L.A.W. is a fighting game between magicians
License:       GPLv3+
Group:         Games/Arcade
URL:           https://flaw.sourceforge.net/index.php
Source0:       %{name}-%{version}.tar.gz
Patch0:        flaw-1.3.2a-svn-autoconf-update-and-widescreen-resolution-support.patch

BuildRequires: boost-devel
BuildRequires: intltool
BuildRequires: pkgconfig(SDL_image)
BuildRequires: pkgconfig(SDL_mixer)
BuildRequires: pkgconfig(SDL_ttf)
BuildRequires: pkgconfig(SDL_gfx)

Requires:      fonts-ttf-freefont

%description
F.L.A.W. is a free top-down wizard fighting game that can be played by
up to 5 players. The goal of the game is to survive as long as possible
while more and more fireballs appear in the arena.

%prep
%setup -q
%autopatch -p0

%build
autoreconf -vfi
%configure --with-fontpath=%{_datadir}/fonts/
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog README
%exclude %{_docdir}/%{name}/INSTALL
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_bindir}/*
%{_datadir}/%{name}/
