%define scummvmdir %{_datadir}/scummvm/

Summary:	A adventure game using scummvm
Name:		flight-of-the-amazon-queen
Version:	1
Release:  	%mkrel 10
Source0: 	https://prdownloads.sourceforge.net/scummvm/FOTAQ_Talkie.tar.bz2
License: 	Freeware
Url:     	https://scummvm.org/
Group:      	Games/Adventure
Requires: 	scummvm
BuildArch: 	noarch

%description

Flight of the Amazon Queen is a 2D point-and-click adventure game set
in the 1940s, originally published for DOS and the Amiga.  You assume
the role of Joe King, a pilot for hire who is given the job of
flyingFaye Russell (a famous movie star) into the Amazon jungle for a
photo shoot. Of course, things never go according to plans. After an
unfortunate turn of events they find themselves stranded in the heart
of the Amazon jungle, where Joe will embark on a quest to rescue a
kidnapped princess and in the process, discover the true sinister
intentions of a suspiciously located Lederhosen company. In a rich 2D
environment, Joe will cross paths with a variety of unlikely jungle
inhabitants including, but not limited to, a tribe of Amazon women and
6-foot- tall pygmies.

This game was released by Krome Studios to help the scummvm
project. However, this is not a free game ( free as free speech ), even
if source code can be seen. 

%prep
%setup -q -n FOTAQ_Talkie/
%build

%install
mkdir -p %{buildroot}/%{scummvmdir}/%{name}
cp queen* %{buildroot}/%{scummvmdir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Flight Of The Amazon Queen
Comment=%summary
Exec=%_gamesbindir/scummvm -p%{scummvmdir}/%{name}  queen
Icon=scummvm
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;AdventureGame;
EOF

%files
%doc readme.txt
%{scummvmdir}/%{name}
%_datadir/applications/*
