Name:		flvtool2
Version:	1.0.6
Release:	%mkrel 14
Summary:	Manipulation tool for Macromedia Flash Video files (FLV)
Group:		Video/Utilities
License:	BSD
URL:		https://github.com/unnu/flvtool2
Source:		https://rubygems.org/downloads/%{name}-%{version}.gem
BuildArch:	noarch
BuildRequires:	rubygems

%description
FLVTool2 is a manipulation tool for Macromedia Flash Video files (FLV). It
can calculate a lot of meta data, insert an onMetaData tag, cut FLV files,
add cue points (onCuePoint), show the FLV structure and print meta data
information in XML or YAML.

%files
%{_bindir}/%{name}
%dir %{gem_instdir}/
%{gem_instdir}/bin
%{gem_instdir}/lib
%{gem_spec}
%doc %{gem_instdir}/LICENSE

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc %{gem_instdir}/examples
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/README
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
rm %{buildroot}%{gem_instdir}/{Rakefile,flvtool2.exy,setup.rb}
