%global __requires_exclude %{?__requires_exclude:__requires_exclude|}typelib\\(Handy\\) = 0\\.0

%global webkit_api	4.1

%define foliate_js_master cc2882ff396d27ca4133af2e8f2978f19c21846e

Name:           foliate
Version:        3.2.1
Release:        %mkrel 2
Summary:        A simple and modern GTK eBook reader
Group:          Office/Utilities
License:        GPLv3
URL:            https://johnfactotum.github.io/foliate/
Source0:        https://github.com/johnfactotum/foliate/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        https://github.com/johnfactotum/foliate-js/archive/%{foliate_js_master}.tar.gz
Patch0:         foliate-fix-export-of-incorrect-dep-Adw.patch
BuildArch:      noarch

BuildRequires:  meson
BuildRequires:  appstream
BuildRequires:  gettext
BuildRequires:  pkgconfig(gjs-1.0) >= 1.76
BuildRequires:  pkgconfig(webkitgtk-6.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
Requires:       gjs >= 1.76.0

Requires:       python3
# Recommended for Text-to-Speech
Recommends:     espeak

Conflicts: foliate < 3.0.0-1

%description
A simple and modern GTK eBook viewer, built with GJS and Epub.js.

%prep
%autosetup -p1

pushd src
tar xfvz %{S:1}
rm -rf foliate-js
mv foliate-js-%{foliate_js_master} foliate-js
popd

%build
%meson
%meson_build

%install
%meson_install

%find_lang com.github.johnfactotum.Foliate

%files -f com.github.johnfactotum.Foliate.lang
%doc README.md
%license COPYING
%{_bindir}/foliate
%{_datadir}/applications/com.github.johnfactotum.Foliate.desktop
%{_datadir}/com.github.johnfactotum.Foliate/
%{_datadir}/glib-2.0/schemas/com.github.johnfactotum.Foliate.gschema.xml
%{_iconsdir}/hicolor/*/apps/com.github.johnfactotum.Foliate*.svg
%{_metainfodir}/com.github.johnfactotum.Foliate.metainfo.xml
