Summary:	A set of Pan-CJK fonts designed to complement Source Sans Pro
Name:		fonts-otf-source-han
Version:	2.000
Release:	%mkrel 5
License:	ASL 2.0
URL:		https://github.com/adobe-fonts/source-han-sans
Group:		System/Fonts/True type
Source0:	https://github.com/adobe-fonts/source-han-sans/raw/release/SuperOTC/SourceHanSans.ttc.zip
Source1:	65-source-han-sans.conf
BuildArch:	noarch
BuildRequires:	fontconfig

%description
Source Han Sans is an OpenType/CFF Pan-CJK font family. This open
source project provides all of the source files that were used to
build these OpenType fonts by using the AFDKO makeotf, sfntedit,
and otf2otc tools.

%prep
%setup -q -c -n SourceHanSans.ttc

%install
mkdir -p %{buildroot}/%{_datadir}/fonts/OTF/source-han
install -m 644 *.ttc %{buildroot}/%{_datadir}/fonts/OTF/source-han

mkdir -p %{buildroot}%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{_datadir}/fonts/OTF/source-han \
    %{buildroot}%{_sysconfdir}/X11/fontpath.d/otf-source-han:pri=50

mkdir -p %{buildroot}%{_sysconfdir}/fonts/{conf.d,conf.avail}
install -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/fonts/conf.avail
pushd %{buildroot}%{_sysconfdir}/fonts/conf.avail
  for f in *.conf; do
    ln -s ../conf.avail/$f ../conf.d/$f
  done
popd

%files
%dir %{_datadir}/fonts/OTF/source-han/
%{_datadir}/fonts/OTF/source-han/*.ttc
%{_sysconfdir}/X11/fontpath.d/otf-source-han:pri=50
%{_sysconfdir}/fonts/conf.avail/*.conf
%{_sysconfdir}/fonts/conf.d/*.conf
