%define name_orig kacst_fonts
%define srcname KacstArabicFonts-2.01
%define fontdir	fonts/TTF/arabic/kacst

Name:		fonts-ttf-arabic-kacst
Summary:	Arabic TrueType fonts
Version:	2.01
Release:	%mkrel 4
License:	GPLv2
Group:		System/Fonts/True type
Source:		https://downloads.sourceforge.net/project/arabeyes/kacst_fonts/%{name_orig}_%{version}.tar.bz2
URL:		https://www.arabeyes.org/resources.php
BuildArch:	noarch
BuildRequires:	mkfontscale
Requires:	common-licenses
Provides:	fonts-ttf-arabic

%description
This Package provides Free Arabic TrueType fonts donated under the GPL license
by King Abdul-Aziz City for Science and Technology (KACST).

Now maintained by Arabeyes https://www.arabeyes.org

%prep
%setup -q -n %{srcname}

%build

%install
mkdir -p %buildroot/%_datadir/%fontdir
cp *.ttf %buildroot/%_datadir/%fontdir

pushd %buildroot/%_datadir/%fontdir
mkfontscale
cp fonts.scale fonts.dir
popd

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/%fontdir \
    %{buildroot}%_sysconfdir/X11/fontpath.d/ttf-arabic-kacst:pri=50

%files
%defattr(0644,root,root,0755)
%dir %_datadir/%fontdir
%_datadir/%fontdir/*
%_sysconfdir/X11/fontpath.d/ttf-arabic-kacst:pri=50


