Name:        fonts-ttf-lohit
Version:     2.3.8
Release:     %mkrel 11
Summary:     Free Indian truetype/opentype fonts

Group:       System/Fonts/True type
License:     GPLv2
URL:         https://fedoraproject.org/wiki/Lohit
Source:      https://rbhalera.fedorapeople.org/released/lohit/lohit-fonts-%{version}.tar.gz
BuildArch:   noarch
Obsoletes:   fonts-ttf-gurmukhi <= 1.0
Provides:    fonts-ttf-gurmukhi = %{version}-%{release}

%description 
This package provides Hindi, Bengali, Gujarati, Punjabi, Tamil,
Kannada, Malayalam, Oriya, Telugu, Marathi, Maithili, Kashmiri, 
Konkani, Nepali and Sindhi TrueType/Opentype fonts.

%prep
%setup -q -n lohit-fonts-%{version}

%build
echo "Nothing to do in Build."

%install
install -d $RPM_BUILD_ROOT/%{_datadir}/fonts/TTF/lohit
for i in *
do
  [ -d $i ] || continue
  install -m 0644 $i/* $RPM_BUILD_ROOT/%{_datadir}/fonts/TTF/lohit
done

%files 
%doc COPYING README AUTHORS 
%{_datadir}/fonts/TTF/*


