Name:       fonts-ttf-old-standard
Version:    2.0.2
Release:    %mkrel 4
Summary:    Old Standard font by Alexey Kryukov 
Group:      System/Fonts/True type
BuildArch:  noarch
URL:        https://fontlibrary.org/ru/font/old-standard
Source:     https://fontlibrary.org/assets/downloads/old-standard/8f7616da5d24d2c54ec2d8e734320ac1/old-standard.zip
License:    OFL (SIL Open Font License)
BuildRequires: fontconfig

%description
Old Standard, a multilingual font which attempts to revive the 
most common printing style of early 20th century.

Old Standard has two main purposes: it is intended to be used as 
a specialized font for philologists (mainly classicists and slavists)
and also as a general-purpose font for typesetting various editions
in languages which use Greek or Cyrillic script.

%prep
%setup -q -c

%install
mkdir -p %{buildroot}%{_datadir}/fonts/TTF/OldStandard
cp -f oldstandard-%{version}.ttf/*.ttf %{buildroot}%{_datadir}/fonts/TTF/OldStandard/

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/fonts/TTF/OldStandard \
        %{buildroot}%_sysconfdir/X11/fontpath.d/ttf-oldstandard:pri=50

%files
%dir %{_datadir}/fonts/TTF/OldStandard
%{_datadir}/fonts/TTF/OldStandard/*.ttf
%_sysconfdir/X11/fontpath.d/ttf-oldstandard:pri=50

