%define _fontdir %{_fontbasedir}/TTF

Name:		fonts-ttf-open-dyslexic
Version:	20160623
Release:	%mkrel 5
Summary:	TrueType fonts
License:	CC-BY
Group:		System/Fonts/True type
Source:		https://github.com/antijingoist/open-dyslexic/archive/%{version}-Stable.tar.gz
BuildArch:	noarch

%description
Font created to help dyslexic readers. Bottom heavy and unique
character shapes help prevent letters and numbers from being
confused.

%prep
%setup -n open-dyslexic-%{version}-Stable

%build

%install
mkdir -p %{buildroot}%{_fontdir}/open-dyslexic
install -m444 ttf/* %{buildroot}%{_fontdir}/open-dyslexic

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%{_fontdir}/open-dyslexic \
        %{buildroot}%_sysconfdir/X11/fontpath.d/ttf-open-dyslexic:pri=50

%files
%dir %{_fontdir}/open-dyslexic
%{_fontdir}/open-dyslexic/*.ttf
%_sysconfdir/X11/fontpath.d/ttf-open-dyslexic:pri=50
