%define base_name	murphy

Name:		fortune-%{base_name}
Version:	1.0
Release:	%mkrel 24
Summary:	Quotes from Murphy's laws
License:	GPLv2
Group:		Toys
Source:		%{name}-%{version}.tar.bz2
Requires:	fortune-mod
BuildRequires:	fortune-mod
BuildRequires:	perl
BuildArch:	noarch

%description
This is a collection of more than 1250 Murphy's (& Al) laws, ignominously
stolen from the excellent Ultimate Collection of Murphy's Laws by Andreas Götz
(http://www.cpuidle.de/murphy.shtml), provided at a format used by the good old
fortune command.

%prep
%setup -q

%build
rm -f data/*.dat
for file in data/*; do
    iconv -f latin1 -t utf8 < $file >> murphy
done
# Remove trailing whitespace because it confuses /usr/sbin/strfile by lumping
# fortunes together.
perl -i -lpe 's/[ \t]+$//' murphy
/usr/bin/strfile murphy murphy.dat

%install
install -d -m 755 %{buildroot}%{_gamesdatadir}/fortunes
install -m 644 murphy murphy.dat %{buildroot}%{_gamesdatadir}/fortunes

%files
%doc COPYING README
%{_gamesdatadir}/fortunes/murphy
%{_gamesdatadir}/fortunes/murphy.dat
