Name:           freedink-data
Version:        1.08.20190120
Release:        %mkrel 3
Summary:        Game data for GNU FreeDink
Group:          Games/Adventure
License:        zlib and CC-BY-SA and (GPLv3+ or Free Art or CC-BY-SA) and OAL and Public Domain and CC-BY and GPLv2+
URL:            https://www.gnu.org/software/freedink/
Source0:        https://ftp.gnu.org/gnu/freedink/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
Dink Smallwood is an adventure/role-playing game, similar to Zelda,
made by RTsoft. Besides twisted humour, it includes the actual game
editor, allowing players to create hundreds of new adventures called
Dink Modules or D-Mods for short.

This package contains architecture-independent data for the original
game, along with free sound and music replacements.

%prep
%autosetup -p1

# Strip DOS EOL from documentation
# https://fedoraproject.org/wiki/PackageMaintainers/Common_Rpmlint_Issues#wrong-file-end-of-line-encoding
sed -i 's/\r//' README.txt README-REPLACEMENTS.txt

%build

%install
%make_install DATADIR=%{_gamesdatadir}

%files
%doc README.txt README-REPLACEMENTS.txt
%dir %{_gamesdatadir}/dink
%{_gamesdatadir}/dink/dink/*
