Name:		freedoom
Summary:	Complete and free DOOM IWAD
Version:	0.13.0
Release:	%mkrel 1
License:	BSD-3-Clause
Group:		Games/Shooter
Url:		https://freedoom.github.io/
Source0:        https://github.com/freedoom/freedoom/releases/download/v%{version}/%{name}-%{version}.zip
BuildArch:	noarch
Provides:	doom-iwad
Requires:	doom-engine

%description
FreeDOOM is a project to create a complete, free DOOM IWAD file. Combined with
a free DOOM engine, it will create a completely free DOOM-based game.

To play it, a game engine such as PrBoom or PrBoom+ is required.

%prep
%setup -q

%build
# Game data files. Nothing to build!

%install
install -Dpm644 %{name}1.wad %{buildroot}%{_gamesdatadir}/doom/%{name}1.wad
install -Dpm644 %{name}2.wad %{buildroot}%{_gamesdatadir}/doom/%{name}2.wad

%files
%doc CREDITS.txt README.html NEWS.html freedoom-manual*.pdf
%license COPYING.txt
%{_gamesdatadir}/doom/%{name}1.wad
%{_gamesdatadir}/doom/%{name}2.wad
