
Name:          freehep-global
Version:       10
Release:       %mkrel 3
Summary:       FreeHEP Global Settings
Group:         Development/Java
License:       LGPL
Url:           https://java.freehep.org/
# svn ls svn://svn.freehep.org/svn/freehep/tags
# svn checkout svn://svn.freehep.org/svn/freehep/tags/global-10 freehep-global-10
Source0:       freehep-global-10-src-svn.tar.gz

# remove freehep-nar-plugin
# remove prerequisites maven 2.1
# change maven-plugin-api 2.0 to 3.0.3
# add groupId and version for maven-project-info-reports-plugin
# replace pom.artifactId with project.artifactId
Patch0:        freehep-global-10-pom.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: maven
BuildRequires: forge-parent

Requires:      bcel
#Requires:      freehep-nar-plugin
Requires:      jdom
Requires:      junit
Requires:      maven
Requires:      maven-compiler-plugin
Requires:      maven-javadoc-plugin
#Requires:      maven-one-plugin
Requires:      maven-project
Requires:      maven-project-info-reports-plugin
Requires:      maven-release-plugin
Requires:      maven-site-plugin
Requires:      maven-wagon
Requires:      plexus-archiver
Requires:      plexus-compiler

Requires:      jpackage-utils
BuildArch:     noarch


%description
FreeHEP Global Settings.

%prep
%setup -q
%patch -P 0 -p0

%build

mvn-rpmbuild install

%install

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom

%files
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
