Summary:	Small and simple webcam software for Linux
Name:		fswebcam
Version:	20200725
Release:	%mkrel 2
License:	GPLv2
Group:		Video/Utilities
URL:		https://www.sanslogic.co.uk/fswebcam/
Source0:	%{url}files/%{name}-%{version}.tar.xz 
BuildRequires:	pkgconfig(gdlib)
BuildRequires:	make

%description
%{name} is the program used to generate images for a webcam. It 
captures a number of frames from any V4L or V4L2 compatible device.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install
 
%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
