Name:		ftjam
Version:	2.5.3rc2
Release:	%mkrel 0.21
Summary:	Replacement for make
License:	BSD-like
Group:		Development/Other
URL:		https://www.freetype.org/jam/index.html
Source0:	https://downloads.sourceforge.net/freetype/%{name}-%{version}.tar.bz2
Patch0:		ftjam-2.5.3-nostrip.patch
Patch1:		ftjam-2.5.3-false-flags.patch
Patch2:		ftjam-2.5.3-fix-building-with-gcc14.patch
Obsoletes:	jam
Provides:	jam
BuildRequires:	byacc
BuildRequires:	dos2unix

%description
We highly recommend that you use FT Jam as it is 100% backwards compatible with
classic Jam and can be used as a plug-in replacement for it.

Alternatively, FT Jam exists because Perforce hadn't the time to update Jam in
a very long time, and we still hope that these improvements will be integrated
back to classic Jam as soon as possible.

%prep
%autosetup -p1

# fix CRLF
dos2unix README RELNOTES Porting

%build
export CCFLAGS="%{optflags}" LINKFLAGS="%{ldflags}"
%configure
%make_build

%install
%make_install

%files
%doc *.html README RELNOTES Porting
%{_bindir}/jam
