Name:		fuseiso
Version:	20070708
Release:	%mkrel 16
Source:		https://ubiz.ru/dm/%{name}-%{version}.tar.bz2
Patch1:		fuseiso-20070708-automake-1.13.patch
Patch2:		fuseiso-rhbz861358.patch
Patch3:		fuseiso-rhbz862211.patch
URL:		https://fuse.sourceforge.net/wiki/index.php/FuseIso
License:	GPLv2+
Summary:	FUSE module to mount ISO filesystem images
Group:		File tools
BuildRequires:	pkgconfig(fuse) >= 2.2
BuildRequires:	glib2-devel >= 2.2
BuildRequires:	pkgconfig(zlib)
Requires:	fuse >= 2.2
%description
FuseIso is a FUSE module to mount ISO filesystem images (.iso files,
.bin files, .nrg files..).

The main advantage of using this is that you don't have to be root.

%prep
%setup -q
%autopatch -p1

%build
export LDFLAGS="`pkg-config glib-2.0 --libs` -lz"
autoreconf -fi
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS COPYING NEWS ChangeLog README
%{_bindir}/%{name}



