%bcond_with bootstrap

Name:             fusesource-pom
Version:          1.12
Release:          %mkrel 8
Group:		  Development/Java
Summary:          Parent POM for FuseSource Maven projects
License:          ASL 2.0
URL:              https://fusesource.com/

Source0:          https://repo1.maven.org/maven2/org/fusesource/fusesource-pom/%{version}/fusesource-pom-%{version}.pom
Source1:          https://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:        noarch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:    maven-local
%endif

%description
This is a shared POM parent for FuseSource Maven projects

%prep
%setup -c -T
cp %{SOURCE0} pom.xml
cp -p %{SOURCE1} LICENSE

%pom_remove_plugin :maven-scm-plugin

# WebDAV wagon is not available in Fedora.
%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-webdav-jackrabbit']]"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE

