Name:           fwbuilder
Summary:        Firewall Builder
Url:            http://www.fwbuilder.org/
Version:        6.0.0
Release:        %mkrel 0.8
License:        GPLv2+
Group:          System/Networking
Source:         https://github.com/fwbuilder/fwbuilder/archive/%name-%version-beta.tar.gz
#Patch1:         0001-fix-qt5-compile-error.patch
#Patch2:         0001-Build-allow-to-skip-implicit-configure-call.patch
#Patch3:         0001-Build-fix-script-to-handle-potential-empty-FLAGS.patch
#Patch4:         0001-C-exception-specifications-are-deprecated-in-C-11.patch
#Patch5:         0001-feat-Use-C-14-and-stricter-compile-warnings.patch
#Patch6:         0001-chore-Let-qmake-respect-CXXFLAGS-environment-variabl.patch
Patch100:       fwbuilder-4.2.0-recognize-mageia.patch
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  cmake(Qt5)
BuildRequires:  qt5-devel
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	net-snmp-devel
BuildRequires:	qttools5
BuildRequires:	git
BuildRequires:	qtbase5-common-devel

%description
Firewall administration tool.

%prep
%setup -q -n %name-%version-beta
%autopatch -p1

%build
NOCONFIGURE=1 ./autogen.sh
export CXXFLAGS="-Wno-error %{optflags}"
%configure \
	--with-templatedir=%{_datadir}/%{name} \
	--with-docdir=%{_datadir}/doc/%{name} \
	--with-qtdir=%{_libdir}/qt5
%make_build

%install
%make_install INSTALL_ROOT=%buildroot


%files
%doc %{_docdir}/%{name}
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
