%define major   0
%define libname %mklibname gme %{major}
%define devname %mklibname gme -d

Name:       game-music-emu
Version:    0.6.4
Release:    %mkrel 1
Summary:    Game Music Emulators library
Group:      System/Libraries
License:    LGPLv2+
Url:        https://github.com/libgme/game-music-emu
Source0:    %{url}/archive/%{version}/game-music-emu-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(zlib)

%description
This is a collection of video game music file emulators that supports a
variety of formats and systems.

%package -n %{libname}
Group:      System/Libraries
Summary:    Game Music Emulators library

%description -n %{libname}
This is a collection of video game music file emulators that supports a
variety of formats and systems.

%package -n %{devname}
Group:      Development/C++
Summary:    Game Music Emulators development library
Requires:   %{libname} = %{version}-%{release}
Provides:   libgme-devel = %{version}-%{release}
Provides:   game-music-emu-devel = %{version}-%{release}

%description -n %{devname}
This is a collection of video game music file emulators that supports a
variety of formats and systems.

%prep
%autosetup -p1

%build
%cmake \
  -D ENABLE_UBSAN:BOOL=OFF \
  -D GME_BUILD_STATIC:BOOL=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc readme.txt gme.txt
%{_libdir}/libgme.so.%{major}{,.*}

%files -n %{devname}
%doc changes.txt design.txt
%{_includedir}/gme/
%{_libdir}/libgme.so
%{_libdir}/pkgconfig/libgme.pc
