Name:		ganyremote
Version:	8.1.1
Release:	%mkrel 2
Summary:	GTK front-end for anyRemote
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://anyremote.sourceforge.net/
Source0:	https://sourceforge.net/projects/anyremote/files/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-Port-to-Ayatana-AppIndicator.patch
BuildArch:	noarch

Requires:	python3dist(pygobject)
Requires:	python3dist(pybluez)
Requires:	anyremote >= 6.7
Requires:	bluez

%description
gAnyRemote package is GTK GUI front-end for anyRemote. It provides remote
control service on Linux through Bluetooth, InfraRed, Wi-Fi or TCP/IP
connection.

%prep
%setup -q
%autopatch -p1


%build
%configure
%make_build

%install
%make_install

%find_lang %{name}

# we'll cp our own doc files
rm -rf %{buildroot}%{_datadir}/doc

%files -f %{name}.lang
%doc NEWS README AUTHORS
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}*.png
