Name:           garmindev
Version:        0.3.4
Release:        %mkrel 11
Summary:        Drivers for communication with Garmin GPS devices
Group:          System/Libraries
License:        GPLv2+
URL:            http://www.qlandkarte.org
Source0:        https://downloads.sourceforge.net/qlandkartegt/%{name}-%{version}.tar.gz
Provides:       %{name}(interface) = 1.18
BuildRequires:  cmake
BuildRequires:  pkgconfig(libusb)

%description
Drivers for communication with Garmin GPS devices used by QLandkarteGT.

%prep
%setup -q

%build
export CXXFLAGS="%{optflags} -fno-strict-aliasing -fsigned-char"
%cmake
%cmake_build

%install
%cmake_install

# fix perms on plugins
find %{buildroot}%{_libdir}/qlandkartegt -type f -exec chmod 0755 {} \;

# drop the development files
rm -rf %{buildroot}%{_includedir}/garmin
rm -rf %{buildroot}%{_libdir}/qlandkartegt/libgarmin*

%files
%{_libdir}/qlandkartegt/
