Name:		gccmakedep
Version:	1.0.4
Release:	%mkrel 1
Summary:	Create dependencies in makefiles using 'gcc -M'
Group:		System/X11
License:	MIT
URL:		https://xorg.freedesktop.org
Source:		https://xorg.freedesktop.org/releases/individual/util/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	x11-util-macros >= 1.0.1

%description
Create dependencies in makefiles using 'gcc -M'.

%prep
%autosetup

%build
%configure 	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir}
%make_build

%install
%make_install

%files
%{_bindir}/gccmakedep
%{_mandir}/man1/gccmakedep.*
