Summary:	Extra plugins for gedit
Name:		gedit-plugins
Version:	48.1
Release:	%mkrel 4
License:	GPLv2+
Group:		Editors
URL:		https://wiki.gnome.org/Apps/Gedit/ShippedPlugins
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		0001-Fix-Gedit-typelib-loading-from-private-location-and-.patch
BuildRequires:	meson
BuildRequires:	pkgconfig(gedit) >= %{url_ver}
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libpeas-1.0)
BuildRequires:	pkgconfig(libpeas-gtk-1.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-gobject3
BuildRequires:	appstream
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	vala
Requires:	gedit >= %{url_ver}
Requires:	python3-gobject3

%description
gEdit is a small but powerful text editor designed expressly
for GNOME.

It includes such features as split-screen mode, a plugin
API, which allows gEdit to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

This package contains some extra plugins for gEdit, extending gEdit
functionality.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang gedit --with-gnome
%find_lang %name --with-gnome

cat gedit.lang >> %name.lang

%files -f %{name}.lang
%doc NEWS README.md
%{_datadir}/glib-2.0/schemas/*.xml
%{_libdir}/gedit/plugins/*
%{_datadir}/gedit/plugins/*
%{_metainfodir}/gedit-*.metainfo.xml
