Summary:	Download and Install Telegram Desktop
Name:		get-telegram
Version:	1.7.7
%define subrel 1
Release:	%mkrel 3
License:	GPLv3
Group:		Networking/Instant messaging
URL:		https://desktop.telegram.org
BuildArch:	noarch

Requires:	wget
Requires:	xz
Requires:	zenity

Source0:	get-telegram
Source1:	telegramdesktop.desktop
Source2:	icon.png

%description
This is a downloader script for Telegram Desktop.

This package does not contain any program files. By installing this
package you'll get the option to download and install Telegram from
desktop.telegram.org.
Removing this package won't uninstall Telegram from your system. You
can do this manually by removing "~/.TelegramDesktop" directory
and its desktop launcher in '~/.local/share/applications'.

%install
install -d -m 0755 %{buildroot}%{_bindir}
install -m 755 %{SOURCE0} %{buildroot}%{_bindir}/get-telegram
install -d -m 0755 %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/

install -d -m 0755 %{buildroot}%{_iconsdir}
install -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}/telegram.png
install -d -m 0755 %{buildroot}%{_iconsdir}/hicolor/256x256/apps
install -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/256x256/apps/telegram.png

%files
%{_bindir}/get-telegram
%{_datadir}/applications/telegramdesktop.desktop
%{_iconsdir}/telegram.png
%{_iconsdir}/hicolor/*/apps/telegram.png
