%define	tarname	GetLive_3_0
Name: 	 	getlive
Summary: 	Fetches mail from a Hotmail or Hotmail Live account
Version: 	3.0
Release: 	%mkrel 4
Epoch:		1
Source:		https://sourceforge.net/projects/getlive/files/%{tarname}.tgz
URL:		https://sourceforge.net/projects/getlive/
License:	GPLv2
Group:		Networking/Mail
Requires:	curl
BuildArch:	noarch
Obsoletes:	gotmail
Provides:	gotmail

%description
GetLive is a perl script that fetches mail from your Hotmail or Hotmail
Live account. The mail is then presented to any filter (typically
procmail) for further processing or dropping in a local mailbox.

The scripts keeps track of all downloaded message-ids to avoid double
fetching.

Messages can be marked read or moved to a folder after being downloaded.

%prep
%setup -q -n %tarname

%build
										
%install
mkdir -p %{buildroot}/%_bindir
install -m 755 GetLive.pl %{buildroot}/%_bindir/

%files
%doc ChangeLog License Manual
%{_bindir}/*


