%define	oname	bimp
%define abi_version 2.0

Name:		gimp-plugin-bimp
Summary:	Batch Image Manipulation Plugin
Version:	2.6
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphics/Editors and Converters
Url:		https://www.alessandrofrancesconi.it/projects/bimp/
Source0:	https://github.com/alessandrofrancesconi/gimp-plugin-bimp/archive/v%{version}/%{name}-%{version}.tar.gz
# https://github.com/alessandrofrancesconi/gimp-plugin-bimp/issues/411
Patch1:		0001-added_-fpermissive-flag-to-resolve-compile-error.patch
BuildRequires:	pkgconfig(gimp-%{abi_version})
Requires:	gimp >= 2.6.0
Provides:	%{oname} = %{version}

%description
Use BIMP to apply a set of GIMP manipulations to groups of images.
It provides an easy to use interface and a lot of functions!
It's written in C using the latest GTK directives.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build

%install
install -D -m755 bin/%{oname} %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins/%{oname}
cp -af bimp-locale/ %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins/

# remove unneeded files
find %{buildroot} -name "*.po" -delete

%files
%{_libdir}/gimp/%{abi_version}/plug-ins/%{oname}
%{_libdir}/gimp/%{abi_version}/plug-ins/%{oname}-locale/
