# $Id$


Summary: Concert git log to GNU ChangeLog format
Name:    git2cl
Version: 20080827
Release: %mkrel 10
License: GPLv2
Group:   System/Configuration
URL:     https://josefsson.org/%{name}/
Source0:  https://josefsson.org/%{name}/%{name}
Source1:  https://josefsson.org/%{name}/COPYING
Source2:  https://josefsson.org/%{name}/README
Source3:  https://josefsson.org/%{name}/README.html
Requires:       git
BuildArch:      noarch

%description
This is a quick'n'dirty tool to convert git logs to GNU ChangeLog format.
The tool invokes git log internally unless you pipe a log to it. 
This is similar to cvs2cl or svn2cl for git.

%install
%{__mkdir_p} %{buildroot}%{_bindir}
%{__install} -p -m 0755  %{SOURCE0} %{buildroot}%{_bindir}
%{__install} -p -m 0644  %{SOURCE1} %{SOURCE2} %{SOURCE3} .

%files
%doc README COPYING README.html
%{_bindir}/*
