%define git 662c5c1

Summary: Mono bindings for the GKeyFile library
Name: gkeyfile-sharp
Version: 0.1
Release: %mkrel 14
# https://github.com/mono/gkeyfile-sharp/tarball/GKEYFILE_SHARP_0_1
Source0: %{name}-%{version}.tar.gz
Patch0: gkeyfile-sharp-0.1-fix-dllimports.patch
License: LGPLv2+
Group: System/Libraries
Url: https://github.com/mono/gkeyfile-sharp
BuildArch: noarch
BuildRequires: pkgconfig(mono)
BuildRequires: glib2-devel
BuildRequires: glib-sharp2 >= 2.12.9
BuildRequires: pkgconfig(gapi-2.0)
Requires: glib2
#gw filter out deps from *.dll.config
%global __requires_exclude ^lib.*0$

%description
This is a Mono binding for the GKeyFile library.

%package devel
Summary: Development files for %name
Requires: %name = %version-%release
Group: Development/Other

%description devel
This is a Mono binding for the GKeyFile library.

%prep
%setup -q -n mono-%name-%git
sed -i "s#gmcs#mcs#g" configure.in
%autopatch -p1
./autogen.sh

%build
./configure --prefix=%_prefix --libdir=%_prefix/lib
%make_build

%install
%make_install pkgconfigdir=%_datadir/pkgconfig

%files
%doc AUTHORS
%_prefix/lib/mono/%name
%_prefix/lib/mono/gac/%name

%files devel
%_datadir/pkgconfig/%name.pc


