Name:       glpi-plugin-archires
Version:    2.5.1
Release:    %mkrel 3
Summary:    Network reporting plugin
License:    GPL
Group:      Monitoring
Url:        https://plugins.glpi-project.org/#/plugin/archires
Source0:    https://forge.glpi-project.org/attachments/download/2235/glpi-archires-%{version}.tar.gz
Source1:    pack.mg_dvl.tar.bz2
Requires:   graphviz
Requires:   glpi >= 9.2
BuildArch:  noarch

%description
This plugin allow you to generate automatically a graphical representation of
the network architecture.

%prep
%setup -q -n archires
%setup -q -T -D -a 1 -n archires
find . -type f | xargs chmod 644
find . -type d | xargs chmod 755

%install

install -d -m 755 %{buildroot}%{_datadir}/glpi/plugins/archires
cp -ap * %{buildroot}%{_datadir}/glpi/plugins/archires

%files
%{_datadir}/glpi/plugins/archires


