Name:       glpi-plugin-datainjection
Version:    2.7.0
Release:    %mkrel 2
Summary:    Data import plugin
License:    GPL
Group:      Monitoring
Url:        https://plugins.glpi-project.org/#/plugin/datainjection
Source0:    https://github.com/pluginsGLPI/datainjection/releases/download/2.5.0/glpi-datainjection-%{version}.tar.bz2
Requires:   glpi >= 9.4
BuildArch:  noarch

%description
This plugin allows data import into GLPI using CSV files
It allows to create models of injection for a future re-use. It's been created
in order to :
- Import data coming from others asset management software
- Inject electronic delivery forms
Data to be imported using the plugins are :
- Inventory data (except software and licenses)
- Management data (contract, contact, supplier)
- Configuration data (user, group, entity)

%prep
%setup -q -n datainjection

%install
install -d -m 755 %{buildroot}%{_datadir}/glpi/plugins/datainjection
cp -ap * %{buildroot}%{_datadir}/glpi/plugins/datainjection

%files
%{_datadir}/glpi/plugins/datainjection
