# exclude PHP dependencies as long as their usage is not proven
%define __requires_exclude_from ^%{_datadir}/.*$

Name:       glpi-plugin-fusioninventory
Version:    9.4+2.4
Release:    %mkrel 1
Epoch:      1
Summary:    FusionInventory GLPI plugin
License:    GPL
Group:      Monitoring
Url:        https://www.fusioninventory.org/
Source0:    https://github.com/fusioninventory/fusioninventory-for-glpi/releases/download/glpi9.4.0%2B1.0/fusioninventory-%{version}.tar.bz2
BuildArch:  noarch
Requires:   glpi >= 9.4
Requires:   php-fileinfo

%description
This plugin enables you to manage fusioninventory agents from GLPI.

%prep
%setup -q -n fusioninventory

%install
install -d -m 755 %{buildroot}%{_datadir}/glpi/plugins/fusioninventory

cp -ap * %{buildroot}%{_datadir}/glpi/plugins/fusioninventory
rm -rf %{buildroot}%{_datadir}/glpi/plugins/fusioninventory/docs
rm -rf %{buildroot}%{_datadir}/glpi/plugins/fusioninventory/LICENSE

%files
%doc docs/* LICENSE
%{_datadir}/glpi/plugins/fusioninventory
