Name:       glpi-plugin-genericobject
Version:    2.7.0
Release:    %mkrel 2
Summary:    Add new inventory objects
License:    GPL
Group:      Monitoring
Url:        https://plugins.glpi-project.org/#/plugin/genericobject
Source0:    https://github.com/pluginsGLPI/genericobject/releases/download/2.5.0/glpi-genericobject-%{version}.tar.bz2
Requires:   glpi >= 9.4
BuildArch:  noarch

%description
This plugin allows you to add new inventory types without programming. It
manages :
- Type creation
- Available fields
- Framework integration (Helpdesk, loans, templates, etc.)
- Integration with the file injection plugin

%prep
%setup -q -n genericobject
find . -type f | xargs chmod 644

%install
install -d -m 755 %{buildroot}%{_datadir}/glpi/plugins/genericobject
cp -ap * %{buildroot}%{_datadir}/glpi/plugins/genericobject

%files
%{_datadir}/glpi/plugins/genericobject


