Name:       glpi-plugin-racks
Version:    1.8.0
Release:    %mkrel 3
Summary:    Bay management plugin
License:    GPL
Group:      Monitoring
Url:        https://plugins.glpi-project.org/#/plugin/racks
Source0:    https://github.com/InfotelGLPI/racks/releases/download/1.8.0/glpi-racks-%{version}.tar.gz
Requires:   glpi >= 9.2
BuildArch:  noarch

%description
This plugin allows you to create bays. Manage the placement of your materials
in your bays. And so know the space and its power consumption and heat
dissipation.

%prep
%setup -q -n racks
find . -type f | xargs chmod 644
find . -type d | xargs chmod 755

%install
install -d -m 755 %{buildroot}%{_datadir}/glpi/plugins/racks
cp -ap * %{buildroot}%{_datadir}/glpi/plugins/racks

%files
%{_datadir}/glpi/plugins/racks

