Name:		gmt-dcw
Summary:	Digital Chart of the World (DCW) for GMT
Version:	2.2.0
Release:	%mkrel 1
License:	LGPLv3+
Group:		Sciences/Geosciences
Url:		https://www.soest.hawaii.edu/pwessel/dcw/
Source0:	https://github.com/GenericMappingTools/dcw-gmt/releases/download/%{version}/dcw-gmt-%{version}.tar.gz
BuildArch:	noarch
Provides:	dcw-gmt = %{version}-%{release}
Provides:	dcw = %{version}-%{release}

%description
DCW-GMT is an enhancement to the original 1:1,000,000 scale vector basemap of
the world available from the Princeton University Digital Map and Geospatial
Information Center and from GeoCommunity at
http://data.geocomm.com/readme/dcw/dcw.html.

This data is for use by GMT, the Generic Mapping Tools.

%prep
%setup -qn dcw-gmt-%{version}

%build
#nothing

%install
mkdir -p %{buildroot}%{_datadir}/gmt/dcw/
cp -a dcw* %{buildroot}%{_datadir}/gmt/dcw/

%files
%license LICENSE
%doc README* ChangeLog
%{_datadir}/gmt/dcw/
