Name:		gmt-gshhg
Summary:	Global Self-consistent Hierarchical High-resolution Geography (GSHHG)
Version:	2.3.7
Release:	%mkrel 4
Group:		Sciences/Geosciences
License:	LGPLv3+
Url:		https://www.soest.hawaii.edu/pwessel/gshhg/
Source0:	https://www.soest.hawaii.edu/pwessel/gshhg/gshhg-gmt-%{version}.tar.gz
BuildArch:	noarch
Provides:	gshhg = %{version}-%{release}

%description
GSHHG is a high-resolution shoreline data set amalgamated from two databases:
Global Self-consistent Hierarchical High-resolution Shorelines (GSHHS) and
CIA World Data Bank II (WDBII). GSHHG contains vector descriptions at five
different resolutions of land outlines, lakes, rivers, and political
boundaries. This data is for use by GMT, the Generic Mapping Tools.

%prep
%setup -qn gshhg-gmt-%{version}

%build
#nothing

%install
mkdir -p %{buildroot}%{_datadir}/gmt/gshhg/
cp -a *.nc %{buildroot}%{_datadir}/gmt/gshhg/

%files
%license LICENSE* COPYING*
%doc README.TXT
%{_datadir}/gmt/gshhg/
