Name:		gmtp
Summary:	Simple MP3 and Media player client
Version:	1.3.11
Release:	%mkrel 6
License:	BSD
Group:		Sound/Utilities
Url:		https://gmtp.sourceforge.io/
Source0:	https://download.sourceforge.net/gmtp/gmtp-%{version}.tar.gz
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libmtp)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	pkgconfig(vorbisfile)

%description
Supports MTP devices including those with multiple storage devices
(typically mobile phones). Supports Drag'n'Drop interface for
upload/download of files.

%prep
%setup -q

%build
%define _legacy_common_support 1
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/gmtp
%{_datadir}/applications/gmtp.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.gmtp.gschema.xml
%{_datadir}/gmtp/
%{_datadir}/pixmaps/gmtpicon.png
