Summary:	A Nomad Jukebox manager
Name:		gnomad2
Version:	2.9.6
Release:	%mkrel 15
License:	GPLv2+
Group:		Communications/Mobile
URL:		https://gnomad2.sourceforge.net/
Source0:	https://downloads.sourceforge.net/project/gnomad2/gnomad2/Gnomad%20%{version}/%{name}-%{version}.tar.gz
Patch0:		0001-werror_format_security.patch
Patch1:		1001-gtk_set_can_default.patch
Patch2:		1002-gtk2_to_gtk3.patch
Patch3:		gcc-10.patch
Patch4:		missing-prototypes.patch
BuildRequires:	pkgconfig(libnjb) >= 2.2.4
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(libmtp) >= 0.3.0
BuildRequires:	pkgconfig(taglib_c)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	intltool

%description
Gnomad 2 is a GUI built on top of GTK/GNOME, libid3tag and libnjb that
makes it possible to transfer tracks and files from/to a
Creative Nomad Jukebox (all brands). It is designed much like
an ordinary graphical FTP program.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%find_lang %{name}

install -d %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
for i in 16x16 32x32 48x48; do
    convert -resize $i %{name}-logo.png %{buildroot}%{_iconsdir}/hicolor/$i/apps/%{name}-logo.png
done

%files -f %{name}.lang
%doc AUTHORS NEWS ChangeLog README TODO
%{_bindir}/%{name}
%{_datadir}/application-registry/%{name}.applications
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}-logo.png
%{_iconsdir}/hicolor/*/apps/%{name}-logo.png
%{_mandir}/man1/%{name}.1*
