%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-common
Summary:	Gnome-common contains useful things common to building gnome packages
Version:	3.18.0
Release:	%mkrel 9
License: 	GPLv3
Group:		Development/GNOME and GTK+
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL: 		https://www.gnome.org/
Requires:	common-licenses
BuildRequires:	pkgconfig
BuildRequires:	gawk
# gnome-common requires the following to properly run
Requires:	automake
Requires:	autoconf
Requires:	autoconf-archive
Requires:	m4
Requires:	intltool
Requires:	gettext-devel
Requires:	gtk-doc
# depends on ./configure.ac
Recommends:	yelp-tools
Recommends:	appdata-tools
Recommends:	glib-gettextize
Recommends:	itstool
Recommends:	yelp-devel
Recommends:	appstream-util
BuildArch:	noarch

%description
A module that is required only when building GNOME from the
repository. It is not needed to run GNOME.

%prep
%setup -q
%autopatch -p1

%build
%configure --with-autoconf-archive
%make_build

%install
%make_install

%files
%doc COPYING
%{_bindir}/*
%{_datadir}/aclocal/*.m4
#{_datadir}/gnome-common
