%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-directory-thumbnailer
Version:	0.1.11
Release:	%mkrel 5
Summary:	Thumbnailer for directories

Group:		Graphical desktop/GNOME
License:	LGPLv2+
URL:		https://wiki.gnome.org/GnomeDirectoryThumbnailer
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# https://gitlab.gnome.org/GNOME/gnome-directory-thumbnailer/-/issues/8
Patch1:		temp-ftbfs.patch
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
Buildrequires:	pkgconfig(gtk+-3.0)
Buildrequires:	pkgconfig(gnome-desktop-3.0)

BuildRequires:	intltool

%description
Thumbnailer for directories based on some heuristics.


%prep
%setup -q
%autopatch -p1

%build
%configure --disable-silent-rules
%make_build


%install
%make_install
%find_lang %{name}


%files -f %{name}.lang
%{_bindir}/gnome-directory-thumbnailer
%dir %{_datadir}/thumbnailers
%{_datadir}/thumbnailers/gnome-directory-thumbnailer.thumbnailer
%doc AUTHORS NEWS README
%license COPYING


