%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-mime-data
Summary:	The GNOME virtual file-system libraries
Version:	2.18.0
Release:	%mkrel 16
License:	GPL+
Group:		System/Libraries
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
# (fc) fix default html viewer
Patch0:		gnome-mime-data-2.4.1-html.patch
# (fc) use OOo in preference of abiword (rawhide)
Patch1:		gnome-mime-data-2.4.1-openoffice.patch
# (fc) fix default applications (Mdv bug 1505) (rawhide)
Patch2:		gnome-mime-data-2.4.2-default-applications.patch
# (fc) add gdesklet magic detection (Mdv bug 4790)
Patch3:		gnome-mime-data-2.18.0-gdesklet.patch
URL:		https://www.gnome.org/
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	perl(XML::Parser)
BuildArch:	noarch

%description
The GNOME MIME database contains a basic set of applications and MIME
types for a GNOME system.

%prep
%setup -q
%autopatch -p1

%build
# to recognize aarch64
autoreconf -vfi

%configure --build=%_host
%make

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog README
%config(noreplace) %{_sysconfdir}/gnome-vfs-mime-magic
%{_datadir}/application-registry
%{_datadir}/mime-info/*
%{_datadir}/pkgconfig/*.pc
