%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}typelib\\((Gd|GdPrivate)\\)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}typelib\\((Gd|GdPrivate)\\)

Name:		gnome-music
Version:	47.1
Release:	%mkrel 3
Summary:	Music player and management application
License:	(GPLv2+ with exceptions) and CC-BY-SA
Group:		Sound/Players
URL:		https://wiki.gnome.org/Design/Apps/Music
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		0001-build-Detect-GIRepository-version-to-use-based-on-gl.patch
BuildArch:	noarch
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(goa-1.0) >= 3.35.90
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(grilo-0.3) >= 0.2.6
BuildRequires:	pkgconfig(grilo-plugins-0.3)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(libmediaart-2.0)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(tracker-sparql-3.0)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(py3cairo)
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	itstool
BuildRequires:	libxml2-utils

Requires:	gnome-settings-daemon
Requires:	grilo
Requires:	python3-dbus
Requires:	python3-gobject3
Requires:	tracker
Requires:	task-codec-audio
Requires:	grilo-plugins

%description
Music is the new GNOME music playing application.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%license LICENSE
%doc NEWS README.md
%{_bindir}/%{name}
%{python3_sitelib}/gnomemusic
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/org.gnome.Music/
%{_iconsdir}/*/*/*/*
%{_metainfodir}/org.gnome.Music.appdata.xml
