Name:		gnupod
Version:	0.99.8
Release:	%mkrel 17
Summary:	Command-line tools for the iPod
License:	GPLv3+
Group:		Communications/Mobile
URL:		https://www.gnu.org/software/gnupod/
Source0:	https://ftp.gnu.org/gnu/gnupod/%{name}-%{version}.tgz
BuildRequires:	perl(MP3::Info) 
BuildRequires:	perl(Unicode::String)
BuildRequires:	perl(XML::Parser)
BuildRequires:	perl-libwww-perl
BuildRequires:	perl(Digest::SHA1)
BuildRequires:	perl-TimeDate
Requires:	perl-MP3-Info perl-Unicode-String
Requires:	perl-XML-Parser
Provides:	gnupod-tools
BuildArch:	noarch

%description
gnuPod is a collection of tools which allow you to use your iPod under Linux.
HFS+ and FAT32 formatted iPods are supported.

%prep
%setup -q

%build
%{__perl} -pi -e 's/test \$PERL/test "\$PERL"/' configure
export PERL="%{__perl} -I%{perl_vendorlib}"
%configure

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{perl_vendorlib}
mkdir -p $RPM_BUILD_ROOT/%{_infodir}
%make_install
cp doc/%name.info $RPM_BUILD_ROOT/%{_infodir}

%files
%doc CHANGES doc/*
%{_bindir}/*
%{_mandir}/man1/*
%{perl_vendorlib}/*
%{_infodir}/*
