%global commit        4d469a3d37c21353fbd6bb306ce707dc4151fd1e
%global shortcommit   %(c=%{commit}; echo ${c:0:7})

Name:           go-srpm-macros
Version:        2
Release:        %mkrel 2
Summary:        RPM macros for building Golang packages for various architectures
Group:          Development/Other
License:        GPLv3+
Url:            https://github.com/gofed/go-macros/
Source0:        https://github.com/gofed/go-macros/archive/%{commit}/go-macros-%{shortcommit}.tar.gz
BuildArch:      noarch
# for install command
BuildRequires:  coreutils

%description
The package provides macros for building projects in Go
on various architectures.

%prep
%setup -q -n go-macros-%{commit}

%build
# nothing to build, just for hooks

%install
install -m 644 -D rpm/macros.d/macros.go-srpm %{buildroot}%{_rpmconfigdir}/macros.d/macros.go-srpm

%files
%{_rpmconfigdir}/macros.d/macros.go-srpm

