# https://github.com/andybalholm/cascadia
%global goipath         github.com/andybalholm/cascadia
Version:                1.2.0

%gometa

%global common_description %{expand:
The Cascadia package implements CSS selectors for use with the parse trees
produced by the html package.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        %mkrel 3
Summary:        CSS selector library in Go
Group:          Development/Golang

# Upstream license specification: BSD-2-Clause
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

BuildRequires:  golang(golang.org/x/net/html)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%check
%gocheck

%files
%gopkgfiles
