# Run tests in check section
%bcond_without check

# https://github.com/chzyer/test
%global goipath         github.com/chzyer/test
%global commit          a1ea475d72b168a29f44221e0ad031a842642302

%gometa

%global common_description %{expand:
Golang test utility.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:        %mkrel 2
Summary:        Golang test utility
Group:          Development/Golang
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch
BuildRequires:  golang(github.com/chzyer/logex)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

