%bcond_without check

# https://github.com/cpuguy83/go-md2man
%global goipath         github.com/cpuguy83/go-md2man
Version:                2.0.2

%gometa

%global goaltipaths     github.com/cpuguy83/go-md2man/v2

%global common_description %{expand:
Converts markdown into roff (man pages).}

%global golicenses      LICENSE.md
%global godocs          README.md go-md2man.1.md

Name:           %{goname}
Release:        %mkrel 1
Summary:        Converts markdown into roff (man pages)
Group:          Development/Golang
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildRequires:  golang(github.com/russross/blackfriday/v2)
Provides:       go-md2man = %{version}-%{release}

%description
%{common_description}

%gopkg

%prep
%goprep

%build
%gobuild -o %{gobuilddir}/bin/go-md2man %{goipath}
%{gobuilddir}/bin/go-md2man -in go-md2man.1.md -out go-md2man.1

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

install -Dpm 0644 go-md2man.1 -t %{buildroot}%{_mandir}/man1/

%if %{with check}
%check
%gocheck
%endif

%files
%doc %{golicenses}
%doc %{godocs}
%{_bindir}/*
%{_mandir}/man1/go-md2man.1*

%gopkgfiles
