# https://github.com/gorilla/context
%global goipath         github.com/gorilla/context
%global common_description %{expand:
Package gorilla/context stores values shared during a request lifetime.

For example, a router can set variables extracted from the URL and later
application handlers can access those values, or it can be used to store
sessions values to be saved at the end of a request. There are several
other common uses.}

Version:                1.1.1

%gometa

Name:           %{goname}
Release:        %mkrel 3
Summary:        A golang registry for global request variables
Group:          Development/Golang
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock
BuildArch:      noarch

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%check
%gocheck

%gopkgfiles
