# Run tests in check section
%bcond_without check

%global goipath         github.com/gregjones/httpcache
%global commit          901d90724c7919163f472a9812253fb26761123d

%global common_description %{expand:
Package httpcache provides a http.RoundTripper implementation that works 
as a mostly RFC 7234 compliant cache for http responses.}

%gometa 

Name:           %{goname}
Version:        0
Release:        %mkrel 2
Summary:        A Transport for http.Client that will cache responses according to the HTTP RFC
Group:          Development/Golang
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

BuildRequires: golang(github.com/bradfitz/gomemcache/memcache)
BuildRequires: golang(github.com/garyburd/redigo/redis)
BuildRequires: golang(github.com/peterbourgon/diskv)
BuildRequires: golang(github.com/syndtr/goleveldb/leveldb)

%description
%{common_description}

%gopkg
%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles
