# Run tests in check section
%bcond_without check

%global goipath         github.com/neelance/astrewrite
%global commit          99348263ae862cc230986ce88deaddbf7edcc034

%global common_description %{expand:
Go tool to write AST.}

%gometa

Name:           %{goname}
Version:        0
Release:        %mkrel 1
Summary:        Go tool to write AST
Group:          Development/Golang
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

%description
%{common_description}


%gometa
%global golicenses      LICENSE
%global godocs          README.md
%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gochecks
%endif

%gopkgfiles
