# Run tests in check section
%bcond_without check

%global goipath         github.com/neelance/sourcemap
%global commit          8c68805598ab8d5637b1a72b5f7d381ea0f39c31

%global common_description %{expand:
JavaScript source map reader & writer for Go.}

%gometa

Name:           %{goname}
Version:        0
Release:        %mkrel 1
Summary:        JavaScript source map reader & writer for Go
Group:          Development/Golang
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

%description
%{common_description}

%gometa
%global golicenses      LICENSE
%global godocs          README.md
%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gochecks
%endif

%gopkgfiles
