# https://github.com/pmezard/go-difflib
%global goipath         github.com/pmezard/go-difflib
Version:                1.0.0

%gometa

%global godevelheader %{expand:
Obsoletes:      golang-github-pmezard-go-difflib-devel < 0-0.15
}

%gometa

%global common_description %{expand:
Go-difflib is a partial port of python 3 difflib package. Its main goal is to
make unified and context diff available in pure Go, mostly for testing
purposes.}

%global golicenses      LICENSE
%global godocs          README.md

%global gosupfiles glide.lock glide.yaml

Name:           %{goname}
Release:        %mkrel 4
Summary:        Partial port of Python difflib package to Go
Group:          Development/Golang
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock
BuildArch: noarch

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{SOURCE1} %{SOURCE2} .

%install
%gopkginstall

%check
%gocheck

%gopkgfiles
