# Run tests in check section
%bcond_without check

%global goipath         github.com/shurcooL/httperror
%global commit          86b7830d14cca73aeceaaf08bd620c49a148dd7b

%global common_description %{expand:
Common basic building blocks for custom HTTP frameworks.}

%global golicenses      LICENSE
%gometa

Name:           %{goname}
Version:        0
Release:        %mkrel 1
Summary:        Common basic building blocks for custom HTTP frameworks
Group:          Development/Golang
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

%description
%{common_description}

%gopkg
%prep
%goprep

%install
%gopkginstall


%if %{with check}
%check
%gocheck
%endif

%gopkgfiles




