# Run tests in check section
%bcond_without check

%global goipath         github.com/shurcooL/httpfs
%global commit          8d4bc4ba774931155e6cd5ef6098cb038dd45135

%global common_description %{expand:
Collection of Go packages for working with the http.FileSystem interface.}

%gometa

Name:           %{goname}
Version:        0
Release:        %mkrel 2
Summary:        Collection of Go packages for working with the http.FileSystem interface
Group:          Development/Golang
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

BuildRequires: golang(github.com/shurcooL/httpgzip)

%description
%{common_description}


%gometa
%global golicenses      LICENSE
%global godocs          README.md
%gopkg


%prep
%goprep

%install
%gopkginstall


%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

