# Run tests in check section
%bcond_without check

%global goipath         github.com/shurcooL/httpgzip
%global commit          320755c1c1b0484e6179c9a5b68aabcc0dae5ac2

%gometa

%global common_description %{expand:
httpgzip provides net/http-like primitives that use gzip compression 
when serving HTTP requests.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:        %mkrel 2
Summary:        net/http-like primitives with gzip compression for serving HTTP requests
Group:          Development/Golang
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

BuildRequires: golang(golang.org/x/net/http/httpguts)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gochecks
%endif

%gopkgfiles

