# Run tests in check section
%bcond_without check

%global goipath         github.com/sourcegraph/annotate
%global commit          f4cad6c6324d3f584e1743d8b3e0e017a5f3a636

%global common_description %{expand:
Apply multiple sets of annotations to a region of text.}

%global golicenses      LICENSE
%global godocs          README.md
%gometa

Name:           %{goname}
Version:        0
Release:        %mkrel 2
Summary:        Apply multiple sets of annotations to a region of text
Group:          Development/Golang
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

%description
%{common_description}

%gopkg
%prep
%goprep


%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

