# Run tests in check section
%bcond_with check

%global goipath         gopkg.in/logex.v1
%global forgeurl        https://github.com/chzyer/logex
Version:                1.1.10

%gometa

%global godevelheader %{expand:
Obsoletes:      golang-github-chzyer-logex-devel < 1.1.10
}
	
%global goaltipaths     github.com/chzyer/logex

%global common_description %{expand:
A golang log lib, supports tracking and level, wrap by standard log lib.}

%global golicenses LICENSE
%global godocs README.md

Name:    %{goname}
Release: %mkrel 9
Summary: A golang log lib, supports tracking and level, wrap by standard log lib
Group:   Development/Golang
License: MIT
URL:     %{gourl}
Source:  %{gosource}
Source1: https://raw.githubusercontent.com/chzyer/logex/master/LICENSE
BuildArch:  noarch

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{SOURCE1} .

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

