# Run tests in check section
%bcond_without check

# https://github.com/chzyer/readline
%global goipath         gopkg.in/readline.v1
%global forgeurl        https://github.com/chzyer/readline
Version:                1.4
%global commit          2972be24d48e78746da79ba8e24e8b488c9880de

%gometa

%global goaltipaths     github.com/chzyer/readline

%global common_description %{expand:
Readline is a pure Go implementation of GNU Readline like library.}

%global golicenses      LICENSE
%global godocs          example CHANGELOG.md README.md

Name:           %{goname}
Release:        %mkrel 7
Summary:        Pure Go implementation of GNU Readline-like library
Group:          Development/Golang
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

%if %{with check}
# Tests
BuildRequires:  golang(github.com/chzyer/test)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles
