%define prerelease 2794b071df8850e37052fe727fcb2c00a94956a9
%define import_path github.com/howeyc/fsnotify
%define gosrc %{gopath}/src/%{import_path}
%define shortcommit %(c=%{prerelease}; echo ${c:0:7})
Summary:	File system notifications for Go
Name:		golang-howeyc-fsnotify
Version:	0.20131118
Release:	%mkrel 10
License:	MIT
Group:		Development/Golang
Url:		https://%{import_path}
Source0:	https://%{import_path}/archive/%{prerelease}.tar.gz
Provides:	golang(%{import_path}) = %{version}-%{release}
BuildRequires:	golang
BuildArch:	noarch

%description
File system notifications for Go

%prep
%setup -q -n fsnotify-%{prerelease}

%build

%install
mkdir -p %{buildroot}%{gosrc}
cp -av * %{buildroot}%{gosrc}/
rm -f %{buildroot}%{gosrc}/LICENSE
rm -f %{buildroot}%{gosrc}/README.md
rm -f %{buildroot}%{gosrc}/CHANGELOG.md
rm -f %{buildroot}%{gosrc}/AUTHORS
rm -f %{buildroot}%{gosrc}/CONTRIBUTING.md

%files
%doc LICENSE
%doc README.md
%doc CHANGELOG.md
%doc AUTHORS
%doc CONTRIBUTING.md
%{gosrc}/*
