%define import_path github.com/Sirupsen/logrus
%define gopath %{_libdir}/golang
%define gosrc %{gopath}/src/pkg/%{import_path}

Summary:	Structured logger for Go
Name:		golang-logrus
Version:	1.0.6
Release:	%mkrel 3
License:	MIT
Group:		Development/Golang
Url:		https://%{import_path}
Source0:    https://%{import_path}/archive/v%{version}.tar.gz
Provides:   golang(%{import_path}) = %{version}-%{release}
BuildArch:  noarch

%description
%{summary}

%package devel
BuildRequires:  golang >= 1.3.3
BuildRequires:  golang(github.com/stretchr/testify/assert)
Requires:   golang >= 1.3.3
Requires:   golang(github.com/stretchr/testify/assert)
Summary:    Structured logger for Go
Provides:   golang(%{import_path}) = %{version}-%{release}
Provides:   golang(%{import_path}/hooks/airbrake) = %{version}-%{release}
Provides:   golang(%{import_path}/hooks/papertrail) = %{version}-%{release}
Provides:   golang(%{import_path}/hooks/syslog) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for building other packages
which use %{import_path}

%prep
%setup -q -n logrus-%{version}

%build

%install
mkdir -p %{buildroot}%{gosrc}
for d in . */*/; do
    install -d -p %{buildroot}/%{gosrc}/$d
    cp -av $d/*.go %{buildroot}/%{gosrc}/$d
done
rm -f %{buildroot}%{gosrc}/{LICENSE,README.md}

%files
%doc LICENSE README.md

%files devel
%dir %attr(755,root,root) %{gosrc}
%dir %attr(755,root,root) %{gosrc}/*
%dir %attr(755,root,root) %{gosrc}/*/*
%{gosrc}/*.go
%{gosrc}/*/*/*.go
