%define debug_package %{nil}

%define prerelease 808e9038a20a9bda4017762270d05bb070bb6730
%define import_path github.com/mitchellh/goamz
%define gosrc %{gopath}/src/%{import_path}
%define shortcommit %(c=%{prerelease}; echo ${c:0:7})
Summary:	An Amazon Library for Go
Name:		golang-mitchellh-goamz
Version:	0.20131119
Release:	%mkrel 10
License:	LGPLv3
Group:		Development/Golang
Url:		https://%{import_path}
Source0:	https://%{import_path}/archive/%{prerelease}.tar.gz
Provides:	golang(%{import_path}) = %{version}-%{release}
BuildRequires:	golang
BuildArch:	noarch

%description
This is a fork of https://launchpad.net/goamz that adds some missing API calls
to certain packages.

%prep
%setup -q -n goamz-%{prerelease}

%build

%install
mkdir -p %{buildroot}%{gosrc}
cp -av * %{buildroot}%{gosrc}/
rm -f %{buildroot}%{gosrc}/LICENSE
rm -f %{buildroot}%{gosrc}/README.md
rm -f %{buildroot}%{gosrc}/CHANGES.md

%files
%doc LICENSE
%doc README.md
%doc CHANGES.md
%{gosrc}/*
