%define prerelease fa96272001dc9f38c074ef164133d424ee9493ed
%define import_path github.com/racker/perigee
%define gosrc %{gopath}/src/%{import_path}
%define shortcommit %(c=%{prerelease}; echo ${c:0:7})
Summary:	Go REST client optimized for use with APIs using JSON
Name:		golang-racker-perigee
Version:	0.20130901
Release:	%mkrel 10
License:	ASL 2.0
Group:		Development/Golang
Url:		https://%{import_path}
Source0:	https://%{import_path}/archive/%{prerelease}.tar.gz
Provides:	golang(%{import_path}) = %{version}-%{release}
BuildRequires:	golang
BuildArch:	noarch

%description
Perigee provides a REST client in Go that, while it should be generic enough to
use with most any RESTful API, is nonetheless optimized to the needs of the
OpenStack APIs.

%prep
%setup -q -n perigee-%{prerelease}

%build

%install
mkdir -p %{buildroot}%{gosrc}
cp -av * %{buildroot}%{gosrc}/
rm -f %{buildroot}%{gosrc}/LICENSE
rm -f %{buildroot}%{gosrc}/README.md

%files
%doc LICENSE
%doc README.md
%{gosrc}/*
