%define commit 8ce79b9f0b77745113f82c17d0756771456ccbd3
%define shortcommit %(c=%{commit}; echo ${c:0:12})
%define import_path github.com/stretchr/testify
%define gopath %{_libdir}/golang
%define gosrc %{gopath}/src/pkg/%{import_path}

Summary:	A sacred extension to the standard go testing package
Name:		golang-testify
Version:	0.git%{shortcommit}
Release:	%mkrel 5
License:	MIT
Group:		Development/Golang
Url:		https://%{import_path}
Source0:    https://%{import_path}/archive/%{commit}.tar.gz
Provides:   golang(%{import_path}) = %{version}-%{release}
BuildArch:  noarch

%description
%{summary}

%package devel
BuildRequires:  golang >= 1.3.3
Requires:   golang >= 1.3.3
Summary:    A sacred extension to the standard go testing package
Provides:   golang(%{import_path}) = %{version}-%{release}
Provides:   golang(%{import_path}/assert) = %{version}-%{release}
Provides:   golang(%{import_path}/http) = %{version}-%{release}
Provides:   golang(%{import_path}/mock) = %{version}-%{release}
Provides:   golang(%{import_path}/require) = %{version}-%{release}
Provides:   golang(%{import_path}/suite) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for building other packages
which use %{import_path}

%prep
%setup -q -n testify-%{commit}

%build

%install
mkdir -p %{buildroot}%{gosrc}
for d in . */; do
    install -d -p %{buildroot}/%{gosrc}/$d
    cp -av $d/*.go %{buildroot}/%{gosrc}/$d
done
rm -f %{buildroot}%{gosrc}/{LICENCE.txt,README.md}

%files
%doc LICENCE.txt README.md

%files devel
%dir %attr(755,root,root) %{gosrc}
%dir %attr(755,root,root) %{gosrc}/*
%{gosrc}/*.go
%{gosrc}/*/*.go
