Name:		gpa
Version:	0.10.0
Release:	%mkrel 4
Summary:	The GNU Privacy Assistant
License:	GPLv3+
Group:		File tools
URL:		https://www.gnupg.org/related_software/gpa/
Source0:	https://gnupg.org/ftp/gcrypt/gpa/%{name}-%{version}.tar.bz2
Source1:	https://gnupg.org/ftp/gcrypt/gpa/%{name}-%{version}.tar.bz2.sig
BuildRequires:	gnupg2
BuildRequires:	gpgme-devel
BuildRequires:	libassuan-devel
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(zlib)

Requires:	gnupg2

%description
The GNU Privacy Assistant is a graphical user interface for the
GNU Privacy Guard (GnuPG). GnuPG is a system that provides you with
privacy by encrypting emails or other documents and with
authentication of received files by signature management.

Install this package if you want to have an easy interface for GnuPG.

%prep
%setup -q

# allow to build with libassuan 3.x
sed -i -e 's/\(NEED_LIBASSUAN_API=\)[1-2]\+/\13/' configure.ac

%build
%global optflags %optflags -Wno-deprecated-declarations
autoreconf -fi
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README THANKS TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.*
