Summary:	Hard disk primary partition table reconstruction
Name:		gpart
Version:	0.3
Release:	%mkrel 4
License:	GPLv2+
Source0:	https://github.com/baruch/gpart/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Group:		System/Kernel and hardware
URL:		https://github.com/baruch/gpart
BuildRequires: autoconf
BuildRequires: automake

%description
A tool which tries to guess the primary partition table of a PC-type hard disk
in case the primary partition table in sector 0 is damaged, incorrect or
deleted. The guessed table can be written to a file or device. Supported
(guessable) filesystem or partition types: DOS/Windows FAT, Linux ext2 and
swap, OS/2 HPFS, Windows NTFS, FreeBSD and Solaris/x86 disklabels, Minix FS,
QNX 4 FS, Reiser FS, LVM physical volumes, BeOS FS, SGI XFS.

%prep

%setup -q

%build
autoreconf -s -i
%configure
%make_build

%install
%make_install

%files
%doc Changes README.md
%{_sbindir}/%{name}
%{_mandir}/man8/*



