Name:		gpgpwd
Version:	0.7.2
Release:	%mkrel 4
Summary:	Terminal-based password manager
Url:		https://random.zerodogg.org/gpgpwd/
License:	GPLv3+
Group:		File tools
Source0:	http://files.zerodogg.org/gpgpwd/%{name}-%{version}.tar.bz2
BuildArch:	noarch
Requires:	gnupg2
Recommends:	xclip

%description
gpgpwd is a terminal-based password manager. It stores a list of passwords
in a GnuPG encrypted file, and allows you to easily retrieve, change and add
to that file as needed. It also generates random passwords that you can use,
easily allowing you to have one "master password" (for your GnuPG key), with
one unique and random password for each website or service you use, ensuring
that your other accounts stay safe even if one password gets leaked.

gpgpwd can also utilize git to allow you to easily synchronize your
passwords between different machines.


%prep
%setup -q

%build

%install
%make_install prefix=%{buildroot}%{_prefix}

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%doc NEWS
