%define extraversion %nil

Summary:	Command line utilities to access digital cameras
Name:		gphoto2
Version:	2.5.28
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphics/Photography
Url:		https://sourceforge.net/projects/gphoto/
Source0:	https://downloads.sourceforge.net/gphoto/%{name}-%{version}%{?extraversion:%extraversion}.tar.bz2
Patch1:		use-CDK_CONST-to-match-whatever-const-mode-cdk-was-built-.patch
Requires:	libgphoto-common
BuildRequires:	pkgconfig(libgphoto2) >= %{version}
BuildRequires:	cdk-devel
BuildRequires:	pkgconfig(libexif) >= 0.3.2
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	libaa-devel
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(readline)

%description
The gPhoto2 project is a universal, free application and library
framework that lets you download images from several different
digital camera models, including the newer models with USB
connections. Note that
a) for some older camera models you must use the old "gphoto" package.
b) for USB mass storage models you must use the driver in the kernel.

This package contains the command-line utility gphoto2.

%prep
%autosetup -p1 -n %{name}-%{version}%{?extraversion:%extraversion}

%build
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS ChangeLog README TODO gphoto2/test-hook.sh
%{_bindir}/*
%{_mandir}/*/*
