Name:    gputils
Version: 1.5.2
Release: %mkrel 2
Summary: A collection of tools for the Microchip (TM) PIC micro-controllers
License: GPLv2+
Group:   Development/Other
Url:     https://gputils.sourceforge.net/
Source0: https://downloads.sourceforge.net/gputils/%{name}-%{version}.tar.gz

BuildRequires: bison
BuildRequires: flex

%description
GPUTILS is a collection of tools for the Microchip (TM) PIC micro-controllers.
It includes gpasm, gplink, and gplib.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%files
%doc README
%{_datadir}/%{name}
%{_mandir}/man1/*.1*
%lang(fr) %{_mandir}/fr/man1/*
%{_bindir}/*
%{_docdir}/%{name}-%{version}/html
