#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           granatier
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        KDE Bomberman game
Group:          Games/Arcade
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/granatier/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Svg)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  cmake(KDEGames6)

Recommends:     granatier-handbook


%description
Granatier is a clone of the classic Bomberman game, inspired by the work of the
Clanbomber clone.

%files -f %name.lang
%_kf6_categoriesdir/granatier.*categories
%_kf6_bindir/granatier
%_kf6_datadir/granatier/
%_kf6_datadir/config.kcfg/granatier.kcfg
%_kf6_iconsdir/*/*/apps/granatier.*
%_kf6_metainfodir/*.xml
%_kf6_applicationsdir/org.kde.granatier.desktop

#------------------------------------------------------------------------------

%package -n granatier-handbook
Summary:        Granatier handbook
Group:          Documentation
BuildArch:      noarch
Requires:       granatier >= %{epoch}:%{version}-%{release}

%description -n granatier-handbook
This package provides granatier handbook.

%files -n granatier-handbook
%_kf6_docdir/HTML/*/granatier

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
