%define oname	moodbar

Name:		gstreamer1.0-moodbar
Summary:	Audio timeline visualization
Version:	1.3.0
Release:	%mkrel 1
Group:		Sound/Utilities
License:	GPLv3+
Url:		https://github.com/exaile/moodbar
Source0:	https://github.com/exaile/moodbar/releases/download/v%{version}/moodbar-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-audio-1.0)
BuildRequires:	pkgconfig(fftw3)
Requires:	gstreamer1.0-plugins-ugly
Provides:	moodbar = %{EVRD}

%description
Moodbar is a music visualization method that assigns colors to different parts
of a track and presents them as a timeline. Applied to a music player, the main
goal is to help the user navigate within a particular track. For example, if
the user wants to skip to the first chorus of a song, a good moodbar
implementation should be able to provide a hint of where this might occur in
the timeline.

%prep
%setup -qn moodbar-%{version}

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%doc README.md
%{_bindir}/moodbar
