%global __requires_exclude	typelib\\\(AppIndicator\\\)

Summary:	A Gtk+ time tracking application
Name:		gtimelog
Version:	0.12.0
Release:	%mkrel 2
Group:		Office/Utilities
License:	GPLv2
URL:		https://gtimelog.org/
Source0:	https://github.com/gtimelog/gtimelog/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
Requires:	python3-gobject3
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description
GTimeLog is a small Gtk+ app for keeping track of your time. It's main goal
is to be as unintrusive as possible.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

mkdir -p %{buildroot}%{_datadir}/applications

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
		%{name}.desktop

#icon
mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps/
ln -s %{python3_sitelib}/%{name}/%{name}.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%files
%doc CHANGES.rst CONTRIBUTING.rst gtimelog.rst README.rst TODO.rst
%doc src/gtimelog/CONTRIBUTORS.rst
%{_bindir}/%{name}
%{python3_sitelib}/%{name}-%{version}.dist-info/
%{python3_sitelib}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
