%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define api	4.0
%define major	0
%define libname	%mklibname gtksourceviewmm %{api} %{major}
%define devname	%mklibname -d gtksourceviewmm %{api}

Summary:	Source code viewing library
Name:		gtksourceviewmm
Version:	3.91.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		Editors
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/gtksourceviewmm/%{url_ver}/gtksourceviewmm-%{version}.tar.xz
BuildRequires:	pkgconfig(glibmm-2.4)
BuildRequires:  pkgconfig(gtksourceview-4)
BuildRequires:	pkgconfig(gtkmm-3.0)
BuildRequires:	doxygen

%description
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

This package contains the C++ language bindings for GtkSourceview.

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Source code viewing library
Group:	System/Libraries

%description -n %{libname}
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

This package contains the C++ language bindings for GtkSourceview.

%files -n %{libname}
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/libgtksourceviewmm-%{api}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{devname}
Summary:        Libraries and include files for GtkSourceView
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       libgtksourceviewmm%{api}-devel = %{version}-%{release}
Provides:       libgtksourceviewmm4-devel = %{version}-%{release}
Provides:       gtksourceviewmm%{api}-devel = %{version}-%{release}
Provides:       gtksourceviewmm4-devel = %{version}-%{release}

%description -n %{devname}
GtkSourceView development files.

This package contains the C++ language bindings for GtkSourceview.

%files -n %{devname}
%doc %{_datadir}/doc/gtksourceviewmm-%{api}/
%{_datadir}/devhelp/books/gtksourceviewmm-%{api}/
%{_libdir}/libgtksourceviewmm-%{api}.so
%{_includedir}/gtksourceviewmm-%{api}/
%{_libdir}/pkgconfig/gtksourceviewmm-%{api}.pc
%{_libdir}/gtksourceviewmm-%{api}/

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install
