%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define api		3.0
%define lib_major	0
%define lib_name	%mklibname gtksourceviewmm %{api} %{lib_major}
%define develname	%mklibname -d gtksourceviewmm %{api}

Summary:	Source code viewing library
Name:		gtksourceviewmm%{api}
Version:	3.21.3
Release:	%mkrel 6
License:	LGPLv2+
Group:		Editors
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/gtksourceviewmm/%{url_ver}/gtksourceviewmm-%{version}.tar.xz
BuildRequires:  pkgconfig(gtksourceview-3.0) >= 3.18.0
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.46.1
BuildRequires:	pkgconfig(gtkmm-3.0) >= 3.18.0
BuildRequires:	doxygen

%description
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

This package contains the C++ language bindings for GtkSourceview.

#--------------------------------------------------------------------

%package -n %{lib_name}
Summary:	Source code viewing library
Group:	System/Libraries

%description -n %{lib_name}
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

This package contains the C++ language bindings for GtkSourceview.

%files -n %{lib_name}
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/libgtksourceviewmm-%{api}.so.%{lib_major}{,.*}

#--------------------------------------------------------------------

%package -n %develname
Summary:        Libraries and include files for GtkSourceView
Group:          Development/C++
Requires: 	%lib_name = %version
Provides:	libgtksourceviewmm%{api}-devel = %{version}-%{release}
Provides:	gtksourceviewmm3-devel = %{version}-%{release}

%description -n %develname
GtkSourceView development files.

This package contains the C++ language bindings for GtkSourceview.

%files -n %develname
%doc %_datadir/doc/gtksourceviewmm-%{api}/
%_datadir/devhelp/books/gtksourceviewmm-%{api}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%_libdir/gtksourceviewmm*

#--------------------------------------------------------------------

%prep
%autosetup -n gtksourceviewmm-%{version}

%build
%configure
%make_build

%install
%make_install
