Name:		gtypist
Version:	2.10
Release:	%mkrel 1
Summary:	Typing Tutor
License:	GPLv3
Group:		Education
URL:		https://www.gnu.org/software/gtypist
Source0:	https://ftp.gnu.org/gnu/gtypist/%{name}-%{version}.tar.xz
BuildRequires:	emacs
BuildRequires:	pkgconfig(ncursesw)
Provides:	typefortune = %{version}-%{release}

%description
GNU Typist (or  gtypist) is free software that  assist you in learning
to type correctly.

It is intended to be used  on a raw terminal  without graphics.

#------------------------------------------------------------
%prep
%autosetup -p1

%build
%ifarch %{ix86}
%global optflags %{optflags} -Wno-incompatible-pointer-types
%endif
%configure \
    --with-lispdir=%{_emacs_sitelispdir}/gtypist \
    --enable-nls \
    --disable-rpath

%make_build

%install
%make_install

%find_lang %{name}

# Setting Permissions
chmod 0755 %{buildroot}%{_datadir}/%{name}/ru.typ

#------------------------------------------------------------

#------------------------------------------------------------
%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/typefortune
%{_infodir}/*
%{_datadir}/%{name}/
%{_emacs_sitelispdir}/%{name}
%{_mandir}/man1/*
#------------------------------------------------------------
