%define debug_package	%{nil}
%define api		3.0

Summary:	Mono bindings for the GUdev library
Name:		gudev-sharp
Version:	3.0.0
Release:	%mkrel 13
Source0:	https://github.com/mono/gudev-sharp/releases/download/3.0.0/%{name}-%{version}.tar.gz
License:	LGPLv2+
Group:		System/Libraries
Url:		https://github.com/mono/gudev-sharp
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(glib-sharp-3.0)
BuildRequires:	pkgconfig(gapi-3.0)

%description
This is a Mono binding for GUdev based on GTk#.

%package devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}
Group:		Development/Other

%description devel
This is a Mono binding for GUdev based on GTk#.

%prep
%setup -q 
sed -i "s#gmcs#mcs#g" configure.ac

%build
./autogen.sh
%configure 
%make_build

%install
%make_install

%files
%doc AUTHORS
%{_prefix}/lib/mono/%{name}-%{api}
%{_prefix}/lib/mono/gac/%{name}

%files devel
%{_libdir}/pkgconfig/%{name}-%{api}.pc
