Name:          gwebsockets
Version:       0.7
Release:       %mkrel 7
Summary:       GLib based websockets server

Group:         System/Libraries
License:       ASL 2.0
URL:           https://github.com/sugarlabs/gwebsockets
Source0:       https://github.com/sugarlabs/gwebsockets/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:     noarch

BuildRequires: glib2-devel
BuildRequires: pkgconfig(python3)
BuildRequires: python3-setuptools

Provides:      python3-%{name} = %{version}-%{release}

%description
A websocket server written in python 3. It uses GIO for network
communication and hence it easily integrates with the GLib mainloop.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files gwebsockets

%files -f %{pyproject_files}
%doc README.md
%license LICENSE
