Name:           gxmessage
Version:        3.4.3
Release:        %mkrel 4
Summary:        An xmessage substitute for gtk-3.0
License:        GPLv3+
Group:          Development/GNOME and GTK+
URL:            http://homepages.ihug.co.nz/~trmusson
Source:         http://homepages.ihug.co.nz/~trmusson/stuff/%name-%version.tar.gz
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  intltool

%description
To quote from the xmessage manual page, xmessage is a program to
"display a message or query in a window." It returns an exit code based
on the user's response. gxmessage is a gtk-3.0 based clone of xmessage.


%prep
%setup -q


%build
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_infodir}/%{name}.info*
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
