Name:		hda-verb
Version:	0.4
Release:	%mkrel 5
Summary:	Tool to send commands (verbs) to HD-Audio codecs
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		ftp://ftp.suse.com/pub/people/tiwai/misc/
Source0:	ftp://ftp.suse.com/pub/people/tiwai/misc/hda-verb-%{version}.tar.gz

%description
hda-verb is a tiny program that allows you to access the HD-audio
codecs directly, allowing you to send commands (verbs) to them. For
hda-verb to work you must be running a linux kernel with
CONFIG_SND_HDA_HWDEP option enabled.

%prep
%setup -q

%ifarch aarch64 %{arm}
sed -i -e '/sys\/io.h/d' hda-verb.c
%endif

%build
%make_build CFLAGS="%{optflags}"

%install
mkdir -p %{buildroot}/%{_sbindir}
install -Dpm755 hda-verb %{buildroot}/%{_sbindir}

%files
%doc ChangeLog README
%{_sbindir}/hda-verb
