Name:		hdapsd
Version:	20141203
Release:	%mkrel 5
Summary:	Protects hard drives by parking head when fall is detected

Group:		System/Kernel and hardware
License:	GPLv2+
URL:		https://hdaps.sourceforge.net/
Source0:	https://github.com/evgeni/hdapsd/releases/download/%{version}/%{name}-%{version}.tar.gz
Requires:	systemd-units
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(udev)
BuildRequires:	autoconf
BuildRequires:	automake

%description

This is a disk protection user-space daemon. It monitors the acceleration
values through the HDAPS/AMS interfaces and automatically initiates disk head
parking if a fall or sliding of the laptop is detected.

HDAPS is typically found in Apple, Dell, HP, ThinkPad, Toshiba laptops.

%prep
%setup -q

%build
%configure
%make_build


%install
%make_install

%post
%_post_service %{name}@

%preun
%_preun_service %{name}@


%files
%{_sbindir}/*
%{_udevrulesdir}/%{name}.rules
%{_unitdir}/%{name}@.service
%{_mandir}/man8/hdapsd.8*
%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc README
%doc README.md
