Name:           help2man
Version:        1.49.3
Release:        %mkrel 3
Summary:        Create simple man pages from --help output
Group:          Development/Other
License:        GPL-3.0-or-later
URL:            https://www.gnu.org/software/help2man/
Source0:        https://ftp.gnu.org/gnu/help2man/%{name}-%{version}.tar.xz
BuildRequires:  perl(Locale::gettext)

%description
help2man is a script to create simple man pages from the --help and
--version output of programs.

Since most GNU documentation is now in info format, this provides a way
to generate a placeholder man page pointing to that resource while still
providing some useful information.

%prep
%autosetup

%build
%configure --enable-nls
%make_build

%install
%make_install

%find_lang %{name} --with-man

%files -f %{name}.lang
%doc debian/changelog README NEWS THANKS
%license COPYING
%{_bindir}/%{name}
%{_libdir}/help2man/
%{_infodir}/%{name}*.info*
%{_mandir}/man1/%{name}.1*
