%define	name	hot-babe
%define	Name	Hot-Babe

Name:		%{name}
Version:	0.2.2
Release:	%mkrel 14
Summary:	A GTK-based monitoring app
License: 	Artistic
Group: 		Monitoring
Url: 		http://dindinx.net/hotbabe
Source0:	http://dindinx.net/hotbabe/downloads/%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png.bz2
Source2:	%{name}-32.png.bz2
Source3:	%{name}-48.png.bz2
BuildRequires:	pkgconfig(gtk+-2.0)

%description
Hot-babe is a small graphical utility which display the system activity
in a very special way. When the CPU is idle, it displays a dressed girl,
and when the activity goes up, as the temperature increases, the girl
begins to undress, to finish totally naked when the system activity
reaches 100%. Of course, if you can be shocked by nudity, don't use it! 

%prep
%setup -q
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
perl -pi -e 's|-O2 -Wall -g|%optflags|' Makefile

%build
%make_build PREFIX=%_prefix CC="cc %{ldflags}"

%install
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_mandir}/man1
install -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

install -d -m 755 %{buildroot}%{_datadir}/%{name}/hb01
install -m 644 hb01/* %{buildroot}%{_datadir}/%{name}/hb01/

# icons
install -D -m 644 %{name}-48.png %{buildroot}%{_liconsdir}/%{name}.png 
install -D -m 644 %{name}-32.png %{buildroot}%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-16.png %{buildroot}%{_miconsdir}/%{name}.png

# menu entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop <<EOF
[Desktop Entry]
Name=%Name
GenericName=%Name
Comment=Cpu meters
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=System;Monitor;
EOF

%files
%doc ChangeLog CONTRIBUTORS NEWS TODO
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/man1/%{name}.*
