Name:           httperf
Version:        0.9.0
Release:        %mkrel 13
Summary:        Popular web server benchmark
Group:          System/Base
License:        GPLv2
URL:            http://www.hpl.hp.com/research/linux/httperf
Source:         http://httperf.googlecode.com/files/httperf-%{version}.tar.gz
# from debian: fix build with openssl 1.1
Patch1:		40_ssl1.1.0.patch
Patch2:		10_fix_manpage.patch
Patch3:		20_SSLv23_client_method.patch
Patch4:		50_spelling-error.patch
Patch5:		60_gcc14.patch
BuildRequires:  pkgconfig(openssl)

%description
httperf is a popular web server benchmark tool for measuring web server
performance. It provides a flexible facility for generating various HTTP
workloads and for measuring server performance. The focus of httperf is
not on implementing one particular benchmark but on providing a robust,
high-performance tool that  facilitates the construction of both micro-
and macro-level benchmarks.


%prep
%autosetup -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install


%files
%doc README NEWS ChangeLog AUTHORS TODO
%attr(0755,root,root) %{_bindir}/*
%{_mandir}/man?/*
