Name:           httpfs
Version:        2.06.07.10
Release:        %mkrel 6
Summary:        HTTP fuse filesystem
License:        GPLv2
Group:          Networking/Remote access
URL:            https://httpfs.sourceforge.net/
Source0:        %{name}_%{version}.tar.bz2
Patch0:         %{name}-2.06.07.10-magos-hostnames.patch
BuildRequires:  pkgconfig(fuse)

%description
httpfs is useful for mounting iso images over HTTP.

%prep
%setup -q -c %{name}-%{version}
%patch -P 0 -p0
rm -f %{name}
chmod -x %{name}.c
sed -i "s|-D_SVID_SOURCE -D_BSD_SOURCE|-D_DEFAULT_SOURCE|g" ./make_%{name}
sed -i "s|gcc -s|gcc|g" ./make_%{name}
sed -i "s|MagOS|Mageia|g" ./%{name}.c
iconv -f iso8859-15 -t utf-8 readme.1 > readme.1.conv && mv -f readme.1.conv readme.1

%build
./make_%{name}

%install
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}

%files
%doc readme readme.1
%{_bindir}/%{name}
