%global ver_date 2014-11-08

%define languageenglazy Arabic
%define languagecode    ar
%define lc_ctype        ar_TN

%define upstream_version 20101230

Name:           hunspell-%{languagecode}
Version:        3.5
Release:        %mkrel 3
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2 or LGPLv2 or MPLv1.1
Group:          System/Internationalization
URL:            https://ayaspell.sourceforge.net/
Source0:        https://downloads.sourceforge.net/ayaspell/%{name}_%{version}.%{ver_date}.zip

BuildArch:      noarch

Recommends:     hunspell

Requires:       locales-ar
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-ar_AE = %{version}-%{release}
Provides:       hunspell-ar_BH = %{version}-%{release}
Provides:       hunspell-ar_DJ = %{version}-%{release}
Provides:       hunspell-ar_DZ = %{version}-%{release}
Provides:       hunspell-ar_EG = %{version}-%{release}
Provides:       hunspell-ar_ER = %{version}-%{release}
Provides:       hunspell-ar_IL = %{version}-%{release}
Provides:       hunspell-ar_IN = %{version}-%{release}
Provides:       hunspell-ar_IQ = %{version}-%{release}
Provides:       hunspell-ar_JO = %{version}-%{release}
Provides:       hunspell-ar_KM = %{version}-%{release}
Provides:       hunspell-ar_KW = %{version}-%{release}
Provides:       hunspell-ar_LB = %{version}-%{release}
Provides:       hunspell-ar_LY = %{version}-%{release}
Provides:       hunspell-ar_MA = %{version}-%{release}
Provides:       hunspell-ar_MR = %{version}-%{release}
Provides:       hunspell-ar_OM = %{version}-%{release}
Provides:       hunspell-ar_PS = %{version}-%{release}
Provides:       hunspell-ar_QA = %{version}-%{release}
Provides:       hunspell-ar_SA = %{version}-%{release}
Provides:       hunspell-ar_SD = %{version}-%{release}
Provides:       hunspell-ar_SO = %{version}-%{release}
Provides:       hunspell-ar_SY = %{version}-%{release}
Provides:       hunspell-ar_TD = %{version}-%{release}
Provides:       hunspell-ar_YE = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-ar_AE = 2
Provides:       dictionary-ar_BH = 2
Provides:       dictionary-ar_DJ = 2
Provides:       dictionary-ar_DZ = 2
Provides:       dictionary-ar_EG = 2
Provides:       dictionary-ar_ER = 2
Provides:       dictionary-ar_IL = 2
Provides:       dictionary-ar_IN = 2
Provides:       dictionary-ar_IQ = 2
Provides:       dictionary-ar_JO = 2
Provides:       dictionary-ar_KM = 2
Provides:       dictionary-ar_KW = 2
Provides:       dictionary-ar_LB = 2
Provides:       dictionary-ar_LY = 2
Provides:       dictionary-ar_MA = 2
Provides:       dictionary-ar_MR = 2
Provides:       dictionary-ar_OM = 2
Provides:       dictionary-ar_PS = 2
Provides:       dictionary-ar_QA = 2
Provides:       dictionary-ar_SA = 2
Provides:       dictionary-ar_SD = 2
Provides:       dictionary-ar_SD = 2
Provides:       dictionary-ar_SO = 2
Provides:       dictionary-ar_SY = 2
Provides:       dictionary-ar_TD = 2
Provides:       dictionary-ar_YE = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-ar_AR < 1.0.3
Provides:       myspell-ar_AR

AutoReqProv:    no

%description
%{languageenglazy} (Egypt, Algeria, etc.) hunspell dictionaries


%prep
%setup -qc 

%build

%install
install -D -m 0644 -p %{languagecode}.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p %{languagecode}.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc AUTHORS ChangeLog-ar COPYING README-ar THANKS
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
