%define languageenglazy Asturian
%define languagecode    ast
%define lc_ctype        ast_ES

Name:           hunspell-%{languagecode}
Epoch:          1
Version:        2.0
Release:        %mkrel 3
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            https://extensions.libreoffice.org/extensions/correutor-ortograficu-dasturianu
Source:         https://extensions.libreoffice.org/extensions/correutor-ortograficu-dasturianu/%{version}/@@download/file/ort_ast_20190216_1129.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-ast
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
#there is no Asturian myspell dictionary
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
chmod -x dictionaries/*.{aff,dic}

%install
install -D -m 0644 -p dictionaries/%{languagecode}.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/%{languagecode}.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc licenses/license-en.txt licenses/license-ast.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
