%define languageenglazy Breton
%define languagecode    br
%define lc_ctype        br_FR

Name:           hunspell-%{languagecode}
Epoch:          1
Version:        0.16
Release:        %mkrel 3
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+
Group:          System/Internationalization
#URL:            https://www.drouizig.org/index.php?option=com_content&view=article&id=99%3Adifazier-hunspell-evit-firefox-a-openoffice&catid=38%3Adifazier&Itemid=58&lang=br
URL:            https://extensions.libreoffice.org/extensions/an-drouizig-breton-spellchecker
VCS:		https://github.com/Drouizig/hunspell-br
Source0:        https://extensions.libreoffice.org/extensions/an-drouizig-breton-spellchecker/%version/@@download/file/difazier-an-drouizig-%version.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-br
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# special case, an external package
Obsoletes:      myspell-%{languagecode} < 0.4
Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} < 0.4
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p dictionaries/%{lc_ctype}.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/%{lc_ctype}.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc package-description.txt
%license LICENSES-en.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
