%define languageenglazy Upper Sorbian
%define languagecode    hsb
%define lc_ctype        hsb_DE

%define upstream_version 20060327

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.3
Release:        %mkrel 12
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            https://sorbzilla.de/
Source0:        https://addons.mozilla.org/en-US/firefox/downloads/file/21550/upper_sorbian_spelling_dictionary-0.%{version}-tb+fx+sm.xpi

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-hsb
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# Nothing to obsolete
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build


%install
install -D -m 0644 -p dictionaries/hsb.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/hsb.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc COPYING README
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
