%define languageenglazy Oriya
%define languagecode    or
%define lc_ctype        or_IN

Name:           hunspell-%{languagecode}
Version:        20050726
Release:        %mkrel 16
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+
Group:          System/Internationalization
URL:            https://hunspell.sourceforge.net/
Source0:        https://hunspell.sourceforge.net/or-demo.tar.gz

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-or
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-or_OR < 1.0.3
Provides:       myspell-or_OR

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c
iconv -f ISO-8859-1 -t UTF-8 or/Copyright > or/Copyright.utf8
mv or/Copyright.utf8 or/Copyright

%build

%install
install -D -m 0644 -p or/or.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p or/or.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc  or/README or/COPYING or/Copyright
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
