%define languageenglazy Quechua Ecuador
%define languagecode    qu
%define lc_ctype        qu_EC

Name:           hunspell-%{languagecode}
Version:        0.9
Release:        %mkrel 7.b.5
Summary:        %{languageenglazy} hunspell dictionaries
License:        AGPLv3
Group:          System/Internationalization
URL:            https://extensions.services.openoffice.org/project/KichwaSpellchecker
Source0:        https://sourceforge.net/projects/aoo-extensions/files/2121/9/qu_ec-0.9b.oxt

BuildArch:      noarch

Recommends:       hunspell

#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# myspell-qu is obsoleted by myspell-quh
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-qu_BO <= 1.0.2-30
#Provides:       myspell-qu_BO

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p qu_EC.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p qu_EC.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc CURRENTVERSION.txt LICENSE.txt README.txt REVISION.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
