%define languageenglazy Northern Saami
%define languagecode    se
%define lc_ctype        se_NO

Name:           hunspell-%{languagecode}
Version:        1.0
Release:        %mkrel 0.3.beta7.13
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv3
Group:          System/Internationalization
URL:            http://www.divvun.no/index.html
Source0:        https://divvun.no/static_files/hunspell-se.tar.gz

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-se
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-se_SE = %{version}-%{release}
Provides:       hunspell-se_FI = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-se_SE = 2
Provides:       dictionary-se_FI = 2

#MySpell is deprecated
# nothing to obsolete
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n %{name}-1.0beta7.20090316

%build

%install
install -D -m 0644 -p se.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p se.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
