%define languageenglazy Swedish
%define languagecode    sv
%define lc_ctype        sv_SE

Name:           hunspell-%{languagecode}
Version:        2.40
Release:        %mkrel 4
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv3
Group:          System/Internationalization
URL:            http://dsso.se/
Source:		https://extensions.libreoffice.org/extensions/swedish-spelling-dictionary-den-stora-svenska-ordlistan/2.40/download/file/ooo_swedish_dict_2-40.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-sv
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-sv_FI = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-sv_FI = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
mkdir -p %{buildroot}%{_datadir}/hunspell
find . -name "*.dic" -exec install -D -m 0644 -p {} %{buildroot}%{_datadir}/hunspell \;
find . -name "*.aff" -exec install -D -m 0644 -p {} %{buildroot}%{_datadir}/hunspell \;

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff

    ln -s ../hunspell/sv_FI.dic sv_FI.dic
    ln -s ../hunspell/sv_FI.aff sv_FI.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
