%define languageenglazy Walloon
%define languagecode    wa
%define lc_ctype        wa_BE

Name:           hunspell-%{languagecode}
Version:        0.4.21
Release:        %mkrel 4
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+
Group:          System/Internationalization
URL:            http://chanae.walon.org/walon/aspell.php
Source0:        http://chanae.walon.org/walon/spell-wa-%{version}.tar.bz2
Patch0:         hunspell-wa-0.4.15-buildfix.patch
BuildRequires:  locales-wa

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-wa
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell- = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary- = 2

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n spell-%{languagecode}-%{version}
#autopatch -p1

%build
export LC_ALL=%{lc_ctype}.utf8
make myspell
for i in ChangeLog README LIJHOZMU; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
install -D -m 0644 -p wa_my*.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p wa_my*.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README ChangeLog LIJHOZMU
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
