Name:           hwdata
Summary:        Hardware identification and configuration data
Version:        0.392
Release:        %mkrel 1
License:        GPLv2+
Group:          System/Base
URL:            https://github.com/vcrhonek/hwdata
Source:         https://github.com/vcrhonek/hwdata/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

# add a virtual provides because ldetect-lst provides also hwdata
# thus prevent to install automatically this pkg
Provides:       hwids = %{version}-%{release}

%description
hwdata contains various hardware identification and configuration data,
such as the pci.ids and usb.ids databases.

%prep
%setup -q

%build
%configure
# nothing to build

%install
%make_install libdir=%{_prefix}/lib

%files
%license LICENSE COPYING
%dir %{_datadir}/%{name}
%{_prefix}/lib/modprobe.d/dist-blacklist.conf
%{_datadir}/%{name}/*

#--------------------------------------------------------------------

%package devel
Summary:        Devel stuff for %name
Group:          System/Base
Requires:       hwids          = %{version}-%{release}
Provides:       lib%name-devel = %{version}-%{release}
# as of noarch pkg
Obsoletes:      %{_lib}%name < 0.366-1

%description devel
This package contains header files needed if you wish to build applications
based on %name.

%files devel
%{_datadir}/pkgconfig/hwdata.pc

#--------------------------------------------------------------------
