%define upstreamid 20100204

Name: hyphen-bn
Summary: Bengali hyphenation rules
Version: 0.%{upstreamid}
Release: %mkrel 10
Source: https://git.savannah.gnu.org/cgit/smc.git/plain/hyphenation/hyph_bn_IN.dic
Group: Text tools
URL: https://wiki.smc.org.in
License: LGPLv3+
BuildArch: noarch
Requires: hyphen
Requires: locales-bn

%description
Bengali hyphenation rules.

%prep
%setup -T -q -c
cp -p %{SOURCE0} .

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hyphen
cp -p *.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen

pushd $RPM_BUILD_ROOT/%{_datadir}/hyphen/
bn_IN_aliases="bn_BD"
for lang in $bn_IN_aliases; do
        ln -s hyph_bn_IN.dic hyph_$lang.dic
done
popd

%files
%{_datadir}/hyphen/*
