Name: hyphen-ca
Summary: Catalan hyphenation rules
Epoch: 1
Version: 0.9.3
Release: %mkrel 11
Source: https://extensions.services.openoffice.org/e-files/2010/7/hyph-ca.oxt
Group: Text tools
URL: https://extensions.services.openoffice.org/project/ca_hyph
License: GPLv3
BuildArch: noarch
Requires: hyphen
Requires: locales-ca

%description
Catalan hyphenation rules.

%prep
%setup -q -c

%build
for i in release-note_en.txt release-note_ca.txt; do
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

chmod -x description.xml dictionaries.xcu hyph_ca_ANY.dic

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hyphen
cp -p hyph_ca_ANY.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen/hyph_ca_ES.dic
pushd $RPM_BUILD_ROOT/%{_datadir}/hyphen/
ca_ES_aliases="ca_AD ca_FR ca_IT"
for lang in $ca_ES_aliases; do
        ln -s hyph_ca_ES.dic hyph_$lang.dic
done
popd

%files
%doc release-note_en.txt release-note_ca.txt LICENSES-en.txt LLICENCIES-ca.txt
%{_datadir}/hyphen/*
