Name: hyphen-es
Summary: Spanish hyphenation rules
Version: 2.5
Release: %mkrel 3
URL: https://github.com/sbosio/rla-es
Source: https://github.com/sbosio/rla-es/archive/v%{version}.tar.gz
Group: Text tools
License: GPLv3+
BuildArch: noarch
Requires: hyphen
Requires: locales-es

%description
Spanish hyphenation rules.

%prep
%setup -q -n rla-es-%{version}

%build

%install
mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p separacion/hyph_es_ANY.dic %{buildroot}%{_datadir}/hyphen

pushd %{buildroot}%{_datadir}/hyphen/
es_ES_aliases="es_AR es_BO es_CL es_CO es_CR es_CU es_DO es_EC es_ES es_GT es_HN es_MX es_NI es_PA es_PE es_PR es_PY es_SV es_US es_UY es_VE"

for lang in $es_ES_aliases; do
        ln -s hyph_es_ANY.dic hyph_$lang.dic
done
popd

%files
%doc README.md
%license LICENSE.md
%{_datadir}/hyphen/hyph_es_*.dic
