%define upstream_version 20110620

Name:           hyphen-eu
Version:        0.%{upstream_version}
Release:        %mkrel 11
Summary:        Basque hyphenation rules
License:        LPPL
Group:          Text tools
URL:            http://tp.lc.ehu.es/jma/basque.html
Source0:        https://tug.org/svn/texhyphen/trunk/hyph-utf8/tex/generic/hyph-utf8/patterns/tex/hyph-eu.tex
Patch0:         %{name}-%{version}-fdr-clean-tex.patch

BuildRequires:  hyphen-devel

BuildArch:      noarch

Requires:       hyphen
Requires: locales-eu

%description
Basque hyphenation rules.


%prep
%setup -T -q -c
cp -p %{_sourcedir}/hyph-eu.tex .
%patch -P 0 -p0 -b .clean

%build
grep -v "^%" hyph-eu.tex | tr ' ' '\n' > temp.tex
substrings.pl temp.tex hyph_eu_ES.dic ISO8859-1
echo "Created with substring.pl by substrings.pl hyph-eu.tex hyph_eu_ES.dic ISO8859-1" > README
echo "---" >> README
head -n 34 hyph-eu.tex >> README

%install
mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p hyph_eu_ES.dic %{buildroot}%{_datadir}/hyphen

%files
%doc README
%{_datadir}/hyphen/*
