Summary:	French hyphenation rules
Name:		hyphen-fr
Version:	3.0
Release:	%mkrel 4
License:	LGPLv2+
Group:		Text tools
URL:		https://www.dicollecte.org/download.php?prj=fr
Source0:	https://grammalecte.net/download/fr/hyph-fr-v%{version}.zip
BuildArch:	noarch
Requires:	hyphen
Requires:	locales-fr

%description
French hyphenation rules.

%prep
%setup -q -c

%build

%install
mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p hyph_fr.iso8859-1.dic %{buildroot}%{_datadir}/hyphen
cp -p hyph_fr.dic %{buildroot}%{_datadir}/hyphen/hyph_fr_FR.dic

pushd %{buildroot}%{_datadir}/hyphen/
fr_FR_aliases="fr_BE fr_CA fr_CH fr_LU fr_MC"
for lang in $fr_FR_aliases; do
        ln -s hyph_fr_FR.dic hyph_$lang.dic
done
popd

%files
%doc README_hyph_fr-3.0.txt
%{_datadir}/hyphen/*
