%define upstream_version 20050628

Name:           hyphen-ia
Version:        0.%{upstream_version}
Release:        %mkrel 12
Summary:        Interlingua hyphenation rules
License:        LPPL
Group:          Text tools
URL:            https://www.ctan.org/tex-archive/help/Catalogue/entries/iahyphen.html
Source0:        https://www.ctan.org/get/language/hyphenation/iahyphen.tex
Patch0:         %{name}-cleantex.patch

BuildRequires:  hyphen-devel

BuildArch:      noarch

Requires:       hyphen
Requires: locales-ia

%description
Interlingua hyphenation rules.


%prep
%setup -T -q -c
cp -p %{_sourcedir}/iahyphen.tex .
%patch -P 0 -p0 -b .clean

%build
substrings.pl iahyphen.tex hyph_ia.dic ISO8859-1
echo "Created with substring.pl by substrings.pl iahyphen.tex hyph_ia.dic ISO8859-1" > README
echo "---" >> README
head -n 25 iahyphen.tex >> README

%install
mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p hyph_ia.dic %{buildroot}%{_datadir}/hyphen

%files
%doc README
%{_datadir}/hyphen/*
