%define upstream_version 20100531

Name:           hyphen-mn
Version:        0.%{upstream_version}
Release:        %mkrel 12
Summary:        Mongolian hyphenation rules
License:        LPPL
Group:          Text tools
URL:            https://www.ctan.org/pkg/mnhyphn
Source0:        https://tug.org/svn/texhyphen/trunk/hyph-utf8/tex/generic/hyph-utf8/patterns/tex/hyph-mn-cyrl.tex
Patch0:         %{name}-cleantex.patch

BuildRequires:  hyphen-devel

BuildArch:      noarch

Requires:       hyphen
Requires: locales-mn

%description
Mongolian hyphenation rules.


%prep
%setup -T -q -c
cp -p %{_sourcedir}/hyph-mn-cyrl.tex .
%patch -P 0 -p0 -b .clean

%build
substrings.pl hyph-mn-cyrl.tex hyph_mn_MN.dic UTF-8
echo "Created with substring.pl by substrings.pl hyph-mn-cyrl.tex hyph_mn_MN.dic UTF-8" > README
echo "Original in-line credits were:" >> README
echo "" >> README
head -n 83 hyph-mn-cyrl.tex >> README

%install
mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p hyph_mn_MN.dic %{buildroot}%{_datadir}/hyphen

%files
%doc README
%{_datadir}/hyphen/*
