%define upstreamid 20100204

Summary: Punjabi hyphenation rules
Name: hyphen-pa
Version: 0.%{upstreamid}
Release: %mkrel 11
Source: https://git.savannah.gnu.org/cgit/smc.git/plain/hyphenation/hyph_pa_IN.dic
Group: Text tools
URL: https://wiki.smc.org.in
License: LGPLv3+
BuildArch: noarch
Requires: hyphen
Requires: locales-pa

%description
Punjabi hyphenation rules.

%prep
%setup -T -q -c
cp -p %{SOURCE0} .

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hyphen
cp -p *.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen
pushd $RPM_BUILD_ROOT/%{_datadir}/hyphen/
pa_IN_aliases="pa_PK"
for lang in $pa_IN_aliases; do
        ln -s hyph_pa_IN.dic hyph_$lang.dic
done
popd

%files
%{_datadir}/hyphen/*
