%define upstreamid 20020727

Summary: Russian hyphenation rules
Name: hyphen-ru
Version: 0.%{upstreamid}
Release: %mkrel 10
Source: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/hyph_ru_RU.zip
Group: Text tools
URL: http://wiki.services.openoffice.org/wiki/Dictionaries
License: LGPLv2+
BuildArch: noarch
Requires: hyphen
Requires: locales-ru

%description
Russian hyphenation rules.

%prep
%setup -q -c -n hyphen-ru

%build
chmod 644 *

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hyphen
cp -p hyph_ru_RU.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen
pushd $RPM_BUILD_ROOT/%{_datadir}/hyphen/
ru_RU_aliases="ru_UA"
for lang in $ru_RU_aliases; do
        ln -s hyph_ru_RU.dic hyph_$lang.dic
done

%files
%doc README_hyph_ru_RU.txt
%{_datadir}/hyphen/*
