%define upstream_version 20100531

Name:           hyphen-sa
Summary:        Sanskrit hyphenation rules
Version:        0.%{upstream_version}
Release:        %mkrel 12
License:        LPPL
Group:          Text tools
URL:            https://tug.org/tex-hyphen
Source0:        https://tug.org/svn/texhyphen/trunk/hyph-utf8/tex/generic/hyph-utf8/patterns/tex/hyph-sa.tex
Patch0:         %{name}-cleantex.patch

BuildRequires:  hyphen-devel

BuildArch:      noarch

Requires:       hyphen
Requires: locales-sa

%description
Sanskrit hyphenation rules.


%prep
%setup -T -q -c
cp -p %{_sourcedir}/hyph-sa.tex .
%patch -P 0 -p0 -b .clean

%build
substrings.pl hyph-sa.tex hyph_sa_IN.dic UTF-8
echo "Created with substring.pl by substrings.pl hyph-sa.tex hyph_sa_IN.dic UTF-8" > README
echo "Original in-line credits were:" >> README
echo "" >> README
head -n 15 hyph-sa.tex >> README

%install
mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p hyph_sa_IN.dic %{buildroot}%{_datadir}/hyphen

%files
%doc README
%{_datadir}/hyphen/hyph_sa_IN.dic
