%define upstreamid 20031227

Summary: Slovak hyphenation rules
Name: hyphen-sk
Version: 0.%{upstreamid}.1
Release: %mkrel 11
Source: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/hyph_sk_SK.zip
Group: Text tools
URL: http://wiki.services.openoffice.org/wiki/Dictionaries
License: GPL+
BuildArch: noarch
Requires: hyphen
Requires: locales-sk

%description
Slovak hyphenation rules.

%prep
%setup -q -c
chmod 644 *

%build
for i in README_hyph_sk_SK.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hyphen
cp -p *.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen

%files
%doc README_hyph_sk_SK.txt
%{_datadir}/hyphen/*
