Name:           i7z
Version:        0.27.2
Release:        %mkrel 6
Summary:        Intel i3, i5 and i7 based Core processors reporting tool
License:        GPLv2
Group:		System/Kernel and hardware
URL:            https://code.google.com/p/i7z/
Source0:        http://i7z.googlecode.com/files/i7z-%{version}.tar.gz
ExclusiveArch:  %{ix86} x86_64
BuildRequires:  ncurses-devel

%description
i7z will print out the C-states and temperature for i3, i5 and i7 based Core
processors from Intel (including Nehalems, Sandy Bridge and Ivy Bridge).

%package	qt
Summary:	Qt based GUI
BuildRequires:	qt4-devel
Requires:	%{name} = %{version}-%{release}

%description	qt
Qt based GUI for %{name}

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS"
%make
pushd GUI
qmake ; make clean
%make
popd

%install
%make DESTDIR=%{buildroot} docdir=%{_docdir}/%{name}-%{version} install
pushd GUI
mv i7z_GUI %{buildroot}%{_sbindir}
popd

%files
%{_docdir}/%{name}-%{version}
%{_sbindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files qt
%{_sbindir}/i7z_GUI
