# SOURCE IS STORED IN SVN (soft/theme/ia_ora-gnome), 
# DO NOT PATCH IT

%define libname %{_lib}ia_ora-gnome

Summary:        Ia Ora %{_vendor} GNOME theme
Name:           ia_ora-gnome
Version:        1.0.25
Release:        %mkrel 12
License:        GPL
Group: Graphical desktop/GNOME
URL:            https://www.mageia.org/
BuildRequires:  gtk+2-devel
Source0:        %{name}-%{version}.tar.bz2
Patch0:		ia_ora-gnome-1.0.25-automake-1.13.patch
Requires:	adwaita-icon-theme
Requires:	ia_ora-gnome-gtk2-engine

%description
%{_vendor} Ia Ora GNOME theme

%package -n %{libname}
Summary: GTK2 engine for Ia Ora theme
Group: System/Libraries
Provides: ia_ora-gnome-gtk2-engine

%description -n %{libname}
GTK2 engine for Ia Ora theme
 
%prep
%setup -q
%autopatch -p1

%build
sh autogen.sh

%configure

%make_build

%install
%make_install

#remove unpackaged files 
rm -f %{buildroot}%{_libdir}/gtk-2.0/*/engines/*.la 

mkdir -p %{buildroot}%{_datadir}/themes/Ia\ Ora\ Free %{buildroot}%{_datadir}/themes/Ia\ Ora\ One

# create compatibility symlinks
ln -f -s ../Ia\ Ora\ Smooth/metacity-1 %{buildroot}%{_datadir}/themes/Ia\ Ora\ One/metacity-1
ln -f -s ../Ia\ Ora\ Smooth/gtk-2.0 %{buildroot}%{_datadir}/themes/Ia\ Ora\ One/gtk-2.0
ln -f -s ../Ia\ Ora\ Arctic/metacity-1 %{buildroot}%{_datadir}/themes/Ia\ Ora\ Free/metacity-1
ln -f -s ../Ia\ Ora\ Arctic/gtk-2.0 %{buildroot}%{_datadir}/themes/Ia\ Ora\ Free/gtk-2.0

%preun 
if [ "$1" = "0" ]; then
 /bin/rm -f %{_datadir}/themes/Ia\ Ora\ Free/* %{_datadir}/themes/Ia\ Ora\ One/*   || /bin/true
fi


%files 
%doc README 
%{_datadir}/themes/*

%files -n %{libname}
%{_libdir}/gtk-2.0/*/engines/*.so
