Name: iat
Version: 0.1.7
Release: %mkrel 12

Summary: Iso9660 Analyzer Tool
License: GPLv2+
Group: Archiving/Cd burning
Url: http://iat.berlios.de/
Source: http://prdownload.berlios.de/iat/iat-%{version}.tar.bz2

%description
iat (Iso9660 Analyzer Tool) is a tool for detecting the structure of many
types of CD-ROM image file formats, such as BIN, MDF, PDI, CDI, NRG, and B5I,
and converting them into ISO-9660.

%prep
%setup -q

%build
%configure
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_docdir}/%{name}
mkdir -p %{buildroot}%{_mandir}/man1/%{name}

cp src/%{name} %{buildroot}%{_bindir}
install -c -m 644 man/iat.1 %{buildroot}%{_mandir}/man1/%{name}

%files
%_bindir/%{name}
%doc ChangeLog AUTHORS COPYING INSTALL NEWS README
%{_mandir}/man1/%{name}
