Name:      ibus-chewing
Summary:   ibus - Chinese chewing engine
Version:   2.0.0
Release:   %mkrel 1
Group:     System/Internationalization
License:   GPLv2+
URL:       https://github.com/chewing/ibus-chewing
Source0:   https://github.com/chewing/ibus-chewing/releases/download/v%{version}/%{name}-%{version}-Source.tar.xz
BuildRequires:	cmake
BuildRequires:	pkgconfig(ibus-1.0)
BuildRequires:	pkgconfig(chewing)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	gettext

Requires:	ibus >= 1.3.0
Requires:	libchewing-data

%description
ibus - Chinese chewing engine.

%prep
%autosetup -n %{name}-%{version}-Source

%build
%cmake
%cmake_build

%install
%cmake_install

rm -fr %buildroot%_datadir/doc

%find_lang %name

%files -f %name.lang
%doc AUTHORS README.md ChangeLog-1.x CHANGELOG.md USER-GUIDE
%license COPYING
%{_libexecdir}/ibus-*
%{_datadir}/applications/ibus-setup-chewing.desktop
%{_datadir}/glib-2.0/schemas/org.freedesktop.IBus.Chewing.gschema.xml
%{_datadir}/%{name}/
%{_datadir}/ibus/component/*.xml
