Name:		ibus-libpinyin
Summary:	Intelligent Pinyin engine based on libpinyin for IBus
Version:	1.15.94
Release:	%mkrel 1
Group:		System/Internationalization
License:	GPLv2+
URL:		https://github.com/libpinyin/ibus-libpinyin
Source0:	https://github.com/libpinyin/ibus-libpinyin/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(gdk-3.0)
BuildRequires:	pkgconfig(ibus-1.0) >= 1.4.0
BuildRequires:	pkgconfig(libpinyin) >= 1.6.0
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(opencc)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	sqlite3-tools
BuildRequires:	pkgconfig(python3)
BuildRequires:	intltool
BuildRequires:	gnome-common

Requires:	ibus >= 1.4.0
Requires:	python3dist(pygobject)

%description
It includes a Chinese Pinyin input method and a Chinese ZhuYin (Bopomofo)
input method based on libpinyin for IBus.

%prep
%setup -q

%build
%configure --enable-opencc --with-python=python3
%make_build

%install
%make_install

%find_lang %name

%files -f %name.lang
%doc ChangeLog README
%{_libexecdir}/ibus-engine-libpinyin
%{_libexecdir}/ibus-setup-libpinyin
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/
%{_datadir}/ibus/component/libpinyin.xml
%{_datadir}/ibus-libpinyin/
%{_metainfodir}/libpinyin.appdata.xml
%{_datadir}/glib-2.0/schemas/com.github.libpinyin.ibus-libpinyin.gschema.xml
