Name:           ibus-pinyin
Summary:        ibus - Chinese Pinyin engine
Version:        1.5.1
Release:        %mkrel 1
Group:          System/Internationalization
License:        GPLv2+
URL:            https://github.com/ibus/ibus-pinyin
Source0:        https://github.com/ibus/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(ibus-1.0) >= 1.3.99
BuildRequires:  pkgconfig(lua)
BuildRequires:  pkgconfig(pyzy-1.0) >= 0.0.8
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  sqlite3-tools
BuildRequires:  intltool
BuildRequires:  gnome-common
Requires:       ibus >= 1.3.99
Requires:       python3-gobject
Requires(post,preun): glib2.0-common

%description
ibus - Chinese Pinyin engine.

%prep
%autosetup -p1

%build
./autogen.sh
%configure
%make_build

%install
%make_install

%find_lang %name

%if 0
%post
%post_ibus_register_engine pinyin zh_CN
%post_ibus_register_engine bopomofo zh_TW

%preun
%preun_ibus_unregister_engine pinyin
%preun_ibus_unregister_engine bopomofo
%endif

%files -f %name.lang
%{_libexecdir}/ibus-engine-pinyin
%{_libexecdir}/ibus-setup-pinyin
%{_datadir}/%{name}
%{_datadir}/ibus/component/*.xml
%{_datadir}/applications/*.desktop
