Name:      ibus-table
Summary:   ibus - table-based engine
Version:   1.17.10
Release:   %mkrel 1
Group:     System/Internationalization
License:   GPLv2+
URL:       https://github.com/kaio/ibus-table
Source0:   https://github.com/kaio/ibus-table/releases/download/%{version}/%{name}-%{version}.tar.gz
Patch0:    Change_location_of_ibus-table.pc.patch
BuildArch: noarch
BuildRequires: pkgconfig(ibus-1.0) >= 1.2.0
BuildRequires: python3-devel >= 3.3
BuildRequires: gettext-devel
BuildRequires: docbook-utils
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires: pkgconfig(gobject-introspection-1.0)
Requires:  ibus >= 1.2.0
Requires:  python3
Provides:  %{name}-devel = %{version}-%{release}

%description
ibus - table-based engine.

%package compose
Summary: Mimic Compose Key input
Group: System/Internationalization
Requires: %{name}

%description compose
Provides Mimic Compose Key input via ibus-table.

%package latex
Summary: Use LaTeX input keystrokes to input symbols
Group: System/Internationalization
Requires: %{name}

%description latex
Use LaTeX input keystrokes to input lots of symbols.

%prep
%autosetup -p1

%build
sh autogen.sh
%configure
%make_build

%install
%make_install NO_INDEX=1

%find_lang %{name}


%files -f %{name}.lang
%{_bindir}/ibus-table-createdb
%{_libexecdir}/ibus-*
%{_datadir}/pkgconfig/ibus-table.pc
%{_datadir}/applications/ibus-setup-table.desktop
%{_datadir}/ibus-table/
%{_iconsdir}/hicolor/*/apps/ibus-table.png
%{_iconsdir}/hicolor/scalable/apps/ibus-table.svg
%{_datadir}/ibus/component/*.xml
%{_datadir}/metainfo/*.xml
%{_datadir}/glib-2.0/schemas/org.freedesktop.ibus.engine.table.gschema.xml
%{_mandir}/man1/ibus-*
