%global _legacy_common_support 1

Summary:	Detect and perform actions when an Ethernet cable is (un)plugged
Name:		ifplugd
Version: 	0.28
Release: 	%mkrel 25
Source0:	https://0pointer.de/lennart/projects/ifplugd/%{name}-%{version}.tar.bz2
Patch0:		ifplugd-0.28-exit-status.patch
Patch1:		ifplugd-0.28-event.patch
Patch2:		ifplugd-0.28-include.patch
Patch3:		ifplugd-0.28-onlink.patch
License:	GPL
Group:		System/Networking
URL:		https://0pointer.de/lennart/projects/ifplugd/
BuildRequires:	doxygen 
BuildRequires:	lynx 
BuildRequires:	pkgconfig 
BuildRequires:	pkgconfig(libdaemon)

%description
ifplugd is a Linux daemon which will automatically configure your
Ethernet device when a cable is plugged in and automatically
unconfigure it if the cable is pulled. This is useful on laptops with
onboard network adapters, since it will only configure the interface
when a cable is really connected.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/init.d/ifplugd

%files
%doc doc/README doc/NEWS doc/README.html doc/style.css LICENSE
%{_sbindir}/ifplugd
%{_sbindir}/ifplugstatus
%{_mandir}/man?/ifplugd*
%{_mandir}/man?/ifplugstatus*
%dir %{_sysconfdir}/ifplugd
%config(noreplace) %{_sysconfdir}/ifplugd/ifplugd.conf
%{_sysconfdir}/ifplugd/ifplugd.action
