Name:          ifuse
Version:       1.1.4
Release:       %mkrel 3
Summary:       Mount Apple iPhone and iPod touch devices

Group:         System/Libraries
License:       GPLv2+
URL:           https://www.libimobiledevice.org/
Source0:       https://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.bz2
BuildRequires: pkgconfig(fuse)
BuildRequires: pkgconfig(libimobiledevice-1.0)
BuildRequires: pkgconfig(libplist-2.0)

%description
A fuse filesystem for mounting iPhone and iPod touch devices.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS COPYING README.md
%{_bindir}/ifuse
%{_mandir}/man1/*
