%define	oname	igal

Name:		igal2
Version:	3.2
Release:	%mkrel 1
Summary:	Easy and flexible online Image GALlery generator
License:	GPLv2+
Group:		Text tools
URL:		https://github.com/solbu/igal2
Source0:	https://github.com/solbu/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch

%rename		%{oname}

Requires:	perl
Requires:	ImageMagick
Recommends:	ffmpeg

%description
Igal2 is a quick, easy and flexible program meant to help you place your
digital images online. It generates a pretty good-looking set of HTML
slides even with its default settings -- which can otherwise be easily
changed with a good number of command-line options or by altering igal2's
HTML and CSS template files.


%prep
%setup -q

%build

%install
%make_install PREFIX=/usr

rm -f %{buildroot}%{_datadir}/%{name}/{README,ChangeLog,COPYING}
install -m 755 utilities/igal2-recursive.sh %{buildroot}%{_bindir}

%files
%doc ChangeLog
%{_bindir}/%{oname}
%{_bindir}/%{name}
%{_bindir}/%{name}.sh
%{_bindir}/%{name}-recursive.sh
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man1/%{name}.1*
%license COPYING
