Summary:	Simple DVD slide show maker
Name:		imagination
Version:	3.6
Release:	%mkrel 3
Group:		Video/Editors and Converters
License:	GPLv2+
URL:		https://imagination.sourceforge.net/
Source0:	https://sourceforge.net/projects/%{name}/files/%{name}-%{version}.tar.gz/download#/%{name}-%{version}.tar.gz
Source1:	ru.po
BuildRequires:	pkgconfig(cairo) >= 1.6
BuildRequires:	pkgconfig(glib-2.0) > 2.18.0
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(sox) >= 14.2.0
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	docbook-xsl
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
Requires:	sox >= 14.3.0
Requires:	ffmpeg

%description
Imagination is a lightweight and simple DVD slide show maker written
in C language and built with the GTK+3 toolkit.

%prep
%autosetup -p1

cp -f %{SOURCE1} ./po/

%build
export CPPFLAGS="-DPLUGINS_INSTALLED=1"
%configure --disable-static
%make_build CFLAGS="%{build_cflags}" LDFLAGS="%{build_ldflags}"

%install
%make_install

desktop-file-install --vendor="" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README TODO
%{_docdir}/%{name}/html/
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/applications/%{name}.desktop
