Name:           imvirt
Version:        0.9.6
Release:        %mkrel 8
Summary:        Detects several virtualizations
License:        GPLv2+
Group:          System/Base
URL:            http://micky.ibh.net/~liske/imvirt.html
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Requires:       dmidecode
ExclusiveArch:	%{ix86} x86_64 ia64

%description
This little Perl script tries to detect if it is called from within 
a virtualization container. This is detected by looking for well known boot 
messages, directories and reading DMI (Desktop Management Interface) data.

The following containers are detected:

    * Virtual PC/Virtual Server
    * VirtualBox
    * VMware
    * QEMU/KVM (experimental)
    * Xen (para and non-para virtualized)
    * OpenVZ/Virtuozzo
    * UML
    * any HVM providing CPUID 0x40000000 detection
    * lguest
    * ARAnyM
    * LXC

%prep
%setup -q

%build
%configure --prefix=%{_prefix} --libexec=%{_libexecdir}/imvirt
%make_build

%install
%make_install

%check
#make check

%files
%{_sbindir}/imvirt-report
%{_bindir}/*
%dir %{_libexecdir}/imvirt
%{_libexecdir}/imvirt/*
%doc AUTHORS COPYING ChangeLog README
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*
%{perl_vendorlib}/*
