Name:           innoextract
Version:        1.9
Release:        %mkrel 15
Summary:        A tool to unpack installers created by Inno Setup
Group:          Archiving/Compression
License:        zlib
Url:            https://constexpr.org/innoextract/
Source:         https://constexpr.org/innoextract/files/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-iteratedhash-Fix-alignment-check.patch
Patch2:		0001-Fix-build-with-boost-1.85.patch
BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  pkgconfig(liblzma)

%description
Inno Setup is a tool to create installers for Microsoft Windows
applications. innoextract allows to extract such installers under
non-windows systems without running the actual installer using wine.

%prep
%autosetup -p1

%build
%cmake \
  -DBoost_NO_BOOST_CMAKE:BOOL=ON
%cmake_build

%install
%cmake_install

%files
%doc README.md CHANGELOG VERSION LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
