Summary:	The ipxping utility
Name:		ipxping
Version:	0.0
Release:	%mkrel 13
License:	Public Domain
Group:		Networking/Other
URL:		https://ibiblio.org/pub/Linux/system/Network/
Source0:	https://ibiblio.org/pub/Linux/system/Network/%{name}-%{version}.tar.gz
Patch0:		ipxping-kernel-2.2.patch
Patch1:		ipxping-fix-building-with-gcc14.patch
Requires:	ipxutils

%description
This is a Linux version of IPXPING which was originally written for Sun machines
using the /dev/nit interface, by Stephen Clover <cloverst@kai.ee.cit.ac.nz>
and Justin Hoon <hoonju@kai.ee.cit.ac.nz>.

%prep

%setup -q -n %{name}
%autopatch -p0

%build
gcc %{optflags} -o ipxping ipxping-linux.c

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1

install ipxping %{buildroot}%{_bindir}
install ipxping.1 %{buildroot}%{_mandir}/man1

%files
%defattr(0644,root,root,0755)
%doc README*
%attr(0755,root,root) %{_bindir}/ipxping
%{_mandir}/man1/ipxping.1*


