Name:       iteml
Version:    2.8
Release:    %mkrel 3
Summary:    Inline unit test extractor
License:    GPLv3
Group:      Development/OCaml
URL:        http://batteries.vhugot.com/qtest/
Source0:    https://github.com/vincent-hugot/qtest/archive/2.8/%{name}-%{version}.tar.gz
Patch1:     fix-safe-string.patch
# (tv) fix debuginfo:
Patch2:     debug.patch
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-ounit-devel
BuildRequires:  hevea
Requires:   ocaml-ounit

%description
qTest2 (aka: iTeML) allows to extract inline unit tests written using a
special syntax in comments. Those tests can then be run using the oUnit
framework.
qTest2 was originally developed for the Batteries library.

%prep
%setup -q -n qtest-%{version}
%autopatch -p1

%build
%make_build

%install
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/QTest2Lib
mkdir -p %{buildroot}/%{_bindir}/
make install BIN=%{buildroot}/%{_bindir}/

%files
%doc README.adoc
%dir %{_libdir}/ocaml/QTest2Lib
%{_bindir}/qtest
