Name:           iucode-tool
Version:        2.3.1
Release:        %mkrel 3
Summary:        Manipulate microcode update collections for Intel system processors
License:        GPLv2
Url:            https://gitlab.com/iucode-tool
Group:          System/Kernel and hardware
Source:         https://gitlab.com/iucode-tool/releases/raw/latest/%{name}_%{version}.tar.xz
ExclusiveArch:  %{ix86} x86_64

%description
iucode-tool is a system administration tool to manipulate Intel X86 and
X86-64 processor microcode update collections.  It is tailored to help
Linux distros do Intel microcode update release management.

%prep
%setup -q


%build
%configure
%make_build

%install
%make_install

%files
%doc README
%{_sbindir}/iucode_tool
%{_mandir}/man8/iucode_tool.8*
