############################################
# Warning
#   This package must be handled 
#   via /svn/soft/build_system/iurt/trunk/
############################################


Name:		iurt
Version:	0.9.4
Release:	%mkrel 1
License:	GPLv2+
Summary:	Packages rebuilder
Group:		Development/Other
URL:		https://svnweb.mageia.org/soft/build_system/iurt/trunk/
Source:		%{name}-%{version}.tar.xz
Source1:	cauldron.conf

BuildArch:	noarch
Requires:	sudo
# for testsuite:
# urpmi needed as BR if built using mock
BuildRequires:	urpmi
BuildRequires:	perl(RPM4) 
BuildRequires:	perl(File::lockf) 
BuildRequires:	mdv-distrib-tools 
BuildRequires:	perl-MIME-tools
BuildRequires:	perl(Filesys::Df)
BuildRequires:	perl(Mkcd::Commandline) 
BuildRequires:	perl(String::Escape)
BuildRequires:	perl(Sys::Load)


%description
iurt is a collection of tools to create an automatic rebuild system. It
contains the rebuild script, iurt, as well as the scheduler, ulri, and the
upload script, emi.

%prep
%autosetup -p1

%install
%makeinstall DESTDIR=$RPM_BUILD_ROOT
install -d -m 0755 %{buildroot}%{_sysconfdir}/iurt/build/
install -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/iurt/build/cauldron.conf

%check
make check
# (tv) check that iurt loads OK:
perl -Ilib ./iurt --help > /dev/null

%files
%doc NEWS README
%{_bindir}/cancel_build
%{_bindir}/emi
%{_bindir}/iurt
%{_bindir}/ulri
%{_sbindir}/iurt_root_command
%{perl_vendorlib}/Iurt
%dir %{_sysconfdir}/iurt
%config(noreplace) %{_sysconfdir}/iurt/*
