Name:    ivtv-firmware
Version: 20080701
Release: %mkrel 8
License: Redistributable, no modification permitted
Group:   System/Kernel and hardware
Summary: Firmware for the Hauppauge PVR 250/350/150/500/USB2 model series
URL:     https://dl.ivtvdriver.org/ivtv/firmware/
Source0: https://dl.ivtvdriver.org/ivtv/firmware/%{name}-%{version}.tar.gz
BuildArch: noarch

%description
This package contains the firmware for WinTV Hauppauge PVR
250/350/150/500/USB2 cards.

%prep
%setup -q -c

%build

%install
mkdir -p %{buildroot}/lib/firmware

install -p -m 0644 v4l-cx2341x-*.fw %{buildroot}/lib/firmware/
install -p -m 0644 v4l-cx2341x-init.mpg %{buildroot}/lib/firmware/
install -p -m 0644 v4l-pvrusb2-*.fw %{buildroot}/lib/firmware/
# license requires that the licenses go in the same place as the firmware
for f in license-*.txt
do
  install -p $f %{buildroot}/lib/firmware/%{name}-$f
done

%files
%doc license-*.txt
/lib/firmware/*.fw
/lib/firmware/v4l-cx2341x-init.mpg
/lib/firmware/%{name}-license-*.txt
