Summary: Intel PRO/Wireless 1000BGN microcode
Name:	 iwlwifi-1000-ucode
Epoch:	 1
Version: 39.31.5.1
Release: %mkrel 2
Source0: http://www.intellinuxwireless.org/iwlwifi/downloads/iwlwifi-1000-ucode-%{version}.tgz
Source1: http://www.intellinuxwireless.org/iwlwifi/downloads/iwlwifi-1000-ucode-128.50.3.1.tgz
License: Proprietary
Group: System/Kernel and hardware
Url: http://intellinuxwireless.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
The file iwlwifi-1000-*.ucode provided in this package is required to be
present on your system in order for the Intel PRO/Wireless 1000BGN Network
Connection Adapter driver for Linux (iwlagn) to be able to operate on
your system.

%prep
%setup -q -a 1

# provide old firmware with ucode_api=3 for compatibility with older kernels
cp iwlwifi-1000-ucode-128.50.3.1/iwlwifi-1000-3.ucode .
cp iwlwifi-1000-ucode-128.50.3.1/README.iwlwifi-1000-ucode \
README.iwlwifi-1000-ucode-3
mv README.iwlwifi-1000-ucode README.iwlwifi-1000-ucode-5

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware
install -m644 *.ucode %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.* README.*
/lib/firmware/*.ucode
