Summary:        Intel Wireless WiFi Link 4965AGN microcode
Name:           iwlwifi-4965-ucode
Version:        228.61.2.24
Release:        %mkrel 13
Source0:        http://www.intellinuxwireless.org/iwlwifi/downloads/%{name}-%{version}.tgz
License:        Proprietary
Group:          System/Kernel and hardware
Url:            http://intellinuxwireless.org/

BuildArch:      noarch

%description
The files iwlwifi-4965-*.ucode provided in this package are required to be
present on your system in order for the Intel Wireless WiFi Link 4965AGN
driver for Linux (iwl4965/iwlagn) to be able to operate on your system.

%prep
%setup -q

# Fix for https://bugs.mageia.org/show_bug.cgi?id=3055
chmod 644 LICENSE.*
chmod 644 README.*

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware
install -m644 *.ucode %{buildroot}/lib/firmware/

%files
%doc LICENSE.* README.*
/lib/firmware/*.ucode


