Name:          izpress
Version:       1.1
Release:       %mkrel 6
Summary:       HTML-compressor 
Group:         Development/Java
License:       Artistic 
Url:           https://jext-plugins.sourceforge.net/
Source0:       https://sourceforge.net/projects/jext-plugins/files/IzPress/1.1/IzPress-1_1-src.zip
Source1:       izpress-build.xml 
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: jext
BuildRequires: jpackage-utils
Requires:      jpackage-utils
BuildArch:     noarch

%description
IzPress is a small Java technology based application
that can reduce the size of HTML files by up to 20
percents. It can be used as a Jext plug-in. You can
also use it in your application by re-using the
compressing class. 

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
IzPress - HTML-compressor.

This package contains javadoc for %{name}.

%prep
%setup -q -n IzPress

cp %{SOURCE1} build.xml

%build

export CLASSPATH=$(build-classpath jext)
ant -Dbuild.sysclasspath=first

%install
mkdir -p %{buildroot}%{_javadir}
install -m 644 lib/izpress-%{version}.jar \
  %{buildroot}%{_javadir}/izpress-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/izpress-%{version}
cp -pr docs/api/* %{buildroot}%{_javadocdir}/izpress-%{version}
ln -sf izpress-%{version} %{buildroot}%{_javadocdir}/izpress

%files
%{_javadir}/izpress-%{version}.jar
%{_javadir}/izpress.jar
%doc doc/*

%files javadoc
%{_javadocdir}/izpress-%{version}
%{_javadocdir}/izpress

