Name:    jadetex
Epoch:   1
Version: 3.13
Release: %mkrel 18
Group:   Publishing
Summary: TeX macros used by Jade TeX output
License: Freely redistributable without restriction
URL:     https://sourceforge.net/projects/jadetex
Source0: https://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0: jadetex-tetex3.patch
Patch1: jadetex-3.13-typoupstream.patch
BuildArch: noarch
BuildRequires: unzip
BuildRequires: texlive
BuildRequires: texlive-texmf
Requires: sgml-common >= 0.5
Requires: texlive-texmf
Requires: jade

Conflicts: texlive < 20130530

Obsoletes: texlive-texmf-jadetex <= 2007
Obsoletes: texlive-jadetex <= 2007

%description
JadeTeX contains the additional LaTeX macros necessary for taking Jade
TeX output files and processing them as TeX files (to obtain DVI,
PostScript, or PDF files, for example).

%prep
%setup -q
%autopatch -p1

%build
%make_build basic

%install
%make_install

mkdir -p %{buildroot}%{_bindir}
ln -s etex %{buildroot}%{_bindir}/jadetex
ln -s pdfetex %{buildroot}%{_bindir}/pdfjadetex

mkdir -p %{buildroot}%{_mandir}/man1
cp -a jadetex.1 %{buildroot}%{_mandir}/man1
cp -a pdfjadetex.1 %{buildroot}%{_mandir}/man1

%post
%{_bindir}/texhash --silent

%postun
%{_bindir}/texhash --silent

%files
%doc index.html
%{_datadir}/texmf-dist/web2c/jadetex.fmt
%{_datadir}/texmf-dist/web2c/pdfjadetex.fmt
%dir %{_datadir}/texmf-dist/tex/jadetex
%{_datadir}/texmf-dist/tex/jadetex/*
%{_mandir}/man1/jadetex.1*
%{_mandir}/man1/pdfjadetex.1*
%{_bindir}/jadetex
%{_bindir}/pdfjadetex
