Name:             jbosgi-parent
Version:          1.0.22
Release:          %mkrel 8
Summary:          JBossOSGi Parent
Group:            Development/Java
License:          LGPLv2+
URL:              https://www.jboss.org/
Source0:          https://raw.github.com/jbosgi/jbosgi-parent/%{version}/pom.xml

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin

Requires:         jpackage-utils
Requires:         java
Requires:         maven

%description
This package contains the JBossOSGi Parent

%prep
cp %{SOURCE0} .

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom -a "org.jboss.osgi:jboss-osgi-parent"

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

