%global namedreltag .20120212git76e1a2
%global namedversion %{version}%{?namedreltag}

Name:          jboss-annotations-1.1-api
Version:       1.0.1
Release:       %mkrel 0.12%{namedreltag}.6
Group:         Development/Java
Summary:       Common Annotations 1.1 API
License:       CDDL or GPLv2 with exceptions
URL:           https://www.jboss.org

# git clone git://github.com/jboss/jboss-annotations-api_spec.git jboss-annotations-1.1-api
# cd jboss-annotations-1.1-api
# git archive --format=tar --prefix=jboss-annotations-1.1-api-1.0.1/ 76e1a2c85e025342710a29cd9dfff109d730a483 | xz > jboss-annotations-1.1-api-1.0.1.20120212git76e1a2.tar.xz
Source0:       %{name}-%{namedversion}.tar.xz

BuildRequires: maven-local
BuildRequires: mvn(org.jboss:jboss-parent:pom:)

BuildArch:     noarch

%description
This package contains Common Annotations 1.1 API.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc	
This package contains the API documentation for %{name}.

%prep
%setup -q

%mvn_file : %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc README

%files javadoc -f .mfiles-javadoc
%license LICENSE
%doc README

