%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-batch-1.0-api
Version:          1.0.0
Release:          %mkrel 9
Group:            Development/Java
Summary:          Batch Applications 1.0 API
License:          ASL 2.0
URL:              https://www.jboss.org
Source0:          https://github.com/jboss/jboss-batch-api_spec/archive/jboss-batch-api_1.0_spec-%{namedversion}.tar.gz

BuildRequires:    maven-local
BuildRequires:    mvn(javax.enterprise:cdi-api)
BuildRequires:    mvn(javax.inject:javax.inject)
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
#BuildRequires:    maven-enforcer-plugin
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)

BuildArch:        noarch

%description
JSR 352: Batch Applications for the Java Platform API classes

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-batch-api_spec-jboss-batch-api_1.0_spec-%{namedversion}

%pom_remove_plugin :maven-source-plugin

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README*
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

