%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-concurrency-1.0-api
Version:          1.0.0
Release:          %mkrel 5
Group:            Development/Java
Summary:          Concurrency Utilities for JavaEE
License:          CDDL or GPLv2 with exceptions
Url:              https://www.jboss.org
Source0:          https://github.com/jboss/jboss-javaee-concurrency-api_spec/archive/jboss-concurrency-api_1.0_spec-%{namedversion}.tar.gz

BuildRequires:    maven-local
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)

BuildArch:        noarch

%description
JSR-000236 Concurrency Utilities API Classe

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-javaee-concurrency-api_spec-jboss-concurrency-api_1.0_spec-%{namedversion}

# Unneeded plugin
%pom_remove_plugin :maven-source-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

