%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-ejb3-ext-api
Version:          2.2.0
Release:          %mkrel 5
Group:            Development/Java
Summary:          JBoss EJB 3 Extension API
License:          LGPLv3+
URL:              https://www.jboss.org/ejb3
Source0:          https://github.com/wildfly/jboss-ejb3-ext-api/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:    mvn(org.codehaus.mojo:buildnumber-maven-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)

%description
JBoss EJB 3 API for Bean Providers

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE


