%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:         jboss-el-2.2-api
Version:      1.0.5
Release:      %mkrel 4
Group:        Development/Java
Summary:      Expression Language 2.2 API
License:      CDDL or GPLv2 with exceptions

URL:          https://github.com/jboss/jboss-el-api_spec
Source0:      %{url}/archive/jboss-el-api_2.2_spec-%{namedversion}.tar.gz
Source1:      cddl.txt

BuildArch:    noarch

BuildRequires: maven-local
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)

%description
Expression Language 2.2 API classes.

%package javadoc
Summary: Javadocs for %{name}

%description javadoc	
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-el-api_spec-jboss-el-api_2.2_spec-%{namedversion}

%pom_remove_plugin :maven-source-plugin

cp %{SOURCE1} .

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license cddl.txt LICENSE
%doc README

%files javadoc -f .mfiles-javadoc
%license cddl.txt LICENSE

