%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-jacc-1.5-api
Version:          1.0.2
Release:          %mkrel 5
Group:            Development/Java
Summary:          JACC 1.5 API (JSR-115)
License:          (CDDL or GPLv2 with exceptions) or LGPLv2+
URL:              https://github.com/jboss/jboss-jacc-api_spec
Source0:          https://github.com/jboss/jboss-jacc-api_spec/archive/jboss-jacc-api_1.5_spec-%{namedversion}.tar.gz

BuildRequires:    jboss-parent
BuildRequires:    jboss-servlet-3.1-api
BuildRequires:    junit
BuildRequires:    maven-local
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-plugin-bundle
BuildRequires:    maven-surefire-provider-junit

BuildArch:        noarch

Provides:         javax.security.jacc

%description
JSR-000115 Java Authorization Contract for Containers 1.5 API

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-jacc-api_spec-jboss-jacc-api_1.5_spec-%{namedversion}

%mvn_file :{jboss-jacc-api_1.5_spec} %{name} %{name}/%{name} javax.security.jacc/%{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%dir %{_javadir}/javax.security.jacc
%{_javadir}/%{name}.jar
%doc README LICENSE

%files javadoc -f .mfiles-javadoc
%doc README LICENSE

