%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-jms-2.0-api
Version:          1.0.2
Release:          %mkrel 5
Group:            Development/Java
Summary:          JBoss JMS API 2.0 Spec
License:          CDDL or GPLv2 with exceptions
Url:              https://www.jboss.org
Source0:          https://github.com/jboss/jboss-jms-api_spec/archive/jboss-jms-api_2.0_spec-%{namedversion}.tar.gz
Source1:          cddl.txt

BuildRequires:    maven-local
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)

BuildArch:        noarch

%description
The Java Messaging Service 2.0 API classes

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-jms-api_spec-jboss-jms-api_2.0_spec-%{namedversion}

# Unneeded plugin
%pom_remove_plugin :maven-source-plugin

cp %{SOURCE1} .

sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," LICENSE

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc README.md
%license LICENSE cddl.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE cddl.txt

