%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jbossws-common-tools
Version:          1.2.2
Release:          %mkrel 3
Group:            Development/Java
Summary:          JBossWS Common Tools
License:          LGPLv2+ and ASL 2.0
URL:              https://jbossws.jboss.org

Source0:          https://github.com/jbossws/jbossws-common-tools/archive/%{name}-%{namedversion}.tar.gz
Source1:          https://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(gnu.getopt:java-getopt)
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(log4j:log4j:12)
BuildRequires:    mvn(org.apache.ant:ant)
BuildRequires:    mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:    mvn(org.jboss.ws:jbossws-api)
BuildRequires:    mvn(org.jboss.ws:jbossws-parent:pom:)

%description
JBoss Web Services - Common Tools.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{namedversion}

cp %{SOURCE1} .

%pom_xpath_set pom:properties/pom:log4j.version 12

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt


