Name:           jetty-artifact-remote-resources
Version:        1.0
Release:        %mkrel 18
Group:          Development/Java
Summary:        Jetty toolchain artifact remote resources

License:        ASL 2.0 or EPL
URL:            https://www.eclipse.org/jetty/
Source0:        https://git.eclipse.org/c/jetty/org.eclipse.jetty.toolchain.git/snapshot/%{name}-%{version}.tar.bz2
# rpmlint config file (fedpkg lint will use this)
Source1:        .rpmlint
BuildArch:      noarch

Source2:        https://www.apache.org/licenses/LICENSE-2.0.txt
Source3:        https://www.eclipse.org/legal/epl-v10.html

BuildRequires:  maven-local
BuildRequires:  maven-remote-resources-plugin >= 1.2.1-3
BuildRequires:  jetty-toolchain

%description
Jetty toolchain artifact remote resources

%prep
%setup -q
cp -p %{SOURCE2} %{SOURCE3} .

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE-2.0.txt epl-v10.html

