Name:           jetty-assembly-descriptors
Version:        1.0
Release:        %mkrel 17
Summary:        Jetty assembly descriptors used for building

Group:          Development/Java
License:        ASL 2.0 or EPL
URL:            https://www.eclipse.org/jetty/
Source0:        https://git.eclipse.org/c/jetty/org.eclipse.jetty.toolchain.git/snapshot/%{name}-%{version}.tar.bz2
BuildArch:      noarch

Source1:        https://www.apache.org/licenses/LICENSE-2.0.txt
Source2:        https://www.eclipse.org/legal/epl-v10.html

BuildRequires:  maven-local
BuildRequires:  jetty-toolchain
BuildRequires:  maven-surefire-provider-junit

%description
Jetty assembly descriptors used for building

%prep
%setup -q
cp -p %{SOURCE1} %{SOURCE2} .

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE-2.0.txt epl-v10.html

