Name:           jetty-parent
Version:        19
Release:        %mkrel 18
Group:          Development/Java
Summary:        Jetty parent POM file
License:        ASL 2.0 or EPL
URL:            https://www.eclipse.org/jetty/
BuildArch:      noarch

Source0:        https://repo1.maven.org/maven2/org/eclipse/jetty/%{name}/%{version}/%{name}-%{version}.pom
# rpmlint config file (fedpkg lint will use this)
Source1:        .rpmlint
Source2:        https://www.eclipse.org/legal/epl-v10.html
Source3:        https://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires:  maven-local
BuildRequires:  maven-release-plugin

%description
Jetty parent POM file

%prep
%setup -q -c -T
cp -p %{SOURCE0} pom.xml
cp -p %{SOURCE2} %{SOURCE3} .

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc epl-v10.html LICENSE-2.0.txt

