Summary:	IBM JFS utility programs
Name:		jfsutils
Version:	1.1.15
Release:	%mkrel 11
License:	GPLv3
Group:		System/Kernel and hardware
URL:		https://jfs.sourceforge.net/
Source0:	https://jfs.sourceforge.net/project/pub/%{name}-%{version}.tar.gz
Patch0:		jfsutils-1.1.12-uuid.patch
Patch1:		jfsutils-1.1.15-inttypes.patch
Patch2:		jfsutils-1.1.15-string-literal.diff
Patch3:		jfsutils-1.1.15-sysmacros.patch
Patch4:		jfsutils-1.1.15-mga-multiple-def.patch
Obsoletes:	jfsprogs < %version-%release
Provides:	jfsprogs = %version-%release
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(uuid)

%description
The jfsutils package contains a number of utilities for creating,
checking, modifying, and correcting any inconsistencies in JFS
filesystems.  The following utilities are available: fsck.jfs - initiate
replay of the JFS transaction log, and check and repair a JFS formatted
device; logdump - dump a JFS formatted device's journal log; logredo -
"replay" a JFS formatted device's journal log;  mkfs.jfs - create a JFS
formatted partition; xchkdmp - dump the contents of a JFS fsck log file
created with xchklog; xchklog - extract a log from the JFS fsck workspace
into a file;  xpeek - shell-type JFS file system editor.

%prep
%autosetup -p1

%build
%configure	--sbindir=%{_sbindir}
%make_build

%install
%make_install

%files
%{_sbindir}/*
%{_mandir}/*/*
