%global commit 4bc009145202d9c7483ba85f3a236a8f3470354d
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%global jsname jquery-ui-touch-punch

Name:		js-%{jsname}
Version:	0.2.3
Release:	%mkrel 0.6.20141219git%{shortcommit}
Summary:	Touch Event Support for jQuery UI
Group:          Development/Python
License:	MIT or GPLv2
URL:		http://touchpunch.furf.com/
Source0:	https://github.com/furf/%{jsname}/archive/%{commit}/%{jsname}-%{version}-%{shortcommit}.tar.gz

BuildArch:	noarch
BuildRequires:	uglify-js
BuildRequires:	web-assets-devel
#		This matches js-jquery1, js-jquery2 or js-jquery
Requires:	jquery >= 1.0
Requires:	xstatic-jquery-ui-common >= 1.0
Requires:	web-assets-filesystem

%description
jQuery UI Touch Punch is a small hack that enables the use of touch
events on sites using the jQuery UI user interface library.

%prep
%setup -q -n %{jsname}-%{commit}

# Remove pre-minified script
rm *.min.js

%build
# Minify script
uglifyjs jquery.ui.touch-punch.js -c -m --comments '/^!/' \
      -o jquery.ui.touch-punch.min.js

%install
mkdir -p %{buildroot}/%{_jsdir}/%{jsname}
install -m 644 -p *.js %{buildroot}/%{_jsdir}/%{jsname}

%files
%{_jsdir}/%{jsname}
%doc README.md
