Name:           json
Version:        3.12.0
Release:        %mkrel 1
Summary:        JSON for Modern C++
License:        MIT
Group:          Development/C++
## Not installed
# test/catch.hpp: Boost Software License, Version 1.0
URL:            https://github.com/nlohmann/json
Source0:        https://github.com/nlohmann/json/archive/v%{version}/%{name}-%{version}.tar.gz
# Header only pkg
BuildArch:      noarch

BuildRequires:  cmake

%description
This is a packages version of the nlohmann/json header-only C++
library available at Github.

%package devel
Summary:        Development files for %{name}
Group:          Development/C++
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name} = %{version}-%{release}
Provides:       nlohmann_json-devel = %{version}-%{release}
Requires:       libstdc++-devel

%description devel
The %{name}-devel package contains C++ header files for developing
applications that use %{name}.

%prep
%autosetup -p1

%build
%cmake -DJSON_MultipleHeaders=ON
%cmake_build

%install
%cmake_install

ln -s nlohmann/%{name}.hpp %{buildroot}%{_includedir}/%{name}.hpp

%files devel
%doc README.md
%license LICENSE.MIT
%{_includedir}/nlohmann/
%{_includedir}/%{name}.hpp
%{_datadir}/cmake/nlohmann_json/
%{_datadir}/pkgconfig/nlohmann_json.pc
