# Created by pyp2rpm-3.3.5
%define pypi_name nbclient

%bcond_with check

Name:           jupyter-%{pypi_name}
Version:        0.9.0
Release:        %mkrel 2
Summary:        A client library for executing notebooks
Group:          Development/Python

License:        BSD
URL:            https://jupyter.org
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
NBClient, a client library for programmatic notebook execution, is a tool for
running Jupyter Notebooks in different execution contexts. NBClient was spun
out of nbconvert (formerly ExecutePreprocessor). NBClient lets you execute
notebooks.

%package -n     python3-%{name}
Summary:        A client library for executing notebooks (Python 3)
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
NBClient, a client library for programmatic notebook execution, is a tool for
running Jupyter Notebooks in different execution contexts. NBClient was spun
out of nbconvert (formerly ExecutePreprocessor). NBClient lets you execute
notebooks.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x test}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nbclient

%if %{with check}
%check
# disable test_startnewkernel_with_kernelmanager, test_start_new_kernel_history_file_setting
# and test_sync_kernel_manager
%pytest -v -k 'not test_startnewkernel_with_kernelmanager and not test_start_new_kernel_history_file_setting and not test_sync_kernel_manager'
%endif

%files -n python3-%{name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/jupyter-execute
