%define pypi_name nbformat

Name:           jupyter-%{pypi_name}
Version:        5.9.2
Release:        %mkrel 2
Group:          Development/Python
Summary:        Jupyter Notebook format (tools)

License:        BSD
URL:            https://jupyter.org/
Source0:        https://pypi.io/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  nodejs
Requires:       python3-%{name} = %{version}-%{release}

%description
This package contains the base implementation of the
Jupyter Notebook format, and Python APIs for working
with notebooks.

%package -n     python3-%{name}
Summary:        Jupyter Notebook Conversion (Python 3)
Group:          Development/Python
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
This package contains the base implementation of the
Jupyter Notebook format, and Python APIs for working
with notebooks.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nbformat

%files
%{_bindir}/jupyter-trust

%files -n python3-%{name} -f %{pyproject_files}
%doc README.md
