Name:           jvnet-parent
Summary:        Java.net parent POM file
Version:        5
Release:        %mkrel 3
Group:          Development/Java
License:        ASL 2.0

URL:            https://www.java.net/
Source0:        https://repo1.maven.org/maven2/net/java/%{name}/%{version}/%{name}-%{version}.pom
Source1:        https://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:      noarch

BuildRequires:  maven-local


%description
Java.net parent POM file used by most Java.net subprojects such as
Glassfish


%prep
cp -p %{SOURCE0} pom.xml
cp -p %{SOURCE1} LICENSE

# we provide correct version of maven, no need to enforce and pull in dependencies
%pom_remove_plugin org.apache.maven.plugins:maven-enforcer-plugin


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%doc LICENSE

