#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:          kactivitymanagerd
Epoch:         1
Version: 6.3.4
Release:       %mkrel %{rel}
Summary:       System service to manage user's activities, track the usage patterns etc
Group:         Graphical desktop/KDE
License:       LGPLv2+
URL:           https://invent.kde.org/plasma/kactivitymanagerd
Source0:       https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz


BuildRequires: kf6-rpm-macros

BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Core5Compat)
BuildRequires: cmake(Qt6DBus)
BuildRequires: cmake(Qt6Sql)
BuildRequires: cmake(Qt6Widgets)

BuildRequires: cmake(KF6DBusAddons)
BuildRequires: cmake(KF6I18n)
BuildRequires: cmake(KF6Crash)
BuildRequires: cmake(KF6KIO)
BuildRequires: cmake(KF6Config)
BuildRequires: cmake(KF6CoreAddons)
BuildRequires: cmake(KF6WindowSystem)
BuildRequires: cmake(KF6GlobalAccel)
BuildRequires: cmake(KF6XmlGui)

BuildRequires: boost-devel

%description
System service to manage user's activities, track the usage patterns etc.

%files -f %name.lang
%_kf6_categoriesdir/kactivitymanagerd.categories
%_libexecdir/kactivitymanagerd
%_kf6_libdir/libkactivitymanagerd_plugin.so
%_qt6_plugindir/kactivitymanagerd1/
%_kf6_datadir/dbus-1/services/org.kde.ActivityManager.service
%_userunitdir/plasma-kactivitymanagerd.service
%_kf6_datadir/krunner/dbusplugins/plasma-runnners-activities.desktop

#-----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name --all-name

