Name:		kanyremote
Version:	8.1.1
Release:	%mkrel 1
Summary:	KDE frontend for anyRemote Wireless remote control program
License:	GPLv2+
Group:		Graphical desktop/KDE
URL:		https://kde-apps.org/content/show.php/kAnyRemote?content=45047
Source0:	https://downloads.sourceforge.net/anyremote/%{name}-%{version}.tar.gz
BuildArch:	noarch
Requires:	python3-qt5-core
Requires:	python3-qt5-gui
Requires:	python3-qt5-widgets
Requires:	python3dist(pybluez) >= 0.9.1
Requires:	anyremote >= 6.5
BuildRequires:	desktop-file-utils

%description
KDE front-end for anyremote Wireless remote control program.

%prep
%setup -q

%build
%configure --build=%{_host}
%make_build

%install
%make_install

desktop-file-install --vendor="%{_real_vendor}" \
 --dir=%{buildroot}%{_datadir}/applications \
 --remove-category='Utility' \
 --add-category='System' \
 --add-category="KDE" \
 --add-category='Qt' \
 --add-category='HardwareSettings' \
 --add-category='X-Mageia-CrossDesktop' \
 --remove-key='X-Desktop-File-Install-Version' \
 --remove-key='Encoding' \
 --remove-key='OnlyShowIn' \
 %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %name

%files -f %name.lang
%doc AUTHORS ChangeLog README
%license COPYING
%{_bindir}/*
%{_docdir}/%{name}/
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop
%{_datadir}/appdata/%{name}.appdata.xml
