Name:           kbtin
Version:        2.1
Release:        %mkrel 1
Summary:        A very heavily extended clone the TinTin++ MUD client
Group:          Games/Other
License:        GPLv2+
URL:            https://github.com/kilobyte/kbtin
Source0:        https://github.com/kilobyte/kbtin/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(gnutls)

Requires:       colorized-logs

%description
KBtin is a console-based MUD client, which means it is meant to be used as a
client to play MUDs (multiplayer text-based games : MUD stands for Multi-User
Dungeon).
It is highly configurable and features everything a MUD client must have,
maybe more.
It improves on the well known TinTin++ MUD client.

%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS BUGS ChangeLog FAQ KEYPAD OLDNEWS
%license COPYING
%{_bindir}/KBtin
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man6/KBtin.6*
%{_mandir}/man6/%{name}.6*
%{_docdir}/kbtin/manual.html
