%define kcaldav_major	1
%define kcaldav_libname %mklibname %name %kcaldav_major
%define kcaldav_develname %mklibname %name -d


Summary:	Caldav support for KDE Kontact
Name:		kcaldav
Version:	1.2.0
Release:	%mkrel 7
Source0:	http://kcaldav.googlecode.com/files/%name-%version.tar.gz
License:	GPLv2
Group:		Graphical desktop/KDE
URL:		https://code.google.com/p/kcaldav/
BuildRequires:	kdepim4-devel
BuildRequires:	curl-devel
BuildRequires:	doxygen
BuildRequires:	gnutls-devel
BuildRequires:	libgcrypt-devel

%description
This resource provides CalDAV support for Kontact. It is intended to
provide the same level of CalDAV support as other major calendaring
clients such as Evolution and Sunbird.

The plugin is developed as a standard KResource on KDE 4.4. Currently,
Akonadi has a KResource compatibility layer, so the plugin will operate
within that framework.

%files 
%_kde_libdir/kde4/kcal_caldav.so  
%_kde_services/kresources/kcal/kcal_caldav.desktop

#---------------------------------------------------------------------

%package -n	%{kcaldav_libname}
Summary:	Caldav library
Group:		System/Libraries
%description -n	%{kcaldav_libname}
Library files for %{name}

%files	-n %{kcaldav_libname}
%_kde_libdir/libkcal_caldav.so.%{kcaldav_major}*

#----------------------------------------------------------------------

%package -n	%{kcaldav_develname}
Summary:	Library headers for %{name}
Group:		Development/C
Requires:	%{kcaldav_libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
%description -n	%{kcaldav_develname}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%files -n %{kcaldav_develname}
%_kde_libdir/libkcal_caldav.so 

#-----------------------------------------------------------------------

%prep
%setup -q 

%build
%make

%install
%make_install


