%define _exclude_files_from_autoprov %{_qt5_plugindir}/epubthumbnail.so

Name:           kde-thumbnailer-epub
Version:        1.1
Release:        %mkrel 6
Summary:        A KDE thumbnail generator for the ePub file format
License:        GPLv2
Group:          Graphical desktop/KDE
Url:            https://kde-apps.org/content/show.php/?content=151210
Source0:        https://dl.opendesktop.org/api/files/download/id/1460972259/151210-%name-%version.tar.gz
BuildRequires:  kf5-macros
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Archive)

Requires:       plasma-workspace

%description
A KDE thumbnail generator for the ePub file format.
Once installed go to
Configure Dolphin/Konqueror -> General -> Previews
and select ePub documents.

%prep
%setup -q

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%files
%doc CHANGELOG
%{_qt5_plugindir}/epubthumbnail.so
%{_kf5_services}/epubthumbnail.desktop
