#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kdialog
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        KDialog can be used to show nice dialog boxes from shell scripts
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)

BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6DBusAddons)

BuildRequires:  pkgconfig(x11)


%description
KDialog can be used to show nice dialog boxes from shell scripts.

%files -f %name.lang
%_kf6_bindir/kdialog
%_kf6_bindir/kdialog_progress_helper
%_kf6_datadir/dbus-1/interfaces/org.kde.kdialog.ProgressDialog.xml
%_kf6_applicationsdir/org.kde.kdialog.desktop
%_kf6_metainfodir/org.kde.kdialog.metainfo.xml

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
%find_lang %name
