%define rel 1

Name:           kf6-rpm-macros
Version: 6.13.0
Release:        %mkrel %{rel}
Summary:        Base install macros for KF 6
Group:          Development/KDE and Qt
License:        GPLv2
URL:            https://www.mageia.org
Source:         macros.kf6
BuildArch:      noarch

Requires:       cmake
Requires:       mageia-release
Requires:       extra-cmake-modules >= %version
Requires:       git-core

# Needed to build HTML docs
Requires:       libxml2-utils
Requires:       docbook-dtds
Requires:       docbook-style-xsl

%description
Base install macros for KF 6.

%files
%{_rpmmacrodir}/macros.kf6

%install
install -d -m 755 %{buildroot}%{_rpmmacrodir}
install -p -m 644 %SOURCE0 %{buildroot}%{_rpmmacrodir}/macros.kf6

sed -e 's,VERSION,%{version},g' -i  %{buildroot}%{_rpmmacrodir}/macros.kf6
