Name:		kicad-doc
Summary:	KiCad Documentation
Epoch:		1
Version:	9.0.0
Release:	%mkrel 1
License:	GPLv3+
Group:		Sciences/Computer science
Url:		https://www.kicad.org/
Source0:	https://gitlab.com/kicad/services/kicad-doc/-/archive/%{version}/kicad-doc-%{version}.tar.bz2
BuildArch:	noarch
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	po4a
BuildRequires:	asciidoctor
BuildRequires:	perl(Unicode::GCString)

%description
This package contains the official KiCad documentation.

%prep
%autosetup -p1

%build
%cmake -GNinja \
       -DCMAKE_BUILD_TYPE=Release \
       -DBUILD_FORMATS=html
%cmake_build

%install
%cmake_install

%files
%doc %{_docdir}/kicad/
