Name:		kicad-footprints
Summary:	KiCad Footprint Libraries
Epoch:		1
Version:	9.0.0
Release:	%mkrel 1
License:	CC-BY-SA
Group:		Sciences/Computer science
Url:		https://www.kicad.org/
Source0:	https://gitlab.com/kicad/libraries/kicad-footprints/-/archive/%{version}/kicad-footprints-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	cmake
BuildRequires:	ninja
Requires:	kicad
Requires:	kicad-templates

%description
This package contains the official KiCad footprint libraries.

%prep
%autosetup -p1

%build
%cmake -GNinja \
       -DCMAKE_BUILD_TYPE=Release
%cmake_build

%install
%cmake_install

%files
%license LICENSE*
%doc README* CONTRIBUTING*
%{_datadir}/kicad/footprints/
%{_datadir}/kicad/template/fp-lib-table
