Name:		kicad-symbols
Summary:	KiCad Symbols
Epoch:		1
Version:	9.0.0
Release:	%mkrel 1
License:	CC-BY-SA
Group:		Sciences/Computer science
Url:		https://www.kicad.org/
Source0:	https://gitlab.com/kicad/libraries/kicad-symbols/-/archive/%{version}/kicad-symbols-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	cmake
BuildRequires:	ninja
Requires:	kicad

%description
This package contains the official KiCad schematic symbol libraries.

%prep
%autosetup -p1

%build
%cmake -GNinja \
       -DCMAKE_BUILD_TYPE=Release
%cmake_build

%install
%cmake_install

%files
%license LICENSE*
%doc README*
%{_datadir}/kicad/symbols/
%{_datadir}/kicad/template/sym-lib-table
