#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kio-zeroconf
Summary:        DNS-SD Service Discovery Monitor
Group:          Networking/Other
Version: 25.04.0
Release:        %mkrel %{rel}
License:        GPLv2 LGPLv2 GFDL
URL:            https://apps.kde.org/kio_zeroconf/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)

BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DNSSD)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)

Requires:       nss_mdns

Obsoletes:      zeroconf-ioslave < 22.08.0
Provides:       zeroconf-ioslave = %version-%release


%description
DNS-SD Service Discovery Monitor.

%files -f %name.lang
%_kf6_plugindir/kio/zeroconf.so
%_kf6_datadir/remoteview/zeroconf.desktop
%_kf6_datadir/dbus-1/interfaces/org.kde.kdnssd.xml
%_kf6_metainfodir/org.kde.kio_zeroconf.metainfo.xml
%_kf6_plugindir/kded/dnssdwatcher.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name
