#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kollision
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        A simple ball dodging game
License:        GPLv2 and LGPLv2 and GFD
Group:          Games/Arcade
Url:            https://apps.kde.org/kollision/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KDEGames6)

Recommends:     kollision-handbook


%description -n kollision
A simple ball dodging game.

%files -f %name.lang
%_kf6_bindir/kollision
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/kollision/
%_kf6_iconsdir/*/*/apps/kollision.*
%_kf6_metainfodir/org.kde.kollision.appdata.xml

#------------------------------------------------------------------------------

%package -n kollision-handbook
Summary:        kollision handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kollision >= %{epoch}:%{version}-%{release}

%description -n kollision-handbook
This package provides the kollision handbook.

%files -n kollision-handbook
%_kf6_docdir/HTML/*/kollision

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
