Name:		kquickimageeditor
Version:	0.5.1
Release:	%mkrel 1
Summary:	QtQuick components providing basic image editing capabilities
Group:		Graphical desktop/KDE
License:	GPLv2+
URL:		https://invent.kde.org/libraries/kquickimageeditor
Source0:	https://download.kde.org/stable/kquickimageeditor/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6Widgets)

%description
QtQuick components providing basic image editing capabilities.

%files
%{_kf6_qmldir}/org/kde/kquickimageeditor

#------------------------------------------------------------------------------

%define devname %mklibname kquickimageeditor -d

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
The %{devname} package contains cmake and mkspecs for developing
applications that use %{name}.

%files -n %{devname}
%{_kf6_libdir}/cmake/KQuickImageEditor/
%{_kf6_mkspecsdir}/qt_KQuickImageEditor.pri

#------------------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
