#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kteatime
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        System tray applet that makes sure your tea doesn't get too strong
Group:          Toys
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/kteatime/
Source:         https://download.kde.org/stable/release-service/%version/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6DocTools)

Recommends:     %{name}-handbook


%description
System tray applet that makes sure your tea doesn't get too strong.

%files -f %name.lang
%_kf6_bindir/kteatime
%_kf6_applicationsdir/*.desktop
%_kf6_iconsdir/hicolor/*/apps/kteatime.*
%_kf6_metainfodir/org.kde.kteatime.appdata.xml
%_kf6_knotificationsdir/kteatime.notifyrc

#------------------------------------------------------------------------------

%package -n %name-handbook
Summary:        %name handbook
Group:          Documentation
BuildArch:      noarch

%description -n %name-handbook
This package provides the %name handbook.

%files -n %name-handbook
%_kf6_docdir/HTML/*/%name

#------------------------------------------------------------------------------
%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
