Name:		kukgen-data
Version:	1.1
Release:	%mkrel 4
Summary:	K.u.k General Data
URL:		https://lgames.sourceforge.net/LGeneral/
Source0:	https://prdownloads.sourceforge.net/lgeneral/%{name}-%{version}.tar.gz
License:	GPLv2+
Group:		Games/Strategy
Buildarch:	noarch
Requires:	lgeneral


%description
This package provides single World War I scenarios for LGeneral.
You are able to command the Imperial and Royal Austro-Hungarian
(k.u.k.) army and fight decisive battles of world history again. 


%prep
%setup -q -n lgeneral-data-1.1-d4d831b06c39a4d20dd0a96d0a89e3d50f22e69a


%install
# we keep it in doc directory
mv sounds/LICENSE.sounds ./

mkdir -p %{buildroot}%{_datadir}/lgeneral
mv campaigns gfx maps nations scenarios sounds units %{buildroot}%{_datadir}/lgeneral/ 


%files
%doc docs/* README LICENSE.sounds
%{_datadir}/lgeneral/campaigns/kukgen*
%{_datadir}/lgeneral/gfx/flags/kukgen.bmp
%{_datadir}/lgeneral/gfx/terrain/kukgen
%{_datadir}/lgeneral/gfx/units/kukgen*
%{_datadir}/lgeneral/maps/kukgen*
%{_datadir}/lgeneral/nations/kukgen.ndb
%{_datadir}/lgeneral/scenarios/kukgen*
%{_datadir}/lgeneral/sounds/kukgen
%{_datadir}/lgeneral/units/kukgen.udb

