#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 2 addon for unit conversion
Name:           kunitconversion
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6I18n) >= %version
BuildRequires:  cmake(KF6Config) >= %version

%description
KDE Frameworks 6 Tier 2 addon for unit conversion.

%files -f kunitconversion6.lang
%_kf6_categoriesdir/kunitconversion.categories

#--------------------------------------------------------------------

%define kf6unitconversion_major 6
%define libkf6unitconversion %mklibname kf6unitconversion %{kf6unitconversion_major}

%package -n %libkf6unitconversion
Summary:        KDE Frameworks 6 Tier 2 addon for unit conversion
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf6unitconversion
KDE Frameworks 6 Tier 2 addon for unit conversion.

%files -n %libkf6unitconversion
%_kf6_libdir/libKF6UnitConversion.so.%{kf6unitconversion_major}{,.*}
%_kf6_libdir/libKF6UnitConversion.so.%{version}

#--------------------------------------------------------------------

%define kf6unitconversion_devel %mklibname kf6unitconversion -d

%package -n %kf6unitconversion_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6unitconversion = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6unitconversion_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6unitconversion_devel
%_kf6_includedir/KUnitConversion/
%_kf6_libdir/cmake/KF6UnitConversion/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang kunitconversion6

