#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kwayland-integration
Version: 6.3.4
Release:        %mkrel %{rel}
Summary:        Provides integration plugins for various KDE Frameworks for Wayland
Group:          Graphical desktop/KDE
License:        LGPLv2+
URL:            https://invent.kde.org/plasma/kwayland-integration
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5WaylandClient)
BuildRequires:  cmake(Qt5XkbCommonSupport)

BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5Wayland)

BuildRequires:  cmake(PlasmaWaylandProtocols)
BuildRequires:  pkgconfig(wayland-protocols)


%description
Provides integration plugins for various KDE Frameworks for Wayland.

%files
%_kf5_categoriesdir/kwindowsystem.kwayland.categories
%_kf5_plugindir/kwindowsystem/KF5WindowSystemKWaylandPlugin.so

#-----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
