%global __requires_exclude perl\\(MyManageNews\\)

Name: latemp
Version: 0.12.0
Release: %mkrel 4
License: MIT
Group: Publishing
Source: https://web-cpan.shlomifish.org/latemp/download/%{name}-%{version}.tar.xz
URL: https://web-cpan.shlomifish.org/latemp
Requires: perl
Requires: wml
BuildRequires: cmake
BuildRequires: perl(Task::Latemp)
BuildRequires: perl(Pod::Xhtml)
Provides: latemp-config = %{version}-%{release}
Provides: latemp-setup = %{version}-%{release}
BuildArch: noarch
Summary: An Offline Content Management System

%description
Latemp is a sophisticated offline content management system based on
Website Meta Language and several CPAN modules.

%prep
%setup -q

%build
%cmake -DLOCALE_INSTALL_DIR=%{_datadir}/locale
%cmake_build

%install
%cmake_install
rm -f %{buildroot}/%{_bindir}/latemp-ref.html

%files
%doc COPYING Changes INSTALL README TODO ver.txt
%{_bindir}/latemp-config
%{_bindir}/latemp-setup
%{_datadir}/wml/include/latemp/*.wml
%{_datadir}/wml/include/latemp/themes/*/*.wml
%{_docdir}/%{name}/latemp-ref.html
%{_docdir}/%{name}/latemp-ref.pod
