Summary:	LaTeX to RTF converter
Name:		latex2rtf
Version:	2.3.18a
Release:	%mkrel 1
License:	GPLv2+
Group:		Publishing
Url:		https://latex2rtf.sourceforge.net/
Source0:	https://sourceforge.net/projects/%{name}/files/%{name}-unix/%{version}/%{name}-%{version}.tar.gz
Patch0:		latex2rtf-2.3.18-Makefile.patch
BuildRequires:	texinfo-tex
BuildRequires:	info-install

Requires:	imagemagick
Requires:	texlive

%description
LaTeX2rtf is a translator program which is intended to translate a
LaTeX document (precisely: the text and a limited subset of LaTeX
tags) into the RTF format which can be imported by several
text processors (including Microsoft Word for Windows and Word for
Macintosh).

%prep
%setup -q -n %{name}-2.3.18
%autopatch -p1

# Fix permissions for normal files.
find . -type f -exec chmod 644 {} \;
chmod 755 test/bracecheck
chmod 755 scripts/latex2png

%build
%set_build_flags
%make_build
%make_build doc

%install
%make_install install-info

%check
export RTFPATH=../cfg/
%__make check

%files
%doc ChangeLog Copyright README
%doc doc/latex2rtf.{html,pdf,txt}
%{_bindir}/%{name}
%{_bindir}/latex2png
%{_sysconfdir}/%{name}
%{_infodir}/*
%{_mandir}/man1/*
