%define major 0
%define libname %mklibname cacard %major
%define develname %mklibname cacard -d

Name: libcacard
Version: 2.8.1
Release: %mkrel 2
Summary: Common Access Card (CAC) Emulation
Group: System/Libraries
License: LGPLv2+
URL: https://www.spice-space.org/download
Source0: https://www.spice-space.org/download/libcacard/libcacard-%{version}.tar.xz
BuildRequires: pkgconfig(glib-2.0) >= 2.22
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(nss) >= 3.12.8
BuildRequires: pkgconfig(libpcsclite)

%description
Common Access Card (CAC) emulation library.

%package -n %libname
Summary: Common Access Card (CAC) Emulation
Group: System/Libraries
Obsoletes: libcacard-tools < 2.6.1

%description -n %libname
Common Access Card (CAC) emulation library.

%package -n %develname
Summary: CAC Emulation devel
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %develname
CAC emulation development files.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %libname
%doc COPYING README.md
%{_libdir}/libcacard.so.%{major}{,.*}

%files -n %develname
%{_includedir}/cacard
%{_libdir}/pkgconfig/libcacard.pc
%{_libdir}/libcacard.so
