%define major 1
%define libname %mklibname cdaudio %{major}
%define develname %mklibname cdaudio -d

Summary:	A library for controlling CD-ROM devices
Name:		libcdaudio
Version:	0.99.12p2
Release:	%mkrel 13
Group:		System/Libraries
License:	LGPLv2+
URL:		https://libcdaudio.sourceforge.net/
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}-config
Patch0:		%{name}-0.99.10.config.patch
Patch1:		%{name}-0.99-CAN-2005-0706.patch
Patch2:		%{name}-0.99.12-buffovfl.patch
Patch3:		%{name}-0.99.12p2-libdir.patch

%description
libcdaudio is a library for controlling CD-ROM devices

%package -n	%{libname}
Summary:	A library for controlling CD-ROM devices
Group:		System/Libraries

%description -n	%{libname}
libcdaudio is a library for controlling CD-ROM devices

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	cdaudio-devel = %{version}-%{release}
Obsoletes:      %{_lib}cdaudio1-devel

%description -n	%{develname}
This package contains the headers that programmers will need to develop 
applications which will use %{name}.

%prep

%setup -q
%patch -P 0 -p0
%patch -P 1 -p1
%patch -P 2 -p0
%patch -P 3 -p1

cp %{SOURCE1} cdserver

%build
%configure
%make_build

%install
%make_install
chmod 644 %{buildroot}%{_libdir}/libcdaudio.la

install -d -m 755 %{buildroot}/%{_sysconfdir}
install -m 644 cdserver %{buildroot}/%{_sysconfdir}

%multiarch_binaries %{buildroot}%{_bindir}/libcdaudio-config

%files -n %{libname}
%doc README NEWS AUTHORS ChangeLog
%{_sysconfdir}/cdserver
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%_bindir/libcdaudio-config
%multiarch %{_bindir}/*/libcdaudio-config
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_datadir}/aclocal/*
%{_libdir}/pkgconfig/libcdaudio.pc
