#------------------------------------------------------------
%define major		2
%define libname		%mklibname cue %{major}
%define develname	%mklibname cue -d
#------------------------------------------------------------

#------------------------------------------------------------
Summary:	Cuesheet parser library
Name:		libcue
Version:	2.3.0
Release:	%mkrel 1
Source0:	https://github.com/lipnitsk/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
License:	GPLv2
Group:		System/Libraries
Url:		https://github.com/lipnitsk/libcue/
BuildRequires:	cmake
BuildRequires:	bison
BuildRequires:	flex

%description
This is a library for parsing cue sheets which describe audio CD images. They
are useful for gapless music playback.
#------------------------------------------------------------

#------------------------------------------------------------
%package -n 	%{libname}
Summary:	Cuesheet parser library
Group:		System/Libraries

%description -n %{libname}
This is a library for parsing cue sheets which describe audio CD images. They
are useful for gapless music playback.
#------------------------------------------------------------

#------------------------------------------------------------
%package -n 	%{develname}
Summary:	Cuesheet parser library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libcue-devel = %{version}-%{release}

%description -n %{develname}
This is a library for parsing cue sheets which describe audio CD images. They
are useful for gapless music playback.
#------------------------------------------------------------

#------------------------------------------------------------
%prep
%setup -q
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install
#------------------------------------------------------------

#------------------------------------------------------------
%files -n	%{develname}
%{_includedir}/libcue.h
%{_includedir}/libcue
%{_libdir}/libcue.so
%{_libdir}/pkgconfig/libcue.pc
#------------------------------------------------------------

#------------------------------------------------------------
%files -n	%{libname}
%{_libdir}/libcue.so.%{major}
%{_libdir}/libcue.so.%{version}
#------------------------------------------------------------
