%define major		5
%define libname		%mklibname ebml %{major}
%define develname	%mklibname ebml -d

Summary:	Extensible Binary Meta Language Library
Name:		libebml
Version:	1.4.5
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.matroska.org/
Source0:	https://dl.matroska.org/downloads/libebml/%{name}-%{version}.tar.xz
Patch0:		libebml-1.4.4-use-system-utf8cpp.patch
BuildRequires:	cmake
BuildRequires:	utf8cpp-devel

%description
This library is used for I/O operations in the Extensible Binary Meta
Language (EBML), which is a kind of binary version of XML.

%package -n	%{libname}
Summary:	Extensible Binary Meta Language shared Library
Group:		System/Libraries

%description -n	%{libname}
This library is used for I/O operations in the Extensible Binary Meta
Language (EBML), which is a kind of binary version of XML.

%package -n	%{develname}
Group:		Development/C++
Summary:	Extensible Binary Meta Language Library headers and static library
Provides:	libebml-devel = %{version}
Requires:	%{libname} = %{version}

%description -n	%{develname}
This library is used for I/O operations in the Extensible Binary Meta
Language (EBML), which is a kind of binary version of XML.

This package contains the C++ headers and the static library needed
for development with EBML.

%prep
%autosetup -p1
#remove bundled lib as we use system one
rm -r src/lib/utf8-cpp

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/libebml.so.%{major}{,.*}

%files -n %{develname}
%doc NEWS.md README.md LICENSE*
%{_includedir}/ebml
%{_libdir}/libebml.so
%{_libdir}/cmake/EBML/
%{_libdir}/pkgconfig/libebml.pc
