%define major     0
%define oname     fakekey
%define libname   %mklibname %{oname} %{major}
%define develname %mklibname %{oname} -d

Name:           libfakekey
Version:        0.3
Release:        %mkrel 1
Summary:        Converting characters to X key-presses

Group:          System/Libraries
License:        LGPLv2+
URL:            https://git.yoctoproject.org/cgit/cgit.cgi/libfakekey/
Source0:        https://git.yoctoproject.org/cgit/cgit.cgi/libfakekey/snapshot/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(x11)

%description
libfakekey is a simple library for converting UTF-8 characters into
'fake' X key-presses.

%package -n %{libname}
Summary:        Converting characters to X key-presses
Group:          System/Libraries

%description -n %{libname}
libfakekey is a simple library for converting UTF-8 characters into
'fake' X key-presses.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{oname}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
# to recognize aarch64
autoreconf -vfi

%configure --enable-maintainer-mode --disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/libfakekey.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/fakekey/
%{_libdir}/libfakekey.so
%{_libdir}/pkgconfig/libfakekey.pc
