%define api		0.9
%define major		1
%define libname		%mklibname fame %api %major
%define develname	%mklibname fame -d

Summary:	Fast Assembly Mpeg Encoding library
Name:		libfame
Version:	0.9.1
Release:	%mkrel 28
License:	LGPLv2+
Group:		System/Libraries
URL:		https://fame.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/fame/libfame-%{version}.tar.bz2
Patch:		libfame-0.9.1-gcc34-1.patch.bz2
Patch1:		libfame-0.9.1-64bit.diff
Patch2:		libfame-0.9.1-fix-underquoted-calls.patch
Patch3:		libfame-0.9.1-mga-remove-standard-rpath.patch
Patch4:		libfame-fix-building-with-gcc14.patch

%description
FAME is a library for fast MPEG encoding.

%package -n %libname
Summary:	Fast Assembly Mpeg Encoding library
Group:		System/Libraries

%description -n %libname
FAME is a library for fast MPEG encoding.

%package -n %develname
Summary:	Libraries and include to develop using FAME
Group:		Development/C
Requires:	%libname = %version-%release
Provides:	%name-devel = %version-%release 
Provides:	libfame0.9-devel = %version-%release
Conflicts:	libfame-devel < %version
Obsoletes:	%mklibname -d fame 0.9_1

%description -n %develname
FAME is a library for fast MPEG encoding.

This is the libraries, include files and other resources you can use
to develop FAME applications.

%prep
%setup -q
%autopatch -p1

%build
aclocal
autoconf
automake -a -f --foreign
%configure --disable-static
%make_build

%install
%make_install
%multiarch_binaries %{buildroot}%{_bindir}/*-config

find %{buildroot} -name '*.la' -delete

%files -n %libname
%doc CHANGES COPYING README
%{_libdir}/libfame-%{api}.so.%{major}{,.*}

%files -n  %develname
%doc CHANGES COPYING README
%{_bindir}/*-config
%{multiarch_bindir}/*-config
%{_libdir}/lib*.so
%{_includedir}/fame*.h
%{_datadir}/aclocal/*
%{_mandir}/man3/*
