%define	major 0
%define libname	%mklibname garmin %{major}
%define develname %mklibname -d garmin

%define snap svn320

Summary:	C library to parse and use Garmin image files
Name:		libgarmin
Version:	0.1
Release:	%mkrel 0.0.%{snap}.8
Group:		System/Libraries
License:	GPLv2
URL:		https://libgarmin.sourceforge.net/
Source0:	libgarmin-%{version}.tar.gz
Patch0:		libgarmin-shared.diff
Patch1:		libgarmin-0.1-automake-1.12.diff
BuildRequires:	autoconf 
BuildRequires:	automake 
BuildRequires:	libtool
BuildRequires:	subversion

%description
Libgarmin is a library used to parse IMG files from Garmin GPS devices.

%package	utils
Summary:	Various utilities to manipulate Garmin image files
Group:          File tools

%description	utils
Libgarmin is a library used to parse IMG files from Garmin GPS devices.

This package contains various utilities to manipulate Garmin image files.

%package -n	%{libname}
Summary:	C library to parse and use Garmin image files
Group:          System/Libraries

%description -n	%{libname}
Libgarmin is a library used to parse IMG files from Garmin GPS devices.

This package contains the shared %{name} library.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}
Requires:	%{libname} = %{version}

%description -n	%{develname}
Libgarmin is a library used to parse IMG files from Garmin GPS devices.

This package contains libraries and header files for developing applications
that use %{name}.

%prep

%setup -q 
%autopatch -p1

%build
mkdir -p m4
autoreconf -fi

%configure \
    --disable-static

svn upgrade > /dev/null 2>&1 || :
%make_build

%install

%make_install

rm -f %{buildroot}%{_libdir}/*.*a

%files utils
%{_bindir}/gar*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/garmintypes.txt

%files -n %{libname}
%doc AUTHORS COPYING README TODO
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_datadir}/%{name}/doc/*
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


