%define	api	1.0
%define major	0
%define libname	%mklibname grss %{major}
%define	devname	%mklibname grss	-d
%define _disable_rebuild_configure 1

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Library for easy management of RSS/Atom/Pie feeds
Name:		libgrss
Version:	0.7.0
Release:	%mkrel 6
License:	LGPLv3+
Group:          System/Libraries
Url:		https://live.gnome.org/Libgrss
Source0:	https://download.gnome.org/sources/libgrss/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		libgrss-CVE-2016-20011.patch

BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gobject-2.0) >= 2.30.2
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.36.1
BuildRequires:	pkgconfig(libxml-2.0) >= 2.7.8

%description
LibGRSS is a library for easy management of RSS/Atom/Pie feeds.

%package -n %{libname}
Summary:	Library for easy management of RSS/Atom/Pie feeds
Group:		System/Libraries

%description -n %{libname}
LibGRSS is a library for easy management of RSS/Atom/Pie feeds.

%package -n %{devname}
Summary:	Library for easy management of RSS/Atom/Pie feeds -- Development Files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
LibGRSS is a library for easy management of RSS/Atom/Pie feeds.

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--disable-static

%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/libgrss.so.%{major}{,.*}

%files -n %{devname}
%doc COPYING NEWS README
%doc %{_datadir}/gtk-doc/html/libgrss/
%{_includedir}/libgrss/
%{_libdir}/libgrss.so
%{_libdir}/pkgconfig/libgrss.pc

