%define oname guess

%define major	1
%define libname	%mklibname %{oname} %{major}
%define devname %mklibname -d %{oname}

%define git 20150609

%define rel 6

#source from upstream git
#
# git clone https://github.com/atheme/libguess.git
# cd libguess
# git archive --format=tar --prefix=libguess master/	 | xz > ../libguess-20131127.tar.xz

Summary:	A high-speed character set detection library
Name:		libguess
Version:	1.2
Release:	%mkrel -c git.%git %{rel}
# These URLs are no longer available
Source0:	http://distfiles.atheme.org/%{name}-%{git}.tar.xz
License:	BSD
Group:		System/Libraries
Url:		http://www.atheme.org/projects/libguess.html
BuildRequires:	pkgconfig(libmowgli-2) >= 2.0

%description
Libguess is a high-speed character set detection library. It employs
discrete-finite automata to deduce the character set of an input buffer.

%package -n %{libname}
Group:		System/Libraries
Summary:	A high-speed character set detection library

%description -n %{libname}
Libguess is a high-speed character set detection library. It employs
discrete-finite automata to deduce the character set of an input buffer.

%package -n %{devname}
Group:		Development/C
Summary:	A high-speed character set detection library
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n %{devname}
Libguess is a high-speed character set detection library. It employs
discrete-finite automata to deduce the character set of an input buffer.

Install this if you want to build applications with %{name}.

%prep
%setup -q -c -n %name

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%files -n %{libname}
%doc README COPYING
%{_libdir}/libguess.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/libguess.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}/
