%define major 2
%define libname %mklibname hbaapi %{major}
%define devname %mklibname hbaapi -d

Name:           libhbaapi
Version:        2.2.9
Release:        %mkrel 13
Summary:        SNIA HBAAPI library
Group:          System/Libraries
License:        SNIA
URL:            https://open-fcoe.org/
# This source was cloned from upstream git (libHBAAPI)
Source:         %{name}-%{version}.tar.gz
Patch0:         libhbaapi-2.2.9-dl-linking.patch
Patch1:         libhbaapi-2.2.9-portspeed.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
The SNIA HBA API library. C-level project to manage
Fibre Channel Host Bus Adapters.

%package -n %{libname}
Summary:        SNIA HBAAPI library
Group:          System/Libraries

%description -n %{libname}
The SNIA HBA API library. C-level project to manage
Fibre Channel Host Bus Adapters.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C
Provides:       %{name}-devel%{?_isa} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname}%{?_isa} = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%autopatch -p1

%build
./bootstrap.sh
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files -n %{libname}
%license COPYING
%config(noreplace) %{_sysconfdir}/hba.conf
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

