Name:		liblarch
Version:	3.2.0
Release:	%mkrel 4
Summary:	A python 3 library to easily handle data structures
Group:		System/Libraries
License:	GPLv3
URL:		https://live.gnome.org/liblarch
Source0:	https://github.com/getting-things-gnome/liblarch/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:  python3-devel
Provides:	%{name}-gtk = %{version}-%{release}
Obsoletes:	%{name}-gtk <= 0.1.0
%{?python_provide:%python_provide python3-liblarch}
%{?python_provide:%python_provide python3-liblarch-gtk}

%description
Liblarch is a python3 library built to easily handle data structures such as
lists, trees and directed acyclic graphs (tree where nodes can have multiple
parents). There's also a liblarch-gtk binding that will allow you to use your
data structures in Gtk.Treeview.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name} %{name}_gtk

%files -f %{pyproject_files}
%doc AUTHORS README.md LICENSE
