%define	major	0
%define	libname	%mklibname lettertree %{major}
%define devname %mklibname lettertree -d

Name:		liblettertree
Version:	0.1
Release:	%mkrel 16
Summary:	A letter tree data structure
License:	LGPL
Group:		System/Libraries
# This URLs is no longer available
Source:		ftp://ftp.inria.fr/INRIA/Atoll/Guillaume.Rousse/%{name}-%{version}.tar.bz2

%description
This is a simple implementation of a lettertree, an efficient data structure
for storing and indexing string sharing a common prefix.

%package -n %{libname}
Summary:	A letter tree data structure
Group:		System/Libraries

%description -n	%{libname}
This is a simple implementation of a lettertree, an efficient data structure
for storing and indexing string sharing a common prefix.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lettertree-devel = %{version}-%{release}
Obsoletes:	%{_lib}lettertree0-devel < 0.1-8

%description -n	%{devname}
This package contains development files for %{name}.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc AUTHORS ChangeLog README
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{devname}
%{_libdir}/%{name}.so
%{_includedir}/lettertree.h
