%define major 0
%define libname %mklibname mimic %major
%define develname %mklibname -d mimic

Summary:	Audio/Video Conference software for Instant Messengers
Name:		libmimic
Version:	1.0.4
Release:	%mkrel 18
License:	LGPLv2+
Url:		https://sourceforge.net/projects/farsight/
Group:		Networking/Instant messaging
Source0:	https://downloads.sourceforge.net/farsight/%{name}-%{version}.tar.gz
Patch0:		%{name}-1.0.4-fix-underlinking.patch
BuildRequires:	glib2-devel

%description
Audio/Video Conference software for Instant Messengers.
It aims to provide Audio/Video conferencing for as many
Instant Messengers as possible through a modular design.

%package -n %libname
Group: System/Libraries
Summary:Audio/Video Conference software for Instant Messengers
Obsoletes: libmimic

%description -n %libname
Audio/Video Conference software for Instant Messengers.
It aims to provide Audio/Video conferencing for as many
Instant Messengers as possible through a modular design.

%package -n %develname
Summary:	Headers of %name for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %develname
Headers of %{name} for development.


%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

# don't ship .la
find %{buildroot} -name *.la | xargs rm -f

%files -n %{libname}
%{_libdir}/libmimic.so.%{major}{,.*}

%files -n %develname
%{_includedir}/mimic.h
%{_libdir}/libmimic.so
%{_libdir}/pkgconfig/libmimic.pc
