%define major		0
%define libname		%mklibname mms %{major}
%define develname	%mklibname mms -d

Summary:        MMS stream protocol library
Name:           libmms
Version:        0.6.4
Release:	%mkrel 8
License:	LGPLv2.1
Group:          System/Libraries
Source:         https://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
URL:            https://www.sf.net/projects/libmms
BuildRequires:	glib2-devel

%description
Libmms is a library implementing the MMS streaming protocol.

%package -n %{libname}
Group: System/Libraries
Summary: Shared library implementing the MMS protocol

%description -n %{libname}
Libmms is a library implementing the mms streaming protocol.

%package -n %{develname}
Summary: Development headers for developing with libmms
Group:	 Development/C
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %mklibname mms 0 -d

%description -n %{develname}
This package provides the necessary development headers and libraries
to allow you to build programs that use libmms.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

# don't ship .a, .la
find %{buildroot} -name *.a | xargs rm -f
find %{buildroot} -name *.la | xargs rm -f

%files -n %{libname}
%doc AUTHORS ChangeLog README README.LICENSE
%{_libdir}/libmms.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/libmms
%{_libdir}/libmms.so
%{_libdir}/pkgconfig/libmms.pc
