%define major 1
%define libname %mklibname mpd %{major}
%define develname %mklibname mpd -d

Summary:	Music Player Daemon Library
Name:		libmpd
Version:	11.8.17
Release:	%mkrel 13
License:	GPLv2+
Group:		System/Libraries
Url:		https://sarine.nl/libmpd
Source0:	https://download.sarine.nl/Programs/gmpc/%{version}/%{name}-%{version}.tar.gz
Patch0:		libmpd-11.8.17-strndup.patch
Patch1:		libmpd-c99.patch
BuildRequires:	pkgconfig(glib-2.0) >= 2.16

%description
Libmpd is an a library to easily connect to a mpd server.
It's wraps around libmpdclient and provides a higher level api.

%package -n %{libname}
Summary:	Music Player Daemon Library
Group:		System/Libraries

%description -n %{libname}
Libmpd is an a library to easily connect to a mpd server.
It's wraps around libmpdclient and provides a higher level api.

%package -n %{develname}
Summary:	Header files for developing programs with libmpd
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}-%{release}
Group:		Development/Other

%description -n %{develname}
libmpd-devel is a sub-package which contains header files and static libraries
for developing program with libmpd.

%prep
%autosetup -p1

%build
# to recognize aarch64
autoreconf -vfi

%configure \
	--disable-static

%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/%{name}.la

%files -n %{libname}
%{_libdir}/libmpd.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog README
%{_libdir}/libmpd.so
%{_libdir}/pkgconfig/libmpd.pc
%{_includedir}/libmpd-1.0
