%define major 0
%define libname %mklibname mt_client %major
%define devname %mklibname mt_client -d

Summary: The Maitretarot client library
Name: libmt_client
Version: 0.1.98
Release: %mkrel 22
License: GPLv2+
Group: Games/Cards
Source: https://www.nongnu.org/download/maitretarot/devel.pkg/%{version}/%{name}-%{version}.tar.bz2
Patch0: libmt_client-0.1.98-str-fmt.patch
URL: https://www.nongnu.org/maitretarot/
BuildRequires: glib2-devel
BuildRequires: libmaitretarot-devel >= 0.1.98-21

%description
Maitretarot is a tarot server game. Libmt_client is a library
for the client.

%package -n %libname
Summary: The Maitretarot client library
Group: System/Libraries
Provides: %name = %version-%release

%description -n %libname
Maitretarot is a tarot server game. Libmt_client is a library
for any client.

%package -n %devname
Summary: Development files from Libmaitretarot
Group: System/Libraries
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %{_lib}mt_client0-devel < 0.1.98-12

%description -n %devname
This package is need to build application which use Libmt_client.

%prep
%setup -q
%autopatch -p0

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %libname
%doc AUTHORS ChangeLog
%{_libdir}/*.so.%{major}{,.*}

%files -n %devname
%{_libdir}/*.so
%{_includedir}/mt_client.h

