%define major 1
%define libname %mklibname netfilter_acct %{major}
%define libnamedevel %mklibname netfilter_acct -d

Summary:	Netfilter extended accounting infrastructure library
Name:		libnetfilter_acct
Version:	1.0.3
Release:	%mkrel 4
Group:		System/Kernel and hardware
License:	GPL
URL:		https://www.netfilter.org/projects/libnetfilter_acct/index.html
Source0:	https://www.netfilter.org/projects/libnetfilter_acct/files/libnetfilter_acct-%{version}.tar.bz2
Source1:	https://www.netfilter.org/projects/libnetfilter_acct/files/libnetfilter_acct-%{version}.tar.bz2.sig
BuildRequires:	pkgconfig(libmnl) >= 1.0.0

%description
libnetfilter_acct is the userspace library providing interface to extended
accounting infrastructure.

%package -n	%{libname}
Summary:	Netfilter extended accounting infrastructure library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	netfilter_acct = %{version}-%{release}

%description -n	%{libname}
libnetfilter_acct is the userspace library providing interface to extended
accounting infrastructure.

%package -n	%{libnamedevel}
Summary:	Development files for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	netfilter_acct-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libnamedevel}
This package contains the development files for %{name}.

%prep
%setup -q

%build
%configure \
    --disable-static
%make_build

%check
make check

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.*a

%files -n %{libname}
%doc COPYING README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libnamedevel}
%{_includedir}/libnetfilter_acct
%{_libdir}/*.so
%{_libdir}/pkgconfig/libnetfilter_acct.pc


