%define major		31
%define libname		%mklibname re %{major}
%define libnamedev	%mklibname re -d

Summary: 	Generic library for real-time communications with async IO support
Name: 		libre
Version: 	3.21.0
Release: 	%mkrel 1
License: 	BSD
Group: 		System/Libraries
URL: 		https://github.com/baresip/re
Source0: 	https://github.com/baresip/re/archive/v%{version}/re-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	pkgconfig(openssl)

%description
Generic library for real-time communications with async IO support.

%package -n	%{libname}
Summary:	Generic library for real-time communications with async IO support
Group:		System/Libraries
# librem archived, from baresip, merge rem into re by @alfredh in #2442
Obsoletes:	%{_lib}rem6 < 2.12.0-2

%description -n	%{libname}
Generic library for real-time communications with async IO support.

%package -n	%{libnamedev}
Summary:	libre development files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
# librem archived, from baresip, merge rem into re by @alfredh in #2442
Obsoletes:	%{_lib}rem-devel < 2.12.0-2

%description -n	%{libnamedev}
libre development files.

%prep
%autosetup -n re-%{version} -p1

%build
export EXTRA_CFLAGS="%{build_cflags}"
export EXTRA_LFLAGS="%{build_ldflags}"
%cmake -GNinja
%cmake_build

%install
%cmake_install

find %{buildroot} -name '*.a' -print -delete

%files -n %{libname}
%{_libdir}/libre.so.%{major}{,.*}

%files -n %{libnamedev}
%{_libdir}/pkgconfig/libre.pc
%{_libdir}/cmake/libre/
%{_libdir}/cmake/re/
%{_includedir}/re/
%{_libdir}/libre.so
