%define major	1
%define libname	%mklibname repfunc %{major}
%define devname	%mklibname repfunc -d

Summary:	tools library for w_scan_cpp and wirbelscan
Name:		librepfunc
Version:	1.10.0
Release:	%mkrel 1
Group:		System/Libraries
License:	GPLv2
URL:		https://github.com/wirbel-at-vdr-portal/librepfunc
Source0:	https://github.com/wirbel-at-vdr-portal/librepfunc/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		librepfunc-1.10.0-fix-install.patch


%description
tools library for w_scan_cpp and wirbelscan.

%package -n	%{libname}
Summary:	tools library for w_scan_cpp and wirbelscan
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

# when renaming a pkg
Obsoletes:	librepfunc <= 1.8.1

%description -n	%{libname}
tools library for w_scan_cpp and wirbelscan.

%package -n	%{devname}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	repfunc-devel = %{version}-%{release}

# when renaming a pkg
Obsoletes:	librepfunc-devel <= 1.8.1

%description -n	%{devname}
Header files for development with %{name}.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build

%install
%make_install prefix=%{_prefix} libdir=%{_libdir}

%files -n %{libname}
%doc %{_docdir}/%{name}/
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/repfunc.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
