%global major	0
%global libname	%mklibname spng %{major}
%global devname	%mklibname spng -d

Name:		libspng
Summary:	C library for reading and writing Portable Network Graphics (PNG)
Version:	0.7.4
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
Url:		https://libspng.org
Source0:	https://github.com/randy408/libspng/archive/v%{version}/libspng-%{version}.tar.gz
BuildRequires:	meson
BuildRequires:	zlib-devel

%description
libspng (simple png) is a C library for reading and writing Portable Network
Graphics (PNG) format files with a focus on security and ease of use.

libspng is an alternative to libpng, the projects are separate and the APIs are
not compatible.

%package -n %{libname}
Summary:	C library for reading and writing Portable Network Graphics (PNG)
Provides:	%{name} = %{version}-%{release}
Provides:       %{name}%{?_isa} = %{version}-%{release}

%description -n %{libname}
libspng (simple png) is a C library for reading and writing Portable Network
Graphics (PNG) format files with a focus on security and ease of use.

libspng is an alternative to libpng, the projects are separate and the APIs are
not compatible.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel%{?_isa} = %{version}-%{release}

%description -n %{devname}
Development libraries and headers for %{name}.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files -n %{devname}
%{_includedir}/spng.h
%{_libdir}/libspng.so
%{_libdir}/pkgconfig/spng.pc

%files -n %{libname}
%{_libdir}/libspng.so.%{major}
%{_libdir}/libspng.so.%{version}
