%define major   1
%define libname %mklibname sysstat %{major}
%define devname %mklibname sysstat -d

%define rel 1

Name:          libsysstat
Version: 1.1.0
Release:       %mkrel %rel
Summary:       System status library for LXQt
License:       LGPLv2+
Group:         System/Libraries
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
Patch0:        libsysstat-0.3.2-fix-version-in-cmake-version-config-file.patch

BuildRequires: cmake
BuildRequires: cmake(lxqt2-build-tools)

BuildRequires: cmake(Qt6Help)
BuildRequires: cmake(Qt6Core)

%description
System status library for LXQt.

%package -n %{libname}
Summary:       System status library for LXQt
Group:         System/Libraries

%description -n %{libname}
System status library for LXQt.

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{devname}
Summary:       Development files for %{name}
Group:         Development/C
Requires:      %libname = %version
Provides:      %name-devel = %version-%release

%description -n %{devname}
Development files (Headers etc.) for %{name}.

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_libdir}/cmake/sysstat-qt6

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_libdir}/cmake
mv %{buildroot}%{_datadir}/cmake/sysstat-qt6 \
	%{buildroot}%{_libdir}/cmake/sysstat-qt6

