%define major 2
%define libname %mklibname view %major
%define develname %mklibname -d view

Summary: VMware's Incredibly Exciting Widgets
Name: libview
Version: 0.6.6
Release: %mkrel 12
Source0: https://prdownloads.sourceforge.net/view/%{name}-%{version}.tar.bz2
Patch:	 libview-0.6.2-fix-pkgconfig.patch
Patch1:  libview-0.6.6-automake-1.13.patch
License: MIT
Group: System/Libraries
Url: https://view.sourceforge.net/
BuildRequires: gtkmm2.4-devel

%description
libview is VMware's Incredibly Exciting Widgets, a useful collection
of GTK+ widgets used within VMware products, free for everybody's use.

%package -n %libname
Group: System/Libraries
Summary: VMware's Incredibly Exciting Widgets

%description -n %libname
libview is VMware's Incredibly Exciting Widgets, a useful collection
of GTK+ widgets used within VMware products, free for everybody's use.

%package -n %develname
Group: Development/C++
Summary: VMware's Incredibly Exciting Widgets
Requires: %libname = %version-%release
Provides: libview-devel = %version-%release

%description -n %develname
libview is VMware's Incredibly Exciting Widgets, a useful collection
of GTK+ widgets used within VMware products, free for everybody's use.

%prep
%setup -q
%autopatch -p1

%build
#gw 0.6.6: wrong libtool version
autoreconf -fi
CXXFLAGS="%{optflags} -std=gnu++11" \
%configure --enable-deprecated --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%_libdir/*.la

%files -n %libname
%doc AUTHORS README NEWS
%_libdir/libview.so.%{major}*

%files -n %develname
%doc ChangeLog
%_libdir/libview.so
%_libdir/pkgconfig/libview.pc
%_includedir/libview
