%define api    0.4

Name:          libvisual-plugins
Version:       0.4.1
Release:       %mkrel 1
Summary:       Visualisation plugins for applications based on libvisual
License:       GPLv2+
Group:         System/Libraries
Url:           http://libvisual.org/
Source0:       https://github.com/Libvisual/libvisual/releases/download/libvisual-plugins-%{version}/%{name}-%{version}.tar.bz2
BuildRequires: pkgconfig(libvisual-0.4) >= %{version}
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(jack)
BuildRequires: bison
BuildRequires: flex
BuildRequires: gettext-devel
Provides:      libvisual-nebulus
Provides:      libvisual-gforce

%description
Libvisual is a library that acts as a middle layer between
applications that want audio visualisation and audio visualisation
plugins.

This package contains the libvisual example plugins.

%prep
%autosetup

%build
%ifarch %{ix86}
export CFLAGS="-mmmx %{optflags}"
%endif
%configure --disable-esd \
           --disable-gstreamer-plugin
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name}-0.4

%files -f %{name}-0.4.lang
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{_libdir}/libvisual-%{api}/
%{_datadir}/%{name}-%{api}/
