%define major		7
%define libname		%mklibname windowswm %major
%define develname	%mklibname windowswm -d

Name:		libwindowswm
Summary:	The WindowsWM Library
Version:	1.0.1
Release:	%mkrel 11
Group:		Development/X11
License:	MIT
URL:		https://xorg.freedesktop.org
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libWindowsWM-%{version}.tar.bz2
BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xext) >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
The WindowsWM Library

#-----------------------------------------------------------

%package -n %{libname}
Summary:  The WindowsWM Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libname}
The WindowsWM Library

%files -n %{libname}
%{_libdir}/libWindowsWM.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{mklibname windowswm 7 -d}
Obsoletes: %{_lib}windowswm-static-devel < 1.0.1-8

%description -n %{develname}
Development files for %{name}

%files -n %{develname}
%{_libdir}/libWindowsWM.so
%{_libdir}/pkgconfig/windowswm.pc
%{_mandir}/man3/WindowsWM.3*

#-----------------------------------------------------------

%prep
%setup -q -n libWindowsWM-%{version}

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete
