%define major     3
%define libxfixes %mklibname xfixes %{major}
%define devxfixes %mklibname xfixes -d

Name:           libxfixes
Summary:        X Fixes  Library
Version:        6.0.1
Release:        %mkrel 1
Group:          Development/X11
License:        MIT
URL:            https://xorg.freedesktop.org
Source0:        https://xorg.freedesktop.org/releases/individual/lib/libXfixes-%{version}.tar.xz
BuildRequires:  pkgconfig(x11) >= 1.0.0
BuildRequires:  x11-proto-devel >= 1.0.0
BuildRequires:  x11-util-macros >= 1.0.1

%description
%{name} is a simple library designed to interface the X Fixes Extension.

#-----------------------------------------------------------

%package -n %{libxfixes}
Summary:        X Fixes  Library
Group:          System/Libraries
Provides:       %{name} = %{version}

%description -n %{libxfixes}
%{name} is a simple library designed to interface the X Fixes Extension.

%files -n %{libxfixes}
%{_libdir}/libXfixes.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{devxfixes}
Summary:        Development files for %{name}
Group:          Development/X11
Requires:       %{libxfixes} = %{version}-%{release}
Provides:       libxfixes-devel = %{version}-%{release}
Provides:       xfixes-devel = %{version}-%{release}

%description -n %{devxfixes}
Development files for %{name}.

%files -n %{devxfixes}
%{_libdir}/libXfixes.so
%{_libdir}/pkgconfig/xfixes.pc
%{_includedir}/X11/extensions/Xfixes.h
%{_mandir}/man3/Xfixes.*

#-----------------------------------------------------------

%prep
%setup -q -n libXfixes-%{version}

%build
%configure --disable-static
%make_build

%install
%make_install
