Name:		lightdm-gtk-greeter-settings
Summary:	Settings-dialog for lightdm-gtk-greeter
Version:	1.2.3
Release:	%mkrel 2
License:	GPLv3
Group:		Graphical desktop/Other
Url:		https://github.com/Xubuntu/lightdm-gtk-greeter-settings
Source0:	https://github.com/Xubuntu/lightdm-gtk-greeter-settings/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0:		lightdm-gtk-greeter-settings-1.2.0-fix-reload-icon.patch
Patch1:		lightdm-gtk-greeter-settings-deprecated-icon.patch
BuildArch:	noarch
BuildRequires:	intltool
BuildRequires:	python3
BuildRequires:	python3-distutils-extra
#to silent some build-time "errors"
BuildRequires:	python3-gobject3
Requires:	python3-gobject3

%description
Small dialog to make it easier for users to modify the settings of
lightdm-gtk-greeter.

%prep
%autosetup -p1

%build
%pyproject_wheel

%install
%pyproject_install

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS README.md
%{python3_sitelib}/lightdm_gtk_greeter_settings/
%{python3_sitelib}/lightdm_gtk_greeter_settings-%{version}.dist-info
%{_bindir}/%{name}*
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/polkit-1/actions/com.ubuntu.pkexec.lightdm-gtk-greeter-settings.policy
