%define name    littler
%define version 0.1.5
%define release %mkrel 1

Summary:        A scripting front-end for GNU R 
Name:           %{name}
Version:        %{version}
Release:        %{release}
Source0:        https://dirk.eddelbuettel.com/code/%{name}/%{name}-%{version}.tar.gz
License:        GPLv2+
Group:          Development/Other
Url:            https://dirk.eddelbuettel.com/code/littler.html

BuildRequires:  R-base
BuildRequires:  blas-devel
BuildRequires:  lapack-devel

Requires:       R-base

%description 
littler provides hash-bang (i.e. script starting with \#!/some/path) 
capability for GNU R, as well as simple command-line and piping use.


%prep
%setup -q


%build
./configure --bindir %{_bindir} --libdir %{_libdir} --docdir %{_docdir} --mandir %{_mandir} --libexecdir %{_libexecdir}
make

%install
rm -rf %{buildroot}
export BINDIR=%{buildroot}%{bindir}
export DESTDIR=%{buildroot}
make install PREFIX=%{_prefix}


%files
%doc AUTHORS COPYING README
%{_bindir}/r
%{_mandir}/man1/*

