Name:          livetribe-parent
Version:       1.2
Release:       %mkrel 4
Summary:       Implementation of JSR 223: Scripting for Java
Group:         Development/Java
License:       ASL 2.0
Url:           http://livetribe.codehaus.org/
# wget http://svn.codehaus.org/livetribe/garden/livetribe-root/tags/v1.2.0/pom.xml
Source0:       livetribe-root-1.2.0-pom.xml
Patch0:        livetribe-root-1.2.0-pom_xml.patch
BuildRequires: jpackage-utils
Requires:      jpackage-utils
BuildArch:     noarch

%description
LiveTribe - JSR 223 Java Scripting API.

%prep
%setup -q -T -c -n livetribe-%{version}
cp -pr %{SOURCE0} pom.xml
%patch -P 0 -p0

%build

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-livetribe.pom

%add_to_maven_depmap org.livetribe livetribe 1.2 JPP livetribe
%add_to_maven_depmap javax.script script-api 1.2 JPP script_1.2_api

mv %{buildroot}%{_mavendepmapfragdir}/livetribe-parent %{buildroot}%{_mavendepmapfragdir}/livetribe

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/JPP-livetribe.pom
%{_mavendepmapfragdir}/livetribe

