Name:           lmdbxx
Version:        1.0.0
Release:        %mkrel 1
Summary:        C++ wrapper for the LMDB embedded B+ tree database library
License:        Public Domain
Group:          Development/C++
URL:            https://github.com/hoytech/lmdbxx
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  make

%description
Header-only C++ wrapper for the LMDB embedded B+ tree database library.

%package devel
Summary:        Development files for %{name}
Requires:       pkgconfig(lmdb)
Provides:       %{name}-static = %{version}-%{release}

%description devel
Header-only C++ wrapper for the LMDB embedded B+ tree database library.

%prep
%autosetup

%build
%set_build_flags
%make_build

%install
%make_install PREFIX=%{_prefix}

%files devel
%doc README.md FUNCTIONS.rst AUTHORS CREDITS VERSION
%license UNLICENSE
%{_includedir}/lmdb++.h
