%define	major 0
%define libname %mklibname %{name}_ %{major}
%define develname %mklibname %{name} -d

Summary:	LPC-10 2400 bps Voice Coder
Name:		lpc10
Version:	1.5
Release:	%mkrel 23
Group:		Sound/Utilities
License:	distributable
URL:		https://www.arl.wustl.edu/~jaf/lpc/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		lpc10-shared.patch
Patch1:		lpc10-gcc14.patch
BuildRequires:	libtool

%description
LPC-10 2400 bps Voice Coder library and tools.

%package -n	%{libname}
Summary:	The shared LPC-10 2400 bps Voice Coder Library
Group:		System/Libraries
# Obsolete wrongly named lib (wrong major) for smooth upgrades
Obsoletes:	%{_lib}lpc10_1 < 1.5-15

%description -n	%{libname}
LPC-10 2400 bps Voice Coder library and tools.

%package -n	%{develname}
Summary:	LPC-10 2400 bps Voice Coder development files
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
LPC-10 2400 bps Voice Coder headers and static library.

%prep
%autosetup -p1

%build

make -C \
    lpc55-C \
    CC="gcc %{?ldflags}" \
    LIBDIR="%{_libdir}" \
    OPT="%{optflags}"

%install

%make_install -C lpc55-C LIBDIR="%{_libdir}"

cp -f lpc55-C/README README.tools
cp -f lpc55-C/lpc10/README README.lpc10

#we don't want these
find %{buildroot} \( -name "*.la" -o -name "*.a" \) -delete

%files
%doc FAQ README README-1.0 README.lpc10 README.tools
%{_bindir}/*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
