Name:		lrzip
Version:	0.651
Release:	%mkrel 1
Summary:	Long Range ZIP or Lzma RZIP
License:	GPLv2+
Group:		Archiving/Compression
Url:		https://github.com/ckolivas/lrzip
Source0:	http://ck.kolivas.org/apps/lrzip/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(liblz4)
BuildRequires:	pkgconfig(lzo2)
BuildRequires:	pkgconfig(zlib)

Requires:	tar

%description
This is a compression program optimized for large files. The larger the file
and the more memory you have, the better the compression advantage this will
provide, especially once the files are larger than 100MB. The advantage can
be chosen to be either size (much smaller than bzip2) or speed (much faster
than bzip2).

%files
%doc %{_docdir}/%{name}
%{_bindir}/lr*
%{_mandir}/man?/*.*

#----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%check
make check
