Name:		lsdvd
Summary:	Reads and prints the contents of a dvd in plain English
Version:	0.20
Release:	%mkrel 1
License:	GPLv2
Group:		Video/Utilities
URL:		https://sourceforge.net/projects/lsdvd/
# git clone https://git.code.sf.net/p/lsdvd/git lsdvd-git
# git archive --format=tar.gz --prefix=lsdvd-0.20/ 0.20 >lsdvd-0.20.tar.gz
Source0:	https://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(dvdread) >= 0.9.4
BuildRequires:	pkgconfig(libxml-2.0)

%description
Lsdvd reads and prints the contents of a dvd to your terminal in plain, but
very parsable, English. Lsdvd in turn uses libdvdread, the most popular dvd
reading library for *nix.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure

%make_build

%install
%make_install

%files
%doc README
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*
