Summary:	A lock file lister
Name:		lslk
Version:	1.29
Release:	%mkrel 23
License:	GPL style
Group:		Monitoring
URL:		ftp://vic.cc.purdue.edu:/pub/tools/unix/lslk/
Source:		ftp://vic.cc.purdue.edu/pub/tools/unix/lslk/lslk_%{version}_W.tar.bz2
Patch0:		lslk-gcc14.patch

%description
Lslk is a lock file lister.  Lslk attempts to list all of the locks on
the executing system's local files (i.e., on the active inodes).

Install lslk if you need a utility for listing file locks.

%prep
%setup -q -c -n lslk
tar xf lslk_%{version}.tar
[ -d lslk_%{version} ] && cd lslk_%{version}
%patch -P 0 -p2

%build
[ -d lslk_%{version} ] && cd lslk_%{version}
./Configure -n linux

%make_build DEBUG="%{optflags} -fPIC" CFGF=-DLINUXV=228

%install
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man8

[ -d lslk_%{version} ] && cd lslk_%{version}
install lslk %{buildroot}%{_sbindir}
install lslk.8 %{buildroot}%{_mandir}/man8/

%files
# XXX should be mode 4755, but for now leave the setuid off
%attr(0755,root,kmem) %{_sbindir}/lslk
%{_mandir}/man8/lslk.8*
