Name:           ltunify
URL:            https://lekensteyn.nl/logitech-unifying.html
Version:        0.1
Release:        %mkrel 1
License:        GPLv3+
Summary:        Command line utility for Logitech Unifying Receiver
Source:         https://git.lekensteyn.nl/ltunify/snapshot/ltunify-0.1.tar.gz
Group:          System/Configuration

Requires:       unifying-receiver-udev

BuildRequires:  gcc
BuildRequires: make
%description
ltunify allows pairing, unpairing, and listing information about devices
uses a Logitech Unifying Receiver.

%prep
%setup -q
chmod -x hidraw.c
# Remove line in Makefile that overrides CFLAGS from command line. Ugh.
sed -i -e 's/^override.*$//' Makefile

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
install -d -m0755 %{buildroot}%{_bindir}
install -p -m0755 %{name} %{buildroot}%{_bindir}
install -p -m0755 read-dev-usbmon %{buildroot}%{_bindir}
install -p -m0755 usbmon.awk %{buildroot}%{_bindir}

%files
%doc README.txt registers.txt
%{_bindir}/%{name}
%{_bindir}/read-dev-usbmon
%{_bindir}/usbmon.awk

