Name:           lua-alt-getopt
Version:        0.8.0
Release:        %mkrel 5
Summary:        Argument processing module for Lua
Group:          Development/Other

# license text requested from upstream:
# http://luaforge.net/tracker/index.php?func=detail&aid=47674
License:        MIT
URL:            https://github.com/cheusov/lua-alt-getopt
Source0:        https://github.com/cheusov/lua-alt-getopt/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(lua)

%description
alt-getopt is a module for Lua programming language for processing
application's arguments the same way BSD/GNU getopt_long(3) functions
do. The main goal is compatibility with SUS "Utility Syntax
Guidelines" guidelines 3-13.


%prep
%setup -q


%build
#nothing

%install
mkdir -p $RPM_BUILD_ROOT%{lua_pkgdir}
cp -p alt_getopt.lua $RPM_BUILD_ROOT%{lua_pkgdir}


%check
# This test routine assumes identical output,
# in identical order. This is a false assumption.
# At least in lua 5.2, the output is identical
# but the order is not (it seems to be random or
# timing driven).
%if 0

bmake test

%endif

%files
%doc NEWS README
%{lua_pkgdir}/alt_getopt.lua
