Name:           lua-logging
Version:        1.3.0
Release:        %mkrel 9
Summary:        A simple API to use logging features in Lua
Group:          Development/Other
License:        MIT
URL:            https://neopallium.github.io/lualogging/
Source0:        https://github.com/Neopallium/lualogging/archive/v%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(lua)
Requires:       lua%{lua_version}
Requires:       lua-socket
Requires:       lua-sql

%description
LuaLogging provides a simple API to use logging features
in Lua. Its design was based on log4j. LuaLogging currently
supports, through the use of appenders, console, file, rolling
file, email, socket and sql outputs.

%prep
%setup -q -n lualogging-%{version}

%build
%make_build

%install
%make_install \
    PREFIX=%{buildroot}%{_prefix} \
    LUA_DIR=%{buildroot}%{lua_pkgdir}

%files
%doc README doc/us/*
%{lua_pkgdir}/logging*
