Name:           lua-rpm-macros
Version:        1
Release:        %mkrel 6
Summary:        The common Lua RPM macros
Group:          Development/Other
License:        MIT

# Macros:
Source101:      macros.lua
Source102:      macros.lua-srpm

# RPM requires generator
Source103:      lua.attr

# license text
Source200:      LICENSE

BuildArch:      noarch

# for lua_libdir and lua_pkgdir
Requires:       lua-srpm-macros = %{version}-%{release}

%description
This package contains Lua RPM macros.

You should not need to install this package manually as lua-devel requires it.


%package -n lua-srpm-macros
Summary:        RPM macros for building Lua source packages

# For directory structure
Requires:       rpm

%description -n lua-srpm-macros
RPM macros for building Lua source packages.


%prep
%autosetup -c -T
cp -a %{sources} .


%build


%install
mkdir -p %{buildroot}%{_rpmmacrodir}
install -pm 644 macros.* %{buildroot}%{_rpmmacrodir}/
install -Dpm 0644 lua.attr %{buildroot}/%{_fileattrsdir}/lua.attr


%files
%license LICENSE
%{_fileattrsdir}/lua.attr
%{_rpmmacrodir}/macros.lua

%files -n lua-srpm-macros
%license LICENSE
%{_rpmmacrodir}/macros.lua-srpm


