Name:           lxc-templates
Version:        3.0.4
Release:        %mkrel 3
Summary:        Linux Containers userspace tools (templates)
License:        LGPLv2+
Group:          Development/Other
URL:            https://linuxcontainers.org/lxc
Source0:        https://linuxcontainers.org/downloads/lxc/%{name}-%{version}.tar.gz
# Mga patches + support:
Source1:        lxc-mageia.in
Patch0:         add-mga-support.patch

BuildArch:      noarch
BuildRequires:  pkgconfig(lxc)
BuildRequires:  make
BuildRequires:  gcc

Requires:       lxc


%description
Linux Resource Containers provide process and resource isolation
without the overhead of full virtualization.

The lxc-templates package contains templates for creating containers.


%prep
%autosetup -p1

cp -a %{SOURCE1} templates/


%build
# for mga patch:
./autogen.sh
%configure --build=%{_host}
%make_build


%install
%make_install


%files
%license COPYING
%doc AUTHORS MAINTAINERS README
%{_datadir}/lxc/config/*
%{_datadir}/lxc/templates/*
