Summary:	LXDE icon theme
Name:		lxde-icon-theme
Version:	0.5.2
Release:	%mkrel 1
License:	LGPLv2+
Group:		Graphical desktop/Other
URL:		https://www.lxde.org/
Source:		https://github.com/lxde/%{name}/archive/refs/tags/%{version}.tar.gz
BuildArch:	noarch
Provides:	nuoveXT2-icon-theme = %{version}-%{release}
Obsoletes:	nuoveXT2-icon-theme < 0.5.0

%description
This package contains nuoveXT2 icon theme for LXDE.

%prep
%setup -q
find . -name \\.* -delete

%build
./autogen.sh
%configure

%install
%make_install

touch %{buildroot}%{_iconsdir}/nuoveXT2/icon-theme.cache

%post
%update_icon_cache nuoveXT2

%postun
%clean_icon_cache nuoveXT2

%files
%dir %{_iconsdir}/nuoveXT2
%{_iconsdir}/nuoveXT2/*/*/*
%{_iconsdir}/nuoveXT2/extra/*
%{_iconsdir}/nuoveXT2/index.theme
%ghost %{_iconsdir}/nuoveXT2/icon-theme.cache
