Name:		lxhotkey
Version:	0.1.2
Release:	%mkrel 1
Summary:	Lightweight global keyboard shortcuts configurator
License:	GPLv2+
Group:		Graphical desktop/Other
URL:		https://github.com/lxde/%name
Source0:	https://github.com/lxde/%name/archive/refs/tags/%{version}.tar.gz
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libfm-gtk3)

%description
LXHotkey is a lightweight configurator independent of window manager and UI,
which intended to work with any possible window manager from any kind of UI,
using unified API.  The most wanted such thing is for window managers which
don't have own tool for managing keyboard shortcuts for the global actions
such as screen / windows manipulations and executing commands or starting
applications. Example of such window manager is Openbox.

%package devel
Summary:	Development files for LXHotkey
Group:		Graphical desktop/Other
Requires:	%{name} = %{version}

%description devel
This package contains development files needed for building
LXHotkey plugins.

%prep
%setup -q

%build
./autogen.sh
%configure --with-gtk=3

%make_build

%install
%make_install

%find_lang %name

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/%{name}-gtk.desktop
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/gtk.so
%{_libdir}/%{name}/ob.so
%{_mandir}/man1/%{name}.1*

%files devel
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/%{name}.h
%{_libdir}/pkgconfig/%{name}.pc
