%define rel 1

Name:          lximage-qt
Version:       2.1.1
Release:       %mkrel %{rel}
Summary:       Image viewer and screenshot tool for the LXQt desktop
License:       GPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires: cmake
BuildRequires: cmake(lxqt)

BuildRequires: cmake(fm-qt6)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Help)
BuildRequires: cmake(Qt6PrintSupport)
BuildRequires: cmake(Qt6Network)
BuildRequires: cmake(Qt6SvgWidgets)

BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libexif)
BuildRequires: pkgconfig(xfixes)

%description
Image viewer and screenshot tool for the LXQt desktop.

%files
%{_bindir}/%{name}
%{_datadir}/applications/*
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{_datadir}/%{name}/
%{_datadir}/metainfo/lximage-qt.metainfo.xml

#--------------------------------------------------------------------
%prep
%autosetup -p1

%build
%cmake_qt6
%cmake_build

%install
%cmake_install
