Summary:	Configure keyboard and mouse
Name:		lxinput
Version:	0.3.6
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Other
Source0:	https://github.com/lxde/%name/archive/refs/tags/%{version}.tar.gz
Patch0:		%{name}-0.3.5-mga-lxde-only.patch
Patch1:		%{name}-0.3.5-fix-repeat-interval.patch
URL:		https://www.lxde.org/
BuildRequires:	gtk+3-devel
BuildRequires:	intltool >= 0.40.0
BuildRequires:	docbook-dtd412-xml 
BuildRequires:	xsltproc

%description
LXInput is a small program used to configure keyboard and mouse for LXDE.

%prep
%setup -q
%autopatch -p1

%build
./autogen.sh
%configure --enable-man --enable-gtk3
%make_build

%install
%make_install

%{find_lang} %{name}

%files -f %{name}.lang
%{_bindir}/%name
%{_datadir}/applications/*.desktop
%{_datadir}/%name
%{_mandir}/man1/*.1.*


