%define rel 1

Name:          lxqt-about
Version:       2.1.0
Release:       %mkrel %{rel}
Summary:       About application for the LXQt desktop
License:       LGPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/lxqt-about/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: locales
BuildRequires: cmake(lxqt)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Help)

%description
About application for the LXQt desktop.

%files
%{_bindir}/lxqt-about
%{_datadir}/applications/lxqt-about.desktop
%{_datadir}/lxqt/translations/lxqt-about/
%{_iconsdir}/hicolor/scalable/apps/lxqt-about.svg

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt6
LC_ALL=UTF-8 \
%cmake_build

%install
%cmake_install

desktop-file-edit --remove-category="Help" \
  --add-category="Documentation" \
  --add-category="Utility" \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

