Name:		lxqt-build-tools
Version:	2.1.0
Release:	%mkrel 1
Summary:	Various packaging tools and scripts for LXQt applications
License:	BSD
Group:		System/Libraries
Url:		https://lxqt-project.org/
Source0:	https://github.com/lxqt/lxqt-build-tools/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildArch:	noarch

BuildRequires:	cmake
BuildRequires:	cmake(Qt6)

%description
Various packaging tools and scripts for LXQt applications.

%prep
%autosetup -p1

%build
%cmake_qt6

%cmake_build

%install
%cmake_install

%files
%doc AUTHORS CHANGELOG README.md
%{_bindir}/lxqt2-transupdate
%{_datadir}/cmake/lxqt2-build-tools/
