%define rel 1

Name:          lxqt-powermanagement
Version:       2.1.0
Release:       %mkrel %rel
Summary:       Power management module for LXQt
License:       LGPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/lxqt-powermanagement/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: cmake(lxqt)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Svg)
BuildRequires: cmake(Qt6Help)
BuildRequires: pkgconfig(xcb)

BuildRequires: cmake(KF6Solid)
BuildRequires: cmake(lxqt-globalkeys-ui)

BuildRequires: cmake(KF6IdleTime)

#upower binary is required to prevent "power management disabled" popup on login
Requires:      upower

%description
Power management module for LXQt.

%prep
%autosetup -p1

%build
%cmake_qt6 -DBUILD_DOCUMENTATION=ON
%cmake_build

%install
%cmake_install


%files
%{_sysconfdir}/xdg/autostart/lxqt-powermanagement.desktop
%{_bindir}/lxqt-config-powermanagement
%{_bindir}/%{name}
%{_datadir}/applications/lxqt-config-powermanagement.desktop
%{_iconsdir}/*/*/*/laptop-lid.svg
%{_datadir}/lxqt/translations/lxqt-config-powermanagement/
%{_datadir}/lxqt/translations/lxqt-powermanagement/
