Name:          lxqt-runner
Version:       2.1.2
Release:       %mkrel 1
Summary:       Launcher runner for the LXQt desktop
License:       LGPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/lxqt-runner/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: cmake(lxqt)
BuildRequires: cmake(lxqt-globalkeys)
BuildRequires: cmake(lxqt-globalkeys-ui)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6LinguistTools)
BuildRequires: cmake(LayerShellQt)
BuildRequires: pkgconfig(libmenu-cache)
BuildRequires: pkgconfig(muparser)

%description
Launcher runner for the LXQt desktop.

%prep
%autosetup -p1

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%{_sysconfdir}/xdg/autostart/lxqt-runner.desktop
%{_bindir}/lxqt-runner
%{_mandir}/man1/lxqt-runner.1*
%{_datadir}/lxqt/translations/lxqt-runner/
