%define rel 1

Name:          lxqt-themes
Version: 2.1.0
Release:       %mkrel %rel
Summary:       Themes for the LXQt desktop
License:       LGPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/lxqt-themes/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildArch:     noarch
BuildRequires: cmake
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(lxqt2-build-tools)
BuildRequires: locales-en

%description
Themes for the LXQt desktop.

%files
%{_iconsdir}/hicolor/scalable/apps/lxqt.svg
%{_iconsdir}/hicolor/scalable/places/start-here-lxqt.svg
%{_datadir}/lxqt/themes/
%{_datadir}/lxqt/graphics/
%{_datadir}/lxqt/palettes/
%{_datadir}/lxqt/wallpapers/
#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt6
LC_ALL=UTF-8 \
%cmake_build

%install
%cmake_install

