%define m17n_db_version 1.5.0

Name:      m17n-contrib
Summary:   Contributed input methods for m17n library
Version:   1.1.14
Release:   %mkrel 11
Group:     System/Internationalization
License:   LGPLv2+
URL:       https://savannah.nongnu.org/projects/m17n
Source0:   https://download.savannah.gnu.org/releases/m17n/%{name}-%{version}.tar.gz
Requires:        m17n-db >= %{m17n_db_version}
BuildRequires:   pkgconfig(m17n-db) >= %{m17n_db_version}
BuildArch:	noarch

%description
Contributed input methods for m17n library.

%prep
%setup -q

%build
%configure --build=%{_host}
%make_build

%install
%make_install

# The file conflicts with m17n-data
rm -f $RPM_BUILD_ROOT%{_datadir}/m17n/bn-itrans.mim

%{find_lang} %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%{_datadir}/m17n/*.mim
%{_datadir}/m17n/icons/*
%{_datadir}/m17n/scripts/*
