Name:           m17n-db
Summary:        The m17n database
Version:        1.8.7
Release:        %mkrel 1
Group:          System/Internationalization
License:        LGPLv2+
URL:            https://www.nongnu.org/m17n/
Source0:        https://download.savannah.gnu.org/releases/m17n/%{name}-%{version}.tar.gz
BuildRequires:  glibc-i18ndata
BuildRequires:  gettext-devel
BuildArch:      noarch

Obsoletes:      m17n-contrib < 1.1.14-10
Provides:       m17n-contrib = %{version}-%{release}

%description
The m17n database; a sub-part of the m17n library.

%package        devel
Summary:        Headers of m17n for development
Group:          Development/C
Requires:       %{name} = %{version}

%description    devel
Headers of %{name} for development.

%prep
%setup -q

%build
%configure --build=%{_host}
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README NEWS ChangeLog
%{_bindir}/*
%{_datadir}/m17n

%files devel
%{_datadir}/pkgconfig/*
