Summary:	The GNU macro processor
Name:		m4
Version:	1.4.19
Release:	%mkrel 3
License:	GPLv3+
Group:		Development/Other
URL:		https://www.gnu.org/software/m4/
Source0:	https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.bz2
Source1:	https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.bz2.sig
BuildRequires:	libsigsegv-devel

%description
A GNU implementation of the traditional UNIX macro processor.  M4 is
useful for writing text files which can be logically parsed, and is used
by many programs as part of their build process.  M4 has built-in
functions for including files, running shell commands, doing arithmetic,
etc.  The autoconf program needs m4 for generating configure scripts, but
not for running configure scripts.

Install m4 if you need a macro processor.

%prep
%setup -q
%autopatch -p1

%build
export gl_cv_func_strtod_works=no
rm tests/test-execute.sh
sed -i -e s/test-execute.sh//g tests/Makefile.in
%configure
%make_build

%check
make %{?_smp_mflags} check

%install
%make_install infodir=%{_infodir}
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
%find_lang %{name}

%files -f %{name}.lang
%doc NEWS README BACKLOG THANKS ChangeLog
%{_bindir}/%{name}
%{_infodir}/*
%{_mandir}/man1*/*
