Name:           mac-robber
Version:        1.02
Release:        %mkrel 9
Summary:        Tool to create a timeline of file activity for mounted file systems

Group:          File tools
License:        GPLv2+
URL:            https://sourceforge.net/projects/mac-robber/
Source0:        https://downloads.sourceforge.net/mac-robber/mac-robber-%{version}.tar.gz



%description
mac-robber is a digital forensics and incident response tool that can be used
with The Sleuth Kit to create a timeline of file activity for mounted
file systems.


%prep
%setup -q


%build
%__make %{?_smp_mflags} GCC_OPT="%{optflags}"


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -pm 0755 mac-robber $RPM_BUILD_ROOT%{_bindir}


%files
%doc CHANGES COPYING README
%{_bindir}/mac-robber
