Name:		mageiawelcome
Version:	2.25
Release:	%mkrel 3
Summary:	%{_vendor} welcome screen
Group:		System/Configuration
License:	GPLv3
URL:		https://www.mageia.org/
# Source from https://gitweb.mageia.org/software/mageiawelcome
Source:		https://gitweb.mageia.org/software/mageiawelcome/snapshot/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	intltool
BuildRequires:	qttools5
BuildRequires:	pkgconfig(python3)
Requires:	python3-gobject3
Requires:	python3-opengl
Requires:	python3-rpm
Requires:	python3-qt5-core
Requires:	python3-qt5-gui
Requires:	python3-qt5-network
Requires:	python3-qt5-qml
Requires:	python3-qt5-quick
Requires:	qtgraphicaleffects5
Requires:	qtquickcontrols5
Requires:	qtdeclarative5

%description
%{_vendor} Welcome Screen shows important information of the %{_os} distribution.

%prep
%autosetup -p1

%build
%__make version

%py3_build

%install
%py3_install

%files
%doc LICENSE
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}
%{_bindir}/%{name}-launcher
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
