Name:           magicos-magcc
Version:        0.0.1
Release:        %mkrel 5
License:        GPLv3+
Url:            https://code.google.com/p/magicos-soft
Source:         %{name}-%{version}.tar.gz
Summary:        MagCC (for distros based on MagicOS)
Group:          System/Configuration
BuildArch:      noarch
BuildRequires:  gettext
Requires:       gtkdialog
Requires:       magicos-scripts
Requires:       magicos-tools
Requires:       magicos-modmnger
Requires:       magicos-fmscripts
Requires:       beesu

%description
MagCC is the Control Center (for distros based on MagicOS).

%prep
%setup -q

%build
# nothing

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %buildroot%{_datadir}/applications/

install -m 755 magcc %{buildroot}%{_bindir}/
install -m 644 *.png %{buildroot}%{_datadir}/pixmaps
install -m 644 magcc.desktop %{buildroot}%{_datadir}/applications/

# i18n - Internationalization
mkdir -p %{buildroot}%{_datadir}/locale/ru/LC_MESSAGES
msgfmt -o %{buildroot}%{_datadir}/locale/ru/LC_MESSAGES/magcc.mo ./languages/ru.po
%find_lang magcc

%files -f magcc.lang
%doc AUTHORS
%{_bindir}/magcc
%{_datadir}/applications/magcc.desktop
%{_datadir}/pixmaps/*.png
