Name:		makedepend
Version:	1.0.9
Release:	%mkrel 1
Summary:	Create dependencies in makefiles
Group:		Development/X11
License:	MIT
Url:		https://xorg.freedesktop.org/
Source:		https://xorg.freedesktop.org/releases/individual/util/%{name}-%{version}.tar.xz

BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	x11-util-macros >= 1.0.1

%description
The makedepend program reads each source file in sequence and parses it like  a
C-preprocessor, processing all C #* directives so that it can correctly tell
which include directives would be used in a compilation.

%prep
%autosetup

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make_build

%install
%make_install

%files
%{_bindir}/makedepend
%{_mandir}/man1/makedepend.1*
