Name:		makepasswd
Version:	0.5.4
Release:	%mkrel 6
Summary:	Random password and cypher generator
License:	GPLv3+
Group:		Security
URL:		https://github.com/khorben/makepasswd

# The release tarball has a name very difficult to work with so
# source was obtained from upstream git repository.
#
# git clone https://github.com/khorben/makepasswd
# pushd makepasswd
# git archive --prefix=makepasswd-X.Y.Z/ -o ../makepasswd-X.Y.Z.tar commit_id
# popd
# xz -z -e makepasswd-X.Y.Z.tar
Source0:	%{name}-%{version}.tar.xz
Patch0:		makepasswd-0.5.3-default-pwdlength-fedora.patch

BuildRequires:	glibc-devel
BuildRequires:	pkgconfig(libcrypto)
BuildRequires:	xmllint
BuildRequires:	xsltproc


%description
Makepasswd generates (pseudo-)random passwords of a desired length. It is able
to generate its encrypted equivalent.
Inspired from Rob Levin's perl script of the same name (which has no homepage,
but can be found for Debian).

%prep
%setup -q
%autopatch -p1

%build
%make_build

%install
%make_install PREFIX=%{_prefix}

%files
%doc AUTHORS BUGS COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/html1/%{name}.html*
