%define LANG zh
%define name man-pages-%{LANG}

%define fname man-pages-zh_CN

#####################
#
# I have no idea where to get newer pages; there is no URL
# AdamW: There's http://www.linux.org.tw/CLDP/man/ , but nothing there
# at present (May 2007)
#
#####################

Summary: Chinese Man Pages
Name: man-pages-%{LANG}
Version: 1.6.3.2
Release: %mkrel 4
License: FDL
Group: System/Internationalization
Source: https://github.com/man-pages-zh/manpages-zh/archive/v%{version}/%{name}-%{version}.tar.gz
Source1: makewhatis.%{LANG}_CN.UTF-8.bz2
Source2: makewhatis.%{LANG}_CN.bz2
BuildRequires: man
BuildRequires: python3
BuildRequires: pkgconfig(opencc)
Requires: locales-%{LANG}, man
Autoreq: false
BuildArch: noarch
Requires: locales-%{LANG}
Obsoletes: man-%{LANG}, manpages-%{LANG}
Provides: man-%{LANG}, manpages-%{LANG}

%description
Set of man pages translated into Chinese language

%prep
%setup -q -n manpages-zh-%{version}

%build
autoreconf -vfi
%configure
%make_build

# fix conflict with mplayer:
rm -f */man1/mplayer.1

%install
%make_install

%files
%{_mandir}/zh_*
