Summary: 	Desktop for the Matchbox Desktop
Name: 		matchbox-desktop
Version: 	2.0
Release: 	%mkrel 16
Url: 		http://matchbox-project.org/
License: 	GPLv2+
Group: 		Graphical desktop/Other
Source0: 	http://matchbox-project.org/sources/%name/%version/%{name}-%{version}.tar.bz2
Source1:        matchbox.desktop

# I also modify Makefile.in after giving up the fight with autotools
Patch0:		matchbox-desktop-2.0-link.patch
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(libmb)
BuildRequires:	pkgconfig(libstartup-notification-1.0)
BuildRequires:	gtk+2-devel
Requires:	matchbox-panel
Requires:	matchbox-window-manager
Requires:	matchbox-common
Obsoletes:	matchbox-desktop-devel < %{version}-%{release}

%description
Matchbox is a base environment for the X Window System running on non-desktop
embedded platforms such as handhelds, set-top boxes, kiosks and anything else
for which screen space, input mechanisms or system resources are limited.

This package contains the main desktop from Matchbox.

%prep
%setup -q
%autopatch -p1

%build
%configure --enable-startup-notification
%make_build

%install
%make_install

%__install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/xsessions/matchbox.desktop

%posttrans
# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/22Matchbox.desktop ]; then
	rm -rf %{_datadir}/xsessions/22Matchbox.desktop
fi
if [ -e %{_sysconfdir}/X11/dm/Sessions/22Matchbox.desktop ]; then
	rm -rf %{_sysconfdir}/X11/dm/Sessions/22Matchbox.desktop
fi

%files
%doc AUTHORS README ChangeLog
%_bindir/%name
%{_datadir}/xsessions/matchbox.desktop


