Name:           matchbox-keyboard
Version:        0.1
Release:        %mkrel 14
Summary:        On screen virtual keyboard
Group:          Accessibility
License:        GPLv2+
URL:            http://matchbox-project.org/
Source0:        %{name}-%{version}.tar.gz
Patch0:         matchbox-keyboard-0.1-fix-desktop.patch
Patch1:		matchbox-keyboard-0.1-libpng1.5.patch
Patch2:		matchbox-keyboard-0.1-link.patch
Patch3:		matchbox-keyboard-0.1-automake-1.13.patch
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(libfakekey)
BuildRequires: pkgconfig(xft)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(expat)
BuildRequires:  desktop-file-utils

%description
Matchbox-keyboard is an on screen 'virtual' or 'software'
keyboard. It will hopefully work well on various touchscreen
devices from mobile phones to tablet PCs running X Windows.

It aims to 'just work' supporting localised, easy to write
XML layout configuration files.

%prep
%setup -q
%patch -P 0 -p1 -b .fix-category
%patch -P 1 -p0 -b .libpng
%patch -P 2 -p0 -b .link
%patch -P 3 -p1 -b .am
# for newer libtool
autoreconf -fi

%build
%configure --enable-gtk-im
%make_build

%install
%make_install

find %{buildroot} -name '*.la' | xargs rm

%files
%doc AUTHORS COPYING README
%{_bindir}/matchbox-keyboard
%{_datadir}/matchbox-keyboard
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_libdir}/gtk-2.0/2.10.0/immodules/libmb-im-invoker.so
