%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:           mate-backgrounds
Version:        1.28.0
Release:        %mkrel 1
Summary:        MATE Desktop backgrounds
Group:          Graphical desktop/MATE
License:        GPLv2+
URL:            https://mate-desktop.org/
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  intltool

%description
This module contains a set of backgrounds packaged with the MATE desktop.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS README
%license COPYING
%{_datadir}/mate-background-properties/
%{_datadir}/backgrounds/mate/
