Name:          maven-shared-resources
Version:       1
Release:       %mkrel 8
Summary:       A collection of templates that are specific to the Maven project
License:       ASL 2.0
Group:         Development/Java
URL:           https://maven.apache.org/shared/maven-shared-resources/
Source0:       https://repo1.maven.org/maven2/org/apache/maven/shared/%{name}/%{version}/%{name}-%{version}-source-release.zip
BuildRequires: java-devel
BuildRequires: maven-local
BuildRequires: maven-remote-resources-plugin
BuildRequires: mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildArch:     noarch

%description
This is a collection of templates that are specific to the Maven project.
They are probably not of interest to projects other than Apache Maven.

%prep
%setup -q

%build

%mvn_file :%{name} %{name}
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

