%define pver	20250131

Name:		mawk
Version:	1.3.4
Release: 	%mkrel -c %{pver} 1
Summary:	An interpreter for the awk programming language
License:	GPLv2+
Group:		Development/Other
URL:		https://invisible-island.net/mawk/
Source0:	https://invisible-island.net/archives/mawk/%{name}-%{version}-%{pver}.tgz

%description
Mawk is a version of the awk programming language.  Awk interprets a
special-purpose programming language to do quick text pattern matching
and reformatting.  Mawk improves on awk in certain ways and can
sometimes outperform gawk, the standard awk program for Linux.  Mawk
conforms to the POSIX 1003.2 (draft 11.3) definition of awk.

You should install mawk if you use awk.

%prep
%setup -q -n %{name}-%{version}-%{pver}

%build
%configure
%make_build

%install
%make_install

%files
%doc ACKNOWLEDGMENT CHANGES README examples/
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man7/%{name}-arrays.7.*
%{_mandir}/man7/%{name}-code.7.*
