%define _legacy_common_support 1
Summary:	Console jabber client
Name:		mcabber
Version:	1.1.2
Release:	%mkrel 3
License:	GPLv2+
Group:		Networking/Instant messaging
URL:		https://www.lilotux.net/~mikael/mcabber/
Source:		https://www.lilotux.net/~mikael/mcabber/files/mcabber-%{version}.tar.bz2
Patch0:		0001-fix-literal.patch
BuildRequires: pkgconfig(enchant-2)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libidn)
BuildRequires: pkgconfig(libotr)
BuildRequires: pkgconfig(loudmouth-1.0)
BuildRequires: pkgconfig(ncursesw)
BuildRequires: libgcrypt-devel
BuildRequires: gpgme-devel

%description
Mcabber is a small jabber console client which supports SSL support, history
logging, external actions and more.

%prep
%setup -q
%autopatch -p1

# switch to enchant2
sed -i -e '/PKG_CHECK_MODULES/s,enchant,enchant-2,' configure.ac

%build
autoreconf -fi
%configure --disable-dependency-tracking --enable-enchant --enable-otr
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

rm -fr %{buildroot}%{_libdir}/pkgconfig/mcabber.pc %{buildroot}%{_includedir}

%files
%doc AUTHORS ChangeLog NEWS README TODO
%doc mcabberrc.example contrib 
%{_mandir}/man1/mcabber.1*
%{_bindir}/mcabber
%{_datadir}/%{name}
%{_libdir}/mcabber/libbeep.so
%{_libdir}/mcabber/libxttitle.so
%{_libdir}/mcabber/libfifo.so
%{_libdir}/mcabber/liburlregex.so
