Name:		mdevctl
Version:	0.81
Release:	%mkrel 2
Summary:	Mediated device management and persistence utility

Group:		System/Kernel and hardware
License:	LGPLv2
URL:		https://github.com/mdevctl/mdevctl
BuildArch:	noarch

Source0:	https://github.com/mdevctl/mdevctl/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: systemd
# (tv) for pkgconfig variables for installing rules
BuildRequires: pkgconfig(udev)
Requires(post,postun): %{_sbindir}/udevadm
Requires: coreutils udev jq

%description
mdevctl is a utility for managing and persisting devices in the
mediated device device framework of the Linux kernel.  Mediated
devices are sub-devices of a parent device (ex. a vGPU) which
can be dynamically created and potentially used by drivers like
vfio-mdev for assignment to virtual machines.

%prep
%setup -q -n %{name}-%{version}

%install
%make_install

%files
%license COPYING
%doc README.md
%{_sbindir}/mdevctl
%{_sbindir}/lsmdev
%{_udevrulesdir}/60-mdevctl.rules
%dir %{_sysconfdir}/mdevctl.d
%{_mandir}/man8/mdevctl.8*
%{_mandir}/man8/lsmdev.8*

