Name:		mdvinput
Version:	1.6.6
Release:	%mkrel 4
Summary:	Small program for set keyboard, mouse and touchpad
URL:		https://sourceforge.net/projects/mdvinput
Group:		Graphical desktop/Other
License:	GPLv3
Source0:	https://sourceforge.net/projects/mdvinput/files/%{name}-%{version}.tar.gz
Requires:	python3
Requires:	python3-gobject3
Requires:	python3-configobj
Recommends:	x11-driver-input-libinput
BuildArch:	noarch

%description
It's small utility for setup keyboard, mouse and touchpad
for replace lxinput and other on lightweight DE.

%prep
%setup -q

%build
#nothing

%install
mkdir -p %{buildroot}%{_prefix}
mkdir -p %{buildroot}%{_datadir}/applications
cp -rf ./bin %{buildroot}%{_prefix}/
cp -rf ./share %{buildroot}%{_prefix}/
%find_lang %{name}

%files  -f %{name}.lang
%doc AUTHORS ChangeLog README TODO
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}

