# disable find_requires as it generate incorrect require on
# pear(Renameuser/SpecialRenameuser_body.php)
%define __find_requires %{nil}

%define mediawiki_extensions %{_datadir}/mediawiki/extensions
%define oname Bugzilla
%define gitrel  bc55a7f

Name:		mediawiki-bugzilla
Version:	0.0
Release:	%mkrel 1.%{gitrel}.10
Summary:	Mediawiki extension for %{oname}
License:	GPLv2+
Group:		System/Servers
Url:		https://github.com/LegNeato/%name
BuildArch:	noarch

Source0:	LegNeato-%name-%gitrel.tar.gz

Patch0:         mediawiki-bugzilla-add-xmlrpc-support.patch
Patch1:         mediawiki-bugzilla-add-xmlrpc-support-cleaningpatch.patch

Requires:	mediawiki
Requires:	bugzilla

%description
This is a MediaWiki extension that provides read-only access to the Bugzilla REST API

%prep
%setup -q -n LegNeato-%name-%gitrel
%autopatch -p1

%build

%install
install -d %{buildroot}%{mediawiki_extensions}/%{oname}
cp -fr * %{buildroot}%{mediawiki_extensions}/%{oname}

cat  > README.install.urpmi << EOF
To use this extension, you have to add
the following three lines to your LocalSettings.php

require_once("%{mediawiki_extensions}/Bugzilla/Bugzilla.php");

Edit LocalSettings.php and change/override any
configuration variables. Current configuration variables and their defaults
can be found at the end of Bugzilla.php

Run the MediaWiki update script to create the cache database table
   php /var/lib/mediawiki/maintenance/update.php. __Note that you may need to
   add $wgDBadminuser and $wgDBadminpassword to
   /etc/mediawiki/LocalSettings.php depending on your MediaWiki version__
EOF

%files
%doc README.install.urpmi
%{mediawiki_extensions}/%{oname}
