# disable find_requires as it generate incorrect require on
# pear(Renameuser/SpecialRenameuser_body.php)
%define __find_requires %{nil}

%define mediawiki_extensions %{_datadir}/mediawiki/extensions
%define oname LdapAuthentication
%define mwikiver 1.35
%define gitsnap dbc56f1

Name:		mediawiki-ldapauthentication
Summary:	Mediawiki extension to do ldap authentication
Version:	2.2.0
Release:	%mkrel 2
URL:		https://www.mediawiki.org/wiki/Extension:LDAP_Authentication
Source0:	https://extdist.wmflabs.org/dist/extensions/LdapAuthentication-REL1_35-%{gitsnap}.tar.gz

License:	GPLv2+
Requires:	mediawiki >= %{mwikiver}
Requires:	php-ldap
Group:		System/Servers
BuildArch:	noarch

%description
This plugin should be scalable for use in small to large organizations,
and provides the following functionality:

    Single and multi domain authentication (including local database)
        Simple bind authentication
        Proxy bind authentication
        Smartcard/CAC/PKI Soft Certificate authentication
        Kerberos authentication
        SSL/TLS or non-SSL/TLS binding allowed
        Nested/Unnested Group based restriction support
        Filter based restriction support
    Retrieval of user information from LDAP
        Email address
        Real name
        Nickname
        Language
    Synchronization of LDAP groups to MediaWiki security groups
    (LDAP->MediaWiki only)
        Nested group support available in 1.2b+
    Storing preferences in LDAP
        Update passwords
        Mail me a password
        Update all preferences that are currently retrievable
    Creation and modification of users in LDAP

%prep
%setup -q -n LdapAuthentication

%install
%{__install} -d %{buildroot}%{mediawiki_extensions}/%{oname}
%{__install} *.php README %{buildroot}%{mediawiki_extensions}/%{oname}
%{__install} -d %{buildroot}%{mediawiki_extensions}/%{oname}/schema
%{__install} schema/* %{buildroot}%{mediawiki_extensions}/%{oname}/schema

%files
%{mediawiki_extensions}/%{oname}
