Name:		metastore
Version:	1.1.2
Release:	%mkrel 3
Summary:	Stores and restores metadata for a filesystem tree
Group:		File tools
License:	GPLv2
URL:		https://github.com/przemoc/%{name}/
Source0:	https://github.com/przemoc/metastore/archive/v%{version}.tar.gz
BuildRequires:	pkgconfig(libbsd)

%description
metastore stores or restores metadata (owner, group, permissions, xattrs
and optionally mtime) for a filesystem tree. It can easily be integrated
with git to save metadata along with file content.

%prep
%setup -q

%build
%make_build

%install
%make_install PREFIX=%{_prefix}
chmod 0755 examples/* examples/*/*

%files
%{_bindir}/%{name}
%{_mandir}/man?/%{name}.?.*
%doc NEWS README AUTHORS FILEFORMAT LICENSE.GPLv2 metastore.txt examples/
