%define aname meteo_qt

Name:           meteo-qt
Version:        4.0
Release:        %mkrel 1
Group:          Graphical desktop/Other
Summary:        Weather status system tray application
License:        GPLv3
URL:            https://github.com/dglent/meteo-qt
Source0:        https://github.com/dglent/meteo-qt/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz
Patch0:         meteo-qt-3.3-relax-dependencies.patch
Patch1:         0001-fix-translations-path-not-existing.patch
Patch2:         0001-fix-syntax.patch
# Patch3:         0001-fix-exclude-images-subdirectory.patch
BuildArch:      noarch
BuildRequires:  python3-qt6-devel
BuildRequires:  qttools6
BuildRequires:  qtbase6-common-devel
Requires:       python3-qt6-core
Requires:       python3-qt6-gui
Requires:       python3-qt6-network
Requires:       python3-qt6-widgets
Requires:       python3-urllib3
Requires:       python3-lxml
Recommends:     qttranslations6

%description
A Qt system tray application for the weather status
Weather data from: http://openweathermap.org/

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
mv %{buildroot}%{python3_sitelib}/usr/* %{buildroot}/usr/
%pyproject_save_files %{aname}

%files -f %{pyproject_files}
%doc TODO CHANGELOG README.md
%exclude %_defaultdocdir/%{name}/LICENSE
%{_bindir}/%{name}
%{_iconsdir}/weather-few-clouds.png
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/meteo_qt
%{_datadir}/meteo_qt/translations/
