%define rname	youri-submit
#define svn	20100401
%define svn     0
%define rel	5

%if %{svn}
%define release %mkrel 2.%{svn}.%{rel}
%define distname %{rname}-%{version}-%{svn}
%else
%define release %mkrel %{rel}
%define distname %{rname}-%{version}
%endif

Name:		mga-%{rname}
Version:	0.9.4
Release:	%{release}
Summary:	Youri submit tool
License:	GPL or Artistic
Group:		Development/Other
# Generate tarball with: cd SOURCES; ./gettarball.sh $version
Source:		%{distname}.tar.gz
Url:		https://gitweb.mageia.org/software/build-system/mga-youri-submit
BuildRequires:	perl(Youri::Utils)
BuildRequires:	perl(Youri::Package::RPM::Test)
BuildRequires:	perl(Youri::Package::RPM::Generator)
BuildRequires:	perl(Youri::Repository::Test)
BuildRequires:	perl(Test::Exception)
BuildArch:	noarch
Requires:	rpmlint

%description
YOURI stands for "Youri Offers an Upload & Repository Infrastructure". It aims
to build tools making management of a coherent set of packages easier.

youri-submit is a generic package submission tool. It first runs a list of
tests on each submitted package, and if no one fails, runs a list of actions on
those packages.

%prep
%setup -q -n %{distname}

%build
%{__perl} Makefile.PL \
  INSTALLDIRS=vendor \
  INSTALLVENDORSCRIPT=%{_datadir}/%{name}/bin \
  INSTALLVENDORLIB=%{_datadir}/%{name}/lib \
  INSTALLVENDORMAN3DIR=%{_mandir}/man3 \
  INSTALLVENDORMAN1DIR=%{_mandir}/man1
%make_build pure_all

%install
%make_build DESTDIR=%{buildroot} pure_install

%files 
%doc ChangeLog README
%{_datadir}/%{name}/bin/%{rname}*
%{_datadir}/%{name}/bin/mga-*
%{_datadir}/%{name}/lib/Youri
%{_mandir}/man1/*
%{_mandir}/man3/*
