Name:		mgatools
Version:	0.2
Release:	%mkrel 3

Summary:    Mageia distribution tools
License:    GPLv2+
Group:      Development/Perl
Source0:    %{name}-%{version}.tar.xz
Obsoletes: mkcd
Buildarch: noarch

%description
Mageia tools to check/add ISO md5, and update rpmsrate files, plus other
miscellaneous sysadmin functions.

%prep
%setup -q

%build

%install
%make_install
install -m0644 -D functions "%{buildroot}%{_datadir}/%{name}/functions"

%files
%doc mgatools.conf
%perl_vendorlib/MGATools/rpmsrate.pm
%perl_vendorlib/MGATools/iso.pm
%_bindir/clean-rpmsrate
%_bindir/mga-hdlist*
%_bindir/mgaiso-addmd5
%_bindir/mgaiso-checkmd5
%_bindir/mga-move-pkg
%config %_datadir/%name/functions
