%define _legacy_common_support 1

Summary: Migration Assistant
Name:	 migration-assistant
Version: 0.6.13
Release: %mkrel 7
License: GPLv2+
Group:	 System/Configuration
Url:	 https://launchpad.net/migration-assistant
Source0: http://archive.ubuntu.com/ubuntu/pool/universe/m/%{name}/%{name}_%{version}.tar.gz
Patch0:	 migration-assistant-xdg.patch
Patch1:	 migration-assistant-missing-include.patch
BuildRequires: pkgconfig(libxml-2.0)

%description
Migration Assistant imports documents and settings from other
operating systems during the install process.

%prep
%autosetup -p1

%build
export CC="gcc %{optflags} -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"
%make_build

%install
%make_install
install -m755 ma-search-users %{buildroot}%{_bindir}

%files
%doc README
%{_bindir}/ma-import
%{_bindir}/ma-search-items
%{_bindir}/ma-search-users
