Name:		mikmod
Summary:	A MOD music file player
Version:	3.2.9
Release:	%mkrel 1
License:	GPLv2+
Group:		Sound/Players
URL:		https://mikmod.sourceforge.net/
Source0:	https://sourceforge.net/projects/mikmod/files/mikmod/%{version}/mikmod-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	pkgconfig(libmikmod)
BuildRequires:	pkgconfig(ncurses)

%description
MikMod is one of the best and most well known MOD music file players for
UNIX-like systems.  This particular distribution is intended to compile
fairly painlessly in a Linux environment. MikMod uses the OSS /dev/dsp
driver including all recent kernels for output, and will also write .wav
files. Supported file formats include MOD, STM, S3M, MTM, XM, ULT, and IT.
The player uses ncurses for console output and supports transparent
loading from gzip/pkzip/zoo archives and the loading/saving of playlists.

Install the mikmod package if you need a MOD music file player.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS NEWS README
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}
