%global __strip %{mingw32_strip}
%global __objdump %{mingw32_objdump}

Summary: MinGW library for handling page faults in user mode
Name:    mingw-libsigsegv
Version: 2.12
Release: %mkrel 4

License: GPLv2+
URL:     https://libsigsegv.sourceforge.net/
Source0: https://ftp.gnu.org/gnu/libsigsegv/libsigsegv-%{version}.tar.gz
Group:   Development/Other

## upstream patches

BuildArch:      noarch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  mingw32-filesystem >= 56
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gcc


%description
MinGW library for handling memory faults and stack overflows in user mode.

%package -n mingw32-libsigsegv
Summary:        MinGW library for handling page faults in user mode

%description -n mingw32-libsigsegv
MinGW library for handling memory faults and stack overflows in user mode.


%prep
%setup -q -n libsigsegv-%{version}

%autopatch -p1
autoreconf --install --force


%build
%{mingw32_configure} --disable-static --enable-shared
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete


%files -n mingw32-libsigsegv
%doc AUTHORS COPYING NEWS README
%{mingw32_bindir}/libsigsegv-2.dll
%{mingw32_libdir}/libsigsegv.dll.a
%{mingw32_includedir}/*.h


