Name:           mint-themes
Epoch:          1
Version:        1.9.8
Release:        1%{?dist}
Summary:        Mint themes

License:        GPLv3+
URL:            https://github.com/linuxmint/%{name}
Source0:        http://packages.linuxmint.com/pool/main/m/%{name}/%{name}_%{version}.tar.xz

BuildArch:      noarch
Group:          Graphical desktop/Cinnamon

BuildRequires:  make
BuildRequires:  fdupes
BuildRequires:  python3
BuildRequires:  sassc

%description
A collection of mint themes.

%package -n     mint-y-theme
Summary:        The Mint-Y theme 
Requires:       mint-y-icons

%description -n	mint-y-theme
The Mint-Y theme.  This theme is based on the Arc theme.

%package -n     mint-themes-gtk3
Summary:        Mint themes for GTK3
Requires:       mint-themes = %{epoch}:%{version}
Requires:       mint-x-icons

%description -n	mint-themes-gtk3
A collection of mint themes for GTK3.

%package -n	cinnamon-themes
Summary:        Mint themes for GTK3 
Requires:       filesystem
Requires:       mint-themes-gtk3 = %{epoch}:%{version}
Requires:       mint-y-theme = %{epoch}:%{version}

%description -n	cinnamon-themes
Collection of the best themes available for Cinnamon


%prep
%autosetup -p1 -n %{name}

%{__sed} -i -e 's@Ubuntu@Noto Sans@g' files/usr/share/themes/Linux\ Mint/cinnamon/cinnamon.css

%build
make

%install
%{__cp} -pr usr/ %{buildroot}
%fdupes -s %{buildroot}


%files
%license debian/copyright
%doc debian/changelog
%dir %{_datadir}/themes/Mint-X*/
%dir %{_datadir}/themes/Mint-X*/gtk-3.0/
%{_datadir}/themes/Mint-X*/index.theme
%{_datadir}/themes/Mint-X*/metacity-1/
%{_datadir}/themes/Mint-X/xfce-notify-4.0/
%{_datadir}/themes/Mint-X/xfwm4/
%{_datadir}/themes/Mint-X*/gtk-2.0/
%{_datadir}/themes/Mint-X-compact/xfwm4/

%files -n mint-y-theme
%license debian/copyright
%doc debian/changelog
%{_datadir}/themes/Mint-Y*

%files -n mint-themes-gtk3
%license debian/copyright
%doc debian/changelog
%{_datadir}/themes/Mint-X*/gtk-3.0/*

%files -n cinnamon-themes
%license debian/copyright
%doc debian/changelog
"%{_datadir}/themes/Linux Mint"
%{_datadir}/themes/Mint-X*/cinnamon/


