%global __requires_exclude ^perl\\(lsparse.pl\\)

Name:           mirror
Version:        2.9
Release:        %mkrel 26
Summary:        Perl program to mirror FTP sites
License:        BSD style
Group:          Networking/File transfer
URL:            http://sunsite.doc.ic.ac.uk/packages/mirror
Source0:        ftp://sunsite.org.uk/packages/mirror/%{name}.tar.bz2
Patch0:         %{name}-%{version}-mandrake.patch.bz2
Patch1:         %{name}-no-directory-goback.patch.bz2
Patch2:         %{name}-ftp.pl_wupatch.patch.bz2
Patch3:         %{name}-deldir.patch.bz2
Patch4:         %{name}-timelocal.patch.bz2
Patch5:         %{name}-perl5.30.patch.bz2
BuildArchitectures: noarch
BuildRequires:  patch
BuildRequires:  coreutils
Requires:       perl
Requires:       perl-base

%description
Perl program to mirror FTP sites.

%prep
%setup -q -c

%patch -P 0 -p1 -b .mdk
%patch -P 1 -p1 -b .sec
%patch -P 2 -p0 -b .wu
%patch -P 3 -p0 -b .dd
%patch -P 4 -p1 -b .tl
%patch -P 5 -p1 -b .p530

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_mandir}/man1
make "PLDIR=%{buildroot}%{_datadir}/%{name}" "BINDIR=%{buildroot}%{_bindir}" "MANDIR=%{buildroot}%{_mandir}/man1" install

install -m 644 %{name}.defaults %{buildroot}%{_sysconfdir}/%{name}.conf
install -m 644 %{name}.defaults %{buildroot}%{_datadir}/%{name}

ln -sf %{name}.pl %{buildroot}%{_bindir}/%{name}

mv %{buildroot}%{_mandir}/man1/mm.1 %{buildroot}%{_mandir}/man1/mm-mirror.1

%files
%doc README.txt *.html CHANGES*
%doc %{name}.nightly support/cyber-patches support/lstest.pl
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/do_unlinks.pl
%{_bindir}/%{name}
%{_bindir}/%{name}.pl
%{_bindir}/mm.pl
%{_bindir}/pkgs_to_mmin.pl
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/mm-mirror.1*
