Summary:	OpenLDAP password checker module for MMC
Name:		mmc-check-password
Version:	3.0.4
Release:	%mkrel 1
License:	GPL
Group:		System/Servers
URL:		https://projects.mandriva.org/projects/mmc-check-password
Source0:	%{name}-%{version}.tar.gz
BuildRequires:	openldap-devel

%description -n mmc-check-password 
OpenLDAP module to validate users passwords against LDAP's password policies. 

%files -n mmc-check-password
%defattr(-,root,root,0755)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/openldap/mmc-check-password.conf
%attr(0755,root,root) %{_libdir}/openldap/mmc-check-password.*
%attr(0755,root,root) %{_bindir}/mmc-password-helper
%attr(0755,root,root) %config(noreplace) %{_sysconfdir}/mmc-password-helper.ini

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}

%build
autoreconf -fi
%configure --with-ldap-confdir=%{_sysconfdir}/openldap --with-ldap-libdir=%{_libdir}/openldap
%make

%install
%make_install

rm -fv %buildroot%_libdir/openldap/*.la
rm -fv %buildroot%_libdir/openldap/*.a 
