Summary:    Environment Modules
Name:       modules
Version:    4.2.1
Release:    %mkrel 3
License:    GPLv2
Group:      Shells
Url:        https://modules.sourceforge.net/
Source:     https://netcologne.dl.sourceforge.net/project/modules/Modules/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires: tcl
BuildRequires: tcl-devel

%description
The environment modules package provides for an easy dynamic modification of a
user's environment via modulefiles. which typically instruct the module command
to alter or set shell environment variables such as PATH, MANPATH, etc. as well
as define aliases over a variety of shells.

Features

    Shell neutral.
    Add or change environment variables dynamically.
    Add simple shell aliases regardless of shell types.
    Add or change X11 resources.
    Very flexible.


%prep
%setup -q

%build
%configure --docdir=%{_docdir}/%{name} \
--modulefilesdir=%{_datadir}/%{name}/modulefiles \
--initdir=%{_datadir}/%{name}/init


%make_build

%install
%make_install

%files
%{_bindir}/*
%{_docdir}/%{name}/*
%{_libexecdir}/*
%{_mandir}/man1/*.1*
%{_mandir}/man4/*.4*
%{_datadir}/%{name}/init/*
%{_datadir}/%{name}/modulefiles/*
