%define        internal 871

Name:          monodevelop-database
Version:       5.10.0
Release:       %mkrel 7
Summary:       Monodevelop Database Addin
Group:         Development/Other
License:       MIT
BuildArch:     noarch
URL:           https://www.mono-project.com/
Source0:       https://download.mono-project.com/sources/monodevelop-database/%{name}-%{version}.%{internal}.tar.bz2
BuildRequires: pkgconfig(mono)
BuildRequires: monodevelop >= 5.10
BuildRequires: pkgconfig(monodevelop) >= 5.10
BuildRequires: pkgconfig(mysql-connector-net)
BuildRequires: pkgconfig(mono-addins)

%description
Monodevelop Database Addin.

%package devel
Summary:  Development files for MonoDevelop Database Add-in
Group:    Development/Other
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Database Add-in for MonoDevelop. Development package.

The %{name}-devel package contains development
files for %{name}.

%prep
%setup -q -n %{name}-5.10

cp -f %_prefix/lib/mono/mysql-connector-net/MySql.Data.dll contrib/MySql

# fix build with mono4
sed -i "s#gmcs#mcs#g; s#dmcs#mcs#g" configure*

%build
%configure
make

%install
%make_install

mkdir -p %{buildroot}%_prefix/share/pkgconfig
for langdir in %buildroot%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/locale/*; do
echo "%lang($(basename $langdir)) $(echo $langdir |sed s!%buildroot!!)" >> %name.lang
done
#missed monodevelop addins
ln -sf %_prefix/lib/mono/mysql-connector-net/MySql.Data.dll %buildroot%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/MySql.Data.dll

%files -f %name.lang
%dir %_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/
%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/*.dll
%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/*.mdb
%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/icons/
%dir %_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/locale/

%files devel
%_prefix/lib/pkgconfig/monodevelop-database.pc
