%define         internal 0
Summary:	MonoDevelop gdb Debugger Add-in
Name:     	monodevelop-debugger-gdb
Version:	5.0.1
Release:	%mkrel 8
License:	MIT
BuildArch:      noarch
Group:		Development/Other
Source0:	https://download.mono-project.com/sources/monodevelop-debugger-gdb/%{name}-%{version}-%{internal}.tar.bz2
URL:		https://www.monodevelop.com/
BuildRequires:	pkgconfig(mono) >= 2.6
BuildRequires:	pkgconfig(monodevelop) >= 2.6
BuildRequires:	pkgconfig(mono-addins) 
BuildRequires:  newtonsoft-json
Requires: gdb

%description
Mono gdb Debugger Add-in for MonoDevelop. 


%prep
%setup -q

# fix build with mono4
sed -i "s#gmcs#mcs#g; s#dmcs#mcs#g" configure*

%build
./configure --prefix=%_prefix
# no parallel build support
make

%install
%make_install

%files
%_prefix/lib/monodevelop/AddIns/MonoDevelop.Debugger/


