%define pypi_name Mopidy-Podcast

Name:           mopidy-podcast
Version:        3.0.1
Release:        %mkrel 2
Group:          Sound/Players
Summary:        Mopidy extension for searching and browsing podcasts
License:        ASL 2.0
URL:            https://github.com/tkem/mopidy-podcast
Source0:        https://pypi.python.org/packages/source/M/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Mopidy-Podcast is a Mopidy extension for searching and browsing podcasts.

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mopidy_podcast

%files -f %{pyproject_files}
%license LICENSE
%doc README*
