Name:       mpark-variant
Summary:    C++17 std::variant for C++11/14/17
Version:    1.4.0
Release:    %mkrel 2
License:    Boost
Group:      Development/C++
URL:        https://github.com/mpark/variant
Source0:    %{url}/archive/v%{version}/variant-%{version}.tar.gz
BuildArch:  noarch
BuildRequires: ninja
BuildRequires: cmake
Provides:      %{name}-devel = %{version}-%{release}
Obsoletes:     libmpark-variant-devel < 1.4.0-2
Obsoletes:     lib64mpark-variant-devel < 1.4.0-2

%description
Header-only %{summary}.

%prep
%autosetup -n variant-%{version} -p1

# make pkg noarch
sed -i 's@\(DESTINATION\s\+\)lib/@\1share/@g' CMakeLists.txt

%build
%cmake -G Ninja
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE.md
%{_includedir}/mpark/
%{_datadir}/cmake/mpark_variant/
