Name:		mppenc
Version:	1.16
Release:	%mkrel 8
Summary:	Musepack encoder
License:	LGPLv2
Group:		Sound/Editors and Converters
URL:		https://www.musepack.net/
Source0:	https://files.musepack.net/source/%{name}-%{version}.tar.bz2

BuildRequires:	cmake
BuildRequires:	nasm


%description
This program handles encoding of the MPC format, which is an audio
compression format with a strong emphasis on high quality. It's not
lossless, but it is designed for transparency, so that you won't be
able to hear differences between the original wave file and the much
smaller MPC file. It is based on the MPEG-1 Layer-2 / MP2 algorithms,
but since 1997 it has rapidly developed and vastly improved and is now
at an advanced stage in which it contains heavily optimized and
patentless code.

%prep
%setup -q

# fix empty debugsourcefiles.list using ours compile flags
sed -i -e 's|-O2|%{optflags}|' CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc Changelog
%{_bindir}/%{name}
