Summary:	FUSE file-system that supports MTP devices
Name:		mtpfs
Version:	2.0
Release:	%mkrel 4
License:	GPLv2+
Group:		File tools
URL:		https://github.com/Feandil/mtpfs
Source0:	mtpfs-2.0.tar.gz

BuildRequires:	pkgconfig(libmtp) >= 0.3.0
BuildRequires:	pkgconfig(fuse)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	glib2-devel
Requires:	fuse

%description
MTPfs is a FUSE file-system that supports reading and writing from any
MTP device supported by libmtp.

%prep
%setup -q

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS NEWS README
%{_bindir}/%{name}
