Summary:	Tools to help creation of multiarch binaries and includes
Name:		multiarch-utils
Version:	1.0.15
Release:	%mkrel 1
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Group:		Development/Other
Url:		https://www.mageia.org/
BuildArch:	noarch

%description
multiarch-utils is a collection of helper utilities to dispatch
binaries and include files during RPM package build.

%prep
%setup -q

%build

%install
%make_install

%files
%doc NEWS
%{_bindir}/multiarch-platform
%{_bindir}/multiarch-dispatch
%{_includedir}/multiarch-dispatch.h
%{_rpmmacrodir}/macros.multiarch
%{_rpmconfigdir}/%{_real_vendor}/mkmultiarch
%{_rpmconfigdir}/%{_real_vendor}/check-multiarch-files
