Summary:        Math game, Multiplication Station will teach your child to add, subtract and multiply
Name:           multiplicationstation
Version:        0.6.8
Release:        %mkrel 4
Source0:        %{name}-%{version}.tar.bz2
URL:            http://www.asymptopia.org/
License:        GPLv3
Group:          Games/Boards
BuildRequires:  imagemagick
Requires:       python-pygame
Requires:       wxPythonGTK
BuildArch:      noarch
 
%description
Math game, Multiplication Station will teach your child to add, subtract and multiply

%prep
%setup -q -n %name-master

%build

%install
install -d -m 755 %{buildroot}%{_gamesdatadir}/%{name}
cp -pr Font %{buildroot}%{_gamesdatadir}/%{name}
install -d -m 755 %{buildroot}%{_gamesdatadir}/%{name}/lib
cp -pr MultiplicationStation %{buildroot}%{_gamesdatadir}/%{name}/lib
cp .mstation_config_master  %{buildroot}%{_gamesdatadir}/%{name}

install -d -m 755 %{buildroot}%{_gamesbindir}
install -m 755 mstation.py %{buildroot}%{_gamesbindir}/%{name}

mkdir -p %{buildroot}%{_liconsdir}
mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_miconsdir}
convert -resize 48x48 mstation.ico %{buildroot}%{_liconsdir}/%{name}.png
convert -resize 32x32 mstation.ico %{buildroot}%{_iconsdir}/%{name}.png
convert -resize 16x16 mstation.ico %{buildroot}%{_miconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/ 
install -m 644 %{name}-admin.desktop %{buildroot}%{_datadir}/applications/ 

%files
%doc INSTALL LICENSE README CHANGES
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}*.desktop 
%{_iconsdir}/*

