Name:		musique
Version:	1.12
Release:	%mkrel 2
Summary:	Lightweight music player
Group:		Sound/Players
License:	GPLv3+
URL:		https://flavio.tordini.org/musique
Source0:	https://github.com/flaviotordini/musique/releases/download/%{version}/%{name}-%{version}.tar.bz2
Patch1:		0001-fix_compatibility-with-TagLib-2.0.patch

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(mpv)
BuildRequires:	pkgconfig(taglib)

Requires:	qt6-database-plugin-sqlite

%description
Musique is a lightweight and versatile music player.

%prep
%autosetup -p1

%build
%qmake_qt6 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.{png,svg}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/locale
%{_datadir}/%{name}/locale/*
