Name:		muttprint
Version:	0.72d
Release:	%mkrel 5
Summary:	Pretty printing of your mails
License:	GPLv2
Group:		Networking/Mail
Url:		https://muttprint.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Requires:	texlive
Requires:	psutils
Requires:	perl
Requires:	perl-Text-Iconv

%description
Muttprint is a utility that formats the printing of Mutt and other mail clients
like XFMail or PINE to be like the printing of Netscape Messenger or Kmail. It
can print a little penguin on the first page and a headline on every page.
Furthermore, it only prints the most important headers, but not the whole
plethora of them.

%prep
%autosetup
# remove missing .css install files
perl -ni -e 'print unless /\.css/' doc/manual/*/Makefile
sed -i 's|CHANGES COPYING INSTALL|CHANGES|' Makefile

%build
export CCFLAGS="%{build_cflags} %{build_ldflags}"
%make_build

%install
%make_install prefix=%{buildroot}%{_prefix} mandir=%{buildroot}%{_mandir} docdir=%{buildroot}%{_docdir}

%files
%doc README* CHANGES
%license COPYING
%{_bindir}/%{name}
%{_bindir}/muttprint-langinfo
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1.*
%{_mandir}/*/man1/%{name}.1.*
%{_docdir}/%{name}/sample*
%{_docdir}/%{name}/manual*
