
Name:          mycila-parent-pom
Version:       5
Release:       %mkrel 6
Summary:       Mycila Parent POM
Group:         Development/Java
License:       ASL 2.0
Url:           https://www.mycila.com/
# svn export https://mycila.googlecode.com/svn/mycila-pom/tags/parent-pom-5 mycila-parent-pom-5
# tar czf mycila-parent-pom-5-src-svn.tar.gz mycila-parent-pom-5
Source0:       mycila-parent-pom-5-src-svn.tar.gz

Patch0:        mycila-parent-pom-5-no_wagon-webdav.patch

BuildRequires: java-devel >= 0:1.6.0
BuildRequires: jpackage-utils

BuildRequires: maven-invoker-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-local
BuildRequires: maven-source-plugin

Requires:      maven
Requires:      maven-antrun-plugin
Requires:      maven-assembly-plugin
Requires:      maven-clean-plugin
Requires:      maven-compiler-plugin
Requires:      maven-dependency-plugin
Requires:      maven-deploy-plugin
Requires:      maven-invoker-plugin
Requires:      maven-ipojo-plugin
Requires:      maven-jar-plugin
Requires:      maven-javadoc-plugin
Requires:      maven-license-plugin
Requires:      maven-release-plugin
Requires:      maven-shade-plugin
Requires:      maven-source-plugin
Requires:      maven-surefire-plugin

Requires:      java >= 0:1.6.0
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Parent POM for Mycila projects.

%files
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q
%patch -P 0 -p0

%build

mvn-rpmbuild -e install

%install
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom

