Name:          myfaces-master
Version:       13
Release:       %mkrel 6
Summary:       Parent pom file for Apache MyFaces projects
License:       ASL 2.0
Group:         Development/Java
URL:           https://myfaces.apache.org/
# svn export http://svn.apache.org/repos/asf/myfaces/myfaces-master-pom/tags/myfaces-13
# tar czf myfaces-13-src-svn.tar.gz myfaces-13
Source0:       myfaces-13-src-svn.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: apache-commons-logging
BuildRequires: checkstyle-rules >= 4
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-local

Requires:      apache-commons-logging
Requires:      maven

Requires:      jpackage-utils
Requires:      java
BuildArch:     noarch

%description
The MyFaces project is home of the first free open source JavaServer Faces
implementation as well as some useful JSF component libraries and other
convenient JSF stuff.

This package contains the master pom file for myfaces projects.

%prep
%setup -q -n myfaces-%{version}

%build

mvn-rpmbuild install

%install

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-myfaces.pom
%add_maven_depmap JPP-myfaces.pom
mv %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/myfaces

%files
%{_mavenpomdir}/JPP-myfaces.pom
%{_mavendepmapfragdir}/myfaces
