Name: mythes-es
Summary: Spanish thesaurus
%define upstreamid 20101002
Version: 0.%{upstreamid}.1
Release: %mkrel 11
Source: http://openthes-es.berlios.de/download/OOo2-thes_es_ES.tar.bz2
Group:  Text tools 
URL: http://openthes-es.berlios.de
License: LGPLv2+
BuildArch: noarch
Requires: mythes
Requires: locales-es

%description
Spanish thesaurus.

%prep
%setup -q -c

%build
for i in README_th_es_ES_v2.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/mythes
cp -p th_es_ES_v2.* $RPM_BUILD_ROOT/%{_datadir}/mythes
pushd $RPM_BUILD_ROOT/%{_datadir}/mythes/
es_ES_aliases="es_AR es_BO es_CL es_CO es_CR es_CU es_DO es_EC es_GT es_HN es_MX es_NI es_PA es_PE es_PR es_PY es_SV es_US es_UY es_VE"

for lang in $es_ES_aliases; do
        ln -s th_es_ES_v2.dat "th_"$lang"_v2.dat"
        ln -s th_es_ES_v2.idx "th_"$lang"_v2.idx"
done
popd

%files
%doc README_th_es_ES_v2.txt COPYING
%{_datadir}/mythes/*

