Name:           mythes-ne
Version:        1.1
Release:        %mkrel 12
Summary:        Nepali thesaurus
License:        LGPLv2
Group:          Text tools 
URL:            https://data.opentaal.org/opentaalbank/thesaurus
# These URLs are no longer valid
Source0:        http://hg.services.openoffice.org/hg/DEV300/raw-file/tip/dictionaries/ne_NP/th_ne_NP_v2.zip
Source1:        http://hg.services.openoffice.org/hg/DEV300/raw-file/tip/dictionaries/ne_NP/README_th_ne_NP_v2.txt

BuildRequires:  pkgconfig(mythes)

BuildArch:      noarch

Requires:       mythes
Requires: locales-ne

%description
Nepali thesaurus.


%prep
%setup -q -c
cp -p %{SOURCE1} README_th_ne_NP_v2.txt

%build
th_gen_idx.pl < th_ne_NP_v2.dat > th_ne_NP_v2.idx

%install
mkdir -p %{buildroot}%{_datadir}/mythes
cp -p th_ne_NP_v2.* %{buildroot}%{_datadir}/mythes/

%files
%doc README_th_ne_NP_v2.txt
%{_datadir}/mythes/*
