Name: mythes-nl
Summary: Dutch thesaurus
%define upstreamid 20151210
Version: 0.%{upstreamid}.1
Release: %mkrel 4
Source: http://data.opentaal.org/opentaalbank/thesaurus/download/thes_nl.oxt#/%{name}-%{version}.oxt
Group:  Text tools 
URL: http://data.opentaal.org/opentaalbank/thesaurus
License: BSD or CC-BY
BuildArch: noarch
Requires: mythes
Requires: locales-nl

%description
Dutch thesaurus.

%prep
%setup -q -c

%build
for i in README_th_nl.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/mythes
cp -p th_nl_v2.dat $RPM_BUILD_ROOT/%{_datadir}/mythes/th_nl_NL_v2.dat
cp -p th_nl_v2.idx $RPM_BUILD_ROOT/%{_datadir}/mythes/th_nl_NL_v2.idx

pushd $RPM_BUILD_ROOT/%{_datadir}/mythes/
nl_NL_aliases="nl_AW nl_BE"
for lang in $nl_NL_aliases; do
        ln -s th_nl_NL_v2.dat "th_"$lang"_v2.dat"
        ln -s th_nl_NL_v2.idx "th_"$lang"_v2.idx"
done

%files
%doc README_th_nl.txt
%{_datadir}/mythes/*

