Name:		mythes-sv
Version:	1.3
Release:	%mkrel 11
Summary:	Swedish thesaurus
License:	MIT
Group:		Text tools
URL:		https://extensions.services.openoffice.org/project/SweThes
Source:		https://sourceforge.net/projects/aoo-extensions/files/934/4/swedishthesaurus.oxt#/%{name}-%{version}.oxt
BuildArch:	noarch

Requires:	mythes
Requires:	locales-sv

%description
Swedish thesaurus.

%prep
%setup -q -c

%build

%install
mkdir -p %{buildroot}%{_datadir}/mythes
cp -p dictionaries/th_sv_SE.dat %{buildroot}%{_datadir}/mythes/th_sv_SE_v2.dat
cp -p dictionaries/th_sv_SE.idx %{buildroot}%{_datadir}/mythes/th_sv_SE_v2.idx
pushd %{buildroot}%{_datadir}/mythes/
sv_SE_aliases="sv_FI"
for lang in $sv_SE_aliases; do
        ln -s th_sv_SE_v2.dat "th_"$lang"_v2.dat"
        ln -s th_sv_SE_v2.idx "th_"$lang"_v2.idx"
done
popd

%files
%doc Info-en.txt
%{_datadir}/mythes/*
