Name:		nagios-check_cups_queue
Version:	20060627
Release:	%mkrel 21
Summary:	Nagios cups plugin
Group:		Networking/Other
License:	BSD
URL:		http://dev.lusis.org/nagios/
Source0:	http://dev.lusis.org/nagios/check_cups_queue.txt
Patch0:		nagios/check_cups_queue-force-locales.patch
BuildArch:	noarch
Requires:	cups-common
Requires:	bc

%description
This plugin will check the status of a remote CUPS print queue.
It will provide the size of the queue and optionally the age
of the queue.

%prep
cp %{SOURCE0} check_cups_queue.txt
%patch -P 0 -p0

%build


%install
install -d -m 755 %{buildroot}%{_datadir}/nagios/plugins
install -m 755 check_cups_queue.txt %{buildroot}%{_datadir}/nagios/plugins/check_cups_queue

install -d -m 755 %{buildroot}%{_sysconfdir}/nagios/plugins.d
cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_cups_queue.cfg <<'EOF'
define command{
	command_name	check_cups_queue
	command_line	%{_datadir}/nagios/plugins/check_cups_queue -H $HOSTADDRESS$
}
EOF

%files
%{_datadir}/nagios/plugins/check_cups_queue
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_cups_queue.cfg

