Summary:	A Nagios plugin to check IAX/IAX2 devices
Name:		nagios-check_iax
Version:	1.0.0
Release:	%mkrel 12
License:	BSD
Group:		Networking/Other
URL:		https://samm.kiev.ua/check_iax/
Source0:	https://samm.kiev.ua/check_iax/check_iax-%{version}.tar.gz
Requires:	nagios

%description
Nagios plugin check_iax allows system administrators to monitor IAX/IAX2
devices.

%prep
%setup -q -n check_iax-%{version}

%build
%make_build CFLAGS="%{optflags}"

%install
install -d %{buildroot}%{_sysconfdir}/nagios/plugins.d
install -d %{buildroot}%{_libdir}/nagios/plugins

install -m0755 check_iax %{buildroot}%{_libdir}/nagios/plugins/
cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_iax.cfg <<'EOF'
define command {
	command_name	check_iax
	command_line	%{_libdir}/nagios/plugins/check_iax -H $HOSTADDRESS$ -w 100 -c 500
}
EOF

%files
%doc README
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_iax.cfg
%{_libdir}/nagios/plugins/check_iax


