%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Send files from nautilus using with mail or IM
Name:		nautilus-sendto
Version:	3.8.6
Release:	%mkrel 5
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		nautilus-sendto-fix-meson-061.patch
BuildRequires:	pkgconfig(glib-2.0) >= 2.25.9
BuildRequires:	pkgconfig(gthread-2.0) >= 2.25.9
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.25.9
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90.9
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	meson
Requires:	nautilus

%description
This application provides integration between nautilus and mail clients.
It adds a Nautilus context menu component ("Send To...") and features
a dialog for insert the email account which you want to send the file/files.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %name

%files -f %name.lang
%doc NEWS AUTHORS README
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.metainfo.xml
%{_mandir}/man1/%{name}.1*
