Name:		ncdu
Version:	1.21
Release:	%mkrel 1
Summary:	Text-based disk usage viewer
Group:		Monitoring
License:	MIT
URL:		https://dev.yorhel.nl/ncdu/
Source0:	https://dev.yorhel.nl/download/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(ncursesw)

%description
ncdu (NCurses Disk Usage) is a curses-based version of the well-known 'du',
and provides a fast way to see what directories are using your disk space.

%prep
%setup -q

%build
%configure \
	--with-ncursesw
%make_build

%install
%make_install

%files
%doc ChangeLog README
%license COPYING
%{_bindir}/ncdu
%{_mandir}/man1/ncdu.1*
