Name:           neofetch
Version:        7.1.0
Release:        %mkrel 2
Summary:        CLI system information tool written in Bash
Group:          System/Configuration
License:        MIT
URL:            https://github.com/dylanaraps/neofetch
Source0:        https://github.com/dylanaraps/neofetch/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
Requires:       bash >= 3.2
Requires:       bind-utils
Requires:       coreutils
Requires:       gawk
Requires:       grep
Requires:       pciutils
Recommends:     caca-utils
Recommends:     catimg
Recommends:     imagemagick
Recommends:     jp2a
Recommends:     w3m-img
Recommends:     xorg-x11-server-utils
Recommends:     xorg-x11-utils

%description
Neofetch displays information about your system next to an image,
your OS logo, or any ASCII file of your choice. The main purpose of Neofetch
is to be used in screenshots to show other users what OS/distribution you're
running, what theme/icons you're using and more.

%prep
%autosetup -p1

%build

%install
%make_install

%files
%doc README.md
%license LICENSE.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
