# Prevent brp-java-repack-jars from being run.
%define __jar_repack %{nil}

%define        nb_release_time        201107282000
%define        nb_l10n_release_time   20110930

%define        netbeans_home          %{_datadir}/netbeans

%define        _nb                    nb
%define        netbeans_dir           %{netbeans_home}/%{version}
%define        netbeans_bin_dir       %{netbeans_dir}/bin
%define        netbeans_etc_dir       %{netbeans_dir}/etc

%define        netbeansb_nb_dir       %{netbeans_dir}/%{_nb}
%define        netbeans_config_dir    %{netbeansb_nb_dir}/config

%define        apisupport_version     3
%define        apisupport             apisupport
%define        apisupport_dir         %{netbeans_home}/%{apisupport}%{apisupport_version}

%define        ide_version            14
%define        ide                    ide
%define        ide_dir                %{netbeans_home}/%{ide}%{ide_version}

%define        platform_version       13
%define        _platform              platform
%define        platform_dir           %{netbeans_home}/%{_platform}%{platform_version}

%define        _harness               harness
%define        harness_dir            %{netbeans_home}/%{_harness}

%define        java_version           5
%define        java                   java
%define        java_dir               %{netbeans_home}/%{java}%{java_version}

%define        with_groovy            0
%define        with_cnd               0

%if %with_groovy
%define        groovy_version         4
%define        groovy                 groovy
%define        groovy_dir             %{netbeans_home}/%{groovy}%{groovy_version}
%endif

%if %with_cnd
%define        cnd_version            5
%define        cnd                    cnd
%define        cnd_dir                %{netbeans_home}/%{cnd}%{cnd_version}

%define        dlight_version         4
%define        dlight                 dlight
%define        dlight_dir             %{netbeans_home}/%{dlight}%{dlight_version}
%endif

Name:          netbeans-l10n
Version:       7.0.1
Release:       %mkrel 3
Summary:       Internationalization support for NetBeans IDE %{version}
Group:         System/Internationalization
URL:           https://www.netbeans.org/

# https://www.usc.es/osl/wiki/index.php/Translation_netbeans
# hg clone https://hg.netbeans.org/release701
# hg clone https://hg.netbeans.org/main/l10n
# ant l10n-kit
#Translate the sources on OmegaT app and generate the translated files: unzip the previous zipped file wherever you want and create a project on OmegaT with these extracted files.
#Once the translation is ready to probe (completed or not) copy them inside the next path:
#release70/l10n/src/LANGUAGE_CODE
#Replace your LANGUAGE_CODE (i.e. gl_ES for Galician language)
#Note that the LANGUAGE_CODE could not exist, in this case create it with mkdir 

# from http://lyot-if-a.mirrorservice.org/sites/www.ibiblio.org/gentoo/distfiles/netbeans-l10n-7.0.1-20110930.tar.bz2
Source0:       netbeans-l10n-%{version}-%{nb_l10n_release_time}.tar.bz2
# from https://download.netbeans.org/netbeans/6.9.1/final/zip/netbeans-7.0.1-201107282000-src.zip
Source1:       nbbuild-%{version}-%{nb_release_time}.tar.gz
License:       CDDL, GPL
BuildRequires: ant
BuildRequires: javahelp2
BuildRequires: beansbinding
BuildRequires: swing-layout
BuildArch:     noarch

%description
Internationalization support for NetBeans IDE %{version}

%package af
Summary:       Afrikaans language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description af
Afrikaans language support for NetBeans IDE %{version}.

%package ar-EG
Summary:       Eygptian Arabic language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description ar-EG
Eygptian Arabic language support for NetBeans IDE %{version}.

%package ar-SA
Summary:       Saudi Arabia Arabic language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description ar-SA
Saudi Arabia Arabic language support for NetBeans IDE %{version}.

%package ca
Summary:       Catalan language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-apisupport = %{version}
Requires:      netbeans-ide = %{version}
Requires:      netbeans-java = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description ca
Catalan language support for NetBeans IDE %{version}.

%if %with_cnd
%package -n netbeans-cnd-l10n-ca
Summary:       Catalan language support for the CND NetBeans plugin
Group:         System/Internationalization
Requires:      %{name}-ca = %{version}-%{release}
Requires:      netbeans-cnd = %{version}
Requires:      netbeans-dlight = %{version}

%description -n netbeans-cnd-l10n-ca
Catalan language support for the CND NetBeans plugin.
%endif

%if %with_groovy
%package -n netbeans-groovy-l10n-ca
Summary:       Catalan language support for the Groovy NetBeans plugin
Group:         System/Internationalization
Requires:      %{name}-ca = %{version}-%{release}
Requires:      netbeans-groovy = %{version}

%description -n netbeans-groovy-l10n-ca
Catalan language support for the Groovy NetBeans plugin.
%endif

%package cs
Summary:       Czech language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description cs
Czech language support for NetBeans IDE %{version}.

%package de
Summary:       German language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-apisupport = %{version}
Requires:      netbeans-ide = %{version}
Requires:      netbeans-java = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description de
German language support for NetBeans IDE %{version}.


%package el
Summary:       Greek language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description el
Greek language support for NetBeans IDE %{version}.

%package es
Summary:       Spanish language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-apisupport = %{version}
Requires:      netbeans-ide = %{version}
Requires:      netbeans-java = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description es
Spanish language support for NetBeans IDE %{version}.

%package es-CO
Summary:       Spanish (Colombian) language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description es-CO
Spanish (Colombian) language support for NetBeans IDE %{version}.

%package fil-PH
Summary:       Filipino (Philippines) language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description fil-PH
Filipino (Philippines) language support for NetBeans IDE %{version}.

%package fr
Summary:       French language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-apisupport = %{version}
Requires:      netbeans-ide = %{version}
Requires:      netbeans-java = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description fr
French language support for NetBeans IDE %{version}.

%package gl-ES
Summary:       Galician (Spain) language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-apisupport = %{version}
Requires:      netbeans-ide = %{version}
Requires:      netbeans-java = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description gl-ES
Galician (Spain) language support for NetBeans IDE %{version}.

%if %with_cnd
%package -n netbeans-cnd-l10n-gl-ES
Summary:       Galician (Spain) language support for the CND NetBeans plugin
Group:         System/Internationalization
Requires:      %{name}-gl-ES = %{version}-%{release}
Requires:      netbeans-cnd = %{version}
Requires:      netbeans-dlight = %{version}

%description -n netbeans-cnd-l10n-gl-ES
Galician (Spain) language support for the CND NetBeans plugin.
%endif

%if %with_groovy
%package -n netbeans-groovy-l10n-gl-ES
Summary:       Galician (Spain) language support for the Groovy NetBeans plugin
Group:         System/Internationalization
Requires:      %{name}-gl-ES = %{version}-%{release}
Requires:      netbeans-groovy = %{version}

%description -n netbeans-groovy-l10n-gl-ES
Galician (Spain) language support for the Groovy NetBeans plugin.
%endif

%package hi-IN
Summary:       Hindi language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description hi-IN
Hindi language support for NetBeans IDE %{version}.

%package in-ID
Summary:       Indonesian language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description in-ID
Indonesian language support for NetBeans IDE %{version}.

%package it
Summary:       Italian language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans
Requires:      netbeans-apisupport
Requires:      netbeans-ide
Requires:      netbeans-java
Requires:      netbeans-platform
Requires:      netbeans-platform-harness

%description it
Italian language support for NetBeans IDE %{version}.

%package ja
Summary:       Japanese language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-apisupport = %{version}
Requires:      netbeans-ide = %{version}
Requires:      netbeans-java = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description ja
Japanese language support for NetBeans IDE %{version}.

%if %with_cnd
%package -n netbeans-cnd-l10n-ja
Summary:       Japanese language support for the CND NetBeans plugin
Group:         System/Internationalization
Requires:      %{name}-ja = %{version}-%{release}
Requires:      netbeans-cnd = %{version}
Requires:      netbeans-dlight = %{version}

%description -n netbeans-cnd-l10n-ja
Japanese language support for the CND NetBeans plugin.
%endif

%if %with_groovy
%package -n netbeans-groovy-l10n-ja
Summary:       Japanese language support for the Groovy NetBeans plugin
Group:         System/Internationalization
Requires:      %{name}-ja = %{version}-%{release}
Requires:      netbeans-groovy = %{version}

%description -n netbeans-groovy-l10n-ja
Japanese language support for the Groovy NetBeans plugin.
%endif

%package ko
Summary:       Korean language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-apisupport = %{version}
Requires:      netbeans-ide = %{version}
Requires:      netbeans-java = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description ko
Korean language support for NetBeans IDE %{version}.

%package nl-BE
Summary:       Dutch (Belgium) language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description nl-BE
Dutch (Belgium) language support for NetBeans IDE %{version}.

%package nl-NL
Summary:       Dutch (Nederlands) language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-apisupport = %{version}
Requires:      netbeans-ide = %{version}
Requires:      netbeans-java = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description nl-NL
Dutch (Nederlands) language support for NetBeans IDE %{version}.

%package pl
Summary:       Polish language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description pl
Polish language support for NetBeans IDE %{version}.

%package pt-BR
Summary:       Portuguese (Brazilian) language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-apisupport = %{version}
Requires:      netbeans-ide = %{version}
Requires:      netbeans-java = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description pt-BR
Portuguese (Brazilian) language support for NetBeans IDE %{version}.

%if %with_cnd
%package -n netbeans-cnd-l10n-pt-BR
Summary:       Portuguese (Brazilian) language support for the CND NetBeans plugin
Group:         System/Internationalization
Requires:      %{name}-pt-BR = %{version}-%{release}
Requires:      netbeans-cnd = %{version}
Requires:      netbeans-dlight = %{version}

%description -n netbeans-cnd-l10n-pt-BR
Portuguese (Brazilian) language support for the CND NetBeans plugin.
%endif

%if %with_groovy
%package -n netbeans-groovy-l10n-pt-BR
Summary:       Portuguese (Brazilian) language support for the Groovy NetBeans plugin
Group:         System/Internationalization
Requires:      %{name}-pt-BR = %{version}-%{release}
Requires:      netbeans-groovy = %{version}

%description -n netbeans-groovy-l10n-pt-BR
Portuguese (Brazilian) language support for the Groovy NetBeans plugin.
%endif

%package pt-PT
Summary:       Portuguese language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description pt-PT
Portuguese language support for NetBeans IDE %{version}.

%package ro
Summary:       Romanian language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description ro
Romanian language support for NetBeans IDE %{version}.

%package ru
Summary:       Russian language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-apisupport = %{version}
Requires:      netbeans-ide = %{version}
Requires:      netbeans-java = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description ru
Russian language support for NetBeans IDE %{version}.

%if %with_cnd
%package -n netbeans-cnd-l10n-ru
Summary:       Russian language support for the CND NetBeans plugin
Group:         System/Internationalization
Requires:      %{name}-ru = %{version}-%{release}
Requires:      netbeans-cnd = %{version}
Requires:      netbeans-dlight = %{version}

%description -n netbeans-cnd-l10n-ru
Russian language support for the CND NetBeans plugin.
%endif

%if %with_groovy
%package -n netbeans-groovy-l10n-ru
Summary:       Russian language support for the Groovy NetBeans plugin
Group:         System/Internationalization
Requires:      %{name}-ru = %{version}-%{release}
Requires:      netbeans-groovy = %{version}

%description -n netbeans-groovy-l10n-ru
Russian language support for the Groovy NetBeans plugin.
%endif

%package sq
Summary:       Albanian language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description sq
Albanian language support for NetBeans IDE %{version}.

%package sr
Summary:       Serbian language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description sr
Serbian language support for NetBeans IDE %{version}.

%package sv
Summary:       Swedish language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-apisupport = %{version}
Requires:      netbeans-ide = %{version}
Requires:      netbeans-java = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description sv
Swedish language support for NetBeans IDE %{version}.

%package tr
Summary:       Turkish language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-apisupport = %{version}
Requires:      netbeans-ide = %{version}
Requires:      netbeans-java = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description tr
Turkish language support for NetBeans IDE %{version}.

%package vi
Summary:       Vietnamese language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description vi
Vietnamese language support for NetBeans IDE %{version}.

%package zh-CN
Summary:       Chinese (Simplified) language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-apisupport = %{version}
Requires:      netbeans-ide = %{version}
Requires:      netbeans-java = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description zh-CN
Chinese (Simplified) language support for NetBeans IDE %{version}.

%if %with_cnd
%package -n netbeans-cnd-l10n-zh-CN
Summary:       Chinese (Simplified) language support for the CND NetBeans plugin
Group:         System/Internationalization
Requires:      %{name}-zh-CN = %{version}-%{release}
Requires:      netbeans-cnd = %{version}
Requires:      netbeans-dlight = %{version}

%description -n netbeans-cnd-l10n-zh-CN
Chinese (Simplified) language support for the CND NetBeans plugin.
%endif

%if %with_groovy
%package -n netbeans-groovy-l10n-zh-CN
Summary:       Chinese (Simplified) language support for the Groovy NetBeans plugin
Group:         System/Internationalization
Requires:      %{name}-zh-CN = %{version}-%{release}
Requires:      netbeans-groovy = %{version}

%description -n netbeans-groovy-l10n-zh-CN
Chinese (Simplified) language support for the Groovy NetBeans plugin.
%endif

%package zh-TW
Summary:       Chinese (Traditional) language support for NetBeans IDE %{version}
Group:         System/Internationalization
Requires:      netbeans = %{version}
Requires:      netbeans-apisupport = %{version}
Requires:      netbeans-ide = %{version}
Requires:      netbeans-java = %{version}
Requires:      netbeans-platform = 1:%{version}
Requires:      netbeans-platform-harness = 1:%{version}

%description zh-TW
Chinese (Traditional) language support for NetBeans IDE %{version}.

%if %with_groovy
%package -n netbeans-groovy-l10n-zh-TW
Summary:       Chinese (Traditional) language support for the Groovy NetBeans plugin
Group:         System/Internationalization
Requires:      %{name}-zh-TW = %{version}-%{release}
Requires:      netbeans-groovy = %{version}

%description -n netbeans-groovy-l10n-zh-TW
Chinese (Simplified) language support for the Groovy NetBeans plugin.
%endif

%prep
%setup -q -c -n netbeans-%{version}-l10n -a1

for j in $(find . -name "*.jar"); do
  rm -rf $j
done

for j in $(find . -name "*.ser"); do
  rm -rf $j
done

for j in $(find . -name "*.zip"); do
  rm -rf $j
done

mkdir -p apisupport.harness/external
mkdir -p javahelp/external

ln -sf %{_javadir}/javahelp2.jar apisupport.harness/external/jsearch-2.0_05.jar
ln -sf %{_javadir}/javahelp2.jar apisupport.harness/external/jh-2.0_05.jar
ln -sf %{_javadir}/javahelp2.jar javahelp/external/jhall-2.0_05.jar

%build

unset JAVA_HOME
export JAVA_HOME=%{java_home} ANT_OPTS="-Xmx1024m -Djava.awt.headless=true"

%{ant} \
  -Dpermit.jdk6.builds=true -Dpermit.jdk7.builds=true \
  -Dbuild.compiler.deprecation=false \
  -Dbuild.compiler.debug=false \
  -Dverify.checkout=false \
  -Dnbjdk.home=%{java_home} \
  -Do.n.core.dir=$PWD/nbbuild/netbeans/%{_platform} \
  -Dcore.dir=$PWD/nbbuild/netbeans/%{_platform} \
  -Dcore.startup.dir=$PWD/nbbuild/netbeans/%{_platform} \
  -Dopenide.awt.dir=$PWD/nbbuild/netbeans/%{_platform} \
  -Dlibs.beans-binding.classpath=%{_javadir}/beansbinding.jar \
  -Dlibs.swing-layout.classpath=%{_javadir}/swing-layout.jar \
  -Dext.binaries.downloaded=true \
  -Dnb.cluster.platform-is-built=true \
  -Dnb.cluster.harness-is-built=true \
  -Ddo-not-rebuild-clusters=true \
  -Dcluster.config=basic \
  -f nbbuild/build.xml bootstrap


NBLANG="af ar ca cs de el es fr gl hi_IN id it ja ko nl pl pt_BR pt_PT ro ru sq sr sv tl tr vi zh_CN zh_TW"

for lang in $NBLANG ; do
  lng=""
  if [[ "${lang}" = "ar" ]] ; then
    lang="ar_EG,ar_SA"
  elif [[ "${lang}" = "es" ]] ; then
    lang="es,es_CO"
  elif [[ "${lang}" = "gl" ]] ; then
# Galician Locale
    lang="gl_ES"
  elif [[ "${lang}" = "id" ]] ; then
# Indonesian Locale
    lang="in_ID"
  elif [[ "${lang}" = "nl" ]] ; then
    lang="nl_BE,nl_NL"
  elif [[ "${lang}" = "tl" ]] ; then
    lang="fil_PH"
  fi

%{ant} \
  -Dpermit.jdk6.builds=true -Dpermit.jdk7.builds=true \
  -Dbuild.compiler.deprecation=false \
  -Dbuild.compiler.debug=false \
  -Dverify.checkout=false \
  -Dnbjdk.home=%{java_home} \
  -Dfb_home=%{_prefix} \
  -Dcore.dir=$PWD/nbbuild/netbeans/%{_platform} \
  -Dcore.startup.dir=$PWD/nbbuild/netbeans/%{_platform} \
  -Do.n.core.dir=$PWD/nbbuild/netbeans/%{_platform} \
  -Dopenide.awt.dir=$PWD/nbbuild/netbeans/%{_platform} \
  -Dlibs.beans-binding.classpath=%{_javadir}/beansbinding.jar \
  -Dlibs.swing-layout.classpath=%{_javadir}/swing-layout.jar \
  -Dnb.cluster.platform-is-built=true \
  -Dnb.cluster.harness-is-built=true \
  -Ddo-not-rebuild-clusters=true \
  -Dlocales=$lang \
  -Ddist.dir=$PWD/nbbuild/netbeans \
  -Dnbms.dir="" \
  -Dnbms.dist.dir="" \
  -f l10n/build.xml build
done

%install
install_package() {
    DISTDIR=$1
    shift
    SOURCES=$*
    mkdir -p ${DISTDIR}
    cp -pr ${SOURCES} ${DISTDIR}
}
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

# enterprise ergonomics identity mobility php profiler ruby websvccommon

install_package %{buildroot}%{apisupport_dir} nbbuild/netbeans/%{apisupport}/*
install_package %{buildroot}%{netbeansb_nb_dir} nbbuild/netbeans/%{_nb}/*
install_package %{buildroot}%{ide_dir} nbbuild/netbeans/%{ide}/*
install_package %{buildroot}%{java_dir} nbbuild/netbeans/%{java}/*
install_package %{buildroot}%{platform_dir} nbbuild/netbeans/%{_platform}/*
install_package %{buildroot}%{harness_dir}/modules nbbuild/netbeans/%{_harness}/*

%if %with_groovy
install_package %{buildroot}%{groovy_dir} nbbuild/netbeans/%{groovy}/*
%endif

%if %with_cnd
install_package %{buildroot}%{cnd_dir} nbbuild/netbeans/%{cnd}/*
install_package %{buildroot}%{dlight_dir} nbbuild/netbeans/%{dlight}/*
%endif

%files af
%{harness_dir}/modules/modules/ext/locale/*_af.jar
%{harness_dir}/modules/modules/locale/*_af.jar
%{platform_dir}/modules/ext/locale/*_af.jar
%{platform_dir}/core/locale/*_af.jar
%{platform_dir}/lib/locale/*_af.jar
%{platform_dir}/modules/locale/*_af.jar

%files ar-EG
%{harness_dir}/modules/modules/ext/locale/*_ar_EG.jar
%{harness_dir}/modules/modules/locale/*_ar_EG.jar
%{platform_dir}/modules/ext/locale/*_ar_EG.jar
%{platform_dir}/core/locale/*_ar_EG.jar
%{platform_dir}/lib/locale/*_ar_EG.jar
%{platform_dir}/modules/locale/*_ar_EG.jar

%files ar-SA
%{harness_dir}/modules/modules/locale/*_ar_SA.jar
%{platform_dir}/modules/ext/locale/*_ar_SA.jar
%{platform_dir}/core/locale/*_ar_SA.jar
%{platform_dir}/lib/locale/*_ar_SA.jar
%{platform_dir}/modules/locale/*_ar_SA.jar

%files ca
%{apisupport_dir}/modules/locale/*_ca.jar
%{harness_dir}/modules/modules/ext/locale/*_ca.jar
%{harness_dir}/modules/modules/locale/*_ca.jar
%{ide_dir}/modules/ext/locale/*_ca.jar
%{ide_dir}/modules/locale/*_ca.jar
%{java_dir}/ant/nblib/locale/*_ca.jar
%{java_dir}/modules/locale/*_ca.jar
%{netbeansb_nb_dir}/core/locale/*_ca.jar
%{netbeansb_nb_dir}/docs/*_ca.html
%{netbeansb_nb_dir}/modules/locale/*_ca.jar
%{platform_dir}/modules/ext/locale/*_ca.jar
%{platform_dir}/core/locale/*_ca.jar
%{platform_dir}/lib/locale/*_ca.jar
%{platform_dir}/modules/locale/*_ca.jar

%if %with_cnd
%files -n netbeans-cnd-l10n-ca
%{cnd_dir}/modules/locale/*_ca.jar
%{dlight_dir}/modules/locale/*_ca.jar
%endif

%if %with_groovy
%files -n netbeans-groovy-l10n-ca
%{groovy_dir}/modules/locale/*_ca.jar
%endif

%files cs
%{harness_dir}/modules/modules/ext/locale/*_cs.jar
%{harness_dir}/modules/modules/locale/*_cs.jar
%{platform_dir}/core/locale/*_cs.jar
%{platform_dir}/lib/locale/*_cs.jar
%{platform_dir}/modules/ext/locale/*_cs.jar
%{platform_dir}/modules/locale/*_cs.jar

%files de
%{apisupport_dir}/modules/locale/*_de.jar
%{harness_dir}/modules/modules/ext/locale/*_de.jar
%{harness_dir}/modules/modules/locale/*_de.jar
%{ide_dir}/modules/ext/locale/*_de.jar
%{ide_dir}/modules/locale/*_de.jar
%{java_dir}/ant/nblib/locale/*_de.jar
%{java_dir}/modules/locale/*_de.jar
%{netbeansb_nb_dir}/core/locale/*_de.jar
%{netbeansb_nb_dir}/docs/*_de.html
%{netbeansb_nb_dir}/modules/locale/*_de.jar
%{platform_dir}/core/locale/*_de.jar
%{platform_dir}/lib/locale/*_de.jar
%{platform_dir}/modules/ext/locale/*_de.jar
%{platform_dir}/modules/locale/*_de.jar

%files el
%{harness_dir}/modules/modules/ext/locale/*_el.jar
%{harness_dir}/modules/modules/locale/*_el.jar
%{platform_dir}/modules/ext/locale/*_el.jar
%{platform_dir}/core/locale/*_el.jar
%{platform_dir}/lib/locale/*_el.jar
%{platform_dir}/modules/locale/*_el.jar

%files es
%{apisupport_dir}/modules/locale/*_es.jar
%{harness_dir}/modules/modules/ext/locale/*_es.jar
%{harness_dir}/modules/modules/locale/*_es.jar
%{ide_dir}/modules/ext/locale/*_es.jar
%{ide_dir}/modules/locale/*_es.jar
%{java_dir}/ant/nblib/locale/*_es.jar
%{java_dir}/modules/locale/*_es.jar
%{netbeansb_nb_dir}/core/locale/*_es.jar
%{netbeansb_nb_dir}/docs/*_es.html
%{netbeansb_nb_dir}/modules/locale/*_es.jar
%{platform_dir}/core/locale/*_es.jar
%{platform_dir}/lib/locale/*_es.jar
%{platform_dir}/modules/ext/locale/*_es.jar
%{platform_dir}/modules/locale/*_es.jar

%files es-CO
%{harness_dir}/modules/modules/ext/locale/*_es_CO.jar
%{harness_dir}/modules/modules/locale/*_es_CO.jar
%{platform_dir}/modules/ext/locale/*_es_CO.jar
%{platform_dir}/core/locale/*_es_CO.jar
%{platform_dir}/lib/locale/*_es_CO.jar
%{platform_dir}/modules/locale/*_es_CO.jar

%files fil-PH
%{harness_dir}/modules/modules/ext/locale/*_fil_PH.jar
%{harness_dir}/modules/modules/locale/*_fil_PH.jar
%{platform_dir}/modules/ext/locale/*_fil_PH.jar
%{platform_dir}/core/locale/*_fil_PH.jar
%{platform_dir}/lib/locale/*_fil_PH.jar
%{platform_dir}/modules/locale/*_fil_PH.jar

%files fr
%{apisupport_dir}/modules/locale/*_fr.jar
%{harness_dir}/modules/modules/ext/locale/*_fr.jar
%{harness_dir}/modules/modules/locale/*_fr.jar
%{ide_dir}/modules/ext/locale/*_fr.jar
%{ide_dir}/modules/locale/*_fr.jar
%{java_dir}/ant/nblib/locale/*_fr.jar
%{java_dir}/modules/locale/*_fr.jar
%{netbeansb_nb_dir}/core/locale/*_fr.jar
%{netbeansb_nb_dir}/docs/*_fr.html
%{netbeansb_nb_dir}/modules/locale/*_fr.jar
%{platform_dir}/core/locale/*_fr.jar
%{platform_dir}/lib/locale/*_fr.jar
%{platform_dir}/modules/ext/locale/*_fr.jar
%{platform_dir}/modules/locale/*_fr.jar

%files gl-ES
%{apisupport_dir}/modules/locale/*_gl_ES.jar
%{harness_dir}/modules/modules/ext/locale/*_gl_ES.jar
%{harness_dir}/modules/modules/locale/*_gl_ES.jar
%{ide_dir}/modules/ext/locale/*_gl_ES.jar
%{ide_dir}/modules/locale/*_gl_ES.jar
%{java_dir}/ant/nblib/locale/*_gl_ES.jar
%{java_dir}/modules/locale/*_gl_ES.jar
%{netbeansb_nb_dir}/core/locale/*_gl_ES.jar
%{netbeansb_nb_dir}/docs/*_gl_ES.html
%{netbeansb_nb_dir}/modules/locale/*_gl_ES.jar
%{platform_dir}/modules/ext/locale/*_gl_ES.jar
%{platform_dir}/core/locale/*_gl_ES.jar
%{platform_dir}/lib/locale/*_gl_ES.jar
%{platform_dir}/modules/locale/*_gl_ES.jar

%if %with_cnd
%files -n netbeans-cnd-l10n-gl-ES
%{cnd_dir}/modules/locale/*_gl_ES.jar
%{dlight_dir}/modules/locale/*_gl_ES.jar
%endif

%if %with_groovy
%files -n netbeans-groovy-l10n-gl-ES
%{groovy_dir}/modules/locale/*_gl_ES.jar
%endif

%files hi-IN
%{harness_dir}/modules/modules/ext/locale/*_hi_IN.jar
%{harness_dir}/modules/modules/locale/*_hi_IN.jar
%{platform_dir}/modules/ext/locale/*_hi_IN.jar
%{platform_dir}/core/locale/*_hi_IN.jar
%{platform_dir}/lib/locale/*_hi_IN.jar
%{platform_dir}/modules/locale/*_hi_IN.jar

%files in-ID
%{harness_dir}/modules/modules/ext/locale/*_in_ID.jar
%{harness_dir}/modules/modules/locale/*_in_ID.jar
%{platform_dir}/modules/ext/locale/*_in_ID.jar
%{platform_dir}/core/locale/*_in_ID.jar
%{platform_dir}/lib/locale/*_in_ID.jar
%{platform_dir}/modules/locale/*_in_ID.jar

%files it
%{apisupport_dir}/modules/locale/*_it.jar
%{harness_dir}/modules/modules/ext/locale/*_it.jar
%{harness_dir}/modules/modules/locale/*_it.jar
%{ide_dir}/modules/ext/locale/*_it.jar
%{ide_dir}/modules/locale/*_it.jar
%{java_dir}/ant/nblib/locale/*_it.jar
%{java_dir}/modules/locale/*_it.jar
%{netbeansb_nb_dir}/core/locale/*_it.jar
%{netbeansb_nb_dir}/docs/*_it.html
%{netbeansb_nb_dir}/modules/locale/*_it.jar
%{platform_dir}/core/locale/*_it.jar
%{platform_dir}/lib/locale/*_it.jar
%{platform_dir}/modules/ext/locale/*_it.jar
%{platform_dir}/modules/locale/*_it.jar

%files ja
%{apisupport_dir}/modules/locale/*_ja.jar
%{harness_dir}/modules/modules/ext/locale/*_ja.jar
%{harness_dir}/modules/modules/locale/*_ja.jar
%{ide_dir}/modules/ext/locale/*_ja.jar
%{ide_dir}/modules/locale/*_ja.jar
%{java_dir}/ant/nblib/locale/*_ja.jar
%{java_dir}/modules/locale/*_ja.jar
%{netbeansb_nb_dir}/core/locale/*_ja.jar
%{netbeansb_nb_dir}/docs/*_ja.html
%{netbeansb_nb_dir}/modules/locale/*_ja.jar
%{platform_dir}/core/locale/*_ja.jar
%{platform_dir}/lib/locale/*_ja.jar
%{platform_dir}/modules/ext/locale/*_ja.jar
%{platform_dir}/modules/locale/*_ja.jar

%if %with_cnd
%files -n netbeans-cnd-l10n-ja
%{cnd_dir}/modules/locale/*_ja.jar
%{dlight_dir}/modules/locale/*_ja.jar
%endif

%if %with_groovy
%files -n netbeans-groovy-l10n-ja
%{groovy_dir}/modules/locale/*_ja.jar
%endif

%files ko
%{apisupport_dir}/modules/locale/*_ko.jar
%{harness_dir}/modules/modules/ext/locale/*_ko.jar
%{harness_dir}/modules/modules/locale/*_ko.jar
%{ide_dir}/modules/ext/locale/*_ko.jar
%{ide_dir}/modules/locale/*_ko.jar
%{java_dir}/ant/nblib/locale/*_ko.jar
%{java_dir}/modules/locale/*_ko.jar
%{netbeansb_nb_dir}/core/locale/*_ko.jar
%{netbeansb_nb_dir}/docs/*_ko.html
%{netbeansb_nb_dir}/modules/locale/*_ko.jar
%{platform_dir}/core/locale/*_ko.jar
%{platform_dir}/lib/locale/*_ko.jar
%{platform_dir}/modules/ext/locale/*_ko.jar
%{platform_dir}/modules/locale/*_ko.jar

%files nl-BE
%{harness_dir}/modules/modules/ext/locale/*_nl_BE.jar
%{harness_dir}/modules/modules/locale/*_nl_BE.jar
%{platform_dir}/modules/ext/locale/*_nl_BE.jar
%{platform_dir}/core/locale/*_nl_BE.jar
%{platform_dir}/lib/locale/*_nl_BE.jar
%{platform_dir}/modules/locale/*_nl_BE.jar

%files nl-NL
%{apisupport_dir}/modules/locale/*_nl_NL.jar
%{harness_dir}/modules/modules/ext/locale/*_nl_NL.jar
%{harness_dir}/modules/modules/locale/*_nl_NL.jar
%{ide_dir}/modules/ext/locale/*_nl_NL.jar
%{ide_dir}/modules/locale/*_nl_NL.jar
%{java_dir}/ant/nblib/locale/*_nl_NL.jar
%{java_dir}/modules/locale/*_nl_NL.jar
%{netbeansb_nb_dir}/core/locale/*_nl_NL.jar
%{netbeansb_nb_dir}/docs/*_nl_NL.html
%{netbeansb_nb_dir}/modules/locale/*_nl_NL.jar
%{platform_dir}/modules/ext/locale/*_nl_NL.jar
%{platform_dir}/core/locale/*_nl_NL.jar
%{platform_dir}/lib/locale/*_nl_NL.jar
%{platform_dir}/modules/locale/*_nl_NL.jar

%files pl
%{harness_dir}/modules/modules/ext/locale/*_pl.jar
%{harness_dir}/modules/modules/locale/*_pl.jar
%{platform_dir}/core/locale/*_pl.jar
%{platform_dir}/lib/locale/*_pl.jar
%{platform_dir}/modules/ext/locale/*_pl.jar
%{platform_dir}/modules/locale/*_pl.jar

%files pt-BR
%{apisupport_dir}/modules/locale/*_pt_BR.jar
%{harness_dir}/modules/modules/ext/locale/*_pt_BR.jar
%{harness_dir}/modules/modules/locale/*_pt_BR.jar
%{ide_dir}/modules/ext/locale/*_pt_BR.jar
%{ide_dir}/modules/locale/*_pt_BR.jar
%{java_dir}/ant/nblib/locale/*_pt_BR.jar
%{java_dir}/modules/locale/*_pt_BR.jar
%{netbeansb_nb_dir}/core/locale/*_pt_BR.jar
%{netbeansb_nb_dir}/docs/*_pt_BR.html
%{netbeansb_nb_dir}/modules/locale/*_pt_BR.jar
%{platform_dir}/core/locale/*_pt_BR.jar
%{platform_dir}/lib/locale/*_pt_BR.jar
%{platform_dir}/modules/ext/locale/*_pt_BR.jar
%{platform_dir}/modules/locale/*_pt_BR.jar

%if %with_cnd
%files -n netbeans-cnd-l10n-pt-BR
%{cnd_dir}/modules/locale/*_pt_BR.jar
%{dlight_dir}/modules/locale/*_pt_BR.jar
%endif

%if %with_groovy
%files -n netbeans-groovy-l10n-pt-BR
%{groovy_dir}/modules/locale/*_pt_BR.jar
%endif

%files pt-PT
%{harness_dir}/modules/modules/locale/*_pt_PT.jar
%{platform_dir}/modules/ext/locale/*_pt_PT.jar
%{platform_dir}/core/locale/*_pt_PT.jar
%{platform_dir}/lib/locale/*_pt_PT.jar
%{platform_dir}/modules/locale/*_pt_PT.jar

%files ro
%{harness_dir}/modules/modules/ext/locale/*_ro.jar
%{harness_dir}/modules/modules/locale/*_ro.jar
%{platform_dir}/modules/ext/locale/*_ro.jar
%{platform_dir}/core/locale/*_ro.jar
%{platform_dir}/lib/locale/*_ro.jar
%{platform_dir}/modules/locale/*_ro.jar

%files ru
%{apisupport_dir}/modules/locale/*_ru.jar
%{harness_dir}/modules/modules/ext/locale/*_ru.jar
%{harness_dir}/modules/modules/locale/*_ru.jar
%{ide_dir}/modules/ext/locale/*_ru.jar
%{ide_dir}/modules/locale/*_ru.jar
%{java_dir}/ant/nblib/locale/*_ru.jar
%{java_dir}/modules/locale/*_ru.jar
%{netbeansb_nb_dir}/core/locale/*_ru.jar
%{netbeansb_nb_dir}/docs/*_ru.html
%{netbeansb_nb_dir}/modules/locale/*_ru.jar
%{platform_dir}/core/locale/*_ru.jar
%{platform_dir}/lib/locale/*_ru.jar
%{platform_dir}/modules/ext/locale/*_ru.jar
%{platform_dir}/modules/locale/*_ru.jar

%if %with_cnd
%files -n netbeans-cnd-l10n-ru
%{cnd_dir}/modules/locale/*_ru.jar
%{dlight_dir}/modules/locale/*_ru.jar
%endif

%if %with_groovy
%files -n netbeans-groovy-l10n-ru
%{groovy_dir}/modules/locale/*_ru.jar
%endif

%files sq
%{harness_dir}/modules/modules/locale/*_sq.jar
%{platform_dir}/core/locale/*_sq.jar
%{platform_dir}/lib/locale/*_sq.jar
%{platform_dir}/modules/ext/locale/*_sq.jar
%{platform_dir}/modules/locale/*_sq.jar

%files sr
%{harness_dir}/modules/modules/ext/locale/*_sr.jar
%{harness_dir}/modules/modules/locale/*_sr.jar
%{platform_dir}/modules/ext/locale/*_sr.jar
%{platform_dir}/core/locale/*_sr.jar
%{platform_dir}/lib/locale/*_sr.jar
%{platform_dir}/modules/locale/*_sr.jar

%files sv
%{apisupport_dir}/modules/locale/*_sv.jar
%{harness_dir}/modules/modules/ext/locale/*_sv.jar
%{harness_dir}/modules/modules/locale/*_sv.jar
%{ide_dir}/modules/ext/locale/*_sv.jar
%{ide_dir}/modules/locale/*_sv.jar
%{java_dir}/ant/nblib/locale/*_sv.jar
%{java_dir}/modules/locale/*_sv.jar
%{netbeansb_nb_dir}/core/locale/*_sv.jar
%{netbeansb_nb_dir}/docs/*_sv.html
%{netbeansb_nb_dir}/modules/locale/*_sv.jar
%{platform_dir}/core/locale/*_sv.jar
%{platform_dir}/lib/locale/*_sv.jar
%{platform_dir}/modules/ext/locale/*_sv.jar
%{platform_dir}/modules/locale/*_sv.jar

%files tr
%{apisupport_dir}/modules/locale/*_tr.jar
%{harness_dir}/modules/modules/ext/locale/*_tr.jar
%{harness_dir}/modules/modules/locale/*_tr.jar
%{ide_dir}/modules/ext/locale/*_tr.jar
%{ide_dir}/modules/locale/*_tr.jar
%{java_dir}/ant/nblib/locale/*_tr.jar
%{java_dir}/modules/locale/*_tr.jar
%{netbeansb_nb_dir}/core/locale/*_tr.jar
%{netbeansb_nb_dir}/docs/*_tr.html
%{netbeansb_nb_dir}/modules/locale/*_tr.jar
%{platform_dir}/core/locale/*_tr.jar
%{platform_dir}/lib/locale/*_tr.jar
%{platform_dir}/modules/ext/locale/*_tr.jar
%{platform_dir}/modules/locale/*_tr.jar

%files vi
%{harness_dir}/modules/modules/ext/locale/*_vi.jar
%{harness_dir}/modules/modules/locale/*_vi.jar
%{platform_dir}/modules/ext/locale/*_vi.jar
%{platform_dir}/core/locale/*_vi.jar
%{platform_dir}/lib/locale/*_vi.jar
%{platform_dir}/modules/locale/*_vi.jar

%files zh-CN
%{apisupport_dir}/modules/locale/*_zh_CN.jar
%{harness_dir}/modules/modules/ext/locale/*_zh_CN.jar
%{harness_dir}/modules/modules/locale/*_zh_CN.jar
%{ide_dir}/modules/ext/locale/*_zh_CN.jar
%{ide_dir}/modules/locale/*_zh_CN.jar
%{java_dir}/ant/nblib/locale/*_zh_CN.jar
%{java_dir}/modules/locale/*_zh_CN.jar
%{netbeansb_nb_dir}/core/locale/*_zh_CN.jar
%{netbeansb_nb_dir}/docs/*_zh_CN.html
%{netbeansb_nb_dir}/modules/locale/*_zh_CN.jar
%{platform_dir}/core/locale/*_zh_CN.jar
%{platform_dir}/lib/locale/*_zh_CN.jar
%{platform_dir}/modules/ext/locale/*_zh_CN.jar
%{platform_dir}/modules/locale/*_zh_CN.jar

%if %with_cnd
%files -n netbeans-cnd-l10n-zh-CN
%{cnd_dir}/modules/locale/*_zh_CN.jar
%{dlight_dir}/modules/locale/*_zh_CN.jar
%endif

%if %with_groovy
%files -n netbeans-groovy-l10n-zh-CN
%{groovy_dir}/modules/locale/*_zh_CN.jar
%endif

%files zh-TW
%{apisupport_dir}/modules/locale/*_zh_TW.jar
%{harness_dir}/modules/modules/locale/*_zh_TW.jar
%{ide_dir}/modules/ext/locale/*_zh_TW.jar
%{ide_dir}/modules/locale/*_zh_TW.jar
%{java_dir}/ant/nblib/locale/*_zh_TW.jar
%{java_dir}/modules/locale/*_zh_TW.jar
%{netbeansb_nb_dir}/core/locale/*_zh_TW.jar
%{netbeansb_nb_dir}/modules/locale/*_zh_TW.jar
%{platform_dir}/core/locale/*_zh_TW.jar
%{platform_dir}/lib/locale/*_zh_TW.jar
%{platform_dir}/modules/ext/locale/*_zh_TW.jar
%{platform_dir}/modules/locale/*_zh_TW.jar

%if %with_groovy
%files -n netbeans-groovy-l10n-zh-TW
%{groovy_dir}/modules/locale/*_zh_TW.jar
%endif
