Summary:	A network address discovering tool
Name:		netdiscover
Version:	0.10
Release:	%mkrel 1
License:	GPLv3+
Group:		Networking/Other
URL:		https://github.com/netdiscover-scanner/netdiscover
Source0:	https://github.com/netdiscover-scanner/netdiscover/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	libpcap-devel
BuildRequires:	net-devel >= 1.1.3
BuildRequires:	wget
BuildRequires:	libtool
BuildRequires:	dos2unix
BuildRequires:	pkgconfig(hwdata)

%description
Netdiscover is a network address discovering tool, developed mainly for those
wireless networks without dhcp server, but it also works on hub/switched
networks. Its based on arp requests, it will send arp requests and sniff for
replies.

%prep
%autosetup -p1

%build
cp -p %{_datadir}/hwdata/oui.txt ./oui.txt-$(date +%Y%m%d)
LC_ALL=C sh update-oui-database.sh --no-download
NOCONFIGURE=1 ./autogen.sh

%configure

%make_build

%install
%make_install

# cleanup
rm -rf %{buildroot}%{_prefix}/doc

%files
%doc AUTHORS ChangeLog README* TODO COPYING NEWS
%{_sbindir}/*
%{_mandir}/man8/*
