Name:           netstat-nat
Version:        1.4.10
Release:        %mkrel 10
Summary:        Displays NAT connections, managed by netfilter/iptables
Group:          Networking/Other
License:        GPL-2.0-or-later
URL:            https://tweegy.nl/projects/netstat-nat/
Source:         http://www.tweegy.nl/download/%{name}-%{version}.tar.bz2
Patch0:         netstat-nat-c99.patch

%description
Netstat-nat is a small program written in C. It displays NAT connections,
managed by netfilter/iptables which comes with the > 2.4.x linux kernels.
The program reads its information from '/proc/net/ip_conntrack', which is
the temporary conntrack-storage of netfilter. (https://www.netfilter.org/)
Netstat-nat takes several arguments (but not needed).

%prep
%autosetup -p1

sed -i 's|install-docDATA install-man|install-man|g' Makefile.in

%build
%configure
%make_build

%install
%make_install

%files
%doc COPYING README AUTHORS ChangeLog
%license COPYING
%{_bindir}/netstat-nat
%{_mandir}/man1/netstat-nat.*
