Summary:	A Usenet binary autoposter
Name:		newspost
Version:	2.1.1
Release:	%mkrel 12
URL:		http://newspost.unixcab.org/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		newspost-2.1.1-fix-getline-conflict.patch
Patch1:		newspost-2.1.1-cflags.patch
License:	GPLv2+
Group:		Networking/News

%description
Newspost is a Usenet binary autoposter for Unix.

Using newspost, it is a one command job to uuencode and post as many
binary files as you like to your favorite newsgroup.

It supports all the features you'd expect from a binary autoposter,
including authentication, posting to multiple newsgroups (cross-posting),
and all the rest. And of course you can save your settings as default
so you don't have to type in your news server every time.


%prep
%setup -q
%autopatch -p1

# do not strip binary
sed -i -e 's|-strip newspost||g' Makefile

%build
%set_build_flags
%make_build

%install
%make_install \
	PREFIX=%{buildroot}%{_prefix} \
	MANDIR=%{buildroot}%{_mandir}/man1

%files
%doc CHANGES README
%{_bindir}/*
%{_mandir}/man1/*
