Name:           ninvaders
Version:        0.1.1
Release:        %mkrel 12
Summary:        Space Invaders clone written in ncurses for cli gaming

Group:          Games/Arcade
License:        GPLv2+
URL:            https://ninvaders.sourceforge.net/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         ninvaders-0.1.1-add-debuginfo.patch

BuildRequires:  pkgconfig(ncurses)

%description
Ever wanted to play space invaders when you can't find a GUI? Now you can!
ninvaders is a ncurses based space invaders clone to play from the command
line.

%prep
%setup -q
%autopatch -p0

%build
%make_build CFLAGS="$(echo "%{optflags}" | sed "s/-O2/-O3 -fcommon/")"

%install
mkdir -p %{buildroot}%{_bindir}/
install -c -m0755 nInvaders %{buildroot}%{_bindir}/ninvaders

%files
%doc ChangeLog README
%{_bindir}/ninvaders

