%define sname     NLog
%define minor_ver 2001-0-g4495042
%define git_ver   86d1c8b

Summary: Logging library for Mono
Name: nlog
Version: 4.2.3
Release: %mkrel 5
Source0: %{version}.tar.gz
Source1: nlog.pc
Patch0: 4.2.3-fix-makefile.patch
License: BSD
Group: System/Libraries
Url:   https://nlog-project.org/
BuildRequires: pkgconfig(mono)
BuildArch: noarch

%description
This is a .NET Library for logging.

%prep
%setup -q -n %{sname}-%{version}
%autopatch -p1

%build
make  CONFIG=Release

%install
cd build/bin/Release/Mono\ 2.x/
gacutil -i NLog.dll -root %buildroot%_prefix/lib/
gacutil -i NLog.Extended.dll -root %buildroot%_prefix/lib/
mkdir -p %buildroot%_prefix/lib/mono/%name
cd %buildroot%_prefix/lib/mono/%name
ln -s ../gac/*/*/*.dll .
mkdir -p %buildroot%_datadir/pkgconfig
cp %SOURCE1 %buildroot%_datadir/pkgconfig

%files
%doc *.txt
%_prefix/lib/mono/gac/NLog/
%_prefix/lib/mono/gac/NLog.Extended/
%_prefix/lib/mono/%name

%package devel
Summary: Development files for %{name}
Group: Development/Other
Requires: %{name} = %{version}-%{release}

%description devel
Development files for %{name}

%files devel
%_datadir/pkgconfig/%{name}.pc
