%{?nodejs_find_provides_and_requires}
Name:           nodejs-align-text
Version:        1.0.2
Release:        %mkrel 6
Summary:        Align the text in a string
License:        MIT
Group:          Development/Other
Url:            https://github.com/jonschlinkert/align-text
Source0:        https://github.com/jonschlinkert/align-text/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  nodejs
BuildRequires:  nodejs-packaging
BuildRequires:  npm(kind-of)
BuildRequires:  npm(longest)
BuildRequires:  npm(repeat-string)
BuildArch:      noarch


%description
Align the text in a string

%prep
%setup -qn align-text-%{version}

%nodejs_fixdep kind-of ^6.0.

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/align-text
cp -pr  index.js package.json %{buildroot}%{nodejs_sitelib}/align-text

%{nodejs_symlink_deps}

%files
%doc LICENSE README.md
%{nodejs_sitelib}/align-text

 
