%{?nodejs_find_provides_and_requires}

Name:           nodejs-amdefine
Version:        1.0.1
Release:        %mkrel 4
Summary:        Provide AMD's define() API for declaring modules in the AMD format
BuildArch:      noarch

Group:          System/Servers
# "amdefine is released under two licenses: new BSD, and MIT. You may pick the
#  license that best suits your development needs."
License:        BSD or MIT
URL:            https://github.com/jrburke/amdefine
Source0:        https://registry.npmjs.org/amdefine/-/amdefine-%{version}.tgz

BuildRequires:  nodejs-packaging 
BuildRequires:  nodejs

%description
A module that can be used to implement the Asynchronous Module Definition's
define() in Node. This allows you to code to the AMD API and have the module
work in node programs without requiring those other programs to use AMD.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/amdefine
cp -pr package.json amdefine.js %{buildroot}%{nodejs_sitelib}/amdefine

%files
%{nodejs_sitelib}/amdefine
%doc LICENSE README.md

