Name:           nodejs-assertion-error
Version:        1.1.0
Release:        %mkrel 4
Summary:        Error constructor for test and validation frameworks
Group:          System/Libraries
License:        MIT
URL:            https://github.com/chaijs/assertion-error
Source0:        https://github.com/chaijs/assertion-error/archive/%{version}/assertion-error-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  nodejs-packaging

%description
Error constructor for test and validation frameworks that implements
standardized AssertionError specification.


%prep
%autosetup -n assertion-error-%{version}
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/assertion-error
cp -r package.json index.js %{buildroot}/%{nodejs_sitelib}/assertion-error
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} test/index.js


%files
%doc README.md History.md
%{nodejs_sitelib}/assertion-error
