%{?nodejs_find_provides_and_requires}

Name:           nodejs-better-assert
Version:        1.0.0
Release:        %mkrel 6
Summary:        C-style assert() for Node.js
BuildArch:      noarch

Group:          Development/C
#MIT text included in README.md
License:        MIT
URL:            https://github.com/visionmedia/better-assert
Source0:        https://registry.npmjs.org/better-assert/-/better-assert-%{version}.tgz

BuildRequires:  nodejs-packaging

%description
C-style assert() for Node.js, reporting the expression string as the error 
message.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/better-assert
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/better-assert

%nodejs_symlink_deps

%files
%{nodejs_sitelib}/better-assert
%doc Readme.md example.js History.md 

