%global npm_name boom
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 7.2.0
Release: %mkrel 6
Summary: HTTP-friendly error objects
License: BSD
Group: Development/Other
URL: https://github.com/hapijs/boom#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(hoek)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep hoek ">=5.0.3"
%nodejs_fixdep hoek ">=5.0.3"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

