Name:           nodejs-clone
Version:        1.0.4
Release:        %mkrel 1
Summary:        Deep cloning of objects and arrays

License:        MIT
URL:            https://www.npmjs.com/package/clone
Source0:        https://github.com/pvorb/clone/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  nodejs-packaging
Group:          Development/Other

%description
Offers foolproof deep cloning of variables in JavaScript.

%prep
%autosetup -n clone-%{version}
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/clone
cp -pr package.json clone.js %{buildroot}%{nodejs_sitelib}/clone

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/clone
