Name:           nodejs-closure-compiler
Version:        0.2.10
Release:        %mkrel 4
Group:          Development/Other

Summary:        Bindings to Google's Closure Compiler for Node.js

License:        MIT
URL:            https://github.com/tim-smart/node-closure
Source0:        https://registry.npmjs.org/closure-compiler/-/closure-compiler-%{version}.tgz
# Use the Fedora wrapper script to invoke the compiler
Patch0:         nodejs-closure-compiler-invoke.patch
BuildArch:      noarch

Requires:       closure-compiler

BuildRequires:  nodejs-packaging
BuildRequires:  coffee-script

%description
A wrapper to the Google Closure compiler tool. It runs the jar file
in a child process and returns the results in a callback.


%prep
%setup -q -n package
%patch -P 0 -p1
%nodejs_fixdep -r google-closure-compiler
rm -rf node_modules lib/*


%build
cake build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/closure-compiler
cp -pr package.json lib %{buildroot}%{nodejs_sitelib}/closure-compiler
%nodejs_symlink_deps


%files
%doc LICENSE.txt README.md
%{nodejs_sitelib}/closure-compiler

