%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-colors
Version:    1.3.3
Release:    %mkrel 3
Summary:    Get colors in your Node.js console
License:    MIT
Group:      System/Libraries
URL:        https://github.com/Marak/colors.js
Source0:    https://github.com/Marak/colors.js/archive/v%{version}/colors-%{version}.tar.gz

BuildArch:  noarch

BuildRequires:  nodejs-packaging

%description
%{summary}.


%prep
%autosetup -n colors.js-%{version}


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/colors
cp -pr package.json safe.js lib themes/ \
    %{buildroot}%{nodejs_sitelib}/colors
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
FORCE_COLOR=1 %__nodejs tests/basic-test.js && %__nodejs tests/safe-test.js
%endif


%files
%doc README.md ROADMAP.md examples
%license LICENSE
%{nodejs_sitelib}/colors

