%global npm_name combined-stream
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.0.6
Release: %mkrel 6
Summary: A stream that emits multiple other streams one after another
License: MIT
Group: Development/Other
URL: https://github.com/felixge/node-combined-stream
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(delayed-stream) >= 1.0.0
Requires: npm(delayed-stream) < 1.1.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license License
%doc Readme.md

