%{?nodejs_find_provides_and_requires}

Name:       nodejs-console-dot-log
Version:    0.1.3
Release:    %mkrel 5
Summary:    A console.log implementation that plays nice with large amounts of data
# License is specified in console.log.js.
# Upstream have been informed about missing LICENSE file:
# https://gist.github.com/tmpvar/1077544#comment-770148
License:    MIT
Group:      System/Libraries
URL:        https://gist.github.com/1077544
Source0:    https://registry.npmjs.org/console.log/-/console.log-%{version}.tgz
# Include a copy of the MIT license to comply with license requirements.
Source20:   LICENSE

BuildArch:  noarch
%if 0%{?fedora} >= 19
%else
%endif

BuildRequires:  nodejs-packaging

%description
A console.log implementation that plays nice with large amounts of data.
It keeps the node alive until the output has flushed to the screen.


%prep
%setup -q -n package
cp -a %{SOURCE20} .


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/console.log
cp -pr package.json console.log.js \
    %{buildroot}%{nodejs_sitelib}/console.log

%nodejs_symlink_deps


%files
%doc LICENSE README.md
%{nodejs_sitelib}/console.log
