%global npm_name cross-spawn
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 6.0.5
Release: %mkrel 5
Summary: Cross platform child_process#spawn and child_process#spawnSync
License: MIT
Group: Development/Other
URL: https://github.com/moxystudio/node-cross-spawn
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(nice-try) >= 1.0.4
Requires: npm(nice-try) < 2.0.0
Requires: npm(path-key) >= 2.0.1
Requires: npm(path-key) < 3.0.0
Requires: npm(semver) >= 5.5.0
Requires: npm(semver) < 6.0.0
Requires: npm(shebang-command) >= 1.2.0
Requires: npm(shebang-command) < 2.0.0
Requires: npm(which) >= 1.2.9
Requires: npm(which) < 2.0.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGELOG.md
%doc README.md

