%global npm_name datejs
%global enable_tests 1
%define rcrel rc3

Name: nodejs-%{npm_name}
Version: 1.0.0
Release: %mkrel -c %{rcrel} 4
Summary: DateJS is a full-featured, internationalized, open-source JS Date Library
License: MIT
Group: Development/Other
URL: https://github.com/abritinthebay/datejs
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}%{?rcrel:-%{rcrel}}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr GruntFile.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr reports %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr src %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

