%{?nodejs_find_provides_and_requires}

Name:           nodejs-decamelize
Version:        5.0.0
Release:        %mkrel 2
Summary:        Convert a camelized string into lowercase
License:        MIT
Group:          Development/Other
Url:            https://github.com/sindresorhus/decamelize
Source0:        https://registry.npmjs.org/decamelize/-/decamelize-%{version}.tgz
BuildRequires:  nodejs
BuildRequires:  nodejs-packaging
Obsoletes:      decamelize
BuildArch:      noarch


%description
Convert a camelized string into a lowercased one with a custom separator:
unicornRainbow → unicorn_rainbow

%prep
%setup -q -n package

%nodejs_fixdep yargs ">=11.1.0"

%nodejs_fixdep xregexp ">=4.0.0"

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/decamelize
cp -pr  index.js package.json %{buildroot}%{nodejs_sitelib}/decamelize

%{nodejs_symlink_deps}

%files
%doc readme.md
%{nodejs_sitelib}/decamelize
