%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:           nodejs-defined
Version:        1.0.0
Release:        %mkrel 6
Summary:        Return the first argument that is '!== undefined'

License:        MIT
Group:          System/Libraries
URL:            https://github.com/substack/defined
Source0:        https://registry.npmjs.org/defined/-/defined-%{version}.tgz
BuildArch:      noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(tape)
%endif

%description
%{summary}.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/defined
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/defined

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
ln -sf %{nodejs_sitelib} .
%tap test/*.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc readme.markdown example/
%license LICENSE
%{nodejs_sitelib}/defined

