%global npm_name detect-libc
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.0.3
Release: %mkrel 4
Summary: Node
License: ASL 2.0
Group: Development/Other
URL: https://github.com/lovell/detect-libc#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr bin %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
chmod 0755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/bin/detect-libc.js
ln -sf %{nodejs_sitelib}/%{npm_name}/bin/detect-libc.js %{buildroot}%{_bindir}/detect-libc

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/detect-libc
%license LICENSE
%doc README.md

