%{?nodejs_find_provides_and_requires}

%global packagename es5-ext
%global enable_tests 0
# tests disabled due to missing npm(tad) test suite

Name:		nodejs-es5-ext
Version:	0.10.12
Release:	%mkrel 5
Group:          Development/Other
Summary:	ECMAScript 5 extensions and ES6 shims

License:	MIT
URL:		https://github.com/medikoo/es5-ext.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tad)
%endif

Requires:	nodejs

%description
ECMAScript 5 extensions and ES6 shims


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js array/ boolean/ date/ error/ function/ \
	iterable/ math/ number/ object reg-exp string   \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
%{__nodejs} -e 'require("./")'
%{__nodejs} %{nodejs_sitelib}/tad/bin/tad
%else
echo "Tests are disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

