%global npm_name expand-brackets
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 4.0.0
Release: %mkrel 5
Summary: Expand POSIX bracket expressions (character classes) in glob patterns
License: MIT
Group: Development/Other
URL: https://github.com/micromatch/expand-brackets
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(posix-character-classes) >= 1.0.0
Requires: npm(posix-character-classes) < 2.0.0
Requires: npm(regex-not) >= 1.0.0
Requires: npm(regex-not) < 2.0.0
Requires: npm(snapdragon) >= 0.12.0
Requires: npm(snapdragon) < 1.0.0
Requires: npm(to-regex) >= 3.0.1
Requires: npm(to-regex) < 4.0.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md
%doc changelog.md

