%{?nodejs_find_provides_and_requires}
%global enable_tests 1

Name:           nodejs-function-bind
Version:        1.1.1
Release:        %mkrel 1
Summary:        Implementation of Function.prototype.bind

License:        MIT
URL:            https://github.com/Raynos/function-bind
Source0:        https://registry.npmjs.org/function-bind/-/function-bind-%{version}.tgz
BuildArch:      noarch
Group:          Development/Other
BuildRequires:  nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:  npm(tape)
%endif


%description
%{summary}.


%prep
%setup -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/function-bind
cp -pr package.json index.js implementation.js %{buildroot}%{nodejs_sitelib}/function-bind
%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
%__nodejs test/index.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/function-bind
