%global npm_name gauge
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.7.4
Release: %mkrel 6
Summary: A terminal based horizontal gauge
License: ISC
Group: Development/Other
URL: https://github.com/iarna/gauge
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(aproba) >= 1.0.3
Requires: npm(console-control-strings) >= 1.0.0
Requires: npm(has-unicode) >= 2.0.0
Requires: npm(object-assign) >= 4.1.0
Requires: npm(signal-exit) >= 3.0.0
Requires: npm(string-width) >= 1.0.1
Requires: npm(strip-ansi) >= 3.0.1
Requires: npm(wide-align) >= 1.1.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep string-width ">=2.1.1"
%nodejs_fixdep strip-ansi ">=4.0.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr base-theme.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr error.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr has-color.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr plumbing.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr process.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr progress-bar.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr render-template.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr set-immediate.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr set-interval.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr spin.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr template-item.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr theme-set.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr themes.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr wide-truncate.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGELOG.md
%doc README.md

