%global npm_name getpass

Name: nodejs-getpass
Version: 0.1.7
Release: %mkrel 5
Summary: Getpass for node
License: MIT
Group: Development/Other
URL: https://github.com/arekinath/node-getpass#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(assert-plus) >= 1.0.0
Requires: npm(assert-plus) < 2.0.0
BuildArch: noarch

%description
Gets a password from the terminal. If available, this uses /dev/tty to avoid
interfering with any data being piped in or out of stdio.

This function prints a prompt (by default Password:) and then accepts input
without echoing.

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

