%global npm_name glob-parent
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 3.1.0
Release: %mkrel 7
Summary: Strips glob magic from a string to provide the parent directory path
License: ISC
Group: Development/Other
URL: https://github.com/es128/glob-parent
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(is-glob) >= 3.1.0
Requires: npm(path-dirname) >= 1.0.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep is-glob ^4.0.

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

