# Tests disabled: depend on jshint which has incompatible license
%global enable_tests 0
%global srcname grunt-angular-templates

Name:           nodejs-grunt-angular-templates
Version:        0.5.7
Release:        %mkrel 4
Summary:        Grunt build task to concatenate & register your AngularJS templates
Group:          Development/Other
License:        MIT
URL:            https://github.com/ericclemmons/grunt-angular-templates
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(grunt)
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-clean)
BuildRequires:  npm(grunt-contrib-copy)
BuildRequires:  npm(grunt-contrib-cssmin)
BuildRequires:  npm(grunt-contrib-jshint)
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(grunt-usemin)
%endif


%description
Speed up your AngularJS app by automatically minifying, combining, and 
automatically caching your HTML templates with $templateCache.


%prep
%setup -q -n package
rm -rf node_modules/
%nodejs_fixdep html-minifier


%build
%nodejs_symlink_deps --build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json Gruntfile.js tasks/ \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
grunt
%endif


%files
%doc README.md CONTRIBUTORS.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}/


