%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:           nodejs-grunt-contrib-clean
Version:        0.7.0
Release:        %mkrel 6
Summary:        A Grunt plugin to clean files and folders
License:        MIT
Group:          Development/Java
URL:            https://github.com/gruntjs/grunt-contrib-clean
Source0:        https://github.com/gruntjs/grunt-contrib-clean/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch


BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(rimraf)
%endif

%description
%{summary}.


%prep
%autosetup -p 1 -n grunt-contrib-clean-%{version}


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-contrib-clean
cp -pr package.json tasks/ \
    %{buildroot}%{nodejs_sitelib}/grunt-contrib-clean

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/grunt nodeunit
%endif


%files
%doc AUTHORS CHANGELOG CONTRIBUTING.md README.md docs/
%license LICENSE-MIT
%{nodejs_sitelib}/grunt-contrib-clean

