%global npm_name har-validator
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 5.1.0
Release: %mkrel 7
Summary: Extremely fast HTTP Archive (HAR) validator using JSON Schema
License: ISC
Group: Development/Other
URL: https://github.com/ahmadnassri/har-validator
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(ajv)
Requires: npm(har-schema)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep ajv ">=6.4.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

