%global enable_tests 1

Name:           nodejs-has
Version:        1.0.3
Release:        %mkrel 1
Summary:        Object.prototype.hasOwnProperty.call shortcut

License:        MIT
URL:            https://github.com/tarruda/has
Source0:        https://registry.npmjs.org/has/-/has-%{version}.tgz
BuildArch:      noarch
Group:          Development/Other


BuildRequires:  nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:  npm(tape)
%endif
BuildRequires:  npm(function-bind)


%description
%{summary}.


%prep
%setup -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/has
cp -pr package.json src %{buildroot}%{nodejs_sitelib}/has
%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
%{nodejs_sitelib}/tape/bin/tape test
%endif

%files
%doc README.md
%license LICENSE-MIT
%{nodejs_sitelib}/has
