%global npm_name hawk
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 7.0.10
Release: %mkrel 5
Summary: HTTP Hawk Authentication Scheme
License: BSD
Group: Development/Other
URL: https://github.com/hueniverse/hawk#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
Patch0: CVE-2022-29167.patch
BuildRequires: nodejs-packaging
Requires: npm(boom)
Requires: npm(cryptiles)
Requires: npm(hoek)
Requires: npm(sntp)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package
%autopatch -p1

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr client.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr dist %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

