%global npm_name imurmurhash
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 0.1.4
Release: %mkrel 4
Summary: An incremental implementation of MurmurHash3
License: MIT
Group: Development/Other
URL: https://github.com/jensyt/imurmurhash-js
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr imurmurhash.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr imurmurhash.min.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%doc README.md

