%{?nodejs_find_provides_and_requires}

Name:       nodejs-inherits1
Version:    1.0.0
Release:    %mkrel 5
Summary:    A tiny simple way to do classic inheritance in JS - legacy version
#the license is not included with the tarball so we retrieve it from the
#upstream git repository in Source1
License:    WTFPL
Group:      Development/C
URL:        https://github.com/isaacs/inherits
Source0:    https://registry.npmjs.org/inherits/-/inherits-%{version}.tgz
Source1:    https://raw.github.com/isaacs/inherits/112807f2670160b6e3bafdf39e395c10ae7d0fac/LICENSE
BuildArch:  noarch

BuildRequires:  nodejs-packaging

%description
A tiny simple way to do classic inheritance in JavaScript.

This is the legacy version used by many Node.js modules for many years, and is
retained for backward compatibility.  New modules should use the inheritance
functionality available in core Node.js or use the new version of inherits if
they need browser support as well.

%prep
%setup -q -n package

#copy the license into %%{_builddir} so it works with %%doc
cp -p %{SOURCE1} LICENSE

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/inherits@1
cp -pr inherits.js package.json %{buildroot}%{nodejs_sitelib}/inherits@1

%nodejs_symlink_deps

%files
%{nodejs_sitelib}/inherits@1
%doc README.md LICENSE

