%{?nodejs_find_provides_and_requires}
%global enable_tests 0

Name:           nodejs-is-date-object
Version:        1.0.1
Release:        %mkrel 4
Summary:        Is this value a JS Date object?
Group:          Development/Other
License:        MIT
URL:            https://github.com/ljharb/is-date-object
Source0:        https://registry.npmjs.org/is-date-object/-/is-date-object-%{version}.tgz
BuildArch:      noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
%endif

%description
Is this value a JS Date object? This module works cross-realm/iframe, and
despite ES6 @@toStringTag.


%prep
%setup -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/is-date-object
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/is-date-object
%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
%{__nodejs} --harmony --es-staging test.js
%endif

%files
%{!?_licensedir:%global license %doc}
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/is-date-object
