%global npm_name is-odd
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.0.0
Release: %mkrel 5
Summary: Returns true if the given number is odd
License: MIT
Group: Development/Other
URL: https://github.com/jonschlinkert/is-odd
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(is-number)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep is-number ">=6.0.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

