%global npm_name jsbn

Name: nodejs-jsbn
Version: 1.1.0
Release: %mkrel 3
Summary: The jsbn library is a fast, portable implementation of large-number math
License: MIT
Group: Development/Other
URL: https://github.com/andyperlitch/jsbn#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
The jsbn library is a fast, portable implementation of large-number math in
pure JavaScript, enabling public-key crypto and other applications on desktop
and mobile browsers.

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr example.html %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr example.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGELOG.md
%doc README.md

