%global npm_name lodash-es
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 4.17.10
Release: %mkrel 4
Summary: Lodash exported as ES modules
License: MIT
Group: Development/Other
URL: https://lodash.com/custom-builds
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _DataView.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _Hash.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _LazyWrapper.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _ListCache.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _LodashWrapper.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _Map.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _MapCache.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _Promise.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _Set.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _SetCache.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _Stack.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _Symbol.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _Uint8Array.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _WeakMap.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _addMapEntry.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _addSetEntry.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _apply.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _arrayAggregator.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _arrayEach.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _arrayEachRight.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _arrayEvery.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _arrayFilter.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _arrayIncludes.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _arrayIncludesWith.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _arrayLikeKeys.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _arrayMap.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _arrayPush.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _arrayReduce.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _arrayReduceRight.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _arraySample.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _arraySampleSize.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _arrayShuffle.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _arraySome.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _asciiSize.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _asciiToArray.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _asciiWords.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _assignMergeValue.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _assignValue.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _assocIndexOf.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseAggregator.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseAssign.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseAssignIn.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseAssignValue.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseAt.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseClamp.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseClone.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseConforms.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseConformsTo.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseCreate.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseDelay.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseDifference.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseEach.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseEachRight.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseEvery.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseExtremum.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseFill.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseFilter.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseFindIndex.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseFindKey.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseFlatten.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseFor.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseForOwn.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseForOwnRight.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseForRight.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseFunctions.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseGet.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseGetAllKeys.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseGetTag.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseGt.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseHas.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseHasIn.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseInRange.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseIndexOf.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseIndexOfWith.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseIntersection.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseInverter.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseInvoke.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseIsArguments.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseIsArrayBuffer.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseIsDate.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseIsEqual.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseIsEqualDeep.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseIsMap.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseIsMatch.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseIsNaN.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseIsNative.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseIsRegExp.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseIsSet.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseIsTypedArray.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseIteratee.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseKeys.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseKeysIn.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseLodash.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseLt.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseMap.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseMatches.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseMatchesProperty.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseMean.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseMerge.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseMergeDeep.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseNth.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseOrderBy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _basePick.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _basePickBy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseProperty.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _basePropertyDeep.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _basePropertyOf.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _basePullAll.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _basePullAt.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseRandom.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseRange.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseReduce.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseRepeat.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseRest.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseSample.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseSampleSize.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseSet.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseSetData.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseSetToString.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseShuffle.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseSlice.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseSome.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseSortBy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseSortedIndex.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseSortedIndexBy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseSortedUniq.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseSum.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseTimes.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseToNumber.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseToPairs.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseToString.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseUnary.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseUniq.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseUnset.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseUpdate.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseValues.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseWhile.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseWrapperValue.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseXor.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _baseZipObject.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _cacheHas.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _castArrayLikeObject.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _castFunction.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _castPath.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _castRest.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _castSlice.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _charsEndIndex.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _charsStartIndex.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _cloneArrayBuffer.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _cloneBuffer.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _cloneDataView.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _cloneMap.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _cloneRegExp.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _cloneSet.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _cloneSymbol.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _cloneTypedArray.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _compareAscending.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _compareMultiple.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _composeArgs.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _composeArgsRight.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _copyArray.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _copyObject.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _copySymbols.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _copySymbolsIn.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _coreJsData.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _countHolders.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _createAggregator.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _createAssigner.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _createBaseEach.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _createBaseFor.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _createBind.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _createCaseFirst.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _createCompounder.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _createCtor.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _createCurry.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _createFind.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _createFlow.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _createHybrid.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _createInverter.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _createMathOperation.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _createOver.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _createPadding.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _createPartial.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _createRange.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _createRecurry.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _createRelationalOperation.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _createRound.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _createSet.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _createToPairs.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _createWrap.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _customDefaultsAssignIn.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _customDefaultsMerge.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _customOmitClone.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _deburrLetter.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _defineProperty.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _equalArrays.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _equalByTag.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _equalObjects.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _escapeHtmlChar.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _escapeStringChar.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _flatRest.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _freeGlobal.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _getAllKeys.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _getAllKeysIn.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _getData.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _getFuncName.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _getHolder.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _getMapData.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _getMatchData.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _getNative.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _getPrototype.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _getRawTag.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _getSymbols.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _getSymbolsIn.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _getTag.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _getValue.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _getView.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _getWrapDetails.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _hasPath.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _hasUnicode.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _hasUnicodeWord.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _hashClear.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _hashDelete.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _hashGet.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _hashHas.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _hashSet.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _initCloneArray.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _initCloneByTag.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _initCloneObject.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _insertWrapDetails.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _isFlattenable.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _isIndex.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _isIterateeCall.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _isKey.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _isKeyable.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _isLaziable.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _isMaskable.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _isMasked.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _isPrototype.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _isStrictComparable.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _iteratorToArray.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _lazyClone.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _lazyReverse.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _lazyValue.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _listCacheClear.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _listCacheDelete.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _listCacheGet.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _listCacheHas.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _listCacheSet.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _mapCacheClear.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _mapCacheDelete.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _mapCacheGet.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _mapCacheHas.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _mapCacheSet.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _mapToArray.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _matchesStrictComparable.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _memoizeCapped.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _mergeData.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _metaMap.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _nativeCreate.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _nativeKeys.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _nativeKeysIn.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _nodeUtil.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _objectToString.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _overArg.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _overRest.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _parent.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _reEscape.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _reEvaluate.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _reInterpolate.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _realNames.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _reorder.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _replaceHolders.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _root.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _safeGet.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _setCacheAdd.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _setCacheHas.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _setData.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _setToArray.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _setToPairs.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _setToString.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _setWrapToString.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _shortOut.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _shuffleSelf.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _stackClear.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _stackDelete.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _stackGet.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _stackHas.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _stackSet.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _strictIndexOf.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _strictLastIndexOf.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _stringSize.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _stringToArray.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _stringToPath.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _toKey.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _toSource.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _unescapeHtmlChar.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _unicodeSize.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _unicodeToArray.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _unicodeWords.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _updateWrapDetails.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr _wrapperClone.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr add.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr after.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr array.default.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr array.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr ary.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr assign.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr assignIn.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr assignInWith.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr assignWith.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr at.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr attempt.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr before.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr bind.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr bindAll.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr bindKey.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr camelCase.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr capitalize.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr castArray.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr ceil.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr chain.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr chunk.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr clamp.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr clone.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr cloneDeep.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr cloneDeepWith.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr cloneWith.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr collection.default.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr collection.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr commit.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr compact.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr concat.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr cond.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr conforms.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr conformsTo.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr constant.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr countBy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr create.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr curry.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr curryRight.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr date.default.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr date.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr debounce.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr deburr.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr defaultTo.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr defaults.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr defaultsDeep.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr defer.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr delay.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr difference.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr differenceBy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr differenceWith.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr divide.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr drop.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr dropRight.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr dropRightWhile.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr dropWhile.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr each.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr eachRight.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr endsWith.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr entries.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr entriesIn.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr eq.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr escape.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr escapeRegExp.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr every.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr extend.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr extendWith.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr fill.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr filter.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr find.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr findIndex.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr findKey.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr findLast.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr findLastIndex.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr findLastKey.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr first.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr flatMap.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr flatMapDeep.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr flatMapDepth.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr flatten.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr flattenDeep.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr flattenDepth.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr flip.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr floor.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr flow.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr flowRight.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr forEach.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr forEachRight.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr forIn.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr forInRight.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr forOwn.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr forOwnRight.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr fromPairs.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr function.default.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr function.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr functions.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr functionsIn.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr get.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr groupBy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr gt.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr gte.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr has.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr hasIn.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr head.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr identity.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr inRange.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr includes.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr indexOf.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr initial.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr intersection.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr intersectionBy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr intersectionWith.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr invert.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr invertBy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr invoke.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr invokeMap.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isArguments.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isArray.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isArrayBuffer.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isArrayLike.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isArrayLikeObject.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isBoolean.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isBuffer.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isDate.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isElement.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isEmpty.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isEqual.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isEqualWith.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isError.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isFinite.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isFunction.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isInteger.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isLength.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isMap.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isMatch.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isMatchWith.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isNaN.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isNative.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isNil.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isNull.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isNumber.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isObject.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isObjectLike.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isPlainObject.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isRegExp.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isSafeInteger.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isSet.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isString.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isSymbol.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isTypedArray.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isUndefined.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isWeakMap.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr isWeakSet.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr iteratee.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr join.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr kebabCase.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr keyBy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr keys.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr keysIn.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lang.default.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lang.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr last.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lastIndexOf.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lodash.default.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lodash.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lowerCase.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lowerFirst.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lt.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lte.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr map.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr mapKeys.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr mapValues.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr matches.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr matchesProperty.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr math.default.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr math.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr max.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr maxBy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr mean.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr meanBy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr memoize.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr merge.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr mergeWith.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr method.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr methodOf.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr min.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr minBy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr mixin.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr multiply.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr negate.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr next.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr noop.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr now.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nth.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nthArg.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr number.default.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr number.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr object.default.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr object.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr omit.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr omitBy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr once.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr orderBy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr over.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr overArgs.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr overEvery.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr overSome.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr pad.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr padEnd.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr padStart.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr parseInt.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr partial.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr partialRight.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr partition.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr pick.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr pickBy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr plant.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr property.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr propertyOf.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr pull.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr pullAll.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr pullAllBy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr pullAllWith.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr pullAt.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr random.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr range.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr rangeRight.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr rearg.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr reduce.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr reduceRight.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr reject.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr remove.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr repeat.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr replace.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr rest.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr result.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr reverse.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr round.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr sample.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr sampleSize.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr seq.default.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr seq.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr set.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr setWith.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr shuffle.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr size.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr slice.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr snakeCase.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr some.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr sortBy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr sortedIndex.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr sortedIndexBy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr sortedIndexOf.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr sortedLastIndex.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr sortedLastIndexBy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr sortedLastIndexOf.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr sortedUniq.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr sortedUniqBy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr split.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr spread.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr startCase.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr startsWith.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr string.default.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr string.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr stubArray.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr stubFalse.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr stubObject.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr stubString.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr stubTrue.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr subtract.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr sum.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr sumBy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr tail.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr take.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr takeRight.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr takeRightWhile.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr takeWhile.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr tap.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr template.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr templateSettings.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr throttle.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr thru.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr times.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr toArray.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr toFinite.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr toInteger.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr toIterator.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr toJSON.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr toLength.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr toLower.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr toNumber.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr toPairs.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr toPairsIn.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr toPath.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr toPlainObject.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr toSafeInteger.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr toString.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr toUpper.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr transform.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr trim.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr trimEnd.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr trimStart.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr truncate.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr unary.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr unescape.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr union.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr unionBy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr unionWith.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr uniq.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr uniqBy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr uniqWith.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr uniqueId.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr unset.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr unzip.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr unzipWith.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr update.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr updateWith.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr upperCase.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr upperFirst.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr util.default.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr util.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr value.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr valueOf.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr values.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr valuesIn.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr without.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr words.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr wrap.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr wrapperAt.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr wrapperChain.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr wrapperLodash.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr wrapperReverse.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr wrapperValue.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr xor.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr xorBy.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr xorWith.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr zip.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr zipObject.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr zipObjectDeep.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr zipWith.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

