%{?nodejs_find_provides_and_requires}

Name:       nodejs-lru-cache
Version:    4.1.2
Release:    %mkrel 3
Summary:    A least recently used cache object for Node.js
License:    MIT
Group:      System/Libraries
URL:        https://github.com/isaacs/node-lru-cache
Source0:    https://registry.npmjs.org/lru-cache/-/lru-cache-%{version}.tgz
BuildArch:  noarch

BuildRequires:  nodejs-packaging

%description
A cache object that deletes the least recently used items.

%prep
%setup -q -n package
%nodejs_fixdep yallist ">=2"

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/lru-cache
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/lru-cache

%nodejs_symlink_deps

%files
%{nodejs_sitelib}/lru-cache
%doc README.md
%license LICENSE

