%{?nodejs_find_provides_and_requires}

%global packagename memoizee
%global enable_tests 0
# tests disabled due to missing npm(tad) test suite

Name:		nodejs-memoizee
Version:	0.3.9
Release:	%mkrel 8
Summary:	Memoize/cache function results
Group:          Development/Other

License:	MIT
URL:		https://github.com/medikoo/memoize.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tad)
%endif


%description
Memoize/cache function results


%prep
%setup -q -n package

%nodejs_fixdep es6-weak-map ~2.0.1
# allow newer version of npm(es6-weak-map)

%nodejs_fixdep d "<=2.0.0"
# allow either the 0.1.x or 1.x.x series of npm(d)


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ ext/ normalizers/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{__nodejs} %{nodejs_sitelib}/tad/bin/tad
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

