%{?nodejs_find_provides_and_requires}

# sometimes you might need to disable tests to get it to build since tap
# depends on this. enabling tast require a lot of deps.
%global enable_tests 0

Name:           nodejs-minimist
Version:        1.2.7
Release:        %mkrel 1
Summary:        Parse argument options in Node.js

Group:          System/Libraries
License:        MIT
URL:            https://github.com/minimistjs/minimist
Source0:        https://github.com/minimistjs/minimist/archive/refs/tags/v%{version}.tar.gz
BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(tape)
%endif
BuildArch:  noarch


%description
This module is the guts of nodejs-optimist's argument parser without all the 
fanciful decoration.

%prep
%setup -q -n minimist-%version

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/minimist
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/minimist

%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
%tap test/*.js
%endif


%files
%{nodejs_sitelib}/minimist
%doc LICENSE README.md example

