%global npm_name minizlib
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.1.2
Release: %mkrel 3
Summary: A small fast zlib stream built on [minipass](http://npm
License: MIT
Group: Development/Other
URL: https://github.com/isaacs/minizlib#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package
%nodejs_fixdep minipass ">=3.0.0"
%nodejs_fixdep yallist ">=4.0.0"
%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr constants.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

