%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%global npm_name msgpack

Name: %{?scl_prefix}nodejs-msgpack
Version: 1.0.3
Release: %mkrel 1
Summary: A space-efficient object serialization library for node
License: BSD and ASL 2.0
Group: Development/Other
URL: https://github.com/msgpack/msgpack-node
Source0: https://registry.npmjs.org/msgpack/-/msgpack-%{version}.tgz
%if 0%{?!scl:1}
BuildRequires: nodejs-packaging
%endif
Requires: npm(nan) >= 2.14.0
Requires: npm(nan) < 3.0.0
BuildArch: noarch
Provides: %{?scl_prefix}npm(%{npm_name}) = %{version}

%description
%{summary}.

%prep
%autosetup -p1 -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr bin %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr binding.gyp %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr deps %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr run_tests %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr src %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
chmod 0755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/bin/json2msgpack
ln -sf %{nodejs_sitelib}/%{npm_name}/bin/json2msgpack %{buildroot}%{_bindir}/json2msgpack
chmod 0755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/bin/msgpack2json
ln -sf %{nodejs_sitelib}/%{npm_name}/bin/msgpack2json %{buildroot}%{_bindir}/msgpack2json

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/json2msgpack
%{_bindir}/msgpack2json
%license LICENSE
%doc README.md

