%global npm_name nanomatch
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.2.9
Release: %mkrel 6
Summary: Fast, minimal glob matcher for node
License: MIT
Group: Development/Other
URL: https://github.com/micromatch/nanomatch
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(arr-diff)
Requires: npm(array-unique)
Requires: npm(define-property)
Requires: npm(extend-shallow)
Requires: npm(fragment-cache)
Requires: npm(is-odd)
Requires: npm(is-windows)
Requires: npm(kind-of)
Requires: npm(object.pick)
Requires: npm(regex-not)
Requires: npm(snapdragon)
Requires: npm(to-regex)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep snapdragon ^0.12.

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGELOG.md
%doc README.md

