%{?nodejs_find_provides_and_requires}

%global packagename next-tick
%global enable_tests 0
# tests disabled until we can package npm(tad)

Name:		nodejs-next-tick
Version:	0.2.2
Release:	%mkrel 6
Group:          Development/Other
Summary:	Environment agnostic nextTick polyfill

License:	MIT
URL:		https://github.com/medikoo/next-tick.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tad)
%endif

%description
Environment agnostic nextTick polyfill


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} %{nodejs_sitelib}/tad/bin/tad
%else
echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENCE
%{nodejs_sitelib}/%{packagename}

