%{?nodejs_find_provides_and_requires}

Name:           nodejs-nopt
Version:        3.0.6
Release:        %mkrel 7
Summary:        Node.js option parsing
License:        MIT
Group:          System/Libraries
URL:            https://github.com/isaacs/nopt
Source0:        https://registry.npmjs.org/nopt/-/nopt-%{version}.tgz
BuildArch:      noarch

BuildRequires:  nodejs-packaging

#BuildRequires:  npm(tap)
BuildRequires:  npm(abbrev)

%description
An option parsing library for Node.js and its package manager (npm).


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/nopt
cp -pr bin lib package.json %{buildroot}%{nodejs_sitelib}/nopt
mkdir -p %{buildroot}%{_bindir}
ln -sf ../lib/node_modules/nopt/bin/nopt.js %{buildroot}%{_bindir}/nopt
%nodejs_symlink_deps


#%check
#%nodejs_symlink_deps --check
#%tap test/*.js


%files
%doc README.md examples
%license LICENSE
%{nodejs_sitelib}/nopt
%{_bindir}/nopt

