%global npm_name npm-packlist
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.1.4
Release: %mkrel 1
Summary: Get a list of the files to add from a folder into an npm package
License: ISC
Group: Development/Other
URL: https://www.npmjs.com/package/npm-packlist
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(ignore-walk) >= 3.0.1
Requires: npm(ignore-walk) < 4.0.0
Requires: npm(npm-bundled) >= 1.0.1
Requires: npm(npm-bundled) < 2.0.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

