%global npm_name npmlog
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 4.1.2
Release: %mkrel 4
Summary: logger for npm
License: ISC
Group: Development/Other
URL: https://github.com/npm/npmlog#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(are-we-there-yet) >= 1.1.2
Requires: npm(are-we-there-yet) < 1.2.0
Requires: npm(console-control-strings) >= 1.1.0
Requires: npm(console-control-strings) < 1.2.0
Requires: npm(gauge) >= 2.7.3
Requires: npm(gauge) < 2.8.0
Requires: npm(set-blocking) >= 2.0.0
Requires: npm(set-blocking) < 2.1.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr log.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGELOG.md
%doc README.md

