%global npm_name opener
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.4.3
Release: %mkrel 4
Summary: Opens stuff, like webpages and files and executables, cross-platform
License: MIT
Group: Development/Other
URL: https://github.com/domenic/opener#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr opener.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
chmod 0755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/opener.js
ln -sf %{nodejs_sitelib}/%{npm_name}/opener.js %{buildroot}%{_bindir}/opener

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/opener
%license LICENSE.txt
%doc README.md

