%{?nodejs_find_provides_and_requires}

Name:           nodejs-os-locale
Version:        3.0.1
Release:        %mkrel 5
Summary:        Get the system locale
License:        MIT
Group:          Development/Other
Url:            https://github.com/sindresorhus/os-locale
Source0:        https://registry.npmjs.org/os-locale/-/os-locale-%{version}.tgz
BuildRequires:  nodejs
BuildRequires:  nodejs-packaging
BuildRequires:  npm(lcid)
Obsoletes:      os-locale
BuildArch:      noarch


%description
Get the system locale

%prep
%setup -q -n package

%nodejs_fixdep mem ">=3.0.0"
%nodejs_fixdep execa ">=0.10.0"

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/os-locale
cp -pr  index.js package.json %{buildroot}%{nodejs_sitelib}/os-locale

%{nodejs_symlink_deps}

%files
%doc license readme.md
%{nodejs_sitelib}/os-locale
