%global npm_name p-locate
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 4.1.0
Release: %mkrel 4
Summary: Get the first fulfilled promise that satisfies the provided testing function
License: MIT
Group: Development/Other
URL: https://github.com/sindresorhus/p-locate#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(p-limit) >= 1.1.0
BuildArch: noarch

%description
Get the first fulfilled promise that satisfies the provided testing function.

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license license
%doc readme.md

