%global enable_tests 1
%global module_name process-nextick-args


Name:           nodejs-%{module_name}
Version:        2.0.1
Release:        %mkrel 1
Summary:        The process.nextTick() but always with args
Group:          System/Libraries

License:        MIT
URL:            https://github.com/calvinmetcalf/process-nextick-args
Source0:        https://github.com/calvinmetcalf/%{module_name}/archive/v%{version}/%{module_name}-%{version}.tar.gz
BuildArch:      noarch


BuildRequires:  nodejs-packaging
%if 0%{?enable_tests}
BuildRequires: npm(tap)
%endif

%description
Always be able to pass arguments to process.nextTick, no matter the platform.

%prep
%setup -q -n %{module_name}-%{version}
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node test.js
%endif

%files
%doc readme.md
%license license.md
%{nodejs_sitelib}/%{module_name}

