%global npm_name rc
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.2.8
Release: %mkrel 4
Summary: hardwired configuration loader
License: BSD OR MIT OR ASL 2.0
Group: Development/Other
URL: https://github.com/dominictarr/rc#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(deep-extend) >= 0.5.1
Requires: npm(ini) >= 1.3.0
Requires: npm(minimist) >= 1.2.0
Requires: npm(strip-json-comments) >= 2.0.1
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr browser.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr cli.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
chmod 0755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/cli.js
ln -sf %{nodejs_sitelib}/%{npm_name}/cli.js %{buildroot}%{_bindir}/rc

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/rc
%license LICENSE.APACHE2
%license LICENSE.BSD
%license LICENSE.MIT
%doc README.md

