%global npm_name resolve-dir
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.0.1
Release: %mkrel 6
Summary: Resolve a directory either local, global or in the users home directory
License: MIT
Group: Development/Other
URL: https://github.com/jonschlinkert/resolve-dir
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(expand-tilde) >= 2.0.0
Requires: npm(global-modules) >= 1.0.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

