%global npm_name safe-regex
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.1.0
Release: %mkrel 6
Summary: Detect possibly catastrophic, exponential-time regular expressions
License: MIT
Group: Development/Other
URL: https://github.com/substack/safe-regex
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(ret)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep ret ^0.2.

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr example %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc readme.markdown

