%global npm_name safer-buffer
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.1.2
Release: %mkrel 4
Summary: Modern Buffer API polyfill without footguns
License: MIT
Group: Development/Other
URL: https://github.com/ChALkeR/safer-buffer#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr dangerous.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr safer.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr tests.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc Porting-Buffer.md
%doc Readme.md

