Name:           nodejs-should-equal
Version:        0.7.3
Release:        %mkrel 2
Group:          Development/Other
Summary:        Deep comparison of two instances for should.js

License:        MIT
URL:            https://github.com/shouldjs/equal
Source0:        https://registry.npmjs.org/should-equal/-/should-equal-%{version}.tgz
BuildArch:      noarch
ExclusiveArch: %{ix86} x86_64 %{arm} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(mocha)
BuildRequires:  npm(should-type)


%description
%{summary}.


%prep
%setup -q -n package
sed -i 's/\r$//' README.md
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/should-equal
cp -pr package.json index.js format.js %{buildroot}%{nodejs_sitelib}/should-equal
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha --ui bdd test.js


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/should-equal



