%global npm_name snapdragon-handlers
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.0.0
Release: %mkrel 7
Summary: Adds support for handlers, events and plugins to snapdragon libraries
License: MIT
Group: Development/Other
URL: https://github.com/here-be/snapdragon-handlers
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
# (kekePower) Don't know how to import this package... yet.
#Requires: npm(@sellside/emitter)
Requires: npm(use)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package
%nodejs_fixdep -r @sellside/emitter
rm -rf node_modules

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

