%global npm_name source-map-support
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 0.5.5
Release: %mkrel 6
Summary: Fixes stack traces for files with source maps
License: MIT
Group: Development/Other
URL: https://github.com/evanw/node-source-map-support#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(buffer-from)
Requires: npm(source-map)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep source-map ">=0.7.2"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr browser-source-map-support.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr register.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr source-map-support.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE.md
%doc README.md

