%{?nodejs_find_provides_and_requires}

%global packagename spdx-exceptions
%global enable_tests 1

Name:		nodejs-spdx-exceptions
Version:	1.0.4
Release:	%mkrel 5
Group:          Development/Java
Summary:	A list of SPDX standard license exceptions

License:	CC-BY
URL:		https://github.com/kemitchell/spdx-exceptions.json.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
# BuildRequires for tests go here
%endif

Requires:	nodejs

%description
List of SPDX standard license exceptions


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr *.json \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
# Test runner goes here
echo "There are no tests...."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%{nodejs_sitelib}/%{packagename}

