%{?nodejs_find_provides_and_requires}

Name:           nodejs-string-dot-prototype-dot-trim
Version:        1.1.2
Release:        %mkrel 4
Summary:        ES5 spec-compliant shim for String.prototype.trim
Group:          System/Libraries

License:        MIT
URL:            https://github.com/es-shims/String.prototype.trim
Source0:        https://registry.npmjs.org/string.prototype.trim/-/string.prototype.trim-%{version}.tgz
BuildArch:      noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
BuildRequires:  npm(define-properties)
BuildRequires:  npm(es-abstract)
BuildRequires:  npm(function-bind)
%endif

%description
An ES5 spec-compliant String.prototype.trim shim. Invoke its "shim"
method to shim String.prototype.trim if it is unavailable.


%prep
%setup -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/string.prototype.trim
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/string.prototype.trim
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs test/shimmed.js
%__nodejs test/index.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/string.prototype.trim

