%{?nodejs_find_provides_and_requires}

Name:           nodejs-string-width
Version:        2.1.1
Release:        %mkrel 7
Summary:        Get the visual width of a string - the number of columns required to display it
License:        MIT
Group:          Development/Other
Url:            https://github.com/sindresorhus/string-width
Source0:        https://registry.npmjs.org/string-width/-/string-width-%{version}.tgz
BuildRequires:  nodejs
BuildRequires:  nodejs-packaging
BuildRequires:  npm(code-point-at)
BuildRequires:  npm(is-fullwidth-code-point)
BuildRequires:  npm(strip-ansi)
BuildArch:      noarch


%description
Get the visual width of a string - the number of columns required to display it

%prep
%setup -q -n package
%autopatch -p1

%nodejs_fixdep strip-ansi ">=4.0.0"

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/string-width
cp -pr  index.js package.json %{buildroot}%{nodejs_sitelib}/string-width

%{nodejs_symlink_deps}

%files
%doc
%{nodejs_sitelib}/string-width
