%global npm_name tap-mocha-reporter
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 3.0.7
Release: %mkrel 5
Summary: Format a TAP stream using Mocha's set of reporters
License: ISC
Group: Development/Other
URL: https://github.com/isaacs/tap-mocha-reporter
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(color-support)
Requires: npm(debug)
Requires: npm(diff)
Requires: npm(escape-string-regexp)
Requires: npm(glob)
Requires: npm(js-yaml)
Requires: npm(readable-stream)
Requires: npm(tap-parser)
Requires: npm(unicode-length)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

# (2018-05-07) kekePower
# These 3 are hacks until they're updated
%nodejs_fixdep diff ">=1.0.8"
%nodejs_fixdep readable-stream ">=2.0.5"
%nodejs_fixdep tap-parser ">=1.2.2"
# This one is legit
%nodejs_fixdep unicode-length ">=2.0.1"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
chmod 0755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/index.js
ln -sf %{nodejs_sitelib}/%{npm_name}/index.js %{buildroot}%{_bindir}/tap-mocha-reporter

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/tap-mocha-reporter
%license LICENSE
%doc README.md

