%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-through
Version:    2.3.8
Release:    %mkrel 5
Summary:    Simplified stream construction for Node.js
License:    MIT or ASL 2.0
Group:      System/Libraries
URL:        https://github.com/dominictarr/through
Source0:    https://registry.npmjs.org/through/-/through-%{version}.tgz

BuildArch:  noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
BuildRequires:  npm(from)
#BuildRequires:  npm(stream-spec)
%endif

%description
%{summary}.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/through
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/through

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"
%if 0%{?enable_tests}
# requires npm(stream-spec)
rm test/index.js
tape test/*.js
%endif


%files
%doc readme.markdown
%license LICENSE.APACHE2 LICENSE.MIT
%{nodejs_sitelib}/through


