%global npm_name to-regex-range
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 3.0.0
Release: %mkrel 6
Summary: Pass two numbers, get a regex-compatible source string for matching ranges
License: MIT
Group: Development/Other
URL: https://github.com/micromatch/to-regex-range
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(is-number) >= 4.0.0
Requires: npm(repeat-string) >= 1.6.1
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep is-number ^6.0.

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

