%global npm_name tough-cookie
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.3.4
Release: %mkrel 6
Summary: RFC6265 Cookies and Cookie Jar for node
License: BSD
Group: Development/Other
URL: https://github.com/salesforce/tough-cookie
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
Patch0: CVE-2023-26136.patch
BuildRequires: nodejs-packaging
Requires: npm(punycode)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package
%autopatch -p1

%nodejs_fixdep punycode ">=2.0.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

