%global npm_name tunnel-agent
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 0.6.0
Release: %mkrel 5
Summary: HTTP proxy tunneling agent
License: ASL 2.0
Group: Development/Other
URL: https://github.com/mikeal/tunnel-agent#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(safe-buffer) >= 5.0.1
Requires: npm(safe-buffer) < 6.0.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

