%global npm_name tweetnacl

Name: nodejs-tweetnacl
Version: 1.0.1
Release: %mkrel 3
Summary: Port of TweetNaCl cryptographic library to JavaScript
License: Unlicense
Group: Development/Other
URL: https://tweetnacl.js.org
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nacl-fast.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nacl-fast.min.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nacl.d.ts %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nacl.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nacl.min.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc AUTHORS.md
%doc CHANGELOG.md
%doc PULL_REQUEST_TEMPLATE.md
%doc README.md
