Name:           nodejs-type-detect
Version:        2.0.1
Release:        %mkrel 5
Group:          Development/Java
Summary:        Improved typeof detection for Node.js and the browser

License:        MIT
URL:            https://github.com/chaijs/type-detect
Source0:        https://github.com/chaijs/type-detect/archive/v%{version}/type-detect-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(mocha)
BuildRequires:  npm(simple-assert)
Provides: npm(type-detect) = %{version}-%{release}

%description
Improved typeof detection for Node.js and the browser.


%prep
%autosetup -n type-detect-%{version}
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/type-detect
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/type-detect
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/type-detect

