%global module_name util-deprecate
%global commit0 6e923f7d98a0afbe5b9c7db9d0f0029c1936746c
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           nodejs-%{module_name}
Version:        1.0.1
Release:        %mkrel 5
Summary:        The Node.js `util.deprecate()` function with browser support

License:        MIT
URL:            https://github.com/TooTallNate/util-deprecate
Source0:        https://github.com/TooTallNate/%{module_name}/archive/%{commit0}.tar.gz#/%{module_name}-%{shortcommit0}.tar.gz
BuildArch:      noarch
Group:          Development/Other
BuildRequires:  nodejs-packaging

%description
In Node.js, this module simply re-exports the util.deprecate() function.
In the web browser (i.e. via browserify), a browser-specific implementation
of the util.deprecate() function is used.

%prep
%setup -q -n %{module_name}-%{commit0}
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{module_name}
