%{?nodejs_find_provides_and_requires}

Name:       nodejs-which
Version:    1.3.1
Release:    %mkrel 2
Summary:    A JavaScript implementation of the 'which' command
License:    MIT
Group:      System/Libraries
URL:        https://github.com/isaacs/node-which
Source0:    https://registry.npmjs.org/which/-/which-%{version}.tgz
BuildArch:  noarch

BuildRequires:  nodejs-packaging
BuildRequires:  npm(is-absolute)
BuildRequires:  npm(isexe)

%description
%{summary}.

%prep
%setup -q -n package
%nodejs_fixdep is-absolute ^1.0.
rm -rf node_modules

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/which
cp -pr bin which.js package.json %{buildroot}%{nodejs_sitelib}/which

mkdir -p %{buildroot}%{_bindir}
ln -sf ../lib/node_modules/which/bin/which %{buildroot}%{_bindir}/which-nodejs

%nodejs_symlink_deps

%files
%{nodejs_sitelib}/which
%{_bindir}/which-nodejs
%doc README.md LICENSE

