%global npm_name wide-align
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.1.2
Release: %mkrel 6
Summary: A wide-character aware text alignment function for use on the console or with fixed width fonts
License: ISC
Group: Development/Other
URL: https://github.com/iarna/wide-align#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(string-width)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep string-width ">=2.0.0"
%nodejs_fixdep string-width ">=2.0.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr align.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

