%global npm_name write-file-atomic
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.3.0
Release: %mkrel 5
Summary: Write files in an atomic fashion w/configurable ownership
License: ISC
Group: Development/Other
URL: https://github.com/iarna/write-file-atomic
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(graceful-fs)
Requires: npm(imurmurhash)
Requires: npm(signal-exit)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep graceful-fs ">=4.1.3"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

