%global npm_name yargs-parser
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 10.0.0
Release: %mkrel 6
Summary: the mighty option parser used by yargs
License: ISC
Group: System/Libraries
URL: https://github.com/yargs/yargs-parser#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
# CVE-2020-7608
Patch1:  63810ca1ae1a24b08293a4d971e70e058c7a41e2.patch

BuildRequires: nodejs-packaging
Requires: npm(camelcase)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package
%autopatch -p1
%nodejs_fixdep camelcase ">=5.0.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE.txt
%doc CHANGELOG.md
%doc README.md

