%define         real_name noip-duc-linux
%define         min_ver 1
%define         max_ver 2

Name:           noip
Summary:        NoIP client
Version:        2.1.9
Release:        %mkrel 6
Source0:        https://www.noip.com/client/linux/%{real_name}.tar.gz
Source1:        noip2.service
Patch0:         noip-2.1.9-makefile.patch
Patch1:         noip-2.1.9-confdir.patch
URL:            https://www.noip.com
Group:          Networking/Other
License:        GPLv2 

BuildRequires:	binutils-devel

%description
This Dynamic DNS Update Client continually checks for 
IP address changes in the background and 
automatically updates the DNS at No-IP whenever it changes.

%prep 
%setup -q -n %{name}-%{version}-%{min_ver}
%autopatch -p0

%build
%make_build PREFIX=/usr CONFDIR=/etc

%install
%makeinstall PREFIX=%{buildroot} CONFDIR=%{buildroot}%{_sysconfdir} BINDIR=%{buildroot}%{_bindir}

install -d -D -m755 %{buildroot}%{_unitdir}
install -m644 %{S:1} %{buildroot}%{_unitdir}/%{name}%{max_ver}.service

%files 
%doc README.FIRST* COPYING
%{_bindir}/%name%{max_ver}
%{_unitdir}/%{name}%{max_ver}.service

