%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Notification Daemon
Name:		notification-daemon
Version:	3.20.0
Release:	%mkrel 4
License:	GPLv2+
Group:		System/Servers
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires: pkgconfig(gio-2.0) >= 2.27.0
BuildRequires: pkgconfig(glib-2.0) >= 2.27.0
BuildRequires: pkgconfig(gtk+-3.0) >= 2.91.0
BuildRequires: pkgconfig(libcanberra-gtk3) >= 0.4
BuildRequires: pkgconfig(x11)
BuildRequires:	intltool
Provides:	virtual-notification-daemon
Recommends:	notification-daemon-engine-nodoka

%description
A daemon that displays passive pop-up notifications as per the
Desktop Notifications spec (https://developer.gnome.org/notification-spec/).

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static
%make_build

%install
%make_install

%find_lang %{name}

%files -f %name.lang
%doc AUTHORS ChangeLog README
%{_libexecdir}/%{name}
%{_datadir}/applications/notification-daemon.desktop
# ovitters: DO NOT PACKAGE THIS!
#           A desktop should start this explicitly themselves else it'll break
#           anything that already handles noticiations, such as e.g. GNOME
%exclude /etc/xdg/autostart/notification-daemon-autostart.desktop
