Name:		novprog
Version:	3.2.5
Release:	%mkrel 1
Summary:	Wordcount tracking program
Group:		Office/Utilities
License:	GPLv3+
URL:		https://gottcode.org/novprog
Source:		https://gottcode.org/novprog/%{name}-%{version}.tar.bz2

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake

%description
NovProg is a tool to graph your progress in writing a novel. You enter your
wordcount and it updates a graph showing you how much progress you have
made. It also shows you how far you are through your daily goal, and your
total goal. Mousing over a bar in the graph will show a tooltip with that
day’s wordcount.

%prep
%setup -q

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%doc ChangeLog CREDITS README
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1*
