Summary: NSS library for postgresql
Name: nss_postgresql
Version: 0.6.1
Release: %mkrel 16
Source0: https://downloads.sourceforge.net/authpgsql/%{name}-%{version}.tar.bz2
Patch0: nss_postgresql_include_path.patch
Patch1: nss_postgresql_lock.patch
Patch2: nss_postgresql_glibc.patch
Patch3: nss_postgresql-fix-build-with-gcc14.patch
License: GPL
Group: System/Libraries
Url: https://www.sourceforge.net/projects/authpgsql
BuildRequires: libpq-devel
BuildRequires: postgresql-devel

%description
This library provide the capability to have all classical
users definitions in a PostgreSQL server instead than in the
old plain text files in /etc passwd,group,shadow.

All is done without any trick or something like, simply
connecting to the nss (name servica switch) facility
offered by the libc (2.x) as nis and nisplus already did.

All without recompiling or touching any application
configurations. Just compile and install nss_postgresql
library and set up a PostgreSQL server.

%prep
%setup -q
%autopatch -p0

%build
%make_build CFLAGS="%optflags -fPIC"

%install
mkdir -p %buildroot/{%_lib,%_sysconfdir}
install -m755 libnss_pgsql.so.2 %buildroot/%_lib/libnss_pgsql.so.2
install -m644 nss-pgsql.conf %buildroot/%_sysconfdir/nss-pgsql.conf
install -m600 nss-pgsql-root.conf %buildroot/%_sysconfdir/nss-pgsql-root.conf

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc sampleschema README* TODO AUTHORS
/%_lib/libnss_pgsql.so.2
%config(noreplace) %_sysconfdir/*.conf




