Name:           nv-codec-headers
Version:        12.2.72.0
Release:        %mkrel 1
Summary:        FFmpeg version of Nvidia Codec SDK headers
License:        MIT
Group:          System/Libraries
URL:            https://github.com/FFmpeg/nv-codec-headers
Source0:        https://github.com/FFmpeg/nv-codec-headers/archive/n%{version}/%{name}-n%{version}.tar.gz
BuildArch:      noarch


%description
FFmpeg version of headers required to interface with Nvidias codec APIs.


%prep
%autosetup -n %{name}-n%{version} -p1

sed -i -e 's@/include@/include/ffnvcodec@g' ffnvcodec.pc.in

%build
%__make PREFIX=%{_prefix} LIBDIR=/share

%install
%make_install PREFIX=%{_prefix} LIBDIR=/share

%files
%doc README
%{_includedir}/ffnvcodec/
%{_datadir}/pkgconfig/ffnvcodec.pc
