Name:		nyx
Summary:	Command-line monitor for Tor
Version:	2.1.0
Release:	%mkrel 7
License:	GPLv3
Group:		Networking/Other
Url:		https://nyx.torproject.org/
Source:		%{pypi_source}
BuildArch:	noarch
BuildRequires:  python3-devel
Provides:	tor-arm = %{version}-%{release}
Obsoletes:	tor-arm < 1.4.5.0-4
Obsoletes:	tor-arm-gui < 1.4.5.0-4
Obsoletes:	tor-arm-devel < 1.4.5.0-4

%description
Nyx is a command-line monitor for Tor. With this you can get detailed real-time
information about your relay such as bandwidth usage, connections, logs, and
much more.

%prep
%autosetup -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nyx

# man pages
install -Dpm644 nyx.1 %{buildroot}%{_mandir}/man1/nyx.1

%files -f %{pyproject_files}
%license LICENSE
%doc web/nyxrc.sample
%{_bindir}/nyx
%{_mandir}/man1/nyx.1*
