Name:		obexd
Version:	0.48
Release:	%mkrel 8
Summary:	D-Bus service for Obex Client access

Group:		Communications/Mobile
License:	GPLv2+
Source0:	https://www.kernel.org/pub/linux/bluetooth/obexd-%{version}.tar.xz
Url:		https://www.bluez.org/

BuildRequires:	glib2-devel
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(bluez)
BuildRequires:	pkgconfig(openobex)
BuildRequires:  pkgconfig(libical)

%description
obexd contains obex-client, a D-Bus service to allow sending files
using the Obex Push protocol, common on mobile phones and
other Bluetooth-equipped devices.

%prep
%setup -q

%build
%configure --disable-server
%make_build

%install
%make_install

%files
%doc README AUTHORS doc/client-api.txt
%{_libexecdir}/obex-client
%{_datadir}/dbus-1/services/obex-client.service


