%global __requires_exclude pear\\(config.php\\)|pear\\(Zend/Log.php\\)|pear\\(Zend/Loader.php\\)|pear\\(conf/db.php\\)|pear\\(report/command/UserActiveReportCommand.php\\)|pear\\(report/command/UserArchiveReportCommand.php\\)|pear\\(PHPUnit/Framework.php\\)

%define short_version 2.3

Name:           obm
Summary:        Collaborative software
Version:        2.3.7
Release:        %mkrel 8
Url:            https://obm.org/
License:        GPL
Group:          Networking/WWW 
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %name-%{version}.tar.gz
Source1:        %{name}_conf.ini
BuildArch:      noarch

%description
OBM is an Open Source Collaborative software, based on the best 
Open Source technologies. OBM offers a unique experience to share 
and manage information in modern organizations. Through its rich 
functionalities, OBM answer to a large scope of projects.

%files
%defattr(-,apache,apache)
%doc README.urpmi
%_sysconfdir/httpd/conf/webapps.d/%name.conf
%_var/www/%{name}

#--------------------------------------------------------------------

%prep
%setup -q 

%build

%install
mkdir -p %buildroot%_var/www
(
cd %buildroot%_var/www
tar xf %{SOURCE0}
mv %name-%version %name
cp -f %{SOURCE1} %{name}/conf/
)


mkdir -p %buildroot%_sysconfdir/httpd/conf/webapps.d
cat > %buildroot%_sysconfdir/httpd/conf/webapps.d/%{name}.conf <<EOF
Alias /%{name} /var/www/%name/php
<Directory /var/www/%name/php>
    Allow from all
    DirectoryIndex obm.php
    SetEnv OBM_INCLUDE_VAR obminclude
    AddDefaultCharset UTF-8
    #AddDefaultCharset ISO-8859-15
</Directory>
EOF

cat > README.urpmi <<EOF
You just installed or update %{name}.
To have it working you have to create a Mysql user, and then modify 
%_var/www/%{name}/conf/%{name}_conf.ini.
The last step will allow you to create the tables. To do this just execute :
%_var/www/%{name}/scripts/%{short_version}/install_obmdb_%{short_version}.sh
EOF

%clean
%{__rm} -rf "%{buildroot}"
