Name:           ocaml-autoconf
Version:        1.1
Release:        %mkrel 12
Summary:        Autoconf macros for OCaml
# https://fedoraproject.org/wiki/Licensing/BSD#3ClauseBSD
License:        BSD 3 clauses
Group:          Development/OCaml
URL:            https://forge.ocamlcore.org/projects/ocaml-autoconf/
Source0:        https://forge.ocamlcore.org/frs/download.php/181/ocaml-autoconf-%{version}.tar.gz
BuildArch:      noarch
# Runtime requires /usr/share/aclocal subdirectory.
Requires:       automake


%description
Autoconf macros for OCaml projects.


%prep
%setup -q

%build
make

%install
make install \
  prefix=%{_prefix} \
  datadir=%{_datadir} \
  mandir=%{_mandir} \
  DESTDIR=%{buildroot}

%files
%doc README LICENSE
%{_mandir}/man1/*.1*
%{_datadir}/aclocal/ocaml.m4
