Name:		ocaml-calendar
Version:	2.04
Release:	%mkrel 15
Summary:	OCaml calendar library
License:	LGPLv2 with linking exception
Group:		Development/OCaml
URL:		http://calendar.forge.ocamlcore.org/
Source0:	https://forge.ocamlcore.org/frs/download.php/1481/calendar-%{version}.tar.gz
Patch0:		calendar-2.03.2-enable-debug.patch
BuildRequires:	ocaml-compiler
BuildRequires:	ocaml-findlib-devel

%description
The Calendar library is a library providing a set of operations over dates and
times.

%package	devel
Summary:	Development files for %{name}
Group:		Development/OCaml
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n calendar-%{version}
%autopatch -p1

%build
%configure
%__make

%check
make tests

%install
install -d -m 755 %{buildroot}%{_libdir}/ocaml
make install OCAMLFIND_DESTDIR="%{buildroot}%{_libdir}/ocaml"

rm -f %{buildroot}%{_libdir}/ocaml/calendar/*.{o,cmo}

%files
%doc calendarFAQ-2.6.txt calendar_faq.txt CHANGES COPYING LGPL README TODO
%dir %{_libdir}/ocaml/calendar
%{_libdir}/ocaml/calendar/META
%{_libdir}/ocaml/calendar/*.cma
%{_libdir}/ocaml/calendar/*.cmi
%{_libdir}/ocaml/calendar/*.cmxs

%files devel
%{_libdir}/ocaml/calendar/*.a
%{_libdir}/ocaml/calendar/*.cmxa
%{_libdir}/ocaml/calendar/*.cmx
%{_libdir}/ocaml/calendar/*.mli
