%define debug_package %{nil}

Name:       ocaml-fetch
Version:    0.1.0
Release:    %mkrel 7
Summary:    Universal fetcher for OCaml
License:    LGPL with exceptions
Group:      Development/OCaml
URL:        https://sourceforge.net/projects/savonet/files/
Source0:    https://downloads.sourceforge.net/savonet/ocaml-fetch/ocaml-fetch-%{version}.tar.gz
BuildRequires:  ocaml-findlib

%description
Module fetch: a universal fetcher.
It currently handles samba, ftp and local files.

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries for developing applications
that use %{name}.

%prep
%setup -q

%build
./configure
make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/fetch
make install

%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/fetch
%{_libdir}/ocaml/fetch/META
%{_libdir}/ocaml/fetch/*.cma
%{_libdir}/ocaml/fetch/*.cmi

%files devel
%doc doc/html/
%doc examples/
%{_libdir}/ocaml/fetch/*.a
%{_libdir}/ocaml/fetch/*.cmxa
%{_libdir}/ocaml/fetch/*.mli
