%define debug_package %{nil}

Name:           ocaml-ftp
Version:        0.1.0
Release:        %mkrel 10
Summary:        OCaml functions for accessing files via FTP
License:        GPL
Group:          Development/OCaml
URL:            https://sourceforge.net/projects/savonet/files/ocaml-ftp/
Source0:        https://downloads.sourceforge.net/project/savonet/ocaml-ftp/%{version}/ocaml-ftp-%{version}.tar.gz
BuildRequires:  ocaml-findlib

%description
OCaml functions for accessing files via FTP

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
./configure
make
make doc

%install
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/ftp
make install

%files
%doc CHANGES COPYING README
%dir %{_libdir}/ocaml/ftp
%{_libdir}/ocaml/ftp/META
%{_libdir}/ocaml/ftp/*.cma
%{_libdir}/ocaml/ftp/*.cmi

%files devel
%doc doc/html/
%{_libdir}/ocaml/ftp/*.a
%{_libdir}/ocaml/ftp/*.cmxa
%{_libdir}/ocaml/ftp/*.mli
