%define debug_package %{nil}

Name:           ocaml-inifiles
Version:        1.2
Release:        %mkrel 11
Summary:        A small library to read and write .ini files
License:        LGPL
Group:          Development/OCaml
URL:            http://homepage.mac.com/letaris/
Source0:        http://homepage.mac.com/letaris/inifiles-%{version}.tar.gz
Patch0:         makefile-ocamldoc-flags-pcre.patch
Patch1:         ocaml-4.0-fix-labelled-function.patch
BuildRequires:  ocaml-findlib
BuildRequires:  tetex-latex
BuildRequires:  ocaml-pcre-devel
Requires:       ocaml-pcre

%description
An ini file parser, in case you ever need to parse one of those
little buggers.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n inifiles-%{version}
%patch -P 0 -p 0
%patch -P 1 -p 1

%build
make all opt
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/inifiles
make install

%files
%doc COPYING
%dir %{_libdir}/ocaml/inifiles
%{_libdir}/ocaml/inifiles/META
%{_libdir}/ocaml/inifiles/*.cma
%{_libdir}/ocaml/inifiles/*.cmi

%files devel
%doc doc/
%{_libdir}/ocaml/inifiles/*.a
%{_libdir}/ocaml/inifiles/*.cmxa
%{_libdir}/ocaml/inifiles/*.mli
