Name:           ocaml-pipebang
Version:        109.28.00
Release:        %mkrel 7
Summary:        OCaml Pipe Bang Syntax extension
Group:          Development/OCaml
License:        ASL 2.0
URL:            https://ocaml.janestreet.com
Source0:        https://ocaml.janestreet.com/ocaml-core/%{version}/individual/pipebang-%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-camlp4-devel
Requires:       ocaml-compiler
Requires:       ocaml-camlp4
Requires:       ocaml-ounit

%description
The Pipe Bang syntax extension allows to transform x |! f into f x.

%prep
%setup -q -n pipebang-%{version}

%build
./configure
make

rm -f sample/.hgignore.in

%install
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
make install

%files
%doc LICENSE.txt
%doc THIRD-PARTY.txt INRIA-DISCLAIMER.txt
%doc sample/
%{_libdir}/ocaml/pa_pipebang
