Name:           ocaml-xtmpl
Version:        0.9
Release:        %mkrel 6
Summary:        A small XML templating library for OCaml
License:        LGPLv3
Group:          Development/OCaml
URL:            http://zoggy.github.com/xtmpl/
Source0:        http://zoggy.github.com/xtmpl/xtmpl-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-xmlm-devel
Requires:       ocaml-xmlm

%description
Xtmpl is a small XML templating library for OCaml.
It is a rewrite engine / templating library for Xml trees.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-xmlm-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n xtmpl-%{version}

%build
make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/xtmpl
make install
rm -f $OCAMLFIND_DESTDIR/xtmpl/LICENSE

%files
%doc README LICENSE Changes
%dir %{_libdir}/ocaml/xtmpl
%{_libdir}/ocaml/xtmpl/META
%{_libdir}/ocaml/xtmpl/*.cmi
%{_libdir}/ocaml/xtmpl/*.cmo
%{_libdir}/ocaml/xtmpl/*.o
%{_libdir}/ocaml/xtmpl/*.cmxs

%files devel
%doc doc/
%{_libdir}/ocaml/xtmpl/*.cmx
%{_libdir}/ocaml/xtmpl/*.mli
