Name:           oclock
Version:        1.0.6
Release:        %mkrel 1
Summary:        Round X clock
Group:          Development/X11
License:        MIT
Url:            https://www.x.org
Source:         https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(x11) >= 1.0.0
BuildRequires:  pkgconfig(xext) >= 1.0.0
BuildRequires:  pkgconfig(xmu) >= 1.0.0
BuildRequires:  pkgconfig(xt) >= 1.0.0
BuildRequires:  x11-util-macros >= 1.0.1
BuildRequires:  pkgconfig(xkbfile)

%description
Oclock simply displays the current time on an analog display.

%prep
%setup -q

%build
%configure

%make_build

%install
%make_install

%files
%{_bindir}/oclock
%{_datadir}/X11/app-defaults/Clock-color
%{_mandir}/man1/oclock.*
