Name:		odt2txt
Version:	0.5
Release:	%mkrel 6
Source0:	https://github.com/dstosberg/odt2txt/archive/v%{version}.tar.gz
Patch0:		odt2txt-0.5-cflags.patch
URL:		https://stosberg.net/odt2txt/
Summary:	A simple (and stupid) converter from OpenDocument Text to plain text
Group:		Text tools
License:	GPLv2
BuildRequires:	pkgconfig(zlib)
%description
odt2txt is a command-line tool which extracts the text out of OpenDocument
Texts produced by OpenOffice.org, StarOffice, KOffice and others.

odt2txt is ...
* small
* supports multiple output encodings
* adopts to your locale
* able to substitute common characters which the output charset does
  not contain with ascii look-a-likes
* written in C, has few dependencies
* portable (runs on Linux, *BSD, Solaris, HP-UX, Windows, Cygwin)
* licensed under GPL, version 2

%prep
%autosetup -p1

%build
%set_build_flags
%make_build

%install
%{__make} DESTDIR=%{buildroot} PREFIX=%{_prefix} install

%files
%doc GPL-2
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

