%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Office game for laptop owners
Name:		office-runner
Version:	1.0.2
Release:	%mkrel 8
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	GPLv2+
URL:		https://www.gnome.org/
Group:		Graphical desktop/GNOME
BuildRequires:	pkgconfig(gnome-settings-daemon) >= 3.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	intltool >= 0.39.99
BuildRequires:	gnome-doc-utils
BuildRequires:	libxslt-proc
Buildrequires:	itstool

%description
Game for laptop users allowing you to inhibit suspend and record your timings.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure --disable-schemas-install
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS NEWS README TODO
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
