Name:           ogmtools
Epoch:          1
Version:        1.5
Release:        %mkrel 19
Summary:        OGG media stream tools
License:        GPLv2
Group:          Video/Utilities
URL:            https://www.bunkus.org/videotools/ogmtools/
Source0:        https://www.bunkus.org/videotools/ogmtools/%{name}-%{version}.tar.bz2
Patch0:         ogmtools-1.5-optflags.patch

BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(dvdread)

%description
These tools allow information about (ogminfo) or extraction
from (ogmdemux) or creation of (ogmmerge) OGG media streams.
Note that OGM is used for "OGG media streams".

%prep
%autosetup -p1

%build
%configure
%make_build CPPFLAGS=--std=c++11

%install
%make_install

%files
%doc README ChangeLog
%_bindir/*
%_mandir/man1/*

