Name:          omquery
Version:       0.92.3
Release:       %mkrel 0
Summary:       XPath interface for XT
Group:         Development/Java
License:       BSD
# This URL is no longer available
Url:           http://www.geocities.com/takuki_kamiya/pub/XPath4XT.html
# from   https://api.opensuse.org/public/source/Java:jpackage-5.0/omquery/omquery.zip
Source0:       omquery.zip
Source1:       omquery.build.xml
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: xt-dash1
Requires:      xt-dash1
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
XPath interface for XT provides for DOM query API facilities on top of XT.
It is implemented in Java language and complies with W3C's XPath Proposed
Recommendation as is currently implemented in XT.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java
Requires:       jpackage-utils

%description javadoc
XPath interface for XT.

Javadoc for %{name}.

%prep
%setup -q -n omquery

cp -pr %{SOURCE1} build.xml

for j in $(find . -name "*.jar"); do
  rm -f $j
done

perl -pi -e 's/\r$//g' README.txt copying.txt

%build

export CLASSPATH=$(build-classpath xt-dash1)
export OPT_JAR_LIST=:
ant -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 jar
ant javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 build/lib/omquery.jar %{buildroot}%{_javadir}/omquery-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/omquery-%{version}
cp -pr build/api/* %{buildroot}%{_javadocdir}/omquery-%{version}
ln -sf omquery-%{version} %{buildroot}%{_javadocdir}/omquery

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_javadir}/omquery-%{version}.jar
%{_javadir}/omquery.jar
%doc README.txt copying.txt

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/omquery-%{version}
%{_javadocdir}/omquery

