Name: 	 	onestroke
Summary: 	Gesture recognition for tablet PC's
Version: 	0.8.4
Release: 	%mkrel 13

Source:		http://pub.risujin.org/onestroke/%{name}-%{version}.tar.gz
URL:		https://risujin.org/onestroke/
Patch0:		onestroke-0.8.4-linking.patch
Patch1:		onestroke-0.8.4-buildfix.patch
License:	GPLv2+
Group:		Accessibility
BuildRequires:	imagemagick
BuildRequires:	gtk2-devel
BuildRequires:	pkgconfig(xtst)
BuildRequires:	desktop-file-utils

%description
OneStroke is a pen gesture recognition program designed for Unix-based Tablet
PCs. The program serves as a keyboard replacement for tablet mode. When one of
the gestures is drawn on the main window, the configured keyboard event is
sent to the currently focused window.

%prep
%setup -q
%autopatch -p1

chmod 644 README *.png *.desktop

%build
%set_build_flags
CFLAGS="%{optflags} -fcommon"
%make_build

%install
%make_install

#menu
sed -i "s/%{name}.png/%{name}/" %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

#icons
mkdir -p %{buildroot}%{_liconsdir}
convert -size 48x48 %{name}.png %{buildroot}%{_liconsdir}/%{name}.png
mkdir -p %{buildroot}%{_iconsdir}
convert -size 32x32 %{name}.png %{buildroot}%{_iconsdir}/%{name}.png
mkdir -p %{buildroot}%{_miconsdir}
convert -size 16x16 %{name}.png %{buildroot}%{_miconsdir}/%{name}.png

%files
%doc README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}-0.8
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
