%define realname opensfx

%bcond_with check

Name:           openttd-%{realname}
Version:        1.0.3
Release:        %mkrel 2
Summary:        OpenSFX sound replacement set for OpenTTD

Group:          Games/Strategy
License:        Creative Commons Sampling Plus 1.0 License
URL:            http://dev.openttdcoop.org/projects/opensfx
Source0:        https://cdn.openttd.org/opensfx-releases/%{version}/opensfx-%{version}-source.tar.xz
BuildArch:      noarch
BuildRequires:  catcodec
BuildRequires:  grfcodec
BuildRequires:  nml
BuildRequires:  dos2unix

%description
OpenSFX is an open source replacement for the original Transport Tycoon
Deluxe base sounds used by OpenTTD.

%prep
%setup -q -n %{realname}-%{version}-source

%build
make clean _V= _E=echo
%make_build _V= _E=echo

%install
mkdir -p %{buildroot}%{_gamesdatadir}/openttd/baseset
%make_build install _V= _E=echo INSTALL_DIR=%{buildroot}%{_gamesdatadir}/openttd/baseset

%if %{with check}
%check
%make_build check _V= _E=echo
%endif

%files
%doc docs/*.txt
%{_gamesdatadir}/openttd/baseset/%{realname}-%{version}.tar
