%define	release	11

Name:		osie
Version:	1.0.0
Release:	%mkrel %{release}
Summary:	OpenTTD screenshot information extractor
Group:          Graphics/Utilities
License:	GPLv2
URl:		https://www.openttd.org/
Source0:	https://ftp.snt.utwente.nl/pub/games/openttd/binaries/extra/%{name}/%{version}/%{name}-%{version}-source.tar.gz
Patch0:		osie-1.0.0-add_makefile.local_support.patch
BuildRequires:	pkgconfig(libpng)

%description
osie (OpenTTD screenshot information extractor) extracts the information
stored in OpenTTD's PNG screenshots such as the version, NewGRFs and AIs.

%prep
%setup -q
%patch -P 0 -p0 -b .addlocalsupport

cat >> Makefile.local << EOF
prefix = %{_prefix}
DO_NOT_INSTALL_CHANGELOG = 1
DO_NOT_INSTALL_LICENSE = 1
DO_NOT_INSTALL_DOCS = 1
EOF

%build
%set_build_flags
%make_build

%install
%make_install

%files
%doc docs/readme.txt changelog.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
