#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        The KDE Plasma Workspace Sounds
Name:           oxygen-sounds
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildArch:	noarch

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)

%description
This package contains the default sound set for a KDE Plasma workspace.

%files
%_kf6_datadir/sounds/oxygen/
%_kf6_datadir/sounds/Oxygen-*

#--------------------------------------------------------------------


%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install
