## ChangeLog.txt - unreleased version; git source - branch pr/python-3.12.
## Source name format:
## git clone --single-branch --branch pr/python-3.12 https://github.com/sunweaver/pam-python
%define commit	4a09616112de8b9e4920c06b8aa6ae0428cbb5d5
%define date	20240207

%define rel	2

Name:		pam-python
Version:	1.1.0
Release:	%mkrel %{?date:0.git%date.}%{rel}
Group:		System/Libraries
URL:		https://pam-python.sourceforge.net/
License:	AGPLv3+
Summary:	Support for writing PAM modules in Python
#Source0:	https://sourceforge.net/projects/%%{name}/files/%%{name}-%%{version}-1/%%{name}-%%{version}.tar.gz
Source0:	https://github.com/sunweaver/pam-python/archive/%{commit}/%{name}-%{version}%{?date:+git%date}.tar.gz
# From upstream bug report
# https://sourceforge.net/p/pam-python/tickets/1/#5839
Patch1:		pam-python-1.1.0-fedora.patch
# Mageia patches
Patch100:	pam-python-1.1.0-build.patch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pam-devel >= 0.76
BuildRequires:	python3-sphinx

%description
pam-python is a PAM Module that runs the Python interpreter, thus allowing PAM
modules to be written in Python.

%prep
%autosetup -p1 -n %{name}-%{commit}

%build
%make_build OPTFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
%make_install LIBDIR=%{_libdir}/security DOCDIR=%{_docdir}/%{name}

%files
%doc README.txt pam-python.html
%doc %{_docdir}/%{name}/*
%license agpl-3.0.txt
%{_libdir}/security/pam_python3.so
