%define oname	pam-abl
%define distname %{oname}-%{version}

Summary:	Auto blacklisting of hosts and users
Name: 		pam_abl
Version: 	0.6.0
Release: 	%mkrel 5
License:	GPLv2
Group:		System/Libraries
URL: 		https://sourceforge.net/projects/pam-abl/
Source0: 	https://downloads.sourceforge.net/project/%{oname}/%{oname}/%{distname}.tar.gz
Source1:	pam_abl.conf
BuildRequires:	pam-devel
BuildRequires:  db-devel
BuildRequires:  cmake

%description
A PAM module that provides auto blacklisting of hosts and users
responsible for repeated failed authentication attempts. Generally
configured so that blacklisted users still see normal login prompts
but are guaranteed to fail to authenticate.

%prep
%setup -q -c -n %{oname}
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install
install -d %buildroot/%_lib
mv %buildroot%_prefix/lib/security %buildroot/%_lib
install -D -m644 %SOURCE1 %buildroot%_sysconfdir/security/pam_abl.conf
install -d %buildroot%_var/lib/abl

%files
%doc README
/%{_lib}/security/*so*
%{_bindir}/%{name}
%config(noreplace) %_sysconfdir/security/pam_abl.conf
%dir %_var/lib/abl
