%define rel	1

Summary:	MySQL authentication for PAM
Name:		pam_mysql
Version:	1.0.0
Release:	%mkrel 0.beta1.%{rel}
License:	GPL
Group:		System/Libraries
URL:		https://github.com/NigelCunningham/pam-MySQL
Source0:	https://github.com/NigelCunningham/pam-MySQL/archive/refs/tags/1.0.0-beta1.tar.gz
# https://github.com/NigelCunningham/pam-MySQL/issues/80
Patch0:		0001-Remove-hard-coded-install_dir-and-use-libdir-instead.patch
# https://github.com/NigelCunningham/pam-MySQL/pull/81
Patch1:		0002-Remove-name-prefix-to-shared-library-is-named-pam_my.patch
Requires:	pam
Provides:	pam-mysql
BuildRequires:	pam-devel
BuildRequires:	mysql-devel
BuildRequires:	meson

%description
This is a module that allows people to login to PAM-aware applications by
authenticating to a MySQL database. Now configurable in terms of which host the
database resides upon and which table and username and password column to
interrogate.

%prep
%autosetup -n pam-MySQL-1.0.0-beta1

%build
%meson
%meson_build

mv AUTHORS AUTHORS.lame
iconv -f latin1 -t utf-8 -o AUTHORS AUTHORS.lame

%install
%meson_install

%files
%license COPYING
%doc AUTHORS NEWS README
%{_libdir}/security/pam_mysql.so
