%global _legacy_common_support 1

Name:		pam_ssh
Version:	2.3
Release:	%mkrel 6
Summary:	A Pluggable Authentication Module (PAM) for use with SSH
License:	BSD
Group:		System/Libraries
URL:		https://sourceforge.net/projects/pam-ssh/
Source0:	https://downloads.sourceforge.net/pam-ssh/%{name}-%{version}.tar.xz
Requires:	openssh
BuildRequires:	pam-devel 
BuildRequires:	openssh-clients
BuildRequires:	pkgconfig(openssl) >= 1.1


%description
This PAM module provides single sign-on behavior for UNIX using SSH. Users
are authenticated by decrypting their SSH private keys with the password
provided (probably to XDM). In the PAM session phase, an ssh-agent process is
started and keys are added.

%prep
%setup -q

%build
autoreconf -f -si
%configure --with-pam-dir=/%_lib/security
%make_build

%install
%make_install

%files
%doc AUTHORS NEWS README ChangeLog TODO
/%{_lib}/security/pam_ssh.*
%{_mandir}/man[^3]/pam_ssh*

