Name:		passwd-gen
Version:	1.01a
Release:	%mkrel 20
Summary:	Password generator
License:	GPLv2
Group:		System/Base
Source:		%{name}-%{version}.tar.bz2
#gw: remove a compiler warning and convert the output message to UTF-8
Patch0:		passwd-gen-1.01a-warning.patch
Patch1:		passwd-gen-1.01a-debug.patch

%description
passwd-gen is a very powerful password generator written in C to help
you choose a good password. It contains many options to help you
customize your password. The program has been developed for Linux but
may run on many other system (if you are using it from something else
than linux, please contact the author).

%prep
%setup -q
%autopatch -p1

%build
%make_build CFLAGS="%{optflags}"

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}

%files
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/%{name}
