Summary:	Patches utilities 
Name:		patchutils
Version:	0.4.2
Release:	%mkrel 2
License:	GPLv2+
Group:		Text tools
URL:		http://cyberelk.net/tim/software/patchutils/
Source0:	http://cyberelk.net/tim/data/patchutils/stable/%{name}-%{version}.tar.xz
Source1:	http://cyberelk.net/tim/data/patchutils/stable/%{name}-%{version}.tar.xz.sig
Requires:	patch
Requires:	diffutils
BuildRequires:	xmlto
Provides:	interdiff
Obsoletes:	interdiff < 0.3.1

%description
Patchutils contains interdiff and filterdiff.

You can use interdiff to create an incremental patch between two patches
that are against a common source tree.

Filterdiff is for extracting or excluding patches from a patch set based
on modified files matching shell wildcards.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%check
make tests

%install
%make_install

%files
%doc AUTHORS ChangeLog COPYING README BUGS NEWS
%{_bindir}/*
%{_mandir}/man1/*


