Summary:	An utility for repairing the broken pcap files
Name:		pcapfix
Version:	1.1.7
Release:	%mkrel 2
Source0:	https://f00l.de/pcapfix/%{name}-%{version}.tar.gz
Url:		https://f00l.de/pcapfix/
License:	GPLv3
Group:		Monitoring

%description
pcapfix is a repair tool for corrupted pcap files. It checks for an intact pcap
global header and repairs it if there are any corrupted bytes. If one is not
present, one is created and added to the beginning of the file. It then tries
to find pcap packet headers, and checks and repairs them.

%prep
%setup -q

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
%make_install

%files
%doc Changelog README
%{_bindir}/pcapfix
%{_mandir}/man1/pcapfix.1*
