Summary:   	User-friendly telnet client designed for BBS browsing
Name:      	pcmanx-gtk2
Version:   	1.3
Release:   	%mkrel 4
License: 	GPLv2
Group:    	Networking/Other
Source0:	https://github.com/pcman-bbs/pcmanx/releases/download/%{version}/%{name}-%{version}.tar.xz
Url:       	https://github.com/pcman-bbs/pcmanx
BuildRequires:	gtk2-devel 
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(x11) 
BuildRequires:	pkgconfig(xft)
BuildRequires:	freetype2-devel 
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	intltool 
BuildRequires:	gettext-devel
Provides:	pcmanx = %{version}-%{release}
Obsoletes:	pcmanx-pure-gtk2

%description
An easy-to-use telnet client mainly targets BBS users.
PCMan X is a newly developed GPL'd version of PCMan, a full-featured famous BBS
client formerly designed for MS Windows only.
It aimed to be an easy-to-use yet full-featured telnet client facilitating BBS
browsing with the ability to process double-byte characters.

%prep
%setup -q

%build
%configure --enable-static --disable-shared
%make_build

%install
%make_install

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="RemoteAccess" \
	--remove-key='Encoding' \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
	$RPM_BUILD_ROOT%{_datadir}/applications/*

rm -f %buildroot%_libdir/*
%find_lang pcmanx

%files -f pcmanx.lang
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/pcmanx
%{_datadir}/pcmanx
%{_mandir}/man1/pcmanx.1*
%{_datadir}/pixmaps/pcmanx.svg
%{_datadir}/applications/*.desktop

