Name:		pdf2svg
Version:	0.2.4
Release:	%mkrel 1
Summary:	Command-line utility to convert PDF documents in SVG files
License:	GPLv2
Group:		Graphics/Editors and Converters
Url:		https://cityinthesky.co.uk/opensource/pdf2svg/
Source0:	https://github.com/dawbarton/pdf2svg/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(gtk+-2.0)

%description
pdf2svg is a tiny command-line utility using Cairo and Poppler to convert PDF
documents into SVG files. Multi-page PDF can be split up to one SVG per page by
passing a file naming specification.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%doc README.md AUTHORS ChangeLog
%license COPYING
%{_bindir}/%{name}
