Name:		pdfcrack
Version:	0.20
Release:	%mkrel 1
Summary:	A Password Recovery Tool for PDF files
Group:		Publishing
License:	GPLv2+
URL:		https://pdfcrack.sourceforge.net/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	gcc

%description
PDFCrack is a GNU/Linux tool for recovering passwords and content
from PDF-files. It is small, command line driven without external
dependencies.

%prep
%setup -q

%build
%make_build CFLAGS='%{optflags}' LDFLAGS='%{ldflags}'

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1

install -pm0755 %{name} %{buildroot}%{_bindir}/
install -pm0644 %{name}.1 %{buildroot}%{_mandir}/man1/

%files
%doc README changelog
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
