Name:           pencil
Version:        2.0.5
Release:        %mkrel 9
Summary:        A sketching and GUI prototyping tool

Group:          Development/Tools
License:        GPLv2
URL:            https://code.google.com/p/evoluspencil/
Source0:        http://evoluspencil.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
Requires:	firefox
BuildArch:      noarch

%description
Pencil is an open source GUI prototyping and sketching tools released under GPL.


%prep
%setup -q
sed -i s/xulrunner/firefox/ usr/bin/pencil usr/share/applications/pencil.desktop

%build


%install
cp -R usr $RPM_BUILD_ROOT/
desktop-file-install \
--add-category="AudioVideo" \
--delete-original \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop


%files
%doc COPYING
%{_datadir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop


