%define upstream_name    Acme-Boolean
%define upstream_version 0.7

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    There is more then one way to be true
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Acme/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(boolean) >= 0.200.0
BuildArch:  noarch

%description
This module provides a lot of words for you to express from the very
trustful to the totally erroneous;

TRUE
    These words can be used to refer to a true value:

    verifiable trusty accurate actual appropriate authentic authoritative
    correct dependable direct exact factual fitting genuine honest
    indubitable kosher lawful legal legitimate natural normal perfect
    precise proper pure regular right rightful sincere straight trustworthy
    truthful typical undeniable undesigning undoubted unerring unfaked
    unfeigned unquestionable veracious veridical veritable wash

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
