%define upstream_name	 Acme-MetaSyntactic-Themes
%define upstream_version 1.055

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    The original Acme::MetaSyntactic themes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Acme/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Acme::MetaSyntactic::Alias)
BuildRequires: perl(Acme::MetaSyntactic::List)
BuildRequires: perl(Acme::MetaSyntactic::Locale)
BuildRequires: perl(Acme::MetaSyntactic::MultiList)
BuildRequires: perl(CPAN)
BuildRequires: perl(CPAN::FirstTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Opcode)
BuildRequires: perl(Test::MetaSyntactic)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This distribution contains all the themes that were included in
Acme-MetaSyntactic 0.99 in November 2006, plus several new additions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# (tv) disabled b/c of "Is it OK to try to connect to the Internet? [yes]":
exit 0
make test AUTOMATED_TESTING=true

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/*