%define upstream_name    Alien-Build-Plugin-Download-GitLab
%define upstream_version 0.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Alien::Build plugin to download from GitLab
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/P/PL/PLICEASE/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires:  perl(Alien::Build::Plugin)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:  perl(JSON::PP)
BuildRequires:  perl(Path::Tiny)
BuildRequires:	perl(Test2::V0)
BuildRequires:  perl(URI)
BuildRequires:  perl(URI::Escape)

BuildRequires:  perl(Test2::V0)

%description
This plugin is designed for downloading assets from a GitLab instance.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes META.json META.yml README
%license LICENSE
%{_mandir}/man3/*
%{perl_vendorlib}/*
