%define upstream_name    Alien-Role-Alt
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Alien::Base role that supports alternates
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::Base) >= 1.450.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Role::Tiny) >= 1.3.1
BuildRequires: perl(Test2::V0) >= 0.0.60
BuildRequires: perl(Test::Alien) >= 0.790.0
BuildArch:  noarch

%description
Some packages come with multiple libraries, and multiple '.pc' files to use
with them. This the Role::Tiny manpage role can be used with the
Alien::Base manpage to access different configurations.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*