%define upstream_name    Apache2-ModSSL
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 20

Summary:    Apache2::ModSSL - a Perl Interface to mod_ssl functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/O/OP/OPI/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Apache2-ModSSL-0.10-add_apxs_includedir.patch

BuildRequires: perl(Apache::TestConfig)
BuildRequires: perl(Crypt::SSLeay)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(mod_perl2)
BuildRequires: perl-devel
BuildRequires: apache-devel
BuildRequires: apache-mod_perl
BuildRequires: apache-mod_perl-devel
BuildRequires: apache-mod_ssl

%description
Perl interface to mod_ssl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
#%{__perl} Makefile.PL INC="-I`%{_sbindir}/apxs -q INCLUDEDIR` `apr-1-config --includes` `apu-1-config --includes`" INSTALLDIRS=vendor
#%{__perl} Makefile.PL -apxs %{_sbindir}/apxs INSTALLDIRS=vendor
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

#export APACHE_TEST_HTTPD="%{_sbindir}/httpd"
#make test

%install
%make_install

%files
%doc Changes META.yml README
%dir %{perl_vendorarch}/auto/Apache2/ModSSL
%{perl_vendorarch}/auto/Apache2/ModSSL/ModSSL.so
%{perl_vendorarch}/Apache2/ModSSL.pm
%{_mandir}/*/*
