%define upstream_name    Array-Columnize
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Arrange list data in columns
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Array/%{upstream_name}-%{upstream_version}.tar.gz
# Not real packages:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Array::Columnize::(columnize|options)\\)$

BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More) >= 0.810.0
BuildRequires: perl(rlib) >= 0.20.0
BuildRequires: perl(version)
BuildArch:  noarch

%description
Array::Columnize displays the contents of arrays in columns.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc ChangeLog Changes META.json META.yml MYMETA.yml SIGNATURE eg
%{_mandir}/man3/*
%perl_vendorlib/*
