%define upstream_name    Array-Compare
%define upstream_version 3.0.8

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl extension for comparing arrays
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Array/%{upstream_name}-v%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Moo)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Types::Standard)
BuildArch:  noarch

%description 
If you have two arrays and you want to know if they are the same or different,
then Array::Compare will be useful to you.

%prep
%setup -q -n %{upstream_name}-v%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot}

%check
./Build test

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Array
%{_mandir}/*/*