%define upstream_name    Bot-BasicBot-Pluggable-Module-Tea
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Organise tea rounds via IRC
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Bot/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Bot::BasicBot::Pluggable::Module)
BuildRequires: perl(DateTime)
BuildRequires: perl(English)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::Bot::BasicBot::Pluggable)
BuildRequires: perl(Test::MockModule)
BuildRequires: perl(Test::MockObject::Extends)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


