%define upstream_name    Cache-Simple-TimedExpiry
%define upstream_version 0.27

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Perl module to add expiry to Cache::Simple object
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Cache/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires: perl(inc::Module::Install)
BuildArch:      noarch

%description
Perl module to add expiry to Cache::Simple object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install
rm -rf %{buildroot}/%{perl_vendorarch}/

%files
%doc Changes 
%{perl_vendorlib}/Cache
%{_mandir}/man3/*


