%define upstream_name    Catalyst-Plugin-Cache-FastMmap
%define upstream_version 0.9

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Mmap cache for Catalyst applications
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%upstream_name
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cache::FastMmap)
BuildRequires: perl(Catalyst::Runtime) >= 5.700.600
BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(MRO::Compat)
BuildArch:  noarch

%description
This package is part of the Catalyst Cache family. It allows
integration of Cache::FastMmap and Catalyst.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL installdirs=vendor --skipdeps
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%perl_vendorlib/Catalyst
%_mandir/*/*
