%define upstream_name	Catalyst-Plugin-DateTime
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	DateTime plugin for Catalyst
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tgz


BuildRequires:	perl(Catalyst) >= 2.990.0
BuildRequires:	perl(DateTime) >= 0.200.0

Buildarch:	noarch


%description
This module's intention is to make the wonders of DateTime easily
accessible within a Catalyst application via the Catalyst::Plugin
interface.

It adds the methods datetime and dt to the Catalyst namespace.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make_build

%check
## scottk ##
## Temporarily disabled test due to error:
## "Cannot determine local time zone"
## when built in lbd automated build environment
##-__make test

%install
%make_install

%files 
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/Catalyst
