%define upstream_name    Catalyst-Plugin-HTML-Widget
%define upstream_version 1.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	HTML Widget And Validation Framework
License:	Artistic/GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Date/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(Catalyst) >= 5.500.0
BuildRequires:	perl(HTML::Widget)
BuildRequires:	perl(inc::Module::Install)

BuildArch:	noarch


%description
HTML Widget And Validation Framework

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor --skipdeps
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/Catalyst
