%define upstream_name    Catalyst-View-Mason
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:	Mason View Class
License:	Artistic/GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Catalyst) >= 5
BuildRequires:	perl(Catalyst::DispatchType::Regex)
BuildRequires:	perl(Devel::GlobalDestruction)
BuildRequires:	perl(Eval::Closure)
BuildRequires:	perl(HTML::Mason)
BuildRequires:	perl(MRO::Compat)
BuildRequires:	perl(inc::Module::Install)
BuildRequires:	perl(Package::DeprecationManager)
BuildArch:	noarch


%description
Want to use a Mason component in your views? No problem!
Catalyst::View::Mason comes to the rescue.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL installdirs=vendor --skipdeps
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README META.yml
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*
