%define upstream_name    Catalyst-View-TT-Alloy
%define upstream_version 0.00003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    TT::Alloy View for [% app %]
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Catalyst)
BuildRequires: perl(Class::Accessor)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Template::Alloy)
BuildArch: noarch

%description
This is the Catalyst view for the Template emulator the Template::Alloy
manpage.

Your application should define a view class which is a subclass of this
module. The easiest way to achieve this is using 'script/myapp_create.pl'
(replacing 'myapp' with the name of your application).

    $ script/myapp_create.pl view TT::Alloy TT::Alloy

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


