%define	upstream_name	 Chart
%define	upstream_version 2.4.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    A series of charting modules
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/C/CH/CHARTGRP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(GD) >= 2.0.0
BuildArch:  noarch

%description
Series of charting modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 0644 README TODO

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files 
%doc META.yml MYMETA.yml README TODO samples
%{perl_vendorlib}/Chart*
%{_mandir}/*/*