%define upstream_name	  Chess
%define upstream_version  0.6.2

%{?perl_default_filter}

Name:		perl-%upstream_name
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 11
Summary:	A framework for writing chess programs with Perl 
License:	GPL+ or Artistic 
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/B/BJ/BJR/%upstream_name-%upstream_version.tar.gz
BuildRequires:	perl(Carp)
BuildRequires:	perl(Test::Simple)
BuildRequires:	perl(List::Compare)

BuildArch:	noarch
Obsoletes:	perl-Chess < 0.6.2-6

%description
This package is provided as shorthand for cpan module Chess::Game. It
provided no functionality not contained within the other packages in
this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README TODO MANIFEST
%{_mandir}/man3/*
%{perl_vendorlib}/*
