# This spec is in the SVN
# $Id$

%define module	Class-Accessor-Named
%define name	perl-%{module}
%define version	0.009
%define release %mkrel 1

%define rpm_version %(rpm -q --queryformat '%|EPOCH?{[%{EPOCH}:%{VERSION}]}:{%{VERSION}}|' rpm)

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl Class::Accessor::Named module
License:	Artistic
Group:		Development/Perl
Source:		https://www.cpan.org/modules/by-module/Class/%{module}-%{version}.tar.gz
Url:		https://metacpan.org/dist/%{module}

%description
This module provides the Class-Accessor-Named perl module.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%make_install

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Class/Accessor/*
%{_mandir}/*/*
