%define upstream_name    Class-MakeMethods
%define upstream_version 1.01

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 11

Summary: 	Generate common types of methods 
License: 	GPL+ or Artistic
Group: 		Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0: 	https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:         Class-MakeMethods-1.009-Fix-building-on-Perl-without-dot-in-INC.patch

BuildArch: 	noarch


%global __requires_exclude perl\\(Class::MakeMethods::Template::Array\\)

%description
By passing arguments to "use Class::MakeMethods ..." statements, you can
select from a library of hundreds of common types of methods, which are
dynamically generated and installed as subroutines in your module,
simplifying the code for your class.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
# use all defaults

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
%make_install

%files
%defattr(644,root,root,755)
%doc README CHANGES META.yml
%{perl_vendorlib}/Class/MakeMethods*
%{perl_vendorlib}/Class/benchmark.pl
%{_mandir}/man*/*
