%define upstream_name    Class-Member
%define upstream_version 1.6

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Class::Member - A set of modules to make module development easier
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/O/OP/OPI/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch

%description
Class::Member - A set of modules to make module development easier.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README
%dir %{perl_vendorlib}/Class/Member
%{perl_vendorlib}/Class/Member.pm
%{perl_vendorlib}/Class/Member/*.pm
%{_mandir}/*/*


