%define upstream_name Convert-ASCII-Armour
%define upstream_version 1.4

%{?perl_default_filter}

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 6
License:        Artistic
Group:          Development/Perl
Summary:        Convert binary octets into ASCII armoured messages
Source0:        https://cpan.metacpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz
Url:            https://metacpan.org/release/%{upstream_name}
BuildRequires:  perl(Compress::Zlib)  
Requires:       perl
BuildArch:      noarch

%description 
This module converts hashes of binary octets into ASCII
messages suitable for transfer over 6-bit clean transport
channels. The encoded ASCII resembles PGP's armoured
messages, but are in no way compatible with PGP.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
echo | %__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc ARTISTIC
%{perl_vendorlib}/*
%{_mandir}/*/*
