%define upstream_name Crypt-Enigma
%define upstream_version 1.3

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Crypt-Enigma module for perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires:	perl-devel
BuildArch:	noarch

%description
This is a Perl implementation of the WWII Enigma Machine

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 0644 examples/*.pl

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc Changes README examples
%{perl_vendorlib}/Crypt/Enigma.pm
%{_mandir}/*/*
