%define upstream_name	 DBIx-Class
%define upstream_version 0.082844

%define bootstrap 1

%?perl_default_filter
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}perl\\(DBD::Pg\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(DBD::Pg\\)$
%global __requires_exclude %__requires_exclude|perl\\(DBIx::Class::(Admin|CDBICompat|ClassResolver|Storage|Componentised|ResultSourceProxy)
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}%{perl_vendorlib}/DBIx/Class/Admin
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}%{perl_vendorlib}/DBIx/Class/Admin
%global __provides_exclude_from %__provides_exclude_from|%{perl_vendorlib}/DBIx/Class/CDBICompat
%global __requires_exclude_from %__provides_exclude_from|%{perl_vendorlib}/DBIx/Class/CDBICompat
%global __provides_exclude_from %__provides_exclude_from|%{perl_vendorlib}/DBIx/Class/PK/Auto
%global __requires_exclude_from %__provides_exclude_from|%{perl_vendorlib}/DBIx/Class/PK/Auto
%global __provides_exclude_from %__provides_exclude_from|%{perl_vendorlib}/DBIx/Class/SQLAHacks
%global __requires_exclude_from %__provides_exclude_from|%{perl_vendorlib}/DBIx/Class/SQLAHacks
%global __provides_exclude %__provides_exclude|perl\\(DBIx::Class::_Util\\)
%global __requires_exclude %__requires_exclude|perl\\(DBIx::Class::_Util\\)
%global __provides_exclude %__provides_exclude|perl\\(DBIx::Class::Storage::DBIHacks\\)
%global __requires_exclude %__requires_exclude|perl\\(DBIx::Class::Storage::DBIHacks\\)
%global __provides_exclude %__provides_exclude|perl\\(DBIx::Class::SQLMaker::
%global __requires_exclude %__requires_exclude|perl\\(DBIx::Class::SQLMaker::

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    Extensible and flexible object <-> relational mapper
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

%if !%bootstrap
# (tv) bootstrap:

%endif

BuildRequires: perl(Class::Accessor::Grouped) >= 0.100.120
BuildRequires: perl(Class::C3::Componentised) >= 1.0.900
BuildRequires: perl(Class::Inspector) >= 1.240.0
BuildRequires: perl(Config::Any) >= 0.200.0
BuildRequires: perl(Context::Preserve) >= 0.10.0
BuildRequires: perl(DBD::SQLite) >= 1.290.0
BuildRequires: perl(DBI) >= 1.570.0
BuildRequires: perl(Data::Dumper::Concise) >= 2.20.0
BuildRequires: perl(Devel::GlobalDestruction) >= 0.90.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Temp) >= 0.220.0
BuildRequires: perl(Hash::Merge) >= 0.120.0
BuildRequires: perl(MRO::Compat) >= 0.120.0
BuildRequires: perl(Module::Find) >= 0.70.0
BuildRequires: perl(Moo) >= 2.0.0
BuildRequires: perl(Package::Stash) >= 0.280.0
BuildRequires: perl(Path::Class) >= 0.180.0
BuildRequires: perl(SQL::Abstract::Classic) >= 1.910.0
BuildRequires: perl(Scope::Guard) >= 0.30.0
BuildRequires: perl(Sub::Name) >= 0.40.0
BuildRequires: perl(Test::Deep) >= 0.101.0
BuildRequires: perl(Test::Exception) >= 0.310.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Warn) >= 0.210.0
BuildRequires: perl(Text::Balanced) >= 2.0.0
BuildRequires: perl(Try::Tiny) >= 0.70.0
BuildRequires: perl(namespace::clean) >= 0.240.0
BuildArch:  noarch

Requires:   perl(Class::Accessor::Grouped)
Requires:   perl(Class::C3::Componentised)
Requires:   perl(Class::Inspector) >= 1.24
Requires:   perl(Config::Any) >= 0.20
Requires:   perl(Context::Preserve) >= 0.01
Requires:   perl(Data::Compare) >= 1.22
Requires:   perl(Data::Dumper::Concise) >= 2.020
Requires:   perl(Data::Page) >= 2.00
Requires:   perl(DBD::SQLite)
Requires:   perl(DBI) >= 1.609
Requires:   perl(Module::Find)
Requires:   perl(MRO::Compat) >= 0.09
Requires:   perl(Path::Class) >= 0.18
Requires:   perl(Scope::Guard) >= 0.03
Requires:   perl(SQL::Abstract)
Requires:   perl(SQL::Translator)
Requires:   perl(Sub::Name) >= 0.04
## scottk: The following provides are missed as they appear
##      on different lines from their "package" declarations
Provides:   perl(DBIC::SQL::Abstract)
Provides:   perl(DBIx::Class::CDBICompat::AccessorMapping)
Provides:   perl(DBIx::Class::CDBICompat::AttributeAPI)
Provides:   perl(DBIx::Class::CDBICompat::AutoUpdate)
Provides:   perl(DBIx::Class::CDBICompat::ColumnCase)
Provides:   perl(DBIx::Class::CDBICompat::ColumnGroups)
Provides:   perl(DBIx::Class::CDBICompat::Constraints)
Provides:   perl(DBIx::Class::CDBICompat::Constructor)
Provides:   perl(DBIx::Class::CDBICompat::DestroyWarning)
Provides:   perl(DBIx::Class::CDBICompat::GetSet)
Provides:   perl(DBIx::Class::CDBICompat::HasA)
Provides:   perl(DBIx::Class::CDBICompat::HasMany)
Provides:   perl(DBIx::Class::CDBICompat::ImaDBI)
Provides:   perl(DBIx::Class::CDBICompat::LazyLoading)
Provides:   perl(DBIx::Class::CDBICompat::LiveObjectIndex)
Provides:   perl(DBIx::Class::CDBICompat::MightHave)
Provides:   perl(DBIx::Class::CDBICompat::ObjIndexStubs)
Provides:   perl(DBIx::Class::CDBICompat::Pager)
Provides:   perl(DBIx::Class::CDBICompat::ReadOnly)
Provides:   perl(DBIx::Class::CDBICompat::Relationship)
Provides:   perl(DBIx::Class::CDBICompat::Retrieve)
Provides:   perl(DBIx::Class::CDBICompat::Stringify)
Provides:   perl(DBIx::Class::CDBICompat::TempColumns)
Provides:   perl(DBIx::Class::CDBICompat::Triggers)
Provides:   perl(DBIx::Class::ClassResolver::PassThrough)
Provides:   perl(DBIx::Class::Componentised)
Provides:   perl(DBIx::Class::Relationship::Accessor)
Provides:   perl(DBIx::Class::Relationship::BelongsTo)
Provides:   perl(DBIx::Class::Relationship::CascadeActions)
Provides:   perl(DBIx::Class::Relationship::HasMany)
Provides:   perl(DBIx::Class::Relationship::HasOne)
Provides:   perl(DBIx::Class::Relationship::Helpers)
Provides:   perl(DBIx::Class::Relationship::ManyToMany)
Provides:   perl(DBIx::Class::Relationship::ProxyMethods)
Provides:   perl(DBIx::Class::ResultSetProxy)
Provides:   perl(DBIx::Class::ResultSourceProxy)
Provides:   perl(DBIx::Class::SQLAHacks)
Provides:   perl(DBIx::Class::SQLMaker::MSSQL)
Provides:   perl(DBIx::Class::SQLMaker::MySQL)
Provides:   perl(DBIx::Class::SQLMaker::Oracle)
Provides:   perl(DBIx::Class::SQLMaker::OracleJoins)
Provides:   perl(DBIx::Class::SQLMaker::SQLite)
Provides:   perl(DBIx::Class::Storage)
Provides:   perl(DBIx::Class::Storage::DBIHacks)
Provides:   perl(DBIx::Class::Storage::DBI::Replicated::Types)
Provides:   perl(DBIx::Class::Storage::TxnScopeGuard)
Provides:   perl(SQL::Translator::Parser::DBIx::Class)
# hidden from PAUSE
Provides:   perl(DBIx::Class::ResultSource::RowParser) = %{version}
Provides:   perl(DBIx::Class::ResultSource::RowParser::Util) = %{version}
Provides:   perl(DBIx::Class::Carp) = %{version}

%description
This is an SQL to OO mapper with an object API inspired by Class::DBI
(and a compatibility layer as a springboard for porting) and a
resultset API that allows abstract encapsulation of database
operations. It aims to make representing queries in your code as
perl-ish as possible while still providing access to as many of the
capabilities of the database as possible, including retrieving related
records from multiple tables in a single query, JOIN, LEFT JOIN,
COUNT, DISTINCT, GROUP BY and HAVING support.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -f t/73oracle.t

%build
%__perl Makefile.PL installdirs=vendor --skipdeps
%make_build

%check
##export DBICTEST_PG_DSN="dbi:Pg:dbname=test;host=localhost"
##export DBICTEST_PG_USER=pgtest
##export DBICTEST_PG_PASS='pgtest'
##export DBICTEST_MYSQL_DSN="dbi:mysql:database=test;host=localhost"
##export DBICTEST_MYSQL_USER=mysqltest
##export DBICTEST_MYSQL_PASS='mysqltest'
%if !%bootstrap
%make_build test
%endif

%install
%make_install

%files
%doc AUTHORS Changes LICENSE META.yml MYMETA.yml README examples
%{_bindir}/dbicadmin
%{perl_vendorlib}/DBIx
%{perl_vendorlib}/SQL
%{_mandir}/man*/*