%define upstream_name    Data-Dumper-Compact
%define upstream_version 0.006000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Vertically compact width-limited data formatter
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Method::Modifiers)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Mu::Tiny) >= 0.0.2
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
the Devel::DDCWarn manpage is a the Devel::Dwarn manpage equivalent for the
Data::Dumper::Compact manpage.

The idea, basically, is that it's incredibly annoying to start off with
code like this:

  return some_sub_call();

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README ex
%{_mandir}/man3/*
%perl_vendorlib/*