%define upstream_name    Data-Paginate
%define upstream_version 0.0.6

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    OO interface to paginate data  with 1 module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Std)
BuildRequires: perl(Class::Std::Utils)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(version)
BuildArch: noarch

%description
This module gives you a single resource to paginate data very simply.

It includes access to the page/data variables as well as a way to generate
the navigation HTML and get the data for the current page from a list of
data and many many other things. It can definitely be extended to generate
the navigation controls for XML, Tk, Flash, Curses, etc... (See
"SUBCLASSING" below)

Each item in the "new()" and "Non new() entries" sections have a get_ and
set_ method unless otherwise specified.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


