%define upstream_name    Date-Pcalc
%define upstream_version 6.1

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 31

Summary:	Pure-Perl drop-in replacement for Date::Calc
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Date/%{upstream_name}-%{upstream_version}.tar.gz
patch0:		Date-Pcalc-6.1-fix_perl_516_boolean.patch
patch1:		Date-Pcalc-6.1-century.patch
patch2:		Date-Pcalc-6.1-fix-build-with-perl-5.26.patch

BuildRequires:	perl-ExtUtils-MakeMaker
BuildRequires:	perl(Bit::Vector)
BuildRequires:	perl(Carp::Clan)
BuildRequires:	perl-devel


%description
  'use Date::Pcalc qw( Days_in_Year Days_in_Month ... );'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
echo c | %__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml
%{_mandir}/man3/*
%{perl_vendorarch}/*
