%define upstream_name    Debug-Client
%define upstream_version 0.34

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Client side code for perl debugger
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Debug/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp) >= 1.330.100
BuildRequires: perl(Exporter) >= 5.700.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::HomeDir) >= 1.0.0
BuildRequires: perl(File::Temp) >= 0.230.400
BuildRequires: perl(IO::Socket::IP) >= 0.290.0
BuildRequires: perl(List::Util) >= 1.380.0
BuildRequires: perl(PadWalker) >= 1.980.0
BuildRequires: perl(Term::ReadLine) >= 1.140.0
BuildRequires: perl(Term::ReadLine::Gnu) >= 1.240.0
BuildRequires: perl(Test::CheckDeps) >= 0.10.0
BuildRequires: perl(Test::Class) >= 0.420.0
BuildRequires: perl(Test::Deep) >= 0.112.0
BuildRequires: perl(Test::More) >= 1.1.3
BuildRequires: perl(Test::Requires) >= 0.70.0
BuildRequires: perl(constant) >= 1.270.0
BuildRequires: perl(parent) >= 0.228.0
BuildRequires: perl(version) >= 0.990.800
BuildArch:  noarch

%description
new
    The constructor can get two parameters: host and port.

      my $d = Debug::Client->new;
    
      my $d = Debug::Client->new(host => 'remote.hots.com', port => 4242);

    Immediately after the object creation one needs to call

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
#make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml eg
%{_mandir}/man3/*
%perl_vendorlib/*