%define module	Devel-Arena
%define name	perl-%{module}
%define version	0.23
%define	release	%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl extension for inspecting the core's arena structures
License:	GPL or Artistic
Group:		Development/Perl
Source0:	http://mir2.ovh.net/ftp.cpan.org/authors/id/N/NW/NWCLARK/%{module}-%{version}.tar.bz2
Url:		https://metacpan.org/dist/%{module}

BuildRequires:	perl-devel

%description
This module is useful to inspect the arena structures that perl uses for SV
allocation.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%make_install

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/Devel/*
%{perl_vendorarch}/auto/Devel/*
%{_mandir}/*/*