%define upstream_name    Devel-Declare
%define upstream_version 0.006022

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7
Epoch:      1

Summary:    Adding keywords to perl, in perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

%{?perl_default_filter}
BuildRequires: perl(B::Hooks::EndOfScope) >= 0.50.0
BuildRequires: perl(B::Hooks::OP::Check) >= 0.190.0
BuildRequires: perl(ExtUtils::Depends) >= 0.302.0
BuildRequires: perl(Scalar::Util) >= 1.110.0
BuildRequires: perl(Sub::Name)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl-devel
%description
Devel::Declare can install subroutines called declarators which locally
take over Perl's parser, allowing the creation of new syntax.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/Devel
%perl_vendorarch/auto/Devel
