%define upstream_name	 Devel-ebug
%define upstream_version 0.56

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A simple, extensible Perl debugger 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/L/LB/LBROCARD/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor::Chained::Fast)
BuildRequires: perl(Devel::StackTrace)
BuildRequires: perl(File::Find)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(PadWalker)
BuildRequires: perl(Proc::Background)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(String::Koremutake)
BuildRequires: perl(Test::Expect)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(YAML)
BuildRequires: perl-Proc-Background
BuildRequires: perl-String-Koremutake
BuildRequires: perl-Test-Expect
BuildRequires: perl-Module-Build
BuildRequires: perl-Devel-StackTrace
BuildRequires: perl-YAML
BuildRequires: perl-Module-Pluggable
BuildRequires: perl-PadWalker
BuildArch:  noarch

%description
A debugger is a computer program that is used to debug other programs. 
Devel::ebug is a simple, extensible Perl debugger with a clean API. Using 
this module, you may easily write a Perl debugger to debug your programs. 

Alternatively, it comes with an interactive debugger, ebug.
%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc CHANGES META.yml MYMETA.yml README TODO
%{perl_vendorlib}/Devel
%{_mandir}/*/*
%{_bindir}/*
