%define upstream_name Device-Cdio
%define upstream_version v2.0.0

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 12
Summary:	Module for CD Input and Control library
License:	GPLv2
Group:		Development/Perl
URL:		https://metacpan.org/release/Device-Cdio
Source:		https://cpan.metacpan.org/modules/by-module/Device/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		perl-Device-Cdio-0.3.0-gcc-4.7.patch
BuildRequires:	perl-devel >= 5.8.0
BuildRequires:	perl(ExtUtils::PkgConfig)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(version)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	swig

%description
A module to make easier temporary directories deletion.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Build.PL installdirs=vendor
# M::B copy files read-only, forcing to use
# a two-pass build command
# https://rt.cpan.org/Ticket/Display.html?id=42777
./Build CFLAGS="%{optflags}" || :
chmod u+w -R .
./Build CFLAGS="%{optflags}"

%install
./Build install destdir=%{buildroot}

%files
%doc Changes COPYING
%{perl_vendorarch}/*
%{_mandir}/*/*
