%define upstream_name Dict-Lexed
%define upstream_version 0.2.2

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 14
Summary:	Lexed wrapper
License:	GPL or Artistic
Group:		Development/Perl
Url:            https://metacpan.org/dist/%{upstream_name}
Source:		https://cpan.metacpan.org/authors/id/G/GR/GROUSSE/%{upstream_name}-%{upstream_version}.tar.bz2
Requires:	lexed

BuildRequires:	lexed
Buildarch:	noarch

%description
This module is a perl wrapper around Lexed, a lexicalizer developed at INRIA.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files 
%doc README ChangeLog
%{perl_vendorlib}/Dict
%{_mandir}/*/*
