%define	upstream_name Digest-Nilsimsa
%define	upstream_version 0.06

%{?perl_default_filter}

Name:		perl-Digest-Nilsimsa
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 28
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Perl interface to the Nilsima Algorithm
Source:		https://cpan.metacpan.org/authors/id/V/VI/VIPUL/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:         perl-Digest-Nilsimsa-c99.patch
URL:		https://metacpan.org/release/%{upstream_name}
BuildRequires:	perl-devel

%description
Digest-Nilsimsa module for perl.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc README 
%{_mandir}/*/*
%{perl_vendorarch}/auto/Digest/Nilsimsa
%{perl_vendorarch}/Digest/*
