%define upstream_name Dist-Zilla-Plugin-Author-KENTNL-RecommendFixes
%define upstream_version 0.005004

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Recommend generic changes to the dist
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Data::DPath)
BuildRequires:	perl(Dist::Zilla::Util::Test::KENTNL)
BuildRequires:	perl(Eval::Closure)
BuildRequires:	perl(Generic::Assertions)
BuildRequires:	perl(MooX::Lsub)
BuildRequires:	perl(Package::DeprecationManager)
BuildRequires:	perl(Test::DZil)
BuildRequires:	perl(Test::Fatal)

BuildArch:	noarch

%description
Nothing interesting to see here.

This module just informs me during "dzil build" that a bunch of changes
that I intend to make to multiple modules have not been applied to the
current distribution.

It does this by spewing colored output.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
