%define upstream_name    Dist-Zilla-Plugin-Author-Plicease
%define upstream_version 2.41

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Add a travis status button to the README.md file
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Section)
BuildRequires: perl(Dist::Zilla) >= 6.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir::Dist)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(File::chdir)
BuildRequires: perl(IPC::System::Simple) >= 1.250.0
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Perl::Tidy)
BuildRequires: perl(Sub::Exporter::ForMethods)
BuildRequires: perl(Test2::V0) >= 0.0.60
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
this is the description.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*