%define upstream_name    Dist-Zilla-Plugin-Git-Tag-ForRelease
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
Epoch:      1

Summary:    Create a Release Tag Before Building the Distribution
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-v%{upstream_version}.tar.gz

BuildRequires: perl(English)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This plugin attempts to tag the current repository with an appropriate new
version number.

%prep
%setup -q -n %{upstream_name}-v%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc CHANGES META.yml LICENSE README
%{_mandir}/man3/*
%{perl_vendorlib}/*
