%define upstream_name    Dist-Zilla-Plugin-MetaProvides-Package
%define upstream_version 2.004003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Extract namespaces/version from traditional packages for provides
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dump) >= 1.160.0
BuildRequires: perl(Dist::Zilla) >= 5.0.0
BuildRequires: perl(Dist::Zilla::MetaProvides::ProvideRecord) >= 1.140.0.0
BuildRequires: perl(Dist::Zilla::Plugin::FinderCode)
BuildRequires: perl(Dist::Zilla::Plugin::MetaProvides) >= 1.150.0.0
BuildRequires: perl(Dist::Zilla::Role::MetaProvider::Provider)
BuildRequires: perl(Dist::Zilla::Role::ModuleMetadata)
BuildRequires: perl(Dist::Zilla::Role::PPI)
BuildRequires: perl(Dist::Zilla::Util::ConfigDumper) >= 0.3.0
BuildRequires: perl(Dist::Zilla::Util::Test::KENTNL) >= 1.3.1
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Metadata) >= 1.0.22
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::LazyRequire)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(PPI::Document)
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
