%define upstream_name    Dist-Zilla-Plugin-PkgVersion-Block
%define upstream_version 0.0200

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    PkgVersion for block packages
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

Provides:   perl(Dist::Zilla::Plugin::PkgVersion::Block)
BuildRequires: perl(Dist::Zilla::Role::FileFinderUser) >= 5.0.0
BuildRequires: perl(Dist::Zilla::Role::FileMunger) >= 5.0.0
BuildRequires: perl(Dist::Zilla::Role::PPI) >= 5.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moose) >= 2.0.0
BuildRequires: perl(MooseX::Types::Perl)
BuildRequires: perl(PPI) >= 1.215.0
BuildRequires: perl(Test::DZil) >= 5.0.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(autodie) >= 2.0.0
BuildRequires: perl(namespace::autoclean) >= 0.220.0
BuildArch:  noarch

%description
This plugin turns:

    package My::Package {
        ...
    }

into:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*