%define upstream_name    Dist-Zilla-Plugin-SpellingCommonMistakesTests
%define upstream_version 1.001000

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Tests for common POD spelling mistakes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::Bootstrap::lib)
BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Pod::Spell::CommonMistakes)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Pod::Spelling::CommonMistakes)
BuildRequires: perl(utf8)
BuildArch:  noarch

%description
This is an extension of Dist::Zilla::Plugin::InlineFiles, providing the
following file:

    xt/release/common_spelling.t - a standard Pod::Spell::CommonMistakes test

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*