%define upstream_name    Dist-Zilla-Plugin-Test-Kwalitee-Extra
%define upstream_version v0.2.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Dist::Zilla plugin for Test::Kwalitee::Extra
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Data::Section)
BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::CPANTS::Analyse)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Pod::Eventual)
BuildRequires: perl(Test::Kwalitee::Extra)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch: noarch
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Data::Section-setup\\)

%description
This module is a the Dist::Zilla manpage plugin for the
Test::Kwalitee::Extra manpage. It creates 'xt/release/kwalitee.t' to call
the Test::Kwalitee::Extra manpage.

Most part of codes and tests are identical to the
Dist::Zilla::Plugin::Test::Kwalitee manpage. Only the followings are
changed points.

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%{perl_vendorlib}/*


