%define upstream_name Dist-Zilla-Plugin-TravisCI
%define upstream_version 0.014

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Integrating the generation of .travis.yml into your dzil
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Beam::Event)
BuildRequires: perl(Dist::Zilla) >= 4.300.34
#BuildRequires: perl(Dist::Zilla::Plugin::Beam::Connector)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Path::Tiny) >= 0.12.0
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(YAML) >= 1.140.0
BuildArch:  noarch

%description
Integrating the generation of .travis.yml into your dzil.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*