%define upstream_name    Distribution-Guess-BuildSystem
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Guess a CPAN distribution’s build-system
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Distribution/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Extract::Use)
BuildRequires: perl(Module::Extract::VERSION)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Output)
BuildArch: noarch

%description
This distribution guesses a CPAN distribution’s build-system.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*


