%define module      Email-MIME-Creator
%define name        perl-%{module}
%define up_version  1.456
%define version     %perl_convert_version %{up_version}
%define release     %mkrel 1
%global __provides_exclude perl\\(Email::MIME\\)

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Email::MIME constructor for starting anew
License:        GPL or Artistic
Group:          Development/Perl
URL:            https://metacpan.org/dist/%{module}
Source:         https://www.cpan.org/modules/by-module/Email/%{module}-%{up_version}.tar.gz
Requires:       perl(Email::Simple::Creator)
BuildRequires:  perl(Email::Simple)
BuildRequires:  perl(Email::Simple::Creator)
BuildRequires:  perl(Email::MIME)
BuildRequires:  perl(Email::MIME::Modifier)
BuildRequires:  perl(Email::Date)
BuildArch:      noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This software provides a constructor to Email::MIME for creating messages
from scratch.

%prep
%setup -q -n %{module}-%{up_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%make_install

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Email
%{_mandir}/*/*




