%define upstream_name    Email-Sender-Transport-SMTP-TLS
%define upstream_version 0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Email::Sender with L<Net::SMTP::TLS> (Eg. Gmail)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Email::Sender) >= 0.110.1
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Net::SMTP::TLS::ButMaintained) >= 0.170.0
BuildArch:  noarch

%description
the Email::Sender manpage replaces the old and sometimes problematic the
Email::Send manpage library, while this module replaces the the
Email::Send::SMTP::TLS manpage.

It is still alpha, but it works. use it at your own risk!

ATTRIBUTES
    The following attributes may be passed to the constructor:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*