%define upstream_name ExtUtils-MakeMaker-CPANfile
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    cpanfile support for EUMM
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(File::Path)
BuildRequires: perl(Module::CPANfile)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(version) >= 0.760.0
BuildArch:  noarch

%description
ExtUtils::MakeMaker::CPANfile loads C in your distribution and
modifies parameters for C in your Makefile.PL. Just use it after
LExtUtils::MakeMaker, and prepare C.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*
