%define upstream_name    FCGI-Client
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    FCGI record factory
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/FCGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(IO::Socket::UNIX)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Moo)
BuildRequires: perl(Test::More)
BuildRequires: perl(Type::Tiny)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
FCGI::Client is client library for fastcgi protocol.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


