%define upstream_name File-Find-Iterator
%define upstream_version 0.4

%{?perl_default_filter}

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 6
License: 	GPL or Artistic
Group: 		Development/Perl
Summary:	Iterator interface for search files
Source: 	https://cpan.metacpan.org/authors/id/T/TE/TEXMEC/%{upstream_name}-%{upstream_version}.tar.gz
Url: 		https://metacpan.org/release/%{upstream_name}
BuildRequires: perl-devel
BuildRequires: perl(Class::Iterator)

BuildArch: noarch

%description
Find::File::Iterator is an iterator object for searching through
directory trees. You can easily run filter on each file name. You 
can easily save the search state when you want to stop the search
and continue the same search later.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc README META.yml
%{_mandir}/*/*
%{perl_vendorlib}/*
