%define upstream_name    File-Lockf
%define upstream_version 0.25

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
File-Lockf module for perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
%make_install

%files
%defattr(444,root,root,755)
%doc COPYRIGHT MYMETA.yml README
%dir %{perl_vendorarch}/File
%{perl_vendorarch}/File/lockf.pm
%dir %{perl_vendorarch}/auto/File
%dir %{perl_vendorarch}/auto/File/lockf
%{perl_vendorarch}/auto/File/lockf/lockf.so
%{_mandir}/*/*
