%define	upstream_name	 File-NCopy
%define	upstream_version 0.36

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary: 	Copies files to directories, or a single file to another file
License: 	GPL+ or Artistic
Group: 		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0: 	https://cpan.metacpan.org/modules/by-module/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch


%description
Copies files to directories, or a single file to another file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%check
%__make test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/*/*
%{perl_vendorlib}/File