%define upstream_name    File-Pid
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Pid File Manipulation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
This software manages a pid file for you. It will create a pid file, query
the process within to discover if it's still running, and remove the pid
file.

new
      my $pidfile = File::Pid->new;
    
      my $thisfile = File::Pid->new({
        file => '/var/run/daemon.pid',
      });
    
      my $thisfileandpid = File::Pid->new({
        file => '/var/run/daemon.pid',
        pid  => '145',
      });

    This constructor takes two optional parameters.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


