%define upstream_name Filesys-POSIX
%define upstream_version 0.10.0

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 11

Summary:	Provide POSIX-like filesystem semantics in pure Perl
License:	Artistic
Group:		Development/Perl
URL:		https://metacpan.org/release/Filesys-POSIX-0.10.0lib/Filesys/POSIX.pm
Source0:	https://cpan.metacpan.org/authors/id/W/WR/WRATH/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl(Test::Exception)
BuildRequires:  perl(Test::NoWarnings)
BuildArch: noarch

%{?perl_default_filter}
# remove unsatisfied self requires:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Filesys::POSIX::(IO|Mount|Userland))\\)$


%description
This modules provide POSIX-like filesystem semantics in pure Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

# Kharec: a bad .t file breaks the rebuild...
# %%check
# %%make_build test

%install
%make_install

%files
%doc COPYRIGHT LICENSE MANIFEST README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

