%define	upstream_name	 Filesys-Statvfs
%define	upstream_version 0.82

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 28

Summary:	Interface between Perl and the statvfs() system call
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Filesys/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel


Obsoletes:	perl-Filesys-Statvfs_Statfs_Df <= 0.79
Provides: 	perl-Filesys-Statvfs_Statfs_Df = %{version}-%{release}

%description
Filesys::Statvfs provides an interface between
Perl and the statvfs() system call.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/*/*
%{perl_vendorarch}/Filesys
%{perl_vendorarch}/auto/Filesys
