%define	module	Filesys-Statvfs_Statfs_Df
%define fmodule Filesys/Statvfs_Statfs_Df
%define	name	perl-%{module}
%define	version	0.79
%define	release	%mkrel 5

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Interface between Perl and the statvfs() system call
License:	GPL or Artistic
Group:		Development/Perl
Source0:	https://cpan.metacpan.org/modules/by-module/Filesys/%{module}-%{version}.tar.gz
URL:		https://metacpan.org/dist/%{module}
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Filesys::Statvfs provides an interface between
Perl and the statvfs() system call.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_mandir}/*/*
%{perl_vendorlib}/*/Filesys
%{perl_vendorlib}/*/auto/Filesys




