%define upstream_name 	 Geo-IPfree
%define upstream_version 1.160000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Look up country by IP Address
License:    GPL+ or Artistic
Url:        https://metacpan.org/release/%{upstream_name}
Group:      Development/Perl
Source0:    https://cpan.metacpan.org/modules/by-module/Geo/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test2::Bundle::Extended)
BuildRequires: perl(Test2::Plugin::NoWarnings)
BuildRequires: perl(Test2::Tools::Explain)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Look up country of IP Address. This module make this off-line and 
the DB of IPs is free & small. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Geo
%{_mandir}/*/*