%define upstream_name    Getopt-Usaginator
%define upstream_version 0.0012

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Conjure up a usage function for your applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Package::Pkg)
BuildRequires: perl(Test::Most)
BuildArch: noarch

%{?perl_default_filter}

%description
Getopt::Usaginator is a tool for creating a handy usage subroutine for
commandline applications

It does not do any option parsing, but is best paired with the Getopt::Long
manpage or any of the other myriad of option parsers

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


