%define upstream_name    Gnome2-PanelApplet
%define upstream_version 0.03

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Perl module for the GNOME panel-applet library
License:	GPL+ or Artistic
Group:		Development/GNOME and GTK+
Url:		https://gtk2-perl.sourceforge.net/
Source0:	https://www.cpan.org/modules/by-module/Gnome2/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	gtk+2-devel 
BuildRequires:	gnomeui2-devel
BuildRequires:	libpanel-applet-2-devel
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl(ExtUtils::PkgConfig)
BuildRequires:	perl(Glib)          >= 1.153
BuildRequires:	perl(Gnome2)        >= 1.042
BuildRequires:	perl(Gnome2::GConf) >= 1.044
Buildrequires:	perl-devel

Requires:	gtk+2
Requires:	perl(Glib) >= 1.153

%description
This module provides perl access to the libpanel-applet library,
the Gnome Applet library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%make_install

%files
%defattr(-, root, root)
%doc examples META.yml
%{_mandir}/*/*
%{perl_vendorarch}/Gnome2/*
%{perl_vendorarch}/auto/*
