%define upstream_name Gtk2-GladeXML
%define upstream_version 1.008

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Perl module for the glade libraries
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
Source0:    https://cpan.metacpan.org/authors/id/T/TS/TSCH/%{upstream_name}-%{upstream_version}.tar.gz
Url:        https://metacpan.org/release/%{upstream_name}

BuildRequires: perl(ExtUtils::Depends) >= 0.300.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.0.0
BuildRequires: perl(Glib) >= 1.20.0
BuildRequires: perl(Gtk2) >= 1.0.0
BuildRequires: pkgconfig(libglade-2.0)
BuildRequires: perl-devel
Requires:   perl-Gtk2
%{?perl_default_filter}

%description
This package adds perl support for Glade 2.x to Gtk2-Perl.

libglade allows to load externally stored user interfaces in programs
This allows alteration of GUIes without recompiling of programs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog LICENSE META.json META.yml MYMETA.yml NEWS README examples
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2/*
%{perl_vendorarch}/auto/*
