%define module Gtk2-Html2
%define fmodule Html2

Summary: Perl module for the gtkhtml2 library
%{?perl_default_filter}

Name:    perl-%module
Version: 0.04
Release: %mkrel 26
License: GPL or Artistic
Group:   Development/GNOME and GTK+
Url: https://gtk2-perl.sourceforge.net/
Source0: %module-%version.tar.bz2
Patch0:  Gtk2-Html2-0.04-fix-example.patch

BuildRequires: gtkhtml2-devel >= 2.4
BuildRequires: perl-devel
BuildRequires: perl-ExtUtils-Depends
BuildRequires: perl-Gtk2 >= 1.083-2mdk
BuildRequires: perl-ExtUtils-PkgConfig

Requires: perl-Gtk2 

%description
This package adds perl support for GtkHTML2.

%prep
%setup -q -n %module-%version
%patch -P 0 -p0
find -type d -name CVS | rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%install
%make_install

%files
%doc examples/*
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2/*
%{perl_vendorarch}/auto/*
