%define module NotificationBubble

%{?perl_default_filter}

Name:		perl-Gtk2-%module
Version:	0.01
Release:	%mkrel 29
Summary:	Perl module interface to the EggNotificationBubble library
License:	GPL or Artistic
Group:		Development/GNOME and GTK+
Source:		Gtk2-%module-%version.tar.bz2
Patch0:		Gtk2-NotificationBubble-0.01-triangle.patch
URL:		http://cvs.gnome.org/viewcvs/rhythmbox/widgets/eggnotificationbubble.c

BuildRequires:	gtk+2-devel 
BuildRequires:	perl-devel 
BuildRequires:	perl(ExtUtils::Depends) 
BuildRequires:	perl(ExtUtils::PkgConfig) 
BuildRequires:	perl(Glib) >= 0.92
BuildRequires:	perl(Gtk2)
Requires:	gtk+2 perl-Gtk2 >= 0.95-6mdk

%description
This module allows a Perl developer to display notification bubbles on
top of Gtk2 widgets. They look like tooltips with bevelled borders and
arrows. They can display an icon and a bold header.

%prep
%setup -q -n Gtk2-%module-%version
%autopatch -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc examples/*
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2
%{perl_vendorarch}/auto/*
