%define upstream_name    Gtk2-Notify
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 32

Summary:    Perl interface to libnotify
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/Gtk2-Notify%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Gtk2/%{upstream_name}-%{upstream_version}.tar.gz
# (Fedora) patch to make it build with libnotify-0.7
Patch0:		perl-Gtk2-Notify-0.05-libnotify-0.7.patch

BuildRequires:  pkgconfig(libnotify)	
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl(ExtUtils::PkgConfig)
BuildRequires:  perl(Gtk2)
BuildRequires:  perl(Test::Exception)
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(pango)
BuildRequires:	libgtk+2-devel

%description
Perl interface to libnotify.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
# fix build:
export PERL_USE_UNSAFE_INC=1
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc Changes README
%{perl_vendorarch}/*
%{_mandir}/man3/*
