%define upstream_name    Gtk2-TrayManager
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 20

Summary:    Perl bindings for EggTrayManager
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
URL:        https://gtk2-perl.sourceforge.net/
Source0:    %{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires: gtk+2-devel
BuildRequires: perl(ExtUtils::Depends) 
BuildRequires: perl(Gtk2)
BuildRequires: perl(Glib) > 1.00 
BuildRequires: perl(ExtUtils::PkgConfig) 
BuildRequires: perl-devel

Requires: gtk+2

%description
The EggTrayManager library is used internally by GNOME to implement the
server-side of the Notification Area (or system tray) protocol.

Gtk2::TrayManager allows you to create notification area applications using
Gtk2-Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%install
%make_install

%files
%doc examples/*
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2/*
%{perl_vendorarch}/auto/Gtk2/*
