%define upstream_name HTML-FormFu-Element-reCAPTCHA
%define upstream_version 1.00

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 9

Summary:	"Are you human" tester
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Captcha::reCAPTCHA)
BuildRequires:	perl(Devel::GlobalDestruction)
BuildRequires:	perl(Eval::Closure)
BuildRequires:	perl(HTML::FormFu)
BuildRequires:	perl(MRO::Compat)
BuildRequires:	perl(MooseX::Attribute::Chained)
BuildRequires:	perl(Package::DeprecationManager)
BuildRequires:	perl(Sub::Exporter)

BuildArch:	noarch

%description
"Are you human" tester!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
