%define upstream_name HTML-FormatText-WithLinks
%define upstream_version 0.15

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	HTML to text conversion with links as footnotes
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(HTML::FormatText)
BuildRequires:	perl(HTML::TreeBuilder)
BuildRequires:	perl(Module::Build) >= 0.400.400
BuildRequires:	perl(URI::WithBase)

BuildArch:	noarch

%description
HTML to text conversion with links as footnotes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
