%define upstream_name    IO-Interactive-Tiny
%define upstream_version 0.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    IO::Interactive::Tiny - is_interactive() without large deps
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)

# Don't provide private perl libs
%{?perl_default_filter}

BuildArch:  noarch

%description
IO::Interactive::Tiny - is_interactive() without large deps

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
#%doc Changes META.yml MYMETA.yml README example
%{_mandir}/man3/*
%perl_vendorlib/IO/Interactive
