%define upstream_name    IPC-SRLock
%define upstream_version 0.31.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Set / reset locking semantics to single thread processes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Null) >= 2.110.730
BuildRequires: perl(Date::Format) >= 2.240.0
BuildRequires: perl(Exporter::Tiny) >= 0.42.0
BuildRequires: perl(File::DataClass)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IPC::ShareLite) >= 0.170.0
BuildRequires: perl(Module::Build) >= 0.420.200
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moo) >= 2.0.1
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildRequires: perl(Time::Elapsed) >= 0.310.0
BuildRequires: perl(Try::Tiny) >= 0.220.0
BuildRequires: perl(Type::Tiny) >= 1.0.5
BuildRequires: perl(namespace::autoclean) >= 0.260.0
BuildRequires: perl(version) >= 0.880.0
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*
