%define upstream_name    LWP-Protocol-Net-Curl
%define upstream_version 0.027

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    The power of libcurl in the palm of your hands!
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/LWP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(LWP::Protocol)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Net::Curl)
BuildRequires: perl(Test::HTTP::Server)
BuildRequires: perl(URI)
BuildArch:  noarch

%description
Drop-in replacement for LWP, WWW::Mechanize, and
their derivatives to use Net::Curl as a backend.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
rm -f t/06*.t
%make_build test

%install
%make_install

%files
%doc LICENSE SIGNATURE Changes README META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*