%define upstream_name List-Objects-Types
%define upstream_version 2.001001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Type::Tiny-based types for List::Objects::WithUtils
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Objects::WithUtils) >= 2.0.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Type::Tiny) >= 0.22.0
BuildArch:  noarch

%description
A small set of Type::Tiny-based types & coercions for
List::Objects::WithUtils.

Also see MoopsX::ListObjects, which provides Moops class-building sugar
with List::Objects::WithUtils integration.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%{perl_vendorlib}/*