%define upstream_name	 Locale-Hebrew
%define upstream_version 1.05

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 24

Summary:	Bidirectional Hebrew support
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://www.cpan.org/
Source0:	https://cpan.metacpan.org/modules/by-module/Locale/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		Locale-Hebrew-1.04-fix-format-errors.patch

BuildRequires:	perl-devel
BuildRequires:	perl(inc::Module::Install)

%description
This module is based on code from the Unicode Consortium.

The charset on their code was bogus, therefore this module had to work
the real charset from scratch.  There might have some mistakes, though.

One function, "hebrewflip", is exported by default.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P 0 -p 1
# patching make signature check fail 
rm -f t/0-signature.t

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{perl_vendorarch}/Locale
%{perl_vendorarch}/auto/Locale
%{_mandir}/*/*
