%define upstream_name    Locale-Msgfmt
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Functions used internally by Locale::Msgfmt
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Locale/%{upstream_name}-%{upstream_version}.tar.gz
# Update Makefile.PL to not use Module::Install::DSL CPAN RT#148295
Patch0:        Locale-Msgfmt-0.15-Remove-using-of-MI-DSL.patch

BuildRequires: perl(Test::More)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%description
This module does the same thing as msgfmt from GNU gettext-tools, except this
is pure Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Locale
%{perl_vendorlib}/Module
