%define upstream_name Log-Agent
%define upstream_version 1.005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Logging agent 
License:    GPL or Artistic
Group:      Development/Perl
Source0:    https://cpan.metacpan.org/authors/id/M/MR/MROGASKI/%{upstream_name}-%{upstream_version}.tar.gz
Url:        https://metacpan.org/release/%{upstream_name}

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tie::Array)
BuildArch:  noarch

%description
Log::Agent is a general logging framework aimed at reusable modules.

%prep

%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc META.json MYMETA.yml README
%{perl_vendorlib}/Log
%{perl_vendorlib}/auto/Log
%{_mandir}/man3/*