%define	upstream_name MD5
%define upstream_version 2.03

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6
License:	GPL or Artistic
Group:		Development/Perl
Summary:	The Perl interface to the RSA Message Digest Algorithm
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/%{upstream_name}/GAAS/%{upstream_name}-%{upstream_version}.tar.gz
Buildrequires:	perl-devel
Buildarch:	noarch

%description
The perl-MD5 package provides the MD5 module for the Perl
programming language.  MD5 is a Perl interface to the RSA Data
Security Inc. Message Digest Algorithm, which allows Perl
programs to use the algorithm.

The perl-MD5 package should be installed if any Perl programs
on your system are going to use RSA's Message Digest Algorithm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor --defaultdeps
%make_build

%install
%make_install

find %{buildroot} -name "perllocal.pod" -delete

%files
%doc MANIFEST README
%{perl_vendorlib}/*.pm
%{_mandir}/man3/*
