%global __requires_exclude perl\\(MIME-Lite-HTML\\)

%define upstream_name    MIME-Lite-HTML
%define upstream_version 1.24

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11
Summary:    Provide routine to transform HTML to MIME
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MIME/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Email::Date::Format)
BuildRequires: perl(HTML::LinkExtor)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Lite) >= 1.0.0
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::URL)
BuildArch:  noarch

%description
This module is a Perl mail client interface for sending message that
support HTML format and build them for you.. This module provide routine to
transform a HTML page in MIME::Lite mail. So you need this module to use
MIME-Lite-HTML possibilities

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
# don't run test suite, it seems broken
#{make} test

%install
%make_install

%files
%doc COPYING Changes META.yml README eg
%{_mandir}/man3/*
%{perl_vendorlib}/MIME
