%define upstream_name    MLDBM-Sync
%define upstream_version 0.30

%define perl_sitelib %(eval "`perl -V:installsitelib`"; echo $installsitelib)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	%{upstream_name} module for perl
License:	Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires: perl(Digest::MD5) 
BuildRequires: perl(MLDBM)
BuildArch:	noarch


%description
%{upstream_name} module for perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%make_install

%files
%doc MANIFEST README
%{_mandir}/*/*
%{perl_vendorlib}/MLDBM
