%define upstream_name Mail-DomainKeys
%define upstream_version 1.0

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 14
License:	Artistic
Group:		Development/Perl
Summary:	Perl module that implements DomainKeys
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl(Crypt::OpenSSL::RSA)
BuildRequires:	perl(Mail::Address)
BuildRequires:	perl(MIME::Base64)
BuildRequires:	perl(Net::DNS) >= 0.34
BuildRequires:	perl(Test::More)
BuildArch:	noarch


%description
Mail-DomainKeys is a Perl module that implements DomainKeys.

%prep

%setup -q -n %{upstream_name}-%{upstream_version}

%build
echo "y" | %__perl Makefile.PL INSTALLDIRS="vendor"

%make_build

%check
make test

%install
%make_install

%files
%doc Changes README THANKS META.yml
%dir %{perl_vendorlib}/Mail/DomainKeys
%dir %{perl_vendorlib}/Mail/DomainKeys/Key
%{perl_vendorlib}/Mail/DomainKeys/*.pm
%{perl_vendorlib}/Mail/DomainKeys/Key/*.pm
%{perl_vendorlib}/Mail/DomainKeys.pm
%{_mandir}/man3/Mail::DomainKeys.3pm*
