%define module	Mail-SPF-Query
%define name	perl-%{module}
%define version 1.999.1
%define release %mkrel 6

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Query Sender Policy Framework for an IP,email,helo 
License:	GPL or Artistic
Group:		Development/Perl
Url:            https://metacpan.org/dist/%{module}
Source:         https://www.cpan.org/modules/by-module/Mail/%{module}-%{version}.tar.bz2
Patch:          Mail-SPF-Query-1.999.1-drop-failing-tests.patch
BuildRequires:	perl(Net::CIDR::Lite)
BuildRequires:	perl(Net::DNS)
BuildRequires:  perl(URI)
BuildRequires:  perl(Sys::Hostname::Long)
BuildArch:	noarch


%description
The SPF protocol relies on sender domains to describe their designated outbound
mailers in DNS. Given an email address, Mail::SPF::Query determines the
legitimacy of an SMTP client IP.

%prep
%setup -q -n %{module}-%{version}
%patch -p 1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%make_install

%clean 
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc CHANGES README
%{perl_vendorlib}/Mail
%{_mandir}/*/*
%{_bindir}/*