%define upstream_name Mail-SendEasy
%define upstream_version 1.2

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Send plain/html e-mails through SMTP servers
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl-devel
BuildRequires:	dos2unix

BuildArch:	noarch
Provides:	perl(Mail::SendEasy::AUTH)
Provides:	perl(Mail::SendEasy::SMTP)

%description
This modules will send in a easy way e-mails.
It supports SMTP authentication and attachments.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
dos2unix README Changes

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc README Changes
%{perl_vendorlib}/Mail
%{_mandir}/man3/*
