%define	upstream_name    Mail-Transport-Dbx
%define	upstream_version 0.07

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 28

Summary:	CPAN %{upstream_name} perl module
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/Mail-Transport-Dbx
Source0:	https://cpan.metacpan.org/authors/id/V/VP/VPARSEVAL/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-devel
BuildRequires:	perl(Test::Pod::Coverage)


%description
Mail::Transport::Dbx is a wrapper around libdbx to read Outlook Express
mailboxes (more commonly known as .dbx files).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
%make_install

%files
%doc Changes README
%{_mandir}/*/*
%{perl_vendorarch}/Mail/Transport
%{perl_vendorarch}/auto/Mail/Transport
