%define upstream_name    MasonX-Request-ExtendedCompRoot-WithApacheSession
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:	Extend functionality of Mason's comp_root and add a session to the Mason Request object
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/dist/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/MasonX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(MasonX::Request::ExtendedCompRoot)
BuildRequires:	perl(MasonX::Request::WithApacheSession)
BuildArch:	noarch


%description
This  module simply integrates "MasonX::Request::ExtendedCompRoot"
and "MasonX::Request::WithApacheSession".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor 
%{__make}

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE README
%{perl_vendorlib}/MasonX/Request/ExtendedCompRoot/WithApacheSession.pm
%{_mandir}/man3/*
