%define upstream_name    MasonX-Request-ExtendedCompRoot
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:	MasonX::Request::ExtendedCompRoot - Extend  functionality of Mason's component root
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/MasonX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(HTML::Mason) >= 1.240.0
BuildArch:	noarch


%description
"MasonX::Request::ExtendedCompRoot" lets you alter Mason's
component root during the lifetime of any given request or
subrequest. This behaviour is useful if you want to override
certain components, but cannot determine that at the moment you
create your handler (when you could in theory create an interp
object with a different component root) or because you configure
Mason in an httpd.conf.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor 
%{__make}

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE README
%{perl_vendorlib}/MasonX/
%{_mandir}/man3/*
