%define upstream_name    Math-Vector-Real-Random
%define upstream_version 0.03

%global __provides_exclude perl\\(Math::Vector::Real\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Generate random real vectors
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::Random)
BuildRequires: perl(Math::Vector::Real)
BuildArch: noarch

%description
This module extends the the Math::Vector::Real manpage package adding some
methods for random generation of vectors.

Methods
    The extra methods are:

    * Math::Vector::Real->random_in_box($dim, $size)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


