%define upstream_name    Module-Install-RDF
%define upstream_version 0.007

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Install)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Object::ID)
BuildRequires: perl(RDF::TriN3)
BuildRequires: perl(RDF::Trine)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::file)
BuildArch: noarch

%description
This module doesn't really do much on its own, but is a pre-requisite for
the Module::Install::DOAP manpage.

Specifically, it reads all the RDF it can find in the distribution's 'meta'
directory and exposes it for other modules to make use of.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README TODO SIGNATURE LICENSE META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*


