#
# $Id$
#
%define perlvendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define srcname MondoRescue

Summary:	The perl-MondoRescue provides a set of functions for the MondoRescue project
Summary(fr):	Une bibliothèque de fonction de bas niveau pour le projet MondoRescue

Name:		perl-MondoRescue
Version:	3.2.2
Release:	%mkrel 5
License:	GPLv2
Group:		Archiving/Backup
Url:		http://www.mondorescue.org
Source:		ftp://ftp.mondorescue.org/src/%{srcname}-%{version}.tar.gz
BuildArch:	noarch
Requires:	perl >= 5.6.2
Requires:	perl-ProjectBuilder
BuildRequires:	perl-ProjectBuilder

%description
The perl-MondoRescue provides a set of functions for the MondoRescue project

%description -lfr
Une bibliothèque de fonction de bas niveau pour le projet MondoRescue

%prep
%setup -q -n %{srcname}-%{version}

%build
%{__perl} Makefile.PL destdir=${RPM_BUILD_ROOT}/  CONFDIR=%{_sysconfdir} CACHEDIR=%{_var}/cache TARGET=%{_exec_prefix}
make %{?_smp_mflags}

%install
make DESTDIR=${RPM_BUILD_ROOT} install
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -o -name .packlist -o -name '*.bs' -a -size 0 | xargs rm -f
find ${RPM_BUILD_ROOT} -type d -depth | xargs rmdir --ignore-fail-on-non-empty

%check
make test

%files
%config(noreplace) %{_sysconfdir}/mondorescue
%doc ChangeLog COPYING README NEWS AUTHORS

%{_bindir}/*
%{_mandir}/man1/*
%{perlvendorlib}/*
%{_mandir}/man3/*
%{_mandir}/man5/*
