Name:           perl-MooX-Locale-Passthrough
Version:        0.001
Release:        %mkrel 6
Summary:        Provide API used in translator modules without translating
Group:		Development/Perl
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/MooX-Locale-Passthrough
Source0:        https://cpan.metacpan.org/authors/id/R/RE/REHSACK/MooX-Locale-Passthrough-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time
BuildRequires:  perl(Carp)
BuildRequires:  perl(Moo::Role)
# Tests
BuildRequires:  perl(Moo) >= 1.003
BuildRequires:  perl(Test::More) >= 0.90
# 1.003 from Moo in META.json which is not used
Requires:       perl(Moo::Role) >= 1.003

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Moo::Role\\)$

%description
MooX::Locale::Passthrough is made to allow CPAN modules use translator API
without adding heavy dependencies (external software) or requirements
(operating resulting solution).

%prep
%setup -q -n MooX-Locale-Passthrough-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
%make_install

%check
make test

%files
%doc Changes README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

