%define upstream_name    MooX-Role-Parameterized
%define upstream_version 0.501

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Dsl to apply roles with composition parameters
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo) >= 2.0.0
BuildRequires: perl(MooX::BuildClass) >= 0.213.360
BuildRequires: perl(Test::Exception) >= 0.430.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Pod)
BuildArch:  noarch

%description
It is an *experimental* port of the MooseX::Role::Parameterized manpage to
the Moo manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changelog LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*