%define upstream_name MooseX-AbstractMethod
%define upstream_version 0.004

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 9

Summary:	Declare methods requirements that must be satisfied
License:	LGPLv2
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(MooseX::Traits)
BuildRequires:	perl(namespace::autoclean)
BuildRequires:	perl(Test::Fatal)
BuildRequires:	perl(Test::Moose)

BuildArch:	noarch

%description
This extensions allows classes to flag certain methods as being required
to be implemented by a subclass, much as a Moose::Role does with
'requires'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*
