%define upstream_name    Nagios-Report
%define upstream_version 0.003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Perl class to filter and munge Nagios availability data
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Nagios/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
Gets the Nagios (http://wwww.Nagios.ORG/) *All Hosts or Services*
availability report (getting the results in CSV format) and applies grep
like filters, map like munging, and slice like field masks to produce a
report which can be output in various ways.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes TODO META.yml
#%{_mandir}/man3/*
%perl_vendorlib/*



