%define upstream_name    Net-DMAP-Server
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Base class for D[A-Z]AP servers
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Net::DAAP::DMAP)
BuildRequires: perl(Net::Rendezvous::Publish)
BuildRequires: perl(POE::Component::Server::HTTP)
BuildArch: noarch


%description
A base class for D[A-Z]AP servers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
%make_install
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%files
%defattr(-, root, root, 0755)
%doc Changes META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*