%define upstream_name    Net-Google-Spreadsheets
%define upstream_version 0.1501

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A Perl module for using Google Spreadsheets API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://search.cpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

%{?perl_default_filter}
BuildRequires: perl-devel
BuildRequires: perl(Module::Install)
BuildRequires: perl(Moose)
BuildRequires: perl(Any::Moose)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::MockModule)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Net::Google::DataAPI)
BuildArch: noarch
%description
A Perl module for using Google Spreadsheets API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*
