%define	upstream_name Net-Jabber
%define upstream_version 2.0

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 17
License:	LGPL
Group:		Development/Perl
Summary:	Jabber Perl Library
Source:		https://cpan.metacpan.org/authors/id/R/RE/REATMON/%{upstream_name}-%{upstream_version}.tar.bz2
URL:		https://metacpan.org/release/%{upstream_name}
Buildrequires:	perl-devel
Buildrequires:	perl(Net::XMPP)

BuildArch:	noarch

%description
Net::Jabber is a collection of Perl modules that provide a Perl Developer
access to the Jabber protocol.  Using OOP modules we provide a clean
interface to writing anything from a full client to a simple protocol
tester.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#make test

%install
%make_install

%files
%doc CHANGES LICENSE.LGPL MANIFEST.SKIP README
%{_mandir}/*/*
%{perl_vendorlib}/Net/Jabber*
