%define upstream_name    Net-OAuth
%define upstream_version 0.31

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    An OAuth protocol response for an Request Token
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor) >= 0.310.0
BuildRequires: perl(Class::Data::Inheritable) >= 0.60.0
BuildRequires: perl(Crypt::URandom) >= 0.370.0
BuildRequires: perl(Digest::SHA) >= 5.470.0
BuildRequires: perl(Encode) >= 2.350.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP::UserAgent) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.660.0
BuildRequires: perl(Test::Warn) >= 0.210.0
BuildRequires: perl(URI) >= 5.150.0
BuildArch:  noarch

%{?perl_default_filter}

%description
OAUTH MESSAGES
    An OAuth message is a set of key-value pairs. The following message
    types are supported:

    Requests

    * * Request Token (Net::OAuth::RequestTokenRequest)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README demo
%{_mandir}/man3/*
%perl_vendorlib/*