%define upstream_name    Net-Rendezvous-Publish
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Module to publish Rendezvous services 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(Class::Accessor::Lvalue) 
BuildRequires:  perl(Module::Pluggable)
BuildArch: noarch

# (misc) so far,only howl backend is packaged
# maybe splitting the null backend would be cleaner ?
Requires:    perl-Net-Rendezvous-Publish-Backend

%description
Net::Rendezvous::Publish allows you to publish Zeroconf ( or Rendezvous, or
Bonjour ) services, using a mDNS responder

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%files
%doc Changes *META.*
%{perl_vendorlib}/*
%{_mandir}/man3/*
