%define upstream_name    Net-SNPP
%define upstream_version 1.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Net::SNPP covers the complete rfc1861 specification
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(Net::Cmd)
BuildArch:  noarch

%description
Net::SNPP covers the complete rfc1861 specification

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc MYMETA.json MYMETA.yml META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
