%define upstream_name    Net-Server-Coro
%define upstream_version 1.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    A co-operative multithreaded server using Coro
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(Coro)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Net::Server) >= 2.0.0
BuildArch:  noarch

%description
the Net::Server::Coro manpage implements multithreaded server for the the
Net::Server manpage architecture, using the Coro manpage and the
Coro::Socket manpage to make all reads and writes non-blocking.
Additionally, it supports non-blocking SSL negotiation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*
