%define upstream_name    ORLite-Pod
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Documentation generator for ORLite
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/ORLite/%{upstream_name}-%{upstream_version}.tar.gz
# Update Makefile.PL to not use Module::Install::DSL CPAN RT#148300
Patch0:        ORLite-Pod-0.11-Remove-using-of-MI-DSL.patch

BuildRequires: perl(Class::Inspector) >= 1.230.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path) >= 2.70.0
BuildRequires: perl(File::Remove) >= 1.420.0
BuildRequires: perl(File::Spec) >= 3.270.100
BuildRequires: perl(File::pushd) >= 1.0.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(ORLite) >= 1.230.0
BuildRequires: perl(Params::Util) >= 1.0.0
BuildRequires: perl(Template) >= 2.200.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::Pod) >= 1.420.0
BuildRequires: perl(Test::Pod::Coverage) >= 1.80.0
BuildRequires: perl(Test::Script) >= 1.70.0
BuildRequires: perl(Test::XT) >= 0.20.0
BuildRequires: perl(autodie) >= 2.100.0
BuildArch:  noarch

%description
*THIS MODULE IS EXPERIMENTAL AND SUBJECT TO CHANGE WITHOUT NOTICE.*

*YOU HAVE BEEN WARNED!*

The biggest downside of the ORLite manpage is that because it can generate
you an entire ORM in one line of code, you can have a large an extensive
API without anywhere for documentation for the API to exist.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%install
%make_install

%check
make test

%files
%doc Changes LICENSE META.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
