%define upstream_name    Object-MultiType
%define upstream_version 0.05

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	Perl Objects as Hash, Array, Scalar, Code and Glob at the same time
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Object/%{upstream_name}-%{upstream_version}.tar.bz2


BuildArch: noarch

%{?perl_default_filter}

%description
This module return an object that works like a Hash, Array,
Scalar, Code and Glob object at the same time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 'tr /\r//d' Changes README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Object
%{_mandir}/*/*


