%define upstream_name	 OpenOffice-OODoc
%define upstream_version 2.125

#(nl) this 2 requires are not needed, they are on a exemple file only
%global __requires_exclude  perl\\(Tk::Dialog\\)|perl\\(Tk\\) 

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	%{upstream_name} module for perl
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/OpenOffice/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(Archive::Zip)
BuildRequires:	perl(XML::Twig)

BuildArch:	noarch


%description
A library for Open Document processing

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENCE README META.yml
%{_bindir}/*
%{perl_vendorlib}/OpenOffice
%{_mandir}/*/*
