%define upstream_name   POE-Component-IKC
%define upstream_version 0.2402

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
Epoch:      1

Summary:    POE IKC proxy session
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dump) >= 1.0.0
BuildRequires: perl(Devel::Size) >= 0.770.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POE) >= 1.311.0
BuildRequires: perl(Scalar::Util) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.600.0
BuildArch:  noarch

%description
This is Inter-Kernel Communication for POE.  It is used to get events
from one POE kernel to another

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes FUTUR IKC META.json META.yml MYMETA.yml README TODO eg
%{_mandir}/man3/*
%{perl_vendorlib}/*