%define upstream_name	 POE-Component-Server-SOAP
%define	upstream_version 1.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Publish POE event handlers via SOAP over HTTP
License:    Artistic and GPL+	
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POE)
BuildRequires: perl(POE::Component::Server::SimpleHTTP) >= 1.540.0
BuildRequires: perl(POE::Session)
BuildRequires: perl(SOAP::Constants)
BuildRequires: perl(SOAP::Lite) >= 0.550.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module makes serving SOAP/1.1 requests a breeze in POE.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes n | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README examples
%{perl_vendorlib}/POE
%{_mandir}/man3/*
