%define upstream_name    POE-Component-Server-XMLRPC
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Perl module to publish POE event handlers via XMLRPC over HTTP
License:	Artistic and GPL+
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(POE::Component::Server::HTTP)
BuildRequires:  perl(SOAP::Lite) 
BuildRequires:  perl(XMLRPC::Lite)
BuildArch: noarch


%description
POE::Component::Server::XMLRPC is a bolt-on component that can publish a event
handlers via XMLRPC over HTTP.

%prep
%setup -q -n POE-Component-Server-XMLRPC-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc README CHANGES
%{perl_vendorlib}/POE
%{_mandir}/man3/*
