%define upstream_name    Padre-Plugin-CSS
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Padre and CSS
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Padre/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CSS::Minifier::XS)
BuildRequires: perl(Locale::Msgfmt) >= 0.150.0
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Padre) >= 0.650.0
BuildRequires: perl(Test::More)
BuildRequires: perl(WebService::Validator::CSS::W3C)
BuildRequires: perl(YAML::Tiny)
BuildArch:  noarch

%description
From Padre:
- use CSS::Minifier::XS to minify css
- use WebService::Validator::CSS::W3C to validate the CSS

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
#./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*