%define upstream_name    Padre-Plugin-Swarm
%define upstream_version 0.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Tree view panel of swarm resources
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Padre/%{upstream_name}-%{upstream_version}.tar.gz
# Update Makefile.PL to not use Module::Install::DSL CPAN RT#148300
Patch0:        Padre-Plugin-Swarm-0.2-Remove-using-of-MI-DSL.patch

BuildRequires: perl(inc::Module::Install)
#BuildRequires: x11-server-xvfb

BuildArch:  noarch

%description
This is Swarm!

Swarm is a Padre plugin for experimenting with remote inspection, peer
programming and collaborative editing functionality.

Within this plugin all rules are suspended. No security, no efficiency, no
scalability, no standards compliance, remote code execution, everything is
allowed. The only goal is things that work, and things that look shiny in a
demo :)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#xvfb-run make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*
