%define upstream_name    Parse-Functions
%define upstream_version 0.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Extracting the list of functions from source code
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/Parse-Functions
Source0:    https://cpan.metacpan.org/authors/id/S/SZ/SZABGAB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More) >= 0.400.0
BuildArch:  noarch

%description
Parse::Functions - list all the functions in source code.
Extracting the list of functions from source code in Perl, Python, Ruby,
PHP, Java, JavaScript, etc...

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
make test

%files
%doc Changes MYMETA.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Parse/Functions.pm
%{perl_vendorlib}/Parse/Functions/
