%define upstream_name    Petal
%define upstream_version 2.23

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Lingua::31337\\)$

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Perl Template Attribute Language
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MKDoc::XML) >= 0.720.0
BuildRequires: perl(Scalar::Util) >= 1.70.0
BuildRequires: perl(Test::Harness) >= 2.0.0
BuildArch:  noarch

%description
examples deal with using Petal to generate HTML files from HTML templates.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/Petal.pm
%perl_vendorlib/Petal
