%define upstream_name PlRPC
%define upstream_version 0.2020

%{?perl_default_filter}

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 5
License: 	GPL or Artistic
Group:		Development/Perl
Summary:	A bundle to install PlRPC-Server, Client and prerequisites
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2
Epoch:		1

BuildRequires:	perl(Net::Daemon)
BuildRequires:  perl-Storable
BuildRequires:  perl-devel
BuildRequires:  perl-doc

Buildarch:	noarch

%description
%{upstream_name} - module for perl

%prep
%setup -q -n %{upstream_name}

%build
%__perl Makefile.PL INSTALLDIRS=vendor --defaultdeps
%make_build

%install
%make_install

%files 
%doc README ChangeLog 
%{perl_vendorlib}/Bundle/*
%{perl_vendorlib}/RPC/*
%{_mandir}/man3*/*
