%define upstream_name    Plack-Middleware-LogWarn
%define upstream_version 0.001002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Converts to warns to log messages
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Plack)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
LogWarn is a 'Plack::Middleware' component that will help you get warnings
into a logger. You probably want to use some sort of real logging system
such as the Log::Log4perl manpage and another 'Plack::Middleware' such as
the Plack::Middleware::Log4perl manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.json
%{_mandir}/man3/*
%perl_vendorlib/*


