%define upstream_name    Proc-WaitStat
%define upstream_version 1.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 16

Summary:	Proc::WaitStat - Interpret and act on wait() status values
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Proc/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(IPC::Signal)

BuildArch:	noarch


%{?perl_default_filter}

%description
This module contains functions for interpreting and acting on wait
status values.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Proc/WaitStat.pm
%{_mandir}/*/*
