%define upstream_name    Quantum-Usrn
%define upstream_version 1.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Square root of not
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Quantum/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Crypt::Blowfish)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
Provide the 'square root of not' function (Usrn), used by weird Quantum
Physicists. Applying Usrn to a value will produce noise; applying Usrn to
that noise will produce the bitwise negation of the original value.

It all sounds a bit strange, and mostly useless.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files

%{_mandir}/man3/*
%perl_vendorlib/*


