%define upstream_name RDF-DOAP-Lite
%define upstream_version 0.002

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 9

Summary:	Write DOAP data quickly and easily
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/RDF/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch

%description
This is a small companion module to RDF::DOAP, enabling you to output DOAP
data easily from standard CPAN distribution files.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_bindir}/cpan2doap
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*
