%define upstream_name    RDF-TriN3
%define upstream_version 0.203

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Notation 3 Serializer
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/RDF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::UUID)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(RDF::NS::Trine)
BuildRequires: perl(RDF::Trine)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(parent)
BuildArch: noarch

%description
This module extends the RDF::Trine manpage in three ways:

* * Adds a Notation 3 parser.

* * Adds a Notation 3 serializer.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc COPYRIGHT README SIGNATURE LICENSE HACKING META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*


