%define module	RefDB-Client

Name:		perl-%{module}
Version:	1.18
Release:	%mkrel 11
Summary:	%{module} module for perl
License:	GPLv2+
Group:		Development/Perl
URL:		https://refdb.sourceforge.net/
Source:		https://prdownloads.sourceforge.net/refdb/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
Perl component for the MARC and Pubmed import filters.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
# tests requires a refdb base
#%{__make} test

%install
%make_install

%files
%doc Changes
%{perl_vendorlib}/RefDB
%{_mandir}/*/*

