%define module	RefDB-perlmod

Name:		perl-%{module}
Version:	1.2
Release:	%mkrel 14
Summary:	%{module} module for perl
License:	GPLv2+
Group:		Development/Perl
Source:		https://prdownloads.sourceforge.net/refdb/%{module}-%{version}.tar.gz
URL:		https://refdb.sourceforge.net/
BuildRequires:  perl(Text::Iconv)
Provides:	perl(RefDB)
BuildArch:	noarch


%description
Perl component for the MARC and Pubmed import filters.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.yml
%{perl_vendorlib}/RefDB
%{_mandir}/*/*