%define upstream_name    Regexp-Genex
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Regexp::Genex - Perl extension for getting the strings a regex will match, with a regex
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/B/BO/BOWMANBS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(YAPE::Regex)
BuildRequires: perl-devel
%description
Get the strings a regex will match, with a regex

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
%make_install

%files
%doc Changes META.yml README
%dir %{perl_vendorlib}/Regexp
%{perl_vendorlib}/Regexp/*
%{_mandir}/*/*
