%define upstream_name SGMLSpm
%define upstream_version 1.03ii

%{?perl_default_filter}

Name:        	perl-%{upstream_name}
Version:     	%{upstream_version}
Release:     	%mkrel 5
Epoch:		1
Group:       	Publishing
Summary:     	Perl library for parsing the output of nsgmls
License:   	GPL
URL:         	https://metacpan.org/release/%{upstream_name}
Requires:    	jade >= 1.2.1

BuildArch:	noarch
Source0:        https://cpan.metacpan.org/authors/id/D/DM/DMEGG/SGMLSpm-%{upstream_version}.tar.gz

%description
Perl programs can use the SGMLSpm module to help convert SGML, HTML or XML
documents into new formats.

%prep
%setup -q -n SGMLSpm

%build

%install
install -d -m 755 $RPM_BUILD_ROOT{%{_bindir},%{perl_vendorlib}}
make install_system \
    BINDIR=$RPM_BUILD_ROOT%{_bindir} \
    PERL5DIR=$RPM_BUILD_ROOT%{perl_vendorlib}

%files 
%doc BUGS COPYING ChangeLog DOC/ README TODO elisp
%{_bindir}/*
%{perl_vendorlib}/*
