%define upstream_name    SNMP-Map
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Tool for drawing network map
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SNMP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(GraphViz)
BuildRequires: perl(Net::SNMP)
BuildArch: noarch

%description
The SNMP::Map module is used for drawing network map of hosts which support
SNMP. Spanning Tree root switch can be distinguished by its position and
color. Module provides switches and ports on the picture linked by each
other.You can get various information about switch and its link. Image map
file is also available. So, it can be used to create Javascript for
popping up additional info.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*


