%define upstream_name    Search-Xapian
%define upstream_version 1.2.25.5

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
Summary:    Xapian perl bindings

Group:      Development/Perl
License:    GPL+ or Artistic
Url:        https://metacpan.org/module/Search::Xapian
Source0:    http://cpan.netnitco.net/authors/id/O/OL/OLLY/Search-Xapian-%{version}.tar.gz

BuildRequires: perl(Devel::Leak)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: pkgconfig(xapian-core)
%{?perl_default_filter}
BuildRequires: perl-devel
%description
Perl XS frontend to the Xapian C++ search library.

%prep
%setup -q -n Search-Xapian-%{version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%install
%make_install

%check
make test

%files
%doc Changes META.json META.yml MYMETA.yml README XS examples
%{perl_vendorarch}/*
%{_mandir}/man3/*.3*
