%define real_name Startup

Summary:	Startup module for perl 
Name:		perl-%{real_name}
Version:	0.103
Release:	%mkrel 6
License:	GPL or Artistic
Group:		Development/Perl
URL:		https://metacpan.org/dist/%{real_name}
Source0:	https://cpan.metacpan.org/authors/id/M/MS/MSCHWARTZ/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Startup module for perl

%prep
%setup -q -n %{real_name}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%make_install

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{_bindir}/replace
%{perl_vendorlib}/Startup.pm
%{_mandir}/*/*



