%define upstream_name    TAP-Formatter-HTML
%define upstream_version 0.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    TAP Test Harness output delegate for html output
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/TAP-Formatter-HTML
Source0:    https://cpan.metacpan.org/authors/id/S/SP/SPURKIS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Temp) >= 0.170.0
BuildRequires: perl(Module::Build) >= 0.200.0
BuildRequires: perl(TAP::Parser) >= 3.100.0
BuildRequires: perl(Template) >= 2.140.0
BuildRequires: perl(Test::Harness) >= 3.170.0
BuildRequires: perl(Test::More) >= 0.10.0
BuildRequires: perl(URI) >= 1.350.0
BuildRequires: perl(accessors) >= 0.20.0
BuildArch:  noarch

Requires:   perl(TAP::Parser) >= 3.10
Requires:   perl(Template) >= 2.14
Requires:   perl(URI) >= 1.35
%description
This module provides HTML output formatting for TAP::Harness (a replacement
for Test::Harness. It is largely based on ideas from TAP::Test::HTMLMatrix
(which was built on Test::Harness and thus had a few limitations - hence
this module). For sample output, see:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/*
%{_mandir}/man3/*