%define upstream_name    TermReadKey
%define upstream_version 2.38

Summary:    Term::ReadKey Perl module
%{?perl_default_filter}

Name:       perl-Term-ReadKey
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10
License:    GPL
Group:      Development/Perl
Source0:    https://cpan.metacpan.org/authors/id/J/JS/JSTOWE/%{upstream_name}-%{upstream_version}.tar.gz
Url:        https://metacpan.org/release/%{upstream_name}

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.580.0
BuildRequires: perl-devel
%description
This module, ReadKey, provides ioctl control for terminals so the
input modes can be changed (thus allowing reads of a single character
at a time), and also provides non-blocking reads of stdin, as well as
several other terminal related features, including
retrieval/modification of the screen size, and retrieval/modification
of the control characters.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor </dev/null
# (tv) paralel build is broken:
make

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE example
%perl_vendorarch/*
%{_mandir}/*/*
