%define upstream_name    Test-Run
%define upstream_version 0.0306

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Named sprintf according to the
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.600.0
BuildRequires: perl(IPC::System::Simple) >= 1.210.0
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::StrictConstructor)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(TAP::Parser) >= 3.90.0
BuildRequires: perl(Test::Harness) >= 2.530.0
BuildRequires: perl(Test::Trap)
BuildRequires: perl(Text::Sprintf::Named) >= 0.20.0
BuildRequires: perl(UNIVERSAL::require)
BuildArch:  noarch

%description
The construct

  use if CONDITION, MODULE => ARGUMENTS;

has no effect unless 'CONDITION' is true. In this case the effect is the
same as of

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes DONE LICENSE META.json META.yml MYMETA.yml NOTES README TODO examples
%{_mandir}/man3/*
%perl_vendorlib/*
