%define upstream_name Text-EtText
%define upstream_version 2.2

%{?perl_default_filter}

Name:		perl-Text-EtText
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6
License:	GPL
Summary:	%{upstream_name} module for perl
Group:		Development/Perl
Source0:	https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz
Url:		https://metacpan.org/release/%{upstream_name}
BuildRequires:	perl-devel

BuildArch:	noarch

%description
Text::EtText - A perl module to edit html as plain text.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor </dev/null
%make_build

%install
%make_install

%files
%doc README doc/* Changes TODO
%{_bindir}/*
%{perl_vendorlib}/Text/*
%_mandir/*/*
