%define upstream_name Text-PDF
%define upstream_version 0.31

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5
License:	Artistic
Summary:	Module for manipulating PDF files
Group:		Development/Perl
Source0:	https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz
URL:		https://metacpan.org/release/%{upstream_name}

BuildRequires:	perl-devel
BuildArch:	noarch

%description
Perl module to manipulate PDF files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%check
%make_build test

%install
%make_install

%files
%doc examples readme.txt 
%{_mandir}/*/*
%{perl_vendorlib}/Text/
%{_bindir}/*
