%define upstream_name Text-VisualWidth-PP
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Trimming text by the number of the column s of terminals and mobile phones
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/Text-VisualWidth-PP
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Unicode::EastAsianWidth) >= 1.300.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
This module provides functions to treat half-width and full-width characters
and display correct size of text in one line on terminals and mobile phones.
You can know the visual width of any text and truncate text by the visual
width. Now this module support flagged UTF-8 and tested only with Japanese.

This module is pure perl version of Text::VisualWidth. This is bit slow, but
it's not require compiler.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%license LICENSE
%{_mandir}/man3/*
%{perl_vendorlib}/*