%define upstream_name    Tk-Pod
%define upstream_version 0.9943

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Simple Pod browser with hypertext capabilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tk/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Pod::Simple) >= 2.50.0
BuildRequires: perl(Tk) >= 800.4.0
BuildArch:  noarch

%description
Simple Pod browser with hypertext capabilities in a 'Toplevel' widget

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# tests hang on build-system
#xvfb-run %make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README TODO
%{_bindir}/tk*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*