%define	upstream_name Unix-Syslog
%define upstream_version 1.1

Name:		perl-%{upstream_name}
Summary:	Perl interface to the UNIX system logger
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 16
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source:		https://cpan.metacpan.org/modules/by-module/Unix/%{upstream_name}-%{upstream_version}.tar.gz

Buildrequires:	perl-devel

%{?perl_default_filter}

%description
This module provides access to the system logger available on most
UNIX systems via perl XSUBs (perl's C interface).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
CFLAGS="$RPM_OPT_FLAGS" %__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README META.yml
%{perl_vendorarch}/*
%{_mandir}/*/*
