%define module	Video-ivtv

%{?perl_default_filter}

Name:		perl-%{module}
Summary:	Perl modules for ivtv support
Group:		Development/Perl
Version:	0.13
Release:       	%mkrel 34
License:	GPL or Artistic
URL:		https://ivtvdriver.org/
Source0:	https://dl.ivtvdriver.org/supporting-tools/%{module}-%{version}.tar.bz2

BuildRequires:	perl-devel

%description
Video::ivtv is designed to be a quick hack at making the record_ivtv.pl
script not have to depend on the test_ioctl program included with the ivtv
utils.  By moving to have the things that have proven difficult to do purely
in perl to C where they currently are being done, I can concentrate on
improving the code rather than hitting my head against the wall trying to
do code cleanups.  ;)

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}
#make test

%install
%make_install

%files
%doc README MANIFEST Changes
%{perl_vendorarch}/Video/ivtv.pm
%dir %{perl_vendorarch}/Video/
%{perl_vendorarch}/auto/Video/ivtv/ivtv.so
%dir %{perl_vendorarch}/auto/Video/ivtv/
%dir %{perl_vendorarch}/auto/Video/
%{_mandir}/man3/*
