%define upstream_name    WWW-Pastebin-PastebinCom-Create
%define upstream_version 1.003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Paste to http://pastebin.com from Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     fix-test-https.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moo) >= 1.4.1
BuildRequires: perl(Test::More)
BuildRequires: perl(WWW::Mechanize) >= 1.730.0
BuildRequires: perl(overload)
BuildArch:  noarch

%description
The module provides means of pasting large texts into the
http://pastebin.com manpage pastebin site.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# Tests require a connection to pastebin.com which is not allowed on the buildsystem
#make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/WWW
