%define upstream_name    Wx-Demo
%define upstream_version 0.22

%global __requires_exclude perl\\(Wx::PlHeaderColumn\\)|perl\\(Wx::PlHeaderCtrl\\)|perl\\(Wx::PlTreeListItemComparator\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    The wxPerl demo
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Wx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast) >= 0.200.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp) >= 0.10.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::chdir) >= 0.60.0
BuildRequires: perl(IO::Scalar) >= 2.0.0
BuildRequires: perl(Module::Pluggable) >= 3.100.0
BuildRequires: perl(UNIVERSAL::require) >= 0.100.0
BuildRequires: perl(Wx) >= 0.640.0
BuildArch:  noarch
Provides: perl(Wx::DemoHints::Base)
Provides: perl(Wx::DemoHints::CoreHintBase)


%description
wxPerl demo, with lots of snippets using various wxwidgets features.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
/usr/bin/wxperl_demo.pl
%{_mandir}/man3/*
%perl_vendorlib/*
