%define upstream_name    Wx-GLCanvas
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 20

Summary:    A wrapper for wxWidgets' wxGLCanvas, used to display OpenGL graphics
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Wx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl-devel
BuildRequires: perl(Alien::wxWidgets)
BuildRequires: wxgtku2.8-devel
BuildRequires: perl(Wx)
#Technically, this one is only needed for the make test, which is currently not checked
BuildRequires: perl(Test::Pod)

Requires: perl(Wx)

%description
A wrapper for wxWidgets' wxGLCanvas, used to display OpenGL graphics.
The documentation for this module is included with the main wxPerl
distribution (wxGLCanvas).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorarch/*

