%define module X-Osd
%define	version	0.7
%define release	%mkrel 13

Summary:  	Perl5 modules for xosd
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		https://metacpan.org/dist/%{module}/
Source:		https://cpan.metacpan.org/authors/id/G/GO/GOZER/%{module}-%{version}.tar.bz2
Requires:	perl 
BuildRequires:	xosd-devel, perl-devel


%description
Perl extension to the X On Screen Display library (xosd)

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf %{buildroot}
%make_install 

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root) 
%doc README Changes
%{perl_vendorlib}/*
%{_mandir}/*/*