%define upstream_name    XML-DTD
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Parse and process an XML DTD
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Error)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir::Install)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(URI::file)
BuildArch: noarch

%description
  XML::DTD is a Perl module for parsing XML DTDs. The following
  methods are provided.

* *new*

    $dtd = new XML::DTD [ ($val) ];

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes GPL README
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/dtdto
%{_mandir}/man1/dtdto.1.*
