%define upstream_name    XML-OPML-LibXML
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11
Summary:    Parse OPML document with LibXML parser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::LibXML)
BuildArch: noarch

%description
XML::OPML::LibXML is an OPML parser written using XML::LibXML. This module
is part of spin-off CPANization of Plagger plugins.

For now, all this module does is just parsing an OPML document. The API is
very simple and limited to low-level access, yet.

*NOTE*: This module is not designed to be a drop-in replacement of
XML::OPML.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} -I. Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


