%define upstream_name    XML-Twig
%define upstream_version 3.53

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A perl module for processing huge XML documents in tree mode
License:    Artistic
Group:      Development/Perl
Url:        http://www.xmltwig.com/xmltwig/
Source0:    http://www.xmltwig.com/xmltwig/%{upstream_name}-%{upstream_version}.tar.gz

# Prefer XML::XPathEngine over XML::XPath

# Tests:

# Optional tests:

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(XML::Parser) >= 2.230.0
BuildArch:  noarch
Requires:   perl(XML::Parser) >= 2.23
%{?perl_default_filter}
%global __provides_exclude %{?__provides_exclude:%{__provides_exclude}|}^perl\\(XML::XPathEngine::NodeSet\\)
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(xml_split::state\\)
# Filter under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(XML::Parser\\)$

%description
XML::Twig is a Perl module that subclasses XML-Parser to allow easy
processing of XML documents of all sizes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL -y INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml README
%{perl_vendorlib}/XML
%{_mandir}/*/*
%{_bindir}/*