%define upstream_name XMLNews-Meta
%define upstream_version 0.01

%{?perl_default_filter}

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 6
License:	GPL
Group:		Development/Perl
Summary:	%{upstream_name} perl module
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/D/DM/DMEGG/%{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires:	perl-devel 
BuildRequires:  perl(XML::Parser)
Requires:	perl 

Buildarch:	noarch

%description
%{upstream_name} - module designed to read and write an XML-based news metadata

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install

make PREFIX=%{buildroot}%{_prefix} install DESTDIR=%{buildroot}

%files 
%doc README MANIFEST Changes
%{perl_vendorlib}/XMLNews/
%_mandir/*/*
