%define upstream_name Youri-Utils
%define upstream_version v0.2.1

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 17
Summary:	Youri shared functions
License:	GPL or Artistic
Group:		Development/Other
Source:		http://youri.zarb.org/download/%{upstream_name}-%{upstream_version}.tar.bz2
Url:		http://youri.zarb.org

BuildRequires:  perl(UNIVERSAL::require)
BuildRequires:  perl(version)
Requires:       perl-version
Buildarch:	    noarch


%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This package provides basic utility functions used by other youri programs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files 
%doc ChangeLog README
%{perl_vendorlib}/Youri
%{_mandir}/man3/*
