%define upstream_name    akefile
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Generate a Makefile.PL in your favorite style
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Share) >= 0.10.0
BuildRequires: perl(File::ShareDir::Install)
BuildRequires: perl(IO::All) >= 0.430.0
BuildRequires: perl(Mo) >= 0.300.0
BuildRequires: perl(Template::Toolkit::Simple) >= 0.130.0
BuildArch:  noarch

%description
Save a step when dealing with Perl modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
