%define upstream_name   capitalization
%define upstream_version 0.03

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 8
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Perl module that allows no capitalization on method names
Source0:	https://cpan.metacpan.org/authors/id/M/MI/MIYAGAWA/%{upstream_name}-%{upstream_version}.tar.bz2
Url:		https://metacpan.org/release/%{upstream_name}

BuildRequires:	perl-devel
BuildRequires:	perl(Devel::Symdump)

BuildArch:	noarch
Provides:	perl(capitalization)

%description
capitalization.pm allows you to use familiar style on method naming.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install
rm -rf %{buildroot}/%{perl_vendorarch}

%files
%doc Changes 
%{perl_vendorlib}/*
%{_mandir}/man3/*
