%define upstream_name    sanity
%define upstream_version 1.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    DO NOT USE!
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Import::Into)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Math::BaseCalc)
BuildRequires: perl(Test::CheckDeps)
BuildRequires: perl(Test::More)
BuildArch: noarch

Patch0:        use-Math-BaseCalc.patch

%description
Modern::Perl? common::sense? no nonsense? use latest?

Everybody has their own opinion on what pragmas and modules are "required"
for every person to use. These opinions turn into "personal pragmas", so
that people don't have to type several 'use' lines of header in front of
every module they write.

Personal opinions and pragmas don't really belong in the CPAN namespace.
(It's CPAN, not Personal PAN. If you want a Personal PAN, go call Pizza
Hut.) But copying code on potentially hundreds of modules doesn't make
sense, either.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


