Summary:	Postfix log entry summarizer
Name:		pflogsumm
Version:	1.1.5
Release:	%mkrel 5
License:	GPLv2+
Group:		Monitoring
Source0:	https://jimsun.LinxNet.com/downloads/%{name}-%{version}.tar.gz
Url:		https://jimsun.LinxNet.com/
Buildarch:	noarch
Recommends:	perl-Date-Pcalc

%description
Pflogsumm is a log analyzer/summarizer for the Postfix MTA.  It is
designed to provide an over-view of Postfix activity, with just enough
detail to give the administrator a "heads up" for potential trouble
spots.
Pflogsumm generates summaries and, in some cases, detailed reports of
mail server traffic volumes, rejected and bounced email, and server
warnings, errors and panics.


%prep
%setup -q

%build

%install
install -Dm755 pflogsumm.pl %{buildroot}/%{_sbindir}/pflogsumm
install -Dm644 pflogsumm.1 %{buildroot}/%{_mandir}/man1/pflogsumm.1

%files
%doc ChangeLog pflogsumm-faq.txt README ToDo
%{_sbindir}/pflogsumm
%{_mandir}/man1/pflogsumm.1*
