Name:           pgpdump
Summary:        PGP packet visualizer
Version:        0.36
Release:        %mkrel 1
License:        MIT
Group:          File tools
URL:            https://www.mew.org/~kazu/proj/pgpdump/en/
Source0:        https://www.mew.org/~kazu/proj/%{name}/%{name}-%{version}.tar.gz

%description
pgpdump is a PGP packet visualizer which displays the packet format of
OpenPGP (RFC 4880) and PGP version 2 (RFC 1991).


%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%doc CHANGES README.md COPYRIGHT
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
