Summary:	Active Data Objects Data Base (ADOdb)
Name:		php-adodb
Version:	5.22.7
Release:	%mkrel 2
License:	BSD
Group:		Development/PHP
URL:		https://adodb.org
Source0:	https://github.com/ADOdb/ADOdb/archive/refs/tags/v%{version}.tar.gz
BuildArch:	noarch
Epoch:		2

%description
PHP is a wonderful language for building dynamic web pages. Unfortunately,
PHP's database access functions are not standardized. Every database
extension uses a different and incompatible API. This creates a need for a
database class library to hide the differences between the different databases
(encapsulate the differences) so we can easily switch databases.

%prep
%setup -q -n ADOdb-%{version}
%autopatch -p1

%build

%install
install -d %{buildroot}%{_datadir}/php/adodb

# cleanup
rm -rf %{buildroot}%{_datadir}/php/adodb/docs
rm -f %{buildroot}%{_datadir}/php/adodb/*.txt


%files
%doc docs/*
%{_datadir}/php/adodb

