# Spec file for php-base32
#
# Copyright (c) 2013-2014 Remi Collet
# License: CC-BY-SA
# https://creativecommons.org/licenses/by-sa/3.0/
#
# Please, preserve the changelog entries
#
#%%global gh_commit    6a8aec204688d36681e0185fbaf1974b97e4a070
%global gh_short     %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner     christianriesen
%global gh_project   base32

Name:           php-%{gh_project}
Summary:        Base32 Encoder/Decoder for PHP according to RFC 4648
Version:        1.6.0
Release:        %mkrel 1

URL:            https://github.com/%{gh_owner}/%{gh_project}
Source0:        https://github.com/%{gh_owner}/%{gh_project}/archive/%{version}.tar.gz
License:        MIT
Group:          Development/PHP
BuildArch:      noarch

Provides:       php-composer(christianriesen/base32) = %{version}-%{release}
Provides:       php-composer(base32) = %{version}-%{release}
Obsoletes:	php-christianriesen-base32 < 1.3.1

# From composer.json
Requires:       php >= 5.4

%description
Base32 Encoder/Decoder for PHP according to RFC 4648.

%prep
%setup -q -n %{gh_project}-%{?gh_commit:%{gh_commit}}%{!?gh_commit:%{version}}

#%make_build
# nothing to build

%install
# Install as a PSR-0 library
mkdir -p %{buildroot}%{_datadir}/php/Base32/
cp -pr src/* %{buildroot}%{_datadir}/php/Base32/.

%check

%files
%doc LICENSE README.md
%{_datadir}/php/Base32


