Name:		php-cssjanus
Version:	2.3.0
Release:	%mkrel 1
Summary:	Convert CSS stylesheets between left-to-right and right-to-left

Group:          Development/PHP

License:	ASL 2.0
URL:		https://github.com/cssjanus/php-cssjanus
Source0:	https://github.com/cssjanus/php-cssjanus/archive/v%{version}.tar.gz#/php-cssjanus-%{version}.tar.gz
Source1:	https://github.com/cssjanus/cssjanus/raw/v%{version}/test/data.json#/php-cssjanus-data.json

BuildArch:	noarch

#BuildRequires:	php-pear-PHPUnit

Requires:	php-pcre

Provides:	php-composer(cssjanus/cssjanus) = %{version}


%description
Convert CSS stylesheets between left-to-right and right-to-left.


%prep
%autosetup 


%install
mkdir -pm 0755 %{buildroot}%{_datadir}/php/cssjanus
cp -p src/CSSJanus.php %{buildroot}%{_datadir}/php/cssjanus

#disable check, since check system is not yet php 7.2 compatible
#%check
#phpunit --bootstrap src/CSSJanus.php test/


%files
%license APACHE-LICENSE-2.0.txt
%doc README.md
%{_datadir}/php/cssjanus


