%global git_tag_rev 94c0b84888841d160419f915c2745d9d08fbf0c3

Name:		php-mediawiki-at-ease
Version:	2.1.0
Release:	%mkrel 1
Summary:	Safe replacement to @ for suppressing warnings

Group:          Development/PHP

License:	GPLv2+
URL:		https://www.mediawiki.org/wiki/at-ease
Source0:	https://github.com/wikimedia/at-ease/archive/refs/tags/v%{version}.tar.gz

BuildArch:	noarch

#BuildRequires:	php-pear-PHPUnit

Provides:	php-composer(mediawiki/at-ease) = %{version}


%description
at-ease is a PHP library that provides a safe alternative to PHP's @ error 
control operator. See Manual:Coding conventions/PHP#Error handling on why 
we don't use @. The code was originally introduced to MediaWiki in r4261, 
and then split out into a separate library during the MediaWiki 1.26 
development cycle.


%prep
%setup -qc %{name}-%{version}


%build


%install
mkdir -pm 0755 %{buildroot}%{_datadir}/php/MediaWiki/at-ease
cd at-ease-%{version}
cp -rp src/* %{buildroot}%{_datadir}/php/MediaWiki/at-ease


%check
#phpunit -v --bootstrap %{buildroot}%{_datadir}/php/MediaWiki/at-ease/Functions.php


%files
%{_datadir}/php/MediaWiki


