%define		_class		HTML
%define		_subclass	QuickForm
%define		upstream_name	%{_class}_%{_subclass}_SelectFilter
%define		_pre	RC1

Name:		php-pear-%{upstream_name}
Version:	1.0.0
Release:	%mkrel 20
Summary:	Dynamic filters on the client side for select elements
License:	PHP License
Group:		Development/PHP
URL:		https://pear.php.net/package/HTML_QuickForm_SelectFilter/
Source0:	https://pear.php.net/get/%{upstream_name}-%{version}%{_pre}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
The PEAR::HTML_QuickForm_SelectFilter package adds an element to the
PEAR::HTML_QuickForm package that is used to define dynamic filters on
the client side for select elements.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}%{_pre}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}%{_pre}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


