%define		_class		HTML
%define		_subclass	Select
%define		upstream_name	%{_class}_%{_subclass}_Common

%global		__requires_exclude pear\\(HTML/Select/Common/UKCounty.php\\)|pear\\(HTML/Select/Common/USState.php\\)|pear\\(HTML/Select/Common/FRDepartements.php\\)|pear\\(HTML/Select/Common/Country.php\\)

Name:		php-pear-%{upstream_name}
Version:	1.2.0
Release:	%mkrel 1
Summary:	Small classes to handle common <select> lists
License:	PHP License
Group:		Development/PHP
URL:		https://pear.php.net/package/HTML_Select_Common/
Source0:	https://pear.php.net/get/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Obsoletes:	php-pear-HTML_Select
BuildArch:	noarch
BuildRequires:	php-pear
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Provides <select>lists for:
 - Country
 - UK counties
 - US States

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

chmod 644 %{upstream_name}-%{version}/examples/*

%install
rm -rf %{buildroot}

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean
rm -rf %{buildroot}

%post

%preun

%files
%defattr(-,root,root)
%doc %{upstream_name}-%{version}/examples
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml




