%define		_class		Message
%define		upstream_name	%{_class}

Name:		php-pear-%{upstream_name}
Version:	0.6
Release:	%mkrel 19
Summary:	Message hash and digest (HMAC) generation methods and classes
License:	PHP License
Group:		Development/PHP
URL:		https://pear.php.net/package/Message/
Source0:	https://pear.php.net/get/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
Classes for message hashing and HMAC signature generation using the
mhash functions.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%doc %{upstream_name}-%{version}/README
%doc %{upstream_name}-%{version}/misc
%{_datadir}/pear/%{upstream_name}
%{_datadir}/pear/packages/%{upstream_name}.xml
