%define upstream_name PHPTAL

Name:		php-pear-%{upstream_name}
Version:	1.0.10
Release:	%mkrel 18
Summary:	Implementation of Zope Page Templates (ZPT) for PHP
License:	PHP License
Group:		Development/PHP
URL:		http://phptal.motion-twin.com/
Source0:	http://phptal.motion-twin.com/files/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-gettext
BuildArch:	noarch
BuildRequires:	php-pear

%description
PHPTAL is an implementation of Zope Page Templates (ZPT) for PHP.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%doc %{upstream_name}-%{version}/README
%{_datadir}/pear/PHPTAL
%{_datadir}/pear/PHPTAL.php
%{_datadir}/pear/packages/%{upstream_name}.xml
