%global __requires_exclude pear\\(tests/CodeSniffer.php\\)|pear\\(tests/PHP_CodeSniffer/CodeSniffer.php\\)|pear\\(/some/path.php\\)
%define     _class PHP
%define     _subclass CodeSniffer
%define  upstream_name %{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Summary:	PHP_CodeSniffer tokenises PHP, JavaScript and CSS files and detects violations of a defined set of coding standards
Name:		php-pear-%{upstream_name}
Version: 	3.7.2
Release: 	%mkrel 1
License: 	BSD 3-Clause License
Group: 		Development/PHP
Source0: 	https://pear.php.net/get/%{upstream_name}-%{version}.tgz
URL: 		https://pear.php.net/package/PHP_CodeSniffer
BuildRequires: 	php-pear >= 1.4.7
Requires:	php-pear

BuildArch: noarch

%description
PHP_CodeSniffer is a PHP5 script that tokenises PHP, JavaScript and CSS
files to detect violations of a defined coding standard. It is an essential
development tool that ensures your code remains clean and consistent. It
can also help prevent some common semantic errors made by developers.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml

rm -rf %{buildroot}%{_datadir}/pear/.??*
rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

        
%files
%{_bindir}/phpcs
%{_bindir}/phpcbf
%{_datadir}/pear/%{_class}
%{_datadir}/pear/data/%{upstream_name}/%{_subclass}.conf.dist
%{_datadir}/pear/packages/%{upstream_name}.xml
