Summary:	Loan Manager for toy library
Name:		phpludoreve
Version:	2.0
Release:	%mkrel 9
License:	GPLv2
Group:		Office/Utilities 
URL:		http://home.gna.org/phpludoreve/
Source0:	http://download.gna.org/phpludoreve/%{name}-%{version}.tar.xz
Source1:	%{name}.conf
Requires:	php-webinterface
Requires:	mariadb-client
Requires:	mariadb
Requires:	php-mysql
Requires:	php-mbstring
BuildArch:	noarch

%description
Loan Manager for toy library

%prep
%setup -q 

%build

%install
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}%{_datadir}/%{name}

cp -aRf * %{buildroot}%{_datadir}/%{name}/

install -d %{buildroot}%{_iconsdir}
install -m0644  images/favicon.png %{buildroot}%{_iconsdir}/%{name}.png
# install menu entry.
# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{_bindir}/www-browser http://localhost/%{name}/
Icon=%{name}
Terminal=false
Type=Application
Categories=Office;
EOF

install -d -m 755 %{buildroot}%{_webappconfdir}
install -m0644 %{SOURCE1} %{buildroot}%{_webappconfdir}/%{name}.conf

%post
# ces deux services ne sont pas démarrés automatiquement après leur installation
service httpd start
service mysqld start
mysql < /usr/share/phpludoreve/ludoreve.sql

%files
%doc changelog COPYING 
%config(noreplace) %{webappconfdir}/%{name}.conf
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_iconsdir}/%{name}.png
