Name:		pidgin-gpg
Version:	0.9
Release:	%mkrel 11

Summary:	GPG plugin for pidgin
License:	GPLv3+
Group:		Networking/Instant messaging
URL:		https://github.com/segler-alex/Pidgin-GPG/wiki
Source0:	https://github.com/downloads/segler-alex/Pidgin-GPG/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(libgadu)
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(libnsl)
BuildRequires:	pkgconfig(pidgin)
BuildRequires:	libgpgme-devel

Requires:	pidgin

%description
GPG/OpenPGP plugin for pidgin (XEP-0027).

%prep
%setup -q

# make autoreconf more happy
sed -i -e 's|\(AM_INIT_AUTOMAKE.*\)|AM_PROG_AR\n\1|' configure.ac

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%{_libdir}/pidgin/*.so

