Summary:	Pidgin plugin to stop spammers from annoying you
Name:		pidgin-privacy-please
Version:	0.7.1
Release:	%mkrel 12
License:	GPLv2+
Group:		Networking/Instant messaging
Url:		https://code.google.com/p/pidgin-privacy-please/
Source0:	http://pidgin-privacy-please.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:		pidgin-privacy-please-gcc14.patch
BuildRequires:	pkgconfig(libgadu)
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(libnsl)
BuildRequires:	pkgconfig(pidgin)
BuildRequires:	intltool
Requires:	pidgin

%description
Pidgin-privacy-please offers the following features:

- Block certain users (with an optional auto-reply)
- Block messages from people who are not on your contact
  list (with an optional auto-reply)
- Suppress repeated authorization requests

%prep
%autosetup -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_libdir}/pidgin/libpidgin_pp.so
