Name:           pinfo
Version:        0.6.13
Release:        %mkrel 6
Summary:        A lynx-style info and man reader
Source:         https://github.com/baszoetekouw/pinfo/archive/v%{version}.tar.gz
Patch0:         pinfo-0.6.13-gcc10.patch
URL:            https://github.com/baszoetekouw/pinfo
Group:          Documentation
License:        GPLv2+

BuildRequires:	gettext-devel
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	texinfo

%description
Pinfo is similar in use to lynx. It has similar key movements, and gives
similar intuition. You just move across info nodes, and select links,
follow them... Well, you know how it is when you view html with lynx. :)
It supports as many colors as it could.

%prep
%autosetup -a 0 -p1

%build
./autogen.sh
%configure
%make_build WFLAGS=""

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc README.md NEWS COPYING AUTHORS
%{_mandir}/man1/pinfo.1*
%{_bindir}/pinfo
%config(noreplace) %{_sysconfdir}/pinforc
%{_infodir}/pinfo.info*
