#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

Name:           plank-player
Version: 6.1.90
Release:        %mkrel 1
Summary:        Multimedia Player for playing local files on Plasma Bigscreen
License:        Multiples
Group:          Graphical desktop/KDE
URL:            https://plasma-bigscreen.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(Qt5GStreamer)
BuildRequires:  cmake(Qt5QmlModels)
BuildRequires:  cmake(Qt5Multimedia)

%description
Multimedia Player for playing local files on Plasma Bigscreen allowing
navigation with just a remote control.

%files -f %{name}.lang
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/org.plank.player.desktop
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.png
%{_kf5_metainfodir}/org.kde.invent.plank_player.metainfo.xml

#--------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang %{name}
