#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

# filter plugin provides
%global __provides_exclude_from ^(%{_kf6_plugindir}/.*\\.so)$

%define rel 1

Summary:        Plasma addons for managing Thunderbolt devices
Name:           plasma-thunderbolt
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://invent.kde.org/plasma/plasma-thunderbolt
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

# KDE Frameworks
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6Notifications)

BuildRequires:  bolt
Requires:       bolt

%description
Plasma Sytem settings module and a KDED module to handle authorization
of Thunderbolt devices connected to the computer.

%files -f %name.lang
%_kf6_libdir/libkbolt.so
%_kf6_plugindir/kded/kded_bolt.so
%_kf6_knotificationsdir/kded_bolt.notifyrc
%_qt6_plugindir/plasma/kcms/systemsettings/kcm_bolt.so
%_kf6_applicationdir/kcm_bolt.desktop

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

