#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Plasma wallpapers
Name:           plasma-workspace-wallpapers
Version: 6.3.4
Release:        %mkrel %{rel}
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)

Provides:       kde-wallpapers
Provides:       kdeartwork-wallpapers
Provides:       kdeartwork4-wallpapers

%description
Plasma wallpapers.

%files
%_kf6_datadir/wallpapers/*

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install
