Name:		plexus-root-pom
Version:	1.0.3
Release:	%mkrel 9
Summary:	Plexus Root POM
BuildArch:	noarch
Group:		Development/Java
License:	ASL 2.0
URL:		http://plexus.codehaus.org/
Source0:	https://repo1.maven.org/maven2/plexus/plexus-root/%{version}/plexus-root-%{version}.pom
Source1:	https://www.apache.org/licenses/LICENSE-2.0.txt
Patch0:		fix-non-parsable-xml.patch

BuildRequires:	maven-local

%description
This package provides Plexus Root parent POM used by different
Plexus packages.

%prep
%setup -cT
cp -p %{SOURCE0} pom.xml
cp -p %{SOURCE1} LICENSE

%patch -P 0

%pom_xpath_remove pom:modules

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE

