Name:           pngcrush
Version:        1.8.13
Release:        %mkrel 6
Summary:        Utility to compress PNG files
Group:          Graphics/Utilities
License:        zlib
URL:            https://pmt.sourceforge.io/pngcrush
Source0:        https://downloads.sourceforge.net/pmt/%{name}-%{version}-nolib.tar.xz
# from Debian sid
Source1:        %{name}.sgml
Patch1:         0001-Check-for-defined-PNG_IGNORE_ADLER32.patch

BuildRequires:  docbook-utils
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(zlib)

%description
Pngcrush is an optimizer for PNG (Portable Network Graphics) files. It can
compress them as much as 40% losslessly.

%prep
%autosetup -p1 -n %{name}-%{version}-nolib

cp %{SOURCE1} .

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

docbook2man %{name}.sgml

%install
install -D -m755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc ChangeLog.html
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
