%define debug_package	%{nil}

Name:		poppler-sharp
Version:	0.0.3
Release:	%mkrel 17
Summary:	C sharp Bindings for Poppler
Group:		Development/Other
License:	GPLv2+
URL:		https://www.github.com/jacintos/poppler-sharp
Source0:	https://github.com/downloads/jacintos/%{name}/%{name}-%{version}.tar.gz
Patch0:		dont_use_pkglibdir
Patch1:		force_4.5_framework_checks 
BuildRequires:	pkgconfig(mono)
BuildRequires:	gtk-sharp2
BuildRequires:	pkgconfig(gapi-2.0)
BuildRequires:	pkgconfig(poppler-glib)
Requires:	poppler

%description
Generates managed bindings for Poppler using the GAPI tools.


%package devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
Development package for %{name}.

%prep
%setup -q
%autopatch -p1
autoreconf -fi

%build
%configure
%make_build

%install
%make_install

%files
%doc COPYING
%{_libdir}/%{name}/%{name}.dll*

%files devel
%{_libdir}/pkgconfig/%{name}.pc
