Name:           posixovl
Version:        1.4
Release:        %mkrel 1
Summary:        POSIX overlay filesystem
License:        GPLv2+
Group:          System/Base
Url:            https://posixovl.sourceforge.net/

Source0:        https://inai.de/files/posixovl/%{name}-%{version}.tar.xz
BuildRequires:  autoconf >= 2.61
BuildRequires:  automake >= 1.9
BuildRequires:  attr-devel
BuildRequires:  pkgconfig(fuse) >= 2.6.5

%description
A FUSE filesystem that provides POSIX functionality - UNIX-style
permissions, ownership, special files - for filesystems that do not
have such, e.g. vfat. It is a modern equivalent of the UMSDOS fs.

%prep
%setup -q
%autopatch -p1

%build
if [ ! -e configure ]
then
   autoreconf -fiv
fi
%configure
%make_build

%install
%make_install

%files
%{_sbindir}/*
%{_mandir}/man*/*
