#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           poxml
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Xml2po and vice versa converters
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2 and GFDL
Url:            https://apps.kde.org/categories/development/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6DocTools)

BuildRequires:  gettext-devel

Recommends:     md5deep


%description
Software Development Kit for the K Desktop Environment.

%files
%_kf6_bindir/po2xml
%_kf6_bindir/split2po
%_kf6_bindir/swappo
%_kf6_bindir/xml2pot
%_kf6_mandir/man1/po2xml.1.*
%_kf6_mandir/man1/split2po.1.*
%_kf6_mandir/man1/swappo.1.*
%_kf6_mandir/man1/xml2pot.1.*
%_kf6_mandir/*/man1/po2xml.1.*
%_kf6_mandir/*/man1/split2po.1.*
%_kf6_mandir/*/man1/swappo.1.*
%_kf6_mandir/*/man1/xml2pot.1.*

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
