Summary: Parallel Init
Name: prcsys
Version: 0.0.3
Release: %mkrel 12
# SVN snapshot from http://zarb.org/users/svn/trem/prcsys/trunk/
Source0: %{name}-%{version}.tar.bz2
Patch0: prcsys-0.0.3-LDFLAGS.diff
# (fc) 0.0.3-5mdv add support for plymouth
Patch1: prcsys-0.0.3-plymouth.patch
License: GPL
Group: System/Base
Url: https://www.zarb.org/~couriousous/boot/

%description
A parallel init implementation.
It should be LSB compliant.

%prep
%setup -q
%patch -P 0 -p0 -b .LDFLAGS
%patch -P 1 -p1 -b .plymouth

%build
%make CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
mkdir -p $RPM_BUILD_ROOT/sbin
install -m755 prcsys $RPM_BUILD_ROOT/sbin/

%files
%doc AUTHORS Changelog
%defattr(755,root,root)
/sbin/prcsys




