%define upstream_name    Games-Risk-ExtraMaps-History
%define upstream_version 3.112691

Name:       prisk-maps-history
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    A set of historic maps for Games::Risk
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Find)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Games::Risk::ExtraMaps)
BuildRequires: perl(Games::Risk::Map)
BuildRequires: perl(Locale::Messages)
BuildRequires: perl(Locale::TextDomain)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
A set of historic maps for prisk.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*


