%define upstream_name    Games-Risk-ExtraMaps-Imaginary
%define upstream_version 3.113460

Name:       prisk-maps-imaginary
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    A set of imaginary maps for Games::Risk
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Find)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Games::Risk::ExtraMaps)
BuildRequires: perl(Games::Risk::Map)
BuildRequires: perl(Locale::Messages)
BuildRequires: perl(Locale::TextDomain)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
A set of imaginary maps for prisk.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*