#
# $Id$
#
%define perlvendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)

Name:		project-builder
Version:	0.16.1
Release:	%mkrel 2
Summary:	Project Builder helps providing multi-OSes Continuous Packaging
Summary(fr):	Project Builder ou pb produit des paquets pour diverses distributions
License:	GPLv2
Group:		System/Packaging
Url:		http://trac.project-builder.org
Source:		ftp://ftp.project-builder.org/src/%{name}-%{version}.tar.gz
Requires:	perl-File-MimeInfo,perl-DateManip,perl-ProjectBuilder
Requires:	rpm-build
BuildRequires: perl-ProjectBuilder
BuildRequires: perl-DateManip
BuildRequires: perl-File-MimeInfo
BuildArch:	noarch

%description
ProjectBuilder aka pb helps producing packages for multiple OSes (Linux
distributions, Solaris, ...).  It does that by minimizing the duplication of
information required and a set a very simple configuration files.  It
implements a Continuous Packaging approach.

%description -l fr
Project Builder ou pb est un programme pour produire des paquets pour 
diverses distributions.
Il réalise cela en minimisant la duplication des informations requises 
et par un jeu de fichiers de configuration très simples.

%prep
%setup -q

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
%make_install

%check
make test

%files
%doc NEWS AUTHORS COPYING README
%{perl_vendorlib}/ProjectBuilder/
%{_bindir}/pb*
%{_mandir}/man1/*
%{_mandir}/man3/*
