%define major 3
%define libname %mklibname %name %major
%global _legacy_common_support 1

Name:           proxychains
Version:        3.1
Release:        %mkrel 9
Summary:        Provides proxy support to any application
Group:          Networking/Other
License:        GPLv2+
URL:            https://proxychains.sourceforge.net/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         proxychains-3.1-ld_preload.patch
Patch1:         proxychains-3.1-glibc215.patch
Requires:       bind-utils
Requires:       %libname = %version-%release

%description
Proxychains forces any tcp connection made by any given tcp client to
follow through a proxy. Proxychains intercepts TCP calls and forces
them through a user defined proxy

You must configure /etc/proxychains.conf before use

%package -n %libname
Summary:        Provides proxy support to any application
Group:          System/Libraries

%description -n %libname
Proxychains forces any tcp connection made by any given tcp client to
follow through a proxy. Proxychains intercepts TCP calls and forces
them through a user defined proxy

You must configure /etc/proxychains.conf before use

%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.so

%files
%doc AUTHORS ChangeLog COPYING README
%config(noreplace) %{_sysconfdir}/proxychains.conf
%{_bindir}/proxychains
%{_bindir}/proxyresolv

%files -n %libname
%{_libdir}/libproxychains.so.%{major}{,.*}

