Name:       pstotext
Version:    1.9
Release:    %mkrel 8
Summary:    PostScript to text filter
Group:      Publishing
URL:        https://pages.cs.wisc.edu/~ghost/doc/pstotext.htm
License:    GPLv2+
Source0:    ftp://ftp.uni-frankfurt.de/pub/Mirrors2/gentoo.org/distfiles/%{name}-%{version}.tar.gz
# ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/contrib/pstotext-1.9.tar.gz
Patch0:     pstotext-1.9-cflags.patch

Requires:   ghostscript

%description
Pstotext was released as freeware in source-code form by (then)
DEC workers Paul McJones and Andrew Birrell around 1995. It's been
maintained by a group called ghostgum software since the original
developers stopped working there.


%prep
%autosetup -p1

%build
%set_build_flags
%make_build

%install
%__install -Dm 755 %{name} %{buildroot}%{_bindir}/%{name}
%__install -Dm 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
