%define pname pstreams

Name:           pstreams-devel
Version:        1.0.4
Release:        %mkrel 1
Summary:        POSIX Process Control in C++
Group:          Development/C++
License:        LGPLv3+
URL:            https://pstreams.sourceforge.net/
Source0:        https://downloads.sourceforge.net/%{pname}/%{pname}-%{version}.tar.gz
BuildRequires:  doxygen
BuildArch:      noarch

%description
PStreams class is like a C++ wrapper for the POSIX.2 functions
popen(3) and pclose(3), using C++ iostreams instead of C's stdio
library.

%prep
%setup -q -n %{pname}-%{version}

%build
%make_build docs

%install
%make_install prefix=%{_prefix}

%files
%doc doc/html README AUTHORS ChangeLog
%{_includedir}/pstreams/
