
Name:          publican-jboss
Version:       2.6
Release:       %mkrel 9
Summary:       Common documentation files for JBoss
Group:         Publishing
License:       CC-BY-SA
Url:           https://fedorahosted.org/publican/
Source0:       https://fedorahosted.org/releases/p/u/publican/publican-jboss-2.6.tgz
BuildRequires: publican
BuildRequires: perl(Locale::PO)
Requires:      publican
BuildArch:     noarch

%description
This package provides common files and
templates needed to build documentation
for JBoss with Publican.

%prep
%setup -q

%build

publican build --formats=xml --langs=all --publish

%install
mkdir -p -m755 %{buildroot}%{_datadir}/publican/Common_Content
publican install_brand --path=%{buildroot}%{_datadir}/publican/Common_Content

%files
%{_datadir}/publican/Common_Content/JBoss/*
%doc README COPYING
