%define puppet_module_name stdlib
%define puppet_module_vendor puppetlabs

%define distname %{puppet_module_vendor}-%{puppet_module_name}-%{version}

%define puppet_modules_dir %{_datadir}/puppet/modules

Summary:	Standard library of resources for Puppet modules
Name:		puppet-%{puppet_module_name}
Version:	5.1.0
Release:	%mkrel 5
License:	Apache Software License
Group:		Monitoring
Url:		https://forge.puppetlabs.com/puppetlabs/stdlib
Source0:	https://github.com/puppetlabs/puppetlabs-stdlib/archive/%{version}/%{distname}.tar.gz
BuildArch:	noarch
BuildRequires:	puppet
BuildRequires:	ruby
BuildRequires:	ruby-concurrent-ruby
BuildRequires:	ruby-deep_merge
BuildRequires:	ruby-racc

%description
This package provides the %{puppet_module_name} module for Puppet.
It contains a standard library of resources for Puppet modules.

%prep
%setup -q -c -T

%build

%install
install -d %{buildroot}%{puppet_modules_dir}
puppet module install %{SOURCE0} --ignore-dependencies --target-dir %{buildroot}%{puppet_modules_dir}

%files
%{puppet_modules_dir}/%{puppet_module_name}
