%define major		1
%define libname		%mklibname %{name} %{major}
%define libnamedev	%mklibname %{name} -d

Summary:	libpurple events handling plugin and library
Name:		purple-events
Version:	0.99.1
Release:	%mkrel 6
License:	GPLv3+
Group:		Networking/Instant messaging
Url:		https://purple-events.sardemff7.net/
Source0:	https://download.tuxfamily.org/purpleevents/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	pkgconfig(purple)
# This doesn't seem to be actually used, except that libtool seems to want all
# potential static dependencies around before ld throws most of them away
BuildRequires:	pkgconfig(libgadu)
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(libnsl)

Conflicts:	%{mklibname %{name} 0} <= 0.2

%description
%{name} is a libpurple events handling plugin and library.

%package -n %{libname}
Group:		System/Libraries
Summary:	libpurple events handling plugin and library
Requires:	%{name} >= %{version}

%description -n %{libname}
%{name} is a libpurple events handling plugin and library.

%package -n %{libnamedev}
Summary:	Development package for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libnamedev}
Files for development with %{name}.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%files -f %{name}.lang
%{_libdir}/purple-2/purple-events-exec.so
%{_libdir}/purple-2/purple-events.so
%{_datadir}/vala/vapi/%{name}.deps
%{_datadir}/vala/vapi/%{name}.vapi

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{libnamedev}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
