# Created by pyp2rpm-3.2.1
%global pypi_name pyp2rpm

Name:           %{pypi_name}
Version:        3.3.10
Release:        %mkrel 2
Summary:        Convert Python packages to RPM SPECFILES
Group:          Development/Python

License:        MIT
URL:            https://github.com/fedora-python/pyp2rpm
Source0:	https://github.com/fedora-python/pyp2rpm/archive/v%{version}/%{pypi_name}-%{version}.tar.gz

Patch500:	pyp2rpm-mageia.patch

BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(scripttest)
BuildRequires:  vex

Requires:       python3-rpm
Requires:       rpmdevtools
Provides:       python3-%{pypi_name} = %{version}-%{release}

%description
Convert Python packages to RPM SPECFILES. The packages can be downloaded from
PyPI and the produced SPEC is in line with Fedora 201x-era Python Packaging
Guidelines or Mageia Python Policy.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
# TestMetadataExtractor requires Python 2 setuptools
PYTHONPATH="." py.test-3 -vv -m "not webtest" -k "not TestMetadataExtractor"

%files -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/pyp2rpm
