Name:           pysol-sound-server
Version:        3.20
Release:        %mkrel 10
Summary:        pysol-sound-server to provide sounds and music for PySol FC
Group:          Games/Cards
License:        GPLv2
URL:            https://github.com/shlomif/pysol-sound-server
Source0:        https://github.com/shlomif/pysol-sound-server/archive/3.20/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  python3dist(setuptools)

%description
A Python extension module that plays WAV samples together with MP3
or MOD background music.

PySol-Sound-Server should work under any platform that is supported by the
SDL library, but currently only Linux, FreeBSD and Win32 have been tested.

%package     -n python3-%{name}
Summary:        pysol-sound-server to provide sounds and music for PySol FC
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
A Python extension module that plays WAV samples together with MP3
or MOD background music.

PySol-Sound-Server should work under any platform that is supported by the
SDL library, but currently only Linux, FreeBSD and Win32 have been tested.

%prep
%autosetup

%build
cd src
%configure
%py3_build

%install
cd src
%py3_install

%files -n python3-%{name}
%{python3_sitearch}/*

