# Created by pyp2rpm-3.3.8
%global pypi_name ablog

%bcond_with docs

Name:           python-%{pypi_name}
Version:        0.10.33
Release:        %mkrel 3
Summary:        A Sphinx extension that converts any documentation or personal website project into a full-fledged blog
Group:          Development/Python
License:        MIT
URL:            https://ablog.readthedocs.org/
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools-scm)
%if %{with docs}
BuildRequires:  python3dist(sphinx)
%endif

%description
ABlog is a Sphinx extension that converts any documentation or personal website
project into a full-fledged blog.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
ABlog is a Sphinx extension that converts any documentation or personal website
project into a full-fledged blog.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install

rm -rf %{buildroot}%{python3_sitelib}/tests
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%if %{with docs}
%doc html
%endif
%{_bindir}/ablog
