%global pypi_name accessible_pygments

Name:           python-accessible-pygments
Version:        0.0.5
Release:        %mkrel 2
Summary:        A collection of accessible pygments styles
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/accessible-pygments/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This package includes a collection of accessible themes for pygments based on
different sources.

%package -n     python3-accessible-pygments
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-accessible-pygments}}

%description -n python3-accessible-pygments
This package includes a collection of accessible themes for pygments based on
different sources.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files a11y_pygments

%files -n python3-accessible-pygments -f %{pyproject_files}
%license LICENSE
%doc README.md
