%define pypi_name aiodns

Summary:	Simple DNS resolver for asyncio
Name:		python-%{pypi_name}
Version:	3.2.0
Release:	%mkrel 2
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/aiodns
Source0:        %{pypi_source}
BuildRequires:	python3-devel
BuildRequires:	python3-sphinx
BuildArch:	noarch

%description
Simple DNS resolver for asyncio.

%package -n python3-%{pypi_name}
Summary:	Simple DNS resolver for asyncio
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Simple DNS resolver for asyncio.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

# cleanup
find . -name '*.pyo' -o -name '*.pyc' -delete

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{python3_sitelib}/*
