# Created by pyp2rpm-3.3.5
%global pypi_name aiosignal

%bcond_without check

Name:           python-%{pypi_name}
Version:        1.3.2
Release:        %mkrel 1
Summary:        aiosignal: a list of registered asynchronous callbacks
Group:          Development/Python
License:        ASL2.0
URL:            https://github.com/aio-libs/aiosignal
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-asyncio) >= 0.20.3
BuildRequires:  python3dist(frozenlist)
%endif

%description
A project to manage callbacks in asyncio projects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A project to manage callbacks in asyncio projects.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
