Name:           python-aiounittest
Version:        1.4.3
Release:        %mkrel 2
Summary:        Test asyncio code more easily1
Group:          Development/Python
License:        MIT
URL:            https://github.com/kwarunek/aiounittest
Source0:         %{pypi_source aiounittest}
Source1:	https://raw.githubusercontent.com/kwarunek/aiounittest/refs/tags/%{version}/requirements.txt
BuildArch:      noarch
BuildRequires:  python3-devel

%description
The aiounittest is a helper library to ease of your pain (and boilerplate),
when writing a test of the asynchronous code (asyncio).

%package -n     python3-aiounittest
Summary:        %{summary}

%description -n python3-aiounittest
The aiounittest is a helper library to ease of your pain (and boilerplate),
when writing a test of the asynchronous code (asyncio).

%prep
%autosetup -p1 -n aiounittest-%{version}

if [ ! -f requirements.txt ]; then
  install -Dpm644 %{SOURCE1} .
fi

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files aiounittest

%files -n python3-aiounittest -f %{pyproject_files}
