%global pypi_name alembic

Name:           python-%{pypi_name}
Version:        1.14.0
Release:        %mkrel 2
Group:          Development/Python
Summary:        A database migration tool for SQLAlchemy
License:        MIT
URL:            https://pypi.org/project/alembic
Source0:        %{pypi_source}
BuildArch:      noarch

%description
A database migration tool for SQLAlchemy.

%package -n python3-%{pypi_name}
Summary:        A database migration tool for SQLAlchemy
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python2-alembic < 1.0.8-2

%description -n python3-%{pypi_name}
A database migration tool for SQLAlchemy.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

ln -s %{_bindir}/%{pypi_name} %{buildroot}%{_bindir}/%{pypi_name}-3
ln -s %{_bindir}/%{pypi_name} %{buildroot}%{_bindir}/%{pypi_name}-%{python3_version}

%files -n python3-%{pypi_name}
%doc README.rst CHANGES docs
%license LICENSE
%{_bindir}/%{pypi_name}
%{_bindir}/%{pypi_name}-3
%{_bindir}/%{pypi_name}-%{python3_version}
%{python3_sitelib}/%{pypi_name}*
