%define pypi_name AnyQt
%define pkg_name anyqt

Name:           python-%{pkg_name}
Version:        0.2.0
Release:        %mkrel 3
Summary:        PyQt4/PyQt5 compatibility layer
Group:          Development/Python
License:        GPLv3
URL:            https://pypi.org/project/AnyQt/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
PyQt/PySide compatibility layer.

%package -n     python3-%{pkg_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildArch:      noarch

%description -n python3-%{pkg_name}
PyQt/PySide compatibility layer.

%prep
%setup -q -n AnyQt-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pkg_name} -f %{pyproject_files}
