# Created by pyp2rpm-3.3.2
%global pypi_name apipkg

Name:           python-%{pypi_name}
Version:        3.0.2
Release:        %mkrel 2
Summary:        apipkg: namespace control and lazy-import mechanism
Group:          Development/Python
License:        MIT
URL:            https://github.com/pytest-dev/apipkg
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
With apipkg you can control the exported namespace of a Python package and
greatly reduce the number of imports for your users. It cooperates well with
Python’s help() system, custom importers (PEP302) and common command-line
completion tools.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
With apipkg you can control the exported namespace of a Python package and
greatly reduce the number of imports for your users. It cooperates well with
Python’s help() system, custom importers (PEP302) and common command-line
completion tools.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if 0
%check
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
