%define module	argh

Name:		python-%{module}
Version:	0.31.3
Release:	%mkrel 2
Summary:	Unobtrusive argparse wrapper with natural syntax
Group:		Development/Python
License:	LGPLv3+
URL:		https://pypi.python.org/pypi/argh
Source0:	https://pypi.io/packages/source/a/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros

%description
Building a command-line interface? Found yourself uttering "argh!" while
struggling with the API of argparse? Don't like the complexity but need
the power?
Argh is a smart wrapper for argparse. Argparse is a very powerful tool;
Argh just makes it easy to use.

%package -n	python3-%{module}
Summary:	Unobtrusive argparse wrapper with natural syntax
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
Building a command-line interface? Found yourself uttering "argh!" while
struggling with the API of argparse? Don't like the complexity but need
the power?
Argh is a smart wrapper for argparse. Argparse is a very powerful tool;
Argh just makes it easy to use.

This is the Python 3 version of the package.

%prep
%setup -q -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files argh

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst
