# Created by pyp2rpm-3.3.1
%global pypi_name argon2-cffi
%global srcname argon2_cffi

Name:           python-%{pypi_name}
Version:        23.1.0
Release:        %mkrel 3
Summary:        The secure Argon2 password hashing algorithm
Group:          Development/Python
License:        MIT
URL:            https://argon2-cffi.readthedocs.io/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
CFFI-based Argon2 Bindings for Python.

%package -n     python3-%{pypi_name}
Summary:        The secure Argon2 password hashing algorithm
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python-%{pypi_name}-doc < 21.3.0

%description -n python3-%{pypi_name}
CFFI-based Argon2 Bindings for Python.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t -x docs

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files argon2

# generate html docs
PYTHONPATH=%{buildroot}%{python3_sitelib} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README*
%doc html
