# Created by pyp2rpm-3.3.5
%global pypi_name arviz

Name:           python-%{pypi_name}
Version:        0.21.0
Release:        %mkrel 1
Summary:        Exploratory analysis of Bayesian models
Group:          Development/Python
License:        Apache-2.0
URL:            https://github.com/arviz-devs/arviz
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Patch0:         0001-arviz-0.18-relax-reqs.patch
BuildArch:      noarch
BuildRequires:  python3-devel

%description
ArviZ is a Python package for exploratory analysis of 
Bayesian models. Includes functions for posterior analysis, data storage, model 
checking, comparison and diagnostics.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
ArviZ is a Python package for exploratory analysis of 
Bayesian models. Includes functions for posterior analysis, data storage, model 
checking, comparison and diagnostics.


%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

