# Created by pyp2rpm-3.3.2
%global pypi_name async-generator

Name:           python-%{pypi_name}
Version:        1.10
Release:        %mkrel 9
Summary:        Async generators and context managers for Python 3
Group:          Development/Python
License:        MIT -or- Apache License 2.0
URL:            https://github.com/python-trio/async_generator
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/async_generator-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-sphinxcontrib_trio
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
 :target:

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
 :target:

%package -n python-%{pypi_name}-doc
Summary:        async-generator documentation
%description -n python-%{pypi_name}-doc
Documentation for async-generator

%prep
%autosetup -n async_generator-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files async_generator

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.MIT LICENSE LICENSE.APACHE2
%doc README.rst

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE.MIT LICENSE LICENSE.APACHE2
