# Created by pyp2rpm-3.3.10
%global pypi_name async-lru

Name:           python-%{pypi_name}
Version:        2.0.4
Release:        %mkrel 2
Summary:        Simple LRU cache for asyncio
Group:          Development/Python
License:        MIT License
URL:            https://github.com/aio-libs/async-lru
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Simple lru cache for asyncio.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Simple lru cache for asyncio.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files async_lru

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
