# Created by pyp2rpm-3.3.7
%global pypi_name attrdict

Name:           python-%{pypi_name}
Version:        2.0.1
Release:        %mkrel 3
Summary:        A dict with attribute-style access
Group:          Development/Python
License:        MIT License
URL:            https://github.com/bcj/AttrDict
Source0:        %{pypi_source}
Patch1:		attrdict-collections.abc.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
AttrDict is a library that provides mapping objects that allow their elements
to be accessed both as keys and as attributes.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(six)

%description -n python3-%{pypi_name}
AttrDict is a library that provides mapping objects that allow their elements
to be accessed both as keys and as attributes.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
