# Created by pyp2rpm-3.3.5
%global pypi_name authlib
#global srcname Authlib

Name:           python-%{pypi_name}
Version:        1.5.1
Release:        %mkrel 1
Summary:        A ready to use authentication library for OAuth1, OAuth2, OpenID connect and more
Group:          Development/Python
License:        LGPLv3
URL:            https://authlib.org/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
Authlib is a ready to use authentication client and server for OAuth 1, OAuth 2
and more.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Authlib is a ready to use authentication client and server for OAuth 1, OAuth 2
and more.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
