Name:           python-autocommand
Version:        2.2.2
Release:        %mkrel 4
Summary:        A library to create a command-line program from a function
Group:          Development/Python

License:        LGPLv3
URL:            https://pypi.org/project/autocommand/
Source:         %{pypi_source autocommand}
Patch1:         autocommand-pyproject-license.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
A library to automatically generate and run simple argparse parsers from
function signatures.

%package -n     python3-autocommand
Summary:        %{summary}

%description -n python3-autocommand
A library to automatically generate and run simple argparse parsers from
function signatures.

%prep
%autosetup -p1 -n autocommand-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files autocommand

%check
%pyproject_check_import

%files -n python3-autocommand -f %{pyproject_files}
%license LICENSE
%doc README.md
