# Created by pyp2rpm-3.3.8
%global pypi_name autodocsumm

Name:           python-%{pypi_name}
Version:        0.2.14
Release:        %mkrel 2
Summary:        Extended sphinx autodoc including automatic autosummaries
Group:          Development/Python
License:        ASL 2.0
URL:            None
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Extending your autodoc API docs with a summary.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Extending your autodoc API docs with a summary.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
