%global srcname autopage

Name:           python-%{srcname}
Version:        0.5.2
Release:        %mkrel 2
Summary:        A Python library to provide automatic paging for console output
License:        ASL 2.0
Group:          Development/Python
URL:            https://pypi.python.org/pypi/autopage
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
Autopage is a Python library to provide automatic paging for console output.

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Autopage is a Python library to provide automatic paging for console output.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files autopage

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md
