%define srcname axolotl

Name:		python-axolotl
Version:	0.2.3
Release:	%mkrel 8
Summary:	Python port of libaxolotl-android
License:	GPLv3
Group:		Development/Python
Url:		https://github.com/tgalal/python-axolotl
Source:		https://github.com/tgalal/python-axolotl/archive/%{version}.tar.gz
BuildArch:	noarch

%description
This is a Python port of libsignal-protocol-java, originally written by Moxie
Marlinspike.

%package -n	python3-%{srcname}
Summary:	Python port of libaxolotl-android
License:	GPLv3
Group:		Development/Python
BuildRequires:  python3-devel

Requires:	python3-axolotl-curve25519
Requires:	python3-cryptography
Requires:	python3-protobuf
%{?python_provide:%python_provide python3-%{srcname}}
BuildArch:	noarch

%description -n	python3-%{srcname}
This is a Python port of libsignal-protocol-java, originally written by Moxie
Marlinspike.

%prep
%setup -q -n python-axolotl-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files axolotl

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md
