# Created by pyp2rpm-3.3.5
%global pypi_name azure-common

Name:           python-%{pypi_name}
Version:        1.1.28
Release:        %mkrel 3
Summary:        Microsoft Azure Client Library for Python (Common)
Group:          Development/Python
License:        MIT License
URL:            https://github.com/Azure/azure-sdk-for-python
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.zip
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Microsoft Azure SDK for Python. This is the Microsoft Azure common code. This
package provides shared code by the Azure packages.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Microsoft Azure SDK for Python. This is the Microsoft Azure common code. This
package provides shared code by the Azure packages.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files azure

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
