# Created by pyp2rpm-3.3.5
%global pypi_name azure-core

Name:           python-%{pypi_name}
Version:        1.30.2
Release:        %mkrel 2
Summary:        Microsoft Azure Core Library for Python
Group:          Development/Python
License:        MIT License
URL:            https://github.com/Azure/azure-sdk-for-python/tree/master/sdk/core/azure-core
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Azure core library defines basic exceptions and shared
modules those are needed when you use client libraries. 

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Azure core library defines basic exceptions and shared
modules those are needed when you use client libraries.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files azure

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc samples/README.md

