# Created by pyp2rpm-3.3.5
%global pypi_name azure-mgmt-core

Name:           python-%{pypi_name}
Version:        1.4.0
Release:        %mkrel 3
Summary:        Microsoft Azure Management Core Library for Python
Group:          Development/Python
License:        MIT License
URL:            https://github.com/Azure/azure-sdk-for-python/tree/main/sdk/core/azure-mgmt-core
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.zip
BuildArch:      noarch
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-devel
BuildRequires:  python3dist(azure-core)
BuildRequires:  python3dist(httpretty)
BuildRequires:  python3dist(aiohttp)

%description
Azure management core library defines extensions to Azure Core that are specific
to ARM (Azure Resource Management) needed when you use client libraries.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Azure management core library defines extensions to Azure Core that are specific
to ARM (Azure Resource Management) needed when you use client libraries.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files azure

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.md
%doc README.md

