# Created by pyp2rpm-3.3.5
%global pypi_name azure-mgmt-rdbms

Name:           python-%{pypi_name}
Version:        10.1.0
Release:        %mkrel 4
Summary:        Microsoft Azure RDBMS Management Client Library for Python
Group:          Development/Python
License:        MIT License
URL:            https://github.com/Azure/azure-sdk-for-python
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.zip
BuildArch:      noarch
BuildRequires:  python3-devel

%description
This is the Microsoft Azure RDBMS ManagementClient Library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is the Microsoft Azure RDBMS ManagementClient Library.


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files azure


%check
# tests are not intended for the public : https://github.com/Azure/azure-sdk-for-python/issues/9616

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

