# Created by pyp2rpm-3.3.1
%global pypi_name backcall

Name:           python-%{pypi_name}
Version:        0.2.0
Release:        %mkrel 6
Summary:        Specifications for callback functions passed in to an API
Group:          Development/Python
License:        BSD
URL:            https://github.com/takluyver/backcall
Source0:        %{pypi_source}
Patch0:         0001-fix-requirement-for-flit_core.patch

BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
backcallSpecifications for callback functions passed in to an APIIf your code
lets other people supply callback functions, it's important to specify the
function signature you expect, and check that functions support that. Adding
extra parameters later would break other peoples code unless you're
careful.backcall provides a way of specifying the callback signature using a
prototype function::...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
backcallSpecifications for callback functions passed in to an APIIf your code
lets other people supply callback functions, it's important to specify the
function signature you expect, and check that functions support that. Adding
extra parameters later would break other peoples code unless you're
careful.backcall provides a way of specifying the callback signature using a
prototype function::...


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files backcall

%check
%{__python3} setup.py check

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst

