# Created by pyp2rpm-3.3.5
%global pypi_name backports-weakref

Name:           python-%{pypi_name}
Version:        1.0.post1
Release:        %mkrel 3
Summary:        Backport of new features in Python's weakref module
Group:          Development/Python
License:        Python Software Foundation License
URL:            https://github.com/pjdelport/backports.weakref
Source0:        https://files.pythonhosted.org/packages/source/b/%{pypi_name}/backports.weakref-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
This package provides backports of new features in Python’s weakref module under
the backports namespace.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This package provides backports of new features in Python’s weakref module under
the backports namespace.


%prep
%autosetup -n backports.weakref-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files backports


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

