%define pypi_name baycomp

Name:       python-%{pypi_name}
Version:    1.0.3
Release:    %mkrel 2
Summary:    Bayesian tests for comparison of classifiers
Group:      Development/Python
License:    MIT
URL:        https://pypi.org/project/baycomp
Source0:    %{pypi_source}
BuildArch:  noarch

%description
Baycomp is a library for Bayesian comparison of classifiers.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Baycomp is a library for Bayesian comparison of classifiers.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files baycomp tests

%files -n python3-%{pypi_name} -f %{pyproject_files}
