# Created by pyp2rpm-3.3.1
%global pypi_name bcrypt

Name:           python-%{pypi_name}
Version:        4.3.0
Release:        %mkrel 1
Summary:        Modern password hashing for your software and your servers
Group:          Development/Python
#crypt_blowfish code is in Public domain and all other code in ASL 2.0
License:        ASL 2.0 and Public Domain and BSD
URL:            https://github.com/pyca/bcrypt/
Source0:        %{pypi_source}
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  cargo-rpm-macros

%description
Modern password hashing for your software and your servers.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Obsoletes:      python3-py-bcrypt < 0.4-24
Provides:       python3-py-bcrypt = %{version}-%{release}

%description -n python3-%{pypi_name}
Modern password hashing for your software and your servers.

%prep
%autosetup -n %{pypi_name}-%{version}
%cargo_prep

rm src/_bcrypt/Cargo.lock

%generate_buildrequires
%pyproject_buildrequires -t
(cd src/_bcrypt
%cargo_generate_buildrequires
)

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
