%define pypi_name beautifulsoup4

Name:           python-%{pypi_name}
Version:        4.13.3
Release:        %mkrel 1
Summary:        The Screen-Scraper's Friend

Group:          Development/Python
License:        MIT
URL:            https://www.crummy.com/software/BeautifulSoup/bs4/
Source0:        %{pypi_source}
BuildRequires:  pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros
BuildArch:      noarch

%description
Beautiful Soup sits atop an HTML or XML parser, providing Pythonic
idioms for iterating, searching, and modifying the parse tree.

%package -n     python3-%{pypi_name}
Summary:        HTML/XML parser for quick-turnaround applications like screen-scraping
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Beautiful Soup sits atop an HTML or XML parser, providing Pythonic
idioms for iterating, searching, and modifying the parse tree.
This is the Python 3 build of Beautiful Soup.

%pyproject_extras_subpkg -n python3-%{pypi_name} html5lib lxml

%prep
%autosetup -p1 -n %pypi_name-%version

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files bs4

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
