%global srcname betamax

# disable tests as they need n/w access
%bcond_with check

Name:           python-%{srcname}
Version:        0.9.0
Release:        %mkrel 3
Summary:        A VCR imitation for python-requests
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.python.org/pypi/betamax
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
Betamax is a VCR imitation for requests. This will make mocking out requests
much easier.

%package -n python3-%{srcname}
Summary:        A VCR imitation for python-requests
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Betamax is a VCR imitation for requests. This will make mocking out requests
much easier.

%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files betamax

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%doc *.rst
%license LICENSE
