Name:           python-bidict
Version:        0.23.1
Release:        %mkrel 2
Summary:        The bidirectional mapping library for Python

License:        MPLv2.0
URL:            https://pypi.org/project/bidict/
Source:         %{pypi_source bidict}
Group:          Development/Python

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
The bidict library provides several friendly, efficient data
structures for working with bidirectional mappings in Python.}


%description %_description

%package -n     python3-bidict
Summary:        %{summary}

%description -n python3-bidict %_description


%prep
%autosetup -p1 -n bidict-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files bidict


%check
%pyproject_check_import


%files -n python3-bidict -f %{pyproject_files}
%doc README.rst
%license LICENSE
