%define module blessings

Name:           python-%{module}
Version:        1.7
Release:        %mkrel 9
Summary:        Python library for terminal coloring, styling, and positioning
Group:          Development/Python
License:        MIT
URL:            https://github.com/erikrose/blessings
Source0:        https://pypi.io/packages/source/b/blessings/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
Blessings is a thin, practical wrapper around terminal coloring, styling, and
positioning in Python.

%package -n python3-%{module}
Summary:        Python 3 library for terminal coloring, styling, and positioning
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{module}
Blessings is a thin, practical wrapper around terminal coloring, styling, and
positioning in Python 3.

%prep
%autosetup -p1 -n %{module}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc README.rst LICENSE
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{module}*.egg-info
