# Tests fail due to missing git data,
# and building the JS from source doesn't work (tested as of version 2.0.2)
%bcond_with	check

%define pypi_name	bokeh

Name:		python-%{pypi_name}
Version:	3.6.3
Release:	%mkrel 1
Summary:	Interactive plots and applications in the browser from Python
Group:		Development/Python
# BSD-3-Clause
License:	BSD
URL:		https://github.com/bokeh/bokeh
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  pkgconfig(python3)

%description
Bokeh is an interactive visualization library for modern web browsers. It
provides elegant, concise construction of versatile graphics, and affords
high-performance interactivity over large or streaming datasets. Bokeh can help
anyone who would like to quickly and easily make interactive plots, dashboards,
and data applications.

%package -n	python3-%{pypi_name}
Summary:	Interactive plots and applications in the browser from Python 3

%description -n	python3-%{pypi_name}
Bokeh is an interactive visualization library for modern web browsers. It
provides elegant, concise construction of versatile graphics, and affords
high-performance interactivity over large or streaming datasets. Bokeh can help
anyone who would like to quickly and easily make interactive plots, dashboards,
and data applications.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files bokeh typings

%if %{with check}
%check
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE.txt
%{_bindir}/%{pypi_name}
