# Imported for conda

Name:           python-boltons
Version:        25.0.0
Release:        %mkrel 1
Summary:        When they're not builtins, they're boltons
Group:          Development/Python

License:        BSD
URL:            https://github.com/mahmoud/boltons
Source:         %{pypi_source boltons}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
Functionality that should be in the standard library. Like builtins, but Boltons.
Otherwise known as, “everyone’s util.py,” but cleaned up and tested.
Contains over 250 BSD-licensed utility types and functions that can be used as
a package or independently.}

%description %_description

%package -n     python3-boltons
Summary:        %{summary}

%description -n python3-boltons %_description


%prep
%autosetup -p1 -n boltons-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files boltons


%check
%pyproject_check_import


%files -n python3-boltons -f %{pyproject_files}

