%global pypi_name bracex

Name:           python-%{pypi_name}
Version:        2.5
Release:        %mkrel 2
Summary:        Bash style brace expander
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/bracex
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Bracex is a brace expanding library (à la Bash) for Python. Brace expanding is
used to generate arbitrary strings.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Bracex is a brace expanding library (à la Bash) for Python. Brace expanding is
used to generate arbitrary strings.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files bracex

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE.md README.md
