# Created by pyp2rpm-3.3.6
%global pypi_name browser-cookie3

Name:           python-%{pypi_name}
Version:        0.20.1
Release:        %mkrel 2
Summary:        Loads cookies from your browser into a cookiejar object so can download with urllib and other libraries the same content you see in the web browser
Group:          Development/Python
License:        LGPv3
URL:            https://github.com/borisbabic/browser_cookie3
Source0:        %{pypi_source browser_cookie3}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Python3 fork of Richard Penman's Browser Cookie.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python3 fork of Richard Penman's Browser Cookie.

%prep
%autosetup -n browser_cookie3-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files browser_cookie3

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/browser-cookie
