# Created by pyp2rpm-3.3.5
%global pypi_name build

%global pver post1
%global pypi_version 1.2.2%{?pver:.%{pver}}

%bcond_with doc

Name:           python-%{pypi_name}
Version:        1.2.2%{?pver:^%{pver}}
Release:        %mkrel 2
Summary:        A simple, correct PEP517 package builder
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/build/
Source0:        %{pypi_source %{pypi_name} %{pypi_version}}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
A simple, correct PEP517 package builder.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A simple, correct PEP517 package builder.

%pyproject_extras_subpkg -n python3-%{pypi_name} virtualenv

%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files build

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/pyproject-build
