#enable Created by pyp2rpm-3.3.7
%global pypi_name cachecontrol

# missing reqs
%bcond_with check

Name:           python-%{pypi_name}
Version:        0.14.2
Release:        %mkrel 1
Summary:        httplib2 caching for requests
Group:          Development/Python
License:        None
URL:            https://github.com/ionrock/cachecontrol
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
CacheControl is a port of the caching algorithms in httplib2 for use with
requests session object.

It was written because httplib2’s better support for caching is often mitigated
by its lack of thread safety. The same is true of requests in terms of caching.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
CacheControl is a port of the caching algorithms in httplib2 for use with
requests session object.

It was written because httplib2’s better support for caching is often mitigated
by its lack of thread safety. The same is true of requests in terms of caching.

%pyproject_extras_subpkg -n python3-%{pypi_name} filecache redis

%prep
%autosetup -n cachecontrol-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
# skip a test requiring internet access
%python3 -m pytest -v tests -k "not test_file_cache_recognizes_consumed_file_handle"
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/doesitcache
