%global pkgname cagraph

Name:           python-%{pkgname}
Version:        1.2
Release:        %mkrel 14
Url:            https://code.google.com/p/cagraph/
Summary:        A PyGTK Cairo chart widget
License:        GPLv3
Group:          Development/Python
Source:         https://cagraph.googlecode.com/files/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%description
A PyGTK widget for plotting charts and graphs using Python, GTK and Cairo.

%package -n python3-%{pkgname}
Summary:        A PyGTK Cairo chart widget

%description -n python3-%{pkgname}
A PyGTK widget for plotting charts and graphs using Python, GTK and Cairo.

%prep
%autosetup -n %{pkgname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cagraph

%files -n python3-%{pkgname} -f %{pyproject_files}
%doc PKG-INFO README examples
%license COPYING
