%define srcname caldav
%define module %{srcname}

Name:           python-%{srcname}
Version:        1.3.9
Release:        %mkrel 2
Summary:        CalDAV (RFC4791) client library
Group:          Development/Python
License:        LGPLv2+
URL:            https://github.com/python-caldav/caldav
Source0:        https://pypi.io/packages/source/c/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
WebDAV library for Python. WebDAV is an extension to the normal HTTP/1.1
protocol allowing the user to upload data, create collections of objects,
store properties for objects, etc.

%package -n python3-%{srcname}
Summary:        CalDAV (RFC4791) client library
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
WebDAV library for Python. WebDAV is an extension to the normal HTTP/1.1
protocol allowing the user to upload data, create collections of objects,
store properties for objects, etc.

This is the Python 3 package.

%prep
%setup -q -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files caldav

%files -n python3-%{srcname} -f %{pyproject_files}
