# Created by pyp2rpm-3.3.2
%global pypi_name cfgv

Name:           python-%{pypi_name}
Version:        3.4.0
Release:        %mkrel 3
Summary:        Validate configuration and produce human readable error messages
Group:          Development/Python
License:        MIT
URL:            https://github.com/asottile/cfgv
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Validate configuration and produce human readable error messages.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(six)

%description -n python3-%{pypi_name}
Validate configuration and produce human readable error messages.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cfgv

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
