%define module	chardet

Name:		python-%{module}
Version:	5.2.0
Release:	%mkrel 3
Summary:	Character encoding auto-detection in Python
License:	LGPLv2+
Group:		Development/Python
URL:		https://github.com/chardet/chardet
Source0:	%{pypi_source %{module}}
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)

%description
Character encoding auto-detection in Python. As smart as your browser.

%package -n	python3-%{module}
Summary:	Character encoding auto-detection in Python 3
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
Character encoding auto-detection in Python 3. As smart as your browser.

%prep
%setup -q -n %{module}-%{version}

sed -ie '1{/^#!/d}' chardet/lang*model.py chardet/metadata/languages.py

%build
%pyproject_wheel

%generate_buildrequires
%pyproject_buildrequires

%install
%pyproject_install
%pyproject_save_files chardet

%files -n python3-%{module} -f %{pyproject_files}
%doc LICENSE README.rst
%{_bindir}/chardetect
