%define pypi_name	pychm

Summary:	Python package to handle CHM files
Name:		python-chm
Version:	0.8.6
Release:	%mkrel 7
License:	GPLv2+
Group:		Development/Python
Url:		https://gnochm.sourceforge.net/
Source0:	https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildRequires:	chmlib-devel

%description
The chm package provides three modules, chm, chmlib and extra,
which provide access to the API implemented by the C library
chmlib and some additional classes and functions. They are
used to access MS-ITSS encoded files - Compressed Html Help
files (.chm).

%package -n	python3-%{pypi_name}
Summary:	Python package to handle CHM files
BuildRequires:	python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-chm}

%description -n	python3-%{pypi_name}
The chm package provides three modules, chm, chmlib and extra,
which provide access to the API implemented by the C library
chmlib and some additional classes and functions. They are
used to access MS-ITSS encoded files - Compressed Html Help
files (.chm).

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files chm

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license COPYING
%doc README
