%define srcname	cleo

#global prel	a5
%global rel	3

Name:		python-cleo
Version:	2.1.0
Release:	%mkrel %{?prel:0.%{prel}.}%{rel}
Summary:	Cleo allows you to create beautiful and testable command-line interfaces
Group:		Development/Python
License:	GPLv2+
URL:		https://pypi.org/project/cleo/
Source0:	https://github.com/python-poetry/cleo/archive/%{version}%{?prel}/%{srcname}-%{version}%{?prel}.tar.gz
BuildArch:	noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
Cleo allows you to create beautiful and testable command-line interfaces

%package -n python3-cleo
Summary:	Cleo allows you to create beautiful and testable command-line interfaces
Group:		Development/Python
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-cleo
Cleo allows you to create beautiful and testable command-line interfaces

%prep
%autosetup -p1 -n %{srcname}-%{version}%{?prel}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cleo

%files -n python3-cleo -f %{pyproject_files}
%license LICENSE
%doc README.md
