%define srcname	clikit

Name:		python-clikit
Version:	0.6.2
Release:	%mkrel 6
Summary:	CliKit is a group of utilities to build beautiful and testable command line interfaces
Group:		Development/Python
License:	GPLv2+
URL:		https://pypi.org/project/clikit/
Source0:	https://pypi.python.org/packages/source/c/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0:		clikit-0.6.2-relax-requirements.patch
Patch1:		clikit-0.6.2-allow-current-crashtest.patch
BuildArch:	noarch

%description
CliKit is a group of utilities to build beautiful and testable
command line interfaces.

%package -n python3-clikit
Summary:	CliKit is a group of utilities to build beautiful and testable command line interfaces
Group:		Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(poetry-core)

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-clikit
CliKit is a group of utilities to build beautiful and testable
command line interfaces.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files clikit

%files -n python3-clikit -f %{pyproject_files}
