%define pypi_name cloud-sptheme
%define srcname cloud_sptheme

%global post	post20200504175005

%define rel	2

Name:           python-%{pypi_name}
Version:        1.10.1
Release:        %mkrel %{?post:1.%{post}.}%{rel}
License:        GPLv3+
Summary:        Python cloud theme for sphinx
Group:          Development/Python
Url:		https://cloud-sptheme.readthedocs.io/
Source:         %{pypi_source %{srcname} %{version}%{?post:.%post}}
BuildArch:	noarch
BuildRequires:  python3-sphinx

%description
It contains a Sphinx theme named “Cloud”, and some related Sphinx extensions.

Cloud and its extensions are primarily oriented towards generating html
documentation for Python libraries. It provides numerous small enhancements
to make the html documentation html more interactive, improve the layout on
mobile devices, and other enhancements.

%package -n python3-%{pypi_name}
Summary:        Python3 cloud theme for sphinx
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python3-%{srcname} < 1.10.0

%description -n python3-%{pypi_name}
It contains a Sphinx theme named “Cloud”, and some related Sphinx extensions.

Cloud and its extensions are primarily oriented towards generating html
documentation for Python libraries. It provides numerous small enhancements
to make the html documentation html more interactive, improve the layout on
mobile devices, and other enhancements.

%prep
%setup -q -n %{srcname}-%{version}%{?post:.%post}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc CHANGES README
