# Created by pyp2rpm-3.3.5
%global pypi_name codecov

Name:           python-%{pypi_name}
Version:        2.1.13
Release:        %mkrel 2
Summary:        Hosted coverage reports for GitHub, Bitbucket and Gitlab
Group:          Development/Python
License:        Apache 2.0
URL:            https://github.com/codecov/codecov-python
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-devel

%description
Find coverage reports for programming languages, gather them and submit them to
Codecov.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Find coverage reports for programming languages, gather them and submit them to
Codecov.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files codecov

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/codecov
