%global pypi_name colorama

Name:           python-%{pypi_name}
Version:        0.4.6
Release:        %mkrel 4
Summary:        Cross-platform colored terminal text
Group:          Development/Python

License:        BSD
URL:            https://pypi.org/project/colorama/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Cross-platform colored terminal text.

%package -n python3-%{pypi_name}
Summary:        Cross-platform colored terminal text
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Cross-platform colored terminal text.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files colorama

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
