Name:       python-colorclass
Version:    2.2.2
Release:    %mkrel 4
Summary:    Python colorful worry-free console applications
Group:      Development/Python
License:    MIT
URL:        https://pypi.org/project/colorclass/
Source0:    https://files.pythonhosted.org/packages/source/c/colorclass/colorclass-%{version}.tar.gz
BuildArch:  noarch
BuildRequires:  python3-devel

%description
python-colorclass provides a colorful worry-free console applications.

%package -n python3-colorclass
Summary: %{summary} / Python 3 library

%description -n python3-colorclass
python-colorclass provides a colorful worry-free console applications.

%prep
%setup -q -n colorclass-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files colorclass

%files -n python3-colorclass -f %{pyproject_files}
%doc README.md
