# Created by pyp2rpm-3.3.0
%global pypi_name colorlog

Name:           python-%{pypi_name}
Version:        6.9.0
Release:        %mkrel 2
Group:          Development/Python
Summary:        Log formatting with colors
License:        MIT
URL:            https://pypi.org/project/colorlog/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Add colours to the output of Python's logging module.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
BuildRequires: pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(colorama)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)
Requires:       python3dist(colorama)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Add colours to the output of Python's logging module.

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files colorlog

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

