# Copyright 2011, Red Hat

%global oname configshell-fb
%define module configshell

Name:           python-configshell
Epoch:          1
Version:        1.1.30
Release:        %mkrel 3
Summary:        A framework to implement simple but nice CLIs
License:        ASL 2.0
Group:          System/Libraries
URL:            https://github.com/agrover/configshell-fb
Source:         %{pypi_source configshell-fb}
BuildArch:      noarch

%description
A framework to implement simple but nice configuration-oriented
command-line interfaces.

%package -n     python3-%{module}
Summary:        A framework to implement simple but nice CLIs
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
Requires:       python3dist(pyparsing)
Requires:       python3dist(urwid)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
A framework to implement simple but nice configuration-oriented
command-line interfaces.

This is the Python 3 version.

%prep
%setup -q -n %{oname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files configshell_fb configshell

%files -n python3-%{module} -f %{pyproject_files}
%doc COPYING README.md
