%global modname contextlib2

Name:               python-%{modname}
Version:            21.6.0
Release:            %mkrel 2
Summary:            Backports and enhancements for the contextlib module

Group:              Development/Python
License:            Python
URL:                https://pypi.io/project/contextlib2
Source0:            https://pypi.io/packages/source/c/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:          noarch
BuildRequires:      pyproject-rpm-macros
BuildRequires:      python3-devel
BuildRequires:      python3dist(setuptools)
BuildRequires:      python3dist(pytest)

%description
contextlib2 is a backport of the standard library's contextlib module to
earlier Python versions.

It also serves as a real world proving ground for possible future
enhancements to the standard library version.

%package -n python3-%{modname}
Summary:            Backports and enhancements for the contextlib module
Group:              Development/Python
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname}
contextlib2 is a backport of the standard library's contextlib module to
earlier Python versions.

It also serves as a real world proving ground for possible future
enhancements to the standard library version.

%prep
%setup -q -n %{modname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{modname}

%check
#%%pytest

%files -n python3-%{modname} -f %{pyproject_files}
%doc README.rst VERSION.txt NEWS.rst
%license LICENSE.txt

