# Created by pyp2rpm-1.0.1
%global pypi_name cov-core

Name:           python-%{pypi_name}
Version:        1.15.0
Release:        %mkrel 8
Summary:        Plugin core for use by pytest-cov, nose-cov and nose2-cov
Group:          Development/Python
License:        MIT
URL:            https://bitbucket.org/memedough/cov-core/overview
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
This is a lib package for use by pytest-cov, nose-cov and nose2-cov. If
you're developing a coverage plugin for a test framework then you probably
want one of those.

%package -n     python3-%{pypi_name}
Summary:        Plugin core for use by pytest-cov, nose-cov and nose2-cov
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is a lib package for use by pytest-cov, nose-cov and nose2-cov. If
you're developing a coverage plugin for a test framework then you probably
want one of those.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README*
%{python3_sitelib}/cov_core*
%{python3_sitelib}/__pycache__/*
