# Created by pyp2rpm-3.3.1
%global pypi_name coveralls

Name:           python-%{pypi_name}
Version:        3.3.1
Release:        %mkrel 5
Summary:        Show coverage stats online via coveralls.io
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/coveralls
Source0:        %{pypi_source}
Patch1:         coveralls-coverage.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-sphinxcontrib_trio

%description
coveralls.io is a service for publishing your coverage stats online.

This package provides seamless integration with coverage.py (and thus
pytest, nosetests, etc...) in your Python projects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
coveralls.io is a service for publishing your coverage stats online.

This package provides seamless integration with coverage.py (and thus
pytest, nosetests, etc...) in your Python projects.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files coveralls

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%{_bindir}/coveralls
