%define srcname	crashtest

Name:		python-crashtest
Version:	0.4.1
Release:	%mkrel 3
Summary:	Manage Python errors with ease
Group:		Development/Python
License:	GPLv2+
URL:		https://pypi.org/project/crashtest/
Source0:	https://pypi.python.org/packages/source/c/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:	noarch

%description
Manage Python errors with ease

%package -n python3-crashtest
Summary:	Manage Python errors with ease
Group:		Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(poetry-core)

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-crashtest
Manage Python errors with ease

%prep
%setup -q -n %{srcname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files crashtest

%files -n python3-crashtest -f %{pyproject_files}
