# Created by pyp2rpm-1.0.1
%global pypi_name croniter

Name:           python-%{pypi_name}
Version:        2.0.1
Release:        %mkrel 2
Summary:        Iteration for datetime object with cron like format
Group:          Development/Python

License:        MIT
URL:            https://github.com/kiorky/croniter
Source0:        https://pypi.io/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Croniter provides iteration for datetime object with cron like format.

%package -n python3-%{pypi_name}
Summary:        Iteration for datetime object with cron like format
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(python-dateutil)
BuildRequires:  python3dist(pytz)
BuildRequires:  python3dist(natsort)
BuildRequires:  python3dist(tzlocal)

Requires:       python3dist(python-dateutil)

%description -n python3-%{pypi_name}
Croniter provides iteration for datetime object with cron like format.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# Remove reundant script header to avoid rpmlint warnings
find -name \*.py -exec sed -i '/\/usr\/bin\/env python/{d;q}' {} +

%build
%py3_build

%install
%py3_install

%if 0
%check
PYTHONPATH=%{buildroot}%{python3_sitelib}/ %{__python3} -m unittest discover -s %{buildroot}%{python3_sitelib}/%{pypi_name}/tests -p 'test_*.py'
rm -fr %{buildroot}%{python3_sitelib}/%{pypi_name}/tests/
%endif

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
