%define pypi_name cryptography-vectors
%define srcname cryptography_vectors

Name:               python-%{pypi_name}
Version:            44.0.1
Release:            %mkrel 2
Summary:            Test vectors for the cryptography package
Group:              Development/Python
License:            ASL 2.0 or BSD
URL:                https://pypi.org/project/cryptography-vectors/
Source0:            %{pypi_source}
BuildArch:          noarch
BuildRequires:      pyproject-rpm-macros
BuildRequires:      python3-devel

%description
Test vectors for the cryptography package.

The only purpose of this package is to be a building requirement for
python-cryptography, otherwise it has no use. Don’t install it unless
you really know what you are doing.

%package -n python3-%{pypi_name}
Group:      Development/Python
Summary:    %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Test vectors for the cryptography package.

The only purpose of this package is to be a building requirement for
python-cryptography, otherwise it has no use. Don’t install it unless
you really know what you are doing.

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE*
