%define fname	cssmin

Name:       python-cssmin
Summary:    A Python port of the YUI CSS compression algorithm
Version:    0.2.0
Release:    %mkrel 16
URL:        https://github.com/zacharyvoase/cssmin
Source0:    https://pypi.python.org/packages/source/c/%{fname}-%{version}.tar.gz
Group:	    Development/Python
License:    BSD
BuildRequires:  python3-devel
BuildArch:  noarch

%description
A Python port of the YUI CSS compression algorithm. The library can be used for
merging and compressing CSS files.

%package -n python3-%{fname}
Summary:  A Python port of the YUI CSS compression algorithm
%{?python_provide:%python_provide python3-%{fname}}

%description -n python3-%{fname}
A Python port of the YUI CSS compression algorithm. The library can be used for
merging and compressing CSS files.

%prep
%autosetup -n %{fname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cssmin

%files -n python3-%{fname} -f %{pyproject_files}
%doc PKG-INFO
%{_bindir}/cssmin*

