# Created by pyp2rpm-3.3.6
%global pypi_name cwcwidth

Name:           python-%{pypi_name}
Version:        0.1.10
Release:        %mkrel 1
Summary:        Python bindings for wc(s)width
Group:          Development/Python
License:        MIT
URL:            https://github.com/sebastinas/cwcwidth
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(cython)

%description
Python bindings for wc(s)widthcwcwidth provides Python bindings for wcwidth and
wcswidth functions defined in POSIX.1-2001 and POSIX.1-2008 based on Cython.
These functions compute the printable length of a unicode character/string on a
terminal. The module provides the same functions as wcwidth and its behavior is
compatible.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python bindings for wc(s)widthcwcwidth provides Python bindings for wcwidth and
wcswidth functions defined in POSIX.1-2001 and POSIX.1-2008 based on Cython.
These functions compute the printable length of a unicode character/string on a
terminal. The module provides the same functions as wcwidth and its behavior is
compatible.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
(cd tests ; PYTHONPATH=%{buildroot}%{python3_sitearch} %{__python3} -m unittest -v)

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
