%global srcname cycler

Name:           python-%{srcname}
Version:        0.12.1
Release:        %mkrel 2
Summary:        Cycle through lists in various ways (used by matplotlib)
Group:          Development/Python
License:        BSD
Source0:        https://github.com/matplotlib/cycler/archive/v%{version}/%{name}-%{version}.tar.gz#/%{srcname}-%{version}.tar.gz
URL:            https://github.com/matplotlib/cycler
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-six
BuildRequires:  python3-pytest
%description
General purpose library used by matplotlib to cycle through lists for colors, marker styles,
etc.

%package -n python3-%{srcname}
Summary:        Cycle through lists in various ways (used by matplotlib)
Requires:       python3-six
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
General purpose library used by matplotlib to cycle through lists for colors, marker styles,
etc.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cycler

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst
%license LICENSE

