%global srcname d2to1

Name:           python-%{srcname}
Version:        0.2.12
Release:        %mkrel 13
Summary:        Allows using distutils2-like setup.cfg files with setup.py

Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/d2to1
Source0:        https://pypi.io/packages/source/d/%srcname/%srcname-%version.tar.gz
# Compatibility with the newer setuptools
Patch0:         setuptools-compatibility.patch
BuildArch:      noarch
BuildRequires:  python3-devel

%description
d2to1 (the 'd' is for 'distutils') allows using distutils2-like setup.cfg
files for a package's metadata with a distribute/setuptools setup.py script.
It works by providing a distutils2-formatted setup.cfg file containing all
of a package's metadata, and a very minimal setup.py which will slurp its
arguments from the setup.cfg.

%package -n     python3-%{srcname}
Summary:        Allows using distutils2-like setup.cfg files with setup.py
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
d2to1 (the 'd' is for 'distutils') allows using distutils2-like setup.cfg
files for a package's metadata with a distribute/setuptools setup.py script.
It works by providing a distutils2-formatted setup.cfg file containing all
of a package's metadata, and a very minimal setup.py which will slurp its
arguments from the setup.cfg.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files d2to1

%files -n python3-%{srcname} -f %{pyproject_files}
%doc CHANGES.rst CONTRIBUTORS README.rst
