# Created by pyp2rpm-3.3.5
%global pypi_name dask

Name:           python-%{pypi_name}
Version:        2025.2.0
Release:        %mkrel 1
Summary:        Parallel PyData with Task Scheduling
Group:          Development/Python
License:        BSD
URL:            https://github.com/dask/dask/
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
Obsoletes:      python3-dask+dataframe < 2024.5.0-2

%description
Dask is a flexible parallel computing library for analytics.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Dask is a flexible parallel computing library for analytics.

# don't include dataframe, it requires dask-expr we don't have
%pyproject_extras_subpkg -n python3-%{pypi_name} array bag diagnostics delayed

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt dask/array/NUMPY_LICENSE.txt
%doc README.rst
%{_bindir}/dask
