# Created by pyp2rpm-3.3.2
%global pypi_name delegator.py

Name:           python-%{pypi_name}
Version:        0.1.1
Release:        %mkrel 8
Summary:        Subprocesses for Humans 2.0
Group:          Development/Python
License:        MIT
URL:            https://github.com/kennethreitz/delegator
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Delegator.py is a simple library for dealing with subprocesses, inspired by
both envoy and pexpect (in fact, it depends on it!).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Delegator.py is a simple library for dealing with subprocesses, inspired by
both envoy and pexpect (in fact, it depends on it!).

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/delegator.py{,c,o}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
