# Created by pyp2rpm-3.3.2
%global pypi_name deprecated
%global pkgname   deprecated

Name:           python-%{pkgname}
Version:        1.2.18
Release:        %mkrel 2
Summary:        Python deprecated decorator to deprecate old python classes, functions or methods
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/Deprecated/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(wrapt)
BuildRequires:  python3dist(sphinx)

%description
Python @deprecated decorator to deprecate old python classes,
functions or methods.

%package -n     python3-%{pkgname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python3-%{pkgname}
Python @deprecated decorator to deprecate old python classes,
functions or methods.

%prep
%autosetup -p1 -n %{pkgname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pkgname}

%check
%pytest

%files -n python3-%{pkgname} -f %{pyproject_files}
%license LICENSE.rst docs/source/license.rst
%doc README.md
%doc html
