# Created by pyp2rpm-3.3.2
%global pypi_name discover
%define pypi_url https://pypi.io/packages/source/%(n=%{pypi_name}; echo ${n::1})/%{pypi_name}

Name:           python-%{pypi_name}
Version:        0.4.0
Release:        %mkrel 9
Summary:        Test discovery for unittest. Backported from Python 2
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/discover/
Source0:        %{pypi_url}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel

%description
This is the test discovery mechanism and load_tests protocol for unittest
backported from Python 2.7 to work with Python 2.4 or more recent (including
Python 3)... note:: Test discovery is just part of what is new in unittest in
Python 2.7. All of the new features have been backported to run on Python
2.4-2.6, including test discovery. This is the unittest2 package < can be
installed with pip...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
This is the test discovery mechanism and load_tests protocol for unittest
backported from Python 2.7 to work with Python 2.4 or more recent (including
Python 3)... note:: Test discovery is just part of what is new in unittest in
Python 2.7. All of the new features have been backported to run on Python
2.4-2.6, including test discovery. This is the unittest2 package < can be
installed with pip...


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files discover


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.txt
%{_bindir}/discover

