# Created by pyp2rpm-3.3.5
%global pypi_name distributed

Name:           python-%{pypi_name}
Version:        2025.2.0
Release:        %mkrel 1
Summary:        Distributed scheduler for Dask
Group:          Development/Python
License:        BSD
URL:            https://distributed.dask.org
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)


%description
Distributed: A library for distributed computation.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Distributed: A library for distributed computation.


%prep
%autosetup -n %{pypi_name}-%{version}
sed -ie "s/dask ==/dask >=/" pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%{_bindir}/dask-scheduler
%{_bindir}/dask-ssh
%{_bindir}/dask-worker
