%global pypi_name  django-addons

Name:           python-%{pypi_name}
Version:        2.0.1
Release:        %mkrel 9
Summary:        Addon framework to create pluggable Django addons
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/django-addons
Source:         %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
A Django app used to add true plug-n-play functionality to your own Django
applications and projects

Django-addons is a bunch of code that makes writing addon/plugins for your
Django project much easier. Add django-addons to your Django project and
you can drop all the addons to '<projectdir>/addons' directory.

%package -n python3-%{pypi_name}
Summary:        Addon framework to create pluggable Django addons
Group:          Development/Python

%description -n python3-%{pypi_name}
A Django app used to add true plug-n-play functionality to your own Django
applications and projects

Django-addons is a bunch of code that makes writing addon/plugins for your
Django project much easier. Add django-addons to your Django project and
you can drop all the addons to '<projectdir>/addons' directory.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files django_addons

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
