Name:           python-django-ajax-selects
Version:        2.2.0
Release:        %mkrel 3
Summary:        jQuery-powered auto-complete fields for ForeignKey and ManyToMany fields
Group:          Development/Python
License:        MIT and GPLv3
URL:            https://pypi.org/project/django-ajax-selects
Source:         https://pypi.io/packages/source/d/django-ajax-selects/django-ajax-selects-%{version}.tar.gz
BuildArch:      noarch

%description
Edit ForeignKey, ManyToManyField and CharField in Django Admin using
jQuery UI AutoComplete.

%package -n python3-django-ajax-selects
Summary:        Intelligent schema migrations for Django apps
Group:          Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-django
%{?python_provide:%python_provide python3-django-ajax-selects}

%description -n python3-django-ajax-selects
Edit ForeignKey, ManyToManyField and CharField in Django Admin using
jQuery UI AutoComplete.

%prep
%setup -q -n django-ajax-selects-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ajax_select

%files -n python3-django-ajax-selects -f %{pyproject_files}
%doc ajax_select/LICENSE.txt

