%define module	django-easy-thumbnails

Name:		python-%{module}
Version:	2.9
Release:	%mkrel 2
Summary:	A powerful, yet easy to implement thumbnailing application for Django
License:	BSD
Group:		Development/Python
URL:		https://pypi.python.org/pypi/easy-thumbnails/
Source0:	https://pypi.io/packages/source/e/easy-thumbnails/easy_thumbnails-%{version}.tar.gz
BuildArch:	noarch

%description
A powerful, yet easy to implement thumbnailing application for Django.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	A powerful, yet easy to implement thumbnailing application for Django
Group:		Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
A powerful, yet easy to implement thumbnailing application for Django.

#---------------------------------------------------------------------------

%prep
%setup -q -n easy_thumbnails-%{version}


# fix rpmlint warning: wrong-file-end-of-line-encoding
sed -i 's/\r$//' README.rst

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files easy_thumbnails

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst CHANGES.rst docs/
