%define pypi_name django-pipeline

Name:           python-%{pypi_name}
Version:        2.0.8
Release:        %mkrel 4
Group:          Development/Python
Summary:        Pipeline is an asset packaging library for Django

License:        MIT
URL:            https://pypi.python.org/pypi/django-pipeline
Source0:        https://pypi.io/packages/source/d/%{pypi_name}/%{pypi_name}-%version.tar.gz
BuildArch:      noarch

%description
Pipeline is an asset packaging library for Django.

%package -n python3-%{pypi_name}
Summary:        Pipeline is an asset packaging library for Django
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
Pipeline is an asset packaging library for Django.

%prep
%setup -q -n %{pypi_name}-%{version}


sed -i 's|extras_require|#extras_require|' setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pipeline

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS HISTORY.rst README.rst
