%define module	django-ranged-response

Name:		python-%{module}
Version:	0.2.0
Release:	%mkrel 13
Summary:	Modified Django FileResponse that adds Content-Range headers
License:	MIT
Group:		Development/Python
URL:		https://github.com/wearespindle/django-ranged-fileresponse/
Source0:	https://pypi.io/packages/source/d/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
This is a modified FileResponse that returns `Content-Range` headers
with the HTTP response, so browsers (read Safari 9+) that request the
file, can stream the response properly.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	Modified Django FileResponse that adds Content-Range headers
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
This is a modified FileResponse that returns `Content-Range` headers
with the HTTP response, so browsers (read Safari 9+) that request the
file, can stream the response properly.

#---------------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf django_ranged_response.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%{python3_sitelib}/ranged_response/
%{python3_sitelib}/django_ranged_response-%{version}-py%{python3_version}.egg-info/
