# Created by pyp2rpm-3.3.1
%global pypi_name django-settings

Name:           python-%{pypi_name}
Version:        1.3.12
Release:        %mkrel 10
Summary:        Simple django reusable application for storing project settings in database
Group:          Development/Python
License:        BSD
URL:            https://github.com/jqb/django-settings
Source0:        %{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%description
Django reusable application for storing global project settings in database.

By project settings I mean things like admin mail, some default values like
default_post_limit etc. Values are validated depending their type.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Django reusable application for storing global project settings in database.

By project settings I mean things like admin mail, some default values like
default_post_limit etc. Values are validated depending their type.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files django_settings

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
