%define pypi_name django-user-accounts

Name:           python-django-user-accounts
Version:        3.3.2
Release:        %mkrel 2
Group:          Development/Python
Summary:        a Django user account app

License:        MIT
URL:            https://github.com/pinax/django-user-accounts
Source0:        https://pypi.python.org/packages/source/d/django-user-accounts/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx

%description
Provides a Django project with a very extensible infrastructure for dealing with user accounts.

%package -n     python3-%{pypi_name}
Summary:        a Django user account app
Group:          Development/Python

%description -n python3-%{pypi_name}
Provides a Django project with a very extensible infrastructure for dealing with user accounts.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files account

rm -rf %{buildroot}%{python3_sitelib}/*.py
rm -rf %{buildroot}%{python3_sitelib}/__pycache__/
rm -rf %{buildroot}%{python3_sitelib}/docs/

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc html
