Name:           python-domdf-python-tools
Version:        3.10.0
Release:        %mkrel 1
Summary:        Helpful functions for Python

License:        MIT
URL:            https://github.com/domdfcoding/domdf_python_tools
Source:         %{pypi_source domdf_python_tools}
Group:          Development/Python

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
# Tests
BuildRequires:  python3dist(typing-extensions)
BuildRequires:  python3dist(natsort)

%description
Helpful functions for Python.

%package -n     python3-domdf-python-tools
Summary:        %{summary}

%description -n python3-domdf-python-tools
Helpful functions for Python3.

%prep
%autosetup -p1 -n domdf_python_tools-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files domdf_python_tools

%check
%pyproject_check_import

%files -n python3-domdf-python-tools -f %{pyproject_files}
%license LICENSE
%doc README.rst
