# Created by pyp2rpm-3.3.1
%global pypi_name easygui

Name:           python-%{pypi_name}
Version:        0.98.1
Release:        %mkrel 10
Summary:        EasyGUI is a module for very simple, very easy GUI programming in Python
Group:          Development/Python
License:        BSD
URL:            https://github.com/robertlugg/easygui
Source0:        https://pypi.io/packages/source/e/easygui/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel

%description
EasyGui provides an easy-to-use interface for simple GUI
interaction with a user. It does not require the programmer to know anything
about tkinter, frames, widgets, callbacks or lambda. All GUI interactions are
invoked by simple function calls that return results.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
EasyGui provides an easy-to-use interface for simple GUI
interaction with a user. It does not require the programmer to know anything
about tkinter, frames, widgets, callbacks or lambda. All GUI interactions are
invoked by simple function calls that return results.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files easygui

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.txt

