%define module	editorconfig
%define srcname	editorconfig

Name:		python-%{module}
Version:	0.17.0
Release:	%mkrel 2
Summary:	EditorConfig File Locator and Interpreter for Python
Group:		Development/Python
License:	MIT
URL:		https://pypi.org/project/EditorConfig/
Source0:	https://pypi.io/packages/source/e/editorconfig/%{srcname}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	pkgconfig(python3)

%description
EditorConfig Python Core provides the same functionality as the EditorConfig
C Core. EditorConfig Python core can be used as a command line program or as
an importable library.

#------------------------------------------------

%package -n	python3-%{module}
Summary:	EditorConfig File Locator and Interpreter for Python 3
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
EditorConfig Python 3 Core provides the same functionality as the EditorConfig
C Core. EditorConfig Python 3 core can be used as a command line program or as
an importable library.

#------------------------------------------------

%prep
%autosetup -p1 -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files editorconfig

%files -n python3-%{module} -f %{pyproject_files}
%{_bindir}/editorconfig
