%global pypi_name emoji

Name:           python-%{pypi_name}
Version:        2.14.0
Release:        %mkrel 1
Summary:        Emoji for Python
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/emoji/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Emoji for Python. This project was inspired by kyokomi.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Emoji for Python. This project was inspired by kyokomi.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files emoji

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README*
