# Created by pyp2rpm-3.3.3
%global pypi_name empy

Name:           python-%{pypi_name}
Version:        4.2
Release:        %mkrel 2
Summary:        A templating system for Python
Group:          Development/Python
License:        LGPLv3
URL:            http://www.alcyone.com/software/empy
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-devel

%description
EmPy is a system for embedding Python expressions and statements in template
text; it takes an EmPy source file, processes it, and produces output.

%package -n     python3-%{pypi_name}
Summary:        A templating system for Python 3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
EmPy is a system for embedding Python expressions and statements in template
text; it takes an EmPy source file, processes it, and produces output.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files em emdoc emhelp emlib


# add symlink to bindir
mkdir -p %{buildroot}%{_bindir}
ln -s %{python3_sitelib}/em.py %{buildroot}%{_bindir}/empy3
ln -s empy3 %{buildroot}%{_bindir}/empy
chmod 655 %{buildroot}%{python3_sitelib}/em.py

# python shebangs
%{py3_shebang_fix} %{buildroot}%{python3_sitelib}/em.py

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{_bindir}/empy*
%{_bindir}/em.py
