Name:           python-engineio
Version:        4.11.2
Release:        %mkrel 2
Summary:        Engine.IO server and client for Python
Group:          Development/Python

License:        MIT
URL:            https://github.com/miguelgrinberg/python-engineio
Source:         %{pypi_source python_engineio}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Python implementation of the Engine.IO realtime client and server.}


%description %_description

%package -n     python3-python-engineio
Summary:        %{summary}

%description -n python3-python-engineio %_description


%prep
%autosetup -p1 -n python_engineio-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files engineio



%files -n python3-python-engineio -f %{pyproject_files}
%doc README.md
%license LICENSE
