%define fname entrypoints
%define sum Discover and load entry points from installed packages
%define python3_wheelname %python2_wheelname


Name:		python-%{fname}
Summary:	%{sum}
Version:	0.4
Release:	%mkrel 5
Source0:	https://pypi.io/packages/source/e/%{fname}/%{fname}-%{version}.tar.gz
URL:		https://entrypoints.readthedocs.io/
Group:		Development/Python
License:	BSD
BuildArch:	noarch
BuildRequires:  python3-devel
BuildRequires:	python3dist(pip)
BuildRequires:	python3dist(flit)
BuildRequires:	python3dist(sphinx)
BuildRequires:  pyproject-rpm-macros


%description
The entrypoints module contains functions to find and load entry points.

%package -n python3-%{fname}
Group:          Development/Python
Summary:	%{sum}
Provides:       python3dist(%{fname}) = %{version}
Provides:       python%{python3_version}dist(%{fname}) = %{version}
%{?python_provide:%python_provide python3-%{fname}}


%description -n python3-%{fname}
Entry points are a way for Python packages to advertise objects with some
common interface. The most common examples are console_scripts entry points,
which define shell commands by identifying a Python function to run.

The entrypoints module contains functions to find and load entry points.

%generate_buildrequires
%pyproject_buildrequires

%prep
%autosetup -n %{fname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{fname}

%files -n python3-%{fname} -f %{pyproject_files}
%license LICENSE
