%define pypi_name et-xmlfile
%define srcname et_xmlfile

Name:       python-%{pypi_name}
Version:    2.0.0
Release:    %mkrel 2
Summary:    An implementation of lxml.xmlfile for the standard library
Group:      Development/Python
License:    MIT
URL:        https://pypi.org/project/et-xmlfile/
Source0:    %{pypi_source}
BuildArch:  noarch

%description
et_xmlfile is a low memory library for creating large XML files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python3-%{srcname} < 1.1.0-4

%description -n python3-%{pypi_name}
et_xmlfile is a low memory library for creating large XML files.

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
