# Created by pyp2rpm-1.0.1
%global pypi_name python-exconsole

Name:           python-exconsole
Version:        0.1.5
Release:        %mkrel 17
Group:          Development/Python
Summary:        Emergency/postmortem Python console

License:        LGPLv3
URL:            https://pypi.org/project/python-exconsole/
Source0:        https://pypi.io/packages/source/p/python-exconsole/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel


%description
python-exconsole is an emergency/postmortem console for Python.
It provides a backtrace and a Python console to inspect the
situation when unhandled exception has occurred.

%package -n     python3-exconsole
Summary:        Emergency/postmortem Python 3 console
%{?python_provide:%python_provide python3-exconsole}

%description -n python3-exconsole
python3-exconsole is an emergency/postmortem console for Python3.
It provides a backtrace and a Python console to inspect the
situation when unhandled exception has occurred.


%prep
%setup -q -n %{pypi_name}-%{version}

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files exconsole


%files -n python3-exconsole -f %{pyproject_files}
%doc PKG-INFO
