# Created by pyp2rpm-3.3.5
# imported for ipython / stack_data
%global pypi_name executing

%bcond_with check

Name:           python-%{pypi_name}
Version:        2.2.0
Release:        %mkrel 1
Summary:        Get the currently executing AST node of a frame, and other information
Group:          Development/Python
License:        MIT
URL:            https://github.com/alexmojaki/executing
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This mini-package lets you get information about what a frame is currently doing,
particularly the AST node being executed.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This mini-package lets you get information about what a frame is currently doing,
particularly the AST node being executed.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x tests}

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md

