# Created by pyp2rpm-1.0.1
%global pypi_name extras

Name:           python-%{pypi_name}
Version:        1.0.0
Release:        %mkrel 13
Group:          Development/Python
Summary:        Useful extra bits for Python - things that should be in the standard library

License:        MIT
URL:            https://github.com/testing-cabal/extras
Source0:        %{pypi_source}
BuildArch:      noarch

%description
extras is a set of extensions to the Python standard
library, originally
written to make the code within testtools cleaner, but now
split out for
general use outside of a testing context.


pydoc extras is your friend. extras currently contains the
following functions:

* try_import

* try_imports

* safe_hasattr

Which do
what their name ...


%package -n     python3-%{pypi_name}
Summary:        Useful extra bits for Python - things that should be in the standard library
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
extras is a set of extensions to the Python standard
library, originally
written to make the code within testtools cleaner, but now
split out for
general use outside of a testing context.


pydoc extras is your friend. extras currently contains the
following functions:

* try_import

* try_imports

* safe_hasattr

Which do
what their name ...


%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files extras

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst LICENSE
