%global pypi_name fasteners

Name:           python-%{pypi_name}
Version:        0.19
Release:        %mkrel 3
Group:          Development/Python
Summary:        A python package that provides useful locks
License:        ASL 2.0

URL:            https://github.com/harlowja/fasteners
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
A python package that provides useful locks.

%package -n     python3-%{pypi_name}
Summary:        A python3 package that provides useful locks
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A python 3 package that provides useful locks.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files fasteners

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
