# Created by pyp2rpm-3.3.5
%global pypi_name fastjsonschema

Name:           python-%{pypi_name}
Version:        2.21.1
Release:        %mkrel 1
Summary:        Fastest Python implementation of JSON schema
Group:          Development/Python
License:        BSD
URL:            https://github.com/horejsek/python-fastjsonschema
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros

%description
fastjsonschema implements validation of JSON documents by JSON schema. The
library implements JSON schema drafts 04, 06 and 07. The main purpose is to
have a really fast implementation.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
fastjsonschema implements validation of JSON documents by JSON schema. The
library implements JSON schema drafts 04, 06 and 07. The main purpose is to
have a really fast implementation.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
