# Created by pyp2rpm-3.3.5
%global pypi_name fastprogress

Name:           python-%{pypi_name}
Version:        1.0.3
Release:        %mkrel 3
Summary:        A nested progress with plotting options for fastai
Group:          Development/Python
License:        Apache Software License 2.0
URL:            https://github.com/fastai/fastprogress
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
A fast and simple progress bar for Jupyter Notebook and console.
Created by Sylvain Gugger for fast.ai.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
A fast and simple progress bar for Jupyter Notebook and console.
Created by Sylvain Gugger for fast.ai.


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
