# Created by pyp2rpm-3.3.7
%global pypi_name ffmpeg-progress-yield
%global pypi_version 0.7.9

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %mkrel 2
Summary:        Run an ffmpeg command with progress
Group:          Development/Python
License:        MIT
URL:            https://github.com/slhck/ffmpeg-progress-yield
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
Run an ffmpeg command with its progress yielded.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
Run an ffmpeg command with its progress yielded.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ffmpeg_progress_yield

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/ffmpeg-progress-yield

