# Created by pyp2rpm-1.0.1
%global pypi_name filebrowser-safe
%global srcname filebrowser_safe

Name:           python-%{pypi_name}
Version:        1.1.1
Release:        %mkrel 5
Group:          Development/Python
Summary:        A snapshot of the filebrowser_3 branch of django-filebrowser, packaged as a dependency for the Mezzanine CMS for Django
License:        BSD
Url:	        https://pypi.org/project/filebrowser-safe/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
filebrowser_safe was created to provide a snapshot of the `FileBrowser
asset manager for `Django <https://djangoproject.com/>`_, to be
referenced as a dependency for the `Mezzanine CMS for Django.

%package -n     python3-%{pypi_name}
Summary:        A snapshot of the filebrowser_3 branch of django-filebrowser, packaged as a dependency for the Mezzanine CMS for Django
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python3-%{srcname} < 1.1.1-4

%description -n python3-%{pypi_name}
filebrowser_safe was created to provide a snapshot of the `FileBrowser
asset manager for `Django <https://djangoproject.com/>`_, to be
referenced as a dependency for the `Mezzanine CMS for Django.

%prep
%autosetup -p1 -n %{srcname}-%{version}

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
