%bcond_with check

Name:           python-findpython
Version:        0.6.2
Release:        %mkrel 2
Summary:        A utility to find python versions on your system
License:        MIT
Group:          Development/Python
URL:            https://github.com/frostming/findpython
Source:         %{pypi_source findpython}

BuildArch:      noarch
BuildRequires:  python3-devel

%description
A utility to find python versions on your system.

%package -n     python3-findpython
Summary:        %{summary}

%description -n python3-findpython
A utility to find python versions on your system.

%prep
%autosetup -p1 -n findpython-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files findpython

%if %{with check}
%check
%pyproject_check_import
%endif

%files -n python3-findpython -f %{pyproject_files}
%doc README.md
%{_bindir}/findpython
