%define upstream_name	firebirdsql

Name:		python-firebirdsql
Version:	1.2.1
Release:	%mkrel 4
Summary:	Python bindings for Firebird RDBMS
Group:		Development/Python
License:	BSD
URL:		https://github.com/nakagami/pyfirebirdsql/
Source0:	https://pypi.io/packages/source/f/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:  python3-devel

%description
A set of Firebird RDBMS bindings for Python.
It works on Python 2.5+ and use the Firebird network protocol.


%package -n python3-%{upstream_name}
Summary:	Python 3 bindings for Firebird RDBMS
Group:		Development/Python
%{?python_provide:%python_provide python3-%{upstream_name}}


%description -n python3-%{upstream_name}
Set of Firebird RDBMS bindings for Python.
It works on Python 3+ and use the Firebird network protocol.


%prep
%setup -q -n %{upstream_name}-%{version}
%autopatch -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files firebirdsql
sed -i '/#!\/usr\/bin\/env python/d' %{buildroot}%{python3_sitelib}/firebirdsql/*.py


%files -n python3-%{upstream_name} -f %{pyproject_files}
