%global srcname fixtures

Name:           python-%{srcname}
Version:        4.2.2
Release:        %mkrel 1
Summary:        Fixtures, reusable state for writing clean tests and more

Group:          Development/Python
License:        ASL2 or BSD
URL:            https://launchpad.net/python-fixtures
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Fixtures defines a Python contract for reusable state / support logic,
primarily for unit testing. Helper and adaption logic is included to make
it easy to write your own fixtures using the fixtures contract. Glue code
is provided that makes using fixtures that meet the Fixtures contract in
unittest compatible test cases easy and straight forward.

%package -n     python3-%{srcname}
Summary:        Fixtures, reusable state for writing clean tests and more
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:	python3dist(pbr)
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Fixtures defines a Python contract for reusable state / support logic,
primarily for unit testing. Helper and adaption logic is included to make
it easy to write your own fixtures using the fixtures contract. Glue code
is provided that makes using fixtures that meet the Fixtures contract in
unittest compatible test cases easy and straight forward.

%prep
%setup -q -n %{srcname}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files fixtures

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst GOALS NEWS Apache-2.0 BSD COPYING
