# Created by pyp2rpm-1.0.1
%global pypi_name flake8

Name:           python-%{pypi_name}
Version:        7.1.1
Release:        %mkrel 2
Group:          Development/Python
Summary:        The modular source code checker: pep8, pyflakes and co
License:        MIT
URL:            https://pypi.python.org/pypi/flake8
Source0:        %{pypi_source}
BuildArch:      noarch


%description
Flake8 is a wrapper around these tools:
- PyFlakes
- pep8
- Ned Batchelder's McCabe script

Flake8 runs all the tools by launching the single flake8 script. It displays
the warnings in a per-file, merged output.

%package -n python3-%{pypi_name}
Group:          Development/Python
Summary:        the modular source code checker: pep8, pyflakes and co
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3-mccabe
BuildRequires:  python3-pytest-runner
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python-flake8-bugbear < 19.8.0-7
Obsoletes:      python3-flake8-bugbear < 19.8.0-7

%description -n python3-%{pypi_name}
Flake8 is a wrapper around these tools:
- PyFlakes
- pep8
- Ned Batchelder's McCabe script

Flake8 runs all the tools by launching the single flake8 script. It displays
the warnings in a per-file, merged output.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flake8

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE
%{_bindir}/flake8

