# Created by pyp2rpm-3.3.10
%global pypi_name flask-admin
%global srcname Flask-Admin

Name:           python-%{pypi_name}
Version:        1.6.1
Release:        %mkrel 2
Summary:        Simple and extensible admin interface framework for Flask
Group:          Development/Python
License:        BSD
URL:            https://github.com/flask-admin/flask-admin/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
Flask-Admin is a batteries-included, simple-to-use Flask extension that lets
you add admin interfaces to Flask applications.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-flask_admin}

%description -n python3-%{pypi_name}
Flask-Admin is a batteries-included, simple-to-use Flask extension that lets
you add admin interfaces to Flask applications.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flask_admin

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
