# Created by pyp2rpm-3.3.3
%global pypi_name flask-ext

Name:           python-%{pypi_name}
Version:        0.1
Release:        %mkrel 8
Summary:        Extensions of Flask
Group:          Development/Python
License:        MIT
URL:            https://github.com/zengqiu/flask-ext
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/Flask-Ext-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Some extensions of Flask.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-flask.ext}
Obsoletes:      python3-flask.ext < 0.1-2

Requires:       python3dist(flask)

%description -n python3-%{pypi_name}
Some extensions of Flask.

%prep
%autosetup -n Flask-Ext-%{version}

# Remove bundled egg-info
rm -rf Flask_Ext.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/flask_ext/
%{python3_sitelib}/Flask_Ext-%{version}-py%{python3_version}.egg-info
