# Created by pyp2rpm-3.3.3
%global pypi_name flask-mail

Name:           python-%{pypi_name}
Version:        0.10.0
Release:        %mkrel 3
Summary:        Flask extension for sending email
Group:          Development/Python
License:        BSD
URL:            https://github.com/rduplain/flask-mail
Source0:        https://files.pythonhosted.org/packages/source/f/flask_mail/flask_mail-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(mock)

%description
A Flask extension for sending email messages.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}


%description -n python3-%{pypi_name}
A Flask extension for sending email messages.

%prep
%autosetup -n flask_mail-%{version}


%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flask_mail

%check
# the tests using speaklater is removed (speaklater too old)
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md
