# Created by pyp2rpm-3.3.3
%global pypi_name Flask-Migrate
%global pkg_name flask-migrate

Name:           python-%{pkg_name}
Version:        4.0.7
Release:        %mkrel 2
Summary:        SQLAlchemy database migrations for Flask applications using Alembic
Group:          Development/Python
License:        MIT
URL:            https://github.com/miguelgrinberg/flask-migrate/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
# for tests
BuildRequires:  python3-setuptools

%description
SQLAlchemy database migrations for Flask applications using Alembic.

%package -n     python3-%{pkg_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkg_name}}


%description -n python3-%{pkg_name}
SQLAlchemy database migrations for Flask applications using Alembic.

%prep
%autosetup -n Flask-Migrate-%{version}

# Remove bundled egg-info
rm -rf Flask_Migrate.egg-info
# This test needs template not provided with pypi package
rm -f tests/test_custom_template.py

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flask_migrate

%check
%pytest

%files -n python3-%{pkg_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
