# Created by pyp2rpm-3.3.3
%global pypi_name flask-paranoid

Name:           python-%{pypi_name}
Version:        0.3.0
Release:        %mkrel 3
Summary:        Simple user session protection
Group:          Development/Python
License:        MIT
URL:            https://github.com/miguelgrinberg/flask-paranoid/
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/Flask-Paranoid-%{version}.tar.gz
BuildArch:      noarch

BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(flask) >= 0.10
BuildRequires:  python3dist(setuptools)

%description
Simple user session protection.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(flask) >= 0.10

%description -n python3-%{pypi_name}
Simple user session protection.


%prep
%autosetup -n Flask-Paranoid-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flask_paranoid

%files -n python3-%{pypi_name} -f %{pyproject_files}

