# Created by pyp2rpm-3.3.5
%global pypi_name flask-socketio
%global src_name flask_socketio

Name:           python-%{pypi_name}
Version:        5.5.1
Release:        %mkrel 1
Summary:        Socket.IO integration for Flask applications
Group:          Development/Python
License:        MIT
URL:            https://github.com/miguelgrinberg/Flask-SocketIO/
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/%{src_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools-scm[toml])


%description
Socket.IO integration for Flask applications.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(flask) >= 0.9
Requires:       python3dist(gevent-socketio) >= 0.3.6
%description -n python3-%{pypi_name}
Socket.IO integration for Flask applications.


%prep
%autosetup -n %{src_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{src_name}


%files -n python3-%{pypi_name} -f %{pyproject_files}

