# Created by pyp2rpm-3.3.1
%global pypi_name Flask-Sphinx-Themes
%define oname flask-sphinx-themes

Name:           python-%{oname}
Version:        1.0.2
Release:        %mkrel 12
Summary:        Sphinx themes for Flask and related projects
Group:          Development/Python
License:        BSD
URL:            https://github.com/pallets/flask-sphinx-themes
Source0:        %{pypi_source}
BuildArch:	noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
Sphinx themes for Flask and Flask related projects.

%package -n     python3-%{oname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{oname}}

Requires:       python3dist(setuptools)
Requires:       python3dist(sphinx)

%description -n python3-%{oname}
Sphinx themes for Flask and Flask related projects.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{oname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/flask_sphinx_themes/
%{python3_sitelib}/Flask_Sphinx_Themes-%{version}-py%{python3_version}.egg-info
