%global pypi_name flask_wtf

Name:           python-flask-wtf
Version:        1.2.2
Release:        %mkrel 2
Summary:        Simple integration of Flask and WTForms
Group:          Development/Python
License:        BSD
URL:            https://github.com/lepture/flask-wtf
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel

%description
Flask-WTF offers simple integration with WTForms. This integration
includes optional CSRF handling for greater security.

%package -n python3-flask-wtf
Summary:        Simple integration of Flask and WTForms
Group:          Development/Python
Requires:       python3-wtforms > 1.0

%description -n python3-flask-wtf
Flask-WTF offers simple integration with WTForms. This integration
includes optional CSRF handling for greater security.

%prep
%setup -q -n %{pypi_name}-%{version}

rm -f docs/index.rst.orig

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flask_wtf

%files -n python3-flask-wtf -f %{pyproject_files}
%doc README.rst

