# Created by pyp2rpm-3.3.10
%global pypi_name flask-xml-rpc
%global srcname Flask-XML-RPC

Name:           python-%{pypi_name}
Version:        0.1.2
Release:        %mkrel 2
Summary:        Adds support for creating XML-RPC APIs to Flask
Group:          Development/Python
License:        MIT
URL:            http://bitbucket.org/leafstorm/flask-xml-rpc/
Source0:        %{pypi_source}
Patch1:         python3-compat.patch
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Flask-XML-RPC adds XML-RPC support to Flask. This way, you can provide simple
APIs easily accessible from almost any programming language.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Flask-XML-RPC adds XML-RPC support to Flask. This way, you can provide simple
APIs easily accessible from almost any programming language.

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flaskext

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{python3_sitelib}/%{gsub %{srcname} - _}-%{version}-py%{python3_version}-nspkg.pth
