# Created by pyp2rpm-1.0.0
%global pypi_name flexmock

Name:           python-flexmock
Version:        0.12.1
Release:        %mkrel 2
Group:          Development/Python
Summary:        Mock/Stub/Spy library for Python
License:        BSD
URL:            https://pypi.python.org/pypi/flexmock
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
flexmock is a testing library for Python that makes it easy to create
mocks, stubs and fakes.

The API is inspired by a Ruby library of the same name, but Python
flexmock is not a clone of the Ruby version. It omits a number of
redundancies in the Ruby flexmock.

%package -n python3-%{pypi_name}
Group:          Development/Python
Summary:        Mock/Stub/Spy library for Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
flexmock is a testing library for Python that makes it easy to create
mocks, stubs and fakes.

The API is inspired by a Ruby library of the same name, but Python
flexmock is not a clone of the Ruby version. It omits a number of
redundancies in the Ruby flexmock.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flexmock

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc docs/*.rst


