Name:           python-fonticon-fontawesome6
Version:        6.4.0
Release:        %mkrel 2
Summary:        FontAwesome 6 extension for superqt font icons
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/fonticon-fontawesome6/
Source:         %{pypi_source fonticon_fontawesome6}

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
FontAwesome 6 extension for superqt font icons.}

%description %_description

%package -n     python3-fonticon-fontawesome6
Summary:        %{summary}

%description -n python3-fonticon-fontawesome6 %_description


%prep
%autosetup -p1 -n fonticon_fontawesome6-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files fonticon_fa6


%check
%pyproject_check_import


%files -n python3-fonticon-fontawesome6 -f %{pyproject_files}
%doc README.md
%license LICENSE

