# Created by pyp2rpm-3.3.1
%global pypi_name fontparts
%global srcname fontParts

Name:           python-%{pypi_name}
Version:        0.12.3
Release:        %mkrel 2
Summary:        An API for interacting with the parts of fonts during the font development process
Group:          Development/Python
License:        OpenSource, MIT
URL:            https://github.com/robofab-developers/fontParts
Source0:        %{pypi_source %pypi_name %version zip}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(tox-current-env)
#for tests
BuildRequires:  python3dist(booleanoperations)
BuildRequires:  python3dist(fontpens)
BuildRequires:  python3dist(fs)
BuildRequires:  python3dist(unicodedata2)
BuildRequires:  python3dist(singledispatch)
BuildRequires:  python3dist(lxml)
BuildRequires:  python3dist(future)
BuildRequires:  python3dist(pytz)
BuildRequires:  python3dist(appdirs)

%description
An API for interacting with the parts of fonts during the font development
process. FontParts is the replacement for RoboFab.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

# workaround extras dependencies
Requires:       python3-defcon+pens >= 0.6
Requires:       python3-fonttools+lxml >= 4.10

%description -n python3-%{pypi_name}
An API for interacting with the parts of fonts during the font development
process. FontParts is the replacement for RoboFab.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files fontParts

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
