# Created by pyp2rpm-3.3.2
%global pypi_name freecell-solver
%global srcname freecell_solver

Name:           python-%{pypi_name}
Version:        0.4.0
Release:        %mkrel 6
Summary:        Freecell Solver bindings
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/freecell-solver/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3dist(testtools) >= 1.4.0
BuildRequires:  python3dist(sphinx)

%description
Python bindings for Freecell Solver.

%package -n     python3-%{pypi_name}
Summary:        Freecell Solver bindings
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python3-%{srcname} < 0.4.0-5

%description -n python3-%{pypi_name}
Python bindings for Freecell Solver.

%prep
%autosetup -n %{srcname}-%{version}

%build
%pyproject_wheel

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
