Name:		python-fuse
Version:	1.0.9
Release:	%mkrel 2
Group:		Development/Python
License:	LGPL-2.1
Summary:	Python 2.x/3.x bindings for libfuse 2.x
URL:		https://github.com/libfuse/python-fuse
Source0:	https://github.com/libfuse/python-fuse/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(fuse)
Requires:	fuse

%description
Python 2.x/3.x binding for Fuse 2.x (Filesystem in Userspace).

%package -n	python3-fuse
Summary:	Python 3 bindings for libfuse 2
Group:		Development/Python
%{?python_provide:%python_provide python3-fuse}

%description -n	python3-fuse
Python3 binding for Fuse 2.x (Filesystem in Userspace).

This is the Python 3 version of the package.

%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files fuse fuseparts

%files -n python3-fuse -f %{pyproject_files}
%doc AUTHORS README.md README.new_fusepy_api.rst FAQ
%license COPYING
