# Created by pyp2rpm-1.0.1
%global pypi_name future

Name:           python-future
Version:        0.18.3
Release:        %mkrel 5
Group:          Development/Python
Summary:        Clean single-source support for Python 3 and 2
License:        MIT
Url:		https://python-future.org/
Source0:        %{pypi_source}
# https://github.com/PythonCharmers/python-future/pull/626#issuecomment-1902276035
Patch1:         0001-WIP-Python-3.12-support-for-removal-of-imp-module.patch
Patch2:         0002-Use-importlib-instead-of-imp-for-Python-3.12-support.patch
Patch3:         0003-Test-fixes.patch
Patch4:         0004-Add-Python-3.8-3.12-classifiers.patch
BuildArch:      noarch

BuildRequires:  python3-devel

%description
Easy, safe support for Python 3/2 compatibility

%package -n     python3-%{pypi_name}
Summary:        Clean single-source support for Python 3 and 2
%{?python_provide:%python_provide python3-future}

%description -n python3-%{pypi_name}
Easy, safe support for Python 3/2 compatibility

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
# Do the build in the install stage.
# The build system wipes the build directory at the start of the
# build

%install
%pyproject_wheel
%pyproject_install
%pyproject_save_files past libfuturize libpasteurize future

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%{_bindir}/futurize
%{_bindir}/pasteurize
