# Created by pyp2rpm-3.3.8
%global pypi_name gast

Name:           python-%{pypi_name}
Version:        0.6.0
Release:        %mkrel 2
Summary:        Python AST that abstracts the underlying Python version
Group:          Development/Python
License:        BSD 3-Clause
URL:            https://github.com/serge-sans-paille/gast/
Source0:        https://files.pythonhosted.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
A generic AST to represent Python3's Abstract Syntax Tree(AST). GAST provides a
compatibility layer between the AST of various Python versions, as produced by
ast.parse from the standard ast module.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A generic AST to represent Python3's Abstract Syntax Tree(AST). GAST provides a
compatibility layer between the AST of various Python versions, as produced by
ast.parse from the standard ast module.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
