# Created by pyp2rpm-3.3.2
%global pypi_name geventhttpclient

Name:           python-%{pypi_name}
Version:        2.3.3
Release:        %mkrel 2
Summary:        http client library for gevent
Group:          Development/Python
License:        LICENSE-MIT
URL:            https://github.com/gwik/geventhttpclient
Source0:        https://files.pythonhosted.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3dist(certifi)
BuildRequires:  python3dist(gevent) >= 0.13
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(pytest)

%description
A high performance, concurrent HTTP client library for python using gevent.

gevent.httplib support was removed in gevent 1.0, geventhttpclient now provides
that missing functionality.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(six)

%description -n python3-%{pypi_name}
A high performance, concurrent HTTP client library for python using gevent.

gevent.httplib support was removed in gevent 1.0, geventhttpclient now provides
that missing functionality.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

rm -rf %{buildroot}%{python3_sitearch}/geventhttpclient/tests/__pycache__/test_*-35-*.pyc

%check
#pytest -k 'not network'

%files -n python3-%{pypi_name} -f %{pyproject_files}
