# Created by pyp2rpm-3.3.8
%global pypi_name google_api_core
%global pkgname   google-api-core

Name:           python-%{pkgname}
Version:        2.23.0
Release:        %mkrel 2
Summary:        Google API client core library
Group:          Development/Python
License:        Apache 2.0
URL:            https://github.com/googleapis/python-api-core
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Core Library for Google Client Libraries. This library is not meant to
stand-alone. Instead it defines common helpers used by all Google API clients.

%package -n     python3-%{pkgname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python3-%{pkgname}
Core Library for Google Client Libraries. This library is not meant to
stand-alone. Instead it defines common helpers used by all Google API clients.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files google

%files -n python3-%{pkgname} -f %{pyproject_files}
%doc README.rst
