# Created by pyp2rpm-3.3.2
%global pypi_name google-auth-httplib2

Name:           python-%{pypi_name}
Version:        0.2.0
Release:        %mkrel 3
Summary:        Google Authentication Library: httplib2 transport
Group:          Development/Python
License:        Apache 2.0
URL:            https://github.com/GoogleCloudPlatform/google-auth-library-python-httplib2
Source0:        https://files.pythonhosted.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(google-auth)
BuildRequires:  python3dist(httplib2) >= 0.9.1
BuildRequires:  python3dist(setuptools)

%description
httplib2 Transport for Google Auth |pypi|This library provides an httplib2_
transport for google-auth_... note:: httplib has lots of problems such as lack
of threadsafety and insecure usage of TLS. Using it is highly discouraged. This
library is intended to help existing users of oauth2client migrate to google-
auth... |pyp .. _httplib2: .. _google-auth:

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
httplib2 Transport for Google Auth |pypi|This library provides an httplib2_
transport for google-auth_... note:: httplib has lots of problems such as lack
of threadsafety and insecure usage of TLS. Using it is highly discouraged. This
library is intended to help existing users of oauth2client migrate to google-
auth... |pyp .. _httplib2: .. _google-auth:


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files google_auth_httplib2

%check
%pytest || true

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
