# Created by pyp2rpm-3.3.3
%global pypi_name google-reauth

Name:           python-%{pypi_name}
Version:        0.1.1
Release:        %mkrel 5
Summary:        Google Reauth Library
Group:          Development/Python
License:        Apache 2.0
URL:            https://github.com/Google/google-reauth-python
Source0:        https://files.pythonhosted.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
#atch0:		0001-Adding-Py3-compatibility.-9.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(oauth2client) >= 2.0.0
BuildRequires:  python3dist(pyu2f)
BuildRequires:  python3dist(setuptools)
BuildRequires:	python3dist(mock)

%description
This library provides Reauth support to Google's authentication libraries for
Python. Reauth allows using two-factor authentication for end-user credentials.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(oauth2client) >= 2.0.0
Requires:       python3dist(pyu2f)

%description -n python3-%{pypi_name}
This library provides Reauth support to Google's authentication libraries for
Python. Reauth allows using two-factor authentication for end-user credentials.

%prep
%autosetup -n %{pypi_name}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files google_reauth

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
