%global pypi_name googleapis_common_protos
%global pkg_name googleapis-common-protos

Name:           python-%{pkg_name}
Version:        1.66.0
Release:        %mkrel 2
Summary:        Common protobufs used in Google APIs
Group:          Development/Python
License:        Apache-2.0
URL:            https://github.com/googleapis/python-api-common-protos
Source0:        https://files.pythonhosted.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Patch1:         googleapis-common-protos-1.63.1-reqs.patch
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Google APIs common protos. googleapis-common-protos contains the python classes
generated from the common protos in the googleapis/api-common-protos
repository.

%package -n     python3-%{pkg_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
Google APIs common protos. googleapis-common-protos contains the python classes
generated from the common protos in the googleapis/api-common-protos
repository.


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files google

%files -n python3-%{pkg_name} -f %{pyproject_files}
%doc README.rst
