%define	module	grequests
Name:           python-%{module}
Version:        0.7.0
Release:        %mkrel 3
Summary:        Requests + Gevent
License:        BSD
Group:          Development/Python
Url:            https://github.com/kennethreitz/grequests
Source:         https://files.pythonhosted.org/packages/source/g/grequests/grequests-%{version}.tar.gz
Source1:        LICENSE
BuildArch:      noarch

%description
GRequests allows you to use Requests with Gevent to make asynchronous HTTP
Requests easily.

%package -n python3-%{module}
Summary:        Requests + Gevent
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
Requires:       python3dist(gevent)
Requires:       python3dist(requests)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
GRequests allows you to use Requests with Gevent to make asynchronous HTTP
Requests easily.

%prep
%setup -q -n %{module}-%{version}
cp %{SOURCE1} .

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files grequests

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE
