%define module	gtkspellcheck
%define oname	py%{module}

Name:		python-%{module}
Summary:	Python GTK Spellchecker
Version:	5.0.3
Release:	%mkrel 2
License:	GPLv3+
Group:		Development/Python
Url:		https://github.com/koehlma/pygtkspellcheck
Source0:	https://pypi.io/packages/source/p/%{oname}/%{oname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python3-devel
# BuildRequires:	pkgconfig(enchant-2)
# BuildRequires:	pkgconfig(pygobject-3.0)
# BuildRequires:	pkgconfig(gtk+-3.0)

%description
A simple but quite powerful spell checking library written in pure Python
for Gtk based on Enchant.

%package -n python3-%{module}
Summary:	Python3 GTK Spellchecker
Group:		Development/Python
Requires:	python3-gobject
Requires:	python3-gobject-base
Recommends:	iso-codes

%description -n python3-%{module}
A simple but quite powerful spell checking library written in pure Python
for Gtk based on Enchant.

%prep
%setup -q -n %{oname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files gtkspellcheck

%files -n python3-%{module} -f %{pyproject_files}
%doc README.md
