%define pypi_name h11

Name:           python-%{pypi_name}
Version:        0.14.0
Release:        %mkrel 6
Group:          Development/Python
Summary:        A pure-Python, bring-your-own-I/O implementation of HTTP/1.1
License:        MIT
URL:            https://pypi.org/project/h11
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
This is a little HTTP/1.1 library written from scratch in Python, heavily
inspired by hyper-h2.

%package -n python3-%{pypi_name}
Summary:        A pure-Python, bring-your-own-I/O implementation of HTTP/1.1
Group:          Development/Python

%description -n python3-%{pypi_name}
This is a little HTTP/1.1 library written from scratch in Python, heavily
inspired by hyper-h2.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files h11

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE*
%doc README*
