# Created by pyp2rpm-3.3.2
%global pypi_name helpdev

Name:           python-%{pypi_name}
Version:        0.7.1
Release:        %mkrel 5
Summary:        Extracts information about the Python environment easily
Group:          Development/Python
License:        MIT
URL:            https://gitlab.com/dpizetta/helpdev
Source0:        https://files.pythonhosted.org/packages/source/h/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Helping users and developers to get information about the environment to report
bugs or even test your system without spending a day on it. It can get
information about hardware, OS, paths, Python distribution and packages,
including Qt-things.

%package -n     python3-%{pypi_name}
Summary:        Extracts information about the Python environment easily
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(psutil) >= 5.6
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
Helping users and developers to get information about the environment to report
bugs or even test your system without spending a day on it. It can get
information about hardware, OS, paths, Python distribution and packages,
including Qt-things.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE.rst
%{_bindir}/helpdev
