%define srcname	httplib2

Name:		python-httplib2
Summary:	Python HTTP library module
Version:	0.22.0
Release:	%mkrel 2
Group:		Development/Python
License:	MIT
URL:		https://pypi.python.org/pypi/httplib2
Source0:	https://github.com/httplib2/httplib2/archive/v%{version}/%{srcname}-%{version}.tar.gz
Patch1:		%{name}.certfile.patch
Patch3:		%{name}.rfc2459.patch
Patch4:		%{name}-0.9-proxy-http.patch
Patch5:		httplib2-reqs.patch
BuildArch:	noarch
BuildRequires:  python3-devel

%description
A comprehensive HTTP client library that supports many features left
out of other HTTP libraries.

%package -n python3-%{srcname}
Summary:	Python 3 HTTP library module
Group:		Development/Python
%{?python_provide:%python_provide python3-%{srcname}}
Requires:	rootcerts

%description -n python3-%{srcname}
A comprehensive HTTP client library that supports many features left
out of other HTTP libraries.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files httplib2

%files -n python3-%{srcname} -f %{pyproject_files}
