%define pypi_name httpx

Name:       python-%{pypi_name}
Version:    0.28.1
Release:    %mkrel 1
Summary:    The next generation HTTP client
Group:      Development/Python
License:    BSD
URL:        https://pypi.org/project/httpx
Source0:    %{pypi_source}
BuildArch:  noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
HTTPX is a fully featured HTTP client for Python 3, which provides sync and
async APIs, and support for both HTTP/1.1 and HTTP/2.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
HTTPX is a fully featured HTTP client for Python 3, which provides sync and
async APIs, and support for both HTTP/1.1 and HTTP/2.

%pyproject_extras_subpkg -n python3-%{pypi_name} brotli http2 cli socks

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -x brotli,http2,cli,socks

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files httpx

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{_bindir}/httpx
