%global srcname ifaddr

Name:           python-%{srcname}
Version:        0.2.0
Release:        %mkrel 3
Summary:        Python library that allows you to find all the IP addresses of the computer
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/ifaddr/
Source:         %{pypi_source}

BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
ifaddr is a small Python library that allows you to find all the IP addresses
of the computer.

%package -n python3-%{srcname}
Summary:        Python3 library that allows you to find all the IP addresses of the computer
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
ifaddr is a small Python3 library that allows you to find all the IP addresses
of the computer.


%prep
%autosetup -n %{srcname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ifaddr

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst

