%global pypi_name imageio-ffmpeg
%define srcname imageio_ffmpeg

Name:           python-%{pypi_name}
Version:        0.6.0
Release:        %mkrel 1
Group:          Development/Python
Summary:        FFMPEG wrapper for Python
License:        BSD
URL:            https://github.com/imageio/imageio-ffmpeg
Source0:        https://pypi.io/packages/source/i/%{pypi_name}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
FFMPEG wrapper for Python.

%package -n python3-%{pypi_name}
Summary:        FFMPEG wrapper for Python 3
Group:          Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
FFMPEG wrapper for Python3.

%prep
%setup -q -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files imageio_ffmpeg

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE

