# Created by pyp2rpm-3.3.7
%global pypi_name inflect

%bcond_with docs
# missing pytest modules
%bcond_with check

Name:           python-%{pypi_name}
Version:        7.5.0
Release:        %mkrel 1
Summary:        Correctly generate plurals, singular nouns, ordinals, indefinite articles; convert numbers to words
Group:          Development/Python
License:        None
URL:            https://github.com/jaraco/inflect
Source0:        https://files.pythonhosted.org/packages/source/i/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Correctly generate plurals, singular nouns, ordinals, indefinite articles;
convert numbers to words.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Correctly generate plurals, singular nouns, ordinals, indefinite articles;
convert numbers to words.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs} %{?with_check:-x testing}

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%if %{with doc}
%doc html
%endif
