%bcond_without check

Name:           python-installer
Version:        0.7.0
Release:        %mkrel 4
Summary:        A library for installing Python wheels
Group:          Development/Python
License:        MIT
URL:            https://github.com/pypa/installer
Source:         %{pypi_source installer}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
This is a low-level library for installing a Python package from a wheel
distribution. It provides basic functionality and abstractions for handling
wheels and installing packages from wheels.

%package -n     python3-installer
Summary:        %{summary}

%description -n python3-installer
This is a low-level library for installing a Python package from a wheel
distribution. It provides basic functionality and abstractions for handling
wheels and installing packages from wheels.

%prep
%autosetup -p1 -n installer-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:tests/requirements.txt}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files installer

%if %{with check}
%check
%pyproject_check_import
%pytest
%endif

%files -n python3-installer -f %{pyproject_files}
%license LICENSE
%doc CONTRIBUTING.md README.md
