%define oname ipaddr

Name:           python-%{oname}
Version:        2.2.0
Release:        %mkrel 10
Summary:        A library for working with IP addresses
License:        Apache License
Group:          Development/Python
Url:            https://code.google.com/p/ipaddr-py/
Source0:        https://pypi.python.org/packages/9d/a7/1b39a16cb90dfe491f57e1cab3103a15d4e8dd9a150872744f531b1106c1/%{oname}-%{version}.tar.gz
BuildRequires:  python3-devel
BuildArch:      noarch

%description
python-ipaddr is a library for working with IP addresses, both IPv4 and IPv6.\
It was developed by Google for internal use, and is now open source.

%package -n python3-%{oname}
Summary:	A library for working with IP addresses
BuildRequires:	pkgconfig(python3)
%{?python_provide:%python_provide python3-ipaddr}

%description -n python3-%{oname}
python-ipaddr is a library for working with IP addresses, both IPv4 and IPv6.\
It was developed by Google for internal use, and is now open source.

%prep
%setup -q -n %{oname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ipaddr

%files -n python3-ipaddr -f %{pyproject_files}
%doc COPYING README
