%define pypi_name	ipdb

Summary:	IPython-enhanced pdb
Name:		python-%{pypi_name}
Version:	0.13.13
Release:	%mkrel 3
License:	BSD
Group:		Development/Python
Url:		https://pypi.org/project/ipdb
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  python3-devel
Requires:	python3dist(ipython)

%description
ipdb provides access to IPython features from within pdb.

%package -n python3-%{pypi_name}
Summary: 	IPython-enhanced pdb
Provides:	ipdb3 = %{version}-%{release}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
ipdb provides access to IPython features from within pdb.

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ipdb

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc COPYING.txt README.rst HISTORY.txt
%{_bindir}/ipdb3
