# Created by pyp2rpm-3.3.1
%global pypi_name ipdns

Name:           python-%{pypi_name}
Version:        0.1.4
Release:        %mkrel 11
Summary:        Stateless dns server serving ip addresses based on parsing the domain
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/0-complexity/ipdns
Source0:        %{pypi_name}-%{version}.zip
BuildArch:      noarch
 
BuildRequires:  python3-devel

%description
ipdns takes the domain and calculates an IPAddress out of it.

The domain names should be formatted as follows:

  mylittleserver-2130706433.mydomain.ext

ipdns will serve 127.0.0.1 as a result, because ipdns parsed the number
2130706433, which represents the ip, in the domain from its decimal
representation in the more familiar IPv4 string format.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
ipdns takes the domain and calculates an IPAddress out of it.

The domain names should be formatted as follows:

  mylittleserver-2130706433.mydomain.ext

ipdns will serve 127.0.0.1 as a result, because ipdns parsed the number
2130706433, which represents the ip, in the domain from its decimal
representation in the more familiar IPv4 string format.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name} twisted

%files -n python3-%{pypi_name} -f %{pyproject_files}

