# we don't want to provide private python extension libs
%global __provides_exclude_from	^(%{python2_sitearch}/.*\\.so|%{python3_sitearch}/.*\\.so)$

Name:		python-iptables
Version:	1.0.1
Release:	%mkrel 3
Summary:	Python library for manipulating iptables
License:	Apache Software License
Group:		Development/Python
URL:		https://github.com/ldx/python-iptables
Source0:	https://pypi.io/packages/source/p/python-iptables/%{name}-%{version}.tar.gz

%description
python-iptables is a library for doing iptables manipulations from python.

%package -n	python3-iptables
Summary:	Python 3 library for manipulating iptables
Group:		Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-iptables}

%description -n	python3-iptables
python3-iptables is a library for doing iptables manipulations from python 3.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files iptc libxtwrapper

%files -n python3-iptables -f %{pyproject_files}
%doc NOTICE
