%define fname	isodate

Name:		python-isodate
Summary:	An ISO 8601 date/time/duration parser and formatter Python module
Version:	0.7.2
Release:	%mkrel 2
Group:		Development/Python
License:	BSD
URL:		https://pypi.org/project/isodate/
Source0:	https://pypi.io/packages/source/i/%{fname}/%{fname}-%{version}.tar.gz
BuildArch:	noarch

%description
This Python 2 module implements ISO 8601 date, time and duration parsing. The implementation follows ISO8601:2004 standard, and implements only date/time representations mentioned in the standard.

%package -n python3-%{fname}
Summary:	An ISO 8601 date/time/duration parser and formatter Python 3 module
Group:		Development/Python
BuildRequires:	pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
%{?python_provide:%python_provide python3-%{fname}}

%description -n python3-%{fname}
This Python 3 module implements ISO 8601 date, time and duration parsing. The implementation follows ISO8601:2004 standard, and implements only date/time representations mentioned in the standard.

%prep
%setup -q -n %{fname}-%{version}
%autopatch -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files isodate


%files -n python3-%{fname} -f %{pyproject_files}
%doc README.rst

