%define upstream_name jdcal

Name:       python-%{upstream_name}
Version:    1.4.1
Release:    %mkrel 8
Summary:    Julian dates from proleptic Gregorian and Julian calendars
Group:      Development/Python
License:    BSD
URL:        https://pypi.org/project/jdcal/
Source0:    https://files.pythonhosted.org/packages/7b/b0/fa20fce23e9c3b55b640e629cb5edf32a85e6af3cf7af599940eb0c753fe/%{upstream_name}-%{version}.tar.gz
BuildArch:  noarch

%description
This module contains functions for converting between Julian dates and calendar
dates.

%package -n     python3-%{upstream_name}
Summary:        A Python library to read/write Excel 2010 xlsx/xlsm files
Group:          Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{upstream_name}}

%description -n python3-%{upstream_name}
This module contains functions for converting between Julian dates and calendar
dates.

%prep
%autosetup -n %{upstream_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jdcal

%files -n python3-%{upstream_name} -f %{pyproject_files}
