%define pypi_name jinja2-cli

Name:		python-%{pypi_name}
Summary:	Python template engine CLI
Version:	0.8.2
Release:	%mkrel 3
License:	BSD
Group:		Development/Python
Url:		https://github.com/mattrobenolt/jinja2-cli
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	python3-devel

%description
A CLI interface to Jinja2.

%package -n python3-%{pypi_name}
Summary:	Python template engine CLI
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A CLI interface to Jinja2.

%pyproject_extras_subpkg -n python3-%{pypi_name} yaml toml xml

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jinja2cli

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README*
%{_bindir}/jinja2
