# Created by pyp2rpm-3.3.1
%global pypi_name jinja2-time

Name:           python-%{pypi_name}
Version:        0.2.0
Release:        %mkrel 9
Summary:        Jinja2 Extension for Dates and Times
Group:          Development/Python
License:        MIT
URL:            https://github.com/hackebrot/jinja2-time
Source0:        https://files.pythonhosted.org/packages/source/j/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(arrow)
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(setuptools)

%description
Jinja2 Extension for Dates and Times.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(arrow)
Requires:       python3dist(jinja2)

%description -n python3-%{pypi_name}
Jinja2 Extension for Dates and Times.


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jinja2_time

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
