%define pypi_name jmespath

Name:		python-%{pypi_name}
Summary:	JMESPath is a query language for JSON
Version: 	1.0.1
Release: 	%mkrel 3
License: 	Public Domain
Group:		Development/Python
URL:		https://github.com/jmespath/jmespath.py
Source:		%{pypi_source}
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3dist(setuptools)

%description
JMESPath (pronounced "james path") allows you to declaratively specify how to
extract elements from a JSON document.

For example, given this document:

{"foo": {"bar": "baz"}}

The jmespath expression foo.bar will return "baz".

%package -n python3-%{pypi_name}
Summary:	JMESPath is a query language for JSON
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
JMESPath (pronounced "james path") allows you to declaratively specify how to
extract elements from a JSON document.

For example, given this document:

{"foo": {"bar": "baz"}}

The jmespath expression foo.bar will return "baz".

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jmespath

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%{_bindir}/jp.py
