# Created by pyp2rpm-3.3.5
%global pypi_name js2py
%global srcname Js2Py

Name:           python-%{pypi_name}
Version:        0.74
Release:        %mkrel 3
Summary:        JavaScript to Python Translator & JavaScript interpreter
Group:          Development/Python
License:        MIT
URL:            https://github.com/PiotrDabkowski/Js2Py
Source0:        %{pypi_source}
# python312.patch gh#PiotrDabkowski/Js2Py#327
Patch1:         python312.patch
# CVE-2024-28397.patch gh#PiotrDabkowski/Js2Py#323
Patch2:         CVE-2024-28397.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Translates JavaScript to Python code. Js2Py is able to translate and execute
virtually any JavaScript code.Js2Py is written in pure python and does not have
any dependencies. Basically an implementation of JavaScript core in pure
python. import js2py f js2py.eval_js( "function $(name) {return name.length}" )
f("Hello world") returns 11Now also supports ECMA 6 through...

%package -n     python3-%{pypi_name}
Summary:        JavaScript to Python Translator & JavaScript interpreter
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Translates JavaScript to Python code. Js2Py is able to translate and execute
virtually any JavaScript code.Js2Py is written in pure python and does not have
any dependencies. Basically an implementation of JavaScript core in pure
python. import js2py f js2py.eval_js( "function $(name) {return name.length}" )
f("Hello world") returns 11Now also supports ECMA 6 through...

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE.md
