%global module jsmin

Name:           python-%{module}
Version:        3.0.1
Release:        %mkrel 5
Summary:        JavaScript minifier
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/jsmin
Source0:        https://pypi.io/packages/source/j/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
JavaScript minifier.

%package -n python3-%{module}
Summary:        JavaScript minifier
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description -n python3-%{module}
JavaScript minifier.

Python 3 version.

%prep
%autosetup -n %{module}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jsmin

%check
%{pytest} jsmin/test.py

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst CHANGELOG.txt
