# Created by pyp2rpm-3.3.2
%global pypi_name jsx-lexer

# no tests dir in sources from PYPI
%bcond_with test

Name:           python-%{pypi_name}
Version:        2.0.1
Release:        %mkrel 2
Summary:        A JSX lexer for Pygments
Group:          Development/Python
License:        MIT License
URL:            https://github.com/fcurella/jsx-lexer
Source0:        https://files.pythonhosted.org/packages/source/j/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
A JSX lexer for Pygments.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}


%description -n python3-%{pypi_name}
A JSX lexer for Pygments.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jsx

%if %{with test}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
