%define pypi_name kaitaistruct

Name:           python-%{pypi_name}
Version:        0.10
Release:        %mkrel 3
Summary:        Kaitai Struct declarative parser generator for binary data
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/kaitaistruct/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
This library implements Kaitai Struct API for Python.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  pyproject-rpm-macros

%description -n python3-%{pypi_name}
ACME protocol implementation in Python 3.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/kaitaistruct.*
%{python3_sitelib}/__pycache__/kaitaistruct.*
%{python3_sitelib}/%pypi_name-%{version}.dist-info/
