# Created by pyp2rpm-3.3.7
%global pypi_name lastversion

%bcond_with check
%bcond_with docs

Name:           python-%{pypi_name}
Version:        3.5.4
Release:        %mkrel 2
Summary:        A CLI tool to find the latest stable version of an arbitrary project
Group:          Development/Python
License:        BSD
URL:            https://github.com/dvershinin/lastversion
Source0:        %{pypi_source}
Patch1:		0001-Update-dependencies-and-reformat-code-for-readabilit.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
A tiny command-line utility that helps to answer a simple question:
What is the latest stable version for a project?

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       %{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}
A tiny command-line utility that helps to answer a simple question:
What is the latest stable version for a project?

%prep
%autosetup -n %{pypi_name}-%{version}

# loosen urllib3 req
sed -i -e 's/"\(urllib3\).*"/"\1"/g' setup.py

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs} %{?with_check:-x tests}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README*
%{_bindir}/lastversion
