Name:           python-legacy-cgi
Version:        2.6.2
Release:        %mkrel 2
Summary:        Fork of the standard library cgi and cgitb modules, being deprecated in PEP-594
Group:          Development/Python
License:        PSF-2.0
URL:            https://github.com/jackrosenthal/legacy-cgi
Source:         %{pypi_source legacy_cgi}

BuildArch:      noarch
BuildRequires:  python3-devel

%description
This is a fork of the standard library modules cgi and cgitb. They are slated
to be removed from the Python standard libary in Python 3.13 by PEP-594.

%package -n     python3-legacy-cgi
Summary:        %{summary}

%description -n python3-legacy-cgi
This is a fork of the standard library modules cgi and cgitb. They are slated
to be removed from the Python standard libary in Python 3.13 by PEP-594.

%prep
%autosetup -p1 -n legacy_cgi-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files 'cgi*'

%check
%pyproject_check_import

%files -n python3-legacy-cgi -f %{pyproject_files}
