%global pypi_name libevdev

Name:		python-libevdev
Version:	0.11
Release:	%mkrel 2
Summary:	Python bindings to the libevdev evdev device wrapper library
Group:          Development/Python

License:	MIT
URL:		https://pypi.python.org/pypi/libevdev/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  python3-devel

%description
Python bindings to the libevdev evdev device wrapper library. These bindings
provide a pythonic API to access evdev devices and create uinput devices.

%package -n	python3-libevdev
Summary:	Python bindings to the libevdev evdev device wrapper library
%{?python_provide:%python_provide python3-libevdev}

%description -n	python3-libevdev
Python bindings to the libevdev evdev device wrapper library. These bindings
provide a pythonic API to access evdev devices and create uinput devices.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files libevdev

%files -n	python3-libevdev -f %{pyproject_files}
%license COPYING

