%global srcname linecache2

Name:           python-%{srcname}
Version:        1.0.0
Release:        %mkrel 19
Summary:        Backports of the linecache module

Group:          Development/Python
License:        Python Software Foundation License
URL:            https://github.com/testing-cabal/linecache2
Source0:        %{pypi_source}
BuildArch:      noarch

%description
A backport of linecache to older supported Pythons.

%package -n     python3-%{srcname}
Summary:        Backports of the linecache module
Group:          Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
A backport of linecache to older supported Pythons.

%prep
%setup -q -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files linecache2

%files -n python3-%{srcname} -f %{pyproject_files}
%doc AUTHORS ChangeLog README.rst
