%define pypi_name python-louvain
%define pkg_name louvain

Name:           python-%{pkg_name}
Version:        0.16
Release:        %mkrel 4
Summary:        Louvain algorithm for community detection
Group:          Development/Python
License:        GPLv3
URL:            https://pypi.org/project/python-louvain
Source0:        %{pypi_source}
BuildArch:      noarch
Obsoletes:      python-%{pypi_name}

%description
Louvain algorithm for community detection.

%package -n     python3-%{pkg_name}
Summary:        Louvain algorithm for community detection
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pkg_name}
Louvain algorithm for community detection.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files community
mv %{buildroot}%{_bindir}/community %{buildroot}%{_bindir}/community3

%files -n python3-%{pkg_name} -f %{pyproject_files}
%{_bindir}/community3
