%define		oname lshell

Name:		python-lshell
Version:	0.9.18
Release:	%mkrel 13
Summary:	Python-based limited Shell

Group:		Shells
License:	GPLv3+
URL:		https://github.com/ghantoos/lshell
Source:		https://github.com/ghantoos/%{oname}/releases/download/%{version}/%{oname}_%{version}+git279d7ab.zip

BuildArch:	noarch

BuildRequires:	pkgconfig(python3)

Requires:	python3

%description
lshell provides a limited shell configured per user. The configuration
is done quite simply using a configuration file.


%prep
%setup -q -n %{oname}-master
%autopatch -p1

#Fix permission
chmod -x CHANGES


%build
%py3_build


%install
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
#doc files at the wrong place
rm %{buildroot}%{_defaultdocdir}/lshell/{CHANGES,COPYING,README.md}


%files
%doc CHANGES COPYING README.md
%{_mandir}/man*/*.*
%{_bindir}/%{oname}
%config(noreplace) %{_sysconfdir}/%{oname}.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{oname}
%{python3_sitelib}/%{oname}/
%{python3_sitelib}/%{oname}*.egg-info
