%define pypi_name m3u8

Name:		python-%{pypi_name}
Version:	6.0.0
Release:	%mkrel 3
Summary:	Python m3u8 parser
Group:		Development/Python
License:	MIT
URL:		https://github.com/globocom/m3u8
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	python3-devel

%description
Python m3u8 parser for HTTP Live Streaming (HLS) Transmissions.

%package -n	python3-%{pypi_name}
Summary:	Python3 m3u8 parser
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n	python3-%{pypi_name}
Python m3u8 parser for HTTP Live Streaming (HLS) Transmissions.

This is the Python 3 version of the package.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files m3u8

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md

