%global pypi_name matplotlib-inline
%global srcname matplotlib_inline

Name:           python-%{pypi_name}
Version:        0.1.7
Release:        %mkrel 1
Summary:        Inline Matplotlib backend for Jupyter
Group:          Development/Python

License:        BSD
URL:            https://github.com/ipython/matplotlib-inline
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Inline Matplotlib backend for Jupyter

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Inline Matplotlib backend for Jupyter

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files matplotlib_inline

%files -n python3-matplotlib-inline -f %{pyproject_files}
%license LICENSE
%doc README.md
