# Created by pyp2rpm-3.3.5
%global pypi_name mdit-py-plugins
%global srcname mdit_py_plugins

Name:           python-%{pypi_name}
Version:        0.4.2
Release:        %mkrel 1
Summary:        Collection of plugins for markdown-it-py
Group:          Development/Python
License:        MIT
URL:            https://github.com/executablebooks/mdit-py-plugins
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
Collection of core plugins for markdown-it-py

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Collection of core plugins for markdown-it-py

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mdit_py_plugins

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
