%define pypi_name python-memcached

Name:		python-memcached
Version:	1.62
Release:	%mkrel 3
Summary:	Python interface to memcached
Group:		Development/Python
License:	Python Software Foundation License
URL:		https://pypi.org/project/python-memcached/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	python3
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description
This software is a 100%% Python interface to the memcached memory cache
daemon.  It is the client side software which allows storing values in one
or more, possibly remote, memcached servers.  Search google for memcached
for more information.

%package -n python3-memcached
Summary:	Python3 interface to memcached
Group:		Development/Python

%description -n python3-memcached
This software is a 100%% Python interface to the memcached memory cache
daemon.  It is the client side software which allows storing values in one
or more, possibly remote, memcached servers.  Search google for memcached
for more information.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files memcache


%files -n python3-memcached -f %{pyproject_files}
%doc ChangeLog PKG-INFO README.md

