# Created by pyp2rpm-3.3.2
%global pypi_name memory_profiler

%bcond_without docs
%bcond_with test

Name:           python-memory-profiler
Version:        0.61.0
Release:        %mkrel 3
Summary:        A module for monitoring memory usage of a python program
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/memory-profiler/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(psutil)

%description
A module for monitoring memory usage of a python program

%package -n     python3-memory-profiler
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-memory-profiler
A module for monitoring memory usage of a python program

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# drop bundled egg-info
rm -rf *.egg-info

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name} mprof

%files -n python3-memory-profiler -f %{pyproject_files}
%doc README.rst
%_bindir/mprof
