# Created by pyp2rpm-3.3.8
%global pypi_name merge3

Name:           python-%{pypi_name}
Version:        0.0.15
Release:        %mkrel 1
Summary:        Python implementation of 3-way merge
Group:          Development/Python
License:        GPLv2+
URL:            https://www.breezy-vcs.org/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
A Python implementation of 3-way merge of texts.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Python implementation of 3-way merge of texts.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license COPYING
%doc README.rst AUTHORS
%{_bindir}/merge3
