# Created by pyp2rpm-3.3.2
%global pypi_name metaextract

Name:           python-%{pypi_name}
Version:        1.0.9
Release:        %mkrel 4
Summary:        get metadata for python modules
Group:          Development/Python
License:        Apache-2.0
URL:            https://github.com/toabctl/metaextract
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(flake8)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(setuptools)

%description
metaextract - get metadata for python modules metaextract is a tool to collect
metadata about a python module. For example you may have a sdist tarball from
the Python Package Index_ and you want to know it's dependencies. metaextract
can collect theses dependencies. The tool was first developed in py2pack_ but
is now it's own module to be

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
metaextract - get metadata for python modules metaextract is a tool to collect
metadata about a python module. For example you may have a sdist tarball from
the Python Package Index_ and you want to know it's dependencies. metaextract
can collect theses dependencies. The tool was first developed in py2pack_ but
is now it's own module to be

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files metaextract

%check
%pytest || true

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/metaextract
