%define upstream_name mini-amf

Name:           python-%{upstream_name}
Version:        0.9.1
Release:        %mkrel 11
Summary:        Action Message Format (AMF) serialization and deserialization support for Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/Mini-AMF/
Source0:        https://github.com/zackw/mini-amf/archive/v%{version}/%{upstream_name}-%{version}.tar.gz
Patch0:         fix-build.patch
BuildArch:      noarch

%description
Mini-AMF provides Action Message Format (AMF) serialization and
deserialization support for Python, compatible with the Adobe
Flash Player.

%package -n     python3-%{upstream_name}
Summary:        Action Message Format (AMF) serialization and deserialization support for Python
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{upstream_name}}

%description -n python3-%{upstream_name}
Mini-AMF provides Action Message Format (AMF) serialization and
deserialization support for Python, compatible with the Adobe
Flash Player.

%prep
%autosetup -p1 -n %{upstream_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%{python3_sitelib}/miniamf/
%{python3_sitelib}/Mini_AMF-%{version}-py%{python3_version}.egg-info
