%define upstream_name minify

Name:           python-%{upstream_name}
Version:        0.1.4
Release:        %mkrel 9
Summary:        Commands for minifying CSS and JS resources
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/minify/
Source0:        https://files.pythonhosted.org/packages/c3/ef/754731014f59409fd0c8bbf773700821f1e234bc6acf7eb0a46ed9b3d88a/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Minify provides distutils/setuptools commands for minifying CSS and JS
resources using the well-known YUI compressor from Yahoo! Inc. When you
install minify, two new commands are available:
- minify_js which minifies Javascript files
- minify_css which minifies CSS files

%package -n     python3-%{upstream_name}
Summary:        Commands for minifying CSS and JS resources
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{upstream_name}
Minify provides distutils/setuptools commands for minifying CSS and JS
resources using the well-known YUI compressor from Yahoo! Inc. When you
install minify, two new commands are available:
- minify_js which minifies Javascript files
- minify_css which minifies CSS files

%prep
%setup -q -n %{upstream_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files minify

%files -n python3-%{upstream_name} -f %{pyproject_files}
%doc README LICENSE CHANGES
