Name:           python-minikanren
Version:        1.0.3
Release:        %mkrel 2
Summary:        Relational programming in Python
Group:          Development/Python

License:        BSD
URL:            https://github.com/pythological/kanren
Source:         %{pypi_source miniKanren}

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
Logic/relational programming in Python with miniKanren.}

%description %_description

%package -n     python3-minikanren
Summary:        %{summary}

%description -n python3-minikanren %_description


%prep
%autosetup -p1 -n miniKanren-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files kanren


%check
%pyproject_check_import
%tox


%files -n python3-minikanren -f %{pyproject_files}
%doc README.md
