Name:           python-minimock
Version:        1.2.8
Release:        %mkrel 19
Summary:        The simplest possible mock library
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/MiniMock
Source0:        https://files.pythonhosted.org/packages/source/M/MiniMock/MiniMock-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Minimock is a simple library for doing Mock objects with doctest.

%package -n python3-minimock
Summary:        The simplest possible mock library
Group:          Development/Python
%{?python_provide:%python_provide python3-minimock}

%description -n python3-minimock
Minimock is a simple library for doing Mock objects with doctest.

%files -n python3-minimock -f %{pyproject_files}
%doc docs/*

#--------------------------------------------------------------------

%prep
%setup -q -n MiniMock-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files minimock
