# Created by pyp2rpm-1.0.1
%global pypi_name money
%define version 1.3.0

Name:           python-money
Version:        %{version}
Release:        %mkrel 9
Group:          Development/Python
Summary:        Python Money Class
Url:            https://pypi.org/project/money/

License:        MIT
Source0:        https://pypi.python.org/packages/source/m/money/money-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(babel)


%description
Money class with optional CLDR-backed locale-aware formatting and an
extensible currency exchange solution.

%package -n     python3-%{pypi_name}
Summary:        Python Money Class

%description -n python3-%{pypi_name}
Money class with optional CLDR-backed locale-aware formatting and an
extensible currency exchange solution.

%prep
%setup -q -n %{pypi_name}-%{version}

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst LICENSE
