%global pypi_name mox3

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        %mkrel 8
Group:          Development/Python
Summary:        Mock object framework for Python
License:        ASLv2
URL:            https://www.openstack.org/
Source0:        https://pypi.io/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         mox-1.1.0-requirement.patch
BuildArch:      noarch

%description
Mox3 is an unofficial port of the Google mox framework to Python 3. It
was meant to be as compatible with mox as possible, but small enhancements
have been made.

%package -n python3-%{pypi_name}
Summary:        Mock object framework for Python 3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pbr)

%description -n python3-%{pypi_name}
Mox3 is an unofficial port of the Google mox framework to Python 3. It
was meant to be as compatible with mox as possible, but small enhancements
have been made.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mox3

%files -n python3-%{pypi_name} -f %{pyproject_files}
