%define pypi_name msgpack

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        %mkrel 1
Summary:        MessagePack (de)serializer
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/msgpack
Source0:        %{pypi_source}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
MessagePack is a fast, compact binary serialization format, suitable for
similar data to JSON. This package provides CPython bindings for reading and
writing MessagePack data.

%package -n python3-%{pypi_name}
Summary:        A Python 3 MessagePack (de)serializer
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
MessagePack is a fast, compact binary serialization format, suitable for
similar data to JSON. This package provides CPython bindings for reading and
writing MessagePack data.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files msgpack

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license COPYING
%doc README.md
