%global srcname multi_key_dict

Name:           python-multi-key-dict
Version:        2.0.3
Release:        %mkrel 18
Summary:        Multi-key dictionary implementation in Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/formiaczek/multi_key_dict
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Implementation of a multi-key dictionary, i.e.:

(key1[,key2, ..]) => value

This dictionary has a similar interface to the standard dictionary => but
is extended to support multiple keys referring to the same element.

%package -n python3-multi-key-dict
Summary:        Multi-key dictionary implementation in Python
%{?python_provide:%python_provide python3-multi-key-dict}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python3-%{srcname} < 2.0.3-16

%description -n python3-multi-key-dict
Implementation of a multi-key dictionary, i.e.:

(key1[,key2, ..]) => value

This dictionary has a similar interface to the standard dictionary => but
is extended to support multiple keys referring to the same element.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pyproject_check_import

%files -n python3-multi-key-dict -f %{pyproject_files}
%doc README.txt
