%global pypi_name multidict

Name:           python-%{pypi_name}
Version:        6.1.0
Release:        %mkrel 1
Summary:        MultiDict implementation
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/multidict/
Source0:        %{pypi_source}

%description
Multidicts are useful for working with HTTP headers, URL query args etc.

The code was extracted from aiohttp library.

%package -n python3-%{pypi_name}
Summary:        MultiDict implementation
Group:          Development/Python
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
Multidicts are useful for working with HTTP headers, URL query args etc.

The code was extracted from aiohttp library.

%prep
%autosetup -n %{pypi_name}-%{version}
sed -i -e '/addopts/d' setup.cfg

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

rm -f %{buildroot}%{python3_sitearch}/%{pypi_name}/*.{c,pyx}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
