# Created by pyp2rpm-3.3.1
%global pypi_name mutatormath

Name:           python-%{pypi_name}
Version:        3.0.1
Release:        %mkrel 7
Summary:        Python for piecewise linear interpolation in multiple dimensions with multiple, arbitrarily placed, masters
Group:          Development/Python
License:        BSD 3 Clause
URL:            https://github.com/LettError/MutatorMath
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/MutatorMath-%{version}.zip
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(defcon) >= 0.3.5
BuildRequires:  python3dist(fontmath) >= 0.4.8
BuildRequires:  python3dist(fonttools) >= 3.32.0
BuildRequires:  python3dist(fs)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(unicodedata2)

%description
MutatorMath is a Python library for the calculation of piecewise linear
interpolations in n-dimensions with any number of masters. It was
developed for interpolating data related to fonts, but if can handle any
arithmetic object.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
MutatorMath is a Python library for the calculation of piecewise linear
interpolations in n-dimensions with any number of masters. It was
developed for interpolating data related to fonts, but if can handle any
arithmetic object.

%prep
%autosetup -n MutatorMath-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mutatorMath


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
