# Created by pyp2rpm-3.3.1
%global pypi_name mwparserfromhell

%bcond_with tests

Name:           python-%{pypi_name}
Version:        0.6.6
Release:        %mkrel 5
Summary:        MWParserFromHell is a parser for MediaWiki wikicode
Group:          Development/Python
License:        MIT
URL:            https://github.com/earwig/mwparserfromhell
Source0:        https://github.com/earwig/mwparserfromhell/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
mwparserfromhell (the *MediaWiki Parser from Hell*) is a
Python package that provides an easy-to-use and outrageously powerful parser
for MediaWiki wikicode. It supports Python 2 and Python 3.Developed by Earwig
with contributions from Σ, Legoktm, and others. Full documentation is
available on ReadTheDocs.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
mwparserfromhell (the *MediaWiki Parser from Hell*) is a
Python package that provides an easy-to-use and outrageously powerful parser
for MediaWiki wikicode. It supports Python 2 and Python 3.Developed by Earwig
with contributions from Σ, Legoktm, and others. Full documentation is
available on ReadTheDocs.


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mwparserfromhell

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

