%define oname   mygpoclient

Summary:        Library for accessing my.gpodder.org web services
Name:           python-%oname
Version:        1.9
Release:        %mkrel 4
License:        GPLv3
Group:          Development/Python
Url:            http://thpinfo.com/2010/mygpoclient/
Source0:        http://thpinfo.com/2010/mygpoclient/%{oname}-%{version}.tar.gz
BuildArch:      noarch

%description
The mygpoclient library allows developers to utilize a Pythonic
interface to the my.gpodder.org web services for synchronizing podcast
subscriptions. This page provides the public place for downloading
source releases of the library.

%package -n	python3-%{oname}
Summary:	Python3 Library for accessing my.gpodder.org web services
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{oname}}

%description -n	python3-%{oname}
The mygpoclient library allows developers to utilize a Pythonic
interface to the my.gpodder.org web services for synchronizing podcast
subscriptions. This page provides the public place for downloading
source releases of the library.

%prep
%setup -q -n %oname-%version
%autopatch -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files mygpoclient


%files -n python3-%{oname} -f %{pyproject_files}
%doc AUTHORS README.md
%{_bindir}/mygpo-bpsync
%{_bindir}/mygpo-list-devices
%{_bindir}/mygpo-simple-client
%{_mandir}/man1/mygpo-bpsync.1.*
