# Created by pyp2rpm-3.3.2
%global srcname mypy_extensions
%global pypi_name mypy-extensions

Name:           python-%{pypi_name}
Version:        1.0.0
Release:        %mkrel 5
Summary:        Experimental type system extensions for programs checked with the mypy typechecker
Group:          Development/Python
License:        MIT
URL:            https://www.mypy-lang.org/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Mypy Extensions The "mypy_extensions" module defines experimental extensions to
the standard "typing" module that are supported by the mypy typechecker.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

# ease upgrade mga9 -> mga10
Obsoletes:      python3-mypy_extensions < 1.0.0-2
Provides:       python3-mypy_extensions = %{version}-%{release}

%description -n python3-%{pypi_name}
Mypy Extensions The "mypy_extensions" module defines experimental extensions to
the standard "typing" module that are supported by the mypy typechecker.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
