# Created by pyp2rpm-3.3.5
%global srcname myst_parser
%global pypi_name myst-parser

Name:           python-%{pypi_name}
Version:        4.0.1
Release:        %mkrel 1
Summary:        An extended commonmark compliant parser, with bridges to docutils & sphinx
Group:          Development/Python
License:        MIT
URL:            https://github.com/executablebooks/MyST-Parser
Source0:        %{pypi_source}
Patch0:         0001-Relax-reqs.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3-setuptools-scm+toml
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(flit-core)

%description
MyST-Parser is an extended commonmark compliant parser,
with bridges to docutils & sphinx.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Recommends:     python3dist(beautifulsoup4)
Recommends:     python3dist(black)
Recommends:     python3dist(coverage)
Recommends:     python3dist(flake8)
Recommends:     python3dist(ipython)
Recommends:     python3dist(pre-commit)
Recommends:     python3dist(pytest)
Recommends:     python3dist(pytest-cov)
Recommends:     python3dist(pytest-regressions)
Recommends:     python3dist(setuptools)
Recommends:     python3dist(sphinx-book-theme)
Recommends:     python3dist(sphinx-tabs)
Recommends:     python3dist(sphinxcontrib-bibtex)

%description -n python3-%{pypi_name}
MyST-Parser is an extended commonmark compliant parser,
with bridges to docutils & sphinx.


%prep
%autosetup -n myst_parser-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files myst_parser

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/myst-*
