# Created by pyp2rpm-3.3.8
%global pypi_name nanoemoji
%global pypi_version 0.15.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %mkrel 1
Summary:        Compiler for color fonts
Group:          Development/Python
License:        None
URL:            None
Source0:        %{pypi_name}-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(absl-py) >= 0.9
BuildRequires:  python3dist(black)
BuildRequires:  python3dist(black)
BuildRequires:  python3dist(fonttools) >= 4.36
BuildRequires:  python3dist(importlib-resources) >= 3.3
BuildRequires:  python3dist(lxml) >= 4
BuildRequires:  python3dist(ninja) >= 1.10^post1
BuildRequires:  python3dist(picosvg) >= 0.20.4
BuildRequires:  python3dist(pillow) >= 7.2
BuildRequires:  python3dist(pngquant-cli) >= 2.17^post5
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytype)
BuildRequires:  python3dist(pytype)
BuildRequires:  python3dist(regex) >= 2020.4.4
BuildRequires:  python3dist(resvg-cli) >= 0.22^post3
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(toml) >= 0.10.1
BuildRequires:  python3dist(ufo2ft) >= 2.24
BuildRequires:  python3dist(ufolib2) >= 0.6.2
BuildRequires:  python3dist(zopfli) >= 0.2.1

%description


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(absl-py) >= 0.9
Requires:       python3dist(black)
Requires:       python3dist(fonttools) >= 4.36
Requires:       python3dist(importlib-resources) >= 3.3
Requires:       python3dist(lxml) >= 4
Requires:       python3dist(ninja) >= 1.10^post1
Requires:       python3dist(picosvg) >= 0.20.4
Requires:       python3dist(pillow) >= 7.2
Requires:       python3dist(pngquant-cli) >= 2.17^post5
Requires:       python3dist(pytest)
Requires:       python3dist(pytype)
Requires:       python3dist(regex) >= 2020.4.4
Requires:       python3dist(resvg-cli) >= 0.22^post3
Requires:       python3dist(setuptools)
Requires:       python3dist(toml) >= 0.10.1
Requires:       python3dist(ufo2ft) >= 2.24
Requires:       python3dist(ufolib2) >= 0.6.2
Requires:       python3dist(zopfli) >= 0.2.1
%description -n python3-%{pypi_name}



%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/maximum_color
%{_bindir}/nanoemoji
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

