# Created by pyp2rpm-3.3.2
%global pypi_name natsort

%bcond_with doc

Name:           python-%{pypi_name}
Version:        8.4.0
Release:        %mkrel 4
Summary:        Simple yet flexible natural sorting in Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/SethMMorton/natsort
Source0:        https://files.pythonhosted.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with doc}
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(m2r)
%endif

%description
Simple yet flexible natural sorting in Python.

%package -n     python3-%{pypi_name}
Summary:        Simple yet flexible natural sorting in Python3
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       %{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}
Simple yet flexible natural sorting in Python 3.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with doc}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files natsort

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%if %{with doc}
%doc html
%endif
%{_bindir}/natsort
