# Created by pyp2rpm-3.3.0
%global pypi_name neovim-remote
%define version 2.5.1

Name:           python-neovim-remote
Version:        %{version}
Release:        %mkrel 3
Group:          Editors
Summary:        Control nvim processes using "nvr" commandline tool

License:        MIT
URL:            https://github.com/mhinz/neovim-remote
Source0:        https://github.com/mhinz/neovim-remote/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
 
%description
This package provides an executable called nvr which solves these cases:
- Controlling nvim processes from the shell. E.g. opening files in another
  terminal window.
- Opening files from within :terminal without starting a nested nvim process.

%package -n	python3-%{pypi_name}
Summary:	Control nvim processes using "nvr" commandline tool
Group:          Editors
%{?python_provide:%python_provide python3-%{pypi_name}}

Provides:       neovim-remote = %{version}-%{release}

Requires:       python3dist(psutil)
Requires:       python3dist(pynvim) >= 0.3.1
Requires:       python3dist(setuptools)
Requires:       neovim

%description -n	python3-%{pypi_name}
This package provides an executable called **nvr** which solves these cases:
- Controlling nvim processes from the shell. E.g. opening files in another
  terminal window.
- Opening files from within :terminal without starting a nested nvim process.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nvr

%files -n	python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/nvr
