%define pypi_name neurolab
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

Name:		python-neurolab
Version:	0.3.5
Release:	%mkrel 13
Group:		Development/Python
Summary:	Simple and powerful neural network library for python
License:	LGPLv3
URL:		https://pypi.org/project/neurolab/
Source0:	https://pypi.io/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:	noarch

%description
%{pypi_name} is a simple and powerful Neural Network Library for Python.
Contains based neural networks, train algorithms and flexible framework
to create and explore other neural network types.

%package -n python3-neurolab
Summary:	Simple and powerful neural network library for python
Group:		Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-neurolab
%{pypi_name} is a simple and powerful Neural Network Library for Python.
Contains based neural networks, train algorithms and flexible framework
to create and explore other neural network types.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files neurolab

%files -n python3-neurolab -f %{pyproject_files}

