%define pypi_name	nltk

Name:			python-%{pypi_name}
Version:		3.8.1
Release:		%mkrel 3
Summary:		Natural Language Toolkit for Python
Group:			Development/Python
Url:			https://pypi.org/project/nltk/
Source0:		%{pypi_source %pypi_name %version zip}
License:		CPL
BuildArch:		noarch

%description
The Natural Language Toolkit is a Python package that simplifies the 
construction of programs that process natural language and defines 
standard interfaces between the different components of an NLP system. 

%package -n     python3-%{pypi_name}
Summary:		Natural Language Toolkit for Python
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{pypi_name}
The Natural Language Toolkit is a Python package that simplifies the 
construction of programs that process natural language and defines 
standard interfaces between the different components of an NLP system. 

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nltk

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/nltk
