# Created by pyp2rpm-3.3.7
%global pypi_name node-semver
%global pypi_version 0.9.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %mkrel 4
Summary:        port of node-semver
Group:          Development/Python
License:        mit
URL:            https://github.com/podhmo/python-semver
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
Python version of node-semver.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python version of node-semver.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}

# Remove bundled egg-info
rm -rf *.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nodesemver

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst examples/readme.py
