# Created by pyp2rpm-3.3.2
%global pypi_name nodeenv

Name:           python-%{pypi_name}
Version:        1.9.1
Release:        %mkrel 2
Summary:        Node.js virtual environment builder
Group:          Development/Python
License:        BSD
URL:            https://github.com/ekalinin/nodeenv
Source0:        %{pypi_source}
# Upstream
# Patch1:         0001-Switch-to-packaging-338.patch
# MR
# Patch11:        0001-On-Python-3.3-replace-pipes.quote-with-shlex.quote.patch
# Patch12:        0002-Choose-shlex-or-pipes-based-on-Python-version.patch
#
Patch50:        nodeenv-per-dir-config.patch

BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Node.js virtual environment nodeenv (node.js virtual environment) is a
tool to create isolated node.js environments.

It creates an environment that has its own installation directories, that
doesn't share libraries with other node.js virtual environments. Also the
new environment can be integrated with the environment which was built by
virtualenv (python).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Node.js virtual environment nodeenv (node.js virtual environment) is a
tool to create isolated node.js environments.

It creates an environment that has its own installation directories, that
doesn't share libraries with other node.js virtual environments. Also the
new environment can be integrated with the environment which was built by
virtualenv (python).

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst README.ru.rst
%{_bindir}/nodeenv
