# Created by pyp2rpm-3.3.2
%global pypi_name nose-timer

Name:           python-%{pypi_name}
Version:        1.0.1
Release:        %mkrel 5
Summary:        A timer plugin for nosetests
Group:          Development/Python
License:        MIT
URL:            https://github.com/mahmoudimus/nose-timer
Source0:        https://files.pythonhosted.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
A timer plugin for nosetests that answers the question:
*how much time does every test take?*

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(pynose)

%description -n python3-%{pypi_name}
A timer plugin for nosetests that answers the question:
*how much time does every test take?*

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

# nose is now provided by pynose module
sed -ie "s/'nose'/'pynose'/" setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nosetimer

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
