%global pypi_name notebook-shim
%global srcname notebook_shim

Name:		python-%{pypi_name}
Summary:	A shim layer for notebook traits and config
Version:	0.2.4
Release:	%mkrel 2
License:	BSD 3-Clause
Group:		Development/Python
Url:		https://pypi.org/project/notebook-shim/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3-devel

%description
This project provides a way for JupyterLab and other frontends to switch to
Jupyter Server for their Python Web application backend.

%package -n python3-%{pypi_name}
Summary:	A shim layer for notebook traits and config

%description -n python3-%{pypi_name}
This project provides a way for JupyterLab and other frontends to switch to
Jupyter Server for their Python Web application backend.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

mkdir -p %{buildroot}%{_sysconfdir}/jupyter/jupyter_server_config.d/
mv %{buildroot}{%{_prefix},}/%{_sysconfdir}/jupyter/jupyter_server_config.d/notebook_shim.json

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_sysconfdir}/jupyter/jupyter_server_config.d/notebook_shim.json
