%define srcname oauth2client

Name:           python-%{srcname}
Version:        4.1.3
Release:        %mkrel 9
Summary:        Python library for accessing resources protected by OAuth 2.0
License:        ASL 2.0
Group:          Networking/Other
Url:            https://github.com/google/oauth2client
Source:         https://github.com/google/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Conflicts:	python-google-api-python-client < 1.4

%description
This is a client library for accessing resources protected by OAuth 2.0.

%package -n python3-%{srcname}
Summary:        Python 3 library for accessing resources protected by OAuth 2.0
Group:          Networking/Other

%description -n python3-%{srcname}
This is a client library for accessing resources protected by OAuth 2.0.

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{srcname} -f %{pyproject_files}
