%define pypi_name oauthlib

Name:           python-oauthlib
Version:        3.2.2
Release:        %mkrel 2
Group:          Development/Python
Summary:        A generic, spec-compliant, thorough implementation of the OAuth request-signing logic
License:        BSD
URL:            https://github.com/idan/oauthlib
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
OAuthLib is a generic utility which implements the logic of OAuth
without assuming a specific HTTP request object or web framework.

%package -n     python3-%{pypi_name}
Summary:        A generic, spec-compliant, thorough implementation of the OAuth request-signing logic
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
OAuthLib is a generic utility which implements the logic of OAuth
without assuming a specific HTTP request object or web framework.

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files oauthlib

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
