# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-offtrac
Version:        0.1.0
Release:        %mkrel 16
Summary:        Trac xmlrpc library

Group:          Development/Python
License:        GPLv2+
URL:            https://fedorahosted.org/offtrac
Source0:        https://pypi.python.org/packages/source/o/offtrac/offtrac-%{version}.tar.gz

BuildArch:      noarch

%description
There is the offtrac python library which offers the TracServer class. This
object is how one interacts with a Trac instance via xmlrpc.

%package -n python3-offtrac
Summary:        Trac xmlrpc library
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-offtrac}

%description -n python3-offtrac
There is the offtrac python library which offers the TracServer class. This
object is how one interacts with a Trac instance via xmlrpc.

%files -n python3-offtrac -f %{pyproject_files}
%doc COPYING LICENSE README
# For noarch packages: sitelib

#--------------------------------------------------------------------

%prep
%autosetup -n offtrac-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files offtrac

