%define pypi_name openTSNE

Name:           python-%{pypi_name}
Version:        1.0.1
Release:        %mkrel 2
Summary:        Extensible, parallel implementations of t-SNE
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/openTSNE/
Source0:        %{pypi_source}
BuildRequires:  libgomp-devel

%description
Extensible, parallel implementations of t-SNE.

%package -n     python3-%{pypi_name}
Summary:        Extensible, parallel implementations of t-SNE
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(cython)
BuildRequires:  python3-numpy-devel
BuildRequires:  pkgconfig(fftw3)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Extensible, parallel implementations of t-SNE.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files openTSNE

%files -n python3-%{pypi_name} -f %{pyproject_files}
