Name:           python-openid-cla
Version:        1.2
Release:        %mkrel 16
Summary:        CLA extension for python-openid
Group:          Development/Python
License:        BSD
URL:            https://github.com/puiterwijk/python-openid-cla
Source:         https://github.com/puiterwijk/python-openid-cla/releases/download/v%{version}/python-openid-cla-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-openid

%global _description\
CLA extension implementation for python-openid

%description %_description

%package -n python3-openid-cla
Summary:        CLA extension for python3-openid
Requires:       python3-openid
%{?python_provide:%python_provide python3-openid-cla}

%description -n python3-openid-cla %_description

This package includes the python 3 version of the module.


%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files openid_cla


%files -n python3-openid-cla -f %{pyproject_files}


