# Created by pyp2rpm-3.3.8
%global pypi_name openpaperwork-gtk

Name:           python-%{pypi_name}
Version:        2.2.5
Release:        %mkrel 2
Summary:        OpenPaperwork GTK plugins
Group:          Development/Python
License:        GPLv3+
URL:            https://gitlab.gnome.org/World/OpenPaperwork/paperwork/tree/master/openpaperwork-gtk
Source0:        %{pypi_source openpaperwork_gtk}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Paperwork is a GUI to make papers searchable.

A bunch of plugins for Paperwork related to GLib and GTK.

%package -n     python3-%{pypi_name}
Summary:        OpenPaperwork GTK plugins
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Paperwork is a GUI to make papers searchable.

A bunch of plugins for Paperwork related to GLib and GTK.

%prep
%autosetup -n openpaperwork_gtk-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files openpaperwork_gtk

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
