# Created by pyp2rpm-3.3.2
%global pypi_name openstacksdk

# no tests dir in sources from PYPI
%bcond_with test

Name:           python-%{pypi_name}
Version:        3.0.0
Release:        %mkrel 3
Summary:        An SDK for building applications to work with OpenStack
Group:          Development/Python
License:        MIT License
URL:            https://pypi.org/project/%{pypi_name}/
Source0:        https://pypi.io/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         0001-3.0.0-relax-reqs.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pygments) >= 2.1
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3-wheel
BuildRequires:  python3dist(pbr) >= 2.0.0

%description
An SDK for building applications to work with OpenStack.

%package -n     python3-%{pypi_name}
Summary:        An SDK for building applications to work with OpenStack
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
An SDK for building applications to work with OpenStack.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files openstack

%if %{with test}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%_bindir/openstack-inventory
