%global pypi_name orange-canvas-core

Name:           python-%{pypi_name}
Version:        0.2.0
Release:        %mkrel 2
Summary:        Core component of Orange Canvas
Group:          Development/Python

License:        GPLv3
URL:            https://pypi.org/project/orange-canvas-core
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Orange Canvas Core is a framework for building graphical user interfaces for
editing workflows. It is a component used to build the Orange Canvas
(http://orange.biolab.si) data-mining application (for which it was developed
in the first place).

%package -n     python3-%{pypi_name}
Summary:        Core component of Orange Canvas
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:    python3-devel
BuildRequires:    python3-setuptools

%description -n python3-%{pypi_name}
Orange Canvas Core is a framework for building graphical user interfaces for
editing workflows. It is a component used to build the Orange Canvas
(http://orange.biolab.si) data-mining application (for which it was developed
in the first place).

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files orangecanvas

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE.txt
%doc README.rst
