%global srcname oslo_db

Name:           python-oslo-db
Version:        17.2.1
Release:        %mkrel 1
Summary:        Oslo Database library

Group:          Development/Python
License:        MIT
URL:            https://www.openstack.org/
Source0:        https://pypi.python.org/packages/source/o/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
Oslo Database library.

%package -n     python3-oslo-db
Summary:        Oslo Database library
Group:          Development/Python

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(pbr)
%{?python_provide:%python_provide python3-oslo-db}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-oslo-db
Oslo Database library.

%prep
%setup -q -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files oslo_db

%files -n python3-oslo-db -f %{pyproject_files}
%license LICENSE
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst


