%global pypi_name oslo-i18n
%global srcname oslo_i18n

Name:           python-%{pypi_name}
Version:        6.5.1
Release:        %mkrel 1
Summary:        OpenStack OSLO Internationalization

Group:          Development/Python
License:        MIT
URL:            https://github.com/openstack/oslo.i18n
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
The oslo.i18n library contain utilities for working with internationalization
(i18n) features, especially translation for text strings in an application
or library.

%package -n     python3-%{pypi_name}
Summary:        OpenStack OSLO Internationalization
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The oslo.i18n library contain utilities for working with internationalization
(i18n) features, especially translation for text strings in an application
or library.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files oslo_i18n

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
