%global pypi_name oslo-utils
%global srcname oslo_utils

Name:           python-%{pypi_name}
Version:        8.2.0
Release:        %mkrel 1
Summary:        OpenStack OSLO Utility library

Group:          Development/Python
License:        MIT
URL:            https://github.com/openstack/oslo.utils
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
The oslo.utils library contain utilities for OpenStack.

%package -n     python3-%{pypi_name}
Summary:        OpenStack OSLO Utility library
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The oslo.utils library contain utilities for OpenStack.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files oslo_utils

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
