%define pypi_name PasteDeploy
%define pkg_name pastedeploy

Name:           python-%{pkg_name}
Version:        3.1.0
Release:        %mkrel 3
Summary:        Load, configure, and compose WSGI applications and servers
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/PasteDeploy/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
This tool provides code to load WSGI applications and servers from URIs. These
URIs can refer to Python eggs for INI-style configuration files. Paste Script
provides commands to serve applications based on this configuration file.

%package -n     python3-%{pkg_name}
Summary:        Load, configure, and compose WSGI applications and servers
Group:          Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
This tool provides code to load WSGI applications and servers from URIs. These
URIs can refer to Python eggs for INI-style configuration files. Paste Script
provides commands to serve applications based on this configuration file.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%check
%tox

%install
%pyproject_install -- --single-version-externally-managed
%pyproject_save_files paste 

%files -n python3-%{pkg_name} -f %{pyproject_files}
%doc README.rst
%{python3_sitelib}/PasteDeploy*-nspkg.pth
