# Created by pyp2rpm-3.3.7
%global pypi_name patch-ng
%global pypi_version 1.17.4

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %mkrel 5
Summary:        Library to parse and apply unified diffs
Group:          Development/Python
License:        MIT
URL:            https://github.com/conan-io/python-patch
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
Patch NG (New Generation) Library to parse and apply unified diffs.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Patch NG (New Generation) Library to parse and apply unified diffs.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files patch_ng

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
