%define pypi_name pathlib2

Name:           python-pathlib2
Version:        2.3.7
Release:        %mkrel 2
Group:          Development/Python
Summary:        Object-oriented filesystem paths

License:        MIT
URL:            https://pypi.python.org/pypi/pathlib2
Source0:        https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.post1.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
The goal of pathlib2 is to provide a backport of standard pathlib module which
tracks the standard library module, so all the newest features of the standard
pathlib can be used also on older Python versions.

%package -n python3-%{pypi_name}
Summary:        Object-oriented filesystem paths
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(mock)

%description -n python3-%{pypi_name}
The goal of pathlib2 is to provide a backport of standard pathlib module which
tracks the standard library module, so all the newest features of the standard
pathlib can be used also on older Python versions.

%prep
%setup -q -n %{pypi_name}-%{version}.post1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE.rst
