%global         pypi_name patsy

%define         debug_package          %{nil}

Name:           python-patsy
Version:        1.0.1
Release:        %mkrel 2
Group:          Sciences/Mathematics
Summary:        A Python3 library for describing statistical models
License:        BSD
URL:            https://pypi.org/project/patsy/
Source0:        https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch


%description
Patsy is a Python library for describing statistical models
(especially linear models, or models that have a linear component) and
building design matrices. Patsy brings the convenience of R "formulas"
to Python.

%package -n python3-%{pypi_name}
Summary:        A Python3 library for describing statistical models
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel


%description -n python3-%{pypi_name}
Patsy is a Python library for describing statistical models
(especially linear models, or models that have a linear component) and
building design matrices. Patsy brings the convenience of R "formulas"
to Python.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files patsy

%files -n python3-%{pypi_name} -f %{pyproject_files}
