Name:           python-pbs-installer
Version:        2025.2.12
Release:        %mkrel 2
Summary:        Installer for Python Build Standalone
License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/pbs-installer/
Source:         %{pypi_source pbs_installer}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Installer for Python Build Standalone.

%package -n     python3-pbs-installer
Summary:        %{summary}

%description -n python3-pbs-installer
Installer for Python Build Standalone.

%pyproject_extras_subpkg -n python3-pbs-installer all,download,install

%prep
%autosetup -p1 -n pbs_installer-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pbs_installer

%check
%pyproject_check_import

%files -n python3-pbs-installer -f %{pyproject_files}
%doc README.md
%{_bindir}/pbs-install
