%define fname	pdfrw

Name:		python-pdfrw
Summary:	Pure Python PDF file reader/writer library
Version:	0.4
Release:	%mkrel 8
Group:		Development/Python
License:	MIT
URL:		https://github.com/pmaupin/pdfrw
Source0:	https://pypi.io/packages/source/p/%{fname}/%{fname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python3-devel


%description
pdfrw is a basic PDF file manipulation library. Developed and tested on 
Python 2.5-2.7,  pdfrw can read and write PDF files, and can also be used to 
read in PDFs which can then be used inside reportlab. 


%package -n python3-%{fname}
Summary:        Python library to read and write PDF files
Group:          Development/Python
%{?python_provide:%python_provide python3-%{fname}}


%description -n python3-%{fname}
pdfrw is a basic PDF file manipulation library. Developed and tested on 
Python 2.5-2.7,  pdfrw can read and write PDF files, and can also be used to 
read in PDFs which can then be used inside reportlab. 

%prep
%autosetup -n %{fname}-%{version}



%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pdfrw


%files -n python3-%{fname} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst examples


