# Created by pyp2rpm-3.3.3
%global pypi_name pep517

Name:           python-%{pypi_name}
Version:        0.13.0
Release:        %mkrel 3
Summary:        Wrappers to build Python packages using PEP 517 hooks
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pep517/
Source0:        %{pypi_source}
# Fix for build of dbus-python
Patch0:         pep517-Remove-chained-exception.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(flit-core)

%description
PEP 517 specifies a standard API for systems which build Python packages.

This package contains wrappers around the hooks specified by PEP 517.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
EP 517 specifies a standard API for systems which build Python packages.

This package contains wrappers around the hooks specified by PEP 517.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pep517

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
