%global         pypi_name pkgconfig

Name:           python-pkgconfig
Version:        1.5.5
Release:        %mkrel 5
Group:          Development/Python
Summary:        A Python module to interface with the pkg-config command
License:        MIT
URL:            https://github.com/matze/pkgconfig
Source0:        %{pypi_source}
BuildArch:      noarch

%description
%{summary}.

%package -n python3-%{pypi_name}
Summary:        A Python module to interface with the pkg-config command
BuildArch:      noarch
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{summary}.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build

%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pkgconfig

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst LICENSE
