%global srcname pluginbase

Name:           python-%{srcname}
Version:        1.0.1
Release:        %mkrel 5
Summary:        Support library for building plugins systems
Group:          Development/Python
License:        BSD
URL:            https://github.com/mitsuhiko/pluginbase
Source0:        %{pypi_source}
BuildArch:      noarch

%description
PluginBase is a module for Python that enables the development of flexible
plugin systems in Python.

%package -n python3-%{srcname}
Summary:        Support library for building plugins systems
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%description -n python3-%{srcname}
PluginBase is a module for Python that enables the development of flexible
plugin systems in Python.

%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pluginbase

%check
pushd tests
  PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} -v
popd

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README*

