%define	oname	Pmw


Summary:	Python toolkit for building compound Tkinter widgets
Name:		python-pmw
Version:	2.1.1
Release:	%mkrel 3
License:	MIT
Group:		Development/Python
Url:		http://www.dscpl.com.au/pmw
Source0:	https://pypi.python.org/packages/source/P/%{oname}/%{oname}-%{version}.tar.gz
Patch0:		0001-fix-indentation-of-exemples.patch
Requires:	blt tkinter python
Obsoletes:	%{oname}
Provides:	%{oname} = %{version}-%{release}
Buildarch:	noarch

%description
Pmw is a toolkit for building high-level compound widgets in Python
using the Tkinter module. It consists of a set of base classes and a
library of flexible and extensible megawidgets built on this foundation.
These megawidgets include notebooks, comboboxes, selection widgets, paned
widgets, scrolled widgets and dialog windows.

%package -n python3-pmw
Summary:    Python 3 toolkit for building compound Tkinter widgets
Group:      Development/Python
BuildRequires:  python3-devel
Requires:	blt tkinter3 python3

%description -n python3-pmw
Pmw is a toolkit for building high-level compound widgets in Python 3
using the Tkinter module. It consists of a set of base classes and a
library of flexible and extensible megawidgets built on this foundation.
These megawidgets include notebooks, comboboxes, selection widgets, paned
widgets, scrolled widgets and dialog windows.

%prep
%autosetup -p1 -n %{oname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{oname}

%files -n python3-pmw -f %{pyproject_files}
