%define pypi_name poetry-core
%define srcname poetry_core

Name:		python-%{pypi_name}
Version:	2.1.1
Release:	%mkrel 1
Summary:	Poetry PEP 517 Build Backend
Group:		Development/Python
License:	GPLv2+
URL:		https://pypi.org/project/poetry-core/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
Poetry PEP 517 Build Backend

%package -n python3-%{pypi_name}
Summary:	Poetry PEP 517 Build Backend
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Poetry PEP 517 Build Backend

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files poetry

%files -n python3-%{pypi_name} -f %{pyproject_files}
