%define pypi_name poetry-plugin-tweak-dependencies-version
%define srcname poetry_plugin_tweak_dependencies_version

Name:		python-%{pypi_name}
Version:	1.5.2
Release:	%mkrel 2
Summary:	Poetry plugin used to tweak dependency versions
Group:		Development/Python
License:	BSD
URL:		https://pypi.org/project/poetry-plugin-tweak-dependencies-version/
Source0:	%{pypi_source}
Patch0:		reqs.patch
BuildArch:	noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
Plugin use to tweak the dependencies of the project.

%package -n python3-%{pypi_name}
Summary:	Poetry plugin used to tweak dependency versions
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Provides:	%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}
Plugin use to tweak the dependencies of the project.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README*
