# Created by pyp2rpm-3.3.5
%global pypi_name portalocker

Name:           python-%{pypi_name}
Version:        3.1.1
Release:        %mkrel 1
Summary:        Wraps the portalocker recipe for easy usage
Group:          Development/Python
License:        PSF
URL:            https://github.com/WoLpH/portalocker
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx)

%description
 portalocker - Cross-platform locking library :target:

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
 portalocker - Cross-platform locking library :target:


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

