# Created by pyp2rpm-3.3.2
%global pypi_name posix-ipc
%global src_name posix_ipc

Name:           python-%{pypi_name}
Version:        1.1.1
Release:        %mkrel 4
Summary:        POSIX IPC primitives (semaphores, shared memory and message queues) for Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/posix-ipc/
Source0:        %{pypi_source %src_name}
Patch:          0001-posix-ipc-fix-linking.patch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
POSIX IPC primitives (semaphores, shared memory and message queues) for Python

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python3-posix_ipc < 1.1.1-2
Obsoletes:      python-posix_ipc < 1.1.1-2
Provides:       python-posix_ipc = %{version}-%{release}

%description -n python3-%{pypi_name}
POSIX IPC primitives (semaphores, shared memory and message queues) for Python

%prep
%autosetup -n %{src_name}-%{version} -p1

# drop bundled egg-info
rm -rf *.egg-info

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{src_name}

%check
PYTHONPATH=%{buildroot}%{python3_sitearch} %{__python3} -m unittest discover

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md USAGE.md
%if %{with docs}
%doc html
%endif
