# Created by pyp2rpm-3.3.1
%global pypi_name poyo

Name:           python-%{pypi_name}
Version:        0.5.0
Release:        %mkrel 7
Summary:        A lightweight YAML Parser for Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/hackebrot/poyo
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
Poyo |pypi| |pyversions| |license| |travis-ci|A lightweight YAML Parser for
Python**Please note that Poyo supports only a chosen subset of the YAML
format.****It can only read but not write and is not compatible with
JSON.**Poyo does not allow deserialization of arbitrary Python objects.
Supported types are **str**, **bool**, **int**, **float**, **NoneType** as well
as **dict** and **list**...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Poyo |pypi| |pyversions| |license| |travis-ci|A lightweight YAML Parser for
Python**Please note that Poyo supports only a chosen subset of the YAML
format.****It can only read but not write and is not compatible with
JSON.**Poyo does not allow deserialization of arbitrary Python objects.
Supported types are **str**, **bool**, **int**, **float**, **NoneType** as well
as **dict** and **list**...


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files poyo

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
