%global pypi_name progress

Name:           python-%{pypi_name}
Version:        1.6
Release:        %mkrel 3
Summary:        Easy to use progress bars
Group:          Development/Python
License:        ISC
URL:            https://github.com/verigak/progress/
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:		0001-fixup-moving-average-window.patch
BuildArch:      noarch

BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Collection of easy to use progress bars and spinners.


%package -n     python3-%{pypi_name}
Summary:        Easy to use progress bars
Group:          Development/Python

%description -n python3-%{pypi_name}
Collection of easy to use progress bars and spinners.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files progress

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

