# Created by pyp2rpm-3.3.2
%global srcname prompt_toolkit
%global pypi_name prompt-toolkit

%bcond_without tests

Name:           python-%{pypi_name}
Version:        3.0.50
Release:        %mkrel 1
Summary:        Library for building powerful interactive command lines in Python
Group:          Development/Python
License:        BSD-3-Clause
URL:            https://github.com/jonathanslenders/python-prompt-toolkit
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%description
Python Prompt Toolkit is a library for building powerful interactive command
line applications in Python.

Please notice that this is prompt_toolkit 2.0. It is incompatible with the
1.0 branch, but much better in many regards.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python3-prompt_toolkit < 2.0.7-2
Provides:       python3-prompt_toolkit = %{version}-%{release}

%description -n python3-%{pypi_name}
Python Prompt Toolkit is a library for building powerful interactive command
line applications in Python.

Please notice that this is prompt_toolkit 2.0. It is incompatible with the
1.0 branch, but much better in many regards.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%if %{with tests}
%check
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} --verbose
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
