%global pypi_name propcache

Name:           python-%{pypi_name}
Version:        0.3.0
Release:        %mkrel 1
Summary:        Accelerated property cache
Group:          Development/Python
License:        PSF-2.0
URL:            https://pypi.org/project/propcache
Source0:        %{pypi_source}
BuildRequires:  python3-devel

%description
The module provides a fast implementation of cached properties for Python 3.9+.

%package -n python3-%{pypi_name}
Summary:        Accelerated property cache
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The module provides a fast implementation of cached properties for Python 3.9+.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

sed -i -e 's/==/>=/g' -e 's/~=/>=/g' requirements/cython.txt packaging/pep517_backend/_backend.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
