# Created by pyp2rpm-3.3.8
%global pypi_name protonvpn-cli
%global srcname protonvpn_cli

Name:           python-%{pypi_name}
Version:        2.2.11
Release:        %mkrel 4
Summary:        Linux command-line client for ProtonVPN
Group:          Development/Python
License:        GPLv3
URL:            https://github.com/protonvpn/linux-cli-community
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:	pyproject-rpm-macros
BuildRequires:  python3-devel

%description
ProtonVPN-CLI is a full rewrite of the bash protonvpn-cli in Python, which adds
more features and functionality with the purpose of improving readability,
speed and reliability.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       openvpn

%description -n python3-%{pypi_name}
ProtonVPN-CLI is a full rewrite of the bash protonvpn-cli in Python, which adds
more features and functionality with the purpose of improving readability,
speed and reliability.

%prep
%autosetup -n protonvpn_cli-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files protonvpn_cli

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/protonvpn
