%define pypi_name publicsuffix2

Name:           python-%{pypi_name}
Version:        2.20191221
Release:        %mkrel 8
Summary:        Get a public suffix for a domain name using the Public Suffix List
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/publicsuffix2/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
This module allows you to get the public suffix of a domain name using the
Public Suffix List from http://publicsuffix.org

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
This module allows you to get the public suffix of a domain name using the
Public Suffix List from http://publicsuffix.org

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
