# Created by pyp2rpm-3.3.8
%global pypi_name pulsectl_asyncio
%global pypi_version 1.2.1
%global pkg_name pulsectl-asyncio

Name:           python-%{pkg_name}
Version:        %{pypi_version}
Release:        %mkrel 2
Summary:        Asyncio frontend for the pulsectl Python bindings of libpulse
Group:          Development/Python
License:        MIT
URL:            https://github.com/mhthies/pulsectl-asyncio
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
This library provides an Python 3 asyncio interface on top of
the pulsectl library for monitoring and controlling the PulseAudio sound
server. pulsectl is a Python ctypes wrapper of the PulseAudio client C library
libpulse, providing a high-level interface to PulseAudio's source/sink/stream
handling and volume mixing. It has originally been forked from the internal
code of the pulsemixer command line application.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(pulsectl)

%description -n python3-%{pypi_name}
This library provides an Python 3 asyncio interface on top of                 
the pulsectl library for monitoring and controlling the PulseAudio sound   
server. pulsectl is a Python ctypes wrapper of the PulseAudio client C library  
libpulse, providing a high-level interface to PulseAudio's source/sink/stream
handling and volume mixing. It has originally been forked from the internal
code of the pulsemixer command line application.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pulsectl_asyncio

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

