# Created by pyp2rpm-3.3.5
# imported for ipython / stack_data
%global pypi_name pure-eval
%global srcname pure_eval

Name:           python-%{pypi_name}
Version:        0.2.3
Release:        %mkrel 1
Summary:        Safely evaluate AST nodes without side effects
Group:          Development/Python
License:        MIT
URL:            https://github.com/alexmojaki/pure_eval
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(pytest)

%description
pure_eval is a Python package that lets you safely evaluate certain AST nodes
without triggering arbitrary code that may have unwanted side effects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
pure_eval is a Python package that lets you safely evaluate certain AST nodes
without triggering arbitrary code that may have unwanted side effects.

%prep
%autosetup -n pure_eval-%{version}

%generate_buildrequires
%pyproject_buildrequires -x tests

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pure_eval

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md
