%define pypi_name	pybeam

Name:		python-%{pypi_name}
Version:	0.8
Release:	%mkrel 2
Summary:	Python module to parse Erlang BEAM files
License:	MIT
Group:		Development/Python
URL:		https://github.com/matwey/pybeam
Source0:	%{pypi_source}
BuildArch:	noarch

%description
Python module to parse Erlang BEAM files.

%package -n	python3-%{pypi_name}
Summary:	Python 3 module to parse Erlang BEAM files
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python 3 module to parse Erlang BEAM files.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pybeam

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
