%define oname  pybluez
%define gitdate 20220622
%define gittag  efca4249068bae50d9d7b25df214af3c4e124ffb
Name:           python-pybluez
Version:        0.23
Release:        %mkrel %{gitdate}.2
Summary:        Python wrappers around system Bluetooth resources
License:        GPLv2
Group:          Development/Python
URL:            https://pypi.org/project/PyBluez/
Source0:        https://github.com/pybluez/pybluez/archive/refs/tags/pybluez-%{gittag}.zip
BuildRequires:  python3-devel
BuildRequires:  pkgconfig(bluez)


%description
PyBluez is an effort to create python wrappers around system Bluetooth
resources to allow Python developers to easily and quickly create
Bluetooth applications.

%package -n     python3-%{oname}
Summary:        Python 3 wrappers around system Bluetooth resources
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{oname}}

%description -n python3-%{oname}
PyBluez is an effort to create python 3 wrappers around system Bluetooth
resources to allow Python developers to easily and quickly create
Bluetooth applications.

%prep
%setup -q -n %{oname}-%{gittag}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files bluetooth

%files -n python3-%{oname} -f %{pyproject_files}
%doc CHANGELOG README.md
