# Created by pyp2rpm-3.3.1
%global pypi_name pyclipper

Name:           python-%{pypi_name}
Version:        1.3.0.post6
Release:        %mkrel 2
Summary:        Cython wrapper for the C++ translation of the Angus Johnson's Clipper library (ver
Group:          Development/Python
License:        MIT
URL:            https://github.com/greginvm/pyclipper
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-cython
BuildRequires:  python3dist(pytest-runner)


%description
Pyclipper is a Cython wrapper exposing public functions and classes of the C++
translation of the Clipper library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Pyclipper is a Cython wrapper exposing public functions and classes of the C++
translation of the Clipper library.

%prep
%autosetup -n %{pypi_name}-%{version}


# Drop bundled source files
rm -rf pyclipper/pyclipper.cpp

# Regenerate source files
touch dev

sed -i "s/'unittest2', //" setup.py
sed -i s/unittest2/unittest/ tests/test_pyclipper.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyclipper

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
