# Created by pyp2rpm-3.3.2
%global pypi_name pycotap

Name:           python-%{pypi_name}
Version:        1.2.2
Release:        %mkrel 5
Summary:        A tiny test runner that outputs TAP results to standard output
Group:          Development/Python
License:        MIT
URL:            https://el-tramo.be/pycotap
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%description
pycotap is a simple Python test runner for unittest that outputs Test Anything
Protocol <>_ results directly to standard output.Contrary to other TAP runners
for Python, pycotap ...- ... prints TAP (and *only* TAP) to standard output
instead of to a separate file, allowing you to pipe it directly to TAP pretty
printers and processors (such as the ones listed on the tape page < By piping
it to...

%package -n     python3-%{pypi_name}
Summary:        A tiny test runner that outputs TAP results to standard output
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pycotap is a simple Python test runner for unittest that outputs Test Anything
Protocol <>_ results directly to standard output.Contrary to other TAP runners
for Python, pycotap ...- ... prints TAP (and *only* TAP) to standard output
instead of to a separate file, allowing you to pipe it directly to TAP pretty
printers and processors (such as the ones listed on the tape page < By piping
it to...


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pycotap

rm -rf %{buildroot}/usr/COPYING

%files -n python3-%{pypi_name} -f %{pyproject_files}
