# Created by pyp2rpm-1.0.1
%global pypi_name pycountry

Name:           python-%{pypi_name}
Version:        24.6.1
Release:        %mkrel 2
Group:          Development/Python
Summary:        ISO databases accessible from Python
License:        LGPLv2+
URL:            https://pypi.python.org/pypi/pycountry/
Source0:        https://github.com/flyingcircusio/pycountry/archive/%{version}/pycountry-%{version}.tar.gz
BuildArch:      noarch

%description
pycountry provides the ISO databases for the standards:
 639 Languages
 3166 Countries
 3166-2 Subdivisions of countries
 4217 Currencies
 15924 Scripts

The package includes a copy from Debian\'s \`pkg-isocodes\` and makes the data
accessible through a Python API.
Translation files for the various strings are included as well.

%package -n python3-%{pypi_name}
Summary:        ISO databases accessible from Python3
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pycountry provides the ISO databases for the standards:
 639 Languages
 3166 Countries
 3166-2 Subdivisions of countries
 4217 Currencies
 15924 Scripts

The package includes a copy from Debian\'s \`pkg-isocodes\` and makes the data
accessible through a Python API.
Translation files for the various strings are included as well.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pycountry

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc HISTORY.txt README.rst LICENSE.txt TODO.txt

