%define pypi_name pycryptodome

#
# When updating this pkg, please, update also python-pycryptodomex
#

Name:           python-%{pypi_name}
Version:        3.21.0
Release:        %mkrel 1
Summary:        Cryptographic library for Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/pycryptodome
Source0:        %{pypi_source}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
PyCryptodome is a self-contained Python package of low-level cryptographic primitives.

%package -n     python3-%{pypi_name}
Summary:        Cryptographic library for Python 3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python3-crypto < 2.6.1-3
Provides:       python3-crypto = 2.6.1-3%{?dist}
Provides:       python3-pycrypto = 2.6.1-3%{?dist}

%description -n python3-%{pypi_name}
PyCryptodome is a self-contained Python package of low-level cryptographic primitives.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files Crypto

%files -n python3-%{pypi_name} -f %{pyproject_files}
