%define pypi_name pyftpdlib

Name:		python-%{pypi_name}
Version:	1.5.9
Release:	%mkrel 2
Summary:	Python FTP server library
Group:		Development/Python
License:	MIT
URL:		https://pypi.org/project/pyftpdlib/
Source0:	%{pypi_source}
BuildArch:	noarch

%description
Python FTP server library provides a high-level portable interface to easily
write asynchronous FTP servers with Python. pyftpdlib is currently the most
complete RFC-959 FTP server implementation available for Python programming
language.

%package -n python3-%{pypi_name}
Summary:	Python 3 FTP server library
Group:		Development/Python
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
Python FTP server library provides a high-level portable interface to easily
write asynchronous FTP servers with Python. pyftpdlib is currently the most
complete RFC-959 FTP server implementation available for Python programming
language.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyftpdlib

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CREDITS HISTORY.rst LICENSE README.rst
%{_bindir}/ftpbench
