
Name:           python-pygccxml
Version:        2.2.1
Release:        %mkrel 5
Summary:        Python package for easy C++ declarations navigation
License:        Boost
Group:          Development/Python
Source:         https://github.com/gccxml/pygccxml/archive/v%{version}.tar.gz#/pygccxml-%{version}.tar.gz
URL:            https://github.com/gccxml/pygccxml
BuildRequires:  python3-devel
Requires:       castxml
BuildArch:      noarch


%description
The purpose of the GCC-XML extension is to generate an XML description of a
C++ program from GCC's internal representation. Since XML is easy to parse,
other development tools will be able to work with C++ programs without the
burden of a complicated C++ parser. This is the Python2 version.


%package -n python3-pygccxml
Summary:    Python package for easy C++ declarations navigation
Group:      Development/Python

%description -n python3-pygccxml
The purpose of the GCC-XML extension is to generate an XML description of a
C++ program from GCC's internal representation. Since XML is easy to parse,
other development tools will be able to work with C++ programs without the
burden of a complicated C++ parser. This is the Python3 version.


%prep
%setup -q -n pygccxml-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pygccxml


%files -n python3-pygccxml -f %{pyproject_files}
%doc README.rst
%license LICENSE.rst

