%define pypi_name   pygithub
%define pkg_name   pygithub

Name:           python-%{pkg_name}
Version:        2.4.0
Release:        %mkrel 2
Summary:        Python library to use the Github API v3
Group:          Development/Python
License:        LGPLv3+
URL:            https://pypi.org/project/PyGithub/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
PyGithub is a Python library to use the Github API v3. With it, you can manage your Github
resources (repositories, user profiles, organizations, etc.) from Python scripts.

%package -n     python3-%{pkg_name}
Summary:        Python3 library to use the Github API v3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-pygithub}

%description -n python3-%{pkg_name}
PyGithub is a Python library to use the Github API v3. With it, you can manage your Github
resources (repositories, user profiles, organizations, etc.) from Python scripts.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files github

%files -n python3-%{pkg_name} -f %{pyproject_files}
%doc README.md
