# Created by pyp2rpm-3.3.2
%global pypi_name pygments-pytest
%global srcname pygments_pytest

Name:           python-%{pypi_name}
Version:        2.4.0
Release:        %mkrel 2
Summary:        A pygments lexer for pytest output
Group:          Development/Python
License:        MIT
URL:            https://github.com/asottile/pygments-pytest
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
This library provides a pygments lexer called pytest.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
This library provides a pygments lexer called pytest.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
