# Created by pyp2rpm-3.3.5
%global pypi_name pyjsparser

Name:           python-%{pypi_name}
Version:        2.7.1
Release:        %mkrel 5
Summary:        Fast javascript parser (based on esprima.js)
Group:          Development/Python
License:        MIT
URL:            https://github.com/PiotrDabkowski/pyjsparser
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Fast JavaScript parser - manual translation of esprima.js to python. Takes 1
second to parse whole angular.js library so parsing speed is about 100k
characters per second which makes it the fastest and most comprehensible
JavaScript parser for python out there.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Fast JavaScript parser - manual translation of esprima.js to python. Takes 1
second to parse whole angular.js library so parsing speed is about 100k
characters per second which makes it the fastest and most comprehensible
JavaScript parser for python out there.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyjsparser

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
