# Created by pyp2rpm-3.3.3
%global pypi_name pykwalify

Name:           python-%{pypi_name}
Version:        1.8.0
Release:        %mkrel 6
Summary:        Python YAML/JSON schema validation library
Group:          Development/Python
License:        MIT
URL:            https://github.com/grokzen/pykwalify
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
# tests
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(testfixtures)

%description
This framework is a port with a lot of added functionality of the Java version of the
framework kwalify that can be found at http://www.kuwata-lab.com/kwalify/.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This framework is a port with a lot of added functionality of the Java version of the
framework kwalify that can be found at http://www.kuwata-lab.com/kwalify/.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/pykwalify
