# Created by pyp2rpm-3.3.2
%global pypi_name pylama

Name:           python-%{pypi_name}
Version:        8.4.1
Release:        %mkrel 3
Summary:        Code audit tool for Python and JavaScript
Group:          Development/Python
License:        LGPLv2
URL:            https://github.com/klen/pylama
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Code audit tool for Python and JavaScript.

%package -n     python3-%{pypi_name}
Summary:        Code audit tool for Python and JavaScript
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Code audit tool for Python and JavaScript.

%prep
%autosetup -n %{pypi_name}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pylama

rm -rf %{buildroot}%{python3_sitelib}/tests/

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/pylama
