%define srcname	pylev

Name:		python-pylev
Version:	1.4.0
Release:	%mkrel 3
Summary:	A pure Python Levenshtein implementation that's not freaking GPL'd
Group:		Development/Python
License:	GPLv2+
URL:		https://pypi.org/project/pylev/
Source0:	https://pypi.python.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:	noarch

%description
A pure Python Levenshtein implementation that's not freaking GPL'd

%package -n python3-pylev
Summary:	A pure Python Levenshtein implementation that's not freaking GPL'd
Group:		Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(poetry-core)

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-pylev
A pure Python Levenshtein implementation that's not freaking GPL'd

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pylev

%files -n python3-pylev -f %{pyproject_files}
