%define srcname	pylev3

Name:		python-pylev3
Version:	1.1.0
Release:	%mkrel 3
Summary:	A Python3 Levenshtein distance (re)implementation of pylev
Group:		Development/Python
License:	GPLv2+
URL:		https://pypi.org/project/pylev3/
Source0:	https://pypi.python.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:	noarch

%description
A Python3 Levenshtein distance (re)implementation of pylev

%package -n python3-pylev3
Summary:	A Python3 Levenshtein distance (re)implementation of pylev
Group:		Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(poetry-core)

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-pylev3
A Python3 Levenshtein distance (re)implementation of pylev

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pylev3

%files -n python3-pylev3 -f %{pyproject_files}
