%define module	pyperclip

Name:		python-%{module}
Version:	1.9.0
Release:	%mkrel 2
Summary:	A cross-platform clipboard module for Python
License:	MIT
Group:		Development/Python
URL:		https://github.com/asweigart/pyperclip
Source0:	https://pypi.io/packages/source/p/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
Pyperclip is a cross-platform Python module for copy and paste
clipboard functions.

%package -n	python3-%{module}
Summary:	A cross-platform clipboard module for Python 3
Group:		Development/Python
BuildArch:	noarch
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Pyperclip is a cross-platform Python 3 module for copy and paste
clipboard functions.

%prep
%setup -q -n %{module}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyperclip

%files -n python3-%{module} -f %{pyproject_files}
