%define module  pypresence

Name:           python-pypresence
Version:        4.3.0
Release:        %mkrel 2
Summary:        A Discord Rich Presence Client in Python
Group:          Development/Python
License:        MIT
URL:            https://qwertyquerty.github.io/pypresence/html/index.html
Source0:        https://github.com/qwertyquerty/pypresence/archive/v%{version}/%{module}-v%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%description
pypresence is a simple Discord Rich Presence Client in Python.
Note that in order to use most of its functions, an authorized app
is required.

%package -n python3-pypresence
Summary:        A Discord Rich Presence Client in Python

%description -n python3-pypresence
pypresence is a simple Discord Rich Presence Client in Python.
Note that in order to use most of its functions, an authorized app
is required.

%prep
%autosetup -p1 -n %{module}-%{version}
# docs include files that are under a different license model, omitting them
rm -rf %{buildroot}/docs

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pypresence

%check
%py3_check_import %{module}

%files -n python3-pypresence -f %{pyproject_files}
%license LICENSE
%doc README.md
