%global pypi_name pyproject-api
%global srcname pyproject_api

Name:           python-%{pypi_name}
Version:        1.9.0
Release:        %mkrel 1
Summary:        API to interact with the python pyproject.toml based projects
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pyproject-api/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
pyproject-api aims to abstract away interaction with pyproject.toml style
projects in a flexible way.

%package     -n python3-%{pypi_name}
Summary:        API to interact with the python pyproject.toml based projects

%description -n python3-%{pypi_name}
pyproject-api aims to abstract away interaction with pyproject.toml style
projects in a flexible way.

%prep
%autosetup -p1 -n pyproject_api-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyproject_api

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
