%global pkg_name pyqt5-sip
%global pypi_name pyqt5_sip
%global _sip_api_major 12
%global _sip_api_minor 17
%global _sip_api %{_sip_api_major}.%{_sip_api_minor}

Name:           python-%{pkg_name}
Epoch:          1
Version:        12.17.0
Release:        %mkrel 1
Summary:        The sip module support for PyQt5
Group:          Development/Python
License:        GPLv2 or GPLv3
URL:            https://www.riverbankcomputing.com/software/sip/
Source0:        %{pypi_source}

BuildRequires:  gcc
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist setuptools}
BuildRequires:  %{py3_dist wheel}

%description
The sip extension module provides support for the PyQt5 package.

%package -n     python3-%{pkg_name}
Summary:        The sip module support for PyQt5
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pkg_name}}
Provides:       python3-pyqt5-sip-api(%{_sip_api_major}) = %{_sip_api}
Provides:       python3-pyqt5-sip-api(%{_sip_api_major})%{?_isa} = %{_sip_api}

%description -n python3-%{pkg_name}
The sip extension module provides support for the PyQt5 package.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files PyQt5

%files -n python3-%{pkg_name} -f %{pyproject_files}
%doc README
