%global srcname pyroute2

Name: python-%{srcname}
Version: 0.8.1
Release: %mkrel 1
Summary: Pure Python netlink library
License: GPLv2+
Group: Development/Python
URL: https://pyroute2.org/
Source: %{pypi_source}
BuildArch: noarch
BuildRequires: pyproject-rpm-macros
BuildRequires: python3-devel

%description
PyRoute2 provides several levels of API to work with Netlink protocols, such as
Generic Netlink, RTNL, TaskStats, NFNetlink, IPQ.

%package -n python3-%{srcname}
Summary: Pure Python netlink library
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
PyRoute2 provides several levels of API to work with Netlink protocols, such as
Generic Netlink, RTNL, TaskStats, NFNetlink, IPQ.

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyroute2 pr2modules

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README*
%license LICENSE.*
%_bindir/pyroute2-cli
%_bindir/pyroute2-decoder
%_bindir/pyroute2-dhcp-client
%_bindir/pyroute2-test-platform
%_bindir/ss2
