%define         pypiname          pyshp

Name:           python-pyshp
Version:        2.3.1
Release:        %mkrel 3

Summary:        A Python library to manipulate Shapefile format
License:        MIT
Group:          Development/Python

Url:            https://pypi.python.org/pypi/pyshp
Source0:        https://pypi.io/packages/source/p/pyshp/%{pypiname}-%{version}.tar.gz

BuildArch:      noarch



%description
The Python Shapefile Library (pyshp) provides read and write support
for the Esri Shapefile format. The Shapefile format is a popular
Geographic Information System vector data format created by Esri.


%package -n python3-pyshp
Summary:        Python3 implementation of Pyshp
Group:          Development/Python
BuildRequires:  python3-devel


%description -n python3-pyshp
The Python Shapefile Library (pyshp) provides read and write support
for the Esri Shapefile format. The Shapefile format is a popular
Geographic Information System vector data format created by Esri.



%prep
%setup -q -n %{pypiname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files shapefile

%files -n python3-pyshp -f %{pyproject_files}
%doc README.md
