%global pypi_name pysrt

Name:           python-%{pypi_name}
Version:        1.1.2
Release:        %mkrel 6
Summary:        SubRip (.srt) subtitle parser and writer
Group:          Development/Python
License:        GPLv3
URL:            https://pypi.org/project/pysrt/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
pysrt is a Python library used to edit or create SubRip files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
pysrt is a Python library used to edit or create SubRip files.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pysrt

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/srt
