# Created by pyp2rpm-3.3.8
%global pypi_name pysword

Name:           python-%{pypi_name}
Version:        0.2.8
Release:        %mkrel 3
Summary:        A native Python reader module for the SWORD Project Bible Modules
Group:          Development/Python
License:        MIT
URL:            https://gitlab.com/tgc-dk/pysword
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%description
A native Python reader of the SWORD Project Bible Modules.
Reads SWORD bible files (not commentaries etc.)
Detection of locally installed Swrod bible modules.
Supports all known SWORD module formats (ztext, ztext4, rawtext, rawtext4)
Read from zipped modules, like those available from
https://www.crosswire.org/sword/modules/ModDisp.jsp?modType=Bibles
Cleans the extracted text of OSIS, GBF or ThML tags.


%package -n     python3-%{pypi_name}
Summary:        A native Python reader module for the SWORD Project Bible Modules

%description -n python3-%{pypi_name}
A native Python reader of the SWORD Project Bible Modules.
Reads SWORD bible files (not commentaries etc.)
Detection of locally installed Swrod bible modules.
Supports all known SWORD module formats (ztext, ztext4, rawtext, rawtext4)
Read from zipped modules, like those available from
https://www.crosswire.org/sword/modules/ModDisp.jsp?modType=Bibles
Cleans the extracted text of OSIS, GBF or ThML tags.


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pysword

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

