# Created by pyp2rpm-3.3.5
%global pypi_name pytest-aiohttp
%global srcname pytest_aiohttp

%bcond_without check

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        %mkrel 1
Summary:        Pytest plugin for aiohttp support
Group:          Development/Python
License:        Apache 2.0
URL:            https://github.com/aio-libs/pytest-aiohttp
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
# for tests
%if %{with check}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
BuildRequires:  python3dist(aiohttp)
%endif

%description
The library provides useful fixtures for creation test aiohttp server and client.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The library provides useful fixtures for creation test aiohttp server and client.

%prep
%autosetup -n %{srcname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_aiohttp

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
