# Created by pyp2rpm-3.3.3
%global pypi_name pytest-cython

Name:           python-%{pypi_name}
Version:        0.3.1
Release:        %mkrel 2
Summary:        A plugin for testing Cython extension modules
Group:          Development/Python
License:        MIT
URL:            https://github.com/lgpage/pytest-cython
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest) >= 2.7.3
# tests
BuildRequires:  python3dist(nox)
BuildRequires:  python3dist(myst-parser)
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-py3doc-enhanced-theme)

%description
This Pytest plugin allows for the doctesting of C extension modules for Python,
specifically created through Cython.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pytest) >= 2.7.3
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
This Pytest plugin allows for the doctesting of C extension modules for Python,
specifically created through Cython.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD}/build/lib/ sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files pytest_cython

%check
export PY_IGNORE_IMPORTMISMATCH=1
#pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.md
%doc README.md
%doc html
