%global pypi_name pytest-enabler

Name:           python-%{pypi_name}
Version:        2.3.1
Release:        %mkrel 5
Summary:        Enable installed pytest plugins
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/pytest-enabler
Source0:        %{pypi_source}
BuildArch:      noarch

%description
The enabler plugin allows configuration of plugins if present, but omits the
settings if the plugin is not present.

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The enabler plugin allows configuration of plugins if present, but omits the
settings if the plugin is not present.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_enabler

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE
