%global srcname pytest-filter-subpackage
%global pythonicname pytest_filter_subpackage


Name:           python-%{srcname}
Version:        0.2.0
Release:        %mkrel 2
Summary:        Pytest plugin for filtering based on sub-packages
Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        %{pypi_source}
BuildArch:      noarch

%description
This package contains a simple plugin for the pytest framework that provides
a shortcut to testing all code and documentation for a given sub-package.

%package -n  python3-%{srcname}
Summary:        Pytest plugin for filtering based on sub-packages
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm

%description -n python3-%{srcname}
This package contains a simple plugin for the pytest framework that provides
a shortcut to testing all code and documentation for a given sub-package.

%prep
%autosetup -n %{srcname}-%{version}

# Remove egg files from source


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pytest_filter_subpackage


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.rst
%doc README.rst CHANGES.rst
