# Created by pyp2rpm-3.3.2
%global pypi_name pytest_flake8
%global pkg_name pytest-flake8

Name:           python-%{pkg_name}
Version:        1.3.0
Release:        %mkrel 3
Summary:        pytest plugin to check FLAKE8 requirements
Group:          Development/Python
License:        BSD License
URL:            https://pypi.org/project/pytest-flake8/
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(flake8) >= 3.5
BuildRequires:  python3dist(pytest) >= 3.5
BuildRequires:  python3dist(setuptools)

%description
pytest plugin for efficiently checking PEP8 compliance.

%package -n     python3-%{pkg_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkg_name}}

Requires:       python3dist(flake8) >= 3.5
Requires:       python3dist(pytest) >= 3.5
Requires:       python3dist(setuptools)

Obsoletes:      python3-pytest_flake8 < 1.3.0-2

%description -n python3-%{pkg_name}
pytest plugin for efficiently checking PEP8 compliance.


%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_flake8

%check
%pytest

%files -n python3-%{pkg_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
