%global pypi_name pytest-freezegun

Name:           python-%{pypi_name}
Version:        0.4.2
Release:        %mkrel 6
Summary:        Wrap tests with fixtures in freeze_time
Group:          Development/Python
License:        MIT license
URL:            https://pypi.org/project/pytest-freezegun/
Source0:        %{pypi_source %pypi_name %version zip}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(freezegun)

%description
Wrap tests with fixtures in freeze_time
Features:
- Freeze time in both the test and fixtures
- Access the freezer when you need it


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Wrap tests with fixtures in freeze_time
Features:
- Freeze time in both the test and fixtures
- Access the freezer when you need it

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_freezegun

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
