%global pypi_name pytest-httpserver
%global srcname pytest_httpserver

Name:           python-%{pypi_name}
Version:        1.0.8
Release:        %mkrel 2
Summary:        pytest-httpserver is a httpserver for pytest
Group:          Development/Python
License:        None
URL:            https://github.com/csernazs/pytest-httpserver
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(toml)

%description
This library is designed to help to test http clients without contacting the
real http server. In other words, it is a fake http server which is accessible
via localhost can be started with the pre-defined expected http requests and
their responses.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-pytest_httpserver}

%description -n python3-%{pypi_name}
This library is designed to help to test http clients without contacting the
real http server. In other words, it is a fake http server which is accessible
via localhost can be started with the pre-defined expected http requests and
their responses.

%prep
%autosetup -n pytest_httpserver-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_httpserver

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
