# Created by pyp2rpm-3.3.7
%global pypi_name pytest-localserver

Name:           python-%{pypi_name}
Version:        0.8.1
Release:        %mkrel 2
Summary:        py.test plugin to test server connections locally
Group:          Development/Python
License:        MIT License
URL:            https://github.com/pytest-dev/pytest-localserver
Source0:        %{pypi_source pytest-localserver}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools-scm+toml
BuildRequires:  python3dist(pytest) >= 6.2.4
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(werkzeug) >= 0.10

%description
pytest-localserver is a plugin for the pytest testing framework which enables
you to test server connections locally. Sometimes monkeypatching
urllib2.urlopen() just does not cut it, for instance if you work with
urllib2.Request, define your own openers/handlers or work with httplib. In
these cases it may come in handy to have an HTTP server running locally which
behaves just like the real thing.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pytest-localserver is a plugin for the pytest testing framework which enables
you to test server connections locally. Sometimes monkeypatching
urllib2.urlopen() just does not cut it, for instance if you work with
urllib2.Request, define your own openers/handlers or work with httplib. In
these cases it may come in handy to have an HTTP server running locally which
behaves just like the real thing.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_localserver

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
