# Created by pyp2rpm-3.3.10
%global pypi_name pytest-mypy-testing

Name:           python-%{pypi_name}
Version:        0.1.3
Release:        %mkrel 1
Summary:        Pytest plugin to check mypy output
Group:          Development/Python
License:        None
URL:            https://github.com/davidfritzsche/pytest-mypy-testing
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
pytest-mypy-testing provides a pytest plugin to test that mypy produces a given
output. As mypy can be told to display the type of an expression this allows us
to check mypys type interference.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pytest-mypy-testing provides a pytest plugin to test that mypy produces a given
output. As mypy can be told to display the type of an expression this allows us
to check mypys type interference.


%prep
%autosetup -n %{pypi_name}-%{version}

sed -i -e 's/dflit_core/flit_core/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_mypy_testing

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
