# Created by pyp2rpm-3.3.2
%global pypi_name pytest-timeout

Name:           python-%{pypi_name}
Version:        2.3.1
Release:        %mkrel 2
Summary:        py.test plugin to abort hanging tests
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pytest-timeout/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This is a plugin which will terminate tests after a certain timeout.
When doing so it will show a stack dump of all threads running at the time.

This is useful when running tests under a continuous integration server or
simply if you don't know why the test suite hangs.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is a plugin which will terminate tests after a certain timeout.
When doing so it will show a stack dump of all threads running at the time.

This is useful when running tests under a continuous integration server or
simply if you don't know why the test suite hangs.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_timeout

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
