# Created by pyp2rpm-3.3.3
%global pypi_name pytest_translations
%global src_name pytest-translations

Name:           python-%{src_name}
Version:        5.0.0
Release:        %mkrel 2
Summary:        Test your translation files
Group:          Development/Python
License:        Apache-2
URL:            https://github.com/Thermondo/pytest-translations
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%description
A py.test plugin to check gettext po & mo files.

Test check for:
- Spelling (using enchant & aspell)
- Consistency of mo files
- Obsolete translations
- Fuzzy translations

%package -n     python3-%{src_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{src_name}}


%description -n python3-%{src_name}
A py.test plugin to check gettext po & mo files.

Test check for:
- Spelling (using enchant & aspell)
- Consistency of mo files
- Obsolete translations
- Fuzzy translations

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_translations


%files -n python3-%{src_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
