# Created by pyp2rpm-3.3.2
%global pypi_name pytoml

Name:           python-%{pypi_name}
Version:        0.1.20
Release:        %mkrel 9
Summary:        A parser for TOML-0.4.0
Group:          Development/Python
License:        MIT
URL:            https://github.com/avakar/pytoml
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
This project aims at being a specs-conforming and strict parser and writer
for TOML files. The library currently supports version 0.4.0 of the specs.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This project aims at being a specs-conforming and strict parser and writer
for TOML files. The library currently supports version 0.4.0 of the specs.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytoml

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
