%define alphatag %{nil}
%define pypi_name pyusb

Name:       python-%{pypi_name}
Version:    1.3.0
Release:    %mkrel 2
Summary:    Python bindings for libusb
Group:      Development/Python
License:    BSD
URL:        https://pypi.org/project/pyusb/
Source0:    %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
PyUSB provides easy USB access to python. The pypi_name contains classes and
methods to support most USB operations.

%package -n python3-%{pypi_name}
Summary:    Python 3 bindings for libusb
Group:      Development/Python

%description -n python3-%{pypi_name}
PyUSB provides easy USB access to python 3. The pypi_name contains classes and
methods to support most USB operations.

%prep
%setup -q -n %{pypi_name}-%{version}%{alphatag}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files usb

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE README.rst

