%define pypi_name pyXMLSecurity
%define pkg_name pyxmlsecurity

Name:           python-%{pkg_name}
Version:        1.0.0
Release:        %mkrel 3
Summary:        Pure Python XML Security
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/pyxmlsecurity/
Source0:        %{pypi_source}
Patch1:         0001-node-is-needed-for-testing-only.patch
BuildArch:      noarch

%description
This is a python implementation of XML-Security - XML-DSIG only right now.
There are no dependencies except lxml and pyca/cryptography currently.

%package -n     python3-%{pkg_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
This is a python implementation of XML-Security - XML-DSIG only right now.
There are no dependencies except lxml and pyca/cryptography currently.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files xmlsec

%files -n python3-%{pkg_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/xmlsign
%{_bindir}/xmlverify
