%global pypi_name rebulk

Name:           python-%{pypi_name}
Version:        3.2.0
Release:        %mkrel 3
Summary:        Define simple search patterns in bulk to perform advanced matching on any string
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/rebulk/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
ReBulk is a python library that performs advanced searches in strings that
would be hard to implement using re module or String methods only.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest-runner)

%description -n python3-%{pypi_name}
ReBulk is a python library that performs advanced searches in strings that
would be hard to implement using re module or String methods only.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rebulk

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGELOG.md LICENSE README.md
