%global pypi_name recaptcha-client

Name:           python-%{pypi_name}
Version:        1.0.6
Release:        %mkrel 18
Group:          Development/Python
Summary:        A plugin for reCAPTCHA and reCAPTCHA Mailhide

License:        MIT
URL:            https://pypi.org/project/%{pypi_name}
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description
A plugin for reCAPTCHA and reCAPTCHA Mailhide.

%package -n python3-%{pypi_name}
Summary:        A plugin for reCAPTCHA and reCAPTCHA Mailhide
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{pypi_name}
A plugin for reCAPTCHA and reCAPTCHA Mailhide.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/recaptcha_client*
%{python3_sitelib}/recaptcha/client/
