%define pypi_name redis

Name:           python-%{pypi_name}
Version:        5.2.1
Release:        %mkrel 1
Summary:        Python client for Redis key-value store
License:        MIT
Group:          Development/Python
Url:            https://pypi.org/project/redis/
Source:         %{pypi_source}
BuildArch:      noarch

%description
Python client for Redis key-value store

%package -n python3-%{pypi_name}
Summary:        Python client for Redis key-value store
Provides:       python3-%{pypi_name}-py = %{version}-%{release}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{pypi_name}-py}

%description -n python3-%{pypi_name}
Python client for Redis key-value store

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files redis

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE README.md
