# Created by pyp2rpm-3.3.2
%global pypi_name rednose

Name:           python-%{pypi_name}
Version:        1.3.0
Release:        %mkrel 8
Summary:        coloured output for nosetests
Group:          Development/Python
License:        MIT
URL:            https://github.com/JBKahn/rednose
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         rednose-1.3.0-test-deps.patch
BuildArch:      noarch

BuildRequires:  python3-devel

%description
A module for making nose pretty using colors.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(colorama)
Requires:       python3dist(setuptools)
Requires:       python3dist(termstyle)

%description -n python3-%{pypi_name}
A module for making nose pretty using colors.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rednose test_files

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc readme.rst
