%global pypi_name referencing

Name:           python-referencing
Version:        0.36.2
Release:        %mkrel 1
Summary:        JSON Referencing + Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/referencing/
Source:         %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
An implementation-agnostic implementation of JSON reference resolution. In
other words, a way for e.g. JSON Schema tooling to resolve the $ref keywords
across all drafts without needing to implement support themselves.

%package -n     python3-referencing
Summary:        %{summary}

%description -n python3-referencing
An implementation-agnostic implementation of JSON reference resolution. In
other words, a way for e.g. JSON Schema tooling to resolve the $ref keywords
across all drafts without needing to implement support themselves.

%prep
%autosetup -p1 -n referencing-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files referencing

%files -n python3-referencing -f %{pyproject_files}
%doc README.rst
%license COPYING
