# Created by pyp2rpm-3.3.2
%global pypi_name relatorio

Name:           python-%{pypi_name}
Version:        0.10.1
Release:        %mkrel 4
Summary:        A templating library able to output odt and pdf files
Group:          Development/Python
License:        GPLv2+
URL:            https://relatorio.tryton.org/
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(sphinx)

%description
Relatorio Relatorio is a templating library which provides a way to easily
output several kinds of files (odt, ods, png, svg, ...). Support for more
filetypes can be easily added by creating plugins for them.Relatorio also
provides a report repository allowing you to link python objects and report
together, find reports by mimetype/name/python object. Documentation The
documentation is provided at.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(file-magic)

%description -n python3-%{pypi_name}
Relatorio Relatorio is a templating library which provides a way to easily
output several kinds of files (odt, ods, png, svg, ...). Support for more
filetypes can be easily added by creating plugins for them.Relatorio also
provides a report repository allowing you to link python objects and report
together, find reports by mimetype/name/python object. Documentation The
documentation is provided at.

%package -n python-%{pypi_name}-doc
Summary:        relatorio documentation

%description -n python-%{pypi_name}-doc
Documentation for relatorio.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files relatorio

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%{_bindir}/relatorio-render

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE
