# Created by pyp2rpm-3.3.5
%global pypi_name requests-download
%global srcname requests_download

Name:           python-%{pypi_name}
Version:        0.1.2
Release:        %mkrel 7
Summary:        Download files using requests and save them to a target path
Group:          Development/Python
License:        None
URL:            https://www.github.com/takluyver/requests_download
Source0:        %{pypi_source}
Patch:          0001-Switch-build-backend-to-flit_core.patch
Patch:          0002-Specify-compatible-versions-of-flit_core.patch
BuildArch:      noarch
BuildRequires:  python3-devel

%description
A convenient function to download to a file using requests.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A convenient function to download to a file using requests.

%prep
%autosetup -n requests_download-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files requests_download

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
