# Created by pyp2rpm-3.3.1
%global pypi_name requestsexceptions

Name:           python-%{pypi_name}
Version:        1.4.0
Release:        %mkrel 11
Summary:        Import exceptions from potentially bundled packages in requests
Group:          Development/Python
License:        ASL 2.0
URL:            https://www.openstack.org/
Source0:        https://pypi.io/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch1:         fix-test-requirements.patch
BuildArch:      noarch

BuildRequires:  python3-devel

%description
requestsexceptions The python requests library bundles the urllib3 library,
however, some software distributions modify requests to remove the bundled
library. This makes some operations, such as suppressing the "insecure platform
warning" messages that urllib emits difficult. This is a simple library to find
the correct path to exceptions in the requests library regardless of whether
they are bundled.

%package -n     python3-%{pypi_name}
Summary:        Import exceptions from potentially bundled packages in requests
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
requestsexceptions The python requests library bundles the urllib3 library,
however, some software distributions modify requests to remove the bundled
library. This makes some operations, such as suppressing the "insecure platform
warning" messages that urllib emits difficult. This is a simple library to find
the correct path to exceptions in the requests library regardless of whether
they are bundled.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
# no tests in archive

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

