Name:           python-resolvelib
Version:        1.1.0
Release:        %mkrel 1
Summary:        Resolve abstract dependencies into concrete ones
Group:          Development/Python

License:        ISC
URL:            https://github.com/sarugaku/resolvelib
Source:         %{pypi_source resolvelib}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
ResolveLib at the highest level provides a Resolver class that includes
dependency resolution logic. You give it some things, and a little information
on how it should interact with them, and it will spit out a resolution result.

%package -n     python3-resolvelib
Summary:        %{summary}

%description -n python3-resolvelib
ResolveLib at the highest level provides a Resolver class that includes
dependency resolution logic. You give it some things, and a little information
on how it should interact with them, and it will spit out a resolution result.

%prep
%autosetup -p1 -n resolvelib-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files resolvelib

%files -n python3-resolvelib -f %{pyproject_files}
%doc README.rst CHANGELOG.rst
%license LICENSE
