%global pypi_name responses

# missing pkgs types-pyyaml and types-requests
%bcond_with check

Name:           python-%{pypi_name}
Version:        0.25.6
Release:        %mkrel 1
Summary:        A utility library for mocking out the `requests` Python library
License:        ASL 2.0
Group:          Development/Python
URL:            https://pypi.org/project/responses/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
A utility library for mocking out the requests Python library.

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
A utility library for mocking out the requests Python library.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x tests}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files responses

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
