# Created by pyp2rpm-3.3.3
%global pypi_name ruamel-yaml-clib
%global srcname ruamel.yaml.clib

Name:           python-%{pypi_name}
Version:        0.2.12
Release:        %mkrel 2
Summary:        C version of reader, parser and emitter for ruamel
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/ruamel.yaml.clib
Source0:        %{pypi_source}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This package was split of from ruamel.yaml, so that ruamel.yaml can be build as
a universal wheel.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes: python3-ruamel.yaml.clib < 0.2.6-4

%description -n python3-%{pypi_name}
This package was split of from ruamel.yaml, so that ruamel.yaml can be build as
a universal wheel.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
export RUAMEL_NO_PIP_INSTALL_CHECK=True
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files _ruamel_yaml

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
