%global srcname ruamel.yaml
%global pypi_name ruamel-yaml

Name:           python-%{pypi_name}
Version:        0.18.10
Release:        %mkrel 1
Summary:        YAML 1.2 loader/dumper package for Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/ruamel.yaml
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
ruamel.yaml is a YAML 1.2 loader/dumper package for Python.
It is a derivative of Kirill Simonov’s PyYAML 3.11.

%package -n     python3-%{pypi_name}
Summary:        YAML 1.2 loader/dumper package for Python
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}
Obsoletes:      python3-%{pypi_name} < 0.18.5

%description -n python3-%{pypi_name}
ruamel.yaml is a YAML 1.2 loader/dumper package for Python.
It is a derivative of Kirill Simonov’s PyYAML 3.11.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
export RUAMEL_NO_PIP_INSTALL_CHECK=True
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ruamel

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
