# Created by pyp2rpm-3.3.8
%global pypi_name scikit-build
%global srcname scikit_build

Name:           python-%{pypi_name}
Version:        0.18.1
Release:        %mkrel 2
Summary:        Improved build system generator for Python C/C++/Fortran/Cython extensions
Group:          Development/Python
License:        MIT
URL:            https://github.com/scikit-build/scikit-build
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Improved build system generator for CPython C/C++/Fortran/Cython extensions.
Better support is available for additional compilers, build systems, cross
compilation, and locating dependencies and determining their build
requirements. The scikit-build package is fundamentally just glue between the
setuptools Python module and CMake.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Improved build system generator for CPython C/C++/Fortran/Cython extensions.
Better support is available for additional compilers, build systems, cross
compilation, and locating dependencies and determining their build
requirements. The scikit-build package is fundamentally just glue between the
setuptools Python module and CMake.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files skbuild

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
