%define modulename  serpent

Name:		python-%{modulename}
Summary:	serializer for literal Python expressions
Version:	1.40
Release:	%mkrel 4
License:	MIT
Group:		Development/Python
URL:		https://pypi.python.org/pypi/%{modulename}
Source:		https://pypi.io/packages/source/s/%{modulename}/%{modulename}-%{version}.tar.gz
BuildArch:	noarch

%description
Serpent is a simple serialization library based on ast.literal_eval.

Because it only serializes literals and recreates the objects using
ast.literal_eval(), the serialized data is safe to transport to other
machines (over the network for instance) and de-serialize it there.

%package -n python3-%{modulename}
Summary:	serializer for literal Python expressions
Group:		Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{modulename}}

%description -n python3-%{modulename}
Serpent is a simple serialization library based on ast.literal_eval.

Because it only serializes literals and recreates the objects using
ast.literal_eval(), the serialized data is safe to transport to other
machines (over the network for instance) and de-serialize it there.

%prep
%setup -q -n %{modulename}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files serpent

%files -n python3-%{modulename} -f %{pyproject_files}
