# Created by pyp2rpm-3.3.4
%global pypi_name setuptools-git-ls-files

Name:           python-%{pypi_name}
Version:        0.1.2
Release:        %mkrel 6
Summary:        Use git to list all files, including submodules
Group:          Development/Python
License:        MIT
URL:            https://github.com/anthrotype/setuptools_git_ls_files/
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/setuptools_git_ls_files-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
A plugin for setuptools that finds all git tracked files, including submodules.
The command used is git ls-files --cached --recurse-submodule.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
A plugin for setuptools that finds all git tracked files, including submodules.
The command used is git ls-files --cached --recurse-submodule.

%prep
%autosetup -n setuptools_git_ls_files-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files setuptools_git_ls_files

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
