# Created by pyp2rpm-3.3.8
%global pypi_name show-in-file-manager

Name:           python-%{pypi_name}
Version:        1.1.4
Release:        %mkrel 3
Summary:        Open the system file manager and select files in it
Group:          Development/Python
License:        None
URL:            https://github.com/damonlynch/showinfilemanager
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Show in File Manager is a Python package to open the system file manager and
optionally select files in it. The point is not to open the files, but to
select them in the file manager, thereby highlighting the files and allowing
the user to quickly do something with them.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Show in File Manager is a Python package to open the system file manager and
optionally select files in it. The point is not to open the files, but to
select them in the file manager, thereby highlighting the files and allowing
the user to quickly do something with them.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files showinfm

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/showinfilemanager
