%global src_name simple_websocket
Name:           python-simple-websocket
Version:        1.1.0
Release:        %mkrel 2
Summary:        Simple WebSocket server and client for Python

License:        MIT
URL:            https://github.com/miguelgrinberg/simple-websocket
Source:         %{pypi_source simple_websocket}
Group:          Development/Python

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
simple-websocket includes a collection of WebSocket servers and
clients for Python, including support for both traditional and
asynchronous (asyncio) workflows. The servers are designed to be
integrated into larger web applications if desired}


%description %_description

%package -n     python3-simple-websocket
Summary:        %{summary}

%description -n python3-simple-websocket %_description


%prep
%autosetup -p1 -n simple_websocket-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{src_name}


%files -n python3-simple-websocket -f %{pyproject_files}

