# Created by pyp2rpm-1.1.2
%global pypi_name simplebayes

Name:           python-simplebayes
Version:        1.5.8
Release:        %mkrel 11
Group:          Development/Python
Summary:        A memory-based, optional-persistence naïve bayesian text classifier
License:        MIT
URL:            https://github.com/hickeroar/simplebayes
Source0:        https://pypi.io/packages/source/s/simplebayes/%{pypi_name}-%{version}.tar.gz
Patch0:         python-simplebayes-1.5.8-mga-setup-encoding.patch
BuildArch:      noarch


%description
This work is heavily inspired by the python "redisbayes" module found here:
[https://github.com/jart/redisbayes] and [https://pypi.python.org/pypi/redisbayes]

I've elected to write this to alleviate the network/time requirements when
using the bayesian classifier to classify large sets of text, or when
attempting to train with very large sets of sample data.

%package -n python3-simplebayes
Group:  Development/Python
Summary: A memory-based, optional-persistence naïve bayesian text classifier
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-simplebayes
This work is heavily inspired by the python "redisbayes" module found here:
[https://github.com/jart/redisbayes] and [https://pypi.python.org/pypi/redisbayes]

I've elected to write this to alleviate the network/time requirements when
using the bayesian classifier to classify large sets of text, or when
attempting to train with very large sets of sample data.


%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files simplebayes

%files -n python3-simplebayes -f %{pyproject_files}
%doc README.rst LICENSE
