%define module	singledispatch

Name:		python-%{module}
Version:	4.1.0
Release:	%mkrel 3
Summary:	This library backport functools.singledispatch to older Pythons
Group:		Development/Python
License:	MIT
URL:		https://github.com/jaraco/singledispatch
Source0:	https://pypi.python.org/packages/source/s/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros

%description
PEP 443 proposed to expose a mechanism in the functools standard library
module in Python 3.4 that provides a simple form of generic programming
known as single-dispatch generic functions.

This library is a backport of this functionality and its evolution.

#---------------------------------------------------------------------------

%package -n     python3-%{module}
Summary:        This library backport functools.singledispatch to older Pythons
Group:          Development/Python
BuildArch:      noarch
BuildRequires:	pkgconfig(python3)
%{?python_provide:%python_provide python3-%{module}}


%description -n python3-%{module}
PEP 443 proposed to expose a mechanism in the functools standard library
module in Python 3.4 that provides a simple form of generic programming
known as single-dispatch generic functions.

This library is a backport of this functionality and its evolution.

This is the Python 3 build of %{module}.

#---------------------------------------------------------------------------
%prep
%setup -q -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files singledispatch

%check
# tox

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst
