# Created by pyp2rpm-3.3.4
%global pypi_name smmap

Name:           python-%{pypi_name}
Version:        6.0.0
Release:        %mkrel 3
Summary:        A pure Python implementation of a sliding window memory map manager
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/smmap/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-devel

%description
When reading from many possibly large files in a fashion similar to
random access, it is usually the fastest and most efficient to use memory
maps.Although memory maps have many advantages, they represent a very limited
system resource as every map uses one file descriptor, whose amount is limited
per process. On 32 bit systems, the amount of memory you can have mapped at a
time is...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Obsoletes:      python3-smmap2 < 3.0.1-3
Provides:       python3-smmap2 = %{version}-%{release}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
When reading from many possibly large files in a fashion similar to
random access, it is usually the fastest and most efficient to use memory
maps.Although memory maps have many advantages, they represent a very limited
system resource as every map uses one file descriptor, whose amount is limited
per process. On 32 bit systems, the amount of memory you can have mapped at a
time is...

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files smmap

%check
# Disable checks, tox.ini is missing in tarballs and flake8 test fails.
#tox --skip-missing-interpreters

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

