%global pypi_name python-snappy

Name:           python-snappy
Version:        0.6.1
Release:        %mkrel 3
Summary:        Python library for the snappy compression library from Google
License:        BSD
Group:          Development/Python
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  snappy-devel

%description
Python bindings for the snappy compression library from Google.

%package -n     python3-snappy
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-snappy
Python bindings for the snappy compression library from Google.


%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files snappy

%files -n python3-snappy -f %{pyproject_files}
%doc README.rst AUTHORS
%license LICENSE
