# Requested by python-flask-socketio
%global pypi_name socketio

Name:           python-%{pypi_name}
Version:        5.12.1
Release:        %mkrel 2
Summary:        Python implementation of the Socket.IO realtime client and server
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/python-socketio/
Source0:        %{pypi_source python_socketio}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(netifaces)

%description
Python implementation of the Socket.IO realtime client and server.
%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python implementation of the Socket.IO realtime client and server.


%generate_buildrequires
%pyproject_buildrequires

%prep
%autosetup -n python_%{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE

