Name:           python-socksio
Version:        1.0.0
Release:        %mkrel 4
Summary:        Sans-I/O implementation of SOCKS4, SOCKS4A, and SOCKS5
Group:          Development/Python

License:        MIT
URL:            https://github.com/sethmlarson/socksio
Source:         %{pypi_source socksio}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
Client-side sans-I/O SOCKS proxy implementation. Supports SOCKS4, SOCKS4A, and
SOCKS5.

%package -n     python3-socksio
Summary:        %{summary}

%description -n python3-socksio
Client-side sans-I/O SOCKS proxy implementation. Supports SOCKS4, SOCKS4A, and
SOCKS5.

%prep
%autosetup -p1 -n socksio-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files socksio

%check
%pyproject_check_import

%files -n python3-socksio -f %{pyproject_files}
%doc README.md
%license LICENSE
