%define pypi_name	sortedcontainers

Name:           python-%{pypi_name}
Version:        2.4.0
Release:        %mkrel 6
Group:          Development/Python
Summary:        Sorted container data types
License:        ASL2.0
URL:            https://pypi.org/project/sortedcontainers/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
SortedContainers is an Apache2 licensed containers library, written in
pure-Python, and fast as C-extensions.

%package -n     python3-%{pypi_name}
Summary:        Sorted container data types
BuildRequires:	pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
SortedContainers is an Apache2 licensed containers library, written in
pure-Python, and fast as C-extensions.

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sortedcontainers

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
