# Created by pyp2rpm-3.3.8
%global pypi_name speaklater3

Name:           python-%{pypi_name}
Version:        1.4
Release:        %mkrel 3
Summary:        Implements a lazy string for python useful for use with gettext
Group:          Development/Python
License:        None
URL:            https://github.com/ThomasWaldmann/speaklater
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
A module that provides lazy strings for translations. Basically you get an
object that appears to be a string but changes the value every time the value
is evaluated based on a callable you provide. For example you can have a global
lazy_gettext function that returns a lazy string with the value of the current
set language.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A module that provides lazy strings for translations. Basically you get an
object that appears to be a string but changes the value every time the value
is evaluated based on a callable you provide. For example you can have a global
lazy_gettext function that returns a lazy string with the value of the current
set language.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files speaklater

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
