# Created by pyp2rpm-3.3.7
%global srcname sphinx_book_theme
%global pypi_name    sphinx-book-theme

Name:           python-%{pypi_name}
Version:        1.1.4
Release:        %mkrel 2
Summary:        Jupyter Book: Create an online book with Jupyter Notebooks
Group:          Development/Python
License:        BSD
URL:            https://jupyterbook.org/
Source0:        %{pypi_source}
# stb compile
Source1:	%{srcname}-%{version}-node_modules.tar.xz

BuildArch:      noarch
ExclusiveArch:  x86_64

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx-theme-builder+cli

%description
A lightweight Sphinx theme designed to mimic the look-and-feel of an interactive book.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A lightweight Sphinx theme designed to mimic the look-and-feel of an interactive book.

%prep
%autosetup -n %{srcname}-%{version} -p1 -a1

sed -i 's|==|>=|g' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
# Create .nodeenv
export STB_NO_POPULATE=1
%{_bindir}/stb compile

%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md sphinx_book_theme/translations/README.md
