# Created by pyp2rpm-3.3.5
%global pypi_name sphinx-design

Name:           python-%{pypi_name}
Version:        0.6.1
Release:        %mkrel 2
Summary:        A sphinx extension for designing beautiful, view size responsive web components
Group:          Development/Python
License:        MIT
URL:            https://github.com/executablebooks/sphinx-design
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/sphinx_design-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm[toml]) >= 4.1
BuildRequires:  python3dist(setuptools-scm-git-archive)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(flit-core)

%description
sphinx-design (IN-DEVELOPMENT)A sphinx extension for designing beautiful, view
size responsive web components. Created with inspiration from [Bootstrap]( (v5),
[Material Design]() and [Material-UI]( design frameworks.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(furo)
Requires:       python3dist(importlib-resources)
Requires:       python3dist(myst-parser)
Requires:       python3dist(pre-commit)
Requires:       python3dist(pydata-sphinx-theme)
Requires:       python3dist(sphinx-book-theme)
Requires:       python3dist(sphinx-rtd-theme)

%description -n python3-%{pypi_name}
sphinx-design (IN-DEVELOPMENT)A sphinx extension for designing beautiful, view
size responsive web components. Created with inspiration from [Bootstrap]( (v5),
[Material Design]() and [Material-UI]( design frameworks.


%prep
%autosetup -n sphinx_design-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinx_design

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE sphinx_design/compiled/octicon_LICENSE
%doc README.md
