%global pypi_name sphinx-hoverxref

Name:           python-%{pypi_name}
Version:        1.3.0
Release:        %mkrel 2
Summary:        Sphinx extension to embed content in a tooltip on xref hover
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/sphinx-hoverxref/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
sphinx-hoverxref is a Sphinx extension to add tooltips on the cross references
of the documentation with the content of the linked section.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
sphinx-hoverxref is a Sphinx extension to add tooltips on the cross references
of the documentation with the content of the linked section.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files hoverxref

rm -rf %{buildroot}%{python3_sitelib}/tests

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
