%define pypi_name  sphinx-mdinclude
%define srcname sphinx_mdinclude

Name:           python-%{pypi_name}
Version:        0.6.2
Release:        %mkrel 2
Summary:        Markdown extension for Sphinx
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/sphinx-mdinclude/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Sphinx extension for including or writing pages in Markdown format.

sphinx-mdinclude is a fork of m2r and m2r2, focused only on providing a Sphinx
extension.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
Sphinx extension for including or writing pages in Markdown format.

sphinx-mdinclude is a fork of m2r and m2r2, focused only on providing a Sphinx
extension.

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
