# Created by pyp2rpm-3.3.2
%global pypi_name sphinx-prompt
%global srcname sphinx_prompt

Name:           python-%{pypi_name}
Version:        1.8.0
Release:        %mkrel 3
Summary:        Sphinx directive to add unselectable prompt
Group:          Development/Python
License:        BSD
URL:            https://github.com/sbrunner/sphinx-prompt
Source0:        %{pypi_source}
Patch0:         sphinx-prompt-relax-dependencies.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Sphinx directive to add unselectable prompt.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
Sphinx directive to add unselectable prompt.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname} %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README*
