# Created by pyp2rpm-3.3.3
%global pypi_name sphinx-py3doc-enhanced-theme

Name:           python-%{pypi_name}
Version:        2.4.0
Release:        %mkrel 7
Summary:        A theme based on the theme of with some responsive enhancements
Group:          Development/Python
License:        BSD
URL:            https://github.com/ionelmc/sphinx-py3doc-enhanced-theme
Source0:        https://files.pythonhosted.org/packages/source/s/sphinx-py3doc-enhanced-theme/sphinx-py3doc-enhanced-theme-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Enhanced Sphinx theme (based on Python 3 docs).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
Enhanced Sphinx theme (based on Python 3 docs).

%prep
%autosetup -n sphinx-py3doc-enhanced-theme-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst tests/readme.rst
%{python3_sitelib}/sphinx_py3doc_enhanced_theme/
%{python3_sitelib}/sphinx_py3doc_enhanced_theme-%{version}-py%{python3_version}.egg-info
