# Created by pyp2rpm-3.3.2
%global pypi_name sphinx-removed-in

%bcond_with check

Name:           python-%{pypi_name}
Version:        0.2.3
Release:        %mkrel 2
Summary:        versionremoved and removed-in directives for Sphinx
Group:          Development/Python
License:        BSD
URL:            https://github.com/MrSenko/sphinx-removed-in
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
This is a Sphinx extension which recognizes the .. versionremoved:: and ..
removed-in:: directives. These are missing from Sphinx'es core markup.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is a Sphinx extension which recognizes the .. versionremoved:: and ..
removed-in:: directives. These are missing from Sphinx'es core markup.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinx_removed_in

%check
%if %{with check}
%pytest
%endif
# no need to package them
rm -Rf %{buildroot}%{python3_sitelib}/tests

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
