%global pypi_name alabaster
%global srcname sphinx-theme-%{pypi_name}

Name:           python-%{srcname}
Version:        1.0.0
Release:        %mkrel 2
Summary:        Configurable sidebar-enabled Sphinx theme
Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/alabaster
Source0:        %{pypi_source %{pypi_name}}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
This theme is a modified "Kr" Sphinx theme from @kennethreitz (especially as
used in his Requests project), which was itself originally based on @mitsuhiko's
theme used for Flask & related projects.

%package -n     python3-%{srcname}
Summary:        Configurable sidebar-enabled Sphinx theme
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This theme is a modified "Kr" Sphinx theme from @kennethreitz (especially as
used in his Requests project), which was itself originally based on @mitsuhiko's
theme used for Flask & related projects.

%prep
%setup -qn %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.rst
%doc README.rst
