# Created by pyp2rpm-3.3.6
%global pypi_name sphinxcontrib-golangdomain

Name:           python-%{pypi_name}
Version:        0.2.0.dev0
Release:        %mkrel 7
Summary:        Sphinx "golangdomain" extension
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/sphinxcontrib-golangdomain/
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx) >= 0.6

%description
This extension adds Ruby Domain to Sphinx.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(sphinx) >= 0.6

%description -n python3-%{pypi_name}
This extension adds Ruby Domain to Sphinx.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinxcontrib

# we don't need this
rm -rf %{buildroot}%{python3_sitelib}/sphinxcontrib_golangdomain-*-nspkg.pth

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
