# Created by pyp2rpm-3.3.5
%global pypi_name sphinxcontrib-images

Name:           python-%{pypi_name}
Version:        0.9.4
Release:        %mkrel 4
Summary:        Sphinx extension for thumbnails
Group:          Development/Python
License:        Apache 2
URL:            https://github.com/sphinx-contrib/images
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros

%description
Easy thumbnails in Sphinx documentation (focused on HTML).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Easy thumbnails in Sphinx documentation (focused on HTML).


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinxcontrib sphinxcontrib_images_lightbox2


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%{_bindir}/sphinxcontrib-images
%{python3_sitelib}/sphinxcontrib_images-*-nspkg.pth

