# Created by pyp2rpm-3.3.7
%global pypi_name sphinxext-opengraph

Name:           python-%{pypi_name}
Version:        0.9.1
Release:        %mkrel 2
Summary:        Sphinx Extension to enable OGP support
Group:          Development/Python
License:        None
URL:            https://github.com/wpilibsuite/sphinxext-opengraph
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx)

%description
Sphinx extension to generate OpenGraph metadata (https://ogp.me/)

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Sphinx extension to generate OpenGraph metadata (https://ogp.me/)

%prep
%autosetup -n %{pypi_name}-%{version}

# Fix version
sed -ie '/version/s/"main"/"%{version}"/' setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files 'sphinxext*'

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
