# Created by pyp2rpm-3.3.8
%global pypi_name sphinxnotes-strike

Name:           python-%{pypi_name}
Version:        1.2
Release:        %mkrel 3
Summary:        Sphinx extension for strikethrough text support
Group:          Development/Python
License:        BSD
URL:            https://sphinx.silverrainz.me/strike
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(docutils)
BuildRequires:  python3dist(sphinx)

%description
Sphinx extension for HTML strikethrough text support.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(sphinx)

%description -n python3-%{pypi_name}
Sphinx extension for HTML strikethrough text support.


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinxnotes

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{python3_sitelib}/sphinxnotes_strike-%{version}-py%{python3_version}-nspkg.pth
