%global pypi_name sphinxygen

Name:           python-%{pypi_name}
Version:        1.0.10
Release:        %mkrel 2
Summary:        A Python script to generate Sphinx ReST from Doxygen XML
Group:          Development/Python
License:        ISC
URL:            https://pypi.org/project/sphinxygen/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Sphinxygen is a Python module/script that generates Sphinx markup to describe a
C API, from an XML description extracted by Doxygen.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
Sphinxygen is a Python module/script that generates Sphinx markup to describe a
C API, from an XML description extracted by Doxygen.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/sphinxygen
