%define pypi_name stevedore

Name:           python-%{pypi_name}
Version:        5.3.0
Release:        %mkrel 1
Summary:        Manage dynamic plugins for Python applications
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/stevedore/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Manage dynamic plugins for Python applications.

%package -n python3-%{pypi_name}
Summary:        Manage dynamic plugins for Python 3 applications
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Manage dynamic plugins for Python 3 applications.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
