# Created by pyp2rpm-3.3.6
%global pypi_name stone

Name:           python-%{pypi_name}
Version:        3.3.6
Release:        %mkrel 2
Summary:        Stone is an interface description language (IDL) for APIs
Group:          Development/Python
License:        MIT License
URL:            https://github.com/dropbox/stone
# PyPI sources are missing some files needed by setup.py
Source0:        https://github.com/dropbox/stone/archive/refs/tags/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest-runner)

%description
The Official Api Spec Language for Dropbox.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The Official Api Spec Language for Dropbox.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Relax BRs
sed -i -s 's/pytest-runner\s\+==/pytest-runner >=/g' setup.py

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/stone
