# Created by pyp2rpm-3.3.2
%global pypi_name sum-walker
%global srcname sum_walker

Name:           python-%{pypi_name}
Version:        0.8.2
Release:        %mkrel 9
Summary:        Iterate over sums of a certain number of elements
Group:          Development/Python
License:        BSD
URL:            https://github.com/shlomif/sum_walker
Source0:        %{pypi_source}
# fix for doc build with sphinx 8.1
Patch0:         sum-walker-docs.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(sphinx)


%description
Python module to iterate over sums of a certain number of elements.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python-%{srcname}-doc < 0.8.2-6
Obsoletes:      python3-%{srcname} < 0.8.2-6

%description -n python3-%{pypi_name}
Python module to iterate over sums of a certain number of elements.

%prep
%autosetup -p1 -n %{srcname}-%{version}
sed -i "/--cov=sum_walker --cov-report/d" setup.cfg

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE docs/LICENSE.rst
%doc README.rst
%doc html
