%define module  svglib

Name:           python-%{module}
Version:        1.4.1
Release:        %mkrel 3
Summary:        Python library for reading and converting SVG
Group:          Development/Python
License:        LGPLv3
URL:            https://github.com/deeplook/svglib
Source0:        %{pypi_source %{module}}
BuildArch:      noarch

%description
Pure Python library for reading and converting SVG.

%package -n     python3-%{module}
Summary:        Python 3 library for reading and converting SVG
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Pure Python3 library for reading and converting SVG.

%prep
%setup -q -n %{module}-%{version}


# Remove hashbang
sed -i '1{/^#!/d}' svglib/svglib.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files svglib

%files -n python3-%{module} -f %{pyproject_files}
%doc CHANGELOG.rst README.rst
%license LICENSE.txt
%{_bindir}/svg2pdf
%{_mandir}/man1/svg2pdf.1*
