# Created by pyp2rpm-3.3.5
%global pypi_name tblib

Name:           python-%{pypi_name}
Version:        3.0.0
Release:        %mkrel 4
Summary:        Traceback serialization library
Group:          Development/Python
License:        BSD-2-Clause
URL:            https://github.com/ionelmc/python-tblib
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# fix tests
Patch:          https://github.com/ionelmc/python-tblib/commit/04dc5426812c508a10774122450acf386e546dbf.patch
Patch:          https://github.com/ionelmc/python-tblib/commit/66e14cdd101e4214cca6acca8f48b9abe4f75729.patch
# https://github.com/ionelmc/python-tblib/pull/78
# Even harder location stripping for Python 3.13
Patch:          0001-test_pickle_exception-even-harder-location-stripping.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)


%description
Serialization library for Exceptions and Tracebacks.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Serialization library for Exceptions and Tracebacks.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%check
%pytest -ra tests -vvv

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst docs/readme.rst
