%global srcname templated-dictionary

%global origrel 1

Name:       python-%{srcname}
Version:    1.5
Release:    %mkrel 2
Summary:    Dictionary with Jinja2 expansion
Group:      Development/Python
License:    GPLv2+
URL:        https://github.com/xsuchy/templated-dictionary

Source0:    %{url}/archive/%{name}-%{version}-%{origrel}/%{name}-%{version}-%{origrel}.tar.gz

BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: python3-setuptools

%global _description\
Dictionary where __getitem__() is run through Jinja2 template.

%description %_description


%package -n python3-%{srcname}
Summary: %{summary}
%{?py_provides:%py_provides python3-%{srcname}}
%description -n python3-%{srcname} %_description


%prep
%autosetup -n %{srcname}-%{name}-%{version}-%{origrel} -p1


%generate_buildrequires
%pyproject_buildrequires

%build
version="%version" %py3_build

%install
version=%version %py3_install


%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/templated_dictionary-*.egg-info/
%{python3_sitelib}/templated_dictionary/


