# Created by pyp2rpm-1.0.1
%global pypi_name terminado

%bcond_with check

Name:           python-%{pypi_name}
Version:        0.18.1
Release:        %mkrel 1
Group:          Development/Python
Summary:        Terminals served to term.js using Tornado websockets
License:        BSD
URL:            https://pypi.org/project/terminado/
Source0:        https://pypi.io/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Terminals served to term.js using Tornado websockets.

%package -n     python3-%{pypi_name}
Summary:        Terminals served to term.js using Tornado websockets
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Terminals served to term.js using Tornado websockets.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x test}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files terminado

%if %{with check}
%check
# upstream: https://github.com/jupyter/terminado/issues/88
# upstream: https://github.com/pytest-dev/pytest/issues/8256
echo "set enable-bracketed-paste off" > .inputrc
export INPUTRC=$PWD/.inputrc
%pytest -v
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGELOG.md README.md
