# Created by pyp2rpm-3.3.2
%global pypi_name texext

Name:           python-%{pypi_name}
Version:        0.6.7
Release:        %mkrel 2
Summary:        Sphinx extensions for working with LaTeX math
Group:          Development/Python
License:        BSD license
URL:            https://pypi.org/project/texext/
Source0:        https://github.com/matthew-brett/texext/archive/refs/tags/%{version}/%{pypi_name}-%{version}.tar.gz
Patch1:         0001-Update-versioneer-to-version-0.28.patch
Patch2:         0002-Adapt-docstring-test-to-Sphinx-7.2.x.patch
Patch3:         0003-Refactor-fix-for-Sphinx-7.2.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
texext contains a couple of Sphinx extensions for working with LaTeX math.

%package -n     python3-%{pypi_name}
Summary:        Sphinx extensions for working with LaTeX math
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
texext contains a couple of Sphinx extensions for working with LaTeX math.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files texext

%check
#pytest -v

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

