%global upstream_name texttable

Name:           python-%{upstream_name}
Version:        1.7.0
Release:        %mkrel 1
Summary:        Python module to generate a formatted text table, using ASCII characters

Group:          Development/Python
License:        LGPLv3
URL:            https://github.com/foutaise/texttable
Source0:        https://pypi.io/packages/source/t/texttable/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description
Python module to generate a formatted text table, using ASCII characters.

#------------------------------------------------

%package -n     python3-%{upstream_name}
Summary:        Python 3 module to generate a formatted text table, using ASCII characters
Group:          Development/Python
BuildArch:      noarch
%{?python_provide:%python_provide python3-%{upstream_name}}

%description -n python3-%{upstream_name}
Python 3 module to generate a formatted text table, using ASCII characters.

#------------------------------------------------

%prep
%setup -q -n %{upstream_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files texttable

%files -n python3-%{upstream_name} -f %{pyproject_files}
%doc PKG-INFO README.md
