%define pypi_name tld

Name:       python-%{pypi_name}
Version:    0.13
Release:    %mkrel 3
Summary:    Extract the top-level domain (TLD) from the URL given
Group:      Development/Python
License:    GPLv2
URL:        https://pypi.org/project/tld
Source0:    %{pypi_source}
BuildArch:  noarch

%description
Extract the top level domain (TLD) from the URL given. List of TLD names is
taken from Mozilla.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Extract the top level domain (TLD) from the URL given. List of TLD names is
taken from Mozilla.

%prep
%autosetup -n %{pypi_name}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tld

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{_bindir}/update-tld-names
