%define pypi_name tls-parser
%define srcname tls_parser

Name:       python-%{pypi_name}
Version:    2.0.0
Release:    %mkrel 5
Summary:    Small library to parse TLS records
Group:      Development/Python
License:    MIT
URL:        https://pypi.org/project/tls-parser
Source0:    %{pypi_source}
BuildArch:  noarch

%description
Small library to parse TLS records; used by SSLyze.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Small library to parse TLS records; used by SSLyze.

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tls_parser

%files -n python3-%{pypi_name} -f %{pyproject_files}
