# Created by pyp2rpm-3.3.2
%global pypi_name toml

%bcond_with check

Name:           python-%{pypi_name}
Version:        0.10.2
Release:        %mkrel 8
Summary:        Python Library for Tom's Obvious, Minimal Language
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/toml/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
A Python library for parsing and creating TOML.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Python library for parsing and creating TOML.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bogus file
rm -rf toml/common.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files toml

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
