Name:       python-tortilla
Version:    0.5.0
Release:    %mkrel 9
Summary:    Python 2 and 3 compatibility utilities
Group:      Development/Python
License:    MIT
URL:        https://pypi.org/project/tortilla/
Source0:    https://github.com/tortilla/tortilla/archive/v%{version}.tar.gz
BuildArch:  noarch

%description
python-tortilla provides a tiny library for creating wrappers around web APIs
Python 2 and Python 3.

%package -n python3-tortilla
Summary: %{summary} / Python 3 library
Requires:   python3-requests
Requires:   python3-six
Requires:   python3-formats
Requires:   python3-colorclass
BuildRequires:  python3-devel

%description -n python3-tortilla
python-tortilla provides a tiny library for creating wrappers around web APIs
Python 3.

%prep
%setup -q -n tortilla-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tortilla

%files -n python3-tortilla -f %{pyproject_files}
%doc README.rst
