# Created by pyp2rpm-3.3.2
%global pypi_name towncrier

# Looks like the tests want a network connection
%bcond_with tests

Name:           python-%{pypi_name}
Version:        24.8.0
Release:        %mkrel 2
Summary:        Building newsfiles for your project
Group:          Development/Python
License:        MIT
URL:            https://github.com/hawkowl/towncrier
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
Hear ye, hear ye, says the towncrier towncrier is a utility to produce useful,
summarised news files for your project. Rather than reading the Git history as
some newer tools to produce it, or having one single file which developers all
write to, towncrier reads "news fragments" which contain information useful to
end users.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Hear ye, hear ye, says the towncrier towncrier is a utility to produce useful,
summarised news files for your project. Rather than reading the Git history as
some newer tools to produce it, or having one single file which developers all
write to, towncrier reads "news fragments" which contain information useful to
end users.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/towncrier
