%global srcname traceback2

Name:           python-%{srcname}
Version:        1.4.0
Release:        %mkrel 17
Summary:        Backports of the traceback module

Group:          Development/Python
License:        Python Software Foundation License
URL:            https://github.com/testing-cabal/traceback2
Source0:        %{pypi_source}
BuildArch:      noarch

%description
A backport of traceback to older supported Pythons.

%package -n     python3-%{srcname}
Summary:        Backports of the traceback module
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pbr)
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
A backport of traceback to older supported Pythons.

%prep
%setup -q -n %{srcname}-%{version}

# drop bundled egg-info
rm -rf *.egg-info/

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%doc AUTHORS ChangeLog README.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info
