# Created by pyp2rpm-3.3.2
%global pypi_name transaction

Name:           python-%{pypi_name}
Version:        5.0
Release:        %mkrel 2
Summary:        Transaction management for Python
Group:          Development/Python
License:        ZPL 2.1
URL:            https://pypi.org/project/transaction/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(zope.interface)
BuildRequires:  python3dist(mock)

%description
This package contains a generic transaction implementation for Python.
It is mainly used by the ZODB.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This package contains a generic transaction implementation for Python.
It is mainly used by the ZODB.

%prep
%autosetup -n %{pypi_name}-%{version}

sed -i 's|setuptools<74|setuptools|' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files transaction

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
