# Created by pyp2rpm-3.3.2
%global pypi_name twine

%bcond_without tests
%bcond_with internet

Name:           python-%{pypi_name}
Version:        6.1.0
Release:        %mkrel 1
Summary:        Collection of utilities for publishing packages on PyPI
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/twine/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Twine is a utility for publishing Python packages on PyPI.

It provides build system independent uploads of source and binary distribution
artifacts for both new and existing projects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Twine is a utility for publishing Python packages on PyPI.

It provides build system independent uploads of source and binary distribution
artifacts for both new and existing projects.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{without internet}
sed -i '/--disable-socket/d' pytest.ini
%endif

%install
%pyproject_install
%pyproject_save_files twine

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst AUTHORS
%{_bindir}/twine
