%define module	twitter

Name:		python-%{module}
Version:	3.5
Release:	%mkrel 10
Summary:	Python 2 bindings for Twitter
License:	ASL 2.0
Group:		Development/Python
Url:		https://github.com/bear/python-twitter
Source0:	https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:	noarch

%description
This library provides a pure python2 interface for the Twitter API.

Twitter (https://twitter.com) provides a service that allows people to connect
via the web, IM, and SMS. Twitter exposes a web services API
(https://twitter.com/help/api) and this library is intended to make it even
easier for python programmers to use.

#------------------------------------------------

%package -n	python3-%{module}
Summary:	Python 3 bindings for Twitter
Group:		Development/Python
BuildRequires:  python3-devel

%description -n	python3-%{module}
This library provides a pure python3 interface for the Twitter API.

Twitter (https://twitter.com) provides a service that allows people to connect
via the web, IM, and SMS. Twitter exposes a web services API
(https://twitter.com/help/api) and this library is intended to make it even
easier for python programmers to use.

#------------------------------------------------

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files twitter

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst COPYING
