%define modname txws
%define capname txWS

Name:          python-txws
Version:       0.9.1
Release:       %mkrel 13
Summary:       Twisted WebSockets wrapper

Group:         Development/Python
License:       MIT
URL:           https://pypi.python.org/pypi/%{capname}
Source0:       https://pypi.io/packages/source/t/%{capname}/%{capname}-%{version}.tar.gz
Patch0:        python-txws-drop-vcversioner.patch

BuildArch:     noarch

%description
txWS (pronounced "Twisted WebSockets") is a small, short, simple library
for adding WebSockets server support to your favorite Twisted applications.

%package -n    python3-%{modname}
Summary:       Twisted WebSockets wrapper
Group:         Development/Python
BuildRequires: pkgconfig(python3)
BuildRequires:  python3-devel
BuildRequires: python3-twisted
%{?python_provide:%python_provide python3-%{modname}}

Requires:      python3-twisted

Obsoletes:     python-txws < 0.9.1-7
Provides:      python-txws = %{version}-%{release}

%description -n python3-%{modname}
txWS (pronounced "Twisted WebSockets") is a small, short, simple library
for adding WebSockets server support to your favorite Twisted applications.

%prep
%setup -q -n %{capname}-%{version}
%autopatch -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files txws


%files -n python3-%{modname} -f %{pyproject_files}
%doc README.rst

