%global pypi_name typeguard

Name:           python-%{pypi_name}
Version:        4.4.2
Release:        %mkrel 1
Summary:        Run-time type checker for Python
License:        MIT
Group:          Development/Python
URL:            https://github.com/agronholm/%{pypi_name}
Source0:        https://pypi.io/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm

%description
This library provides run-time type checking for functions defined with
PEP 484 argument (and return) type annotations.

%package -n python3-%{pypi_name}
Summary:        Run-time type checker for Python 3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This library provides run-time type checking for functions defined with
PEP 484 argument (and return) type annotations.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE
