%define pypi_name types-python-dateutil

Name:		python-%{pypi_name}
Summary:	Typing stubs for python-dateutil
Version:	2.8.19.14
Release:	%mkrel 3
License:	ASL 2.0
Group:		Development/Python
URL:		https://pypi.python.org/pypi/types-python-dateutil
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This is a PEP 561 type stub package for the python-dateutil package.

%package -n python3-%{pypi_name}
Summary:	Typing stubs for python-dateutil
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is a PEP 561 type stub package for the python-dateutil package.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dateutil-stubs

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGELOG.md
