# Created by pyp2rpm-3.3.5
%global pypi_name typing-inspect

Name:           python-%{pypi_name}
Version:        0.9.0
Release:        %mkrel 2
Summary:        Runtime inspection utilities for typing module
Group:          Development/Python
License:        MIT
URL:            https://github.com/ilevkivskyi/typing_inspect
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/typing_inspect-%{version}.tar.gz
# Patch1:		typing-3_9.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
Typing Inspect The "typing_inspect" module defines experimental API for runtime
inspection of types defined in the standard "typing" module.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Typing Inspect The "typing_inspect" module defines experimental API for runtime
inspection of types defined in the standard "typing" module.

%prep
%autosetup -n typing_inspect-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files typing_inspect

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
