# Created by pyp2rpm-3.3.2
%global pypi_name u-msgpack-python

Name:           python-%{pypi_name}
Version:        2.8.0
Release:        %mkrel 2
Summary:        A portable, lightweight MessagePack serializer and deserializer written in pure Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/vsergeev/u-msgpack-python
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
u-msgpack-python is a lightweight MessagePack serializer and deserializer
module written in pure Python. u-msgpack-python is fully compliant with the
latest MessagePack specification. In particular, it supports the new binary,
UTF-8 string, and application-defined ext types.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
u-msgpack-python is a lightweight MessagePack serializer and deserializer
module written in pure Python. u-msgpack-python is fully compliant with the
latest MessagePack specification. In particular, it supports the new binary,
UTF-8 string, and application-defined ext types.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files umsgpack

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
