# Created by pyp2rpm-3.3.3
%global pypi_name ufolib2
%global srcname ufoLib2

Name:           python-%{pypi_name}
Version:        0.16.0
Release:        %mkrel 2
Summary:        ufoLib2 is a UFO font processing library
Group:          Development/Python
License:        Apache 2.0
URL:            https://github.com/fonttools/ufoLib2
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(tox-current-env)
BuildRequires:  python3dist(fonttools)

%description
ufoLib2 is a UFO font library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
ufoLib2 is a UFO font library.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ufoLib2

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE tests/data/LICENSE_UbuTestData.txt
%doc README.md
