# Created by pyp2rpm-3.3.1
%global pypi_name unicode

Name:           python-%{pypi_name}
Version:        2.8
Release:        %mkrel 5
Summary:        Display unicode character properties
Group:          Development/Python
License:        GPLv3
URL:            https://kassiopeia.juls.savba.sk/~garabik/software/unicode.html
Source0:        https://pypi.io/packages/source/u/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description
Enter regular expression, hexadecimal number or some characters as an
argument. unicode will try to guess what you want to look up, see the
manpage if you want to force other behaviour (the manpage is also the
best documentation). In particular, -r forces searching for regular
expression in the names of character, -s forces unicode to display
information about the characters given.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Enter regular expression, hexadecimal number or some characters as an
argument. unicode will try to guess what you want to look up, see the
manpage if you want to force other behaviour (the manpage is also the
best documentation). In particular, -r forces searching for regular
expression in the names of character, -s forces unicode to display
information about the characters given.

%package docs
Summary:        Man pages for python-unicode
BuildArch:      noarch
Requires:       python-unicode

%description docs
This package contains the man pages for python-unicode

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
mv %{buildroot}%{_bindir}/unicode %{buildroot}%{_bindir}/unicode3
mv %{buildroot}%{_bindir}/paracode %{buildroot}%{_bindir}/paracode3

%__install -d %{buildroot}/%{_mandir}/man1
%__install *.1 %{buildroot}/%{_mandir}/man1/

%files -n python3-%{pypi_name}
%doc README-paracode
%{_bindir}/paracode3
%{_bindir}/unicode3
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info

%files docs
%{_mandir}/man1/*
