%define pypi_name Unidecode

Name:		python-unidecode
Version:	1.3.8
Release:	%mkrel 2
Summary:	US-ASCII transliterations of Unicode text

Group:		Development/Python
License:	GPLv2+
URL:		https://pypi.org/project/%{pypi_name}/%{version}
Source0:	https://pypi.python.org/packages/source/U/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:	noarch

%description
This is a python port of Text::Unidecode Perl module. It provides a function,
'unidecode(...)' that takes Unicode data and tries to represent it in ASCII
characters.

%package -n python3-unidecode
Group:		Development/Python
Summary:	US-ASCII transliterations of Unicode text
BuildRequires:	pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-unidecode}

%description -n python3-unidecode
This is a python port of Text::Unidecode Perl module. It provides a function,
'unidecode(...)' that takes Unicode data and tries to represent it in ASCII
characters.


%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files unidecode

rm -f %{buildroot}%{_bindir}/unidecode

%files -n python3-unidecode -f %{pyproject_files}
%doc README.rst ChangeLog

