# Created by pyp2rpm-3.3.5
%global pypi_name python-utils
%global srcname python_utils
%global pkgname utils

Name:           python-%{pkgname}
Version:        3.9.1
Release:        %mkrel 1
Summary:        Python Utils is a module with some convenient utilities
Group:          Development/Python
License:        BSD
URL:            https://github.com/WoLpH/python-utils
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Python Utils is a module with some convenient utilities not included with the
standard Python install.

%package -n     python3-%{pkgname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python3-%{pkgname}
Python Utils is a module with some convenient utilities not included with the
standard Python install.

%prep
%autosetup -n %{srcname}-%{version}

# drop 'empty' requirements.txt
rm -rf requirements.txt

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pkgname} -f %{pyproject_files}
%doc README.rst
