# Created by pyp2rpm-3.3.5
%global pypi_name vttmisc

Name:           python-%{pypi_name}
Version:        0.0.5
Release:        %mkrel 6
Summary:        A collection of misc scripts related to VTT
Group:          Development/Python
License:        MIT
URL:            https://github.com/aaronbell/vttmisc
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
vttmiscA library that contains a small set of scripts related to working with
VTT.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(fonttools) >= 4.15
%description -n python3-%{pypi_name}
vttmiscA library that contains a small set of scripts related to working with
VTT.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
