%global pypi_name weasyprint

Name:           python-weasyprint
Version:        64.0
Release:        %mkrel 2
Group:          Development/Python
Summary:        WeasyPrint converts web documents to PDF

License:        MIT
URL:            https://pypi.org/project/weasyprint
Source0:        %pypi_source
BuildArch:      noarch

%description
WeasyPrint converts web documents to PDF.

%package -n python3-weasyprint
Summary:        WeasyPrint converts web documents to PDF
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest-runner)
Provides:       weasyprint = %{version}-%{release}

%description -n python3-weasyprint
WeasyPrint converts web documents to PDF.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files weasyprint

%files -n python3-weasyprint -f %{pyproject_files}
%doc README*
%{_bindir}/weasyprint
