# Created by pyp2rpm-3.3.2
%global pypi_name webassets

Name:           python-%{pypi_name}
Version:        2.0
Release:        %mkrel 2
Summary:        Media asset management for Python, with glue code for various web frameworks
Group:          Development/Python
License:        BSD
URL:            https://github.com/miracle2k/webassets/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
Merges, minifies and compresses Javascript and CSS files, supporting a variety
of different filters, including YUI, jsmin, jspacker or CSS tidy. Also supports
URL rewriting in CSS files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Merges, minifies and compresses Javascript and CSS files, supporting a variety
of different filters, including YUI, jsmin, jspacker or CSS tidy. Also supports
URL rewriting in CSS files.

%package -n python-%{pypi_name}-doc
Summary:        webassets documentation

%description -n python-%{pypi_name}-doc
Documentation for webassets

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files webassets

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc examples/no-python/README.rst
%{_bindir}/webassets

%files -n python-%{pypi_name}-doc
%doc docs
