%define pypi_name	webob

Name:		python-webob
Version:	1.8.9
Release:	%mkrel 2
Summary:	WSGI request and response object for Python
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/WebOb/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  python3-devel

%description
WebOb provides wrappers around the WSGI request environment, and an object to
help create WSGI responses.

The objects map much of the specified behavior of HTTP, including header
parsing and accessors for other standard parts of the environment.

%package -n python3-webob
Summary:	WSGI request and response object for Python3
%{?python_provide:%python_provide python3-webob}

%description -n python3-webob
WebOb provides wrappers around the WSGI request environment, and an object to
help create WSGI responses.

The objects map much of the specified behavior of HTTP, including header
parsing and accessors for other standard parts of the environment.

%prep
%setup -q -n %{pypi_name}-%{version}

rm -rf tests/performance_test.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

#check
# %%pytest

%files -n python3-webob -f %{pyproject_files}
%doc docs/*
