%global pypi_name werkzeug

Name:           python-%{pypi_name}
Version:        3.1.3
Release:        %mkrel 1
Summary:        The Swiss Army knife of Python web development

Group:          Development/Python
License:        BSD
URL:            http://werkzeug.pocoo.org/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
The Swiss Army knife of Python web development.

%package -n python3-%{pypi_name}
Summary:        The Swiss Army knife of Python web development
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The Swiss Army knife of Python 3 web development.

%prep
%setup -q -n %{pypi_name}-%{version}

# fix line endings
sed -i -e 's/\r//' *.rst

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files werkzeug

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc CHANGES.rst README.md
