# Created by pyp2rpm-3.3.1
%global pypi_name whichcraft

Name:           python-%{pypi_name}
Version:        0.6.1
Release:        %mkrel 7
Summary:        This package provides cross-platform cross-python shutil
Group:          Development/Python
License:        BSD
URL:            https://github.com/pydanny/whichcraft
Source0:        https://files.pythonhosted.org/packages/source/w/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)

%description
This package provides cross-platform cross-python shutil.which functionality.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This package provides cross-platform cross-python shutil.which functionality.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files whichcraft

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
