# Created by pyp2rpm-3.3.2
%global pypi_name wsaccel

Name:           python-%{pypi_name}
Version:        0.6.7
Release:        %mkrel 1
Summary:        Accelerator for ws4py and AutobahnPython
Group:          Development/Python
License:        Apache
URL:            https://pypi.org/project/wsaccel/
Source0:        %{pypi_source}

BuildRequires:  python3-devel

%description
WSAccell is WebSocket accelerator for AutobahnPython < ws4py < and Tornado <
replaces per-byte process in them with Cython version.AutobahnPython beginning
with version 0.6 automatically uses WSAccell if available. Otherwise you can
run-time patch supported WebSocket libraries using:.. code-block:: python
import wsaccel wsaccel.patch_autobahn() for autobahn. wsaccel.patch_ws4py() for
ws4py....

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
WSAccell is WebSocket accelerator for AutobahnPython < ws4py < and Tornado <
replaces per-byte process in them with Cython version.AutobahnPython beginning
with version 0.6 automatically uses WSAccell if available. Otherwise you can
run-time patch supported WebSocket libraries using:.. code-block:: python
import wsaccel wsaccel.patch_autobahn() for autobahn. wsaccel.patch_ws4py() for
ws4py....


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files wsaccel

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
