# Created by pyp2rpm-3.3.2
%global pypi_name wurlitzer

Name:           python-%{pypi_name}
Version:        3.1.1
Release:        %mkrel 2
Summary:        Capture C-level output in context managers
Group:          Development/Python
License:        MIT
URL:            https://github.com/minrk/wurlitzer
Source0:        https://files.pythonhosted.org/packages/source/w/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-devel

%description
Context managers for capturing C-level output:: from wurlitzer import pipes
with pipes() as (stdout, stderr): call_c_function() out stdout.read() err
stderr.read()

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Context managers for capturing C-level output:: from wurlitzer import pipes
with pipes() as (stdout, stderr): call_c_function() out stdout.read() err
stderr.read()

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files wurlitzer

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
