Name:           python-x2go
Version:        0.6.1.3
Release:        %mkrel 6
Summary:        A client-side X2go API for the Python programming language
License:        GPLv3
Group:          Development/Python
Url:            https://www.x2go.org/
Source0:        https://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
Python X2Go provides a client-side X2go API for the Python programming
language.

Python X2go is mostly interesting for developers who want to incorporate X2go
client support into their own Python applications.

Python X2Go forms the core (heart) of the X2Go client-side applications:
PyHoca-GUI and PyHoca-CLI.

%package -n python3-x2go
Summary:        A client-side X2go API for the Python programming language
%{?python_provide:%python_provide python3-x2go}
BuildRequires:  python3-devel

%description -n python3-x2go
Python X2Go provides a client-side X2go API for the Python programming
language.

Python X2go is mostly interesting for developers who want to incorporate X2go
client support into their own Python applications.

Python X2Go forms the core (heart) of the X2Go client-side applications:
PyHoca-GUI and PyHoca-CLI.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files x2go

%files -n python3-x2go -f %{pyproject_files}

