%global sum Python bindings for xapps

Name:           python-xapp
Version:        2.4.2
Release:        %mkrel 2
Summary:        %{sum}

License:        GPLv2
URL:            https://github.com/linuxmint/%{name}
Source0:        %url/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Group:          Development/Python

BuildRequires:  meson
BuildArch:      noarch

%description
%{sum}.

%package -n python3-xapp
Summary:       %{sum}
BuildRequires: pkgconfig(python3)
BuildRequires: python3dist(setuptools)
Requires:      python3dist(psutil)
Provides: python3dist(python-xapp) = %{version}-%{release}

%description -n python3-xapp
%{sum}.


%prep
%autosetup -p1 -n python3-xapp-%{version}

%build
%meson
%meson_build

%install
%meson_install

%files -n python3-xapp
%license COPYING
#doc README TODO AUTHORS
%{python3_sitelib}/xapp/

