%define srcname xattr

Summary:	Extended attributes for python
Name:		python-xattr
Version:	0.10.1
Release:	%mkrel 3
License:	GPLv2
Group:		Development/Python
URL:		https://pypi.python.org/pypi/xattr
Source:		https://files.pythonhosted.org/packages/source/x/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0:		python3.8.patch
BuildRequires: pyproject-rpm-macros
BuildRequires:	libattr-devel
BuildRequires:	pkgconfig(libffi)

%description
python-xattr is a C extension module for Python which implements
extended attributes manipulation. It is a wrapper on top of the
attr C library - see attr(5).

%package -n python3-xattr
Summary:	Extended attributes for Python 3
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(cffi)
BuildRequires:	python3dist(ply)
BuildRequires:	python3dist(pycparser)
%{?python_provide:%python_provide python3-%{srcname}}
Requires:	python3-pkg-resources

%description -n python3-xattr
python-xattr is a C extension module for Python 3 which implements
extended attributes manipulation. It is a wrapper on top of the
attr C library - see attr(5).

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files xattr

%files -n python3-xattr -f %{pyproject_files}
%{_bindir}/xattr
