Name:           python-xlib
Version:        0.33
Release:        %mkrel 2
Summary:        X client library for Python
Group:          Development/Python
License:        LGPLv2+
URL:            https://github.com/python-xlib/python-xlib
Source0:        https://github.com/%{name}/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)

%description
The Python X Library is a complete X11R6 client-side implementation, written in
pure Python. It can be used to write low-levelish X Windows client applications
in Python.

%package -n python3-xlib
Summary:        X client library for Python 3
%{?python_provide:%python_provide python3-xlib}

%description -n python3-xlib
The Python X Library is a complete X11R6 client-side implementation, written in
pure Python. It can be used to write low-levelish X Windows client applications
in Python 3.

%package doc
Summary:        Documentation and examples for python-xlib
Group:          Documentation

%description doc
Install this package if you want the developers' documentation and examples
that tell you how to program with python-xlib.

%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files Xlib

chmod a-x examples/*.py

%files -n python3-xlib -f %{pyproject_files}
%license LICENSE
%doc README.rst TODO

%files doc
%license LICENSE
%doc examples
