%global pypi_name xlrd

Name:           python-xlrd
Version:        2.0.1
Release:        %mkrel 6
Group:          Development/Python
Summary:        Library for developers to extract data from Microsoft Excel (tm) spreadsheet files
License:        BSD
Url:            https://www.python-excel.org/
Source0:        https://pypi.python.org/packages/source/x/xlrd/xlrd-%{version}.tar.gz
BuildArch:      noarch

%description
Extract data from Excel spreadsheets (.xls and .xlsx, versions 2.0 onwards) on
any platform. Pure Python (2.6, 2.7, 3.2+). Strong support for Excel dates.
Unicode-aware.

%package -n     python3-%{pypi_name}
Summary:        Library for developers to extract data from Microsoft Excel (tm) spreadsheet files
BuildRequires:  python3-devel
BuildRequires:  python3dist(tox)


%description -n python3-%{pypi_name}
Extract data from Excel spreadsheets (.xls and .xlsx, versions 2.0 onwards) on
any platform. Pure Python (2.6, 2.7, 3.2+). Strong support for Excel dates.
Unicode-aware.

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files xlrd
mv %{buildroot}%{_bindir}/runxlrd.py %{buildroot}/%{_bindir}/runxlrd-python3

%check
%tox
# {_bindir}/nosetests-%{python3_version}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/runxlrd-python3
