# Created by pyp2rpm-1.0.1
%global pypi_name xlwt

Name:           python-xlwt
Version:        1.3.0
Release:        %mkrel 5
Group:          Development/Python
Summary:        Library to create spreadsheet files compatible with MS Excel 97/2000/XP/2003 XLS files, on any platform, with Python 2.3 to 2.7

License:        BSD
Source0:        https://pypi.io/packages/source/x/xlwt/xlwt-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
xlwt is a library for generating spreadsheet files that are compatible
with Excel 97/2000/XP/2003, OpenOffice.org Calc, and Gnumeric. xlwt
has full support for Unicode. Excel spreadsheets can be generated on
any platform without needing Excel or a COM server. The only
requirement is Python 2.3 to 2.7.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
xlwt is a library for generating spreadsheet files that are compatible
with Excel 97/2000/XP/2003, OpenOffice.org Calc, and Gnumeric. xlwt
has full support for Unicode. Excel spreadsheets can be generated on
any platform without needing Excel or a COM server. The only
requirement is Python 2.3 to 2.7.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files xlwt

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


