%global pypi_name xstatic
%global srcname XStatic

Name:           python-%{pypi_name}
Version:        1.0.3
Release:        %mkrel 2
Summary:        XStatic base package with minimal support code
Group:          Development/Python
License:        MIT
URL:            https://bitbucket.org/thomaswaldmann/xstatic
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
The goal of XStatic family of packages is to provide static file packages with
minimal overhead - without selling you some dependencies you don't want.

XStatic has some minimal support code for working with the XStatic-* packages.

%package -n python3-%{pypi_name}
Summary:       XStatic base package with minimal support code
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:     python3-XStatic < 1.0.3

%description -n python3-%{pypi_name}
The goal of XStatic family of packages is to provide static file packages with
minimal overhead - without selling you some dependencies you don't want.

XStatic has some minimal support code for working with the XStatic-* packages.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

rm -rf %{buildroot}%{python3_sitelib}/XStatic-%{version}-py%{python3_version}-nspkg.pth

mkdir %{buildroot}/%{python3_sitelib}/xstatic/pkg

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.txt
