%global pypi_name yarl

# Checks are currently failing and disabled for now
%bcond_with

Name:           python-%{pypi_name}
Version:        1.18.3
Release:        %mkrel 1
Summary:        Python module to handle URLs
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/yarl/
Source0:        %{pypi_source}
BuildRequires:  gcc
BuildRequires:  python3-cython
BuildRequires:  python3-devel

%description
The module provides handy URL class for url parsing and changing.

%package -n python3-%{pypi_name}
Summary:        Python 3 module to handle URLs

%description -n python3-%{pypi_name}
The module provides handy URL class for url parsing and changing.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

sed -i -e '/Cython/s/~=/>=/' packaging/pep517_backend/_backend.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files yarl

%if %{with check}
%check
pushd tests
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version}
popd
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGES.rst README.rst
%license LICENSE
