%global pypi_name yattag
%global pypi_version %{version}

Name:           python-yattag
Version:        1.16.1
Release:        %mkrel 2
Summary:        Generate HTML or XML in a pythonic way
License:        LGPLv2.1
Group:          Development/Python
URL:            https://www.yattag.org
Source:         %{pypi_source yattag}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Pure python alternative to web template engines.
Can fill HTML forms with default values and error messages.

%package -n     python3-yattag
Summary:        %{summary}

%description -n python3-yattag
Pure python alternative to web template engines.
Can fill HTML forms with default values and error messages.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pyproject_check_import

%files -n python3-yattag -f %{pyproject_files}
%doc README.rst
%license license/COPYING license/lgpl-2.1.txt
