%global pypi_name ytmusicapi

Name:           python-ytmusicapi
Version:        1.10.2
Release:        %mkrel 1
Summary:        Unofficial API for YouTube Music
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/ytmusicapi/
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel

%description
Python library to send requests to the YouTube Music API. It emulates YouTube
Music web client requests using the user’s cookie data for authentication.

%package -n     python3-ytmusicapi
Summary:        Unofficial API for YouTube Music
%{?python_provide:%python_provide python3-ytmusicapi}

%description -n python3-ytmusicapi
Python3 library to send requests to the YouTube Music API. It emulates YouTube
Music web client requests using the user’s cookie data for authentication.

%prep
%autosetup -p1 -n ytmusicapi-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ytmusicapi

%check
%pyproject_check_import

%files -n python3-ytmusicapi -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/ytmusicapi
