%define upstream_name yuicompressor

Name:           python-%{upstream_name}
Version:        2.4.8
Release:        %mkrel 9
Summary:        YUI Compressor packaged for Python
Group:          Development/Python
License:        BSD
URL:            https://github.com/jorgesumle/yuicompressor
Source0:        https://github.com/jorgesumle/yuicompressor/archive/refs/tags/yuicompressor-%{version}.tar.gz
BuildArch:      noarch

%description
YUI Compressor is a JavaScript and CSS minifier written in Java. This package
bundles the YUI Compressor JAR file to ease its use in Python projects. Note
that you still need to have Java Runtime Environment installed.

%package -n     python3-%{upstream_name}
Summary:        YUI Compressor packaged for Python
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
Requires:       jre-headless

%description -n python3-%{upstream_name}
YUI Compressor is a JavaScript and CSS minifier written in Java. This package
bundles the YUI Compressor JAR file to ease its use in Python projects. Note
that you still need to have Java Runtime Environment installed.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%py3_build

%install
%{__python3} setup.py install --single-version-externally-managed --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/yuicompressor %{buildroot}%{_bindir}/yuicompressor3

%files -n python3-%{upstream_name}
%doc README CHANGES
%license LICENSE
%{_bindir}/yuicompressor3
%{python3_sitelib}/yuicompressor
%{python3_sitelib}/yuicompressor-%{version}-*.egg-info
