# Created by pyp2rpm-3.3.5
%global pypi_name zict

Name:           python-%{pypi_name}
Version:        3.0.0
Release:        %mkrel 3
Summary:        Mutable mapping tools
Group:          Development/Python
License:        BSD
URL:            https://zict.readthedocs.io/en/latest/
Source0:        https://files.pythonhosted.org/packages/source/z/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(heapdict)
BuildRequires:  python3dist(setuptools)

%description
Mutable Mapping tools.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(heapdict)
%description -n python3-%{pypi_name}
Mutable Mapping tools.


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst

