%define pypi_name zope-deprecation
%define srcname zope_deprecation

Name:           python-%{pypi_name}
Version:        5.1
Release:        %mkrel 1
Summary:        Zope Deprecation Infrastructure
Group:          Development/Python
License:        ZPL
URL:            https://pypi.org/project/zope-deprecation/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
This package provides a simple function called deprecated(names, reason) to
mark deprecated modules, classes, functions, methods and properties.

%package -n     python3-%{pypi_name}
Summary:        Zope Deprecation Infrastructure
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python3-%{srcname} < 5.0

%description -n python3-%{pypi_name}
This package provides a simple function called deprecated(names, reason) to
mark deprecated modules, classes, functions, methods and properties.

%prep
%autosetup -p1 -n %{srcname}-%{version}

sed -i -e '/setuptools/s/<=/>=/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files zope

# not needed
rm -rf %{buildroot}%{python3_sitelib}/*-nspkg.pth

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt COPYRIGHT.txt
%doc README.rst
