# Created by pyp2rpm-3.3.2
%global pypi_name zope-testing
%global srcname zope_testing

Name:           python-%{pypi_name}
Version:        5.1
Release:        %mkrel 1
Summary:        Zope testing helpers
Group:          Development/Python
License:        ZPL 2.1
URL:            https://github.com/zopefoundation/zope.testing
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
This package provides a number of testing frameworks.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This package provides a number of testing frameworks.

%prep
%autosetup -p1 -n %{srcname}-%{version}

sed -i -e '/setuptools/s/<=/>=/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files zope

# we don't need these
find %{buildroot} -name "*.pth" -delete

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
