%define origname PythonMagick

Name:		pythonmagick
Version:	0.9.19
Release:	%mkrel 12
Summary:	Python interface to ImageMagick
Group:		Graphics/Utilities
License:	ImageMagick
Url:		https://www.imagemagick.org/script/index.php
Source0:	https://www.imagemagick.org/download/python/%{origname}-%{version}.tar.xz
BuildRequires:	python3-numpy-devel
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(Magick++)
BuildRequires:	libtool
BuildRequires:	pkgconfig(xt)
BuildRequires:	boost-devel

%description
PythonMagick is an object-oriented Python interface to ImageMagick.

%prep
%setup -q -n %{origname}-%{version}
%autopatch -p1

%build
export PYTHON=%{__python3}
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files
%doc ChangeLog README
%license LICENSE
%{python3_sitearch}/%{origname}
