Summary:	The QA Repo tool
Name:		qarepo
Version:	1.7
Release:	%mkrel 1
Source0:	%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		System/Packaging
Url:		https://wiki.mageia.org/en/QA_Repo
BuildArch:	noarch
BuildRequires:	intltool
Requires:	aria2
Requires:	genhdlist2
Requires:	polkit
Requires:	rsync
Requires:	urpmi

%description
This tool allows a tester to create a local repository containing only
the packages needed to test and validate a particular update request.

%define debug_package %{nil}

%prep
%setup -q

%build
%make_build

%install
%make_install

%find_lang %{name}

%post
if [ $1 -eq 1 ] ; then
    /usr/sbin/groupadd --force --system qarepo
fi

%preun
if [ $1 -eq 0 ] ; then
    /usr/sbin/groupdel qarepo
fi

%files -f %{name}.lang
%{_bindir}/qarepo
%{_libexecdir}/qarepo-helper
%{_datadir}/applications/qarepo.desktop
%{_datadir}/polkit-1/actions/org.mageia.qarepo-helper.policy
%{_datadir}/polkit-1/rules.d/org.mageia.qarepo-helper.rules
