Name:		qeven
Version:	0.3.2
Release:	%mkrel 9
Summary:	Video Converter
Group:		Video/Editors and Converters
License:	GPLv3
URL:		http://qeven.wordpress.com/
Source0:	https://sourceforge.net/projects/qeven/files/%{name}/%{name}_%{version}/%{name}_%{version}.tar.bz2
BuildRequires:	qt4-devel
Requires:	mplayer
Requires:	mencoder

%description
Qt Easy Video Encoder (QEVEN) allows you to encode your media 
in several video format including (VCD, SVCD, DVD, DIVX, XVID, FLV).


%prep
%setup -qn %{name}_%{version}

%build
%qmake_qt4 QEVEN.pro
%make_build

%install
%__mkdir_p %{buildroot}/%{_bindir}
%__mkdir_p %{buildroot}/%{_datadir}/pixmaps
%__mkdir_p %{buildroot}/%{_datadir}/%{name}/translation

cp QEVEN %{buildroot}%{_bindir}/%{name}
cp -rp translation %{buildroot}%{_datadir}/%{name}/
cp Image/qeven*64x64*.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
%__mkdir_p %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Qeven
GenericName=QT Easy Video Encoder
Comment=Video Encoder
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Qt;AudioVideo;AudioVideoEditing;
EOF

%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
