Name:		qiv
Version:	3.0.1
Release:	%mkrel 1
Summary:	Gdk/imlib image viewer
License:	GPLv2+
Group:		Graphics/Viewers
Url:		https://spiegl.de/qiv/
Source0:	https://spiegl.de/qiv/download/%{name}-%{version}.tgz
Patch0:		qiv-3.0.1-optflags.patch
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	libmagic-devel
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libexif)

%description
qiv is a fast image viewer for X based on gdk and imlib.

%prep
%autosetup -p1

# use our ldflags
sed -i -e 's:$(CC) $(CFLAGS):$(CC) $(LDFLAGS) $(CFLAGS):' Makefile

%build
%make_build LDFLAGS="%{ldflags}"

%install
%make_install PREFIX=%{buildroot}%{_prefix}

cp contrib/%{name}-command.example %{buildroot}%{_bindir}/%{name}-command

%files
%doc README Changelog
%license README.COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}-command
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*
