Name:           qjoypad
Version:        4.3.1
Release:        %mkrel 4
Summary:        Emulate keyboard or mouse actions with a joystick
Group:          System/Kernel and hardware
License:        GPLv2
URL:            https://qjoypad.sourceforge.net/
# Fork by a new maintainer
Source0:        https://github.com/panzi/qjoypad/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xtst)

%description
QJoyPad converts input from a gamepad or joystick into key-presses or mouse
actions, letting you control any X program with your game controller.
It comes with a convenient and easy-to-use interface.

%prep
%autosetup -p1

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

%files
%doc LICENSE.txt README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
