%define commit 3a85439726d1ac4d082308feba45f23859ba71e0

Name:           qml-box2d
Version:        0.1
Release:        %mkrel -c git20240415 1
Summary:        QML Box2D plugin
License:        zlib
Group:          Development/KDE and Qt
Url:            https://github.com/qml-box2d/qml-box2d
Source:         https://github.com/%{name}/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz

# Current version incompatible with box2d 2.4+.
#BuildRequires:  pkgconfig(box2d)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  qt6-qtdeclarative
BuildRequires:  qt6-qttools
BuildRequires:  cmake

Requires:       qt6-qtdeclarative

Provides:       bundled(box2d) == 2.3.2

%description
This plugin is meant to be installed to your Qt/imports directory, or shipped
in a directory of which the parent is added as import path.

The goal is to expose the functionality of Box2D as QML components, in order
to make it easy to write physics based games in QML.


%files
%license COPYING
%doc README.md
%{_qt6_qmldir}/Box2D/

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{commit}

#rm -rf Box2D

%build
%cmake_qt6 \
  -DUSE_QT6=ON \
  -DUSE_SYSTEM_BOX2D=OFF \
  -DCMAKE_INSTALL_LIBDIR=%{_qt6_qmldir}

%cmake_build

%install
%cmake_install
