Name:		qnetstatview
Version:	1.5.8
Release:	%mkrel 1
Summary:	Shows detailed listings of all TCP and UDP endpoints
Group:		Networking/Other
License:	GPLv3+
URL:		http://dansoft.krasnokamensk.ru/more.html?id=1016
Source0:	https://bitbucket.org/admsasha/qnetstatview/downloads/%{name}-%{version}.tar.gz

BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Network)

Requires:	polkit

%description
Shows detailed listings of all TCP and UDP endpoints.

%prep
%setup -q

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/apps/qnetstatview.png
%{_datadir}/polkit-1/actions/org.pkexec.%{name}.policy
