#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define kf6_version_min 5.240

%define rel 1

Name:           qqc2-breeze-style
Version: 6.3.4
Release:        %mkrel %{rel}
Summary:        QtQuickControls2 breeze style
Group:          Graphical desktop/KDE
License:        GPLv2+ and LGPLv2+
URL:            https://invent.kde.org/plasma/qqc2-breeze-style
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

## upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6QuickTemplates2)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6GuiAddons) >= %{kf6_version_min}
BuildRequires:  cmake(KF6Config) >= %{kf6_version_min}
BuildRequires:  cmake(KF6KirigamiPlatform) >= %{kf6_version_min}
BuildRequires:  cmake(KF6CoreAddons) >= %{kf6_version_min}
BuildRequires:  cmake(KF6ColorScheme) >= %{kf6_version_min}
BuildRequires:  cmake(KF6QuickCharts) >= %{kf6_version_min}
BuildRequires:  cmake(KF6IconThemes) >= %{kf6_version_min}

Requires:       kirigami >= %{kf6_version_min}


%description
This is a pure Qt Quick/Kirigami Qt Quick Controls style.

%files
%doc README.md
%license LICENSES/*.txt
%{_kf6_qmldir}/org/kde/breeze/libBreezeStyle.so
%{_kf6_plugindir}/kirigami/platform/org.kde.breeze.so
%{_kf6_qmldir}/org/kde/breeze/
%{_kf6_libdir}/cmake/QQC2BreezeStyle/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
