#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define rel 1

Name:          qqc2-desktop-style
Summary:       Qt Quick Controls 2: Desktop Style
Version: 6.13.0
Release:       %mkrel %{rel}
Group:         Graphical desktop/KDE
License:       GPLv2
URL:           https://kde.org
Source0:       https://download.kde.org/stable/frameworks/%{url_ver}/%name-%{version}.tar.xz

BuildRequires: kf6-rpm-macros

BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Quick)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6QuickControls2)
BuildRequires: cmake(Qt6LinguistTools)
BuildRequires: cmake(Qt6Xml)

BuildRequires: cmake(KF6Config)
BuildRequires: cmake(KF6KirigamiPlatform) >= %version

BuildRequires: cmake(KF6IconThemes) >= %version
BuildRequires: cmake(KF6ColorScheme) >= %version

Requires:      kirigami
Requires:      sonnet

%description
Qt Quick Controls 2: Desktop Style.

%files -f qqc2desktopstyle_qt.lang
%_kf6_plugindir/kirigami/platform/org.kde.desktop.so
%_kf6_qmldir/org/kde/desktop/*
%_kf6_qmldir/org/kde/qqc2desktopstyle/

#--------------------------------------------------------------------

%define kf6qqc2deskopstyle_devel %mklibname kf6qqc2deskopstyle -d

%package -n %kf6qqc2deskopstyle_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6qqc2deskopstyle_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6qqc2deskopstyle_devel
%_kf6_libdir/cmake/KF6QQC2DesktopStyle/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%find_lang_kf6 qqc2desktopstyle_qt
