# qt-jdenticon for nheko
%global __provides_exclude_from ^%{_qt6_plugindir}/.*\\.so$

Name:           qt-jdenticon
Version:        0.3.1
Release:        %mkrel 1
Summary:        Jdenticon Qt6 plugin
License:        MIT
Group:          Development/C++
URL:            https://nheko.im/nheko-reborn/qt-jdenticon
Source0:        %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.gz
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)


%description
Special Qt6/C++17 port of Jdenticon distributed as a Qt plugin.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE
%{_qt6_plugindir}/libqtjdenticon.so
