%define rel 1

Name:           qt6-rpm-macros
Version:        6.8.3
Release:        %mkrel %{rel}
Summary:        Base install macros for Qt 6
Group:          Development/KDE and Qt
License:        GPLv2
URL:            https://www.mageia.org
Source0:        macros.qt6
Source1:        macros.qmake
BuildArch:      noarch
Provides:       qt6-macros = %{version}-%{release}
Requires:       cmake
Requires:       ninja
Requires:       mageia-release

# Needed to build HTML docs
Requires:       libxml2-utils
Requires:       docbook-dtds
Requires:       docbook-style-xsl

%description
Base install macros for QT 6.

%files
%{_rpmmacrodir}/macros.qt6
%{_rpmmacrodir}/macros.qmake

%prep
#nothing

%build
#nothing

%install
install -D -p -m 0644 %{SOURCE0} %{buildroot}%{_rpmmacrodir}/macros.qt6
install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_rpmmacrodir}/macros.qmake

sed -e 's,VERSION,%{version},g' -i %{buildroot}%{_rpmmacrodir}/macros.qt6
