%define major		1
%define libname		%mklibname dbusextended-qt5_ %{major}
%define develname	%mklibname dbusextended-qt5 -d

Name:		qtdbusextended
Summary:	Extended DBus for Qt
Version:	0.0.3
Release:	%mkrel 6
License:	LGPLv2+
Group:		Development/KDE and Qt
URL:		https://github.com/nemomobile/qtdbusextended
Source0:	https://github.com/nemomobile/qtdbusextended/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)

%description
Extended DBus for Qt.

#------------------------------------------------

%package -n	%{libname}
Summary:	Extended DBus for Qt
Group:		System/Libraries

%description -n	%{libname}
Extended DBus for Qt.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	dbusextended-qt5-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%setup -q

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files -n %{libname}
%{_qt5_libdir}/libdbusextended-qt5.so.%{major}{,.*}

%files -n %{develname}
%{_qt5_includedir}/DBusExtended/
%{_qt5_libdir}/pkgconfig/*.pc
%{_qt5_libdir}/libdbusextended-qt5.so
%{_qt5_archdatadir}/mkspecs/features/*.prf
