Name:           qtilitools
Version:        0.1.2
Release:        %mkrel 1
Summary:        Scripts/commands used in the Qtilities organization
License:        BSD-3-Clause
Group:          Development/Other
Url:            https://github.com/qtilities/qtilitools
Source0:        https://github.com/qtilities/qtilitools/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  cmake

%description
Scripts/commands used in the Qtilities organization.

%prep
%autosetup -p1

sed -i 's|VERSION 0.1.1|VERSION %{version}|' CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license COPYING
%{_bindir}/qtls-translate
%{_datadir}/cmake/%{name}/
