%define rel 10
%define oname QTweetLib

Name:           qtweetlib
Summary:        C++ Qt based Twitter library
License:        LGPLv2
Version:        0.5
Release:        %mkrel %rel
Source0:	https://github.com/downloads/minimoog/QTweetLib/QTweetLib-%{version}.tar.gz
Url:           https://github.com/minimoog/QTweetLib
Group:         System/Libraries
BuildRequires:  cmake
BuildRequires:  pkgconfig(QtCore) < 5.0.0
BuildRequires:  pkgconfig(QtGui) < 5.0.0
BuildRequires:  pkgconfig(QtNetwork) < 5.0.0
BuildRequires:  pkgconfig(QJson)


%description
C++ Qt based Twitter library.

#------------------------------------------------------------------------------

%define major 1
%define libname  %mklibname qtweetlib %{major}

%package -n     %{libname}
Summary:        C++ Qt based Twitter library
Group:		System/Libraries

%description -n %{libname}
C++ Qt based Twitter library.

This package provides the runtime library.

%files -n %{libname}
%{_libdir}/libQTweetLib.so.%{major}{,.*}

#------------------------------------------------------------------------------

%define develname  %mklibname qtweetlib -d

%package -n     %{develname}
Group:          Development/C
Summary:        C++ Qt based Twitter library
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
C++ Qt based Twitter library (devel package).
This package provides the header needs to build package against %name.

%files -n %{develname}
%{_libdir}/libQTweetLib.so
%{_includedir}/%{oname}/

#------------------------------------------------------------------------------

%prep
%setup -q -n %{oname}-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

