%define rel 1

Name:          qtxdg-tools
Version:       4.1.0
Release:       %mkrel %rel
Summary:       Library providing freedesktop.org specs implementations for Qt
License:       LGPLv2+
Group:         System/Libraries
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/qtxdg-tools/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: cmake(lxqt2-build-tools)
BuildRequires: ninja

BuildRequires: cmake(Qt6)
BuildRequires: cmake(qt6xdg)
BuildRequires: qtbase6-common-devel

%description
qtxdg-tools contains a CLI MIME tool, qtxdg-mat, for handling file associations
and opening files with their default applications.
It is maintained by the LXQt project and needed by LXQt Session, in order to be
used by xdg-utils. Yet it can be used independently from LXQt, too.

%files
%{_bindir}/qtxdg-mat
%dir %{_datadir}/cmake/qtxdg-tools
%{_datadir}/cmake/qtxdg-tools/qtxdg-tools-*.cmake


#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt6 -DBUILD_TESTS=off
%cmake_build

%install
%cmake_install

