%global __requires_exclude perl\\(Contents\\)

Name: quad-pres
Version: 0.30.0
Release: %mkrel 2
License: MIT
Group: Publishing
Source: https://www.shlomifish.org/quad-pres/quad-pres-%{version}.tar.xz
URL: https://www.shlomifish.org/quad-pres/
BuildArch: noarch
BuildRequires: cmake
BuildRequires: perl-devel
BuildRequires: perl(IO::All)
BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(Config::IniFiles)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Find::Object::Rule)
BuildRequires: perl(HTML::Links::Localize)
BuildRequires: perl(HTML::T5)
BuildRequires: perl(HTML::Widgets::NavMenu::EscapeHtml)
BuildRequires: perl(IO::All)
BuildRequires: perl(MooX)
BuildRequires: perl(MooX::late)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(QuadPres)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Text::VimColor)
BuildRequires: perl(Template)
BuildRequires: perl(Test::Trap)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(YAML::XS)
BuildRequires: rsync
BuildRequires: wml >= 2.20.1-2
Requires: perl
Requires: wml
Provides: quadp = %{version}-%{release}
Summary: A Presentation Preparation System

%description
Quad-Pres is a system for preparing HTML presentations. It is based on Website
Meta Language and Perl 5.

%prep
%setup -q

%build
%cmake
%cmake_build

%install
%cmake_install

%check
rm -f t/style-trailing-space.t
rm -f t/tidyall.t
cd build && perl ../run_test.pl

%files
%doc AUTHORS ChangeLog COPYING README.md TODO
%_bindir/quadp
%_datadir/quad-pres/
