# from commit: ee9a1eee9dc810b33b931601203051d841bc3e7a
%define snap	git20190821

%define rel	3

Name:		qxkb
Version: 	0.5.1
Release: 	%mkrel -c %{snap} %{rel}
Summary:	Qt keyboard layout switcher
License:	GPLv2
Group:		System/X11
Url:		https://github.com/disels/qxkb/
#Source0:	https://github.com/disels/qxkb/archive/qxkb-%%{version}/%%{name}-%%{version}.tar.gz
Source0:	%{name}-%{version}-%{snap}.tar.xz
BuildRequires:	cmake
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(xkbfile)

%description
The keypad switch written on Qt5.
Uses setxkbmap; The interface repeats kxkb;
Can use svg icon for indicate language layer.

%prep
%setup -q

%build
%cmake_qt5 -Wno-dev
%cmake_build

%install
%cmake_install

%files
%doc NEWS README
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
