Name:    rage
Version: 0.4.0
Release: %mkrel 1
Summary: A video player based on the Enlightenment Foundation Library
License: BSD

Group:   Graphical desktop/Enlightenment
Source:  https://download.enlightenment.org/rel/apps/rage/%{name}-%{version}.tar.xz
URL:     https://www.enlightenment.org/

BuildRequires: pkgconfig(pkg-config)
BuildRequires: pkgconfig(efl)
BuildRequires: efl
BuildRequires: meson
BuildRequires: ninja

Requires: efl

%description
Rage is a video and audio player along the lines of Mplayer. It's
simple yet decent looking. It finds album art for you for music files,
generates thumbnails for videos so you can select log action by
thumbnail and more. It accepts file lists on the command line as well.


%prep
%setup -q

%build
%meson
%meson_build


%install
%meson_install

%files
%doc AUTHORS README
%license COPYING
%{_bindir}/%{name}
%{_libdir}/rage/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/128x128/apps/%{name}.png

