Name:		recoverjpeg
Version:	2.6.3
Release:	%mkrel 4
Summary:	Recover JPEG pictures and MOV movies from damaged devices
Group:		Graphics/Utilities
License:	GPLv2
URL:		https://rfc1149.net/devel/recoverjpeg.html
#https://github.com/samueltardieu/recoverjpeg/archive/v%%{version}.tar.gz
Source0:	https://rfc1149.net/download/%{name}/%{name}-%{version}.tar.gz
Requires:	imagemagick

%description
This tool tries to recover JFIF (JPEG) pictures and MOV movies (using
recovermov) from a peripheral. This may be useful if you mistakenly overwrite
a partition or if a device such as a digital camera memory card is bogus.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

# python-shebangs
%py3_shebang_fix %{buildroot}%{_bindir}/remove-duplicates

%files
%license COPYING
%{_bindir}/%{name}
%{_bindir}/recovermov
%{_bindir}/remove-duplicates
%{_bindir}/sort-pictures
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/sort-pictures.1*
%{_mandir}/man1/recovermov.1*
%{_mandir}/man1/remove-duplicates.1*
