Name:		regionset
Summary:	Reads/sets the region code of DVD drives
Version:	0.2
Release:	%mkrel 5
Group:		System/Kernel and hardware
License:	GPLv2
Url:		http://linvdr.org/projects/regionset/
Source:		http://linvdr.org/download/regionset/%{name}-%{version}.tar.gz
Patch0:		regionset-0.2-flags.patch

%description
Regionset will display the current RPC (Regional Playback Control) region code
of a drive, how often it has been changed and how many changes are left.
If there are any changes left, it will offer to change the code.
Beware, always be very very careful changing the region code, it could be your
last try before you're forced to buy a new drive or play foreign DVDs forever.
See: /usr/share/doc/regionset/README for more information.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build

%install
install -d -m755 %{buildroot}%{_sbindir}
install -p -m755 %{name} %{buildroot}%{_sbindir}

%files
%doc README
%{_sbindir}/%{name}
