Name:           rendercheck
Version:        1.6
Release:        %mkrel 1
Summary:        Test a Render extension implementation
License:        MIT
Group:          Development/X11
Url:            https://xorg.freedesktop.org/
Source:         https://xorg.freedesktop.org/releases/individual/test/%{name}-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xrender)

%description
rendercheck is a program to test a Render extension implementation against
separate calculations of expected output.

%prep
%setup -q

%build
%meson

%meson_build

%install
%meson_install

%files
%doc AUTHORS NEWS README
%license COPYING
%{_bindir}/rendercheck
%{_mandir}/man1/rendercheck.*
