Name:		repoctl
Version:	0.1
Release:	%mkrel 9
Summary:	Repository control tool
URL:		https://wiki.mageia.org/en/Repoctl
License:	CC0
Source:		%{name}-%{version}.tar.xz
Group:		Text tools
BuildArch:	noarch
Requires:	inotify-tools
%description
repoctl is a tool to manage a Mageia distribution repository. This can
be used to remove or move packages between repositories, update hdlists,
etc ...

%prep
%setup -q

%build

%install
%make_install

%files
%doc COPYING
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_datadir}/%{name}/functions
