Name:           reptyr
Version:        0.10.0
Release:        %mkrel 1
Summary:        Attach a running process to a new terminal
Group:          System/Base
License:        MIT
URL:            https://github.com/nelhage/reptyr
Source0:        https://github.com/nelhage/reptyr/archive/%{name}-%{version}.tar.gz

ExclusiveArch:  %{ix86} x86_64 %{arm} aarch64

BuildRequires:  bash-completion

%description
reptyr is a utility for taking an existing running program and
attaching it to a new terminal.  Started a long-running process over
ssh, but have to leave and don't want to interrupt it?  Just start a
screen, use reptyr to grab it, and then kill the ssh session and head
on home.


%prep
%setup -q -n %{name}-%{name}-%{version}
%autopatch -p1

%build
%set_build_flags
%make_build

%install
%make_install PREFIX="%{_prefix}"

%find_lang %{name} --with-man

%files -f %{name}.lang
%doc ChangeLog NOTES README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/%{name}
%{_mandir}/man1/%{name}.1*
