Summary:        Random number generator related utilities
Name:           rng-utils
Version:        5
Release:        %mkrel 4
Group:          System/Kernel and hardware
License:        GPL
Source0:        https://git.kernel.org/pub/scm/utils/kernel/rng-tools/rng-tools.git/snapshot/rng-tools-%{version}.tar.gz
# 2.6.x's device name
Patch1:         rng-tools-2-devname.patch


%description
Hardware random number generation tools.

%prep
%setup -q -n rng-tools-%version
#autopatch -p1

%build
autoreconf -vfi
%configure --sbindir=/sbin
%make_build

%install
mkdir -p %{buildroot}{%_sbindir,%_mandir/man{1,8},%_sysconfdir,%_initrddir}
%make_install
chmod -R a-s %{buildroot}

%files
/usr/bin/rngtest
/sbin/rngd
%_mandir/man1/rngtest.1.*
%_mandir/man8/rngd.8.*
