
Name:           route-rnd
Version:        0.9.3
Release:        %mkrel 1
Summary:        A modular router that offers different routing algorithms
License:        GPLv2+ and LGPLv2+ and BSD and MIT
Group:          Sciences/Other
URL:            http://repo.hu/projects/route-rnd
Source0:        http://repo.hu/projects/%{name}/releases/%{name}-%{version}.tar.gz

Recommends:     pcb-rnd
Recommends:     sch-rnd

%description
route-rnd is a free/open source, flexible, modular autorouter
for Printed Circuit Boards, using the extremely simple and freely
available tEDAx file format.

It is part of the RiNgDove suite and works smoothly from pcb-rnd.

%prep
%autosetup -p1

sed -i 's:/usr/local:/usr:' Makefile.conf.in

%build
./configure

make

%install
%make_install

%files
%{_bindir}/route-rnd
%{_docdir}/*
%{_mandir}/man1/route-rnd.1.*

