Name:       rpm-helper
Version:    0.24.22
Release:    %mkrel 1
Summary:    Helper scripts for rpm scriptlets
License:    GPL
Group:      System/Packaging
URL:        https://gitweb.mageia.org/software/rpm/rpm-helper/
Source0:    %{name}-%{version}.tar.xz
Requires:   grep
Requires(pre): shadow-utils
Requires:   shadow-utils
Requires:   chkconfig
Requires:   coreutils
# for addgroup which uses xargs
Requires:   findutils
# for /etc/passwd and /etc/group
Requires:   setup
# for /bin/systemctl
Requires:   systemd-units
# for add-service usage of /bin/mountpoint
Requires:   util-linux >= 2.24-1
Conflicts:  chkconfig < 1.3.4-10
BuildArch:  noarch

%description
Helper scripts for rpm installation.

%prep
%setup -q

%install
%make_install

%check
%__make test

%files
%doc README NEWS AUTHORS
%{_datadir}/%{name}
%{_rpmmacrodir}/macros.%{name}
%{_localstatedir}/lib/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/ssl
