#
# $Id$
#
%define perlvendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define srcname rpmbootstrap

Summary:	Tool similar to debootstrap for RPM based distributions
Summary(fr):	La cmde rpmbootstrap crée un chroot pour une distro RPM donnée

Name:		rpmbootstrap
Version:	0.16.1
Release:	%mkrel 2
License:	GPLv2
Group:		System/Packaging
Url:		http://trac.project-builder.org
Source:		ftp://ftp.project-builder.org/src/%{srcname}-%{version}.tar.gz
BuildArch:	noarch
Requires:	perl >= 5.8.4,perl-ProjectBuilder,perl-libwww-perl,wget

%description
It helps building a chrooted environment for RPM based distributions
in a similar way as debootstrap for deb based distributions.

%description -l fr
La commande rpmbootstrap crée un environnement chrooté pour la distribution
RPM concernée.
Il est similaire à debootstrap pour les distributions .deb

%prep
%setup -q

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor destdir=${RPM_BUILD_ROOT}/ 
make

%install
%make_install
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -o -name .packlist -o -name '*.bs' -a -size 0 | xargs rm -f
find ${RPM_BUILD_ROOT} -type d -depth | xargs rmdir --ignore-fail-on-non-empty

%check
make test

%files
%doc NEWS AUTHORS
%doc INSTALL COPYING README
%{_bindir}/*
%{_mandir}/man1/*
