%define camlzip_inc +zip

Summary:	A tool to check consistency of urpm repositories
Name:		rpmcheck
Version:	0.0.2368
Release:	%mkrel 23
License:	GPLv2
Group:		System/Packaging
# The website has gone, but is archived by the Wayback Machine.
URL:		http://www.edos-project.org/xwiki/bin/Main/Wp2
# There is no released version yet. Sources are from the svn depot at
# https://protactinium.pps.jussieu.fr:12345/svn/edos/users/vouillon
# which has also gone.
Source:		%name-%version.tar.bz2
Patch1:		0001-Handle-suggests.patch
Patch2:		0002-No-doc-conflict.patch
Patch3:		0003-Allow-uncompressed-hdlists.patch
# Mageia patches
Patch4:		0004-Fix-build-with-ocaml-4.10.0-which-no-longer-supports.patch
Patch5:		0005-Handle-packages-that-ghost-files-from-another-packag.patch
Patch6:		0006-Handle-tilde-character-in-package-versions.patch
Patch7:		0007-Replace-calls-to-deprecated-function-Format.bprintf.patch
Patch8:		0008-Handle-packages-that-conflict-with-themselves.patch
BuildRequires:	ocaml
BuildRequires:	ocaml-camlzip-devel

%description
rpmcheck is a tool to check consistency of Mandriva/Mageia Linux rpm
repositories (that is, of hdlist files.)

%prep
%setup -q
%autopatch

%build
%__make rpmcheck \
    COMPFLAGS="-I %{camlzip_inc}" \
    OPTLINKFLAGS="unix.cmxa str.cmxa zip.cmxa -I %{camlzip_inc}" \
    OPTCOMPFLAGS="-g"

%install
%__install -d %{buildroot}%{_bindir}
%__install -m 0755 rpmcheck %{buildroot}%{_bindir}

%files
%doc COPYING README
%{_bindir}/%{name}
