# When this package is updated, please notify sysadmin team (through
# bugzilla, email or IRC) so that the updated package is deployed on
# the build system
#
# If you are a sysadmin: submit the package to the infra repository,
# and install it on duvel

%define rpmlint_config %{_datadir}/rpmlint/config.d/

Name:           rpmlint-%{_real_vendor}-policy
Version:        0.2.31
Release:        %mkrel 3
Summary:        Rpmlint policy for %{_vendor}
Group:          System/Packaging
License:        GPLv2+
URL:            https://www.mageia.org/
Source0:        distribution.exceptions.conf
Source1:        distribution.error.conf
Source2:        distribution.error.list
BuildArch:      noarch
BuildRequires:  rpmlint >= 1.4-4
Requires:       rpmlint >= 1.4-4

%description
Official rpmlint policy for %{_vendor}, install this if you want to
produce rpm for %{_vendor}.


%prep
# nothing to do

%build
# nothing to do

%install
mkdir -p  %{buildroot}%{rpmlint_config}
cp -a %{SOURCE0} %{buildroot}%{rpmlint_config}/
cp -a %{SOURCE1} %{buildroot}%{rpmlint_config}/
cp -a %{SOURCE2} %{buildroot}%{rpmlint_config}/

%check
# prevent upload with a wrong config file
export PYTHONPATH=/usr/share/rpmlint
# this need some work, as this requires rpmlint-mageia-policy to be present to work fully
#python %{SOURCE1}
python %{SOURCE0}

%files
%rpmlint_config/*
