Summary:	Various RPM command-line tools
Name:		rpmtools
Version:	7.12
Release:	%mkrel 3
Source0:	%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		System/Packaging
BuildArch:	noarch
#URL:		http://svn.mageia.org/soft/rpm/rpmtools/
URL:		https://metacpan.org/release/MDK-Common
BuildRequires:	perl-devel
BuildRequires:	perl(MDV::Packdrakeng)
BuildRequires:	perl(MDV::Distribconf)
Requires:	perl-MDV-Distribconf > 3.00
Requires:	xz
Requires:	genhdlist2
Requires:	perl-URPM >= 5.00
Conflicts:	rpmtools-compat <= 2.0
Conflicts:	rpmtools-devel <= 2.0
Conflicts:	packdrake < 5.0.26

%description
Various tools needed by urpmi and drakxtools for handling rpm files.

%package -n	packdrake
Group:		%{group}
Summary:	A simple Archive Extractor/Builder
Conflicts:	rpmtools <= 5.0.25

%description -n	packdrake
Packdrake is a simple indexed archive builder and extractor using
standard compression methods.

%package -n	genhdlist2
Group:		%{group}
Summary:	Tool to generate urpmi metadata (media_info/*)
Conflicts:	rpmtools <= 5.4

%description -n	genhdlist2
genhdlist2 generates hdlist.cz, synthesis.hdlist.cz and *.xml.lzma files used
by urpmi

%prep
%setup -q

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%{_bindir}/dumpdistribconf
%{_bindir}/gendistrib
%{_mandir}/man1/dumpdistribconf*
%{_mandir}/man1/gendistrib*

%files -n packdrake
%{_bindir}/packdrake
%{perl_vendorlib}/packdrake.pm
%{perl_vendorlib}/rpmtools.pm
%{_mandir}/man1/packdrake*

%files -n genhdlist2
%{_bindir}/genhdlist2
%{_mandir}/man1/genhdlist2*
