Name:		rst2pdf
Version:	0.103.1
Release:	%mkrel 1

Summary:	Tool for transforming reStructuredText to PDF
License:	MIT
Group:		Publishing
URL:		https://rst2pdf.org/
#https://github.com/rst2pdf/rst2pdf/archive/%%{version}/%%{name}-%%{version}.tar.gz
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-setuptools-scm
BuildRequires:	python3-docutils

%description
The usual way of creating PDF files from reStructuredText is by going
through LaTeX. This tool provides an alternative by producing PDF
directly using the ReportLab library.

%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rst2pdf

rst2man doc/rst2pdf.rst doc/rst2pdf.1

mkdir -p %{buildroot}%{_mandir}/man1
install -p -m 644 doc/rst2pdf.1 %{buildroot}%{_mandir}/man1

%files -f %{pyproject_files}
%license LICENSE.txt
%doc *.rst
%{_bindir}/%{name}
%{_mandir}/man1/*
