%define module rtl8192se
%define version 0019.1207.2010
%define card Realtek RTL8191SE/RTL8192SE WiFi cards

%define distname rtl8192se_linux_2.6.%{version}

Summary: firmware for %{module} driver
Name: %{module}-firmware
Version: %{version}
Release: %mkrel 1
Source0: %{distname}-firmware.tar.xz
License: GPLv2
Group: System/Kernel and hardware
URL: http://www.realtek.com.tw
BuildArch: noarch

%description
This package contains the firmware for %{module} driver.

%prep
%setup -q -n %{distname}-firmware

# Fix permissions
find -type f -exec chmod 0644 {} \;

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
cp -a firmware/RTL8192SE %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
/lib/firmware/RTL8192SE

