Name:		rtl_433
Version:	25.02
Release:	%mkrel 1
Summary:	A generic data receiver
Group:		Communications/Radio
License:	GPLv2
Url:		https://github.com/merbanan/rtl_433
Source0:	https://github.com/merbanan/rtl_433/archive/%{version}/rtl_433-%{version}.tar.gz
Patch:		rtl_433-20.11_head-ref.patch

BuildRequires:	cmake
BuildRequires:	git
BuildRequires:	pkgconfig(librtlsdr)
BuildRequires:	pkgconfig(libusb-1.0)


%description
rtl_433 (despite the name) is a generic data receiver, mainly for
the 433.92 MHz, 868 MHz (SRD), 315 MHz, 345 MHz, and 915 MHz ISM bands.

%prep
%autosetup -p1

%build
%cmake \
	  -DCMAKE_INSTALL_PREFIX=/usr \
	  -DSYSCONF_INSTALL_DIR=/etc

%cmake_build

%install
%cmake_install

%files
%{_bindir}/rtl_433
%{_sysconfdir}/*/*.conf
%{_includedir}/*.h
%{_mandir}/man1/*
