%define oname   bluecloth

Name:       ruby-BlueCloth
Version:    2.2.0
Release:    %mkrel 26
Summary:    A Ruby implementation of Markdown
Group:      Development/Ruby
License:    GPLv2+
URL:        https://deveiate.org/projects/BlueCloth
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems 
BuildRequires: pkgconfig(ruby)

%description
BlueCloth is a Ruby implementation of Markdown, a text-to-HTML conversion
tool for web writers. Markdown allows you to write using an easy-to-read,
easy-to-write plain text format, then convert it to structurally valid XHTML
(or HTML).

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{gem_extdir_mri}/ext

sed -i '/^#!/d' %{buildroot}%{gem_instdir}/lib/bluecloth.rb

%files
%{gem_instdir}/
%{_bindir}/%{oname}
%{gem_spec}
%{gem_extdir_mri}

%files          doc
%doc %{gem_docdir}
%doc History.rdoc Manifest.txt README.rdoc
