%define oname   backports

Name:               ruby-%{oname}
Version:            3.25.1
Release:            %mkrel 1
Summary:            Backports of Ruby features for older Ruby
License:            MIT
Group:              Development/Ruby
URL:                https://github.com/marcandre/backports
Source0:            https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires:      rubygems
BuildArch:          noarch


%description
Essential backports that enable many of the nice features of Ruby 1.8.7 up to
2.1.0 for earlier versions.


%files
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:            Documentation for %{name}
Group:              Development/Ruby
BuildArch:	    noarch
Requires:           %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files              doc
%doc %{gem_docdir}



#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
