%define oname   beefcake

Name:       ruby-%{oname}
Version:    1.2.0
Release:    %mkrel 4
Summary:    A sane protobuf library for Ruby
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/protobuf-ruby/beefcake
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A sane protobuf library for Ruby.


%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/protoc-gen-beefcake
%{gem_instdir}
%{gem_spec}

%files          doc
%doc %{gem_docdir}


