%define oname   cairo-gobject
%global _disable_ld_no_undefined 1

Name:       ruby-%{oname}
Version:    4.2.9
Release:    %mkrel 1
Summary:    Ruby/CairoGObject is a Ruby binding of cairo-gobject
License:    LGPLv2.1
Group:      Development/Ruby
URL:        http://ruby-gnome2.sourceforge.jp/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: pkgconfig(cairo)
BuildRequires: ruby-cairo-devel
BuildRequires: ruby-glib2
BuildRequires: ruby-glib2-devel

%description
Ruby/CairoGObject is a Ruby binding of cairo-gobject.

%files
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}



#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
