%define oname   cairo

Name:       ruby-%{oname}
Version:    1.18.4
Release:    %mkrel 1
Summary:    Ruby bindings for cairo
Group:      Development/Ruby
License:    GPLv2
URL:        https://www.cairographics.org/rcairo
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     cairo-1.17.5-no-native-package-installer.patch
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: pkgconfig(cairo)
BuildRequires: rubygem(pkg-config)
BuildRequires: rubygem(test-unit)
BuildRequires: rubygem(rubyforge)
Provides:   rcairo = %{version}-%{release}

%description
Ruby bindings for cairo

%files
%{gem_spec}
%{gem_instdir}
%{gem_extdir_mri}
%exclude %{gem_extdir_mri}/*.h

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------
%package        devel
Summary:    Development files for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    devel
Development headers for %{name}

%files          devel
%{ruby_vendorarchdir}/*.h

#-------------------------------------------------------------------------------

%prep
%gem_setup

# Even if it worked, we do not want to auto install missing packages during build
%autopatch -p1
%gemspec_remove_dep -g native-package-installer

%build
%gem_build

%install
%gem_install -d
