%define oname   childprocess

Name:       ruby-%{oname}
Version:    5.1.0
Release:    %mkrel 2
Summary:    Cross-platform ruby library for managing child processes
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/jarib/childprocess
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-rake
BuildArch:  noarch

%description
This gem aims at being a simple and reliable solution for controlling
external programs running in the background on any Ruby / OS combination.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install
 
chmod 644 %{buildroot}%{gem_instdir}/lib/%{oname}/*/process.rb
rm -rf %{buildroot}%{gem_instdir}/.yardoc
rm -rf %{buildroot}%{gem_archdir}

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
