%define oname   columnize

Name:       ruby-%{oname}
Version:    0.9.0
Release:    %mkrel 4
Summary:    Module to format an array as an array of strings aligned in columns
Group:      Development/Ruby
License:    GPLv2+
URL:        http://rubyforge.org/projects/rocky-hacks/columnize
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-rake
BuildArch:  noarch

%description
In showing a long lists, sometimes one would prefer to see the value
arranged aligned in columns. Some examples include listing methods
of an object or debugger commands.

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup
sed -i -e "/require 'rake'/d"  %{gem_name}.gemspec

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{gem_instdir}/.yardoc

%files
%{gem_spec}
%{gem_instdir}
%doc README.md COPYING

%files          doc
%doc %{gem_docdir}
