%define oname   commonjs

Name:       ruby-%{oname}
Version:    0.2.7
Release:    %mkrel 4
Summary:    Provide access to your Ruby and Operating System runtime via the commonjs API
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/cowboyd/commonjs.rb
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Host CommonJS JavaScript environments in Ruby.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
