%define oname   cookiejar

Name:       ruby-%{oname}
Version:    0.3.4
Release:    %mkrel 1
Summary:    Client-side HTTP Cookie library
License:    MIT
Group:      Development/Ruby
URL:        https://alkaline-solutions.com/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Allows for parsing and returning cookies in Ruby HTTP client code.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
