%define oname   debugger-linecache

Name:       ruby-%{oname}
Version:    1.2.0
Release:    %mkrel 11
Summary:    Module for reading and caching lines
Group:      Development/Ruby
License:    MIT
URL:        https://nokogiri.org/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildArch:  noarch

%description
Linecache is a module for reading and caching lines. This may be useful for
example in a debugger where the same lines are shown many times.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc README.md CHANGELOG.md
