%define oname   docile

Name:       ruby-%{oname}
Version:    1.4.1
Release:    %mkrel 1
Summary:    Docile keeps your Ruby DSLs tame and well-behaved
License:    MIT
Group:      Development/Ruby
URL:        https://ms-ati.github.io/docile/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Docile turns any Ruby object into a DSL. Especially useful with the Builder
pattern.


%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files

%{gem_instdir}
%{gem_spec}

%files          doc

%doc %{gem_docdir}


