%define oname   em-socksify

Name:       ruby-%{oname}
Version:    0.3.3
Release:    %mkrel 1
Summary:    Adds SOCKS support to any protocol
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/igrigorik/em-socksify
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
EventMachine SOCKSify shim: adds SOCKS support to any protocol.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install
