%define oname   erubi

Name:       ruby-%{oname}
Version:    1.13.1
Release:    %mkrel 1
Summary:    Erubi is a ERB template engine for ruby. It is a simplified fork of Erubis
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/jeremyevans/erubi
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Erubi is a ERB template engine for ruby. 
It is a simplified fork of Erubis

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
