%define oname   faraday-net_http

Name:       ruby-%{oname}
Version:    3.4.0
Release:    %mkrel 1
Summary:    Faraday adapter for Net::HTTP
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/lostisland/faraday-net_http
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Faraday adapter for Net::HTTP.

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/lib
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
