%define oname   fastercsv

Name:       ruby-%{oname}
Version:    1.5.5
Release:    %mkrel 15
Summary:    FasterCSV is CSV, but faster, smaller, and cleaner
License:    GPLv2+ or Ruby License
Group:      Development/Ruby
URL:        http://fastercsv.rubyforge.org
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
FasterCSV is intended as a complete replacement to the CSV standard library.
It is significantly faster and smaller while still being pure Ruby code. It
also strives for a better interface.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc AUTHORS COPYING README INSTALL TODO CHANGELOG LICENSE
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

sed -i '/^#!/d' %{buildroot}%{gem_instdir}/lib/*.rb
