%define oname   fiddle

Name:       ruby-%{oname}
Version:    1.1.6
Release:    %mkrel 2
Summary:    A libffi wrapper for Ruby
License:    Ruby and BSD-2-Clause
Group:      Development/Ruby
URL:        https://github.com/ruby/fiddle
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: pkgconfig(libffi)


%description
A libffi wrapper for Ruby.

%files
%{gem_instdir}
%{gem_extdir_mri}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc

%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
