%define oname   fog-json

Name:       ruby-%{oname}
Version:    1.2.0
Release:    %mkrel 1
Summary:    Extraction of the JSON parsing tools shared between fog providers
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/fog/%{oname}
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Extraction of the JSON parsing tools shared between a number of providers in the 'fog' gem.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

