%define oname   gems

Name:       ruby-%{oname}
Version:    1.3.0
Release:    %mkrel 1
Summary:    Ruby wrapper for the RubyGems.org API
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/rubygems/gems
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Ruby wrapper for the RubyGems.org API.

%files
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
