%define oname   gio2
%global _disable_ld_no_undefined 1

Name:       ruby-%{oname}
Version:    4.2.9
Release:    %mkrel 1
Summary:    Ruby/GIO2 is a Ruby binding of gio-2.x
License:    LGPL-2.1+
Group:      Development/Ruby
URL:        http://ruby-gnome2.sourceforge.jp/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: ruby-glib2-devel
BuildRequires: ruby-gobject-introspection
BuildRequires: glib2-devel
BuildRequires: pkgconfig(gobject-introspection-1.0)

%description
Ruby/GIO2 is a Ruby binding of gio-2.x.

%files
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%{gem_docdir}

%prep
%gem_setup

%build
export CFLAGS=-I$(echo %{gem_archdir}/ruby/gobject-introspection-*/)
%gem_build

%install
%gem_install
