%define oname   gir_ffi

Name:       ruby-%{oname}
Version:    0.18.0
Release:    %mkrel 1
Summary:    FFI-based GObject binding using the GObject Introspection Repository
License:    LGPLv2+
Group:      Development/Ruby
URL:        https://www.github.com/mvz/ruby-gir-ffi
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch: noarch

%description
FFI-based GObject binding using the GObject Introspection Repository.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}
%doc %{gem_instdir}/*.md

%files          doc
%doc %{gem_docdir}
%doc %{gem_instdir}/examples
