%define oname   google-api-client

Name:       ruby-%{oname}
Version:    0.53.0
Release:    %mkrel 1
Summary:    Client for accessing Google APIs
License:    Apache 2.0
Group:      Development/Ruby
URL:        https://github.com/google/google-api-ruby-client
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch
Obsoletes:  ruby-google-api-client-doc < 0.28.0

%description
Client for accessing Google APIs.

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup

%build
# Package is invalid if including documentation:
# error: ruby-google-api-client-doc-0.20.1-1.mga7.noarch.rpm: hdr data: BAD, no. of bytes(18103612) out of range
%gem_build --document=

%install
%gem_install
rm -rf %{buildroot}%{gem_docdir}

%files
%{gem_instdir}
%{gem_spec}
