%define oname   googleapis-common-protos-types

Name:       ruby-%{oname}
Version:    1.19.0
Release:    %mkrel 1
Summary:    Common protobuf types used in Google APIs
License:    Apache-2.0
Group:      Development/Ruby
URL:        https://github.com/googleapis/googleapis
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Common protocol buffer types used by Google APIs.

%files
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
