%define oname   gtk2
%global _disable_ld_no_undefined 1

Name:       ruby-%{oname}
Version:    3.4.3
Release:    %mkrel 1
Summary:    Ruby/GTK2 is a Ruby binding of GTK+-2.x
License:    LGPLv2.1
Group:      Development/Ruby
URL:        http://ruby-gnome2.sourceforge.jp/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: gtk2-devel
BuildRequires: ruby-cairo-devel
BuildRequires: ruby-glib2-devel
BuildRequires: ruby-pango-devel 
BuildRequires: gobject-introspection-devel

%description
Ruby/GTK2 is a Ruby binding of GTK+-2.x.

%files
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}



#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------
%package        devel
Summary:    Development files for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    devel
Development headers for %{name}

%files          devel
%{ruby_vendorarchdir}/*.h
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install -d
