%define oname   gtk3
%global _disable_ld_no_undefined 1

Name:       ruby-%{oname}
Version:    4.2.9
Release:    %mkrel 1
Summary:    Ruby/GTK3 is a Ruby binding of GTK+-3.x
License:    LGPLv2.1
Group:      Development/Ruby
URL:        http://ruby-gnome2.sourceforge.jp/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: rubygem(atk) = %version
BuildRequires: rubygem(gdk3) = %version
BuildRequires: rubygem(gdk_pixbuf2) = %version
BuildRequires: rubygem(gio2) = %version
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: ruby-cairo-devel

Obsoletes: ruby-gtk2 < 3.4.3-2
Obsoletes: ruby-gtk2-devel < 3.4.3-2

%description
Ruby/GTK3 is a Ruby binding of GTK+-3.x.

%files
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}
%doc %{gem_docdir}

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
