%define oname   gtk4
%global _disable_ld_no_undefined 1

Name:       ruby-%{oname}
Version:    4.0.3
Release:    %mkrel 1
Summary:    Ruby/GTK4 is a Ruby binding of GTK+-4.x
License:    LGPLv2.1
Group:      Development/Ruby
URL:        http://ruby-gnome2.sourceforge.jp/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: rubygem(atk) = %version
BuildRequires: rubygem(gdk4) = %version
BuildRequires: pkgconfig(gtk4)
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: ruby-cairo-devel 

%description
Ruby/GTK4 is a Ruby binding of GTK+-4.x.

%files
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}
%doc %{gem_docdir}

%prep
%gem_setup
# Do not try to install missing dependencies
#sed -i '/native-package-installer/d' dependency-check/Rakefile

%build
%gem_build

%install
%gem_install
