%define oname   hashery

Name:       ruby-%{oname}
Version:    2.1.2
Release:    %mkrel 4
Summary:    Facets-bread collection of Hash-like classes
Group:      Development/Ruby
License:    BSD
URL:        http://rubyworks.github.com/hashery
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
The Hashery is a tight collection of Hash-like classes. Included among
its many offerings are the auto-sorting Dictionary class, the efficient
LRUHash, the flexible OpenHash and the convenient KeyHash. Nearly every
class is a subclass of the CRUDHash which defines a CRUD model on top
of Ruby''s standard Hash making it a snap to subclass and augment to
fit any specific use case.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
