%define oname   hiera-puppet

Name:       ruby-%{oname}
Version:    1.0.0
Release:    %mkrel 12
Summary:    Puppet query interface and backend for Hiera
License:    Apache License 
Group:      Development/Ruby
URL:        https://github.com/puppetlabs/hiera-puppet
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Store and query Hiera data from Puppet.

%files
%{_bindir}/extlookup2hiera
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup
sed -i 's/<hiera>, \["~> 1.0"/<hiera>, \[">= 1.0"/g' ../%{oname}-%{version}.gemspec

%build
%gem_build

%install
%gem_install
