%define oname   highline

Name:       ruby-%{oname}
Version:    3.1.2
Release:    %mkrel 1
Summary:    HighLine is a high-level command-line IO library
License:    Ruby
Group:      Development/Ruby
URL:        http://highline.rubyforge.org
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch


%description
A high-level IO library that provides validation, type conversion, and more
for command-line interfaces. HighLine also includes a complete menu system that
can crank out anything from simple list selection to complete shells with just
minutes of work.


%files
%{gem_instdir}
%exclude %{gem_instdir}/{examples,test}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc

%doc %{gem_docdir}
%doc README.* TODO Changelog.md LICENSE
%doc %{gem_instdir}/examples

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
