%define oname   hoe-git

Name:       ruby-%{oname}
Version:    1.6.0
Release:    %mkrel 4
Summary:    A set of Hoe plugins for tighter Git integration
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/jbarnette/hoe-git
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A set of Hoe plugins for tighter Git integration. Provides tasks to
automate release tagging and pushing and changelog generation. I
expect it'll learn a few more tricks in the future.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc Manifest.txt CHANGELOG.rdoc README.rdoc
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
