%define oname   http-cookie

Name:       ruby-%{oname}
Version:    1.0.8
Release:    %mkrel 2
Summary:    Ruby library to handle HTTP cookies
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/sparklemotion/http-cookie
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
HTTP::Cookie is a Ruby library to handle HTTP Cookies based on RFC 6265.
It has with security, standards compliance and compatibility in mind, to behave
just the same as today's major web browsers. It has builtin support for the
legacy cookies.txt and the latest cookies.sqlite formats of Mozilla Firefox,
and its modular API makes it easy to add support for a new backend store.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
