%define oname   http_parser.rb

Name:       ruby-%{oname}
Version:    0.8.0
Release:    %mkrel 3
Summary:    Simple callback-based HTTP request/response parser
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/igrigorik/em-socksify
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)

%description
Ruby bindings to https://github.com/ry/http-parser and https://github.com/a2800276/http-parser.java.

%files
%{gem_instdir}/
%{gem_extdir_mri}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
