%define oname   httpauth

Name:       ruby-%{oname}
Version:    0.2.1
Release:    %mkrel 7
Summary:    Library for the HTTP Authentication protocol (RFC 2617)
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/Manfred/HTTPauth
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
HTTPauth is a library supporting the full HTTP Authentication protocol
as specified in RFC 2617; both Digest Authentication and Basic
Authentication.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc LICENSE README.md
