%define oname   icalendar

Name:       ruby-%{oname}
Version:    2.10.3
Release:    %mkrel 2
Summary:    This is a Ruby library for dealing with iCalendar files
License:    GPLv2+
Group:      Development/Ruby
URL:        https://github.com/sdague/icalendar
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
This is a Ruby library for dealing with iCalendar files.

%files
%doc %{gem_instdir}/{History.txt,README.md}
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install
