%define oname   ice_cube

Name:       ruby-%{oname}
Version:    0.17.0
Release:    %mkrel 1
Summary:    Ruby Date Recurrence Library
License:    MIT
Group:      Development/Ruby
# These URLs are no longer valid
URL:        http://seejohnrun.github.com/ice_cube/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
ice_cube is a recurring date library for Ruby.  It allows for quick,
programmatic expansion of recurring date rules.


%files
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
