%define oname   io-console

Name:       ruby-%{oname}
Version:    0.4.2
Release:    %mkrel 9
Summary:    Console interface
License:    Ruby or GPLv2
Group:      Development/Ruby
URL:        https://www.ruby-lang.org/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel

%description
add console capabilities to IO instances.

%files
%{gem_instdir}
%{gem_extdir_mri}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}/%{gem_extdir_mri}/lib
