%define oname   isolate

Name:       ruby-%{oname}
Version:    4.0.0
Release:    %mkrel 1
Summary:    Isolate is a very simple RubyGems sandbox
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/jbarnette/isolate
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Isolate is a very simple RubyGems sandbox. It provides a way to
express and automatically install your project's Gem dependencies.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc Manifest.txt CHANGELOG.rdoc README.rdoc
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
