%define oname   itextomml

Name:       ruby-%{oname}
Version:    1.6.1
Release:    %mkrel 3
Summary:    Native Ruby bindings to itex2MML
Group:      Development/Ruby
License:    GPLv2 or MPL
URL:        https://golem.ph.utexas.edu/~distler/blog/itex2MML.html
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)

%description
itextomml provides native Ruby bindings to itex2MML, which converts itex
equations to MathML.

%files
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
