%define oname   jruby-pageant

Name:       ruby-%{oname}
Version:    1.1.1
Release:    %mkrel 13
Summary:    Allows Pageant access on JRuby + Windows
License:    Creative Commons Attribution
Group:      Development/Ruby
URL:        https://github.com/arturaz/jruby-pageant
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
This is a convenience gem packaging required for JNA/JSCH jars.

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib-fake
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
