%define oname   kramdown

Name:       ruby-%{oname}
Version:    2.5.1
Release:    %mkrel 1
Summary:    kramdown is a fast, pure-Ruby Markdown-superset converter
License:    MIT
Group:      Development/Ruby
URL:        https://kramdown.gettalong.org
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems

BuildArch:  noarch


%description
kramdown is yet-another-markdown-parser but fast, pure Ruby,
using a strict syntax definition and supporting several common extensions.


%files
%dir %{gem_instdir}
%license %{gem_instdir}/COPYING
%doc %{gem_instdir}/AUTHORS
%doc %{gem_instdir}/CONTRIBUTERS
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/VERSION

%{_bindir}/kramdown

%{_mandir}/man1/kramdown.1*

%{gem_instdir}/lib
%{gem_instdir}/bin
%{gem_instdir}/data/

%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc

%doc %{gem_docdir}



#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

# Move man pages
mkdir -p %{buildroot}%{_mandir}/man1
mv %{buildroot}%{gem_instdir}/man/man1/kramdown.1 \
	%{buildroot}%{_mandir}/man1

# Cleanup
pushd %{buildroot}%{gem_instdir}
rm -rf \
	test/
