%define oname   liquid

Name:       ruby-%{oname}
Version:    5.8.2
Release:    %mkrel 1
Summary:    A secure, non-evaling end user template engine with aesthetic markup
License:    MIT
Group:      Development/Ruby
URL:        http://www.liquidmarkup.org
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A secure, non-evaling end user template engine with aesthetic markup.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc History.md
%doc README.md
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

