%define oname   locale

Name:       ruby-%{oname}
Version:    2.1.4
Release:    %mkrel 1
Summary:    A pure ruby library which provides basic APIs for localization
Group:      Development/Ruby
License:    LGPLv2
URL:        http://locale.rubyforge.org/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Ruby-Locale is the pure ruby library which provides basic APIs for
localization. It aims to support all environments and all kind of i18n/l10n
programs (GUI, WWW, library, etc), and becomes the hub of other i18n/l10n
programs to handle major locale ID standards.


%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

