%define oname   minitar

Name:       ruby-%{oname}
Version:    1.0.2
Release:    %mkrel 1
Summary:    Provides POSIX tar archive management from Ruby programs
Group:      Development/Ruby
License:    GPLv2+ or Ruby License
URL:        https://github.com/atoulme/minitar
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch
Obsoletes:  ruby-archive-tar-minitar < 0.5.3

%description
Archive::Tar::Minitar is a pure-Ruby library that provides the ability to deal
with POSIX tar(1) archive files.
The implementation is based heavily on Mauricio Ferna'ndez's implementation in
rpa-base, but has been reorganised to promote reuse in other projects.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc README.rdoc
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install
