%define oname   minitest-server

Name:       ruby-%{oname}
Version:    1.0.8
Release:    %mkrel 1
Summary:    minitest-server provides a client/server setup with your minitest process, allowing your test run to send its results directly to a handler
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/seattlerb/minitest-server
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
minitest-server provides a client/server setup with your minitest
process, allowing your test run to send its results directly to a
handler.

%files
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc History.rdoc
%doc Manifest.txt
%doc README.rdoc

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
