%define oname   multi_xml

Name:       ruby-%{oname}
Version:    0.6.0
Release:    %mkrel 4
Summary:    A generic swappable back-end for XML parsing
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/sferik/multi_xml
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Provides swappable XML backends utilizing LibXML, Nokogiri, Ox, or REXML.


%files
%{gem_instdir}
%{gem_spec}

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

%prep
%gem_setup
sed -i -e /spec.signing_key/d -e /spec.cert/d %{oname}.gemspec

%build
%gem_build

%install
%gem_install
