%define oname   multipart-post

Name:       ruby-%{oname}
Version:    2.4.1
Release:    %mkrel 1
Summary:    Creates a multipart form post accessory for Net::HTTP
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/nicksieger/multipart-post
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Use with Net::HTTP to do multipart form posts. IO values that 
have #content_type, #original_filename, and #local_path will 
be posted as a binary file.

#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}
%doc %{gem_docdir}
