%define oname   mustache

Name:       ruby-%{oname}
Version:    1.1.1
Release:    %mkrel 2
Summary:    A framework-agnostic way to render logic-free views
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/defunkt/mustache
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Inspired by ctemplate, Mustache is a framework-agnostic way to render
logic-free views. As ctemplates says, "It emphasizes separating logic
from presentation: it is impossible to embed application logic in this
template language. Think of Mustache as a replacement for your views.
Instead of views consisting of ERB or HAML with random helpers and
arbitrary logic, your views are broken into two parts: a Ruby class
and an HTML template.

#-------------------------------------------------------------------------------

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/%{oname}
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
