%define oname   net-sftp

Name:       ruby-%{oname}
Version:    4.0.0
Release:    %mkrel 1
Summary:    A pure Ruby implementation of the SFTP client protocol
License:    MIT
Group:      Development/Ruby
URL:        https://github.com//net-ssh/%{oname}
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: git
BuildArch:  noarch

%description
A pure Ruby implementation of the SFTP client protocol

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc CHANGES.txt README.rdoc

#-------------------------------------------------------------------------------

%prep
%gem_setup
# The key is not available and we don't need to sign anyway
sed -i /s.signing_key/d %{oname}.gemspec

%build
%gem_build

%install
%gem_install
