%define oname   net-ssh

Name:       ruby-%{oname}
Version:    7.3.0
Release:    %mkrel 1
Summary:    A pure-Ruby implementation of the SSH2 client protocol
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/net-ssh/net-ssh
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Net::SSH: a pure-Ruby implementation of the SSH2 client protocol.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
sed -i /s.signing_key/d %{oname}.gemspec

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc CHANGES.txt README.md THANKS.txt
