%define oname   open4

Name:       ruby-%{oname}
Epoch:      1
Version:    1.3.4
Release:    %mkrel 4
Summary:    Manage child processes and their Input/Output handles easily
License:    Ruby License
Group:      Development/Ruby
URL:        https://codeforpeople.com/lib/ruby/open4/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Manage child processes and their Input/Output handles easily.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{epoch}:%{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%exclude %{gem_instdir}/samples
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%{gem_instdir}/samples
