%define oname   os

Name:       ruby-%{oname}
Version:    1.1.4
Release:    %mkrel 1
Summary:    Simple and easy way to know if you're on windows or not (reliably), as well as how many bits the OS is, etc
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/rdp/os
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
The OS gem allows for some useful and easy functions, like OS.windows? (=>
true or false) OS.bits ( => 32 or 64) etc".


%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%doc LICENSE
%doc README.md
%{gem_instdir}
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc ChangeLog
