%define oname   packetfu

Name:       ruby-%{oname}
Version:    2.0.0
Release:    %mkrel 1
Summary:    PacketFu is a mid-level packet manipulation library
License:    BSD
Group:      Development/Ruby
URL:        https://github.com/todb/packetfu
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-rake
BuildArch:  noarch
Requires:   ruby-pcaprub

%description
PacketFu is a mid-level packet manipulation library for Ruby. With it, users
can read, parse, and write network packets with the level of ease and fun they
expect from Ruby.

%files
%{gem_instdir}/
%{gem_spec}

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

%prep
%gem_setup
sed -i -e "/require 'rake'/d"  %{gem_name}.gemspec

%build
%gem_build

%install
%gem_install
