%define oname   pairing_heap

Name:       ruby-%{oname}
Version:    3.1.0
Release:    %mkrel 1
Summary:    PairingHeap is a pure Ruby priority queue implementation using a pairing heap as the underlying data structure
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/mhib/%{oname}
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
PairingHeap is a pure Ruby priority queue implementation using a pairing heap as the underlying data structure

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

