%define oname   pkg-config

Name:       ruby-%{oname}
Version:    1.6.0
Release:    %mkrel 1
Summary:    A pkg-config implementation by Ruby
Group:      Development/Ruby
License:    LGPLv2+
URL:        https://github.com/rcairo/pkg-config
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rubyforge)
BuildArch:  noarch

%description
A pkg-config implementation by Ruby

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
