%define oname   polyglot

Name:       ruby-%{oname}
Version:    0.3.5
Release:    %mkrel 4
Summary:    Allows custom language loaders to be hooked into require
License:    MIT
Group:      Development/Ruby
URL:        http://polyglot.rubyforge.org
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Allows custom language loaders for specified file extensions to be hooked
into require

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
