%define oname   pry

Name:       ruby-%{oname}
Epoch:      1
Version:    0.15.2
Release:    %mkrel 1
Summary:    An IRB alternative and runtime developer console
License:    Ruby License and MIT
Group:      Development/Ruby
URL:        http://rubyforge.org/projects/text-format/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Pry is a powerful alternative to the standard IRB shell for Ruby. It is written
from scratch to provide a number of advanced features.

Pry also aims to be more than an IRB replacement; it is an attempt to bring
REPL driven programming to the Ruby language. It is currently not as powerful
as tools like SLIME for lisp, but that is the general direction Pry is heading.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{epoch}:%{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
sed -i 's/~> 3.4/> 3.4/g' ../%{oname}-%{version}.gemspec

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/pry
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
