%define oname public_suffix

Name:       ruby-%{oname}
Version:    6.0.1
Release:    %mkrel 1
Summary:    Domain name parser based on the Public Suffix List
License:    MIT
Group:      Development/Ruby
URL:        https://simonecarletti.com/code/publicsuffix-ruby
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
PublicSuffix can parse and decompose a domain name into top level domain,
domain and subdomains.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
