%define oname   rake-compiler

Name:       ruby-%{oname}
Version:    1.2.9
Release:    %mkrel 1
Summary:    Rake-based Ruby Extension (C, Java) task generator
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/luislavena/rake-compiler
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Provide a standard and simplified way to build and package
Ruby extensions (C, Java) using Rake as glue.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

# fix shebang
find %{buildroot}%{gem_instdir}/lib/ \
  -type f -exec sed -i '/^#!/d' {} \;

%files
%{_bindir}/rake-compiler
%{gem_instdir}/
%{gem_instdir}/bin
%{gem_instdir}/lib
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc %{gem_instdir}/features
%doc %{gem_instdir}/tasks
%doc README.md LICENSE.txt History.md

