%define oname   rbot

Name:           ruby-%{oname}
Version:        0.9.15
Release:        %mkrel 15
Summary:        A modular ruby IRC bot
Group:          Development/Ruby
License:        MIT
URL:            https://ruby-rbot.org/
Source0:        https://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:         rbot-0.9.15-gempackagetask.patch
BuildRequires:  rubygems 
BuildRequires:  ruby-rake
BuildArch:      noarch

%description
A modular ruby IRC bot specifically designed for ease of extension via
plugins.


%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install
# This has a fake extension to generate translations but that arch specific
# directory is empty except for the grm.build_complete and the package is
# noarch otherwise
rm -rf %{buildroot}%{gem_extdir_mri}

%files
%{_bindir}/rbot
%{_bindir}/rbot-remote
%{gem_instdir}/
%{gem_spec}
%doc %{gem_docdir}
