%define oname   rdiscount

Name:       ruby-%{oname}
Version:    2.2.7.3
Release:    %mkrel 3
Summary:    Fast Implementation of Gruber's Markdown in C
Group:      Development/Ruby
License:    BSD
URL:        https://github.com/rtomayko/rdiscount
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     rdiscount-2.1.6-file-list.patch
BuildRequires: rubygems
BuildRequires: ruby-devel

%description
Fast implementation of Gruber's Markdown in C.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
BuildArch:	noarch

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{gem_extdir_mri}/ext

%files
%doc README.markdown
%{_bindir}/rdiscount
%{gem_extdir_mri}
%{gem_instdir}/
%exclude %{gem_docdir}
%{gem_spec}

%files          doc
%doc %{gem_docdir}
