%define oname   representable

Name:       ruby-%{oname}
Version:    3.2.0
Release:    %mkrel 1
Summary:    Renders and parses JSON/XML/YAML documents from and to Ruby objects. Includes plain properties, collections, nesting, coercion and more
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/apotonick/representable/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Renders and parses JSON/XML/YAML documents from and to Ruby objects. Includes
plain properties, collections, nesting, coercion and more.


%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files

%{gem_instdir}
%{gem_spec}

%files          doc
%doc %{gem_docdir}


