%define oname   rexical

Name:       ruby-%{oname}
Version:    1.0.7
Release:    %mkrel 2
Summary:    Rexical is a lexical scanner generator
Group:      Development/Ruby
License:    LGPLv2
URL:        https://github.com/tenderlove/rexical/tree/master
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Rexical is a lexical scanner generator.
It is written in Ruby itself, and generates Ruby program.
It is designed for use with Racc.

%files
%{_bindir}/rex
%dir %{gem_instdir}/
%{gem_instdir}/bin
%{gem_instdir}/lib
%{gem_instdir}/test
%{gem_instdir}/CHANGELOG.rdoc
%{gem_instdir}/DOCUMENTATION.en.rdoc
%{gem_instdir}/DOCUMENTATION.ja.rdoc
%{gem_instdir}/Manifest.txt
%{gem_instdir}/README.ja
%{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc %{gem_instdir}/sample
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
