%define oname   rgl

Name:       ruby-%{oname}
Version:    0.6.6
Release:    %mkrel 1
Summary:    RGL is a framework for graph data structures and algorithms
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/monora/%{oname}
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
RGL is a framework for graph data structures and algorithms

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup
perl -pi -e 's|"~> 0.3"|">= 0.3", "< 4.0"|' ../rgl-%{version}.gemspec

%build
%gem_build

%install
%gem_install

