%define oname   riddle

Name:       ruby-%{oname}
Version:    2.4.3
Release:    %mkrel 1
Summary:    An API for Sphinx, written in and for Ruby
License:    MIT
Group:      Development/Ruby
URL:        http://riddle.freelancing-gods.com
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A Ruby API and configuration helper for the Sphinx search service.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}/%{gem_instdir}/spec
