%define oname rpm

Summary: RPM bindings for ruby
Name: ruby-rpm
Epoch: 1
Version: 0.0.5
Release: %mkrel 7
Group: Development/Ruby
License: GPL
URL: https://github.com/dmacvicar/ruby-rpm-ffi
Source0: https://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0: rpm-4.14.patch
Patch1: major.patch
BuildRequires: ruby-ffi
BuildRequires: ruby-rake
BuildRequires: rubygems
BuildRequires: ruby-minitest
BuildArch: noarch

%description
RPM bindings for ruby

%prep
%gem_setup
%autopatch -p1
sed -i s/MiniTest::Unit::TestCase/Minitest::Test/ test/*.rb
sed -i s/Fixnum/Integer/ test/test_lib.rb

%build
%gem_build

%install
%gem_install

%check
ruby -I. test/test_lib.rb
ruby -I. test/test_version.rb

%files
%doc %{gem_docdir}
%{gem_instdir}
%{gem_spec}

