%define oname   rr

Name:       ruby-%{oname}
Version:    3.1.1
Release:    %mkrel 1
Summary:    A double framework that features a rich selection of techniques
Group:      Development/Ruby
License:    GPLv2
URL:        http://pivotallabs.com
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-rake
BuildArch:  noarch

%description
RR (Double Ruby) is a double framework that features a rich selection of
double techniques and a terse syntax.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}
%exclude %{gem_instdir}/doc

%files          doc
%doc %{gem_docdir}
%doc %{gem_instdir}/doc
