%define oname   rspec

Name:       ruby-%{oname}
Version:    3.13.0
Release:    %mkrel 1
Summary:    Behavior Driven Development for Ruby
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/rspec/rspec
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Meta-gem that depends on the other rspec gems

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc README.md
