%define oname   ruby-rc4

Name:       ruby-%{oname}
Version:    0.1.5
Release:    %mkrel 12
Summary:    A pure Ruby implementation of the RC4 algorithm
Group:      Development/Ruby
License:    MIT
# This site is defunct as of 2024Q4
URL:        http://www.caigenichols.com/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
RubyRC4 is a pure Ruby implementation of the RC4 algorithm.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib
%{gem_instdir}/LICENSE
%{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc %{gem_instdir}/spec
%doc README.md
