%define oname   ruby2ruby

Name:       ruby-%{oname}
Version:    2.5.1
Release:    %mkrel 2
Summary:    Allows generating pure ruby code easily from RubyParser compatible Sexps
Group:      Development/Ruby
License:    MIT
URL:        http://seattlerb.rubyforge.org/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
ruby2ruby provides a means of generating pure ruby code easily from
RubyParser compatible Sexps. This makes making dynamic language
processors in ruby easier than ever!

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/r2r_show
%dir %{gem_instdir}/
%{gem_instdir}/bin
%{gem_instdir}/lib
%{gem_instdir}/test
%{gem_instdir}/History.*
%{gem_instdir}/Manifest.txt
%{gem_instdir}/README.*
%{gem_instdir}/Rakefile
%{gem_spec}
%exclude %{gem_instdir}/.autotest

%files          doc
%doc %{gem_docdir}
