%define oname   ruby_parser

Name:       ruby-%{oname}
Version:    3.21.1
Release:    %mkrel 1
Summary:    A ruby parser written in pure ruby
Group:      Development/Ruby
License:    MIT
URL:        http://parsetree.rubyforge.org/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
ruby_parser (RP) is a ruby parser written in pure ruby (utilizing
racc--which does by default use a C extension). RP's output is the same as 
ParseTree's output: s-expressions using ruby's arrays and base types.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/ruby_parse
%{_bindir}/ruby_parse_extract_error
%{gem_instdir}
%{gem_spec}
%exclude %{gem_instdir}/.autotest
   
%files          doc
%doc %{gem_docdir}
