%define oname   rubyntlm

Name:       ruby-%{oname}
Version:    0.6.5
Release:    %mkrel 1
Summary:    Ruby/NTLM library
License:    Ruby
Group:      Development/Ruby
URL:        http://rubyforge.org/projects/rubyntlm
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Ruby/NTLM provides message creator and parser for the NTLM authentication.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc %{gem_instdir}/examples
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
