%define oname   rubytree

Name:       ruby-%{oname}
Version:    2.1.1
Release:    %mkrel 1
Summary:    Ruby implementation of the Tree data structure
License:    BSD
Group:      Development/Ruby
URL:        http://rubytree.rubyforge.org/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Provides a generic tree data-structure with ability to store keyed
node-elements in the tree. The implementation mixes in the Enumerable
module.  Website:  http://rubytree.rubyforge.org/

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
