%define oname   rubyzip

Name:       ruby-%{oname}
Version:    2.4.1
Release:    %mkrel 1
Summary:    A ruby module for reading and writing zip files
License:    GPLv2+ or Ruby License
Group:      Development/Ruby
URL:        https://rubyzip.sourceforge.net/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
rubyzip is a ruby module for reading and writing zip files

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

chmod 644 %{buildroot}%{gem_instdir}/lib/zip/*.rb

%files
%{gem_instdir}
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc README.md TODO
%doc %{gem_instdir}/samples
