%define oname   rvm

Name:       ruby-%{oname}
Version:    1.11.3.9
Release:    %mkrel 5
Summary:    RVM is the Ruby Version Manager (rvm)
License:    MIT
Group:      Development/Ruby
URL:        https://rvm.beginrescueend.com
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   autoconf
Requires:   byacc
Requires:   readline-devel
Requires:   tcl-devel
Requires:   tk-devel
Requires:   db5-devel
Requires:   libgdbm-devel
Requires:   openssl-devel
Requires:   zlib-devel
Requires:   gcc-c++
Requires:   git
Requires:   curl
Requires:   patch
Requires:   yaml-devel
Requires:   libxml2-devel
# For JRuby
Recommends:   java-1.6.0-sun
# For IronRuby
Recommends:   mono-devel
BuildArch:  noarch

%description
RVM is the Ruby Version Manager (rvm). It manages Ruby interpreter
environments and switching between them.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

