%define oname   safe_yaml

Name:       ruby-%{oname}
Version:    1.0.5
Release:    %mkrel 2
Summary:    SameYAML provides an alternative implementation of YAML.load suitable for accepting user input in Ruby applications
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/dtao/safe_yaml
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Parse YAML safely

%files
%{_bindir}/safe_yaml
%{gem_instdir}
%{gem_spec}

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install
