%define oname   sexp_processor

Name:       ruby-%{oname}
Epoch:      1
Version:    4.17.3
Release:    %mkrel 1
Summary:    Branches from ParseTree bringing all the generic sexp processing tools with it
Group:      Development/Ruby
License:    MIT
URL:        http://rubyforge.org/projects/parsetree/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
sexp_processor branches from ParseTree bringing all the generic sexp
processing tools with it. Sexp, SexpProcessor, Environment, etc... all
for your language processing pleasure.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{epoch}:%{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}
%exclude %{gem_instdir}/.gemtest

%files          doc
%doc %{gem_docdir}
