%define oname   shoulda-context

Name:       ruby-%{oname}
Version:    2.0.0
Release:    %mkrel 1
Summary:    Context framework extracted from Shoulda
Group:      Development/Ruby
License:    GPLv2
URL:        https://thoughtbot.com/community/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch
Conflicts:  ruby-shoulda < 3

%description
Context framework extracted from Shoulda.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/convert_to_should_syntax
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
