%define oname   simplecov-html

Name:       ruby-%{oname}
Version:    0.13.1
Release:    %mkrel 1
Summary:    Default HTML formatter for SimpleCov code coverage tool for ruby 1.9+
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/colszowka/simplecov-html
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Default HTML formatter for SimpleCov code coverage tool for ruby 1.9+

%files
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
