%define oname   simplecov

Name:       ruby-%{oname}
Version:    0.22.0
Release:    %mkrel 1
Summary:    Code coverage for Ruby 1.9 with a powerful configuration library
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/colszowka/simplecov
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch
Obsoletes:  ruby-rcov < 1.0.0-2
Obsoletes:  ruby-rcov-doc < 1.0.0-2

%description
Code coverage for Ruby 1.9 with a powerful configuration library and
automatic merging of coverage across test suites

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
Obsoletes:	ruby-rcov < 1.0.0-2

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
