%define oname   strace_me

Name:       ruby-%{oname}
Version:    1.0
Release:    %mkrel 18
Summary:    A wrapper around strace(1) that allows you to perform targeted tracing of a block
License:    MIT
Group:      Development/Ruby
URL:        http://seattlerb.rubyforge.org/strace_me
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   strace
BuildArch:  noarch

%description
A wrapper around strace(1) that allows you to perform targeted tracing of a
block.  strace_me allows you to track down problems without wading through
gobs of ruby startup or other irrelevant noise.

%files
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup
%gemspec_remove_dep -g open4
%gemspec_add_dep -g open4

%build
%gem_build

%install
%gem_install
