%define oname   structured_warnings

Name:       ruby-%{oname}
Version:    0.4.0
Release:    %mkrel 2
Summary:    Provides structured warnings for Ruby, using an exception-like interface and hierarchy
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/schmidt/structured_warnings
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
This is an implementation of Daniel Berger's proposal of structured
warnings for Ruby.

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}
%{gem_spec}

%files          doc
%{gem_docdir}
%doc README.*

