%define oname   term-ansicolor

Name:       ruby-%{oname}
Version:    1.7.2
Release:    %mkrel 1
Summary:    Ruby library that colors strings using ANSI escape sequences
Group:      Development/Ruby
License:    GPLv2+
URL:        http://flori.github.com/term-ansicolor
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Ruby library that colors strings using ANSI escape sequences


#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%doc CHANGES VERSION
%{_bindir}/term_cdiff
%{_bindir}/term_colortab
%{_bindir}/term_decolor
%{_bindir}/term_display
%{_bindir}/term_mandel
%{_bindir}/term_snow
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc README.*
