%define oname   test-unit

Name:       ruby-%{oname}
Version:    2.5.5
Release:    %mkrel 7
Summary:    Test::Unit 2.x - Improved version of Test::Unit bundled in Ruby 1.8.x
License:    GPLv2+ or Ruby License and Python Software Foundation License
Group:      Development/Ruby
URL:        http://rubyforge.org/projects/test-unit/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
#BuildRequires: rubygem(bundler) >= 0
BuildRequires: rubygem(rake) >= 0
BuildRequires: rubygem(yard) >= 0
BuildArch:  noarch

%description
Test::Unit 2.x - Improved version of Test::Unit bundled in Ruby 1.8.x.
Ruby 1.9.x bundles minitest not Test::Unit. Test::Unit bundled in 
Ruby 1.8.x had not been improved but unbundled
Test::Unit (Test::Unit 2.x) will be improved actively.


%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{gem_instdir}/.yardoc

#avoid conflict with bundled test/unit
rm -f %{buildroot}%{_bindir}/testrb

%files
%doc COPYING README.textile PSFL sample
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
