%define oname   text-hyphen

Name:       ruby-%{oname}
Epoch:      1
Version:    1.5.0
Release:    %mkrel 1
Summary:    Hyphenate words using modified versions of TeX hyphenation patterns
License:    Ruby License and MIT
Group:      Development/Ruby
URL:        http://rubyforge.org/projects/text-format/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Text::Hyphen will hyphenate words using modified versions of TeX hyphenation
patterns. Text::Hyphen will properly hyphenate various words according to 
the rules of the language the word is written in. The algorithm is based 
on that of the TeX typesetting system by Donald E. Knuth. This is based on
the Perl implementation of TeX::Hyphen[1] and the Ruby port[2]. The 
language hyphenation pattern files are based on the sources available from
CTAN[3] as of 2004.12.19 and have been translated by Austin Ziegler.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{epoch}:%{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/ruby-hyphen
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc Code-of-Conduct.md
%doc Contributing.md
%doc History.md
%doc Licence.md
%doc README.md

