%define oname   thrift

Name:       ruby-%{oname}
Epoch: 1
Version:    0.21.0
Release:    %mkrel 2
Summary:    Ruby bindings for the Apache Thrift RPC system
License:    ASL 2.0
Group:      Development/Ruby
URL:        https://thrift.apache.org
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)

%description
Ruby bindings for the Apache Thrift RPC system

%files
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{epoch}:%{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
