%define oname   treetop

Name:       ruby-%{oname}
Version:    1.6.14
Release:    %mkrel 1
Summary:    A Ruby-based text parsing and interpretation DSL
License:    BSD
Group:      Development/Ruby
URL:        https://functionalform.blogspot.com/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A Ruby-based text parsing and interpretation DSL

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/tt
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc LICENSE README.md
