%define oname   uglifier

Name:       ruby-%{oname}
Version:    4.2.1
Release:    %mkrel 2
Summary:    Ruby wrapper for UglifyJS JavaScript compressor
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/lautis/uglifier
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch


%description
Uglifier minifies JavaScript files by wrapping UglifyJS to be accessible in
Ruby


%files
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc LICENSE.txt
%doc README.md


#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install
