%define oname   uuid

Name:       ruby-%{oname}
Version:    2.3.9
Release:    %mkrel 4
Summary:    Generates universally unique identifiers (UUIDs) for use in distributed applications
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/assaf/uuid
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     ruby-uuid-2.3.6-fix-version.patch
BuildRequires: rubygems
BuildRequires: rubygem(hoe) >= 3.1
BuildArch:  noarch

%description
Generates universally unique identifiers (UUIDs) for use in distributed
applications.

Based on RFC 4122.


#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install

# (cg) No need to ship license as per our policy
rm -f %{buildroot}%{gem_instdir}/MIT-LICENSE

# (cg) Rename generic binary to avoid potential conflicts with other pkgs.
mv %{buildroot}%{_bindir}/uuid %{buildroot}%{_bindir}/%{name} 

%files
%{_bindir}/%{name}
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
