%define oname   vagrant_cloud

Name:       ruby-%{oname}
Version:    3.1.2
Release:    %mkrel 2
Summary:    Ruby client for the Vagrant Cloud API
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/hashicorp/vagrant_cloud
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Ruby client for the Vagrant Cloud API
%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
