%define oname   version_gem

Name:       ruby-%{oname}
Version:    1.1.6
Release:    %mkrel 1
Summary:    Versions are good. Versions are cool. Versions will win
License:    MIT
Group:      Development/Ruby
URL:        https://gitlab.com/oauth-xx/version_gem
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
This gem has a very niche purpose, which is:

providing introspection of a Version module based on a Version::VERSION
constant string, while not interfering with gemspec parsing where the
VERSION string is traditionally used.

If this isn't precisely your use case you may be better off looking at
versionaire, a wonderful, performant, well-maintained, gem from the
Alchemists, or version_sorter from GitHub.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}
%doc %{gem_docdir}
