%define oname   websocket

Name:       ruby-%{oname}
Version:    1.2.11
Release:    %mkrel 1
Summary:    Universal Ruby library to handle WebSocket protocol
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/imanel/websocket-ruby
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Universal Ruby library to handle WebSocket protocol

%files
%{gem_instdir}
%{gem_spec}

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install
