%define oname   will_paginate

Name:       ruby-%{oname}
Version:    3.3.1
Release:    %mkrel 1
Summary:    Pagination for Rails
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/mislav/will_paginate/wikis
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
The will_paginate library provides a simple, yet powerful and extensible API
for ActiveRecord pagination and rendering of pagination links in ActionView
templates.

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%dir %{gem_instdir}/
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/LICENSE
%{gem_instdir}/lib
%{gem_instdir}/spec
%{gem_spec}

%files          doc
%doc %{gem_docdir}
