%define oname   xmlrpc

Name:       ruby-%{oname}
Version:    0.3.3
Release:    %mkrel 1
Summary:    XMLRPC is a lightweight protocol that enables remote procedure calls over HTTP
License:    Ruby and BSD-2-Clause
Group:      Development/Ruby
URL:        https://github.com/ruby/xmlrpc
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems

BuildArch:  noarch


%description
XMLRPC is a lightweight protocol that enables remote procedure calls over
HTTP.


%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.*
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc

%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/NEWS.md


#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
