Name:           samdump2
Version:        3.0.0
Release:        %mkrel 11
Summary:        Retrieves syskey and extracts hashes from Windows 2k/NT/XP/Vista SAM
Group:          Security
License:        GPLv2+
URL:            https://sourceforge.net/projects/ophcrack/files/samdump2
Source0:        https://downloads.sourceforge.net/ophcrack/%{name}-%{version}.tar.bz2
Patch0:         %{name}-install.patch
# from debian: fix build with openssl 1.1
Patch1:         50_openssl.patch
BuildRequires:  pkgconfig(openssl)

%description
This tool is designed to recover the syskey bootkey from Windows NT/2K/XP/Vista
system hive and uses it to decrypt and dump password hashes from the SAM hive.


%prep
%autosetup -p1

%build
%make_build CFLAGS="%optflags" LIBS="-lssl -lcrypto"

%install
OWNER=`id -un`
GROUP=`id -gn`

%make_install \
    BINDIR=%{_bindir} \
    MANDIR=%{_mandir}/man1/ \
    OWNER=${OWNER} \
    GROUP=${GROUP}

%files
%doc AUTHORS COPYING README LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
