Name:		scalpel
Version:	2.0
Release:	%mkrel 9
Summary:	A Frugal, High Performance File Carver
Group:		File tools
License:	GPLv2+
URL:		https://www.digitalforensicssolutions.com/Scalpel/
Source0:	https://www.digitalforensicssolutions.com/Scalpel/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(tre)

%description
Scalpel is a fast file carver that reads a database of header and footer
definitions and extracts matching files or data fragments from a set of
image files or raw device files.

Scalpel is file-system independent and will carve files from FATx, NTFS,
ext2/3, HFS+, or raw partitions. It is useful for both digital forensics
investigation and file recovery.

%prep
%setup -q

chmod -x README Changelog src/*.h src/*.c

#Remove Windows binary files
rm -f *.exe *.dll

%build
%configure
%make_build

%install
%make_install

# conf
install -Dm 644 %{name}.conf %{buildroot}/%{_sysconfdir}/%{name}.conf

%files
%doc README Changelog
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
