%define gitdate 20210909

Name:		schbench
# the archive hasn't really a version yet; by convention we adopt 0.0.1
Version:	0.0.1
Release:	%mkrel 5.%{gitdate}.1
Summary:	A thread latency tester/benchmarking tool
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		https://git.kernel.org/pub/scm/linux/kernel/git/mason/schbench.git
# generate from git above with git archive -o ../schbench-<version>.tar --prefix=schbench-<version>/ HEAD
Source0:	%{name}-%{version}.tar.xz
BuildRequires:	kernel-userspace-headers
ExclusiveArch:	%{ix86} x86_64

%description
schbench is a tool meant to be used for benchmarking threads latency in a kernel.

%prep
%setup -q

%build
%set_build_flags
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
%{__install} -m 755 ./schbench %{buildroot}%{_bindir}/

%files
%{_bindir}/schbench

