%define chewing_version	        0.4.0
%define scim_version		1.4.14

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		scim-chewing
Summary:	SCIM IMEngine module for chewing
Epoch:		1
Version:	0.5.1
Release:	%mkrel 4
Group:		System/Internationalization
License:	GPL2+
URL:		https://chewing.im/
Source0:	https://github.com/chewing/scim-chewing/releases/download/%version/%name-%version.tar.gz
Requires:	libchewing >= 1:%{chewing_version}
Requires:	scim-client = %scim_api
BuildRequires:  libchewing-devel >= %{chewing_version}
BuildRequires:  scim-devel >= %{scim_version}
BuildRequires:  intltool 
BuildRequires:  gettext-devel
# compatibility
Obsoletes:	%mklibname %{name} 0

%description
Scim-chewing is an SCIM IMEngine module for chewing,
an intelligent Chinese phonetic input method.

%prep
%setup -q

%build
./autogen.sh
%configure --disable-static
%make_build

%install
%make_install

# remove unnecessary files
rm -f %{buildroot}%{_libdir}/scim-1.0/*/*/*.{a,la}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog README
%{_datadir}/scim/icons/*
%{_libdir}/scim-1.0/*/IMEngine/*.so
%{_libdir}/scim-1.0/*/SetupUI/*.so
