Name:		scim-input-pad
Summary:	An onscreen input pad to input some symbols
Version:	0.1.3.1
Release:	%mkrel 11
Group:		System/Internationalization
License:	GPLv2+
URL:		https://sourceforge.net/projects/scim/
Source0:	https://prdownloads.sourceforge.net/scim/%{name}-%{version}.tar.gz
Patch0:		scim-input-pad-0.1.1-linkage.patch
BuildRequires:	pkgconfig(scim) >= 1.2.0
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.4.0
BuildRequires:  intltool
Requires:	scim-client = %{scim_api}
Obsoletes:	%{_lib}scim-input-pad0

%description
An onscreen input pad to input some symbols.

%prep
%setup -q
%autopatch -p0

%build
# fix build on aarch64
cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} .

%configure --disable-static
%make_build

%install
%make_install

# remove unnecessary files
find %{buildroot} -name "*.la" -delete
rm -rf %{buildroot}%{_libdir}/*.so

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING README
%{_bindir}/scim-*
%{_datadir}/scim/icons/*
%{_libdir}/*.so.*
%{scim_plugins_dir}/Helper/*.so
