%define scim_version		1.4.5
%define m17n_lib_version	1.3.0

Summary:	A wrapper for m17n
Name:		scim-m17n
Version:	0.2.3
Release:	%mkrel 12
Group:		System/Internationalization
License:	GPL
URL:		https://sourceforge.net/projects/scim/
Source0:	https://downloads.sourceforge.net/scim/%name-%version.tar.gz
BuildRequires:	m17n-lib-devel >= %{m17n_lib_version}
BuildRequires:	pkgconfig(scim) >= %{scim_version}
Requires:	m17n-lib >= %{m17n_lib_version}
Requires:	scim-client = %{scim_api}
Obsoletes:	%mklibname %name 0

%description
A wrapper for m17n.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

# remove unneeded files
find %{buildroot} -name "*.la" -delete

%files
%doc AUTHORS COPYING
%{_datadir}/scim/icons/*
%scim_plugins_dir/IMEngine/*.so
