
Name:           scrot
Summary:        SCReenshOT - command line screen capture utility
Version:        1.11.1
Release:        %mkrel 1
License:        MIT
Group:          Graphics/Utilities
Url:            https://github.com/resurrecting-open-source-projects/scrot
Source0:        https://github.com/resurrecting-open-source-projects/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(giblib)
BuildRequires:  autoconf
BuildRequires:  autoconf-archive
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xinerama)

%description
scrot (SCReenshOT) is a simple command line screen capture
utility that uses imlib2 to grab and save images. Multiple
image formats are supported through imlib2's dynamic saver
modules.

Some features of the scrot:
  - support to multiple image formats (JPG, PNG, GIF, etc.).
  - optimization of the screen shots image quality.
  - capture a specific window or a rectangular area on the
    screen with the help of switch.

scrot also can be used to monitor a desktop PC in admin absent
and register unwanted activities.

%prep
%autosetup -p1

%build
./autogen.sh
%configure

%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog README.md TODO.md CONTRIBUTING.md FAQ.md scrot.png
%_bindir/%name
%_mandir/man1/%name.1.*
