Name:		scrub
Version:	2.6.1
Release:	%mkrel 8
Summary:	Disk scrubbing program
License:	GPLv2+
Group:		System/Base
URL:		https://code.google.com/p/diskscrub/
Source0:	https://github.com/chaos/scrub/releases/download/%{version}/%{name}-%{version}.tar.gz

%description
Scrub writes patterns on files or disk devices to make
retrieving the data more difficult.  It operates in one of three
modes: 1) the special file corresponding to an entire disk is scrubbed
and all data on it is destroyed;  2) a regular file is scrubbed and
only the data in the file (and optionally its name in the directory
entry) is destroyed; or 3) a regular file is created, expanded until
the file system is full, then scrubbed as in 2).

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi -Iconfig

%configure
%make_build

%install
%make_install

%files
%doc NEWS ChangeLog DISCLAIMER COPYING
%{_bindir}/scrub
%{_mandir}/man1/scrub.1*
