Summary: 	A command line tool to allow sending arbitrary IP packets
Name:    	sendip
Version: 	2.5
Release: 	%mkrel 17
License: 	GPLv2
Group: 		Networking/Other
Source: 	https://www.earth.li/projectpurple/files/%name-%version.tar.gz
Patch0:		https://ftp.debian.org/debian/pool/main/s/sendip/sendip_2.5-2.diff.gz
Patch1:		sendip-2.5-mga-no-Werror.patch
URL: 		https://www.earth.li/projectpurple/progs/sendip.html


%description
A command line tool to send arbitrary IP packets. It has a large number of
command line options to specify the content of every header of a NTP, BGP,
RIP, RIPng, TCP, UDP, ICMP, or raw IPv4 or IPv6 packet.  It also allows any 
data to be added to the packet.

%prep
%setup -q 
%autopatch -p1

%build
%make_build PREFIX=%_prefix

%install
mkdir -p %{buildroot}/usr/{bin,lib}
mkdir -p %{buildroot}%{_mandir}/man1
%__make PREFIX=%{buildroot}/usr MANDIR=%{buildroot}%{_mandir}/man1 install LIBDIR=%{buildroot}/%_libdir/sendip

%files
%{_mandir}/man1/sendip.1*
%{_bindir}/sendip
%{_libdir}/sendip/*.so
%doc README CHANGES LICENSE TODO



