Name: sessreg
Version: 1.1.3
Release: %mkrel 1
Summary: Manage utmp/wtmp entries for non-init clients
Group: Development/X11
Source: https://www.x.org/releases/individual/app/%{name}-%{version}.tar.xz
License: MIT

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
Sessreg is a simple program for managing utmp/wtmp entries for xdm sessions.

%prep
%setup -q

%build
%configure --x-includes=%{_includedir}\
               --x-libraries=%{_libdir}
# Debug info from the preprocessor breaks the man build
%__make -C man CPPFLAGS=-ftrack-macro-expansion=0
%make_build

%install
%make_install

%files
%{_bindir}/sessreg
%{_mandir}/man1/sessreg.*
