Name:		sha3sum
Summary:	SHA-3 and Keccak checksum utility
Version:	1.2.3.1
Release:	%mkrel 1
License:	ISC
Group:		System/Base
Url:		https://codeberg.org/maandree/sha3sum
Source0:	https://codeberg.org/maandree/sha3sum/archive/%{version}.tar.gz#/sha3sum-%{version}.tar.gz
Patch1:		0001-build-repair-wrong-order-of-link-arguments.patch
BuildRequires:	libkeccak-devel

%description
Fully configurable byte-orientated checksum utilities
for Keccak and its close derivatives SHA-3, SHAKE and
RawSHAKE.

%prep
%autosetup -p1 -n %name

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
%make_install PREFIX=%{_prefix}

%check
make check

%files
%license LICENSE
%doc README
%{_bindir}/*
%{_mandir}/man1/*
