Name:		shntool
Version:	3.0.10
Release:	%mkrel 11
Summary:	A multi-purpose WAVE data processing and reporting utility
License:	GPLv2+
Group:		Sound/Editors and Converters
URL:		https://etree.org/shnutils/shntool
Source0:	https://etree.org/shnutils/shntool/dist/src/%{name}-%{version}.tar.gz
Recommends:	flac
Recommends:	sox
Recommends:	cuetools

%description
A multi-purpose WAVE data processing and reporting utility. File formats are
abstracted from its core, so it can process any file that contains WAVE data,
compressed or not - provided there exists a format module to handle that
particular file type.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog COPYING NEWS README
%doc doc/*
%_bindir/shn*
%_mandir/man1/*.1.*

