# This is a nonfree package, it must be built on nonfree section.

Name:		shorten
Version:	3.6.1
Release:	%mkrel 7
Summary:	A fast, low complexity waveform coder
License:	Distributable
Group:		Sound/Editors and Converters
URL:		https://www.etree.org/shnutils/shorten/
Source:		https://www.etree.org/shnutils/shorten/dist/src/%{name}-%{version}.tar.gz

%description
Shorten is a low complexity and fast waveform coder (i.e. audio
compressor), originally written by Tony Robinson at SoftSound.
It can operate in both lossy and lossless modes.

%prep
%setup -q

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog doc/{LICENSE,tr156.ps}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
