Name:           showfont
Version:        1.0.6
Release:        %mkrel 1
Summary:        Font dumper for X font server
Group:          Development/X11
License:        MIT
URL:            https://xorg.freedesktop.org
Source:         https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(libfs)
BuildRequires:  x11-util-macros

Patch1:         0001-Update-to-match-mandriva-default-fontserver-config.patch

%description
Showfont displays data about a font that matches the given pattern.
The information shown includes font information, font properties, character
metrics, and character bitmaps.

%prep
%setup -q
%autopatch -p1

%build
%configure \
    --x-includes=%{_includedir}\
    --x-libraries=%{_libdir}
%make_build

%install
%make_install

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
