#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        KWallet integration for Sign-on framework
Name:           signon-kwallet-extension
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

# Qt6 BuildRequires
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)

# KDE Framework BuildRequires
BuildRequires:  cmake(KF6Wallet) >= 5.91

BuildRequires:  pkgconfig(SignOnExtension)

Requires:       kwallet
Requires:       signon
Requires:       signond

%description
KWallet integration for Sign-on framework.

%files
%dir %_kf6_libdir/signon/extensions
%_kf6_libdir/signon/extensions/libkeyring-kwallet.so

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install

