Name:		simsu
Version:	1.4.5
Release:	%mkrel 1
Summary:	Basic Sudoku game
Group:		Games/Puzzles
License:	GPLv3+
URL:		https://gottcode.org/simsu
Source0:	https://gottcode.org/simsu/%{name}-%{version}.tar.bz2

BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake

%description
A basic Sudoku game. You can switch between filling in notes
(pencil mode), or filling in answers (pen mode). To make it
easier to see where to place numbers, you can highlight all
instances of a number. You can also check your answers for
correctness while playing. The game stores your current notes
and answers, so that you can pick up where you left off the
next time you play.

%prep
%setup -q

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*
