Name: sipcalc
Version: 1.1.6
Release: %mkrel 6
Summary: An "advanced" console based IP subnet calculator

Group: Networking/Other
License: BSD
URL: https://www.routemeister.net/projects/sipcalc
#URL2 : http://freecode.com/projects/sipcalc
Source0: https://www.routemeister.net/projects/%{name}/files/%{name}-%{version}.tar.gz

%description
Sipcalc is an "advanced" console based IP subnet calculator.

%prep
%setup -q

#convert ChangeLog to UTF-8
iconv -f ISO-8859-1 -t UTF-8 ChangeLog > ChangeLog.utf8 && \
touch -r ChangeLog ChangeLog.utf8 && \
mv -f ChangeLog{.utf8,}

%build
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%doc doc/sipcalc.txt
%{_bindir}/sipcalc
%{_mandir}/man1/sipcalc.1.*

