Name:           slirp4netns
Version:        1.1.12
Release:        %mkrel 1
Summary:        User-mode networking for unprivileged network namespaces
License:        GPLv2 AND MIT AND BSD-2-Clause
Group:          System/Configuration
URL:            https://github.com/rootless-containers/slirp4netns
Source0:        https://github.com/rootless-containers/slirp4netns/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  git
BuildRequires:  go-md2man
BuildRequires:  libcap-devel
BuildRequires:  libseccomp-devel
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(slirp)
BuildRequires:  make

%description
slirp for network namespaces, without copying buffers across the namespaces.

%prep
%setup -q

%build
./autogen.sh
%configure
%make_build
%make_build generate-man

%install
%make_install install-man

%files
%doc README.md
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*.1*
