Name:		slock
Version:	1.5
Release:	%mkrel 1
Group:		Graphical desktop/Other
License:	MIT
Summary:	Simple X display locker
URL:		https://tools.suckless.org/slock
Source:		https://dl.suckless.org/tools/slock-%{version}.tar.gz
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:  git-core

%description
A very simple X screen locker from suckless.org. It is stable and quite
a lot of people are using it every day when they are out with friends
or fetching some food from the local pub


%prep
%setup -q

%build
%set_build_flags
%make_build CFLAGS="$CFLAGS "'$(CPPFLAGS) ' LDFLAGS="$LDFLAGS "'$(LIBS)'

%install
%make_install PREFIX=%{_prefix}

%files
%doc LICENSE README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
