#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Snap Permissions Management KCM
Name:           snap-kcm
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)

BuildRequires:  cmake(KF6Config) >= 6.10.0
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6I18n)

BuildRequires:  cmake(Snapd)

%description
KCM allowing changing permissions which have granted to installed
Snap applications.

%files
%license LICENSES/*
%doc README.md
%_kf6_applicationdir/kcm_snap.desktop
%_qt6_plugindir/plasma/kcms/systemsettings/kcm_snap.so

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
