%define rel 5

Name:       sni-qt
Version:    0.2.6
Release:    %mkrel %{rel}
Summary:    Qt4 plugin that turns QSystemTrayIcons into status notifiers
License:    LGPLv3
Group:      Graphical desktop/KDE
Url:        https://launchpad.net/sni-qt
Source0:    https://launchpad.net/sni-qt/trunk/%{version}/+download/%{name}-%{version}.tar.bz2
Source1:    sni-qt.conf

BuildRequires: pkgconfig(QtCore) 
BuildRequires: pkgconfig(dbusmenu-qt)
BuildRequires: cmake

Requires:   libsni-qt


%description
This plugin makes Qt4 applications use the StatusNotifierItem (SNI) protocol for
their system tray icons.

%files
%doc NEWS README COPYING* LGPL*
%config(noreplace) %{_sysconfdir}/xdg/sni-qt.conf

#------------------------------------------------------

%define libsniqt %mklibname sniqt

%package -n %{libsniqt}
Summary:    Runtime plugin for %{name}
Group:      System/Libraries
Provides:   libsni-qt

%description -n %{libsniqt}
This plugin makes Qt4 applications use the StatusNotifierItem (SNI) protocol for
their system tray icons.

%files -n %{libsniqt}
%{_qt4_plugindir}/systemtrayicon

#------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt4
%cmake_build

%install
%cmake_install
%__install -D -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/xdg/sni-qt.conf
