Name:		snortsam
Version:	2.70
Release:	%mkrel 13
Summary:    SnortSAM module
License:    BSD
Group:      Networking/Other
URL:        http://www.snortsam.net/
Source:     http://www.snortsam.net/files/snortsam/%{name}-src-%{version}.tar.gz

%description
Snortsam is a daemon that interacts with snort to use a firewall.

%prep
%setup -q -n %{name}
cat > Makefile <<EOF
install:
EOF

%build
sh ./makesnortsam.sh
cd src
make samtool DEBUG="%{optflags}"
#%%make_build "CFLAGS=%optflags"

%install
install -d %{buildroot}%{_sbindir}
rm -rf %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_sysconfdir}
install snortsam %{buildroot}%{_sbindir}
install samtool %{buildroot}%{_sbindir}
install conf/snortsam.conf.sample %{buildroot}%{_sysconfdir}/snortsam.conf
%makeinstall
#%{__rm} -rf %{buildroot}

#mkdir %{buildroot}%_mandir/man1
#mv %{buildroot}%_mandir/*.1 %{buildroot}%_mandir/man1/

%files
%doc docs/{README*,LICENSE,INSTALL,FAQ,CREDITS,BUGS,AUTHORS}
%_sbindir/*
%{_sysconfdir}/snortsam.conf






