%define scummvmdir %{_datadir}/scummvm/

Name:           soltys-es
Version:        1.0
Release:        %mkrel 4
Summary:        Soltys - Adventure Game
Group:          Games/Adventure
License:        Freeware
URL:            https://scummvm.org/games/#soltys
Source:		https://scummvm.org/frs/extras/Soltys/%{name}-v%{version}.zip

BuildArch:      noarch
Requires:       scummvm

%description
You play the head of the village of Wąchock and your aim is to find the missing
husband of your daughter (who apparently isn't very attractive if you know what
I mean). Scared of his future, Leon decides to run away from the wedding and you
are responsible for bringing this poor guy back.


%prep
%setup -q -n soltys-es-v1-0
sed -i 's/\r//g' license.txt


%install
mkdir -p %{buildroot}/%{scummvmdir}/%{name}
install -p -m 644 vol.cat vol.dat %{buildroot}/%{scummvmdir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Soltys (Spanish)
Name[es]=Soltys (Español)
Name[pt]=Soltys (Espanhol)
Comment=%summary
Exec=%_gamesbindir/scummvm -p%{scummvmdir}/%{name} soltys
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;AdventureGame;
EOF


%files
%doc *.txt
%{scummvmdir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop

