Name:           sonar-plugins-parent
Version:        16
Release:        %mkrel 6
Group:          Development/Java
Summary:        Sonar Plugins Parent POM

License:        LGPLv3+
URL:            https://www.sonarqube.org/
# svn export https://svn.codehaus.org/sonar-plugins/tags/parent-16/ sonar-plugins-parent-16
# tar cjf sonar-plugins-parent-16.tar.bz2 sonar-plugins-parent-16/
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.codehaus.mojo:buildnumber-maven-plugin)
BuildRequires:  mvn(org.codehaus.sonar:sonar-packaging-maven-plugin)

BuildArch:      noarch

%description
Sonar Plugins Parent POM.

%prep
%setup -q

%pom_xpath_remove pom:build/pom:extensions
%pom_remove_plugin :maven-license-plugin
%pom_remove_plugin :animal-sniffer-maven-plugin
%pom_remove_plugin :maven-enforcer-plugin

%mvn_file ':{*}' @1

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles

