%define debug_package %{nil}

Summary:	A GUI front-end to SopCast
Name:		sopcast-player
Version:	0.5.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Video
Url:		https://code.google.com/p/sopcast-player/
Source0:	http://sopcast-player.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires:	python-setuptools
BuildRequires:	gettext
BuildRequires:	vlc-devel
Requires:	vlc
Requires:	python

%description
SopCast Player is designed to be an easy to use Linux GUI front-end for the p2p
streaming technology developed by SopCast. SopCast Player features an 
integrated video player, a channel guide, and bookmarks. Once SopCast Player is
installed it simply "just works" with no required configuration.

%prep
%setup -qn %{name}

%build
sed -i -e 's/libvlc.so/libvlc.so.5/g' lib/vlc.py
sed -i -e 's/gtk_update_icon_cache/#gtk_update_icon_cache/g' Makefile

%set_build_flags
%make

%install

%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.svg


