%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	CD ripping tool using GTK+ and GStreamer
Name:		sound-juicer
Version:	3.40.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Sound/Utilities
URL:		https://www.burtonini.com/blog/computers/sound-juicer
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libbrasero-media3)
BuildRequires:	pkgconfig(libmusicbrainz5)
BuildRequires:	pkgconfig(libdiscid)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	itstool
BuildRequires:	gstreamer1.0-flac
BuildRequires:	gstreamer1.0-plugins-good
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
Requires:	gsettings-desktop-schemas
Requires:	gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-cdparanoia
Recommends:	gstreamer1.0-vorbis
Recommends:	gstreamer1.0-flac
Recommends:	gstreamer1.0-lame
Recommends:	gstreamer1.0-faac

%description
This is Sound Juicer, a CD ripping tool using GTK+ and GStreamer.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

rm -rf  %{buildroot}%{_docdir}/sound-juicer

%files -f %{name}.lang
%doc AUTHORS README.md NEWS TODO
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.SoundJuicer.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/org.gnome.SoundJuicer.*
%{_mandir}/man1/%{name}.1*
%{_datadir}/GConf/gsettings/%{name}.convert
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_metainfodir}/org.gnome.SoundJuicer.metainfo.xml
%{_datadir}/dbus-1/services/org.gnome.SoundJuicer.service
