Name:		soundwrapper
Version:	1.7
Release:	%mkrel 10
Summary:	Directs a program's sound output to Pulse, ALSA, aRts or esd
Group:		System/Base
License:	LGPL
URL:		https://svnweb.mageia.org/packages/cauldron/%{name}/current/
Source0:	%{name}-%{version}.tar.bz2

BuildRequires: libpulseaudio-devel 
BuildRequires: pkgconfig(alsa) 

%description
When placed before a command to run a program with some audio component,
that program's audio output is redirected to the ALSA sound device or to
the PulseAudio, aRts, or EsounD sound servers if either of them is in control
of the sound device, enabling programs to play sounds at the same time

In Mageia aRts and EsounD support is disabled.


%prep
%setup -q

aclocal
automake --add-missing
autoconf

%build
%configure --disable-arts --disable-esd
%make_build

%install
%make_install

%files
%{_bindir}/soundwrapper
