%global debug_package %{nil}
%define devname %mklibname %{name} -d

Name:           sparsehash
Version:        2.0.4
Release:        %mkrel 2
Summary:        Extremely memory-efficient C++ hash_map implementation

Group:          Development/Other
License:        BSD
URL:            https://github.com/sparsehash/sparsehash/
Source0:        https://github.com/sparsehash/sparsehash/archive/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake

%description
The Google SparseHash project contains several C++ template hash-map
implementations with different performance characteristics, including
an implementation that optimizes for space and one that optimizes for
speed.

%package -n     %{devname}
Summary:        Extremely memory-efficient C++ hash_map implementation
Group:          Development/Other

%description -n %{devname}
The Google SparseHash project contains several C++ template hash-map
implementations with different performance characteristics, including
an implementation that optimizes for space and one that optimizes for
speed.

%prep
%setup -q -n sparsehash-sparsehash-%{version}

%build
%{__perl} -i -lpe 's/2\.0\.2/%{version}/ if /^AC_INIT\(/' configure.ac
autoreconf -s -i
%configure
%make_build

%install
%make_install

# Remove unneeded files
rm %{buildroot}%{_docdir}/%{name}-%{version}/INSTALL
rm %{buildroot}%{_docdir}/%{name}-%{version}/README_windows.txt

%check
make check

%files -n %{devname}
%doc %{_docdir}/%{name}-%{version}
%{_includedir}/google/
%{_includedir}/sparsehash/
%{_libdir}/pkgconfig/libsparsehash.pc
