Name:           spec-helper
Version:        0.31.24
Release:        %mkrel 1
Summary:        Tools to ease the creation of rpm packages
License:        GPLv2+
Group:          Development/Other
URL:            https://gitweb.mageia.org/software/rpm/spec-helper/
Source0:        %{name}-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  perl(IPC::Run)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(List::MoreUtils)
Requires:       findutils
Requires:       gettext

%description
Tools to ease the creation of rpm packages for the %_vendor distribution.
Compress man pages using xz, convert links and perform some sanitizing on
packages built...

%prep
%setup -q

%install
%make_install

%check
make test

%files
%doc README NEWS
%{_bindir}/macroszification
%{_datadir}/spec-helper
%{_rpmconfigdir}/macros.d/macros.%{name}
