%define oname   speed-dreams
%define major   2
%define datname %{oname}-%{major}
%define rev     8786

Name:           %{oname}-data-hq
Version:        2.3.0
Release:        %mkrel 1
Summary:        HQ data for Speed Dreams
Group:          Games/Simulation
License:        GPLv2
URL:            http://www.speed-dreams.org
Source0:        https://downloads.sf.net/speed-dreams/%{oname}-src-hq-cars-and-tracks-%{version}-r%{rev}.tar.xz

BuildArch:      noarch
Requires:       %{oname}-data-base = %{version}
Provides:       %{oname}-data = %{version}

%description
HQ data for Speed Dreams
- new tracks: brondehach, chemisay, corkscrew, forza,
  karwada, allondaz, charmey, arizona, manton, mile
- new cars: 36GP, LS1 series
- new robots: simplix_ls1, simplix_36GP, usr_ls1, usr_36GP
- adds mods: championship, single event

%prep
%autosetup -c

%build

%install
mkdir -p %{buildroot}%{_gamesdatadir}/%{datname}
cp -a data/* %{buildroot}%{_gamesdatadir}/%{datname}/

find %{buildroot} -name "CMakeLists.txt" -delete

%files
%{_gamesdatadir}/%{datname}/tracks/circuit/brondehach/
%{_gamesdatadir}/%{datname}/tracks/circuit/chemisay/
%{_gamesdatadir}/%{datname}/tracks/circuit/corkscrew/
%{_gamesdatadir}/%{datname}/tracks/circuit/forza/
%{_gamesdatadir}/%{datname}/tracks/circuit/karwada/
%{_gamesdatadir}/%{datname}/tracks/circuit/hidden-valley/
%{_gamesdatadir}/%{datname}/tracks/circuit/melbourne/
%{_gamesdatadir}/%{datname}/tracks/road/allondaz/
%{_gamesdatadir}/%{datname}/tracks/road/charmey/
%{_gamesdatadir}/%{datname}/tracks/road/alicante/
%{_gamesdatadir}/%{datname}/tracks/road/auriac/
%{_gamesdatadir}/%{datname}/tracks/speedway/arizona/
%{_gamesdatadir}/%{datname}/tracks/speedway/manton/
%{_gamesdatadir}/%{datname}/tracks/speedway/mile/
%{_gamesdatadir}/%{datname}/config/raceman/championship*.xml
%{_gamesdatadir}/%{datname}/config/raceman/singleevent*.xml
%{_gamesdatadir}/%{datname}/cars/models/36gp*/
%{_gamesdatadir}/%{datname}/cars/models/ls1*/
%{_gamesdatadir}/%{datname}/drivers/*_36GP/
%{_gamesdatadir}/%{datname}/drivers/*_ls1/
