# Please keep this package in sync with FC

Name:           spice-protocol
Version:        0.14.4
Release:        %mkrel 2
Summary:        Spice protocol header files
Group:          System/Libraries
# Main headers are BSD, controller / foreign menu are LGPL
License:        BSD and LGPLv2+
URL:            https://www.spice-space.org/
Source0:        https://www.spice-space.org/download/releases/%{name}-%{version}.tar.xz
Source1:        https://www.spice-space.org/download/releases/%{name}-%{version}.tar.xz.sig
Source2:        victortoso-E37A484F.keyring

BuildArch:      noarch
BuildRequires:  gnupg2
BuildRequires:  meson

%description
Header files describing the spice protocol
and the para-virtual graphics card QXL.

%prep
gpgv2 --quiet --keyring %{SOURCE2} %{SOURCE1} %{SOURCE0}
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%doc COPYING CHANGELOG.md
%{_includedir}/spice-1
%{_datadir}/pkgconfig/spice-protocol.pc
