Name: 		srm
Version: 	1.2.15
Release: 	%mkrel 6
License: 	MIT
URL: 		https://srm.sourceforge.net/
Group: 		System/Base
Source: 	https://downloads.sourceforge.net/srm/%{name}-%{version}.tar.gz

Summary: srm (secure rm) is a command-line compatible rm(1) which destroys file contents before unlinking

%description
This is srm, a secure replacement for rm(1). Unlike the standard rm,
it overwrites the data in the target files before unlinking them. This
prevents command-line recovery of the data by examining the raw block
device. It may also help frustrate physical examination of the disk,
although it's unlikely that completely protects against this type of
recovery.
%prep
%setup
%configure
%make_build

%build

%install
%make_install
rm -f %{buildroot}%{_bindir}/fill_test

%clean
rm -rf %{buildroot}
make clean

%files
%attr(-, root, root) %{_bindir}/srm
%attr(0644,root,root) %{_mandir}/man1/*
