Name:           sslscan
Version:        2.1.5
Release:        %mkrel 1
Summary:        Fast SSL Scanner
Group:          Monitoring
License:        GPLv3+
URL:            https://github.com/rbsec/sslscan
Source0:        https://github.com/rbsec/sslscan/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  openssl-devel >= 1.1.1

%description
SSLScan queries SSL services, such as HTTPS, in order to determine the ciphers
that are supported. SSLScan is designed to be easy, lean and fast. The output
includes preferred ciphers of the SSL service, the certificate and is in Text
and XML formats.

%prep
%autosetup

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="-lssl -lcrypto"

%install
install -D -m 755 sslscan %{buildroot}%{_bindir}/sslscan
install -D -m 644 sslscan.1 %{buildroot}%{_mandir}/man1/sslscan.1

%files
%doc Changelog README.md TODO
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/sslscan.1*
