Name:           stapler-adjunct-timeline
Version:        1.4
Release:        %mkrel 7
Group:          Development/Java
Summary:        Timeline widget support for Stapler web framework

# The project is licensed under BSD, but jquery is dual-licensed MIT or GPLv2
License:        BSD and (MIT or GPLv2)
URL:            https://github.com/stapler/stapler-adjunct-timeline
Source0:        https://github.com/stapler/%{name}/archive/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(javax.servlet:servlet-api)
BuildRequires:  mvn(org.kohsuke.stapler:stapler)

BuildArch:      noarch

%description
This package adds support for timeline widget to Stapler web framework.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

