%define rel	13
%define dict_format_version	2.4.2

Summary:	GCIDE English dictionary for StarDict 2
Name:		stardict-dict.org-gcide
Version:	2.4.2
Release:	%mkrel %rel
License:	GPL
Group:		Office/Dictionary
URL:		https://stardict.sourceforge.net/
BuildArch:	noarch

Source0:	ftp://osdn.dl.sourceforge.net/pub/sourceforge/s/st/stardict/stardict-dictd_www.dict.org_gcide-%{version}.tar.bz2

Provides:	stardict-dictionary = %{dict_format_version}
Requires:	stardict >= %{dict_format_version}

%description
GCIDE (GNU Collaborative International Dictionary of English) converted into
StarDict 2 format (originally for dictd)

%prep
%setup -q -n stardict-dictd_www.dict.org_gcide-%{version}

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/stardict/dic
install -m 0644 *.ifo *.idx* *.dict.dz $RPM_BUILD_ROOT%{_datadir}/stardict/dic

%files
%{_datadir}/stardict/dic/*



