%define  srcversion %{version}.r38

Name:    stuff
Version: 1.27
Release: %mkrel 6
Summary: An astronomical source catalogue generator

Group:   Sciences/Astronomy
License: GPLv3
URL:     https://www.astromatic.net/software/%{name}
Source0: https://www.astromatic.net/download/%{name}/%{name}-%{srcversion}.tar.gz


%description
Stuff is a program that generates artificial but realistic
catalogues of astronomical sources. These catalogs can be loaded
in SkyMaker to generate image simulations.

%prep
%setup -q -n %{srcversion}

%build
CFLAGS="%{optflags} -fcommon"
autoreconf -fi
%configure
automake --add-missing
%make_build 

%install
%make_install

%__chmod 644 %{buildroot}%{_datadir}/%{name}/data/filters/*/*.pb

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/manx/%{name}.x*
%{_datadir}/%{name}/*
