%define date 20170426
%define git  66bb9eb

Summary:	Non-MacOS StyleWriter driver
Name:		stylewriter
Version:	0.9.9.1
Release:	%mkrel -c %{?git:git%{date}} 4
License:	GPLv2
Group:		System/Printing
URL:		https://github.com/Godzil/lpstyl/
Source:		https://github.com/Godzil/lpstyl/archive/master/%{name}-%{version}%{?git:-%{git}}.tar.gz
#Patch0:		stylewriter-gcc4.patch
BuildRequires:	cmake

%description
This is a driver for certain types of Apple StyleWriter printers.

%prep

%setup -qn lpstyl-master
%autopatch -p0

%build
%cmake
%cmake_build

%install
install -d %{buildroot}%{_bindir}
install -m0755 build/lpstyl %{buildroot}%{_bindir}

%files
%doc scripts README* printcap* styl.ppd
%{_bindir}/*
