Name: sugar-artwork
Version: 0.121
Release: %mkrel 1
Summary: Artwork for Sugar look-and-feel
License: LGPLv2+
Group: Graphical desktop/Other
Url: https://sugarlabs.org/
Source: https://download.sugarlabs.org/sources/sucrose/glucose/%name/%name-%version.tar.xz
BuildRequires: perl(XML::Parser)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: python3-empy
BuildRequires: icon-naming-utils
BuildRequires: icon-slicer
BuildRequires: xcursorgen

%description
Contains the themes and icons that make up the Sugar default look and feel.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%post
%update_icon_cache sugar

%postun
%clean_icon_cache sugar

%files
%license COPYING
%doc NEWS
%{_datadir}/icons/*
%{_datadir}/themes/*
%{_libdir}/gtk*/*/engines/*
