Name:		sugar-browse-activity
Version:	208
Release:	%mkrel 1
Summary:	Browse activity for Sugar
Group:		Graphical desktop/Other
License:	GPLv2+
URL:		https://wiki.laptop.org/go/Browse
Source:		https://download.sugarlabs.org/sources/sucrose/fructose/Browse/Browse-%{version}.tar.bz2
Patch2:		0001-more-migration-to-webkit-4.1.patch
BuildArch:		noarch
BuildRequires:	gettext
BuildRequires:	python3-devel
BuildRequires:	sugar-toolkit-gtk3
BuildRequires:	gobject-introspection-devel
Requires:		sugar-toolkit-gtk3
Requires:		glib-networking
Requires:		python3-gobject3
Provides:		sugar-browse = %{version}-%{release}

%description
Browse is a Web browser for Sugar based on WebKit2.

%prep
%setup -q -n Browse-%{version}
%autopatch -p1

%build
%{__python3} ./setup.py build

%install
%{__python3} ./setup.py install --prefix=%{buildroot}%{_prefix}

# fix .desktop file
sed -i -e 's!%{buildroot}!!g' %{buildroot}%{_datadir}/applications/*.desktop

# drop unneeded files
rm -rf %{buildroot}%{_datadir}/sugar/activities/*/setup.py
find %{buildroot} -name '*.py.orig' -delete

%find_lang org.laptop.WebActivity

%files -f org.laptop.WebActivity.lang
%license COPYING
%doc AUTHORS README* NEWS
%{_datadir}/applications/org.laptop.WebActivity.activity.desktop
%{_datadir}/sugar/activities/Browse.activity/
%{_datadir}/metainfo/org.laptop.WebActivity.appdata.xml
