Name: sugar-calculate-activity
Version: 47
Release: %mkrel 2
Summary: Calculate activity for Sugar
License: GPLv2+
Group: Graphical desktop/Other
Url: https://sugarlabs.org/

Source: https://download.sugarlabs.org/sources/sucrose/fructose/Calculate/Calculate-%{version}.tar.bz2
BuildArch: noarch
BuildRequires: gettext
BuildRequires: python3-devel
BuildRequires: sugar-toolkit-gtk3
Requires: sugar-toolkit-gtk3
Requires: python3-gobject3

%description
The calculate activity provides a generic calculator.
The interface provides the simplest functions directly and should therefore
be easy to use for the youngest children. However, it does support more
complicated math and variables.

%prep
%setup -q -n Calculate-%{version}

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --prefix=%{buildroot}%{_prefix}

# fix .desktop file
sed -i -e 's!%{buildroot}!!g' %{buildroot}%{_datadir}/applications/*.desktop

# drop unneeded files
rm -rf %{buildroot}%{_datadir}/sugar/activities/*/setup.py
find %{buildroot} -name '*.py.orig' -delete

%find_lang org.laptop.Calculate

%files -f org.laptop.Calculate.lang
%doc NEWS AUTHORS
%license COPYING
%{_datadir}/sugar/activities/*
%{_datadir}/applications/org.laptop.Calculate.activity.desktop
