Name: sugar-write-activity
Version: 101
Release: %mkrel 4
Summary: Word processor for Sugar
License: GPLv2+
Group: Graphical desktop/Other
Url: https://sugarlabs.org/
Source: https://download.sugarlabs.org/sources/sucrose/fructose/Write/Write-%{version}.tar.bz2
BuildArch: noarch
BuildRequires: gettext
BuildRequires: python3-abiword
BuildRequires: sugar-toolkit-gtk3
Requires: python3-abiword
Requires: python3-gobject3
Requires: sugar-toolkit-gtk3

%description
The Write activity provides a word processor for the Sugar interface.

%prep
%setup -q -n Write-%{version}

# Fix typelib(Abi)
sed -i '/Abi/s|2.9|3.0|' widgets.py

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --prefix=%{buildroot}/%{_prefix}

# fix .desktop file
sed -i -e 's!%{buildroot}!!g' %{buildroot}%{_datadir}/applications/*.desktop

# drop unneeded files
rm -rf %{buildroot}%{_datadir}/sugar/activities/*/setup.py
find %{buildroot} -name '*.py.orig' -delete

%find_lang org.laptop.AbiWordActivity

%files -f org.laptop.AbiWordActivity.lang
%doc NEWS
%license COPYING
%{_datadir}/applications/org.laptop.AbiWordActivity.activity.desktop
%{_datadir}/sugar/activities/*
