Name:           susepaste
Version:        0.5.3
Release:        %mkrel 4
Summary:        Simple script for using openSUSE paste easily
License:        GPLv3+
Group:          Text tools
URL:            https://susepaste.org/
Source0:        https://github.com/openSUSE/paste/archive/master/%{name}-script-%{version}.tar.gz

BuildArch:      noarch

Requires:       curl

%description
Simple script for using openSUSE paste easily.
You can paste either the file or input from stdin.

https://susepaste.org/


%package screenshot
Summary:        Simple script for pasting screenshots easily
Group:          Graphics/Utilities

BuildArch:      noarch

Requires:       wmctrl
Requires:       imagemagick
Requires:       curl

Recommends:       xclip

%description screenshot
Simple script for using openSUSE paste easily.
You can paste screenshot of the window or whole desktop.

https://susepaste.org/


%prep
%setup -q -n paste-master

%build
#nothing to do

%install
pushd script
install -D -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 0755 %{name}-screenshot %{buildroot}%{_bindir}/%{name}-screenshot
install -D -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -D -m 0644 %{name}-screenshot.1 %{buildroot}%{_mandir}/man1/%{name}-screenshot.1
install -D -m 0644 lang-mappings.sed %{buildroot}%{_datadir}/%{name}/lang-mappings.sed
popd

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/lang-mappings.sed
%{_mandir}/man1/%{name}.*

%files screenshot
%{_bindir}/%{name}-screenshot
%{_mandir}/man1/%{name}-screenshot.*
