#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           svgpart
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        A SVG KPart
Group:          Graphics/Utilities
License:        GPLv2
URL:            https://apps.kde.org/svgpart/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz
# Branch Patch (100-200)

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6SvgWidgets)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  gettext


%description
A SVG KPart Service.

%files -f %name.lang
%_kf6_plugindir/parts/%{name}.so
%_kf6_metainfodir/org.kde.svgpart.metainfo.xml

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
