Name:           swaybg
Version:        1.2.1
Release:        %mkrel 1
Summary:        Wallpaper tool for Wayland compositors
Group:          Graphical desktop/Other
License:        MIT
URL:            https://github.com/swaywm/swaybg
Source0:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz

# Swaybg was part of sway before sway 1.1
Conflicts:      sway < 1.1

BuildRequires:  gcc
BuildRequires:  meson >= 0.48.0
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols) >= 1.14
# Man page compilation
BuildRequires:  scdoc

%description
Wallpaper tool for Wayland compositors.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%doc README.md
%license LICENSE
%{_bindir}/swaybg
%{_mandir}/man1/swaybg.1*
