Summary: Programs for manipulating PostScript Type 1 fonts
Name: t1utils
Version: 1.42
Release: %mkrel 2
Group: Publishing
License: freely modifiable and distributable
URL: https://www.lcdf.org/type/
Source: https://www.lcdf.org/type/%{name}-%{version}.tar.gz

%description
The t1utils package is a set of programs for manipulating PostScript
Type 1 fonts. It contains programs to change between binary PFB format
(for storage), ASCII PFA format (for printing), a human-readable and
editable ASCII format, and Macintosh resource forks.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%doc NEWS.md README.md
%{_bindir}/*
%{_mandir}/man1/*
