Name:		taglib-sharp
License:	LGPLv2
Group:		Development/Other
Summary:	Metadata library for most common movie and music formats
Url:		https://download.banshee.fm/%{name}
Version:	2.1.0.0
Release:	%mkrel 12
Source0:	https://download.banshee.fm/%{name}/%{version}/%{name}-%{version}.tar.bz2
BuildArch:	noarch
BuildRequires:	pkgconfig(mono)
BuildRequires:	pkgconfig(exiv2)

%description
TagLib# is a metadata or "tag" reader and writer library that supports
the most common movie and music formats, abstracting away
format specificity. TagLib# offers either a common API for all
formats or access to specific APIs for a given format.

%package devel
Summary: Development files for %name
Group: Development/Other
Requires: %{name} = %{version}-%{release}

%description devel
TagLib# is a metadata or "tag" reader and writer library that supports
the most common movie and music formats, abstracting away
format specificity. TagLib# offers either a common API for all
formats or access to specific APIs for a given format.


%prep
%setup -q

%build
sed -i 's!gmcs!mcs!' configure*
%configure  \
	--libdir=%{_prefix} \
	--disable-docs
%make_build

%install
%make_install

%files
%doc AUTHORS NEWS README
%{_prefix}/lib/mono/taglib-sharp
%{_prefix}/lib/mono/gac/taglib-sharp
%{_prefix}/lib/mono/gac/policy.2.0.taglib-sharp

%files devel
%{_datadir}/pkgconfig/taglib-sharp.pc
