Name: task-gnome
Epoch:   1
Version: 48.0
Release: %mkrel 1
Summary: Metapackage for GNOME desktop environment
Group: Graphical desktop/GNOME
License: GPLv2+
BuildArch: noarch
Requires: %{name}-minimal
Recommends: brasero
Recommends: caribou
Recommends: caribou-gtk3
Recommends: cheese
Recommends: gnome-connections
Recommends: loupe
Recommends: epiphany
Recommends: evince
Recommends: evolution
Recommends: file-roller
Recommends: gnome-calculator
Recommends: gdm
Recommends: gnome-text-editor
Recommends: gnome-backgrounds
Recommends: gnome-boxes
Recommends: gnome-builder
Recommends: gnome-calendar
Recommends: gnome-characters
Recommends: gnome-clocks
Recommends: gnome-color-manager
Recommends: gnome-contacts
Recommends: gnome-disk-utility
Recommends: gnome-epub-thumbnailer
Recommends: gnome-directory-thumbnailer
Recommends: gnome-font-viewer
Recommends: gnome-games
Recommends: gnome-maps
Recommends: gnome-music
Recommends: gnome-multi-writer
Recommends: gnome-photos
Recommends: gnome-sound-recorder
Recommends: gnome-system-monitor
Recommends: endeavour
Recommends: gnome-usage
Recommends: gnome-weather
Recommends: gucharmap
Recommends: mousetweaks
Recommends: nautilus-sendto
Recommends: orca
Recommends: rhythmbox
Recommends: shotwell
Recommends: simple-scan
Recommends: sushi
Recommends: bijiben
Recommends: totem
Recommends: vinagre
Recommends: gnome-remote-desktop
Recommends: baobab
Recommends: gnome-system-log
Recommends: gnome-search-tool
Recommends: gnome-dictionary
Recommends: gnome-screenshot

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running GNOME.

%package minimal
Summary: Minimal dependencies needed for GNOME desktop
Group: Graphical desktop/GNOME
Requires: accountsservice
Requires: adwaita-icon-theme
Requires: gnome-control-center
Requires: gnome-power-manager
Requires: gnome-console
Requires: gnome-themes-extra
Requires: nautilus
Requires: networkmanager
Requires: gnome-shell
# classic alternative:
Requires: gnome-classic-session
Requires: yelp
# vendor specific:
Requires: %{_real_vendor}-theme
# not strictly required modules
Recommends: gnome-tweaks
Recommends: task-sound
# vendor specific:
Recommends: drakconf
Recommends: mageiawelcome
# legacy systray (needed for mgaonline, net_applet, hplip)
Recommends: gnome-shell-extension-appindicator

# like task-kde4, but suggests instead of requires
Recommends: task-x11 >= 1-2
# following tasks only have recommend, no requires
Requires:   task-codec-audio
Requires:   task-codec-video

%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal GNOME desktop environment.

%files

%files minimal
