Name:       task-lxqt
Version:    2.1.0
Release:    %mkrel 1
Summary:    Metapackage for LXQt
Group:      Graphical desktop/Other
License:    GPLv2+
URL:        https://lxqt-project.org/
Requires:   %{name}-minimal
Recommends: task-sound
Recommends: mageiawelcome
Requires:   lxqt-openssh-askpass
Recommends: sddm
Recommends: sddm-config-editor
Recommends: lxqt-admin
Recommends: lximage-qt
Recommends: qastools
Recommends: qbittorrent
Recommends: notepadqq
Recommends: qlipper
Recommends: lxqt-archiver
Recommends: xscreensaver
Recommends: falkon
Recommends: sonnet-config
Recommends: qpdfview
Recommends: vlc
Recommends: meteo-qt
Recommends: lxqt-theme-artemis
Recommends: screengrab
Recommends: ffmpegthumbnailer
Recommends: kvantum
#was suggested via https://bugs.mageia.org/show_bug.cgi?id=13321#c33
# but pulls in quite a lot of KDE dependencies - do we really want this?
#Recommends:    quassel

BuildArch:   noarch

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running LXQT, the Qt port of the upcoming version of LXDE,
the Lightweight Desktop Environment.


%package minimal
Summary:    Minimal dependencies needed for LXQt
Group:      Graphical desktop/Other
Requires:   desktop-common-data
# components listed at https://github.com/lxqt/lxqt/wiki/Building-from-source
Requires:   lxqt-globalkeys
Requires:   lxqt-notificationd
Requires:   lxqt-panel
Requires:   pcmanfm-qt
Requires:   lxqt-sudo
Requires:   lxqt-session
Requires:   lxqt-runner
Requires:   lxqt-qtplugin
Requires:   lxqt-policykit
Requires:   lxqt-powermanagement
Requires:   lxqt-about
Requires:   lxqt-menu-data
Requires:   lxqt-config
Requires:   liblxqt >= 2
Requires:   pavucontrol-qt
#window manager is required to login - require openbox, suggest kwin?
Requires:   openbox
# use qt version of obconf (see mga#32460)
Recommends: obconf-qt
#require at least one terminal emulator
Requires:   qterminal
Requires:   task-x11
Requires:   dbus-x11
Requires:   gvfs
Requires:   xdg-desktop-portal-lxqt
Recommends: drakconf
Recommends: fonts-ttf-dejavu
Recommends: lxde-icon-theme
Recommends: oxygen-icon-theme

%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running LXQT, the Qt port of the upcoming version
of LXDE, the Lightweight Desktop Environment.

%files

%files minimal

