Summary:     Meta package for MATE desktop environment
Name:        task-mate
Version:     1.28.0
Release:     %mkrel 2
URL:         https://www.mageia.org
Group:       Graphical desktop/MATE
License:     GPLv2+
BuildArch:   noarch

Requires:    %{name}-minimal = %{version}-%{release}
Requires:    atril
Requires:    mate-applets
Requires:    dconf-editor
Requires:    zenity
Requires:    engrampa
Requires:    eom
Requires:    mate-screensaver
Requires:    mate-system-monitor
Requires:    pluma
Requires:    mate-utils
Requires:    mozo
Recommends:  gucharmap
Recommends:  caja-image-converter
Recommends:  caja-open-terminal
Recommends:  caja-xattr-tags
Recommends:  caja-wallpaper
Recommends:  caja-share
Recommends:  caja-actions
Recommends:  mate-sensors-applet
Recommends:  mate-user-guide
Recommends:  mate-calc
Recommends:  mate-dock-applet
Recommends:  mate-menu

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running the MATE.

%package minimal
Summary:     Minimal dependencies needed for MATE desktop
Group:       Graphical desktop/MATE

Requires:    mate-backgrounds
Requires:    mate-control-center
Requires:    caja
Requires:    mate-icon-theme
Requires:    mate-panel
Requires:    mate-power-manager
Requires:    mate-session-manager
Requires:    mate-settings-daemon
Requires:    mate-themes
Requires:    marco
Requires:    mate-notification-daemon
Requires:    mate-polkit
Requires:    libwnck
Requires:    mate-terminal
Requires:    mate-media
Requires:    gnome-keyring
Requires:    yelp >= 3.1.0
Requires:    task-pulseaudio
Requires:    task-x11
Requires:    dm
Requires:    matemixer-backend
Recommends:  mageiawelcome
Recommends:  drakconf


%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal MATE desktop environment.

%prep

%install

%build

%files

%files minimal
