Summary:	Metapackage for the Xfce desktop environment
Name:		task-xfce
Epoch:		2
Version:	4.20
Release:	%mkrel 1
Group:		Graphical desktop/Xfce
License:	GPLv2+
URL:		https://www.mageia.org
BuildArch:	noarch

# (tpg) please keep requires in alphabetical order
Requires:	task-xfce-minimal
Recommends:	atril
Recommends:	engrampa
Recommends:	gigolo
Recommends:	parole
Recommends:	ristretto
Recommends:	thunar-archive-plugin
Recommends:	xfmpc
Recommends:	xfce4-artwork

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running the Xfce Mageia Desktop.

Xfce panel plugins can be found in %{name}-plugins.

%package minimal
Summary:	Minimal dependencies needed for Xfce desktop
Group:		Graphical desktop/Xfce
Url:		https://wiki.mageia.org

# (tpg) please keep requires in alphabetical order
Requires:	mousepad
Requires:	task-x11
Requires:	thunar
Requires:	xfce4-appfinder
Requires:	xfce4-notifyd
Requires:	xfce4-panel
Requires:	xfce4-screenshooter
Requires:	xfce4-session
Requires:	xfce4-settings
Requires:	xfce4-taskmanager
Requires:	xfce4-terminal
Requires:	xfce4-whiskermenu-plugin
Requires:	xfdesktop
Requires:	xfwm4

Recommends:	canberra-gtk
Recommends:	drakconf
Recommends:	lightdm
Recommends:	mageiawelcome
Recommends:	adwaita-icon-theme
Recommends:	xfce4-pulseaudio-plugin
Recommends:	task-sound
#Suggests:	xfce4-icon-theme
Recommends:	xfce4-power-manager

%description minimal
Xfce is a lightweight desktop environment for various *NIX systems.
Designed for productivity, it loads and executes applications fast,
while conserving system resources.

This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal Xfce desktop environment.

%package plugins
Summary:	Metapackage for the Xfce panel plugins
Group:		Graphical desktop/Xfce
Url:		https://wiki.mageia.org
Requires:	task-xfce-minimal

# (tpg) please keep requires in alphabetical order
Recommends:	xfce4-battery-plugin
Recommends:	xfce4-calculator-plugin
Recommends:	xfce4-clipman-plugin
Recommends:	xfce4-cpufreq-plugin
Recommends:	xfce4-cpugraph-plugin
Recommends:	xfce4-datetime-plugin
Recommends:	xfce4-diskperf-plugin
Recommends:	xfce4-embed-plugin
Recommends:	xfce4-equake-plugin
Recommends:	xfce4-eyes-plugin
Recommends:	xfce4-fsguard-plugin
Recommends:	xfce4-genmon-plugin
Recommends:	xfce4-hamster-plugin
Recommends:	xfce4-hotcorner-plugin
Recommends:	xfce4-indicator-plugin
Recommends:	xfce4-kbdleds-plugin
Recommends:	xfce4-linelight-plugin
Recommends:	xfce4-mailwatch-plugin
Recommends:	xfce4-mount-plugin
Recommends:	xfce4-mpc-plugin
Recommends:	xfce4-netload-plugin
Recommends:	xfce4-notes-plugin
Recommends:	xfce4-places-plugin
Recommends:	xfce4-pulseaudio-plugin
Recommends:	xfce4-quicklauncher-plugin
Recommends:	xfce4-sensors-plugin
Recommends:	xfce4-smartbookmark-plugin
Recommends:	xfce4-statusnotifier-plugin
Recommends:	xfce4-systemload-plugin
Recommends:	xfce4-time-out-plugin
Recommends:	xfce4-timer-plugin
Recommends:	xfce4-verve-plugin
Recommends:	xfce4-wavelan-plugin
Recommends:	xfce4-weather-plugin
Recommends:	xfce4-whiskermenu-plugin
Recommends:	xfce4-xkb-plugin

%description plugins
This package is a meta-package, meaning that its purpose is to contain
dependencies for running the Xfce panel plugins.

%files

%files minimal

%files plugins
