%define shortname taskd

Name:           taskserver
Version:        1.0.0
Release:        %mkrel 7
Summary:        Server for multi-user and multi-client access to taskwarrior data
Group:          Office/Organizer
License:        MIT
URL:            https://taskwarrior.org/
Source0:        https://taskwarrior.org/download/%{shortname}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(uuid)


%description
Taskserver is a sync server for taskwarrior. It allows you to access and
maintain your taskwarrior tasks for multiple users from multiple clients.

%prep
%setup -q -n %{shortname}-%{version}

%build
%cmake

%install
#mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
#install -m 644 -T scripts/bash/task.sh %{buildroot}%{_sysconfdir}/bash_completion.d/task
cd build
make install DESTDIR=%{buildroot}
mv %{buildroot}%{_defaultdocdir}/%{shortname} %{buildroot}%{_defaultdocdir}/%{name}
rm %{buildroot}%{_defaultdocdir}/%{name}/INSTALL

%files
%doc %{_defaultdocdir}/%{name}/
#%{_docdir}/%{name}/AUTHORS
#%{_docdir}/%{name}/ChangeLog
#%{_docdir}/%{name}/NEWS
#%{_docdir}/%{name}/README
%{_bindir}/%{shortname}
%{_bindir}/taskdctl
%{_mandir}/man1/%{shortname}.1*
%{_mandir}/man5/taskdrc.5*
