Name:		tclap
Summary:	Templatized C++ Command Line Parser
Version:	1.2.5
Release:	%mkrel 1
Group:		System/Libraries
License:	MIT
URL:		https://tclap.sourceforge.net/
Source:		https://sourceforge.net/projects/tclap/files/%{name}-%{version}.tar.gz
BuildArch:	noarch
Provides:	%{name}-devel = %{version}-%{release}

%description
This is a simple C++ library that facilitates parsing command line
arguments in a type independent manner.  It doesn't conform exactly
to either the GNU or POSIX standards, although it is close.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/pkgconfig
mv %{buildroot}%{_libdir}/pkgconfig/*.pc %{buildroot}%{_datadir}/pkgconfig/

%check
%__make check

%files
%doc README AUTHORS ChangeLog NEWS
%{_docdir}/%{name}/html/
%{_docdir}/%{name}/*.{html,css}
%{_includedir}/%{name}/
%{_datadir}/pkgconfig/*.pc
