%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitelib: %define tcl_sitelib %{_datadir}/tcl%{tcl_version}}

Summary:  Tcl commands for SOAP remote procedure calls
Name: tclsoap
Version: 1.6.7
Release: %mkrel 4
License: MIT
URL: https://tclsoap.sourceforge.net/
Group:  System/Networking
Source0:        https://download.sourceforge.net/tclsoap/TclSOAP-1.6.7.tar.gz
Patch0: tclsoap-dom3.patch
Patch1: tclsoap-fix-tests.patch
Patch2: tclsoap-1.6.7-version.patch
BuildArch: noarch
BuildRequires: tcl
Requires: tcl-tclxml

%description
Provides support for building clients and servers for the
SOAP remote procedure call protocol from Tcl. SOAP is an 
XML based RPC mechanism which provides cross-platform
cross language compatibility.

%prep
%autosetup -p1 -n %{name}%{version}
chmod a-x doc/*

%build
%configure --libdir=%{tcl_sitelib}
# Nothing to build.  Don't run 'make'

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%{tcl_sitelib}/%{name}%{version}/*
%doc CHANGES LICENSE DESCRIPTION.txt TclSOAP.ANN
%doc doc/*
