Summary:	A tool to merge or split pcap files
Name:		tcpslice
Version:	1.7
Release:	%mkrel 1
License:	BSD
Group:		Monitoring
Url:		https://www.tcpdump.org/
Source0:	https://www.tcpdump.org/release/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(libpcap)

%description
tcpslice concatenates multiple pcap files together, or extracts time slices
from one or more pcap files.

%prep
%autosetup -p1

%build
./autogen.sh
%configure
%make_build

%install
%make_install

%files
%doc README.md CHANGES CREDITS
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
