Name:		telepathy-idle
Version:	0.2.2
Release:	%mkrel 2
Summary:	A Telepathy connection manager implementation for the IRC protocol
Group:		Networking/Instant messaging
License:	LGPLv2
URL:		https://telepathy.freedesktop.org/wiki/
Source0:	https://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(telepathy-glib)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	libxslt-proc
BuildRequires:	python3
Requires:	telepathy-filesystem
Requires:	telepathy-glib

%description
A Telepathy connection manager implementation for the IRC protocol.

%prep
%setup -q
2to3 --write --nobackups --no-diffs tools
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.ConnectionManager.idle.service
%{_datadir}/telepathy/managers/idle.manager
%{_libexecdir}/telepathy-idle
%{_mandir}/man8/telepathy-idle.8*
