%define	major 2
%define	libname %mklibname %{name} %major
%define	develname %mklibname %{name} -d

Summary:	Templating engine written in C++
Name:		teng
Version:	2.1.1
Release:	%mkrel 12
License:	LGPL
Group:		System/Libraries
URL:		https://teng.sourceforge.net/
Source0:	https://downloads.sourceforge.net/teng/%{name}-%{version}.tar.gz
BuildRequires:	flex
BuildRequires:	bison

%description
Teng is a general purpose templating engine written in C++ (i.e. library). It is
also available as Python module or PHP extension. The main idea of teng is to
strictly separate application logic from presentation layer. Widely used on
dynamic web sites.

%package -n	%{libname}
Summary:	The shared Teng libraries
Group:		System/Libraries

%description -n	%{libname}
Teng is a general purpose templating engine written in C++ (i.e. library). It is
also available as Python module or PHP extension. The main idea of teng is to
strictly separate application logic from presentation layer. Widely used on
dynamic web sites.

This package contains the shared Teng libraries.

%package -n	%{develname}
Summary:	Development files from Teng
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname teng 1 -d}

%description -n	%{develname}
Development files from Teng.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files	-n %{libname}
%doc COPYING README INSTALL AUTHORS
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files	-n %{develname}
%{_includedir}/*
%{_libdir}/lib%{name}.so
