# (anssi) Only should be changed at the same time as texlive+texlive-texmf:
%define obsolete_tetex 0

Name:           texi2html
Version:        5.0
Release:        %mkrel 13
Epoch:          0
License:        GPLv2
Group:          Publishing
Summary:        Highly customizable texinfo to HTML and other formats translator
URL:            https://www.nongnu.org/texi2html/
Source0:        https://download.savannah.nongnu.org/releases/texi2html/texi2html-%{version}.tar.gz
Patch0:         texi2html-5.0-mga-gettext.patch
Patch1:         texi2html-5.0-Do-not-install-Unicode-EastAsianWidth-if-external-is.patch
Patch2:         texi2html-5.0-Do-not-install-libintl-perl-if-external-is-used.patch
BuildArch:      noarch
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Locale::Messages)
BuildRequires:  perl(Text::Unidecode)
BuildRequires:  perl(Unicode::EastAsianWidth)
# not detected automatically because it is required at runtime based on
# user configuration
Requires:       perl(Locale::Messages)
Requires:       perl(Text::Unidecode)
Requires:       perl(Unicode::EastAsianWidth)

%if %obsolete_tetex
Obsoletes:	tetex-texi2html < 1:3.0
%else
Conflicts:	tetex-texi2html < 1:3.0
%endif

%description
The basic purpose of texi2html is to convert Texinfo documents into HTML,
and other formats. Configuration files written in perl provide fine degree
of control over the final output, allowing most every aspect of the final
output not specified in the Texinfo input file to be specified.

%prep
%autosetup -p1

# Remove bundled modules
rm -r lib

%build
autoreconf -fi
%configure \
    --with-external-libintl-perl=yes \
    --with-external-Unicode-EastAsianWidth=yes
%make_build

%install
%make_install

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README TODO texi2html.init
%{_bindir}/texi2html
%{_datadir}/texinfo/html/texi2html.html
%{_mandir}/man*/texi2html*
%{_infodir}/texi2html.info*
%{_datadir}/texinfo/init/*.init
%dir %{_datadir}/texi2html
%dir %{_datadir}/texi2html/i18n
%dir %{_datadir}/texi2html/images
%{_datadir}/texi2html/i18n/*
%{_datadir}/texi2html/images/*
