#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 1 addon for advanced thread management
Name:           threadweaver
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Xml)

%description
KDE Frameworks 6 Tier 1 addon for advanced thread management.

#--------------------------------------------------------------------

%define kf6threadweaver_major 6
%define libkf6threadweaver %mklibname kf6threadweaver %{kf6threadweaver_major}

%package -n %libkf6threadweaver
Summary:        KDE Frameworks 6 Tier 1 addon for advanced thread management
Group:          System/Libraries

%description -n %libkf6threadweaver
KDE Frameworks 6 Tier 1 addon for advanced thread management.

%files -n %libkf6threadweaver
%_kf6_libdir/libKF6ThreadWeaver.so.%{kf6threadweaver_major}{,.*}
%_kf6_libdir/libKF6ThreadWeaver.so.%{version}

#--------------------------------------------------------------------

%define kf6sonnet_devel %mklibname kf6threadweaver -d

%package -n %kf6sonnet_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6threadweaver = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6sonnet_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6sonnet_devel
%_kf6_includedir/ThreadWeaver/
%_kf6_libdir/cmake/KF6ThreadWeaver/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

