Name:          tiles-master
Version:       3
Release:       %mkrel 5
Summary:       Apache Tiles (Master POM)
License:       ASL 2.0
Group:         Development/Java
URL:           https://tiles.apache.org/
# http://svn.apache.org/repos/asf/tiles/maven/tags/tiles-master-3/pom.xml
Source0:       tiles-master-3-pom.xml

BuildRequires: jpackage-utils

Requires:      maven-antrun-plugin
Requires:      maven-clean-plugin
Requires:      maven-install-plugin
Requires:      maven-release-plugin
Requires:      maven-site-plugin

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
The Apache Tiles project.  This master pom provides the default values for
common maven configuration throughout the Tiles project.

%prep

%build

%install
mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE0} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
