Summary:	A GNU utility for monitoring a program's use of system resources
Name:		time
Version:	1.9
Release:	%mkrel 6
License:	GPLv2+
Group:		Monitoring
URL:		https://www.gnu.org/software/time/time.html
Source0:	https://ftp.gnu.org/pub/gnu/time/%{name}-%{version}.tar.gz
BuildRequires:	texinfo

%description
The GNU time utility runs another program, collects information about
the resources used by that program while it is running and
displays the results.

Time can help developers optimize their programs.

The resources that `time' can report on fall into the general
categories of time, memory, I/O, and IPC calls.

The GNU version can format the output in arbitrary ways by using a 
printf-style format string to include various resource measurements.

%prep
%setup -q

%build
autoreconf -fi
%configure
%make_build CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
%make_install

%files
%doc NEWS README
%{_bindir}/%{name}
%{_infodir}/%{name}.info*
