Summary:	Terminal multiplexer
Name:		tmux
Version:	3.5a
Release:	%mkrel 1
License:	BSD
Group:		Terminals
Url:		https://tmux.github.io/
Source0:	https://github.com/%{name}/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	utempter-devel
BuildRequires:	bison

%description
tmux is a "terminal multiplexer". It allows a number of terminals (or
windows) to be accessed and controlled from a single terminal. It is
intended to be a simple, modern, BSD-licensed alternative to programs
such as GNU screen.


%prep
%setup -q
%autopatch -p1

%build
%configure --enable-systemd
%make_build

%install
%make_install

%files
%doc README CHANGES
%license COPYING
%{_bindir}/tmux
%{_mandir}/man1/tmux.*

