Name:		toilet
Version:	0.3
Release:	%mkrel 10
Summary:	Powerful figlet replacement
License:	WTFPL
Group:		Text tools
Url:		http://caca.zoy.org/wiki/toilet
Source:		http://caca.zoy.org/raw-attachment/wiki/toilet/%{name}-%{version}.tar.gz
Patch1:		toilet-0.3-automake-1.13.patch
BuildRequires:	pkgconfig(caca) 
BuildRequires:	pkgconfig(zlib)

%description
TOIlet is in its very early development phase. It uses the powerful libcucul
library to achieve various text-based effects. TOIlet implements or plans to
implement the following features:
 * The ability to load FIGlet fonts
 * Support for Unicode input and output
 * Support for colour output
 * Support for various output formats: HTML, IRC, ANSI...

TOIlet also aims for full FIGlet compatibility. It is currently able to load
FIGlet fonts and perform horizontal smushing. 

%prep
%setup -q
%autopatch -p1

%build
./bootstrap
%configure
%make_build

%install
%makeinstall 

%files
%_bindir/toilet
%_datadir/figlet
%_mandir/man1/toilet.*


