Name:		tree
Version:	2.2.1
Release:	%mkrel 1
Summary:	Utility which displays a tree view of directory contents
Group:		File tools
License:	GPLv2+
URL:		https://oldmanprogrammer.net/source.php?dir=projects/tree
Source0:	ftp://mama.indstate.edu/linux/tree/%{name}-%{version}.tgz

%description
The tree utility recursively displays the contents of directories in a
tree-like format.  Tree is basically a UNIX port of the tree DOS
utility.

Install tree if you think it would be useful to view the contents of
specified directories in a tree-like format.

%prep

%setup -q

%build
make CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
%make_install \
	PREFIX=%{buildroot}%{_prefix} \
	DESTDIR=%{buildroot}%{_bindir} \
	MANDIR=%{buildroot}%{_mandir}

%files
%doc README CHANGES
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
