Name:		ttyrec
Version:	1.0.8
Release:	%mkrel 10
Summary:	A tty recorder
Group:		Text tools
URL:		http://namazu.org/~satoru/ttyrec/
Source:		http://namazu.org/~satoru/ttyrec/%{name}-%{version}.tar.gz
License:	BSD
Patch0:		%{name}-1.0.8-deb-ttyrex-debian-patches-from-ttyrex.patch
Patch1:		%{name}-1.0.8-mga-no-streams.patch

%description
ttyrec is a tty recorder that records your terminal sessions with 
microsecond accuracy. It can record emacs -nw, vi, lynx, or any
programs running on tty.

%prep
%autosetup -p1

%build
%make_build

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
install -m 644 *.1 %{buildroot}%{_mandir}/man1
install -m 755 ttyrec %{buildroot}%{_bindir}
install -m 755 ttyplay %{buildroot}%{_bindir}
install -m 755 ttytime %{buildroot}%{_bindir}

%files
%{_bindir}/tty*
%{_mandir}/man1/tty*.1*

