Name:		turtlearena-data
Summary:	Data files for TurtleArena
Version:	0.6.1
Release:	%mkrel 9
Source0:	http://turtlearena.googlecode.com/files/turtlearena-%{version}-0.zip
License:	GPLv2+ And Creative Commons Attribution-ShareAlike
Group:		Games/Shooter
URL:		https://ztm.x10hosting.com/ta/
BuildArch:	noarch
Requires:	turtlearena => %{version}


%description
Turtle Arena (working title) is a free and open source cross-platform 
third-person action game using a modified version of the ioquake3 engine.
Turtle Arena is currently focused on multiplayer (with multiple game modes) 
and can be played with human players over a network, split-screen, or with AI 
players. In the future there will also be a single player / cooperative reach 
the end of the level mode with AI enemies.

This package contains the data files for TurtleArena.

%files
%{_datadir}/%{name}/base/*

%prep
%setup -q -n turtlearena-%{version}-0

%build

%install

#Install game data files
mkdir -p %{buildroot}/%{_datadir}/%{name}
cp -ap base %{buildroot}/%{_datadir}/%{name}
