Name:		txt2tags
Version:	3.9
Release:	%mkrel 2
Summary:	Converts text files to HTML, XHTML, sgml, LaTeX, man, etc
Group:		Text tools
License:	GPLv2+
URL:		https://txt2tags.org/
Source0:	https://github.com/txt2tags/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:	%{name}.1
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools

Requires:	python3

%description
txt2tags is a generic text converter. From a simple text file with minimal
markup, it generates documents on several formats


%prep
%setup -q

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

# man pages
install -d %{buildroot}%{_mandir}/man1
install -m 0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1

%files -f %{pyproject_files}
%doc CHANGELOG.md README.md
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
