%global _legacy_common_support 1

Name:		typespeed
Version:	0.6.5
Release:	%mkrel 34
Summary:	Type words that are flying by from left to right as fast as you can
License:	GPLv2+
Group:		Games/Other
URL:		http://tobias.eyedacor.org/typespeed/
Source:		http://tobias.eyedacor.org/typespeed/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	gettext-devel

%description
Typespeed gives your fingers' cps (total and correct), typoratio and
some points to compare with your friends.

Typespeed's idea is ripped from ztspeed (a dos game made by Zorlim).
Idea of the game should be clear to anyone, just type and type it fast
or be a loser.

%prep
%setup -q

# make build succeed with autoreconf
sed -i -e 's,AM_GNU_GETTEXT_VERSION,AM_GNU_GETTEXT_REQUIRE_VERSION,' configure.ac

%build
# fix build on aarch64
autoreconf -vfi

%configure --with-highscoredir=%{_localstatedir}/lib/games
%make_build

%install
%make_install highscoredir=%{_localstatedir}/lib/games

rm -f $RPM_BUILD_ROOT%{_datadir}/doc/%{name}/README

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Typespeed
Comment=Test your typing speed
Exec=typespeed
Type=Application
Terminal=true
Categories=Game;ArcadeGame;Education;
EOF

%find_lang %{name}

%files -f %{name}.lang
%doc doc/README COPYING NEWS TODO BUGS AUTHORS
%config(noreplace) %{_sysconfdir}/typespeedrc
%attr(2755,root,games) %{_bindir}/%{name}
%attr(775,root,games) %{_localstatedir}/lib/games/%{name}.score
%{_datadir}/%{name}
%{_mandir}/man6/%{name}.6*
%{_datadir}/applications/%{name}.desktop
