Name:		udftools
Epoch:		1
Version:	2.3
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Kernel and hardware
Summary:	UDF filesystem tools
URL:		https://github.com/pali/udftools
Source0:	https://github.com/pali/udftools/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(udev)

Provides:	udf
Obsoletes:	udf <= 1.0

%description -n udftools
These are tools for UDF file systems as used, e.g.,
on DVD-RAM, DVD+RW, CD-RW. They are also used for
managing Packet-CD/DVD devices and media.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

%files
%doc ChangeLog AUTHORS 
%{_bindir}/*
%{_sbindir}/*
%{_docdir}/%{name}/*
%{_mandir}/man1/*.1*
%{_mandir}/man8/*.8*
%{_udevrulesdir}/80-pktsetup.rules
