%define uim_version     1.4.0
%define chewing_version 0.3.2

Name:		uim-chewing
Summary:	Chinese input plugin for UIM
Version:	0.1.0
Release:	%mkrel 10
Group:		System/Internationalization
License:	BSD-like
URL:		https://people.freedesktop.org/~ekato/download/
Source0:	http://uim.googlecode.com/files/%{name}-%{version}.tar.gz
# (tv) for uim-module-manager:
BuildRequires:	uim
BuildRequires:	libuim-devel     >= %{uim_version}
BuildRequires:	libchewing-devel >= %{chewing_version}
BuildRequires:	librsvg
Requires:	uim        >= %{uim_version}
Requires:	libchewing >= %{chewing_version}

%description
Chinese input plugin for UIM.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--disable-static
%make_build

%install
%make_install

# remove unnecessary files
find %{buildroot} -name "*.la" -delete

%post
uim-module-manager --register chewing

%postun
uim-module-manager --unregister chewing

%files
%doc AUTHORS COPYING
%{_datadir}/uim/*.scm
%{_datadir}/uim/pixmaps/*.png
%{_libdir}/uim/plugin/libuim*.so
