#It is distributed under the Public UnAce Licence, which does not impose restrictions related to architecture or distribution.
#The original source code was obtained by mail by Debian from the upstream author Marcel Lemke <mlemke@winace.com>.
#Copyright: 2005 Ace Compression Software <info@winace.com>

Name:		unace
Version:	2.5
Release:	%mkrel 8
Summary:	Decompressor for .ace format archives
Url:		http://www.winace.com
License:	Public UnAce Licence
Group:		Archiving/Compression
Source0:	http://ftp.br.debian.org/debian/pool/non-free/u/%{name}-nonfree/%{name}-nonfree_%{version}.orig.tar.gz
#All patches and man are from http://ftp.br.debian.org/debian/pool/non-free/u/%{name}-nonfree/%{name}-nonfree_%{version}.debian.tar.gz
Source1:	%{name}.1
Patch1:		01-only-unace.patch
Patch2:		02-no-io_h.patch
Patch3:		03-gcc-call.patch
Patch4:		04-64bit.patch
Patch5:		05-warning-fixes.patch
Patch6:		06-fix-bad-pointer-arith.patch
Patch7:		07-fix-free-aliasing-issue.patch
Patch8:		08-ulonglong-printf.patch
Patch9:		09-utf8-filenames.patch
Patch10:	10-uninorm-signedness.patch
Patch11:	11-possibly-critical.patch
Patch12:	12-cast-filetime.patch
Patch13:	13-maximum-file-name-length.patch
Patch14:	14-endianness-detection.patch
Patch15:	15-format-security.patch

%description
Unace is a utility to extract, view, and test the contents of an ACE archive.
This package is in nonfree because of its license.

%prep
%setup -q
%autopatch -p1
sed -i 's/\r//g' licence

%build
%make

%install
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_mandir}/man1
install -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man1

%files
%doc licence
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
