Name:           unicode-ucd
Version:        16.0.0
Release:        %mkrel 1
Summary:        Unicode Character Database
Group:          System/Internationalization
License:        MIT
URL:            https://www.unicode.org/ucd/
Source0:        https://www.unicode.org/Public/zipped/%{version}/UCD.zip#/%{name}-%{version}.zip
Source1:        https://www.unicode.org/Public/zipped/%{version}/Unihan.zip#/Unihan-%{version}.zip
# https://www.unicode.org/terms_of_use.html referenced in ReadMe.txt redirects to:
Source10:       https://www.unicode.org/copyright.html#/copyright-%{version}.html
BuildArch:      noarch

%description
The Unicode Character Database (UCD) consists of a number of data files
listing Unicode character properties and related data. It also includes
data files containing test data for conformance to several important
Unicode algorithms.

%prep
%setup -q -c
grep -q "%{version}" ReadMe.txt || (echo "zip file seems not %{version}" ; exit 1)
cp %{S:10} copyright.html
cp %{S:1} Unihan.zip

%build
# Nothing to do here

%install
install -d %{buildroot}%{_datadir}/unicode/ucd
cp -ar . %{buildroot}%{_datadir}/unicode/ucd

%files
%doc ReadMe.txt copyright.html
%dir %{_datadir}/unicode
%{_datadir}/unicode/ucd/
