Name:    unifdef
Version: 2.12
Release: %mkrel 1
Summary: Tool for removing ifdef'd lines
Group:   Development/Other
License: BSD
URL:     https://dotat.at/prog/unifdef/
Source0: https://dotat.at/prog/unifdef/unifdef-%{version}.tar.xz

BuildRequires: make
BuildRequires: gcc
BuildRequires: pkgconfig

%description
Unifdef is useful for removing ifdefed lines from a file while otherwise
leaving the file alone. Unifdef acts on #ifdef, #ifndef, #else, and #endif
lines, and it knows only enough about C and C++ to know when one of these
is inactive because it is inside a comment, or a single or double quote.

%prep
%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
install -d -m0755 %{buildroot}%{_bindir}
install -p -m0755 unifdef %{buildroot}%{_bindir}/unifdef
install -p -m0755 unifdefall.sh %{buildroot}%{_bindir}/unifdefall.sh

install -d -m0755 %{buildroot}%{_mandir}/man1
install -p -m0644 unifdef.1 %{buildroot}%{_mandir}/man1/unifdef.1


%files
%{_bindir}/unifdef
%{_bindir}/unifdefall.sh
%{_mandir}/man1/unifdef.1*
