Name:          upsm
Version:       2.0.2
Release:       %mkrel 6
Summary:       Qt-based ups monitor (front-end for upsc from Network UPS Tools)
Group:         Monitoring
License:       GPLv3+
URL:           https://github.com/psemiletov/upsm
Source0:       https://github.com/psemiletov/upsm/archive/%{version}.tar.gz

BuildRequires: cmake
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)

Requires:      nut

%description
upsm is Qt-based ups monitor (front-end for upsc from Network UPS Tools). 
It sits at the tray and polls nut server using upsc, so you need to set 
up NUT first.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -pthread"
%cmake
%cmake_build

%install
%cmake_install

%files
%{_bindir}/upsm
%{_datadir}/applications/upsm.desktop
%{_iconsdir}/hicolor/128x128/apps/upsm.png
%{_iconsdir}/hicolor/scalable/apps/upsm.svg
