Name:		urpmex
Version:	0.1
Release:	%mkrel 16
License:	GPLv3
Group:		System/Configuration
Summary:	Suite of tools for Mageia administration
Url:		https://github.com/xquiet/urpmex
Source:		%{name}-%{version}.tar.bz2
Patch0:		urpmex-0.1-cumulative.patch

BuildArch:	noarch

Requires:	perl
Requires:	perl-List-Compare
Requires:	perl-List-AllUtils
Requires:	perl-Curses-UI
Requires:	perl-Term-ANSIColor
Requires:	curl
Requires:	wget

%description
urpmex is a (very small) suite of tools aiming to make 
Mageia system administration a bit more comfortable, 
especially when no graphical environment are available 
(i.e. remote terminals and so on).

Currently it provides three scripts:

* repos
* cuterepos
* urpm-downloader

%prep
%setup -q
%patch -P 0 -p1 -b .cumulative
# removing unstable/incomplete stuff
rm -fr cuty
rm -f kir.pl
ls -l .

%install
install -D -d -m 755 %{buildroot}%perl_privlib
install -D -d -m 755 %{buildroot}%_bindir
mv urpmex %{buildroot}%perl_privlib/
chmod -R 755 %{buildroot}%perl_privlib/urpmex
install -m 755 cuterepos.pl %{buildroot}%{_bindir}/cuterepos
install -m 755 repos.pl %{buildroot}%{_bindir}/repos
install -m 755 urpm-downloader.pl %{buildroot}%{_bindir}/urpm-downloader

%files
%doc README.md COPYING
%dir %perl_privlib/urpmex
%{_bindir}/*
%perl_privlib/urpmex/*
