Summary:	Linux USB utilities
Name:		usbutils
Version:	018
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		https://sourceforge.net/projects/linux-usb/
Source0:	https://www.kernel.org/pub/linux/utils/usb/usbutils/%{name}-%{version}.tar.xz

BuildRequires:	meson
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(gtk+-3.0)
Requires:	ldetect-lst >= 0.1.282

%description
This package contains the lsusb utility for inspecting the devices
connected to the USB bus. It shows a graphical representation of the
devices that are currently plugged in, showing the topology of the
USB bus. It also displays information on each individual device on
the bus.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%license LICENSES/GPL*
%doc NEWS
%{_bindir}/*
%{_mandir}/*/*
