Name:           v4l2ucp
Version:        2.0.2
Release:        %mkrel 5
Summary:        Universal control panel for all Video for Linux Two (V4L2) devices
Group:          System/Kernel and hardware
License:        GPLv2 and GFDL
URL:            https://v4l2ucp.sourceforge.net/
Source0:        https://download.sf.net/v4l2ucp/%{name}-%{version}.tar.bz2
Patch0:         v4l2ucp-2.0.1-fdr-no-more-v4l1.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(libv4l2)
BuildRequires:  qt4-devel

%description
V4L2 Universal Control Panel reads a description of the controls that the V4L2
device supports from the device, and presents the user with a graphical means
for adjusting those controls. It allows for controlling multiple devices.
There is an easy way to reset one or all the controls to their default state.

%prep
%setup -q
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc README
%{_bindir}/%{name}
%{_bindir}/v4l2ctrl
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
