
%define oname	xvba-video

Summary:	VA API driver for proprietary fglrx driver
Name:		vaapi-driver-fglrx
Version:	0.8.0
Release:	%mkrel 3
Group:		System/Kernel and hardware
License:	GPLv2+
# This site is defunct as of 2024Q4
URL:		http://www.splitted-desktop.com/~gbeauchesne/xvba-video/
Source0:	http://www.splitted-desktop.com/~gbeauchesne/xvba-video/%{oname}-%{version}.tar.gz
# for convenience:
Provides:	%{oname}
ExclusiveArch:	%ix86 x86_64
BuildRequires:	xvba-devel
BuildRequires:	GL-devel
BuildRequires:	libva-devel

%description
XvBA driver back-end for VA API, a video acceleration API.

This is the back-end for use with the proprietary fglrx display driver
for ATI cards.

%prep
%setup -q -n %oname-%version

%build
%configure
%make

%install
%make_install

rm -f %{buildroot}%{_libdir}/dri/*.la

%files
%doc AUTHORS NEWS README COPYING
%{_libdir}/dri/*_drv_video.so
