%global vagrant_plugin_name vagrant-hosts
%global gem_name vagrant-hosts

%global vagrant_plugin_instdir %{_datadir}/vagrant/gems/gems/%{name}-%{version}
%global vagrant_plugin_docdir %{_datadir}/vagrant/gems/doc/%{name}-%{version}
%global vagrant_plugin_cache %{_datadir}/vagrant/gems/cache/%{name}-%{version}.gem

#global vagrant_spec_commit 43837fe17f13c443d6bf0d6b347e9831aa109e68

Name: %{vagrant_plugin_name}
Version: 2.9.0
Release: %mkrel 3
Summary: Manage vagrant guest local DNS resolution
License: MIT
Group: Development/Other
URL: https://github.com/oscar-stack/vagrant-hosts
Source0: https://rubygems.org/gems/%{vagrant_plugin_name}-%{version}.gem

# Vagrant changed packaging scriptlets in version 1.9.1.
Requires: vagrant >= 1.9.1
BuildRequires: vagrant >= 1.9.1
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildArch: noarch
Provides: vagrant(%{vagrant_plugin_name}) = %{version}

%description
Manage vagrant guest local DNS resolution.

%package doc
Summary: Documentation for %{name}
Group:   Documentation
Requires: %{name} >= %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%gem_setup

%build
%gem_build

%install
#%%gem_install
%vagrant_plugin_install -d %{buildroot}%{_datadir}/vagrant/gems

%files
%dir %{vagrant_plugin_instdir}
%exclude %{vagrant_plugin_instdir}/.*
%exclude %{vagrant_plugin_instdir}/LICENSE
%{vagrant_plugin_instdir}/*
%exclude %{vagrant_plugin_cache}
%{_datadir}/vagrant/gems/specifications/*

%files doc
%doc LICENSE CHANGELOG
%doc %{vagrant_plugin_docdir}
%doc %{vagrant_plugin_instdir}/README.markdown
%{vagrant_plugin_instdir}/spec
