%define oname   vagrant-share

Name:       %{oname}
Version:    2.0.0
Release:    %mkrel 1
Summary:    Share your Vagrant environment with anyone in the world
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/hashicorp/%{oname}
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
Requires:   vagrant
BuildRequires: rubygems
BuildArch:  noarch

%description
Vagrant Share allows you to share your Vagrant environment with anyone in the world, enabling collaboration directly in your Vagrant environment in almost any network environment with a single command.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup
perl -pi -e 's|.*q\<vagrant\>.freeze.*||' ../%{oname}-%{version}.gemspec

%build
%gem_build

%install
%gem_install
