Name:		vboxtool
Version:	0.5
Release:	%mkrel 1
License:	GPLv3
Summary:	Tools for VirtualBox headless server
Group:		System/Base
Url:		https://vboxtool.sourceforge.net/
Source0:	https://sourceforge.net/projects/vboxtool/files/vboxtool/0.5/%{name}-%{version}.zip
# systemd service file
Source1:	vboxtool.service
Source2:	vboxtool.conf
Source3:	machines.conf

Requires:	virtualbox >= 4.1

%description
VBoxTool currently consist only of a set of scripts.
With this scripts, virtual machines of VirtualBox in a Linux headless server
can be controlled. Start, stop, save, backup and show status of sessions 
in batch mode from the command line.

%prep
%setup -q -c vboxtools

%build

%install
install -d -m755 %{buildroot}%{_bindir}
install -d -m755 %{buildroot}%{_initddir}
install -d -m755 %{buildroot}%_prefix/lib/systemd/system
install -d -m755 %{buildroot}%{_sysconfdir}/%{name}

install -m755 script/%{name} %{buildroot}%{_bindir}/%{name}
install -m755 script/vboxtoolinit %{buildroot}%{_initddir}/vboxtoolinit
install -m755 %{S:1} %{buildroot}%_prefix/lib/systemd/system/%{name}.service

install -m640 %{S:2} %{buildroot}%{_sysconfdir}/%{name}/
install -m640 %{S:3} %{buildroot}%{_sysconfdir}/%{name}/

%files
%doc readme.txt changelog.txt
%{_bindir}/%{name}
%{_initddir}/%{name}init
%_prefix/lib/systemd/system/%{name}.service
%config(noreplace) %{_sysconfdir}/%{name}/vboxtool.conf
%config(noreplace) %{_sysconfdir}/%{name}/machines.conf
