# This is an only devel package:
%define debug_package	%{nil}

Name:		vc
Version:	1.4.5
Release:	%mkrel 1
Summary:	Ease explicit vectorization of C++ code
License:	BSD
Group:		Development/C++
Url:		https://github.com/VcDevel/Vc
Source0:	https://github.com/VcDevel/Vc/releases/download/%{version}/Vc-%{version}.tar.gz

BuildRequires:	cmake

Provides:	%{name}-devel = %{version}-%{release}

%description
Vc is a free software library to ease explicit vectorization of C++ code.
It has an intuitive API and provides portability between different
compilers and compiler versions as well as portability between different
vector instruction sets.

%prep
%autosetup -p1 -n Vc-%{version}

%build
%cmake -DBUILD_TESTING=OFF
%cmake_build

%install
%cmake_install

%files
%{_includedir}/Vc/
%{_libdir}/libVc.a
%{_libdir}/cmake/Vc/
