%define plugin	freecell
%define rel	38

Summary:	VDR plugin: The well-known card game
Name:		vdr-plugin-%plugin
Version:	0.0.2
Release:	%mkrel %rel
Group:		Video/Utilities
License:	GPL+
URL:		http://linux.kompiliert.net/index.php?view=freecell
Source:		https://www.magoa.net/linux/files/vdr-%plugin-%version.tar.bz2
Patch0:		vdr-cardgames-0.0.2-to-gcc3.4.diff
Patch1:		vdr-freecell-0.0.2-time.patch
Patch2:		93_freecell-0.0.2-1.5.4.dpatch
Patch3:		freecell-0.0.2-i18n-1.6.patch
Patch4:		vdr-freecell-0.0.2-fix-makefile.patch
BuildRequires:	pkgconfig(vdr) >= 1.6.0
Requires:	vdr-abi = %vdr_abi

%description
This Freecell plugin is an implementation of the (well-known) card game
"Freecell" played on the On Screen Display of your Video Disk Recorder.

%prep
%setup -q -n %plugin-%version
%patch -P 0 -p1 -b .gcc34
%patch -P 1 -p1 -b .time
%patch -P 2 -p1
%patch -P 3 -p1
%patch -P 4 -p1 -b .make
%vdr_plugin_prep

%build
mkdir -p %{buildroot}/%{_vdr_plugin_dir}
%vdr_plugin_build

%install
%vdr_plugin_install

install -d -m755 %{buildroot}%{_vdr_plugin_datadir}/%{plugin}
install -d -m755 %{buildroot}%{_vdr_plugin_cfgdir}
install -m644 freecell/* %{buildroot}%{_vdr_plugin_datadir}/%{plugin}
ln -s %{_vdr_plugin_datadir}/%{plugin} 	%{buildroot}%{_vdr_plugin_cfgdir}/freecell

%files -f %plugin.vdr
%doc README COPYING HISTORY CONTRIBUTORS
%{_vdr_plugin_cfgdir}/freecell
%{_vdr_plugin_datadir}/%{plugin}
