%define plugin	imonlcd

Summary:	VDR plugin: Control an iMON LCD
Name:		vdr-plugin-%plugin
Version:	1.0.3
Release:	%mkrel 3
Group:		Video/Utilities
License:	GPLv3
URL:		http://projects.vdr-developer.org/projects/plg-imonlcd
Source0:	https://github.com/vdr-projects/vdr-plugin-imonlcd/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:		vdr-plugin-imonlcd-std.patch
BuildRequires:	pkgconfig(vdr) >= 1.6.0
BuildRequires:	freetype2-devel
Requires:	vdr-abi = %vdr_abi

%description
A Video Disk Recorder plugin that shows information about the
current state of VDR on an iMON LCD screen.

%prep
%autosetup -p1

%vdr_plugin_prep

%vdr_plugin_params_begin %plugin
# Sets the lcd-device to other device than /dev/lcd0
var=LCD_DEVICE
param="-d LCD_DEVICE"
# sets the protocol of lcd-device:
# '0038'	For LCD with ID 15c2:0038 SoundGraph Inc (default)
# 'ffdc'	For LCD with ID 15c2:ffdc SoundGraph Inc
var=PROTOCOL
param="-p PROTOCOL"
%vdr_plugin_params_end

%build
%vdr_plugin_build

%install
%vdr_plugin_install

%files -f %plugin.vdr
%doc README HISTORY
