%define plugin	vcd
%define rel	22

Summary:	VDR plugin: VideoCD Player
Name:		vdr-plugin-%plugin
Version:	0.9
Release:	%mkrel %rel
Group:		Video/Utilities
License:	GPLv2+
URL:		http://www.heiligenmann.de/vdr/vdr/plugins/vcd.html
#dead upstream !!!
Source0:		http://www.heiligenmann.de/vdr/download/vdr-%plugin-%version.tgz
#dead link but the tar.gz exist inside mageia


#Debian patches
Patch0:     01_Makefile-fPIC-fix.patch
Patch1:     90_vcd-0.9-1.7.3.patch
Patch2:     91_vcd-0.9-fix-INCLUDES.patch
Patch3:     vdr-1.7.27.patch
Patch4:     vdr-vcd-0.9_devicetrickspeed.patch

BuildRequires:	vdr-devel >= 1.6.0
Requires:	vdr-abi = %vdr_abi
Requires(post):	vdr-common

%description
This plugin adds the functionality to replay VideoCDs (and Super VideoCDs)
from within VDR (by Klaus Schmidinger).

%prep
%setup -q -n %plugin-%version
%autopatch -p1
%vdr_plugin_prep

%vdr_plugin_params_begin %plugin
# use DEV as the CD-ROM device
# default: /dev/cdrom
var=VCD_DEVICE
param=--vcd=VCD_DEVICE
%vdr_plugin_params_end

%build


%install
mkdir -p %buildroot%_libdir/vdr
%vdr_plugin_build LIBDIR=%buildroot%_libdir/vdr
%vdr_plugin_install

%post
%{_bindir}/gpasswd -a vdr cdrom >/dev/null
%{_bindir}/gpasswd -a vdr cdwriter >/dev/null

%files -f %plugin.vdr
%doc README COPYING HISTORY
