%define plugin	vnsiserver
%define rel	1

# make sure XBMC VNSI client works after updating

# TODO: update wirbelscan support to work with our upstream
# wirbelscan - vnsiserver currently supports old custom patch only

Summary:	VDR plugin: VDR-Network-Streaming-Interface (VNSI) Server
Name:		vdr-plugin-%plugin
Version:	1.8.3
Release:	%mkrel 1
Group:		Video/Utilities
License:	GPLv2+
URL:            https://github.com/vdr-projects/vdr-plugin-vnsiserver
Source0:	https://github.com/vdr-projects/vdr-plugin-vnsiserver/archive/refs/tags/%{version}/vdr-%{plugin}-%{version}.tar.gz
BuildRequires:	vdr-devel >= 1.6.0
Requires:	vdr-abi = %vdr_abi

%description
A VNSI server for VDR, allowing the use of VDR via VNSI PVR add-on of XBMC.

%prep
%setup -q -n vdr-plugin-%plugin-%version
%autopatch -p1

# weirdness causing configuration issues on upgrade
sed -r -i 's,(PLUGIN = %{plugin})[0-9]+,\1,' Makefile

%vdr_plugin_prep

%build
%vdr_plugin_build

%install
%vdr_plugin_install

install -dm 755 -d %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}
install -Dpm 644 %{plugin}/* %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}

%files -f %plugin.vdr
%license COPYING
%doc README HISTORY
%dir %{_vdr_plugin_cfgdir}/%{plugin}
%config(noreplace) %{_vdr_plugin_cfgdir}/%{plugin}/allowed_hosts.conf
