%define plugin	wirbelscan
%define rel	2

Summary:	VDR plugin: DVB and pvrinput channel scan for VDR
Name:		vdr-plugin-%plugin
Version:	2023.02.19
Release:	%mkrel %rel
Group:		Video/Utilities
License:	GPLv2+
URL:		https://www.gen2vdr.de/wirbel/wirbelscan/index2.html
Source:		https://www.gen2vdr.de/wirbel/wirbelscan/vdr-wirbelscan-2023.02.19.tgz
BuildRequires:	vdr-devel >= 2.0.7
BuildRequires:  pkgconfig(librepfunc)
Requires:	vdr-abi = %{vdr_abi}


%description
This plugin performs channel scans for digital terrestrial and digital
cable TV and analog ivtv cards, satellite is also supported.

%package -n vdr-plugin-%{plugin}-devel
Summary:	Development headers for wirbelscan VDR plugin
Group:		Development/C++
Requires:	vdr-devel

%description -n vdr-plugin-%{plugin}-devel
Headers for developing VDR plugins that use services provided by
wirbelscan.

%prep
%setup -q -n %{plugin}-%{version}

%vdr_plugin_prep


%build


mkdir -p %buildroot%_libdir/vdr
%vdr_plugin_build LDFLAGS="%vdr_plugin_ldflags" LIBDIR=%buildroot%_libdir/vdr

%install
%vdr_plugin_install

install -d -m755 %{buildroot}%{_includedir}/vdr/%{plugin}
install -m644 wirbelscan_services.h %{buildroot}%{_includedir}/vdr/%{plugin}

%files -f %{plugin}.vdr
%doc README HISTORY

%files -n vdr-plugin-%{plugin}-devel
%doc SERVICES.html
%dir %{_includedir}/vdr/%{plugin}
%{_includedir}/vdr/%{plugin}/wirbelscan_services.h
