Name:           vex
Version:        0.0.19
Release:        %mkrel 3
Summary:        Run commands in a virtualenv
Group:          Development/Python
License:        MIT
URL:            https://github.com/sashahart/vex
Source0:        %{pypi_source vex}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{name}}

%description
Run a command in the named virtualenv.vex is an alternative to virtualenv's
source wherever/bin/activate and deactivate, and virtualenvwrapper's workon,
and also virtualenv-burrito if you use that. It works in a more elegant way,
though it does less. You might find it nicer to use. And it works with non-bash
shells.

%prep
%autosetup -p1

# Remove useless files (merge info)
rm -rf %{name}/shell_configs/*.orig

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

%files -f %{pyproject_files}
%doc README.rst
%{_bindir}/vex
