Name: vgrabbj
Summary: A command-line v4l grabber
Version: 0.9.9
Release: %mkrel 6

Source: https://sourceforge.net/projects/vgrabbj/files/latest/%{name}-%{version}.tar.gz
URL: https://sourceforge.net/projects/vgrabbj/
License: GPL
Group: Video/Utilities
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(libtiff-4)
BuildRequires: pkgconfig(libpng)
BuildRequires: autoconf
BuildRequires: libv4l-devel

%description
Vgrabbj is a command-line tool that grabs an image from a 24-bit v4l device 
(like a webcam) and save it as a ppm, png or jpg file.
It can imprint a label (with time or not) onto the image.
It can also be used in stop motion programs to acquire images.

%prep
%setup -q

%build
autoreconf -fi
%configure
%make_build
										
%install
%make_install

%files
%doc AUTHORS ChangeLog README THANKS TODO
%{_bindir}/%name
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}.conf.5*
