Name:		vmfs-tools
Version:	0.2.5
Release:	%mkrel 9
Summary:	Tools to access VMFS file-systems
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		https://glandium.org/projects/%{name}/
Source:		https://glandium.org/projects/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	asciidoc
BuildRequires:	pkgconfig(fuse)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl

%description
Tools to access VMFS file-systems.


%prep
%setup -q 

%build
%configure 
%make_build

%install
%makeinstall NO_STRIP=1

%files
%{_sbindir}/*
%{_mandir}/man8/*

