Name:		vnstat-php-frontend
Version:	2.0.2
Release:	%mkrel 1
Summary:	PHP frontend for vnStat network traffic monitor
License:	GPLv2+
Group:		Monitoring
URL:		https://github.com/solbu/vnstat-php-frontend
Source0:	https://github.com/solbu/vnstat-php-frontend/archive/%{version}/%{name}-%{version}.tar.gz
Source1:	vnstat-php.conf
Requires:	webserver
Requires:	vnstat
Requires:	php-webinterface
Requires:	php-gd
BuildArch:	noarch

%description
PHP frontend for vnStat network traffic monitor.


%prep
%setup -q

%build

%install
mkdir -p %{buildroot}/%{_datadir}/%{name}
cp -r *  %{buildroot}/%{_datadir}/%{name}/
mkdir -p %{buildroot}/%{_webconfdir}/conf.d
install -m644 %{SOURCE1} %{buildroot}/%{_webconfdir}/conf.d/
mkdir -p %{buildroot}/%{_sysconfdir}
install -m644 config.php %{buildroot}/%{_sysconfdir}/%{name}.cfg
pushd %{buildroot}/%{_datadir}/%{name}/
  rm -f config.php README COPYING vera_copyright.txt ChangeLog
  ln -s ../../..%{_sysconfdir}/%{name}.cfg config.php
popd

%files
%doc ChangeLog
%{_datadir}/%{name}
%config(noreplace) %{_webconfdir}/conf.d/vnstat-php.conf
%config(noreplace) %{_sysconfdir}/%{name}.cfg
%license COPYING vera_copyright.txt

