%define name		vo-aacenc
%define major		0
%define libname		%mklibname %name %major
%define develname	%mklibname %name -d
%define snapshot	20141107

Name:		%name
Version:	0.1.3
Release:	%mkrel 10
Summary:	VisualOn AAC encoder library
License:	ASL 2.0
Group:		System/Libraries
URL:		https://opencore-amr.sourceforge.net/
Source0:	%{name}-%{snapshot}.tar.gz
#Source0:	https://sourceforge.net/projects/opencore-amr/files/%{name}/%{name}-%{version}.tar.gz

%description
This library contains an encoder implementation of the Advanced Audio
Coding (AAC) audio codec. The library is based on a codec implementation
by VisualOn as part of the Stagefright framework from the Google
Android project.

This package is in the 'tainted' section because the AAC encoding
standard is covered by patents.

%package -n %{libname}
Group:		System/Libraries
Summary:	VisualOn AAC encoder library

%description -n %{libname}
This library contains an encoder implementation of the Advanced Audio
Coding (AAC) audio codec. The library is based on a codec implementation
by VisualOn as part of the Stagefright framework from the Google
Android project.

This package is in the 'tainted' section because the AAC encoding
standard is covered by patents.

%package -n %{develname}
Group:		Development/C
Summary:	development files for %{name} AAC encoding library
Provides:	libvo-aacenc-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
Header files and development libraries for %{name}.

%prep
%setup -q -n %{name}-%{snapshot}

%build
autoreconf -fi
%configure \
  --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
