Name:           vokoscreenNG
Version:        4.5.0
Release:        %mkrel 1
Summary:        User friendly Open Source screencaster
Group:          Video/Editors and Converters

License:        GPLv2
URL:            https://github.com/vkohaupt/vokoscreenNG
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  intltool
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-video-1.0)
BuildRequires:  pkgconfig(gstreamermm-1.0)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(x11)

%description
VokscreenNG is a user friendly Open Source screencaster for Linux and Windows.
The new name is now vokoscreenNG and has been rewritten from scratch.

%prep
%autosetup -p1 -n %{name}-%{version}/src

cp -a ../COPYING COPYING

%build
%qmake_qt6

%make_build

%install
%make_install

install -m 0755 -Dp %{name} %{buildroot}%{_bindir}/%{name}

# Desktop file
install -m 0644 -Dp applications/%{name}.desktop \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

# Icon
install -m 0644 -Dp applications/%{name}.png \
    %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

%files
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/256x256/apps/%{name}.png
