Name:           vpcs
Version:        0.8
Release:        %mkrel 1
License:        BSD
Summary:        Virtual PC Simulator
URL:            http://www.freecode.com.cn/doku.php?id=wiki:vpcs
Group:          Emulators
Source0:        https://downloads.sourceforge.net/vpcs/%{name}-%{version}-src.tbz
Source1:        %{name}.1
Patch0:         %{name}-0.8-no-static.patch

BuildRequires:  unzip
Requires:       dynamips
ExclusiveArch:  %ix86 x86_64

%description
The VPCS can simulate up to 9 PCs. You can ping/trace-route them, or
ping/trace-route the other hosts/routers from the virtual PCs when you study
the Cisco routers in the Dynamips. VPCS is not the traditional PC, it is just a
program running on the Linux or Windows, and only few network commands can be
used in it. But VPCS can give you a big hand when you study the Cisco devices
in the Dynamips. VPCS can replace the routers or VMware boxes which are used as
PCs in the Dynamips network.


%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="%{optflags} -D_GNU_SOURCE -fno-strict-aliasing"
rm src/getopt.*

%make_build -C src -f Makefile.linux CC="gcc %optflags %ldflags" CPUTYPE=%_target_cpu

%install
install -D -p -m 0755 src/%{name} %{buildroot}%{_bindir}/%{name}
install -D -p -m 0644 %{_sourcedir}/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc readme.txt COPYING
%lang(zh) %doc readme_cn.txt
%{_bindir}/%{name}
%{_mandir}/man1/*
