Name:		warsow-data
Version:	2.1.2
Release:	%mkrel 1
Summary:	Data files for Warsow
License:	CC-BY-SA-4.0
Group:		Games/Shooter
URL:		https://www.warsow.net/
Source0:	https://warsow.net/warsow-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	dos2unix

Requires:	warsow >= 2.1

%description
Data files (audio, maps, etc.) for Warsow.

%prep
%setup -q -n warsow-%{version}

rm -rf libs/ warsow* wsw*

dos2unix docs/*.txt

%build

%install
mkdir -p %{buildroot}%{_gamesdatadir}/warsow/
cp -ap basewsw %{buildroot}%{_gamesdatadir}/warsow/

%files
%doc docs/*
%{_gamesdatadir}/warsow/
