%define	oname	warzone2100
%define	rel	11

Name:		%{oname}-videos-low
Version:	2.2
Release:	%mkrel %{rel}
Summary:	Low-res videos for warzone2100 (English)
License:	GPLv2+
Group:		Games/Strategy
Url:		https://wz2100.net/
# This URL is no longer available
Source0:        http://www.il.fontys.nl/~giel/warzone/videos/warzone2100-sequences-en-lo-%{version}-1.wz
BuildArch:	noarch

Requires:	%{oname} >= %{version}
Provides:	warzone2100-videos

%description
Upon entering the game you land from your transport and establish your base.
Here you conduct research, design and manufacture vehicles, build new
structures and prepare your plans of global conquest. If the game goes badly
you'll end up fighting last ditch battles here to defend your base from
enemy attacks.

Combat is frenetic, with extensive graphical effects and damage to the
terrain and buildings giving rise to flying shrapnel and boulders. Within
the game are many different structures and vehicles. From an initial Command
Centre, you then go on to build Resource Extractors to provide fuel for Power
Generators, which in turn supply energy to Factories, Research Facilities and
weapons emplacements to protect your base.

Features:
 * 400+ Technologies to research
 * 2,000+ different units to design
 * 3 Large campaign maps to conquer
 * 24 Fast play mission maps for extra action
 * Intelligence Display sets objectives dynamically
 * Interactive message system
 * Fast Play Interface graphically Based
 * Quick Screen Navigation
 * Fast Find System for units & structures
 * Set Factories to constant production
 * Automatically send each factory's units to where you want them

The Warzone 2100 ReDev Project aims to continue the vision of Pumpkin studios
started in 1999 with the game Warzone 2100, Which was closed source until
Dec 6, 2004 when it was let out the doors for the first time under a
GPL license.

%prep
%setup -q -c -n %{oname}-%{version}

%build

%install
install -d %{buildroot}%{_gamesdatadir}/%{oname}
cp -r sequences %{buildroot}%{_gamesdatadir}/%{oname}

%files
%{_gamesdatadir}/%{oname}
