Name:           wavbreaker
Version:        0.16
Release:        %mkrel 1
Summary:        Gtk+ program to split WAV files between songs
License:        GPLv2+
Group:          Sound/Editors and Converters
URL:            https://wavbreaker.sourceforge.net/
Source0:        https://github.com/thp/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(ao)
BuildRequires:  pkgconfig(libmpg123)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  cmake(pulseaudio)
Recommends:     gstreamer1.0-moodbar

%description
This application's purpose in life is to take a wave file and break it up into
multiple wave files.  It makes a clean break at the correct position to burn
the files to an audio cd without any dead air between the tracks.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README.md
%license COPYING
%{_bindir}/wavbreaker
%{_bindir}/wavcli
%{_datadir}/applications/net.sourceforge.wavbreaker.desktop
%{_iconsdir}/hicolor/scalable/apps/net.sourceforge.%{name}.svg
%{_metainfodir}/net.sourceforge.%{name}.appdata.xml
%{_mandir}/man1/wavbreaker.1*
%{_mandir}/man1/wavcli.1*
