Name:		webef
Version:	0.3.2
Release:	%mkrel 12
Summary:	A web brute forcer
License:	GPL
Group:		Monitoring
URL:		https://www.hsc.fr/ressources/outils/webef/
Source:     https://www.hsc.fr/ressources/outils/webef/download/webef-%{version}.tar.gz
Patch1:		webef-0.3.2-openssl11.patch
BuildRequires:  pkgconfig(openssl)

%description
webef is a web brute forcer. It is designed to find directories or files in a
web server using a wordlist brute force.
It supports multithreading, Post data brute forcing, headers adding, HTTP 1.1
requests, HTTPS, client certificate file.
It is possible to hide results, depending on their HTTP response code or 
response size.
Two wordlist files are allowed.

%prep
%setup -q
%autopatch -p1

%build
%make_build CFLAGS="%{optflags} -D_GNU_SOURCE -I includes"

%install
install -d -m 755 %{buildroot}%{_bindir}

install -m 755 webef %{buildroot}%{_bindir}

%files
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/webef

