Name:		webserver-base
Version:	2.0
Release:	%mkrel 16
Summary:	Base files and user for a web server
License:	GPL
Group:		System/Servers
Source0:	index.html
Requires(pre):	rpm-helper
Conflicts:	apache-conf
Conflicts:	apache-base < 2.2.22-3
Conflicts:	lighttpd < 1.4.31-3
BuildArch:	noarch

%description
This packages provides base files and user for any web server.

%prep
%setup -c -T

%build

%install
install -D -m 644 %{_sourcedir}/index.html %{buildroot}%{_var}/www/html/index.html

%pre
%_pre_useradd apache /var/www /bin/sh

%postun
%_postun_userdel apache

%files
%dir %{_var}/www
%dir %{_var}/www/html
%config(noreplace) %{_var}/www/html/index.html
