Name:		wfuzz
Version:	3.1.0
Release:	%mkrel 7
Summary:	The web brute forcer
License:	GPLv2
Group:		Monitoring
URL:		https://www.edge-security.com/wfuzz.php
Source:		https://www.edge-security.com/soft/wfuzz-%{version}.tar.gz
Patch0:		wfuzz-3.1.0-workaround-automatic-dependencies.patch
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)

Requires:	python3-curl

%description
Wfuzz is a tool designed for brute forcing Web Applications, it can be used for
finding resources not linked (directories, servlets, scripts, etc), brute force
GET and POST parameters for checking different kind of injections (SQL, XSS,
LDAP,etc), brute force Forms parameters (User/Password), Fuzzing,etc.

%prep
%setup -q
%patch -P 0 -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files wfuzz

rm -f %{buildroot}%{_prefix}/docs/user/advanced.rst

%files -f %{pyproject_files}
%doc LICENSE README.md
%{_bindir}/wfencode
%{_bindir}/wfpayload
%{_bindir}/wfuzz
%{_bindir}/wxfuzz
