Summary:        Convert between different netmask types
Name:           whatmask
Version:        1.2
Release:        %mkrel 17
License:        GPLv2
Group:          Networking/Other
URL:            http://www.laffeycomputer.com/whatmask.html
Source:         %name-%version.tar.bz2
Patch0:         whatmask-1.2-configure-c99.patch

%description
Whatmask is a small C program that will help you with network 
settings.

It can analyze CIDR, netmask, netmask (hex), and wildcard bit 
notations to give useful information about the network block in 
question.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 man/whatmask.1 %{buildroot}%{_mandir}/man1
install -m 755 whatmask %{buildroot}%{_bindir}

%files
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{_bindir}/whatmask
%{_mandir}/man1/whatmask.1*
