Name:           whatsie
Version:        4.16.3
Release:        %mkrel 1
Summary:        Feature rich WhatsApp Client for Desktop Linux
License:        MIT
Group:          Networking/Chat
URL:            https://github.com/keshavbhatt/whatsie
Source:         https://github.com/keshavbhatt/whatsie/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Location)
BuildRequires:  pkgconfig(Qt5Positioning)
BuildRequires:  pkgconfig(Qt5PositioningQuick)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickTest)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5WebChannel)
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5WebEngineCore)
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)

%description
Feature rich WhatsApp Client for Desktop Linux.

%prep
%autosetup

%build
%qmake_qt5 src
%qmake_build

%install
%qmake_install

%files
%license LICENSE
%doc CHANGELOG.md README.md
%{_bindir}/whatsie
%{_datadir}/applications/com.ktechpit.whatsie.desktop
%{_iconsdir}/hicolor/*/apps/com.ktechpit.whatsie.png
%{_iconsdir}/hicolor/scalable/apps/com.ktechpit.whatsie.svg
%{_iconsdir}/hicolor/symbolic/apps/com.ktechpit.whatsie-symbolic.svg
%{_metainfodir}/com.ktechpit.whatsie.appdata.xml
%dir %{_datadir}/org.keshavnrj.ubuntu
%dir %{_datadir}/org.keshavnrj.ubuntu/WhatSie/
%dir %{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/*.bdic
