Name:		which
Summary:	Displays where a particular program in your path is located
Version:	2.23
Release:	%mkrel 1
License:	GPLv3
Group:		System/Base
URL:		https://ftp.gnu.org/gnu/which/
Source0:	https://ftp.gnu.org/gnu/which/%{name}-%{version}.tar.gz
Patch0:		which-2.21-warning.patch
# (tpg) liberty-devel
BuildRequires:	binutils-devel
BuildRequires:	readline-devel

%description
The which command shows the full pathname of a specified program, if
the specified program is in your PATH.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc README* AUTHORS EXAMPLES NEWS
%{_bindir}/which
%{_mandir}/man1/which.1*
%{_infodir}/*
