Summary:	Display information about users currently logged on
Name:		whowatch
Version:	1.8.6
Release:	%mkrel 5
License:	GPLv2
Group:		Monitoring
URL:		https://github.com/mtsuszycki/whowatch
Source0:	https://github.com/mtsuszycki/whowatch/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0:		whowatch-1.8.6-ncurses-tinfo.patch
BuildRequires:	ncurses-devel


%description
Whowatch is an interactive console utility that display information about
the users currently logged on to the machine, in real time. Besides standard
information (login, tty, host, user's process) you can see type of login
(local. ssh, telnet). You can also see selected user's processes tree or all
system processes tree.  In the process tree mode there is ability to send
INT or KILL signal to selected process.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog README PLUGINS.readme TODO
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}


