Summary:	Automated wireless auditor
Name:		wifite
Version:	2.7.0
Release:	%mkrel 3
License:	GPLv2
Group:		Networking/Other
URL:		https://github.com/kimocoder/wifite2
Source0:        https://github.com/kimocoder/wifite2/archive/%{version}/wifite2-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python3
BuildRequires:	python3-setuptools
Requires:	aircrack-ng
Requires:	wireless-tools
Requires:	reaver
Recommends:	pyrit
Recommends:	cowpatty
Recommends:	tshark
Provides:       wifite2 = %{version}-%{release}

%description
To attack multiple WEP, WPA, and WPS encrypted networks in a row. This tool is
customizable to be automated with only a few arguments. Wifite aims to be the
"set it and forget it" wireless auditing tool.

%prep
%autosetup -n wifite2-%{version}
# not needed, this is in core
sed -i "/argparse==1.4.0/d" requirements.txt
sed -i "s/, 'argparse'//" setup.py

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files wifite

%files -f %pyproject_files
%doc *.md
%{_bindir}/%{name}
%{_datadir}/dict/wordlist-probable.txt
