Name:           wmbattery
Version:        2.56
Release:        %mkrel 1
Summary:        Displays the status of your laptop's battery in a small icon
License:        GPLv2
Group:          Monitoring
URL:            https://repo.or.cz/w/dockapps.git/
Source0:        %{name}-%{version}.tar.gz


BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xau)
BuildRequires:  libapm-devel
BuildRequires:  pkgconfig(upower-glib)


%description
Wmbattery displays the status of your laptop's battery in a small
icon. This includes if it is plugged in, if the battery is charging,
how many minutes of battery life remain, battery life remaining (with
both a percentage and a graph), and battery status (high in  green, low
in yellow, or critical in red).


%prep
%setup -q

%build
autoreconf --force --install
%configure
%make_build



%install
%make_install



%files
%doc README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%dir %{_iconsdir}/%{name}
%{_iconsdir}/%{name}/*.xpm



