%define         docfiles       copying README changelog

Name:           wmcpufreq
Version:        3.1
Release:        %mkrel 6
Summary:        Yet another dockapp for monitoring CPU frequency
License:        GPLv2
Group:          Monitoring

URL:            https://repo.or.cz/dockapps.git/shortlog/refs/tags/wmcpufreq-3.1
Source0:        %{name}-%{version}.tar.gz
#force displaying freq=f_max if freq>f_max (may happen for varying
#f_max intel_pstates)
Patch0:         wmcpufreq-3.0-fmax.patch

BuildRequires:  glibc-devel
BuildRequires:  libcpufreq-devel
BuildRequires:  libgtk+2.0-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(x11) 
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(dockapp)

ExclusiveArch:	%{ix86} x86_64

%description
Wmcpufreq is a dockapp for WindowMaker, or any window manager and
desktop environment that handles dock applications. It displays the
frequency of each of your CPU cores in use between the maximum and
minimum allowed values. The driver used appears in green while the
active governor is in red.


%prep
%setup -q
%autopatch -p1

%build
%make_build CFLAGS="%optflags" LIBDIR="%ldflags"


%install
chmod 644 %{docfiles}
cd %{name}
install -D -p -m 755 %{name} %{buildroot}%{_bindir}/%{name}


%files
%doc %{docfiles}
%{_bindir}/wmcpufreq


