Name:		wmctrl
Version:	1.07
Release:	%mkrel 15
License:	GPLv2+
Group:		System/X11
Url:		http://tomas.styblo.name/wmctrl/
Source:		%name-%version.tar.bz2
Patch0:		wmctrl-1.07-fix-64-bits-behaviour-debian.patch
Summary:	Command line tool to interact with an EWMH/NetWM compatible X Window Manager
BuildRequires:	glib2-devel
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xmu)

%description
Wmctrl provides command line access to almost all the features defined
in the EWMH specification. Using it, it's possible to, for example,
obtain information about the window manager, get a detailed list of
desktops and managed windows, switch and resize desktops, change number
of desktops, make windows full-screen, always-above or sticky, and
activate, close, move, resize, maximize and minimize them.

The command line access makes it easy to automate these tasks and
execute them from any application that is able to run a command in
response to some event.

Please note that wmctrl only works with window managers which implement
this specification.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS COPYING ChangeLog README
%_bindir/*
%_mandir/man1/wmctrl.1.*

