Name:           wmdiskmon
Version:        0.0.2
Release:        %mkrel 12
Summary:        A dock application to monitor disks usage
License:        GPLv2
Group:          Monitoring

URL:            https://salsa.debian.org/wmaker-team/wmdiskmon
Source0:        https://salsa.debian.org/wmaker-team/%{name}-%{version}.tar.gz
Patch0:         wmdiskmon-0.0.2-typo.patch
Patch1:         wmdiskmon-0.0.2-ctype.patch

BuildRequires:  grep
BuildRequires:  gawk
BuildRequires:  libtool-base
BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xdmcp)


%description
Wmdiskmon is a WindowMaker dock application that displays disks usage
in various ways. The default displays three devices at a time in a bar
graph manner. The other displays only one device, but with numeric
percentage and a longer name over three lines. The display mode is
specified on the command line, as the devices to monitor.



%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%files
%doc AUTHORS README THANKS COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


