Name:           wmdrawer
Version:        0.10.5
Release:        %mkrel 25
Summary:        Retractable button bar launcher dockapp
License:        GPLv2+
Group:          Graphical desktop/WindowMaker
URL:            http://people.easter-eggs.org/~valos/wmdrawer/
Source0:        http://people.easter-eggs.org/~valos/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}-Makefile.patch
Patch1:         %{name}-0.10.5-mga-update-default-applications.patch
Patch2:         %{name}-0.10.5-mga-copy-default-config-from-skel-to-home.patch

BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gdk-pixbuf-xlib-2.0)
BuildRequires:  dos2unix

Requires:       x11-font-misc

%description
wmDrawer is a dock application (dockapp) which provides a drawer
(retractable button bar) to launch applications.


%prep
%setup -q
%autopatch -p0

%build
export CFLAGS="%{optflags}" LDFLAGS="%{ldflags} -lXext"
%make_build -L

%install
# binary
mkdir -p %{buildroot}%{_mandir}/man1
install -D -p -m 755 %{name} %{buildroot}%{_bindir}/%{name}

# man pages
install -p -m 644 doc/%{name}.1x.* %{buildroot}%{_mandir}/man1

dos2unix -k AUTHORS

# config file
install -D -p -m 644 %{name}rc.example %{buildroot}%{_sysconfdir}/skel/.%{name}rc

%files
%doc AUTHORS ChangeLog INSTALL README TODO
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/skel/.%{name}*
%{_mandir}/man1/*
