Name:           wmfire
Version:        1.2.7
Release:        %mkrel 1
Summary:        A dock application that display CPUs usage and more as flames
License:        GPLv2
Group:          Monitoring

URL:            https://github.com/kennbr34/wmfire
Source0:        https://github.com/kennbr34/wmfire/releases/%{name}-%{version}.tar.gz


BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libgtop-2.0)
#BuildRequires:  pkgconfig(freetype2)
#BuildRequires:  pkgconfig(xpm)
#BuildRequires:  pkgconfig(x11)
#BuildRequires:  pkgconfig(xext)
#BuildRequires:  pkgconfig(xcb)
#BuildRequires:  pkgconfig(gio-2.0)
#BuildRequires:  pkgconfig(pango)
#BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
#BuildRequires:  pkgconfig(cairo)
#BuildRequires:  pkgconfig(fontconfig)
#BuildRequires:  pkgconfig(xinerama)
#BuildRequires:  pkgconfig(xcomposite)
#BuildRequires:  pkgconfig(xdamage)
#BuildRequires:  pkgconfig(xfixes)
#BuildRequires:  pkgconfig(pixman-1)
#BuildRequires:  pkgconfig(libpng)
#BuildRequires:  pkgconfig(libxml-2.0)
#BuildRequires:  pkgconfig(libffi)
#BuildRequires:  pkgconfig(xau)
#BuildRequires:  pkgconfig(xdmcp)


%description
Wmfire is a flaming dock application which monitors CPU, memory and
net loads as well as file value. On mouse over, the cursor will
disappear and be replaced by a burning spot at that location. After
two seconds symbols will be burnt to represent what is being
monitored. For CPU, a short solid bar for average load, or a line of
dots representing the current CPU number on SMP systems. For the
memory, a 4x4 grid of dots is used to signify a memory array. For the
network, a line of marching dots is like data passing through a
cable. For file values, a spinning disk platter is shown.



%prep
%autosetup -p1


%build
autoreconf -vfi
%configure
%make_build


%install
%make_install


%files
%doc AUTHORS NEWS README ChangeLog
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

