%define         gkplugname             gkrellm-plugins-%{name}

Name:           wmforkplop
Version:        0.9.3
Release:        %mkrel 13
Summary:        Yet another dockapp to monitor the kernel forks
License:        GPLv2
Group:          Monitoring

URL:            http://hules.free.fr/wmforkplop/
Source0:        http://hules.free.fr/wmforkplop//%{name}-%{version}.tar.gz

Patch0:         wmforkplop-0.9.3-makefile_am.patch
Patch1:         wmforkplop-0.9.3-configure_ac.patch
Patch2:         wmforkplop-0.9.3-automake-1.13.patch
Patch3:         wmforkplop-0.9.3-cflags.patch

BuildRequires:  pkgconfig(gtk+-2.0) >= 2.0.0
BuildRequires:  pkgconfig(imlib2)
BuildRequires:  pkgconfig(libgtop-2.0) >= 2.0.0
BuildRequires:  pkgconfig(gkrellm)

Requires:       fonts-ttf-freefont
Requires:       fonts-ttf-bitstream-vera

%description
Wmforkplop is yet another dockapp for WindowMaker, or any
windowmanager/desktop environment that handles dock applications (KDE
has a dock bar extension, and gnome swallows). It is a mixture between
wmhdplop and the great wmtop: wmforkplop monitors your processes by
sending visual stimuli to your cortex each time your kernel forks or
kills a process. Try to compile a kernel and enjoy the wmforkplop
show!

%package -n %gkplugname
Summary:        Gkrellm port of the WindowMaker dock application wmforkplop
Group:          Monitoring
Requires:       gkrellm
Provides:       %{name}-gkrellm-plugins = %{version}-%{release}

%description -n %gkplugname
Gkrellm port of the WindowMaker dock application wmforkplop.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install
install -d -m0755 %{buildroot}%{_libdir}/gkrellm2/plugins
install -m0644 .libs/gkforkplop.so %{buildroot}%{_libdir}/gkrellm2/plugins

%files
%doc README AUTHORS NEWS TODO ChangeLog
%license COPYING
%{_bindir}/wmforkplop

%files -n %gkplugname
%doc README AUTHORS NEWS TODO ChangeLog
%license COPYING
%{_libdir}/gkrellm2/plugins/gkforkplop.so
