Name:           wmwifi
Version:        0.6
Release:        %mkrel 12
Summary:        A dock application to monitor your wifi network interfaces
License:        GPLv2
Group:          Monitoring

URL:            https://www.dockapps.net/wmwifi
Source0:        https://repo.or.cz/dockapps.git/tree/HEAD:/%{name}/%{name}-%{version}.tar.gz
Patch0:         wmwifi-0.6-cflags.patch

BuildRequires:  grep
BuildRequires:  gawk
BuildRequires:  glibc-devel
BuildRequires:  libtool-base
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xdmcp)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(xpm)



%description
Wmwifi displays the signal strength, link level, noise level, name and
bitrate to your current wireless access point. It is a dock
application for WindowMaker or or any windowmanager/desktop
environment that handles docking.



%prep
%autosetup -p1


%build
autoreconf --force --install
%configure
%make_build



%install
%make_install



%files
%doc README AUTHORS COPYING ChangeLog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


