Name:		woof
Version:	20220202
Release:	%mkrel 1
Summary:	Simple Web-based File Exchange
URL:		https://www.home.unix-ag.org/simon/woof
Source0:	https://github.com/simon-budig/woof/archive/refs/tags/woof-%{version}.tar.gz
Group:		Networking/Remote access
License:	GPLv2+
BuildArch:	noarch
Requires:	python3

%description
Woof (Web Offer One File) tries a different approach. It assumes that
everybody has a web-browser or a command-line web client installed. Woof is a
small simple stupid web server that can easily be invoked on a single
file. Your partner can access the file with tools he trusts (e.g. wget). No
need to enter passwords on keyboards where you don't know about keyboard
sniffers, no need to start a huge lot of infrastructure.

%prep
%autosetup -p1 -n woof-%{name}-%{version}

%build

%install
%__install -D -m0755 woof %{buildroot}%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%doc README.md
