%define gamename	worldofpadman

Name:		%{gamename}-data
Version:	1.6.2
Release:	%mkrel 1
Summary:	Data files for World of Padman
License:	Freeware
Group:		Games/Shooter
URL:		https://worldofpadman.net/
# https://www.moddb.com/downloads/mirror/224119/122/4f3ff764bb16262d8128c9ef3c34f71e -
# MD5: BFC24BBE7C043E127CD227C86D327D10 | SHA-1: C80BBA2CB58A85953C42B9CFFC1A9C324005BF1D
Source0:	wop-1.6.2-full-unified.zip
Source1:	wop-1.6.2-patch-unified.zip
Source2:	README.install.urpmi
BuildArch:	noarch
ExcludeArch:	%{ix86}
BuildRequires:	fdupes
Requires:	%{gamename} = %{version}

%description
Data files (audio, maps, etc.) for World of Padman.

%prep
%autosetup -n %{gamename}-1-6-2
#unzip -q -o %%{SOURCE1}

%build

%install
mkdir -p %{buildroot}%{_gamesdatadir}/%{gamename}
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}
cp -ap wop %{buildroot}%{_gamesdatadir}/%{gamename}
cp -ap XTRAS/changelog.txt %{buildroot}%{_defaultdocdir}/%{name}
cp -ap XTRAS/copyright*.txt %{buildroot}%{_defaultdocdir}/%{name}
cp -ap XTRAS/gpl.txt %{buildroot}%{_defaultdocdir}/%{name}
cp -ap XTRAS/readme* %{buildroot}%{_defaultdocdir}/%{name}
fdupes $RPM_BUILD_ROOT
install -m644 %{SOURCE2} README.install.urpmi

%files
%doc README.install.urpmi
%{_defaultdocdir}/%{name}
%{_gamesdatadir}/%{gamename}/
