%define major           4
%define libname         %mklibname %{name}_ %{major}
%define develname       %mklibname %{name} -d

Summary:	Word97 exporter library
Name:		wv2
Version:	0.4.2
Release:	%mkrel 12
License:	LGPLv2
Group:		System/Libraries
URL:		https://sourceforge.net/projects/wvware/
Source0: 	https://downloads.sourceforge.net/wvware/%{name}-%{version}.tar.bz2
Patch0:         wv2-0.4.2-mga-fix-build.patch
Patch3:		wv2-0.4.2-linkage.patch
Patch4:		wv2-0.4.2-xml2-include.patch
BuildRequires:	libgsf-devel
BuildRequires:	cmake

%description
wvWare is the continuation of Caolan McNamara's wv - the MSWord library.
Efforts are underway to make this library more correct, robust,
and turn it into a Word97 exporter.


%package -n %{libname}
Summary: 	Word97 exporter library
Group:	 	System/Libraries
Obsoletes:	wv2
Provides:	%{name} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
wvWare is the continuation of Caolan McNamara's wv - the MSWord library. 
Efforts are underway to make this library more correct, robust, 
and turn it into a Word97 exporter.

%package -n %{develname}
Summary: 	Word97 exporter library devel
Group:	 	Development/C
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	wv2-devel
Provides:	wv2-devel = %{version}-%{release}
Obsoletes:	%{mklibname wv2_ 1 -d}

%description -n %{develname}
This is the Wv2 development package.


%prep
%setup -q
%patch -P 0 -p0
%patch -P 3 -p0 -b .link
%patch -P 4 -p1 -b .xml

%build
%cmake
%cmake_build

%install
%cmake_install

%multiarch_binaries %{buildroot}%{_bindir}/wv2-config

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}
%{_libdir}/*.so
%{_bindir}/wv2-config
%multiarch %{multiarch_bindir}/wv2-config
%{_libdir}/wvWare
