Name: x11-data-bitmaps
Version: 1.1.2
Release: %mkrel 4
Summary: Bitmaps that are shared between X applications
Group: Development/X11
BuildArch: noarch
Source: https://xorg.freedesktop.org/releases/individual/data/xbitmaps-%{version}.tar.bz2
License: MIT

BuildRequires: x11-util-macros	>= 1.1.5

%description
Bitmaps that are shared between X applications

%prep
%setup -q -n xbitmaps-%{version}

%build
# to recognize aarch64
autoreconf -vfi

%configure --build=%{_build}	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make_build

%install
%make_install

%files
%doc COPYING
%dir %{_includedir}/X11/bitmaps
%{_includedir}/X11/bitmaps/*
%{_datadir}/pkgconfig/xbitmaps.pc
