Name: x11-driver-input-wacom
Version: 1.2.3
Release: %mkrel 1
Summary: X.org input driver for Wacom tablets
Group: System/X11
URL: https://sourceforge.net/projects/linuxwacom/
# https://sourceforge.net/projects/linuxwacom/files/xf86-input-wacom/
Source0: https://github.com/linuxwacom/xf86-input-wacom/releases/download/xf86-input-wacom-%version/xf86-input-wacom-%version.tar.bz2
License: GPLv2+
BuildRequires: pkgconfig(inputproto)
BuildRequires: pkgconfig(kbproto)
BuildRequires: pkgconfig(libudev)
BuildRequires: pkgconfig(randrproto)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xorg-server) >= 1.19.0
BuildRequires: pkgconfig(xproto)
BuildRequires: pkgconfig(xrandr)

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

Obsoletes: linuxwacom <= 0.8.4
Provides: linuxwacom = %{version}-%{release}


%description
X.Org X11 wacom input driver for Wacom tablets.

%package devel
Summary: Development files for %{name}
Group: Development/X11
License: MIT

%description devel
Development files for %{name}

%prep
%setup -q -n xf86-input-wacom-%{version}

%build
%configure \
	--with-systemd-unit-dir=%{_unitdir} \
        --with-udev-rules-dir=%{_prefix}/lib/udev/rules.d/
%make_build

%install
%make_install

%files
%{_bindir}/*
%{_libdir}/xorg/modules/input/wacom_drv.so
%{_mandir}/man4/wacom.4*
%{_mandir}/man1/xsetwacom.1*
%{_datadir}/X11/xorg.conf.d/70-wacom.conf
%exclude %{_unitdir}/*
%exclude %_udevrulesdir/*


%files devel
%{_includedir}/xorg/*
%{_libdir}/pkgconfig/xorg-wacom.pc
