%define realname xf86-input-xwiimote

Name:       x11-driver-input-xwiimote
Version:    0.5
Release:    %mkrel 11
Summary:    Linux WiiMote Driver for X
Group:      System/X11
License:    XWiimote
URL:        https://github.com/dvdhrm/xf86-input-xwiimote
Source:     https://github.com/dvdhrm/%{realname}/releases/download/%{realname}-%{version}/%{realname}-%{version}.tar.xz

BuildRequires:  x11-util-macros
BuildRequires:  x11-proto-devel
BuildRequires:  pkgconfig(xorg-server)
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(libxwiimote)

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

%description
xwiimote is a WiiMote Driver for X. 

%prep
%setup -q -n %{realname}-%{version}
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

# blacklist X11 rules
install -d -m 775 %{buildroot}%{_datadir}/X11/xorg.conf.d/
install -m 664 60-xorg-xwiimote.conf %{buildroot}%{_datadir}/X11/xorg.conf.d/

%files
%doc README
%{_libdir}/xorg/modules/input/xwiimote_drv.so
%{_datadir}/X11/xorg.conf.d/60-xorg-xwiimote.conf
%{_mandir}/man4/xorg-xwiimote.*

