Name: x11-driver-video-chips
Version: 1.4.0
Release: %mkrel 3
Summary: X.org driver for Chips and Technologies
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-chips-%{version}.tar.bz2
License: MIT
ExclusiveArch: %ix86 x86_64
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11-server < 7.0

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Patch1: 0001-Import-existing-patches-that-were-originally-Red-Ha.patch

%description
x11-driver-video-chips is the X.org driver for Chips and Technologies boards.

%prep
%setup -q -n xf86-video-chips-%{version}
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc COPYING
%{_libdir}/xorg/modules/drivers/chips_drv.so
%{_mandir}/man4/chips.*


