Name: x11-driver-video-dummy
Version: 0.4.0
Release: %mkrel 2
Summary: The X.org dummy video driver
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://www.x.org/releases/individual/driver/xf86-video-dummy-%{version}.tar.xz
License: MIT
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11-server < 7.0

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
This is a dummy video driver for X.org.

%prep
%setup -q -n xf86-video-dummy-%{version}
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc COPYING
%{_libdir}/xorg/modules/drivers/dummy_drv.so


