Name: x11-driver-video-mach64
Version: 6.9.7
Release: %mkrel 1
Epoch: 1
Summary: X.org driver for ATI Mach64
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-mach64-%{version}.tar.xz
# From Fedora:
Patch0:	    mach64-6.8.1-defaultdepth.patch

License: MIT
ExclusiveArch: %ix86 x86_64

BuildRequires: pkgconfig(libdrm) >= 2.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0
Conflicts: x11-driver-video-ati <= 1:6.8.0

%description
x11-driver-video-mach64 is the X.org driver for ATI Mach64.


%prep
%setup -q -n xf86-video-mach64-%{version}
%autopatch -p1

%build
autoreconf -ifs
%configure --disable-dri
%make_build

%install
%make_install

%files
%{_libdir}/xorg/modules/drivers/mach64_drv.so


