Name: x11-driver-video-r128
Version: 6.12.1
Release: %mkrel 1
Epoch: 1
Summary: X.org driver for ATI Rage 128
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-r128-%{version}.tar.xz
Patch002: fix-build.patch

License: MIT
ExclusiveArch: %ix86 x86_64

BuildRequires: pkgconfig(libdrm) >= 2.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Conflicts: xorg-x11-server < 7.0
Conflicts: x11-driver-video-ati <= 1:6.8.0

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-r128 is the X.org driver for ATI Rage 128.


%prep
%autosetup -p1 -n xf86-video-r128-%{version}

%build
%configure
%make_build

%install
%make_install

%files
%{_libdir}/xorg/modules/drivers/r128_drv.so
%{_mandir}/man4/r128.*


