Name: x11-driver-video-s3
Version: 0.7.0
Release: %mkrel 4
Summary: X.org driver for generic S3 Cards
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-s3-%{version}.tar.bz2
License: MIT
ExclusiveArch: %ix86 x86_64

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-s3 is the X.org driver for generic S3 Cards.

%prep
%setup -q -n xf86-video-s3-%{version}
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%{_libdir}/xorg/modules/drivers/s3_drv.so
%{_mandir}/man4/s3.*


