Name: x11-driver-video-tseng
Version: 1.2.5
Release: %mkrel 20
Summary: X.org driver for Tseng Cards
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-tseng-%{version}.tar.bz2
Patch0: 0001-Remove-mibstore.h.patch
# (tv) adjusted for -p1 & for previous patch:
Patch1: https://ftp.netbsd.org/pub/pkgsrc/current/pkgsrc/x11/xf86-video-tseng/patches/patch-src_tseng__driver.c
License: MIT
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-tseng is the X.org driver for Tseng Cards.

%prep
%setup -q -n xf86-video-tseng-%{version}
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%doc COPYING
%{_libdir}/xorg/modules/drivers/tseng_drv.so
%{_mandir}/man4/tseng.*
