Name:           x11-util-macros
Version:        1.20.1
Release:        %mkrel 1
Summary:        Macro used for X.org development
Group:          Development/X11
License:        MIT
URL:            https://xorg.freedesktop.org
Source0:        https://xorg.freedesktop.org/releases/individual/util/util-macros-%{version}.tar.xz
BuildArch:      noarch

%description
Macros used for X.org development.

%prep
%setup -q -n util-macros-%{version}

%build
%configure
%make_build

%install
%make_install

%files
%dir %{_datadir}/util-macros
%{_datadir}/util-macros/INSTALL
%{_datadir}/aclocal/xorg-macros.m4
%{_datadir}/pkgconfig/xorg-macros.pc
