Name:		x11-xtrans-devel
Summary:	Abstract network code for X
Version:	1.5.2
Release:	%mkrel 1
Group:		Development/X11
License:	MIT
URL:		https://xorg.freedesktop.org
Source0:	https://xorg.freedesktop.org/releases/individual/lib/xtrans-%{version}.tar.xz
BuildArch:	noarch

%description
Abstract network code for X.

%prep
%setup -q -n xtrans-%{version}

%build
%configure --build=%{_build}
%make_build

%install
%make_install
rm %{buildroot}%{_datadir}/doc/xtrans/xtrans.*

%files
%doc doc/xtrans.xml
%{_datadir}/pkgconfig/xtrans.pc
%{_datadir}/aclocal/xtrans.m4
%dir %{_includedir}/X11/Xtrans
%{_includedir}/X11/Xtrans/Xtransint.h
%{_includedir}/X11/Xtrans/Xtrans.h
%{_includedir}/X11/Xtrans/Xtrans.c
%{_includedir}/X11/Xtrans/Xtranslcl.c
%{_includedir}/X11/Xtrans/Xtranssock.c
%{_includedir}/X11/Xtrans/Xtransutil.c
%{_includedir}/X11/Xtrans/transport.c
