Name:           xautomation
Version:        1.09
Release:        %mkrel 7
Summary:        Control X from the command line
Group:          System/X11
License:        GPLv2
URL:            https://hoopajoo.net/projects/xautomation.html
Source:         https://hoopajoo.net/static/projects/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(xi)

%description
Control X from the command line for scripts, and do "visual scraping" to find
things on the screen. The control interface allows mouse movement, clicking,
button up/down, key up/down, etc, and uses the XTest extension so you don't
have the annoying problems that xse has when apps ignore sent events. The
visgrep program find images inside of images and reports the coordinates,
allowing programs to find buttons, etc, on the screen to click on.


%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%doc README INSTALL NEWS AUTHORS
%{_bindir}/*
%{_mandir}/man[17]/*
