%define	major	1
%define	libname	%mklibname xavs %{major}
%define	devname	%mklibname xavs -d

Summary:	Audio Video Standard of China
Name:		xavs
Version:	0.1.55
Release:	%mkrel 14
License:	GPLv2+
Group:		Video/Utilities
URL:		https://xavs.sourceforge.net/
Source0:	%{name}-%{version}.tar.xz
Patch0:		xavs-0.1.55-dont-strip-symbols.patch

%description
AVS is the Audio Video Standard of China.  This project aims to
implement high quality AVS encoder and decoder.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Audio Video Standard of China

%description -n	%{libname}
AVS is the Audio Video Standard of China.  This project aims to
implement high quality AVS encoder and decoder.

%package -n	%{devname}
Group:		Development/C
Summary:	Development files for libxavs
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{devname}
This package contains development files required to build applications against
libxavs.

%prep
%setup -q
%autopatch -p1

%build
%configure	--enable-shared --enable-pic --disable-asm
%make_build

%install
%make_install

%files
%doc doc/*.txt
%{_bindir}/xavs

%files -n %{libname}
%{_libdir}/libxavs.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/xavs.h
%{_libdir}/libxavs.so
%{_libdir}/libxavs.a
%{_libdir}/pkgconfig/xavs.pc
