Name:           xbacklight
Version:        1.2.4
Release:        %mkrel 1
Summary:        Command-line utility to set the display backlight level
Group:          System/X11
Url:            https://xorg.freedesktop.org/
Source:         https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
License:        MIT

BuildRequires:  pkgconfig(xrandr) >= 1.2
BuildRequires:  pkgconfig(xcb-atom)
BuildRequires:  pkgconfig(xcb-aux)

%description
xbacklight is a simple command-line utility to set the backlight level
using the RandR 1.2 BACKLIGHT output property.


%prep
%setup -q

%build
%configure

%make_build

%install
%make_install

%files
%{_bindir}/xbacklight
%{_mandir}/man1/xbacklight.*
