%global debug_package %{nil}
%define libnamedev %mklibname xbyak -d

Name:           xbyak
Version:        6.61.2
Release:        %mkrel 1
Summary:        JIT assembler for x86(IA32), x64(AMD64, x86-64) by C++
Group:          System/Libraries
License:        MIT
URL:            https://github.com/herumi/xbyak
Source0:        https://github.com/herumi/xbyak/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
This is a header file which enables dynamically to assemble x86(IA32),
x64(AMD64, x86-64) mnemonic.


%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-devel = %{version}-%{release}

%description    devel
This is a header file which enables dynamically to assemble x86(IA32),
x64(AMD64, x86-64) mnemonic.


%prep
%setup -q


%build


%install
mkdir -p %{buildroot}%{_includedir}/%{name}
cp -pR xbyak/*.h  %{buildroot}%{_includedir}/%{name}


%files devel
%doc COPYRIGHT readme.md readme.txt
%{_includedir}/%{name}
