Name:		xchm
Version:	1.37
Release:	%mkrel 1
Summary:	Summary CHM viewer for UNIX
License:	GPLv2+
Group:		Publishing
URL:		https://github.com/rzvncj/xCHM
Source0:	https://github.com/rzvncj/xCHM/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	libchm-devel
BuildRequires:	wxgtk-devel
BuildRequires:	gettext-devel

%description
xCHM - the CHM viewer for UNIX.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/applications/*
%{_metainfodir}/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1.*
