Name:          xcompmgr
Version:       1.1.10
Release:       %mkrel 1
Summary:       Sample X Compositing Manager
License:       MIT
Group:         System/X11

URL:           https://cgit.freedesktop.org/xorg/app/xcompmgr/
Source0:       https://xorg.freedesktop.org/archive/individual/app/%{name}-%{version}.tar.xz

BuildRequires: x11-util-macros
BuildRequires: pkgconfig(xcomposite)
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xdamage)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xext)

%description
A sample compositing manager for X servers supporting the XFIXES,
DAMAGE, and COMPOSITE extensions. It enables basic eye-candy effects
such as shadows and transparency.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%doc COPYING README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
