# Don't support by g95
#define _ssp_cflags #nil
#define Werror_cflags #nil
# kept g95 option even if the compilation is made with gfortran
#define g95flags #( echo #optflags | sed 's/-mtune=[^ ]*//' )

#(eatdirt) Instead, define g95flags as we do for other packages to
#improve security and because it works fine
%define g95flags %(echo %{?build_fflags} -std=legacy | sed -e 's/-Wformat -Werror=format-security//g')
%define cflags %{optflags}

# (tv) remove bogus file deps, tcsh deps is automatically emitted:
%global __requires_exclude /usr/bin/csh

Summary: A simple scientific visualization tool
Name: xd3d
Version: 8.3.1
Release: %mkrel 20
Source0: %{name}-%{version}.tar.gz
Patch0:  xd3d-8.3.1-fix-building-with-gcc14.patch
License: GPL
Group: Sciences/Other
Url: http://www.cmap.polytechnique.fr/~jouve/xd3d/
BuildRequires: gcc-gfortran
BuildRequires: pkgconfig(xpm)
Buildrequires: pkgconfig(x11)
BuildRequires: pkgconfig(zlib)

%description
Xd3d is a simple scientific visualization tool designed to be easy to learn.
It can plot 2d and 3d meshes, with shadowing, contour plots, vector fields,
iso-contour (3d), as well as 3d surfaces z=f(x,y) defined by an algebraic
expression or a cloud of points. It generates high quality vector PostScript
files for scientific publications and still or animated bitmap images. It
includes the graph plotter xgraphic.

%prep
%autosetup -p1

perl -pi -e "s!^XD3D_DIR =.*!XD3D_DIR = `pwd`!" RULES
perl -pi -e 's!^INSTALL_DIR =.*!INSTALL_DIR = %_bindir!' RULES
perl -pi -e 's!^OPTC =.*!OPTC = %cflags!' RULES
perl -pi -e 's!^OPTF =.*!OPTF = %g95flags!' RULES
perl -pi -e 's!^LIBX11 =.*!LIBX11 = %_libdir!' RULES
perl -pi -e 's!^COMPILF =.*!COMPILF = gfortran!' RULES
perl -pi -e 's!\$\(COMPILF\) \$\(OPTF\) -o!\$(COMPILF) \$(OPTF) %ldflags -o!' RULES

%build
make

%install
mkdir -p %buildroot%_bindir

make install INSTALL_DIR=%buildroot%_bindir

%files
%doc CHANGELOG BUGS FORMATS README
%doc Examples Manuals
%_bindir/*



