Summary:	Create water effect on your X background
Name:		xdesktopwaves
Version:	1.4
Release:	%mkrel 3
License:	GPLv2+
Group:		Graphical desktop/Other
Url:		https://xdesktopwaves.sourceforge.net/
Source0:	https://downloads.sourceforge.net/project/xdesktopwaves/xdesktopwaves/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)

%description
Xdesktopwaves is a cellular automata setting the background of your X Windows
desktop under water. Windows and mouse are like ships on the sea. Each
movement of these ends up in moving water waves. You can even have rain
and/or storm stirring up the water.

%prep
%setup -q

# do not strip binary
sed -i -e 's|-m 0755 -s|-m 0755|' Makefile

%build
%make_build CFLAGS="-I%{_prefix}/X11R6/include %{optflags}"

%install
mkdir -p %{buildroot}{%{_bindir},%{_mandir}/man1}

%make_install BINDIR=%{buildroot}%{_bindir} MAN1DIR=%{buildroot}%{_mandir}/man1


%files
%doc README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
