Name:		xdx 
Version:	2.91
Release:	%mkrel 1
Summary:	DX Cluster client for radio amateurs
Group:		Communications/Radio
License:	GPLv2
Url:		https://sourceforge.net/projects/xdxclusterclient/
Source0:	https://downloads.sourceforge.net/project/xdxclusterclient/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(gtk+-3.0) >= 3.14.0

%description
A handy stand-alone GTK+ client for accessing your favorite DX Cluster or
Reverse Beacon Net server via telnet over TCP/IP.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install
mkdir -p %{buildroot}%{_iconsdir}
cp %{buildroot}%{_datadir}/%{name}/pixmaps/%{name}.png %{buildroot}%{_iconsdir}
mv %{buildroot}%{_datadir}/applications/Xdx.desktop \
   %{buildroot}%{_datadir}/applications/%{name}.desktop
   
 desktop-file-install \
    --set-icon=%{name}.png \
    --dir %{buildroot}%{_datadir}/applications \
    --add-category='X-Mageia-CrossDesktop' \
    %{buildroot}%{_datadir}/applications/%{name}.desktop
 
%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_iconsdir}/%{name}.png
%{_mandir}/man1/%{name}.*
