Summary:	Additional artwork for the Xfce Desktop Environment
Name:		xfce4-artwork
Version:	0.2
Release:	%mkrel 23
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://goodies.xfce.org/projects/artwork/xfce4-artwork
Source0:	%{name}-%{version}.tar.bz2
BuildArch:	noarch

%description
Additional artwork for the Xfce Desktop Environment.

%prep
%setup -q

#drop broken xfce-rio.png
rm -rf backdrops/xfce-rio.png

#fix file extension (mga#24811)
if [ "$(file ./backdrops/xfce-cartoon.jpg --extension -b)" == "png" ]; then
  mv ./backdrops/xfce-cartoon.jpg ./backdrops/xfce-cartoon.png
fi

%build
%configure
%make_build

%install
%make_install backdropsdir=%{_datadir}/backgrounds/xfce

%files
%doc README ChangeLog AUTHORS
%{_datadir}/backgrounds/xfce/*
