%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		xfce4-dev-tools
Version:	4.20.0
Release:	%mkrel 1
Summary:	Xfce developer tools
License:	GPLv2+
Group:		Development/Other
URL:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
Source10:	macros.xfce4
BuildRequires:	intltool
BuildRequires:  meson
BuildRequires:	pkgconfig(glib-2.0)
Requires:	autoconf
Requires:	intltool
#Requires:	gettext-devel
Requires:	gtk-doc

%description
This package contains common tools required by Xfce developers and people
that want to build Xfce from GIT. In addition, this package contains the
Xfce developer's handbook.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

# rpm helper macros
install -Dpm644 %{_sourcedir}/macros.xfce4 %{buildroot}%{_rpmmacrodir}/macros.xfce4

%files
%doc AUTHORS ChangeLog HACKING NEWS README*
%{_bindir}/*
%{_mandir}/man1/xdt-csource.1*
%{_datadir}/aclocal/*.m4
%{_rpmmacrodir}/macros.xfce4
