%define url_ver %(echo %{version} | cut -d. -f1,2)

#don't provide plugin .so
%global __provides_exclude_from	%{_libdir}/xfce4/panel/plugins/.*\\.so

Summary: 	A dictionary support for Xfce
Name: 		xfce4-dict
Version: 	0.8.8
Release: 	%mkrel 1
License:	GPLv2+
Group: 		Graphical desktop/Xfce
URL:		https://docs.xfce.org/apps/xfce4-dict/
Source0:	https://archive.xfce.org/src/apps/xfce4-dict/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
Requires:	xfce4-panel >= 4.10.0
Recommends:	enchant

%description
This Xfce program allows you to search different kinds of dictionary services
for words or phrases and shows you the result.Currently you can query a Dict
server(RFC 2229), any online dictionary service by opening a web browser or
search for words using the aspell/ispell program.

%prep
%autosetup -p1

%build
%configure \
	--disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc ChangeLog AUTHORS
%{_bindir}/%{name}
%{_libdir}/xfce4/panel/plugins/libxfce4dict.so
%{_iconsdir}/hicolor/*/apps/*.{png,svg}
%{_datadir}/xfce4/panel/plugins/%{name}-plugin.desktop
%{_datadir}/applications/*.desktop
%{_mandir}/man1/%{name}.*
