%define url_ver %(echo %{version} | cut -d. -f1,2)

#exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	Disk performance panel plugin for Xfce
Name:		xfce4-diskperf-plugin
Version:	2.7.1
Release:	%mkrel 1
License:	BSD
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/panel-plugins/xfce4-diskperf-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-diskperf-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4panel-2.0) >= 4.16.0
BuildRequires:	pkgconfig(libxfce4ui-2)
Requires:	xfce4-panel >= 4.16.0

%description
Disk performance panel plugin for the Xfce Desktop Environment.

%prep
%autosetup -p1

%build
# to fix debug symbols build
%xdt_autogen
%configure
%make_build

%install
%make_install

%{!?__brp_remove_la_files:find %{buildroot} -name "*.la" -delete}

%find_lang %{name}

%files -f %{name}.lang
%doc README.md ChangeLog AUTHORS
%{_libdir}/xfce4/panel/plugins/libdiskperf.so
%{_datadir}/xfce4/panel/plugins/diskperf.desktop
