%define url_ver	%(echo %{version} | cut -d. -f1,2)

Summary:	Search plugin for Xfce panel
Name:		xfce4-linelight-plugin
Version:	0.1.7
Release:	%mkrel 11
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		https://goodies.xfce.org/projects/panel-plugins/%{name}
# Semi-official source from upstream svn:
Source0:	https://svn.ganymede.ch/private/trunk/%{name}/releases/%{name}-%{version}.tar.bz2
##Source0:	https://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
# From Gentoo:
Patch0:		xfce4-linelight-plugin-0.1.7-port-to-xfcerc.patch
# Originally from PLD Linux, modified to apply to 0.1.7:
Patch1:		xfce4-linelight-plugin-0.1.7-port-to-libxfce4ui.patch
Patch2:		xfce4-linelight-plugin-0.1.7-automake1.13.patch
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(libxfce4ui-1) >= 4.8.0
BuildRequires:	pkgconfig(libxfce4panel-1.0)
Requires:	xfce4-panel >= 4.8.0

%description
Linelight is a simple frontend for the locate search. The search results are
listed in sections (music, video, images, ... ) and can be executed directly
from the Xfce panel.

%prep
%setup -q
%autopatch -p1

%build
NOCONFIGURE=yes xdt-autogen
%configure

%make_build

%install
%make_install

%files
%doc AUTHORS NEWS
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/xfce4/panel-plugins/linelight.desktop
