%define url_ver	%(echo %{version} | cut -d. -f1,2)

#exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel-plugins/.*\\.so

%define gitdate	20120718
%define rel	10

Summary:	Quicklauncher plugin for the Xfce panel
Name:		xfce4-quicklauncher-plugin
Version:	1.9.4
Release:	%mkrel 13.git%{gitdate}.%{rel}
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://goodies.xfce.org/projects/panel-plugins/xfce4-quicklauncher-plugin
#
# git clone git://git.xfce.org/panel-plugins/xfce4-quicklauncher-plugin
# cd xfce4-quicklauncher-plugin
# git archive --format=tar --prefix=xfce4-quicklauncher-plugin-20120718/ master | xz > ../xfce4-quicklauncher-plugin-20120718.tar.xz
#
Source0:	%{name}-%{gitdate}.tar.xz
#Source0:	https://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
Patch0:         xfce4-quicklauncher-plugin-automake1.13.patch
Patch2:		xfce4-quicklauncher-plugin-1.9.4-parameters.patch
# Originally from PLD Linux,
# rediffed and slightly modified for our needs:
Patch4:		xfce4-quicklauncher-plugin-1.9.4-port-to-libxfce4ui.patch

BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(exo-1)
BuildRequires:	pkgconfig(libxfce4panel-1.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
Requires:	xfce4-panel >= 4.4.2

%description
This plugin allows you to have lots of launchers in the panel, displaying 
them on several lines.

%prep
%setup -q -n %{name}-%{gitdate}
%autopatch -p1

%build
NOCONFIGURE=yes xdt-autogen
%configure
%make_build

%install
%make_install 

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog TODO
%{_datadir}/xfce4/panel-plugins/quicklauncher.desktop
%{_libdir}/xfce4/panel-plugins/libquicklauncher.so
