Name:           xfontsel
Version:        1.1.1
Release:        %mkrel 1
Summary:        Point and click selection of X11 font names
Group:          Development/X11
License:        MIT
URL:            https://xorg.freedesktop.org
Source:         https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(xt) >= 1.0.0
BuildRequires:  pkgconfig(xaw7) >= 1.0.1
BuildRequires:  x11-util-macros >= 1.0.1

%description
The xfontsel application provides a simple way to display the fonts known to
your X server, examine samples of each, and retrieve the X Logical Font
Description ("XLFD") full name for a font.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%doc README.md
%license COPYING
%{_bindir}/xfontsel
%{_datadir}/X11/app-defaults/XFontSel
%{_mandir}/man1/xfontsel.1*
