Name:		xinput
Version:	1.6.4
Release:	%mkrel 1
Summary:	Runtime configuration and test of XInput devices
Group:		System/X11
License:	MIT
URL:		https://xorg.freedesktop.org
Source:		https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:	x11-util-macros		>= 1.1.5
BuildRequires:	pkgconfig(x11)		>= 1.1.3
BuildRequires:	pkgconfig(xext)		>= 1.0.3
BuildRequires:	pkgconfig(xi)		>= 1.1.3
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xinerama)

%description
Runtime configuration and test of XInput devices.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

%files
%{_bindir}/xinput
%{_mandir}/*/*
%doc README ChangeLog
