Name: xmlto
Version: 0.0.29
Release: %mkrel 1
Summary: A tool for converting XML files to various formats
License: GPLv2+
Group: Publishing
URL: https://pagure.io/xmlto/
Source0: https://pagure.io/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires: docbook-xsl >= 1.56.0
BuildRequires: libxslt-proc
BuildRequires: docbook-dtd42-xml
BuildRequires: autoconf
BuildRequires: automake
Requires: xmlto-notex
# For full functionality, we need passivetex.
Requires: xmltex
Requires: texlive-texmf

%description
This is a package for converting XML files to various formats using XSL
stylesheets.

%package -n xmlto-notex
Summary: xmlto without the TeX dependency
Group: Publishing
# We rely entirely on the DocBook XSL stylesheets!
Requires: docbook-style-xsl >= 1.56.0
Requires: libxslt-proc
Requires: docbook-dtd42-xml
Requires: docbook-dtd44-xml
#gw for html->text either w3m, lynx or links are supported, w3m seems to be
# the preferred application
#Suggests: w3m
Requires: lynx

%description -n xmlto-notex
xmlto without the TeX dependencies. Normally, the xmlto package is preferable.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure --with-backend=%{backend}
%make_build

%install
%make_install

[ -d %{buildroot}%{_datadir}/xmlto/xsl ] || \
  mkdir %{buildroot}%{_datadir}/xmlto/xsl

%check
make check

%files

%files -n xmlto-notex
%license COPYING
%doc ChangeLog README.md AUTHORS.md NEWS.md
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/xmlto/
