Name:		xmltoman
Summary:	Tool to convert xml to man pages in groff format or html
Version:	0.6
Release:	%mkrel 3
License:	GPLv2+
Group:		Publishing
URL:		https://github.com/atsb/xmltoman
Source:		https://github.com/atsb/xmltoman/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	perl(XML::Parser)

%description
xmltoman and xmlmantohtml are two small scripts to convert xml to man
pages in groff format or html. It features the usual man page items such
as "description", "options", "see also" etc.

%prep
%setup -q

%build
%make_build

%install
%make_install prefix=%{_prefix}

install -d %{buildroot}%{_mandir}/man1
install -m 0644 *.1 %{buildroot}%{_mandir}/man1

%files
%doc README ChangeLog
%{_datadir}/%{name}
%{_mandir}/man1/xmltoman.1.*
%{_mandir}/man1/xmlmantohtml.1.*
%{_bindir}/xmltoman
%{_bindir}/xmlmantohtml
