Name:		xoscope
Summary:	xoscope - Digital Oscilloscope via Sound Card/ProbeScope/osziFOX/bitscope
Version:	2.0
Release:	%mkrel 70
License:	GPLv3
Source:		https://prdownloads.sourceforge.net/xoscope/%{name}-%{version}.tgz
Patch2:		gtk_deprecated.patch
Group:		Sound/Other
URL:		https://xoscope.sourceforge.net/
BuildRequires:	gtk+2-devel


%description
x*oscope is a digital oscilloscope that uses a sound card (via
/dev/dsp or EsounD) and/or Radio Shack ProbeScope (Cat. No. 220-0310)
a.k.a osziFOX as the signal input.  Either or both devices may be used
simultaneously.  You may find the manual for Radio Shack's ProbeScope
device at: http://support.tandy.com/support_meters/33352.htm

This device is also known as osziFOX and you may be able to get more
information on and pictures of it at: http://www.wtt-germany.com/

Bitscope support is currently under development and is included here
only on an as-is basis.  Basic data capture may work at a fixed rate.
Advanced features such as control and subsampling are not yet
included.  For the latest bitscope development code, please check it
out from CVS on sourceforge.  Bitscope is: http://www.bitscope.com


%prep
%setup -q %{name}-%{version}
%patch -P 2 -p1

%build
%configure

%make


%install
rm -rf %{buildroot}
mkdir -p %buildroot/usr/share/doc/%{name}/hardware/
mkdir -p %buildroot%{_datadir}/applications/
install -Dm 644 $RPM_BUILD_DIR/%{name}-%{version}/hardware/*  %buildroot/usr/share/doc/%{name}/hardware
install -Dm 644 $RPM_BUILD_DIR/%{name}-%{version}/*.desktop  %buildroot/%{_datadir}/applications/

%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/*scope
%{_datadir}/applications/*.desktop
%{_mandir}/man1/*scope*
%doc AUTHORS COPYING README* ChangeLog 
%{_datadir}/doc/%{name}/hardware/*

