Name:           xournalpp
Version:        1.2.6
Release:        %mkrel 1
Summary:        Note taking software designed around a tablet
License:        GPLv2+
Group:          Office/Utilities
Url:            https://github.com/xournalpp/xournalpp
Source0:        https://github.com/xournalpp/xournalpp/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  texlive
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-4)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(poppler-glib)
BuildRequires:  pkgconfig(portaudiocpp)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  gettext

%description
Xournal++ is a hand note taking software.
It supports pen input, e.g. Wacom tablets.

%prep
%setup -q

%build
%cmake -DDISTRO_CODENAME="Mageia Linux"
%cmake_build

%install
%cmake_install

%find_lang xournalpp

%files -f xournalpp.lang
%license LICENSE
%doc AUTHORS README.md
%{_bindir}/xournalpp
%{_bindir}/xournalpp-thumbnailer
%{_datadir}/mime/packages/*.xml
%{_datadir}/applications/com.github.xournalpp.xournalpp.desktop
%{_datadir}/metainfo/com.github.xournalpp.xournalpp.appdata.xml
%{_datadir}/xournalpp/
%dir %{_datadir}/thumbnailers
%{_datadir}/thumbnailers/*.thumbnailer
%{_iconsdir}/hicolor/*/apps/*
%{_iconsdir}/hicolor/scalable/mimetypes/*.svg
%{_mandir}/man1/xournalpp*.1*
