Name:           xrandr
Version:        1.5.3
Release:        %mkrel 1
Summary:        Primitive command line interface to RandR extension
Group:          System/X11
License:        MIT
Url:            https://xorg.freedesktop.org/
Source:         https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(x11) >= 1.0.0
BuildRequires:  pkgconfig(xrandr) >= 1.1.0.2
BuildRequires:  pkgconfig(xrender) >= 0.9.0.2
BuildRequires:  x11-util-macros >= 1.0.1

%description
Xrandr is a command line application used to set the screen size,
orientation, reflection and/or the active display(s) using the RandR
extension.

%prep
%autosetup -p1

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make_build

%install
%make_install
# (cg) NB Until we package nickle and cairo-5c (that works) kill this.
rm -f %{buildroot}%{_bindir}/xkeystone

%files
%{_bindir}/%{name}
#%%{_bindir}/xkeystone
%{_mandir}/man1/%{name}.1.*
