Name:           xvega-bindings
Version:        0.1.0
Release:        %mkrel 2
Summary:        xvega bindings for c++
License:        BSD
Group:          System/Libraries
URL:            https://github.com/jupyter-xeus/xvega-bindings.git
Source0:        https://github.com/jupyter-xeus/xvega-bindings/archive/%{version}/%{name}-%{version}.tar.gz
# Header-only library
BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  cmake(xvega)
BuildRequires:  cmake(xtl)

%description
Bindings from xvega to xeus.

%package devel
Summary:        xvega bindings for c++
Group:          Development/C++
Requires:       cmake(xvega)
Requires:       cmake(xtl)

%description devel
Bindings from xvega to xeus.
Development files for %{name} library.

%prep
%autosetup -p1

%build
%cmake -DBUILD_TESTS=ON \
       -DCMAKE_INSTALL_LIBDIR:PATH=%{_datadir}
%cmake_build

%install
%cmake_install

%check
%ctest

%files devel
%doc README.md
%license LICENSE
%{_includedir}/xvega-bindings/
%{_datadir}/cmake/%{name}/
