Name: xvinfo
Version: 1.1.5
Release: %mkrel 1
Summary: Print out X-Video extension adaptor information
Group: Development/X11
Source: https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
License: MIT

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xv) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

%description
Xvinfo prints out the capabilities of any video adaptors associated with the
displays that are accessible through the X-Video extension.

%prep
%setup -q

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make_build

%install
%make_install

%files
%{_bindir}/xvinfo
%{_mandir}/man1/xvinfo.*


