Name:          xwd
Version:       1.0.9
Release:       %mkrel 1
Summary:       Dump an image of an X window
License:       MIT
Group:         Development/X11

URL:           https://cgit.freedesktop.org/xorg/app/xwd
Source:        https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xmu) >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: pkgconfig(xkbfile)

%description
Xwd is an X Window System window dumping utility. Xwd allows X users to store
window images in a specially formatted dump file. This file can then be read by
various other X utilities for display, printing, editing, formatting,
archiving, image processing, and so on.

%prep
%autosetup

%build
%configure  --x-includes=%{_includedir}\
                --x-libraries=%{_libdir}

%make_build

%install
%make_install

%files
%{_bindir}/xwd
%{_mandir}/man1/xwd.*
