%define api 0
%define	major 2
%define libname	%mklibname %{name} %{api} %{major}
%define develname %mklibname %{name} -d

Summary:	YAML 1.1 parser and emitter written in C
Name:		yaml
Version:	0.2.5
Release:	%mkrel 3
License:	MIT
Group:		System/Libraries
URL:		https://github.com/yaml/libyaml
Source0:	https://github.com/yaml/libyaml/releases/download/%{version}/yaml-%{version}.tar.gz

%description
LibYAML is a YAML 1.1 parser and emitter written in C.

%package -n	%{libname}
Summary:	YAML 1.1 parser and emitter written in C
Group:          System/Libraries
BuildRequires:	doxygen

%description -n	%{libname}
This package contains the shared libraries for %{name}

%package -n	%{develname}
Summary:	Development library and header files for the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the static %{libname} library and its header
files.

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static
%make_build

%install
%make_install

%files -n %{libname}
%doc ReadMe.md
%{_libdir}/libyaml-%{api}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/libyaml.so
%{_libdir}/pkgconfig/yaml-0.1.pc
