%{?nodejs_find_provides_and_requires}

Name:       ycssmin
Version:    1.0.1
Release:    %mkrel 8
Group:      Networking/Other
Summary:    CSS minification tool
License:    BSD
URL:        https://github.com/yui/ycssmin
Source0:    https://registry.npmjs.org/%{name}/-/%{name}-%{version}.tgz

BuildArch:  noarch
BuildRequires:  nodejs 
BuildRequires:  nodejs-packaging

%description
ycssmin is a CSS minification tool.

It was originally based on the css minification tool used inside of YUI 
Compressor, based on code from Stoyan Stefanov and Isaac Schlueter.

%prep
%setup -q -n package

#drop spurious executable bit
chmod 0644 package.json cssmin.js

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{name}
cp -pr bin cssmin.js package.json %{buildroot}%{nodejs_sitelib}/%{name}

mkdir -p %{buildroot}%{_bindir}
ln -sf ../lib/node_modules/%{name}/bin/cssmin %{buildroot}%{_bindir}/cssmin

%nodejs_symlink_deps

# yet another test framework that's not packaged yet :-(
#%%check
#istanbul cover --print both -- vows --spec ./tests/*.js

%files
%{nodejs_sitelib}/%{name}
%{_bindir}/cssmin
%doc README.md LICENSE

