%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	GNOME XML documentation utilities
Name:		yelp-xsl
Version:	42.1
Release:	%mkrel 1
License:	LGPLv2+ and GPLv2+
Group:		Publishing
Url:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	libxslt-proc
BuildRequires:	intltool
BuildRequires:	itstool

%description
yelp-xsl is a collection of documentation utilities for the Gnome
project.  Notably, it contains utilities for building documentation and
all auxiliary files in your source tree, and it contains the DocBook
XSLT stylesheets that were once distributed with Yelp.

%files
%license COPYING*
%doc AUTHORS README*
%{_datadir}/%{name}/
%{_datadir}/pkgconfig/%{name}.pc

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install
