Name:		yencode
Version:	0.46
Release:	%mkrel 23
Summary:	Usenet yEnc encoder,decoder and poster
Group:		Networking/News
License:	GPLv2+
URL:		https://sourceforge.net/projects/yencode/
Source0:	https://prdownloads.sourceforge.net/yencode/yencode-0.46.tar.bz2
Patch0:		yencode-0.46-fix-str-fmt.patch
Patch1:		yencode-missing-include.patch
BuildRequires:	gettext-devel

%description
yencode is an encoder, decoder, and  posting  package  for  the  popular
Usenet yEnc encoding format. It features the ability to encode single or
multipart archives, a smart decoder  which  can  decode  multiple  files
(including files specified out of order or with nonsense filenames),  an
optional scan mode with recursion, and an easy  to  use  Usenet  posting
utility. It is fully compliant with the yEnc specifications.


%prep
%autosetup -p1

sed -i 's|egrep|grep -E|g' configure

%build
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog README
%{_bindir}/*
%{_mandir}/man?/*
