Name: yersinia
Version: 0.7.3
Summary: Network pen-testing tool
Release: %mkrel 1
License: GPL
Group: Security
URL: http://www.yersinia.net
Source: http://www.yersinia.net/download/%{name}-%{version}.tar.gz
BuildRequires: gtk2-devel
BuildRequires: net-devel >= 1.1.3
BuildRequires: libtool
BuildRequires: ncurses-devel
BuildRequires: pcap-devel
BuildRequires: pkgconfig

%description
Yersinia is a network tool designed to take advantage of some weakness in
different network protocols. It pretends to be a solid framework for analyzing
and testing the deployed networks and systems.

Currently, only attacks for the following network protocols are implemented:
* Spanning Tree Protocol (STP).
* Cisco Discovery Protocol (CDP).
* Dynamic Trunking Protocol (DTP).
* Dynamic Host Configuration Protocol (DHCP).
* Hot Standby Router Protocol (HSRP).
* 802.1q.
* Inter-Switch Link Protocol (ISL).
* VLAN Trunking Protocol (VTP).

%prep
%setup -q

%build
#make distclean
#rm -f configure
#sh ./autogen.sh

%configure \
--with-pcap-includes=%{_includedir}/pcap

%make

%install
rm -rf %{buildroot}

%make_install

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog FAQ INSTALL README THANKS TODO
%{_bindir}/*
%{_mandir}/man8/*
