%global __provides_exclude perl\\(Youri::Check::.*\\)
%global __requires_exclude perl\\(Youri::(Check::.*|BTS::Bugzilla)\\)

Name:		youri-check
Version:	0.10.4
Release:	%mkrel 6
Summary:	Youri package check tool
License:	GPL or Artistic
Group:		Development/Other
Url:		https://github.com/guillomovitch/youri-check
Source0:	https://github.com/guillomovitch/youri-check/archive/refs/tags/v%{version}#/%{name}-%{version}.tar.gz
Patch1:		dumper1.patch
Patch2:		youri-check-gnome.patch
Patch3:		youri-check-gnome-url.patch
Patch4:		youri-check-footer.patch
BuildArch:	noarch
BuildRequires:	perl(Youri::Utils)
# avoid mandriva fork
Requires:	perl-Youri-Config
Requires:	perl-Youri-Media
Requires:	perl-Youri-Package
Requires:	perl-Youri-Utils
# for P2
Requires:	perl(Perl::Version)

%description
youri-check is a generic package checking tool. It runs a list of tests on a
list of package sets, and produces corresponding reports.

%prep
%autosetup -p1

%build
%configure
%make_build

%check
%__make check

%install
%make_install

%files
%doc ChangeLog README
%config(noreplace) %{_sysconfdir}/youri
%{_bindir}/youri-check
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_datadir}/youri
%{_sysconfdir}/bash_completion.d/%{name}
