Name:          yourik
Version:       2.1.2
Release:       %mkrel 8
Summary:       The animal rights themed arcade shooter
Group:         Games/Arcade
License:       Public Domain
URL:           https://github.com/psemiletov/yourik-qt5
Source0:       https://github.com/psemiletov/yourik-qt5/archive/%{version}/%{name}-qt5-%{version}.tar.gz

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5OpenGL)
BuildRequires: pkgconfig(sdl2)
BuildRequires: pkgconfig(SDL2_mixer)

%description
Yourik The Intergalactic Rabbit is the animal
rights-themed arcade game. Fight your way from the
 vivisection laboratory and save the animals. 
You are the genetically modified rabbit, Yourik,
the Intergalactic One.

%prep
%setup -q -n %{name}-qt5-%{version}

%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot} 

%files
%{_bindir}/yourik
%{_datadir}/applications/yourik.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/64x64/apps/yourik.png

