%define _disable_ld_no_undefined %{nil}

# don't provide plugin .so
%global __provides_exclude_from %{_libdir}/zathura/.*\\.so

# explicitly set zathura version because plugins (like djvu, ps and pdf-poppler)
# should absolutely be rebuilded at each new release otherwise zathura crashes, see
# mga#32937
%define zathura_version 0.5.11

Name:		zathura-djvu
Version:	0.2.10
Release:	%mkrel 2
Summary:	DjVu support for zathura
Group:		Publishing
License:	zlib
URL:		https://pwmt.org/projects/zathura-djvu/
Source0:	https://pwmt.org/projects/zathura-djvu/download/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	appstream-util
BuildRequires:	pkgconfig(ddjvuapi)
BuildRequires:	pkgconfig(zathura) = %{zathura_version}

Requires:	zathura = %{zathura_version}

%description
The zathura-djvu plugin adds DjVu support to zathura by
using the djvulibre library.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%files
%doc AUTHORS
%license LICENSE
%{_libdir}/zathura/libdjvu.so
%{_datadir}/applications/org.pwmt.zathura-djvu.desktop
%{_metainfodir}/org.pwmt.zathura-djvu.metainfo.xml
