Name:           zaz
Version:        1.0.1
Release:        %mkrel 2
Summary:        A puzzle game where the player has to arrange balls in triplets
Group:          Games/Arcade
# Music released under CC-BY-SA
License:        GPLv3+ and CC-BY-SA
URL:            https://sourceforge.net/projects/zaz/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
#Patch0:         zaz-1.0.0-vorbis.patch
#Patch1:         zaz-autoconf.patch

BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(ftgl)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(theora)
BuildRequires:  pkgconfig(vorbis)

%description
Zaz is an arcade action puzzle game where the goal is to get rid of all
incoming balls by rearranging their order and making triplets. It currently
includes 6 different levels. The game's name is recursive and stands for
"Zaz ain't Z".

A 3D accelerator is needed for decent gameplay.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

# Remove docs
rm -r %{buildroot}/usr/share/doc/

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING data/copyright.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
