Summary: Firmware files for the ZD1211 chip
Name: zd1211-firmware
Version: 1.5
Release: %mkrel 7
Source0: https://prdownloads.sourceforge.net/zd1211/%{name}-%{version}.tar.bz2
License: GPLv2
Group: System/Kernel and hardware
Url: https://sourceforge.net/projects/zd1211/
BuildArch: noarch

%description
This package contains the firmware files for the ZD1211 chip, which is
used in WLAN USB sticks.
The files are generated from C header files distributed in the
original ZyDAS ZD1211 driver under the GNU Public License.
The full source of the original ZYDAS driver is available from
http://www.deine-taler.de/zd1211/

%prep
%setup -q -n %{name}

%build

%install
install -d %{buildroot}/lib/firmware/zd1211
install -m644 zd1211* %{buildroot}/lib/firmware/zd1211

%files
%doc README
/lib/firmware/zd1211/zd1211*
