Summary:	Tools for Iomega JAZ and ZIP drives
Name:		ziptool
Version:	1.4.0
Release:	%mkrel 19
License:	GPLv2+
Group:		Archiving/Backup
Url:		http://wolfpack.twu.net/utilities.html#ziptool
Source0:	ftp://wolfpack.twu.net/users/wolfpack/%{name}-%{version}.tar.bz2
Patch0:		ziptool-1.4.0-build-fix.patch
Patch1:		ziptool-1.4.0-format-security.patch

%description
Medium protection is done by software for Iomega's JAZ and ZIP drives.
jaztool and ziptool make this feature available on Linux.

%prep
%setup -q
%patch -P 0 -p1 -b .build
%patch -P 1 -p1 -b .format-security
%{__gzip} -d %{name}.1.gz

%build
%make_build CFLAGS="%{optflags}"

%install
%{__install} -D -m755 %{name} %{buildroot}%{_bindir}/%{name}
%{__install} -D -m644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc README
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
