%global version 11_166
%global version2 %(tr '_' '-' <<<%{version})

Summary: Zoem is an interpretive macro/programming language
Name:    zoem
Version: %{version}
Release: %mkrel 11
License: GPLv2
Group:   Publishing
URL:     https://micans.org/%{name}/
Source0: https://micans.org/%{name}/src/%{name}-%{version2}.tar.gz
Patch0:  zoem-11-166-mga-multiple-def.patch

%description
Zoem is an interpretive macro/programming language that is evaluated by the
macro processor called zoem. It is used by Portable Unix Documentation
(PUD) and Aephea. The latter is a general authoring tool for writing HTML
documents and provides both useful abstractions and a framework for
creating new abstractions. It uses and promotes the use of CSS. A small
core of Aephea has been ported to the typesetting language troff. This core
is used in PUD, which provides mini-languages for FAQ documents and UNIX
manual pages. Documents written in PUD can be output to troff and html, and
further to plain text, PostScript, and PDF.

%prep
%setup -q -n %{name}-%{version2}
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc %{_defaultdocdir}/%{name}/doc/*
%doc %{_defaultdocdir}/%{name}/examples/*
%{_bindir}/*
%{_mandir}/man1/*
