Name:           zoom
Summary:        Z-Machine: it plays text adventure games written in ZCode
Version:        1.1.5
Release:        %mkrel 12
License:        GPLv2+
Group:          Games/Adventure
URL:            https://www.logicalshift.co.uk/unix/zoom/
Source0:        https://www.logicalshift.co.uk/unix/zoom/%{name}-%{version}.tar.gz
Patch0:         zoom-1.1.3-enable-antialiasing.patch
Patch1:         zoom-1.1.5-gcc7.patch
Patch2:         zoom-1.1.5-autoconf.patch
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  t1lib-devel

%description
Zoom is an interpreter for playing all of Infocom's text adventures and
newer games using the same format (Z-CODE), like the ones produced using
the Inform compiler.

It has a fast interpreter core behind an X11 interface.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make_build

%install
%make_install bindir=%{_gamesbindir} datadir=%{_gamesdatadir}
mkdir %{buildroot}%{_gamesdatadir}/%{name}/games

%files
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO manual
%{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/%{name}rc
%dir %{_gamesdatadir}/%{name}/games
