Name:           zopfli
Version:        1.0.3
Release:        %mkrel 3
Summary:        zlib compatible compressor
Group:          Archiving/Compression
License:        ASL 2.0
URL:            https://github.com/google/zopfli
Source0:        https://github.com/google/zopfli/archive/%{name}-%{version}.tar.gz
BuildRequires:  help2man

%description
Zopfli Compression Algorithm is a compression library programmed in C
to perform very good, but slow, deflate or zlib compression.

%prep
%setup -q -n %{name}-%{name}-%{version}
%autopatch -p1

%build
%set_build_flags
%make_build zopfli zopflipng

help2man --help-option="-h" --version-string=%{version} --no-info --no-discard-stderr \
./%{name} > %{name}.1
help2man --help-option="-h" --version-string=%{version} --no-info --no-discard-stderr \
./%{name}png > %{name}png.1

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -m 755 %{name}png %{buildroot}%{_bindir}/%{name}png

install -D -pm 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -D -pm 0644 %{name}png.1 %{buildroot}%{_mandir}/man1/%{name}png.1

%files
%doc README README.zopflipng
%license COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}png
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}png.1*
